# Copyright 2017 Google Inc.
#
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# This file is generated semi-automatically with this command:
#   $ src/jumper/build_stages.py

#if defined(__MACH__)
    #define HIDDEN .private_extern
    #define FUNCTION(name)
    #define BALIGN4  .align 2
    #define BALIGN8  .align 3
    #define BALIGN16 .align 4
    #define BALIGN32 .align 5
#else
    .section .note.GNU-stack,"",%progbits
    #define HIDDEN .hidden
    #define FUNCTION(name) .type name,%function
    #define BALIGN4  .balign 4
    #define BALIGN8  .balign 8
    #define BALIGN16 .balign 16
    #define BALIGN32 .balign 32
#endif
.text
#if defined(__arm__)
BALIGN4

HIDDEN _sk_start_pipeline_vfp4
.globl _sk_start_pipeline_vfp4
FUNCTION(_sk_start_pipeline_vfp4)
_sk_start_pipeline_vfp4:
  .long  0xe92d4ff0                          // push          {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe28db01c                          // add           fp, sp, #28
  .long  0xe24dd06c                          // sub           sp, sp, #108
  .long  0xe7c3d01f                          // bfc           sp, #0, #4
  .long  0xe1a0a001                          // mov           sl, r1
  .long  0xe1a05002                          // mov           r5, r2
  .long  0xe1a09000                          // mov           r9, r0
  .long  0xe15a0003                          // cmp           sl, r3
  .long  0xe58d300c                          // str           r3, [sp, #12]
  .long  0x2a00001d                          // bcs           a0 <sk_start_pipeline_vfp4+0xa0>
  .long  0xe59b4008                          // ldr           r4, [fp, #8]
  .long  0xe2898004                          // add           r8, r9, #4
  .long  0xe28d7010                          // add           r7, sp, #16
  .long  0xe4946004                          // ldr           r6, [r4], #4
  .long  0xe3a00000                          // mov           r0, #0
  .long  0xe58d9010                          // str           r9, [sp, #16]
  .long  0xe58da014                          // str           sl, [sp, #20]
  .long  0xe1580005                          // cmp           r8, r5
  .long  0xe58d0018                          // str           r0, [sp, #24]
  .long  0xe1a00009                          // mov           r0, r9
  .long  0x8a000008                          // bhi           78 <sk_start_pipeline_vfp4+0x78>
  .long  0xe1a00007                          // mov           r0, r7
  .long  0xe1a01004                          // mov           r1, r4
  .long  0xe12fff36                          // blx           r6
  .long  0xe59d1010                          // ldr           r1, [sp, #16]
  .long  0xe2810004                          // add           r0, r1, #4
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe1510005                          // cmp           r1, r5
  .long  0xe58d0010                          // str           r0, [sp, #16]
  .long  0x9afffff6                          // bls           54 <sk_start_pipeline_vfp4+0x54>
  .long  0xe0550000                          // subs          r0, r5, r0
  .long  0x0a000003                          // beq           90 <sk_start_pipeline_vfp4+0x90>
  .long  0xe58d0018                          // str           r0, [sp, #24]
  .long  0xe1a00007                          // mov           r0, r7
  .long  0xe1a01004                          // mov           r1, r4
  .long  0xe12fff36                          // blx           r6
  .long  0xe59d000c                          // ldr           r0, [sp, #12]
  .long  0xe28aa001                          // add           sl, sl, #1
  .long  0xe15a0000                          // cmp           sl, r0
  .long  0x1affffe5                          // bne           38 <sk_start_pipeline_vfp4+0x38>
  .long  0xe24bd01c                          // sub           sp, fp, #28
  .long  0xe8bd8ff0                          // pop           {r4, r5, r6, r7, r8, r9, sl, fp, pc}

HIDDEN _sk_just_return_vfp4
.globl _sk_just_return_vfp4
FUNCTION(_sk_just_return_vfp4)
_sk_just_return_vfp4:
  .long  0xe12fff1e                          // bx            lr
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_seed_shader_vfp4
.globl _sk_seed_shader_vfp4
FUNCTION(_sk_seed_shader_vfp4)
_sk_seed_shader_vfp4:
  .long  0xe1a02000                          // mov           r2, r0
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xf4e20cbd                          // vld1.32       {d16[]-d17[]}, [r2 :32]!
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf4234acf                          // vld1.64       {d4-d5}, [r3]
  .long  0xe28f3050                          // add           r3, pc, #80
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2082de2                          // vadd.f32      q1, q12, q9
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2000de4                          // vadd.f32      q0, q8, q10
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2806050                          // vmov.i32      q3, #0
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f000000                          // .word         0x3f000000
  .long  0x3fc00000                          // .word         0x3fc00000
  .long  0x40200000                          // .word         0x40200000
  .long  0x40600000                          // .word         0x40600000

HIDDEN _sk_dither_vfp4
.globl _sk_dither_vfp4
FUNCTION(_sk_dither_vfp4)
_sk_dither_vfp4:
  .long  0xe1a02000                          // mov           r2, r0
  .long  0xf2c04051                          // vmov.i32      q10, #1
  .long  0xf4e20cbd                          // vld1.32       {d16[]-d17[]}, [r2 :32]!
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf2c06054                          // vmov.i32      q11, #4
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe3a025f2                          // mov           r2, #1015021568
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf24081f4                          // vand          q12, q8, q10
  .long  0xf240c1f2                          // vand          q14, q8, q9
  .long  0xf34aa1f0                          // veor          q13, q13, q8
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf2e48578                          // vshl.s32      q12, q12, #4
  .long  0xf2e1c57c                          // vshl.s32      q14, q14, #1
  .long  0xf24a41f4                          // vand          q10, q13, q10
  .long  0xf3fe0070                          // vshr.u32      q8, q8, #2
  .long  0xf26c81f8                          // vorr          q12, q14, q12
  .long  0xf24a21f2                          // vand          q9, q13, q9
  .long  0xf2e54574                          // vshl.s32      q10, q10, #5
  .long  0xf26801f0                          // vorr          q8, q12, q8
  .long  0xf24a61f6                          // vand          q11, q13, q11
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2e22572                          // vshl.s32      q9, q9, #2
  .long  0xf3ff4076                          // vshr.u32      q10, q11, #1
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2400de2                          // vadd.f32      q8, q8, q9
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf2402dc0                          // vadd.f32      q9, q8, q0
  .long  0xf2404dc2                          // vadd.f32      q10, q8, q1
  .long  0xf2400dc4                          // vadd.f32      q8, q8, q2
  .long  0xf2622fc6                          // vmin.f32      q9, q9, q3
  .long  0xf2644fc6                          // vmin.f32      q10, q10, q3
  .long  0xf2600fc6                          // vmin.f32      q8, q8, q3
  .long  0xf2060fe2                          // vmax.f32      q0, q11, q9
  .long  0xf2062fe4                          // vmax.f32      q1, q11, q10
  .long  0xf2064fe0                          // vmax.f32      q2, q11, q8
  .long  0xe12fff12                          // bx            r2
  .long  0x00000000                          // .word         0x00000000
  .long  0x00000001                          // .word         0x00000001
  .long  0x00000002                          // .word         0x00000002
  .long  0x00000003                          // .word         0x00000003
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000

HIDDEN _sk_uniform_color_vfp4
.globl _sk_uniform_color_vfp4
FUNCTION(_sk_uniform_color_vfp4)
_sk_uniform_color_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4ae0cbd                          // vld1.32       {d0[]-d1[]}, [lr :32]!
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xf4ae2cbf                          // vld1.32       {d2[]-d3[]}, [lr :32]
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_black_color_vfp4
.globl _sk_black_color_vfp4
FUNCTION(_sk_black_color_vfp4)
_sk_black_color_vfp4:
  .long  0xe28f2018                          // add           r2, pc, #24
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_white_color_vfp4
.globl _sk_white_color_vfp4
FUNCTION(_sk_white_color_vfp4)
_sk_white_color_vfp4:
  .long  0xe28f2018                          // add           r2, pc, #24
  .long  0xf4220acf                          // vld1.64       {d0-d1}, [r2]
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf2206150                          // vorr          q3, q0, q0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_rgba_vfp4
.globl _sk_load_rgba_vfp4
FUNCTION(_sk_load_rgba_vfp4)
_sk_load_rgba_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832030                          // add           r2, r3, #48
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4226a8f                          // vld1.32       {d6-d7}, [r2]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf42e0a8d                          // vld1.32       {d0-d1}, [lr]!
  .long  0xf4224a8f                          // vld1.32       {d4-d5}, [r2]
  .long  0xf42e2a8f                          // vld1.32       {d2-d3}, [lr]
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_store_rgba_vfp4
.globl _sk_store_rgba_vfp4
FUNCTION(_sk_store_rgba_vfp4)
_sk_store_rgba_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4030a8d                          // vst1.32       {d0-d1}, [r3]!
  .long  0xf4032a8f                          // vst1.32       {d2-d3}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe2822030                          // add           r2, r2, #48
  .long  0xf4034a8f                          // vst1.32       {d4-d5}, [r3]
  .long  0xf4026a8f                          // vst1.32       {d6-d7}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_clear_vfp4
.globl _sk_clear_vfp4
FUNCTION(_sk_clear_vfp4)
_sk_clear_vfp4:
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf2806050                          // vmov.i32      q3, #0
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcatop_vfp4
.globl _sk_srcatop_vfp4
FUNCTION(_sk_srcatop_vfp4)
_sk_srcatop_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2602dc6                          // vsub.f32      q9, q8, q3
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3046dd6                          // vmul.f32      q3, q10, q3
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf3044dd4                          // vmul.f32      q2, q10, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2026cf4                          // vfma.f32      q3, q9, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2022cf6                          // vfma.f32      q1, q9, q11
  .long  0xf2440cd0                          // vfma.f32      q8, q10, q0
  .long  0xf2024cf8                          // vfma.f32      q2, q9, q12
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstatop_vfp4
.globl _sk_dstatop_vfp4
FUNCTION(_sk_dstatop_vfp4)
_sk_dstatop_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2606de4                          // vsub.f32      q11, q8, q10
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3444dd6                          // vmul.f32      q10, q10, q3
  .long  0xf3422dd6                          // vmul.f32      q9, q9, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3064dd4                          // vmul.f32      q2, q11, q2
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2460cd0                          // vfma.f32      q8, q11, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2462cd2                          // vfma.f32      q9, q11, q1
  .long  0xf2464cd6                          // vfma.f32      q10, q11, q3
  .long  0xf2084cd6                          // vfma.f32      q2, q12, q3
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcin_vfp4
.globl _sk_srcin_vfp4
FUNCTION(_sk_srcin_vfp4)
_sk_srcin_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstin_vfp4
.globl _sk_dstin_vfp4
FUNCTION(_sk_dstin_vfp4)
_sk_dstin_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3000dd6                          // vmul.f32      q0, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3024dd6                          // vmul.f32      q2, q9, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3042dd6                          // vmul.f32      q1, q10, q3
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcout_vfp4
.globl _sk_srcout_vfp4
FUNCTION(_sk_srcout_vfp4)
_sk_srcout_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstout_vfp4
.globl _sk_dstout_vfp4
FUNCTION(_sk_dstout_vfp4)
_sk_dstout_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3002df6                          // vmul.f32      q1, q8, q11
  .long  0xf3004df4                          // vmul.f32      q2, q8, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcover_vfp4
.globl _sk_srcover_vfp4
FUNCTION(_sk_srcover_vfp4)
_sk_srcover_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2042cf0                          // vfma.f32      q1, q10, q8
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2024cf0                          // vfma.f32      q2, q9, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2046cf0                          // vfma.f32      q3, q10, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstover_vfp4
.globl _sk_dstover_vfp4
FUNCTION(_sk_dstover_vfp4)
_sk_dstover_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2628de0                          // vsub.f32      q12, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2424c78                          // vfma.f32      q10, q1, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2446c78                          // vfma.f32      q11, q2, q12
  .long  0xf2460c78                          // vfma.f32      q8, q3, q12
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22641f6                          // vorr          q2, q11, q11
  .long  0xf22061f0                          // vorr          q3, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_modulate_vfp4
.globl _sk_modulate_vfp4
FUNCTION(_sk_modulate_vfp4)
_sk_modulate_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_multiply_vfp4
.globl _sk_multiply_vfp4
FUNCTION(_sk_multiply_vfp4)
_sk_multiply_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf260ade8                          // vsub.f32      q13, q8, q12
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2606dc6                          // vsub.f32      q11, q8, q3
  .long  0xf4228aef                          // vld1.64       {d8-d9}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf34a2dd4                          // vmul.f32      q9, q13, q2
  .long  0xf34aedd6                          // vmul.f32      q15, q13, q3
  .long  0xf3460dfc                          // vmul.f32      q8, q11, q14
  .long  0xf3464df8                          // vmul.f32      q10, q11, q12
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf2442dee                          // vadd.f32      q9, q10, q15
  .long  0xf34aedd0                          // vmul.f32      q15, q13, q0
  .long  0xf3464dd8                          // vmul.f32      q10, q11, q4
  .long  0xf34aadd2                          // vmul.f32      q13, q13, q1
  .long  0xf24c0cd4                          // vfma.f32      q8, q14, q2
  .long  0xf2482cd6                          // vfma.f32      q9, q12, q3
  .long  0xf2444dee                          // vadd.f32      q10, q10, q15
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf3466dfe                          // vmul.f32      q11, q11, q15
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2484c50                          // vfma.f32      q10, q4, q0
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xf2466dea                          // vadd.f32      q11, q11, q13
  .long  0xf22261f2                          // vorr          q3, q9, q9
  .long  0xf24e6cd2                          // vfma.f32      q11, q15, q1
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22621f6                          // vorr          q1, q11, q11
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_plus__vfp4
.globl _sk_plus__vfp4
FUNCTION(_sk_plus__vfp4)
_sk_plus__vfp4:
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2400dc2                          // vadd.f32      q8, q8, q1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2444dc4                          // vadd.f32      q10, q10, q2
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2488dc6                          // vadd.f32      q12, q12, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2220fe6                          // vmin.f32      q0, q9, q11
  .long  0xf2202fe6                          // vmin.f32      q1, q8, q11
  .long  0xf2244fe6                          // vmin.f32      q2, q10, q11
  .long  0xf2286fe6                          // vmin.f32      q3, q12, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_screen_vfp4
.globl _sk_screen_vfp4
FUNCTION(_sk_screen_vfp4)
_sk_screen_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2460dc0                          // vadd.f32      q8, q11, q0
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf24a4dc4                          // vadd.f32      q10, q13, q2
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf2660cd0                          // vfms.f32      q8, q11, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24c6dc6                          // vadd.f32      q11, q14, q3
  .long  0xf2682cd2                          // vfms.f32      q9, q12, q1
  .long  0xf26a4cd4                          // vfms.f32      q10, q13, q2
  .long  0xf26c6cd6                          // vfms.f32      q11, q14, q3
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_xor__vfp4
.globl _sk_xor__vfp4
FUNCTION(_sk_xor__vfp4)
_sk_xor__vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2606dc6                          // vsub.f32      q11, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2608de4                          // vsub.f32      q12, q8, q10
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3460df2                          // vmul.f32      q8, q11, q9
  .long  0xf3462dfa                          // vmul.f32      q9, q11, q13
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf3464df4                          // vmul.f32      q10, q11, q10
  .long  0xf3084dd4                          // vmul.f32      q2, q12, q2
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2480cd0                          // vfma.f32      q8, q12, q0
  .long  0xf2482cd2                          // vfma.f32      q9, q12, q1
  .long  0xf2484cd6                          // vfma.f32      q10, q12, q3
  .long  0xf2064cfa                          // vfma.f32      q2, q11, q13
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_darken_vfp4
.globl _sk_darken_vfp4
FUNCTION(_sk_darken_vfp4)
_sk_darken_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf340add0                          // vmul.f32      q13, q8, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3446dd6                          // vmul.f32      q11, q10, q3
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf340edd2                          // vmul.f32      q15, q8, q1
  .long  0xf348cdd6                          // vmul.f32      q14, q12, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2444dc0                          // vadd.f32      q10, q10, q0
  .long  0xf24a6fe6                          // vmax.f32      q11, q13, q11
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf24ecfec                          // vmax.f32      q14, q15, q14
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24aedc4                          // vadd.f32      q15, q13, q2
  .long  0xf34aadd6                          // vmul.f32      q13, q13, q3
  .long  0xf3000dd4                          // vmul.f32      q0, q8, q2
  .long  0xf2622dc6                          // vsub.f32      q9, q9, q3
  .long  0xf2488dc2                          // vadd.f32      q12, q12, q1
  .long  0xf240af6a                          // vmax.f32      q13, q0, q13
  .long  0xf2006cf2                          // vfma.f32      q3, q8, q9
  .long  0xf2240de6                          // vsub.f32      q0, q10, q11
  .long  0xf2282dec                          // vsub.f32      q1, q12, q14
  .long  0xf22e4dea                          // vsub.f32      q2, q15, q13
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_lighten_vfp4
.globl _sk_lighten_vfp4
FUNCTION(_sk_lighten_vfp4)
_sk_lighten_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf340add0                          // vmul.f32      q13, q8, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3446dd6                          // vmul.f32      q11, q10, q3
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf340edd2                          // vmul.f32      q15, q8, q1
  .long  0xf348cdd6                          // vmul.f32      q14, q12, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2444dc0                          // vadd.f32      q10, q10, q0
  .long  0xf26a6fe6                          // vmin.f32      q11, q13, q11
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf26ecfec                          // vmin.f32      q14, q15, q14
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24aedc4                          // vadd.f32      q15, q13, q2
  .long  0xf34aadd6                          // vmul.f32      q13, q13, q3
  .long  0xf3000dd4                          // vmul.f32      q0, q8, q2
  .long  0xf2622dc6                          // vsub.f32      q9, q9, q3
  .long  0xf2488dc2                          // vadd.f32      q12, q12, q1
  .long  0xf260af6a                          // vmin.f32      q13, q0, q13
  .long  0xf2006cf2                          // vfma.f32      q3, q8, q9
  .long  0xf2240de6                          // vsub.f32      q0, q10, q11
  .long  0xf2282dec                          // vsub.f32      q1, q12, q14
  .long  0xf22e4dea                          // vsub.f32      q2, q15, q13
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_difference_vfp4
.globl _sk_difference_vfp4
FUNCTION(_sk_difference_vfp4)
_sk_difference_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3404dd6                          // vmul.f32      q10, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3426dd0                          // vmul.f32      q11, q9, q0
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf342cdd4                          // vmul.f32      q14, q9, q2
  .long  0xf348add6                          // vmul.f32      q13, q12, q3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf342edd2                          // vmul.f32      q15, q9, q1
  .long  0xf2400dc0                          // vadd.f32      q8, q8, q0
  .long  0xf2664fe4                          // vmin.f32      q10, q11, q10
  .long  0xf26c6fea                          // vmin.f32      q11, q14, q13
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf34acdd6                          // vmul.f32      q14, q13, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf24aadc2                          // vadd.f32      q13, q13, q1
  .long  0xf26ecfec                          // vmin.f32      q14, q15, q14
  .long  0xf2c7ef50                          // vmov.f32      q15, #1
  .long  0xf2488dc4                          // vadd.f32      q12, q12, q2
  .long  0xf26eedc6                          // vsub.f32      q15, q15, q3
  .long  0xf24ccdec                          // vadd.f32      q14, q14, q14
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf2026cfe                          // vfma.f32      q3, q9, q15
  .long  0xf2200de4                          // vsub.f32      q0, q8, q10
  .long  0xf22a2dec                          // vsub.f32      q1, q13, q14
  .long  0xf2284de6                          // vsub.f32      q2, q12, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_exclusion_vfp4
.globl _sk_exclusion_vfp4
FUNCTION(_sk_exclusion_vfp4)
_sk_exclusion_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3424dd0                          // vmul.f32      q10, q9, q0
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3468dd2                          // vmul.f32      q12, q11, q1
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf34acdd4                          // vmul.f32      q14, q13, q2
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf2466dc2                          // vadd.f32      q11, q11, q1
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf24aadc4                          // vadd.f32      q13, q13, q2
  .long  0xf24ccdec                          // vadd.f32      q14, q14, q14
  .long  0xf20e6cf0                          // vfma.f32      q3, q15, q8
  .long  0xf2220de4                          // vsub.f32      q0, q9, q10
  .long  0xf2262de8                          // vsub.f32      q1, q11, q12
  .long  0xf22a4dec                          // vsub.f32      q2, q13, q14
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_colorburn_vfp4
.globl _sk_colorburn_vfp4
FUNCTION(_sk_colorburn_vfp4)
_sk_colorburn_vfp4:
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xf3fb4544                          // vrecpe.f32    q10, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3b9a542                          // vceq.f32      q5, q1, #0
  .long  0xf3b9e540                          // vceq.f32      q7, q0, #0
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2608de2                          // vsub.f32      q12, q8, q9
  .long  0xf2446f74                          // vrecps.f32    q11, q2, q10
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3486dd6                          // vmul.f32      q11, q12, q3
  .long  0xf3464df4                          // vmul.f32      q10, q11, q10
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf266ade0                          // vsub.f32      q13, q11, q8
  .long  0xf2604fe4                          // vmin.f32      q10, q8, q10
  .long  0xf2668dc6                          // vsub.f32      q12, q11, q3
  .long  0xf34a6dd4                          // vmul.f32      q11, q13, q2
  .long  0xf2604de4                          // vsub.f32      q10, q8, q10
  .long  0xf348cdf2                          // vmul.f32      q14, q12, q9
  .long  0xf30a8dd2                          // vmul.f32      q4, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf3444dd6                          // vmul.f32      q10, q10, q3
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf24cede4                          // vadd.f32      q15, q14, q10
  .long  0xf3f94544                          // vceq.f32      q10, q2, #0
  .long  0xf3bb4542                          // vrecpe.f32    q2, q1
  .long  0xf35c41fe                          // vbsl          q10, q14, q15
  .long  0xf242cf54                          // vrecps.f32    q14, q1, q2
  .long  0xf344ed7c                          // vmul.f32      q15, q2, q14
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf2204dec                          // vsub.f32      q2, q8, q14
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf422caef                          // vld1.64       {d12-d13}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3044d56                          // vmul.f32      q2, q2, q3
  .long  0xf344ed7e                          // vmul.f32      q15, q2, q15
  .long  0xf3084dfc                          // vmul.f32      q2, q12, q14
  .long  0xf260efee                          // vmin.f32      q15, q8, q15
  .long  0xf260edee                          // vsub.f32      q15, q8, q15
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf248ed6e                          // vadd.f32      q15, q4, q15
  .long  0xf244ed6e                          // vadd.f32      q15, q2, q15
  .long  0xf314a17e                          // vbsl          q5, q2, q15
  .long  0xf3fbe540                          // vrecpe.f32    q15, q0
  .long  0xf2024ee0                          // vceq.f32      q2, q9, q8
  .long  0xf2462de2                          // vadd.f32      q9, q11, q9
  .long  0xf2002f7e                          // vrecps.f32    q1, q0, q15
  .long  0xf2486d6c                          // vadd.f32      q11, q4, q14
  .long  0xf20c0e60                          // vceq.f32      q0, q6, q8
  .long  0xf31241f4                          // vbsl          q2, q9, q10
  .long  0xf34eedd2                          // vmul.f32      q15, q15, q1
  .long  0xf2202dcc                          // vsub.f32      q1, q8, q6
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf342ed7e                          // vmul.f32      q15, q1, q15
  .long  0xf3082ddc                          // vmul.f32      q1, q12, q6
  .long  0xf260efee                          // vmin.f32      q15, q8, q15
  .long  0xf260edee                          // vsub.f32      q15, q8, q15
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf2006cf8                          // vfma.f32      q3, q8, q12
  .long  0xf24aedee                          // vadd.f32      q15, q13, q15
  .long  0xf242ed6e                          // vadd.f32      q15, q1, q15
  .long  0xf312e17e                          // vbsl          q7, q1, q15
  .long  0xf20c2ee0                          // vceq.f32      q1, q14, q8
  .long  0xf24c0d6a                          // vadd.f32      q8, q6, q13
  .long  0xf31621da                          // vbsl          q1, q11, q5
  .long  0xf31001de                          // vbsl          q0, q8, q7
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_colordodge_vfp4
.globl _sk_colordodge_vfp4
FUNCTION(_sk_colordodge_vfp4)
_sk_colordodge_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2660d44                          // vsub.f32      q8, q3, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf202ae46                          // vceq.f32      q5, q1, q3
  .long  0xf200ce46                          // vceq.f32      q6, q0, q3
  .long  0xf3fb2560                          // vrecpe.f32    q9, q8
  .long  0xf2404ff2                          // vrecps.f32    q10, q8, q9
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3404dd6                          // vmul.f32      q10, q8, q3
  .long  0xf3442df2                          // vmul.f32      q9, q10, q9
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xf264ade6                          // vsub.f32      q13, q10, q11
  .long  0xf266cfe2                          // vmin.f32      q14, q11, q9
  .long  0xf2648dc6                          // vsub.f32      q12, q10, q3
  .long  0xf34a2dd4                          // vmul.f32      q9, q13, q2
  .long  0xf34c4dd6                          // vmul.f32      q10, q14, q3
  .long  0xf348cdf0                          // vmul.f32      q14, q12, q8
  .long  0xf242ede4                          // vadd.f32      q15, q9, q10
  .long  0xf2444e46                          // vceq.f32      q10, q2, q3
  .long  0xf20c4dc4                          // vadd.f32      q2, q14, q2
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf354417c                          // vbsl          q10, q2, q14
  .long  0xf3fbc56e                          // vrecpe.f32    q14, q15
  .long  0xf24eeffc                          // vrecps.f32    q15, q15, q14
  .long  0xf34cedfe                          // vmul.f32      q15, q14, q15
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf30c4dd6                          // vmul.f32      q2, q14, q3
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3088dfc                          // vmul.f32      q4, q12, q14
  .long  0xf344ed7e                          // vmul.f32      q15, q2, q15
  .long  0xf266efee                          // vmin.f32      q15, q11, q15
  .long  0xf30e4dd6                          // vmul.f32      q2, q15, q3
  .long  0xf34aedd2                          // vmul.f32      q15, q13, q1
  .long  0xf2082d42                          // vadd.f32      q1, q4, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf20e4dc4                          // vadd.f32      q2, q15, q2
  .long  0xf2084d44                          // vadd.f32      q2, q4, q2
  .long  0xf312a154                          // vbsl          q5, q1, q2
  .long  0xf2262d40                          // vsub.f32      q1, q3, q0
  .long  0xf3bb4542                          // vrecpe.f32    q2, q1
  .long  0xf2022f54                          // vrecps.f32    q1, q1, q2
  .long  0xf3042d52                          // vmul.f32      q1, q2, q1
  .long  0xf4224aef                          // vld1.64       {d4-d5}, [r2 :128]
  .long  0xf3048d56                          // vmul.f32      q4, q2, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3082d52                          // vmul.f32      q1, q4, q1
  .long  0xf3088dd4                          // vmul.f32      q4, q12, q2
  .long  0xf2262fc2                          // vmin.f32      q1, q11, q1
  .long  0xf2080d40                          // vadd.f32      q0, q4, q0
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf2066cf8                          // vfma.f32      q3, q11, q12
  .long  0xf20a2dc2                          // vadd.f32      q1, q13, q1
  .long  0xf2082d42                          // vadd.f32      q1, q4, q1
  .long  0xf310c152                          // vbsl          q6, q0, q1
  .long  0xf3b90544                          // vceq.f32      q0, q2, #0
  .long  0xf3b9256c                          // vceq.f32      q1, q14, #0
  .long  0xf3b94560                          // vceq.f32      q2, q8, #0
  .long  0xf31a01dc                          // vbsl          q0, q13, q6
  .long  0xf31e21da                          // vbsl          q1, q15, q5
  .long  0xf31241f4                          // vbsl          q2, q9, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_hardlight_vfp4
.globl _sk_hardlight_vfp4
FUNCTION(_sk_hardlight_vfp4)
_sk_hardlight_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf264ade2                          // vsub.f32      q13, q10, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2640dc6                          // vsub.f32      q8, q10, q3
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf34a8dd4                          // vmul.f32      q12, q13, q2
  .long  0xf3404df6                          // vmul.f32      q10, q8, q11
  .long  0xf30cadd2                          // vmul.f32      q5, q14, q1
  .long  0xf2484de4                          // vadd.f32      q10, q12, q10
  .long  0xf2628dec                          // vsub.f32      q12, q9, q14
  .long  0xf340cdfc                          // vmul.f32      q14, q8, q14
  .long  0xf20aad4a                          // vadd.f32      q5, q5, q5
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf342edd6                          // vmul.f32      q15, q9, q3
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf22e8de8                          // vsub.f32      q4, q15, q12
  .long  0xf2428d42                          // vadd.f32      q12, q1, q1
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf3468e68                          // vcge.f32      q12, q3, q12
  .long  0xf242cd6c                          // vadd.f32      q14, q1, q14
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xf302cd50                          // vmul.f32      q6, q1, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35a8158                          // vbsl          q12, q5, q4
  .long  0xf2228dc2                          // vsub.f32      q4, q9, q1
  .long  0xf226ad40                          // vsub.f32      q5, q3, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf20ccd4c                          // vadd.f32      q6, q6, q6
  .long  0xf30a8d58                          // vmul.f32      q4, q5, q4
  .long  0xf200ad40                          // vadd.f32      q5, q0, q0
  .long  0xf2220de6                          // vsub.f32      q0, q9, q11
  .long  0xf242ad6a                          // vadd.f32      q13, q1, q13
  .long  0xf2262d44                          // vsub.f32      q1, q3, q2
  .long  0xf2088d48                          // vadd.f32      q4, q4, q4
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf3020d50                          // vmul.f32      q0, q1, q0
  .long  0xf306ae4a                          // vcge.f32      q5, q3, q5
  .long  0xf22e8dc8                          // vsub.f32      q4, q15, q4
  .long  0xf2000d40                          // vadd.f32      q0, q0, q0
  .long  0xf31ca158                          // vbsl          q5, q6, q4
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf26eedc0                          // vsub.f32      q15, q15, q0
  .long  0xf2040d44                          // vadd.f32      q0, q2, q2
  .long  0xf2082dec                          // vadd.f32      q1, q12, q14
  .long  0xf3068e40                          // vcge.f32      q4, q3, q0
  .long  0xf2026cf0                          // vfma.f32      q3, q9, q8
  .long  0xf20a0d6a                          // vadd.f32      q0, q5, q13
  .long  0xf31681fe                          // vbsl          q4, q11, q15
  .long  0xf2084d64                          // vadd.f32      q2, q4, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_overlay_vfp4
.globl _sk_overlay_vfp4
FUNCTION(_sk_overlay_vfp4)
_sk_overlay_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf264ade2                          // vsub.f32      q13, q10, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2640dc6                          // vsub.f32      q8, q10, q3
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf34a8dd4                          // vmul.f32      q12, q13, q2
  .long  0xf3404df6                          // vmul.f32      q10, q8, q11
  .long  0xf30cadd2                          // vmul.f32      q5, q14, q1
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf2484de4                          // vadd.f32      q10, q12, q10
  .long  0xf2628dec                          // vsub.f32      q12, q9, q14
  .long  0xf20aad4a                          // vadd.f32      q5, q5, q5
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf342edd6                          // vmul.f32      q15, q9, q3
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf22e8de8                          // vsub.f32      q4, q15, q12
  .long  0xf24c8dec                          // vadd.f32      q12, q14, q14
  .long  0xf340cdfc                          // vmul.f32      q14, q8, q14
  .long  0xf3428ee8                          // vcge.f32      q12, q9, q12
  .long  0xf242cd6c                          // vadd.f32      q14, q1, q14
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xf302cd50                          // vmul.f32      q6, q1, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35a8158                          // vbsl          q12, q5, q4
  .long  0xf2228dc2                          // vsub.f32      q4, q9, q1
  .long  0xf226ad40                          // vsub.f32      q5, q3, q0
  .long  0xf2220de6                          // vsub.f32      q0, q9, q11
  .long  0xf20ccd4c                          // vadd.f32      q6, q6, q6
  .long  0xf30a8d58                          // vmul.f32      q4, q5, q4
  .long  0xf202ad42                          // vadd.f32      q5, q1, q1
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf2088d48                          // vadd.f32      q4, q4, q4
  .long  0xf302aeca                          // vcge.f32      q5, q9, q5
  .long  0xf242ad6a                          // vadd.f32      q13, q1, q13
  .long  0xf2262d44                          // vsub.f32      q1, q3, q2
  .long  0xf22e8dc8                          // vsub.f32      q4, q15, q4
  .long  0xf31ca158                          // vbsl          q5, q6, q4
  .long  0xf3020d50                          // vmul.f32      q0, q1, q0
  .long  0xf2026cf0                          // vfma.f32      q3, q9, q8
  .long  0xf2082dec                          // vadd.f32      q1, q12, q14
  .long  0xf2000d40                          // vadd.f32      q0, q0, q0
  .long  0xf26eedc0                          // vsub.f32      q15, q15, q0
  .long  0xf2060de6                          // vadd.f32      q0, q11, q11
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf3028ec0                          // vcge.f32      q4, q9, q0
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf20a0d6a                          // vadd.f32      q0, q5, q13
  .long  0xf31681fe                          // vbsl          q4, q11, q15
  .long  0xf2084d64                          // vadd.f32      q2, q4, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_softlight_vfp4
.globl _sk_softlight_vfp4
FUNCTION(_sk_softlight_vfp4)
_sk_softlight_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd028                          // sub           sp, sp, #40
  .long  0xf2624152                          // vorr          q10, q1, q1
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xf3872f50                          // vmov.f32      q1, #-1
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xeccd4b04                          // vstmia        sp, {d20-d21}
  .long  0xf4228aef                          // vld1.64       {d8-d9}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf422aaef                          // vld1.64       {d10-d11}, [r2 :128]
  .long  0xf3f90448                          // vcgt.f32      q8, q4, #0
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf35c2176                          // vbsl          q9, q6, q11
  .long  0xf3fb65e2                          // vrsqrte.f32   q11, q9
  .long  0xf242ade2                          // vadd.f32      q13, q9, q9
  .long  0xf242cdc2                          // vadd.f32      q14, q9, q1
  .long  0xf3468df6                          // vmul.f32      q12, q11, q11
  .long  0xf24aadea                          // vadd.f32      q13, q13, q13
  .long  0xf2628ff8                          // vrsqrts.f32   q12, q9, q12
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3fb8566                          // vrecpe.f32    q12, q11
  .long  0xf2466ff8                          // vrecps.f32    q11, q11, q12
  .long  0xf3486df6                          // vmul.f32      q11, q12, q11
  .long  0xf34a8dfa                          // vmul.f32      q12, q13, q13
  .long  0xf2666de2                          // vsub.f32      q11, q11, q9
  .long  0xf24aade8                          // vadd.f32      q13, q13, q12
  .long  0xf34ccdfa                          // vmul.f32      q14, q14, q13
  .long  0xf2c1af5c                          // vmov.f32      q13, #7
  .long  0xf342edfa                          // vmul.f32      q15, q9, q13
  .long  0xf24ecdec                          // vadd.f32      q14, q15, q14
  .long  0xf24aed4a                          // vadd.f32      q15, q5, q5
  .long  0xf24eedee                          // vadd.f32      q15, q15, q15
  .long  0xf348ee6e                          // vcge.f32      q15, q4, q15
  .long  0xf35ce1f6                          // vbsl          q15, q14, q11
  .long  0xf244cde4                          // vadd.f32      q14, q10, q10
  .long  0xf22ccdc6                          // vsub.f32      q6, q14, q3
  .long  0xf34c6d58                          // vmul.f32      q11, q6, q4
  .long  0xf3466dfe                          // vmul.f32      q11, q11, q15
  .long  0xf34aed56                          // vmul.f32      q15, q5, q3
  .long  0xf24eede6                          // vadd.f32      q15, q15, q11
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf2662de2                          // vsub.f32      q9, q11, q9
  .long  0xf34c2d72                          // vmul.f32      q9, q6, q9
  .long  0xf2422dc6                          // vadd.f32      q9, q9, q3
  .long  0xf30acd72                          // vmul.f32      q6, q5, q9
  .long  0xf3462e6c                          // vcge.f32      q9, q3, q14
  .long  0xf260c1f0                          // vorr          q14, q8, q8
  .long  0xf35c217e                          // vbsl          q9, q6, q15
  .long  0xf422caef                          // vld1.64       {d12-d13}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xeecdfaa9                          // vdiv.f32      s31, s27, s19
  .long  0xee8dfa09                          // vdiv.f32      s30, s26, s18
  .long  0xeecceaa8                          // vdiv.f32      s29, s25, s17
  .long  0xee8cea08                          // vdiv.f32      s28, s24, s16
  .long  0xf35ec154                          // vbsl          q14, q7, q2
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf3fbe5ec                          // vrsqrte.f32   q15, q14
  .long  0xf30eedfe                          // vmul.f32      q7, q15, q15
  .long  0xf22cefde                          // vrsqrts.f32   q7, q14, q7
  .long  0xf34eedde                          // vmul.f32      q15, q15, q7
  .long  0xf3bbe56e                          // vrecpe.f32    q7, q15
  .long  0xf24eefde                          // vrecps.f32    q15, q15, q7
  .long  0xf34eed7e                          // vmul.f32      q15, q7, q15
  .long  0xf20cedec                          // vadd.f32      q7, q14, q14
  .long  0xf26eedec                          // vsub.f32      q15, q15, q14
  .long  0xf20eed4e                          // vadd.f32      q7, q7, q7
  .long  0xf34e4d5e                          // vmul.f32      q10, q7, q7
  .long  0xf24e4d64                          // vadd.f32      q10, q7, q10
  .long  0xf20cedc2                          // vadd.f32      q7, q14, q1
  .long  0xf34e4d74                          // vmul.f32      q10, q7, q10
  .long  0xf30cedfa                          // vmul.f32      q7, q14, q13
  .long  0xf266cdec                          // vsub.f32      q14, q11, q14
  .long  0xf24e4d64                          // vadd.f32      q10, q7, q10
  .long  0xf20ced4c                          // vadd.f32      q7, q6, q6
  .long  0xf20eed4e                          // vadd.f32      q7, q7, q7
  .long  0xf308ee4e                          // vcge.f32      q7, q4, q7
  .long  0xf314e1fe                          // vbsl          q7, q10, q15
  .long  0xf2404d40                          // vadd.f32      q10, q0, q0
  .long  0xf264edc6                          // vsub.f32      q15, q10, q3
  .long  0xf34e8dd8                          // vmul.f32      q12, q15, q4
  .long  0xf34ecdfc                          // vmul.f32      q14, q15, q14
  .long  0xf3488dde                          // vmul.f32      q12, q12, q7
  .long  0xf30ced56                          // vmul.f32      q7, q6, q3
  .long  0xf24ccdc6                          // vadd.f32      q14, q14, q3
  .long  0xf24e8d68                          // vadd.f32      q12, q7, q12
  .long  0xf422eaef                          // vld1.64       {d14-d15}, [r2 :128]
  .long  0xe28d2010                          // add           r2, sp, #16
  .long  0xeecf1aa9                          // vdiv.f32      s3, s31, s19
  .long  0xee8f1a09                          // vdiv.f32      s2, s30, s18
  .long  0xeece0aa8                          // vdiv.f32      s1, s29, s17
  .long  0xee8e0a08                          // vdiv.f32      s0, s28, s16
  .long  0xf34ced7c                          // vmul.f32      q15, q6, q14
  .long  0xf346ce64                          // vcge.f32      q14, q3, q10
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf3500174                          // vbsl          q8, q0, q10
  .long  0xec920b04                          // vldmia        r2, {d0-d1}
  .long  0xf35ec1f8                          // vbsl          q14, q15, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf340adfa                          // vmul.f32      q13, q8, q13
  .long  0xf3448df4                          // vmul.f32      q12, q10, q10
  .long  0xf2608ff8                          // vrsqrts.f32   q12, q8, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3fb8564                          // vrecpe.f32    q12, q10
  .long  0xf2444ff8                          // vrecps.f32    q10, q10, q12
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2408de0                          // vadd.f32      q12, q8, q8
  .long  0xf2644de0                          // vsub.f32      q10, q10, q8
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf348edf8                          // vmul.f32      q15, q12, q12
  .long  0xf2488dee                          // vadd.f32      q12, q12, q15
  .long  0xf240edc2                          // vadd.f32      q15, q8, q1
  .long  0xec9d2b04                          // vldmia        sp, {d2-d3}
  .long  0xf2660de0                          // vsub.f32      q8, q11, q8
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf24a8de8                          // vadd.f32      q12, q13, q12
  .long  0xf24ead4e                          // vadd.f32      q13, q7, q7
  .long  0xf24aadea                          // vadd.f32      q13, q13, q13
  .long  0xf348ae6a                          // vcge.f32      q13, q4, q13
  .long  0xf358a1f4                          // vbsl          q13, q12, q10
  .long  0xf2404d40                          // vadd.f32      q10, q0, q0
  .long  0xf2648dc6                          // vsub.f32      q12, q10, q3
  .long  0xf3464e64                          // vcge.f32      q10, q3, q10
  .long  0xf348edd8                          // vmul.f32      q15, q12, q4
  .long  0xf3480df0                          // vmul.f32      q8, q12, q8
  .long  0xf2668dc6                          // vsub.f32      q12, q11, q3
  .long  0xf2666dc8                          // vsub.f32      q11, q11, q4
  .long  0xf34eadfa                          // vmul.f32      q13, q15, q13
  .long  0xf34eed56                          // vmul.f32      q15, q7, q3
  .long  0xf2400dc6                          // vadd.f32      q8, q8, q3
  .long  0xf3060dd0                          // vmul.f32      q0, q11, q0
  .long  0xf3062dd2                          // vmul.f32      q1, q11, q1
  .long  0xf24eadea                          // vadd.f32      q13, q15, q13
  .long  0xf348edde                          // vmul.f32      q15, q12, q7
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf34e0d70                          // vmul.f32      q8, q7, q8
  .long  0xf2086c78                          // vfma.f32      q3, q4, q12
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xf3080dda                          // vmul.f32      q0, q12, q5
  .long  0xf35041fa                          // vbsl          q10, q8, q13
  .long  0xf20e4de4                          // vadd.f32      q2, q15, q10
  .long  0xf2022d40                          // vadd.f32      q1, q1, q0
  .long  0xf3080ddc                          // vmul.f32      q0, q12, q6
  .long  0xf2022d62                          // vadd.f32      q1, q1, q9
  .long  0xf2406d66                          // vadd.f32      q11, q0, q11
  .long  0xf2060dec                          // vadd.f32      q0, q11, q14
  .long  0xe28dd028                          // add           sp, sp, #40
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_hue_vfp4
.globl _sk_hue_vfp4
FUNCTION(_sk_hue_vfp4)
_sk_hue_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xf3440d56                          // vmul.f32      q8, q2, q3
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf342ed56                          // vmul.f32      q15, q1, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3404d56                          // vmul.f32      q10, q0, q3
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf26e2fe0                          // vmin.f32      q9, q15, q8
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf24e6fe0                          // vmax.f32      q11, q15, q8
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2642fe2                          // vmin.f32      q9, q10, q9
  .long  0xf2446fe6                          // vmax.f32      q11, q10, q11
  .long  0xf2648de2                          // vsub.f32      q12, q10, q9
  .long  0xf2260de2                          // vsub.f32      q0, q11, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266afc2                          // vmin.f32      q13, q11, q1
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf246cfc2                          // vmax.f32      q14, q11, q1
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf26eede2                          // vsub.f32      q15, q15, q9
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28f2f9d                          // add           r2, pc, #628
  .long  0xf264afea                          // vmin.f32      q13, q10, q13
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf244cfec                          // vmax.f32      q14, q10, q14
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf26cadea                          // vsub.f32      q13, q14, q13
  .long  0xf34acdd6                          // vmul.f32      q14, q13, q3
  .long  0xf30c4df8                          // vmul.f32      q2, q14, q12
  .long  0xf3f98540                          // vceq.f32      q12, q0, #0
  .long  0xf268a1f8                          // vorr          q13, q12, q12
  .long  0xeec59aa1                          // vdiv.f32      s19, s11, s3
  .long  0xee859a01                          // vdiv.f32      s18, s10, s2
  .long  0xeec48aa0                          // vdiv.f32      s17, s9, s1
  .long  0xee848a00                          // vdiv.f32      s16, s8, s0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf354a158                          // vbsl          q13, q2, q4
  .long  0xf30c8dfe                          // vmul.f32      q4, q14, q15
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf268e1f8                          // vorr          q15, q12, q12
  .long  0xeec9baa1                          // vdiv.f32      s23, s19, s3
  .long  0xee89ba01                          // vdiv.f32      s22, s18, s2
  .long  0xeec8aaa0                          // vdiv.f32      s21, s17, s1
  .long  0xee88aa00                          // vdiv.f32      s20, s16, s0
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xf354e15a                          // vbsl          q15, q2, q5
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf30ecdd8                          // vmul.f32      q6, q15, q4
  .long  0xf30aedda                          // vmul.f32      q7, q13, q5
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf20ecd4c                          // vadd.f32      q6, q7, q6
  .long  0xf30cedf0                          // vmul.f32      q7, q14, q8
  .long  0xf346cdd8                          // vmul.f32      q14, q11, q4
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xeecf5aa1                          // vdiv.f32      s11, s31, s3
  .long  0xee8f5a01                          // vdiv.f32      s10, s30, s2
  .long  0xeece4aa0                          // vdiv.f32      s9, s29, s1
  .long  0xee8e4a00                          // vdiv.f32      s8, s28, s0
  .long  0xf3040dda                          // vmul.f32      q0, q10, q5
  .long  0xf35081d4                          // vbsl          q12, q8, q2
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf3480df2                          // vmul.f32      q8, q12, q9
  .long  0xf240cd6c                          // vadd.f32      q14, q0, q14
  .long  0xf3020d72                          // vmul.f32      q0, q1, q9
  .long  0xf24c0d60                          // vadd.f32      q8, q6, q8
  .long  0xf24ccdc0                          // vadd.f32      q14, q14, q0
  .long  0xf34ccdd6                          // vmul.f32      q14, q14, q3
  .long  0xf26ccde0                          // vsub.f32      q14, q14, q8
  .long  0xf20e0dec                          // vadd.f32      q0, q15, q14
  .long  0xf24a0dec                          // vadd.f32      q8, q13, q14
  .long  0xf248cdec                          // vadd.f32      q14, q12, q14
  .long  0xf340ed58                          // vmul.f32      q15, q0, q4
  .long  0xf340adda                          // vmul.f32      q13, q8, q5
  .long  0xf34c2df2                          // vmul.f32      q9, q14, q9
  .long  0xf24aadee                          // vadd.f32      q13, q13, q15
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf2428dea                          // vadd.f32      q12, q9, q13
  .long  0xf2602d68                          // vsub.f32      q9, q0, q12
  .long  0xf3088df2                          // vmul.f32      q4, q12, q9
  .long  0xf2602f6c                          // vmin.f32      q9, q0, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf228ade2                          // vsub.f32      q5, q12, q9
  .long  0xeec95aab                          // vdiv.f32      s11, s19, s23
  .long  0xee895a0b                          // vdiv.f32      s10, s18, s22
  .long  0xeec84aaa                          // vdiv.f32      s9, s17, s21
  .long  0xee884a0a                          // vdiv.f32      s8, s16, s20
  .long  0xf3b984e2                          // vcge.f32      q4, q9, #0
  .long  0xf248adc4                          // vadd.f32      q13, q12, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf310417a                          // vbsl          q2, q0, q13
  .long  0xf34eadd6                          // vmul.f32      q13, q15, q3
  .long  0xf2000f6c                          // vmax.f32      q0, q0, q14
  .long  0xf224cd68                          // vsub.f32      q6, q2, q12
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf200efc0                          // vmax.f32      q7, q8, q0
  .long  0xf302cddc                          // vmul.f32      q6, q9, q6
  .long  0xf22e0d68                          // vsub.f32      q0, q7, q12
  .long  0xf32eee6a                          // vcgt.f32      q7, q7, q13
  .long  0xeecd3aa1                          // vdiv.f32      s7, s27, s3
  .long  0xee8d3a01                          // vdiv.f32      s6, s26, s2
  .long  0xeecc2aa0                          // vdiv.f32      s5, s25, s1
  .long  0xee8c2a00                          // vdiv.f32      s4, s24, s0
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ec15e                          // vorr          q6, q7, q7
  .long  0xf312c154                          // vbsl          q6, q1, q2
  .long  0xf20c2f64                          // vmax.f32      q1, q6, q10
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xf2202de8                          // vsub.f32      q1, q8, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf2082dc4                          // vadd.f32      q1, q12, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf31041d2                          // vbsl          q2, q8, q1
  .long  0xf2640d68                          // vsub.f32      q8, q2, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec3daa1                          // vdiv.f32      s27, s7, s3
  .long  0xee83da01                          // vdiv.f32      s26, s6, s2
  .long  0xeec2caa0                          // vdiv.f32      s25, s5, s1
  .long  0xee82ca00                          // vdiv.f32      s24, s4, s0
  .long  0xf2480dcc                          // vadd.f32      q8, q12, q6
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf31021d4                          // vbsl          q1, q8, q2
  .long  0xf2420f64                          // vmax.f32      q8, q1, q10
  .long  0xf22c2de8                          // vsub.f32      q1, q14, q12
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf2082dc4                          // vadd.f32      q1, q12, q2
  .long  0xf31c81d2                          // vbsl          q4, q14, q1
  .long  0xf268cd68                          // vsub.f32      q14, q4, q12
  .long  0xf3022dfc                          // vmul.f32      q1, q9, q14
  .long  0xecd3cb04                          // vldmia        r3, {d28-d29}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xeec35aa1                          // vdiv.f32      s11, s7, s3
  .long  0xee835a01                          // vdiv.f32      s10, s6, s2
  .long  0xeec24aa0                          // vdiv.f32      s9, s5, s1
  .long  0xee824a00                          // vdiv.f32      s8, s4, s0
  .long  0xf2482dc4                          // vadd.f32      q9, q12, q2
  .long  0xf312e1d8                          // vbsl          q7, q9, q4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622dee                          // vsub.f32      q9, q9, q15
  .long  0xf3484df6                          // vmul.f32      q10, q12, q11
  .long  0xecd36b04                          // vldmia        r3, {d22-d23}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf342cdfc                          // vmul.f32      q14, q9, q14
  .long  0xf3486df6                          // vmul.f32      q11, q12, q11
  .long  0xf2444dec                          // vadd.f32      q10, q10, q14
  .long  0xecd3cb04                          // vldmia        r3, {d28-d29}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf342cdfc                          // vmul.f32      q14, q9, q14
  .long  0xf2466dec                          // vadd.f32      q11, q11, q14
  .long  0xf24ecdc6                          // vadd.f32      q14, q15, q3
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf3488dfe                          // vmul.f32      q12, q12, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xf2060de0                          // vadd.f32      q0, q11, q8
  .long  0xf3422dfe                          // vmul.f32      q9, q9, q15
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf22c6dea                          // vsub.f32      q3, q14, q13
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf24e8f4c                          // vmax.f32      q12, q7, q6
  .long  0xf2024de8                          // vadd.f32      q2, q9, q12
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_saturation_vfp4
.globl _sk_saturation_vfp4
FUNCTION(_sk_saturation_vfp4)
_sk_saturation_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf2604150                          // vorr          q10, q0, q0
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xecc30b04                          // vstmia        r3, {d16-d17}
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3028dd6                          // vmul.f32      q4, q9, q3
  .long  0xecc32b04                          // vstmia        r3, {d18-d19}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3482dd6                          // vmul.f32      q9, q12, q3
  .long  0xf2686f60                          // vmin.f32      q11, q4, q8
  .long  0xeccd8b04                          // vstmia        sp, {d24-d25}
  .long  0xf248cf60                          // vmax.f32      q14, q4, q8
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf262afe6                          // vmin.f32      q13, q9, q11
  .long  0xf2426fec                          // vmax.f32      q11, q9, q14
  .long  0xf242cf44                          // vmax.f32      q14, q1, q2
  .long  0xf2622dea                          // vsub.f32      q9, q9, q13
  .long  0xf2260dea                          // vsub.f32      q0, q11, q13
  .long  0xf2626f44                          // vmin.f32      q11, q1, q2
  .long  0xf244cfec                          // vmax.f32      q14, q10, q14
  .long  0xf2288d6a                          // vsub.f32      q4, q4, q13
  .long  0xf2646fe6                          // vmin.f32      q11, q10, q11
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf2600dea                          // vsub.f32      q8, q8, q13
  .long  0xf26ccde6                          // vsub.f32      q14, q14, q11
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe28f2f97                          // add           r2, pc, #604
  .long  0xf34cedf6                          // vmul.f32      q15, q14, q11
  .long  0xf30e2df2                          // vmul.f32      q1, q15, q9
  .long  0xf3f92540                          // vceq.f32      q9, q0, #0
  .long  0xf30e8dd8                          // vmul.f32      q4, q15, q4
  .long  0xf262c1f2                          // vorr          q14, q9, q9
  .long  0xeec3baa1                          // vdiv.f32      s23, s7, s3
  .long  0xee83ba01                          // vdiv.f32      s22, s6, s2
  .long  0xeec2aaa0                          // vdiv.f32      s21, s5, s1
  .long  0xee82aa00                          // vdiv.f32      s20, s4, s0
  .long  0xf354c1da                          // vbsl          q14, q10, q5
  .long  0xeec9baa1                          // vdiv.f32      s23, s19, s3
  .long  0xee89ba01                          // vdiv.f32      s22, s18, s2
  .long  0xeec8aaa0                          // vdiv.f32      s21, s17, s1
  .long  0xee88aa00                          // vdiv.f32      s20, s16, s0
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf22281f2                          // vorr          q4, q9, q9
  .long  0xf31481da                          // vbsl          q4, q10, q5
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf422cacf                          // vld1.64       {d12-d13}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf308ed5a                          // vmul.f32      q7, q4, q5
  .long  0xf30c4ddc                          // vmul.f32      q2, q14, q6
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf2044d4e                          // vadd.f32      q2, q2, q7
  .long  0xf30eedf0                          // vmul.f32      q7, q15, q8
  .long  0xeecf3aa1                          // vdiv.f32      s7, s31, s3
  .long  0xee8f3a01                          // vdiv.f32      s6, s30, s2
  .long  0xeece2aa0                          // vdiv.f32      s5, s29, s1
  .long  0xee8e2a00                          // vdiv.f32      s4, s28, s0
  .long  0xf35421d2                          // vbsl          q9, q10, q1
  .long  0xecd24b04                          // vldmia        r2, {d20-d21}
  .long  0xe28d2050                          // add           r2, sp, #80
  .long  0xf344edda                          // vmul.f32      q15, q10, q5
  .long  0xf3080ddc                          // vmul.f32      q0, q12, q6
  .long  0xecd24b04                          // vldmia        r2, {d20-d21}
  .long  0xf3420dfa                          // vmul.f32      q8, q9, q13
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xf3040dfa                          // vmul.f32      q0, q10, q13
  .long  0xf2440d60                          // vadd.f32      q8, q2, q8
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf26eede0                          // vsub.f32      q15, q15, q8
  .long  0xf24c0dee                          // vadd.f32      q8, q14, q15
  .long  0xf2080d6e                          // vadd.f32      q0, q4, q15
  .long  0xf242edee                          // vadd.f32      q15, q9, q15
  .long  0xf340cddc                          // vmul.f32      q14, q8, q6
  .long  0xf3002d5a                          // vmul.f32      q1, q0, q5
  .long  0xf34e2dfa                          // vmul.f32      q9, q15, q13
  .long  0xf24ccdc2                          // vadd.f32      q14, q14, q1
  .long  0xf242adec                          // vadd.f32      q13, q9, q14
  .long  0xf2602d6a                          // vsub.f32      q9, q0, q13
  .long  0xf30a8df2                          // vmul.f32      q4, q13, q9
  .long  0xf2602f6e                          // vmin.f32      q9, q0, q15
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf22aade2                          // vsub.f32      q5, q13, q9
  .long  0xeec93aab                          // vdiv.f32      s7, s19, s23
  .long  0xee893a0b                          // vdiv.f32      s6, s18, s22
  .long  0xeec82aaa                          // vdiv.f32      s5, s17, s21
  .long  0xee882a0a                          // vdiv.f32      s4, s16, s20
  .long  0xf3b984e2                          // vcge.f32      q4, q9, #0
  .long  0xf24acdc2                          // vadd.f32      q14, q13, q1
  .long  0xf2282158                          // vorr          q1, q4, q4
  .long  0xf310217c                          // vbsl          q1, q0, q14
  .long  0xf346cdd6                          // vmul.f32      q14, q11, q3
  .long  0xf2224d6a                          // vsub.f32      q2, q1, q13
  .long  0xf2000f6e                          // vmax.f32      q0, q0, q15
  .long  0xf26c2dea                          // vsub.f32      q9, q14, q13
  .long  0xf302cdd4                          // vmul.f32      q6, q9, q2
  .long  0xf2004fc0                          // vmax.f32      q2, q8, q0
  .long  0xf2240d6a                          // vsub.f32      q0, q2, q13
  .long  0xeecdfaa1                          // vdiv.f32      s31, s27, s3
  .long  0xee8dfa01                          // vdiv.f32      s30, s26, s2
  .long  0xeecceaa0                          // vdiv.f32      s29, s25, s1
  .long  0xee8cea00                          // vdiv.f32      s28, s24, s0
  .long  0xf20acdce                          // vadd.f32      q6, q13, q7
  .long  0xf324ee6c                          // vcgt.f32      q7, q2, q14
  .long  0xf22e415e                          // vorr          q2, q7, q7
  .long  0xf31c4152                          // vbsl          q2, q6, q1
  .long  0xf2202dea                          // vsub.f32      q1, q8, q13
  .long  0xf2444f68                          // vmax.f32      q10, q2, q12
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf20a2dc4                          // vadd.f32      q1, q13, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf31041d2                          // vbsl          q2, q8, q1
  .long  0xf2640d6a                          // vsub.f32      q8, q2, q13
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec3daa1                          // vdiv.f32      s27, s7, s3
  .long  0xee83da01                          // vdiv.f32      s26, s6, s2
  .long  0xeec2caa0                          // vdiv.f32      s25, s5, s1
  .long  0xee82ca00                          // vdiv.f32      s24, s4, s0
  .long  0xf24a0dcc                          // vadd.f32      q8, q13, q6
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf31021d4                          // vbsl          q1, q8, q2
  .long  0xf2420f68                          // vmax.f32      q8, q1, q12
  .long  0xecd28b04                          // vldmia        r2, {d24-d25}
  .long  0xf22e2dea                          // vsub.f32      q1, q15, q13
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf20a2dc4                          // vadd.f32      q1, q13, q2
  .long  0xf31e81d2                          // vbsl          q4, q15, q1
  .long  0xf268ed6a                          // vsub.f32      q15, q4, q13
  .long  0xf3022dfe                          // vmul.f32      q1, q9, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xeec35aa1                          // vdiv.f32      s11, s7, s3
  .long  0xee835a01                          // vdiv.f32      s10, s6, s2
  .long  0xeec24aa0                          // vdiv.f32      s9, s5, s1
  .long  0xee824a00                          // vdiv.f32      s8, s4, s0
  .long  0xf24a2dc4                          // vadd.f32      q9, q13, q2
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf312e1d8                          // vbsl          q7, q9, q4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf262adc6                          // vsub.f32      q13, q9, q3
  .long  0xf2622de6                          // vsub.f32      q9, q9, q11
  .long  0xf2466dc6                          // vadd.f32      q11, q11, q3
  .long  0xf34a8df8                          // vmul.f32      q12, q13, q12
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf2266dec                          // vsub.f32      q3, q11, q14
  .long  0xf2488dee                          // vadd.f32      q12, q12, q15
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf34aedfe                          // vmul.f32      q15, q13, q15
  .long  0xf2082de4                          // vadd.f32      q1, q12, q10
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf24a2de2                          // vadd.f32      q9, q13, q9
  .long  0xf24eaf4c                          // vmax.f32      q13, q7, q6
  .long  0xf2024dea                          // vadd.f32      q2, q9, q13
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_color_vfp4
.globl _sk_color_vfp4
FUNCTION(_sk_color_vfp4)
_sk_color_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf3440dd2                          // vmul.f32      q8, q10, q1
  .long  0xf3442dd0                          // vmul.f32      q9, q10, q0
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf3406df8                          // vmul.f32      q11, q8, q12
  .long  0xf462eacf                          // vld1.64       {d30-d31}, [r2]
  .long  0xf342cdfa                          // vmul.f32      q14, q9, q13
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xf3022d78                          // vmul.f32      q1, q1, q12
  .long  0xf24c6de6                          // vadd.f32      q11, q14, q11
  .long  0xf344cdd4                          // vmul.f32      q14, q10, q2
  .long  0xf30c0dfe                          // vmul.f32      q0, q14, q15
  .long  0xf2406d66                          // vadd.f32      q11, q0, q11
  .long  0xf4220aef                          // vld1.64       {d0-d1}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3008d7a                          // vmul.f32      q4, q0, q13
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4220aef                          // vld1.64       {d0-d1}, [r2 :128]
  .long  0xe28d2010                          // add           r2, sp, #16
  .long  0xf300ad7e                          // vmul.f32      q5, q0, q15
  .long  0xec820b04                          // vstmia        r2, {d0-d1}
  .long  0xf2088d42                          // vadd.f32      q4, q4, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2088d4a                          // vadd.f32      q4, q4, q5
  .long  0xf3088d56                          // vmul.f32      q4, q4, q3
  .long  0xf2288d66                          // vsub.f32      q4, q4, q11
  .long  0xf2406dc8                          // vadd.f32      q11, q8, q4
  .long  0xf2420dc8                          // vadd.f32      q8, q9, q4
  .long  0xf24ccdc8                          // vadd.f32      q14, q14, q4
  .long  0xf3468df8                          // vmul.f32      q12, q11, q12
  .long  0xf3402dfa                          // vmul.f32      q9, q8, q13
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf34c8dfe                          // vmul.f32      q12, q14, q15
  .long  0xf2488de2                          // vadd.f32      q12, q12, q9
  .long  0xf2662de8                          // vsub.f32      q9, q11, q12
  .long  0xf308adf2                          // vmul.f32      q5, q12, q9
  .long  0xf2662fec                          // vmin.f32      q9, q11, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf3f9e4e2                          // vcge.f32      q15, q9, #0
  .long  0xf2288de2                          // vsub.f32      q4, q12, q9
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf248adcc                          // vadd.f32      q13, q12, q6
  .long  0xf22ec1fe                          // vorr          q6, q15, q15
  .long  0xf316c1fa                          // vbsl          q6, q11, q13
  .long  0xf2466fec                          // vmax.f32      q11, q11, q14
  .long  0xf344add6                          // vmul.f32      q13, q10, q3
  .long  0xf22cad68                          // vsub.f32      q5, q6, q12
  .long  0xf2406fe6                          // vmax.f32      q11, q8, q11
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf226ede8                          // vsub.f32      q7, q11, q12
  .long  0xf302adda                          // vmul.f32      q5, q9, q5
  .long  0xf3666eea                          // vcgt.f32      q11, q11, q13
  .long  0xeecb5aaf                          // vdiv.f32      s11, s23, s31
  .long  0xee8b5a0f                          // vdiv.f32      s10, s22, s30
  .long  0xeeca4aae                          // vdiv.f32      s9, s21, s29
  .long  0xee8a4a0e                          // vdiv.f32      s8, s20, s28
  .long  0xf2084dc4                          // vadd.f32      q2, q12, q2
  .long  0xf226a1f6                          // vorr          q5, q11, q11
  .long  0xf314a15c                          // vbsl          q5, q2, q6
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf20acf44                          // vmax.f32      q6, q5, q2
  .long  0xf220ade8                          // vsub.f32      q5, q8, q12
  .long  0xf308adda                          // vmul.f32      q5, q12, q5
  .long  0xeecb3aa9                          // vdiv.f32      s7, s23, s19
  .long  0xee8b3a09                          // vdiv.f32      s6, s22, s18
  .long  0xeeca2aa8                          // vdiv.f32      s5, s21, s17
  .long  0xee8a2a08                          // vdiv.f32      s4, s20, s16
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf310a1d2                          // vbsl          q5, q8, q1
  .long  0xf26a0d68                          // vsub.f32      q8, q5, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec31aaf                          // vdiv.f32      s3, s7, s31
  .long  0xee831a0f                          // vdiv.f32      s2, s6, s30
  .long  0xeec20aae                          // vdiv.f32      s1, s5, s29
  .long  0xee820a0e                          // vdiv.f32      s0, s4, s28
  .long  0xf2480dc0                          // vadd.f32      q8, q12, q0
  .long  0xf22601f6                          // vorr          q0, q11, q11
  .long  0xf31001da                          // vbsl          q0, q8, q5
  .long  0xf2400f44                          // vmax.f32      q8, q0, q2
  .long  0xf22c0de8                          // vsub.f32      q0, q14, q12
  .long  0xf3080dd0                          // vmul.f32      q0, q12, q0
  .long  0xeec13aa9                          // vdiv.f32      s7, s3, s19
  .long  0xee813a09                          // vdiv.f32      s6, s2, s18
  .long  0xeec02aa8                          // vdiv.f32      s5, s1, s17
  .long  0xee802a08                          // vdiv.f32      s4, s0, s16
  .long  0xf2080dc2                          // vadd.f32      q0, q12, q1
  .long  0xf35ce1d0                          // vbsl          q15, q14, q0
  .long  0xf26ecde8                          // vsub.f32      q14, q15, q12
  .long  0xf3020dfc                          // vmul.f32      q0, q9, q14
  .long  0xecddcb04                          // vldmia        sp, {d28-d29}
  .long  0xeec13aaf                          // vdiv.f32      s7, s3, s31
  .long  0xee813a0f                          // vdiv.f32      s6, s2, s30
  .long  0xeec02aae                          // vdiv.f32      s5, s1, s29
  .long  0xee802a0e                          // vdiv.f32      s4, s0, s28
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf35261fe                          // vbsl          q11, q9, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2466fc4                          // vmax.f32      q11, q11, q2
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2444dc6                          // vadd.f32      q10, q10, q3
  .long  0xf348cdfc                          // vmul.f32      q14, q12, q14
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf2246dea                          // vsub.f32      q3, q10, q13
  .long  0xf24ecdec                          // vadd.f32      q14, q15, q14
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf348edfe                          // vmul.f32      q15, q12, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf20c2dcc                          // vadd.f32      q1, q14, q6
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf3488dd0                          // vmul.f32      q12, q12, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf2024de6                          // vadd.f32      q2, q9, q11
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_luminosity_vfp4
.globl _sk_luminosity_vfp4
FUNCTION(_sk_luminosity_vfp4)
_sk_luminosity_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xecc30b04                          // vstmia        r3, {d16-d17}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf3442dd6                          // vmul.f32      q9, q10, q3
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28f2f82                          // add           r2, pc, #520
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2f83                          // add           r2, pc, #524
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3404df8                          // vmul.f32      q10, q8, q12
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf3426dfa                          // vmul.f32      q11, q9, q13
  .long  0xf3008d7a                          // vmul.f32      q4, q0, q13
  .long  0xecc3cb04                          // vstmia        r3, {d28-d29}
  .long  0xf34ccdd6                          // vmul.f32      q14, q14, q3
  .long  0xe28f2f7e                          // add           r2, pc, #504
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf462eacf                          // vld1.64       {d30-d31}, [r2]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf34c6dfe                          // vmul.f32      q11, q14, q15
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf3426d78                          // vmul.f32      q11, q1, q12
  .long  0xf2486d66                          // vadd.f32      q11, q4, q11
  .long  0xf3048d7e                          // vmul.f32      q4, q2, q15
  .long  0xf2068dc8                          // vadd.f32      q4, q11, q4
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf3088d76                          // vmul.f32      q4, q4, q11
  .long  0xf2288d64                          // vsub.f32      q4, q4, q10
  .long  0xf2404dc8                          // vadd.f32      q10, q8, q4
  .long  0xf2420dc8                          // vadd.f32      q8, q9, q4
  .long  0xf24ccdc8                          // vadd.f32      q14, q14, q4
  .long  0xf3448df8                          // vmul.f32      q12, q10, q12
  .long  0xf3402dfa                          // vmul.f32      q9, q8, q13
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf34c8dfe                          // vmul.f32      q12, q14, q15
  .long  0xf2488de2                          // vadd.f32      q12, q12, q9
  .long  0xf2642de8                          // vsub.f32      q9, q10, q12
  .long  0xf308adf2                          // vmul.f32      q5, q12, q9
  .long  0xf2642fec                          // vmin.f32      q9, q10, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf3f9e4e2                          // vcge.f32      q15, q9, #0
  .long  0xf2288de2                          // vsub.f32      q4, q12, q9
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf248adcc                          // vadd.f32      q13, q12, q6
  .long  0xf22ec1fe                          // vorr          q6, q15, q15
  .long  0xf314c1fa                          // vbsl          q6, q10, q13
  .long  0xf2444fec                          // vmax.f32      q10, q10, q14
  .long  0xf346add6                          // vmul.f32      q13, q11, q3
  .long  0xf22cad68                          // vsub.f32      q5, q6, q12
  .long  0xf2404fe4                          // vmax.f32      q10, q8, q10
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf224ede8                          // vsub.f32      q7, q10, q12
  .long  0xf302adda                          // vmul.f32      q5, q9, q5
  .long  0xf3644eea                          // vcgt.f32      q10, q10, q13
  .long  0xeecb5aaf                          // vdiv.f32      s11, s23, s31
  .long  0xee8b5a0f                          // vdiv.f32      s10, s22, s30
  .long  0xeeca4aae                          // vdiv.f32      s9, s21, s29
  .long  0xee8a4a0e                          // vdiv.f32      s8, s20, s28
  .long  0xf2084dc4                          // vadd.f32      q2, q12, q2
  .long  0xf224a1f4                          // vorr          q5, q10, q10
  .long  0xf314a15c                          // vbsl          q5, q2, q6
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf20acf44                          // vmax.f32      q6, q5, q2
  .long  0xf220ade8                          // vsub.f32      q5, q8, q12
  .long  0xf308adda                          // vmul.f32      q5, q12, q5
  .long  0xeecb3aa9                          // vdiv.f32      s7, s23, s19
  .long  0xee8b3a09                          // vdiv.f32      s6, s22, s18
  .long  0xeeca2aa8                          // vdiv.f32      s5, s21, s17
  .long  0xee8a2a08                          // vdiv.f32      s4, s20, s16
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf310a1d2                          // vbsl          q5, q8, q1
  .long  0xf26a0d68                          // vsub.f32      q8, q5, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec31aaf                          // vdiv.f32      s3, s7, s31
  .long  0xee831a0f                          // vdiv.f32      s2, s6, s30
  .long  0xeec20aae                          // vdiv.f32      s1, s5, s29
  .long  0xee820a0e                          // vdiv.f32      s0, s4, s28
  .long  0xf2480dc0                          // vadd.f32      q8, q12, q0
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf31001da                          // vbsl          q0, q8, q5
  .long  0xf2400f44                          // vmax.f32      q8, q0, q2
  .long  0xf22c0de8                          // vsub.f32      q0, q14, q12
  .long  0xf3080dd0                          // vmul.f32      q0, q12, q0
  .long  0xeec13aa9                          // vdiv.f32      s7, s3, s19
  .long  0xee813a09                          // vdiv.f32      s6, s2, s18
  .long  0xeec02aa8                          // vdiv.f32      s5, s1, s17
  .long  0xee802a08                          // vdiv.f32      s4, s0, s16
  .long  0xf2080dc2                          // vadd.f32      q0, q12, q1
  .long  0xf35ce1d0                          // vbsl          q15, q14, q0
  .long  0xf26ecde8                          // vsub.f32      q14, q15, q12
  .long  0xf3020dfc                          // vmul.f32      q0, q9, q14
  .long  0xecd2cb04                          // vldmia        r2, {d28-d29}
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xeec13aaf                          // vdiv.f32      s7, s3, s31
  .long  0xee813a0f                          // vdiv.f32      s6, s2, s30
  .long  0xeec02aae                          // vdiv.f32      s5, s1, s29
  .long  0xee802a0e                          // vdiv.f32      s4, s0, s28
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf35241fe                          // vbsl          q10, q9, q15
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2444fc4                          // vmax.f32      q10, q10, q2
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622de6                          // vsub.f32      q9, q9, q11
  .long  0xf2466dc6                          // vadd.f32      q11, q11, q3
  .long  0xf348cdfc                          // vmul.f32      q14, q12, q14
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf2266dea                          // vsub.f32      q3, q11, q13
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf348edfe                          // vmul.f32      q15, q12, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf20c2dcc                          // vadd.f32      q1, q14, q6
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf3488dd0                          // vmul.f32      q12, q12, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf2024de4                          // vadd.f32      q2, q9, q10
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_srcover_rgba_8888_vfp4
.globl _sk_srcover_rgba_8888_vfp4
FUNCTION(_sk_srcover_rgba_8888_vfp4)
_sk_srcover_rgba_8888_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe5905004                          // ldr           r5, [r0, #4]
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5906000                          // ldr           r6, [r0]
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe5903008                          // ldr           r3, [r0, #8]
  .long  0xe0020592                          // mul           r2, r2, r5
  .long  0xe2805010                          // add           r5, r0, #16
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe2804020                          // add           r4, r0, #32
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0x1a000032                          // bne           1ba0 <sk_srcover_rgba_8888_vfp4+0x110>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7405f                          // vmov.i32      q10, #255
  .long  0xe28f6f51                          // add           r6, pc, #324
  .long  0xf3f02070                          // vshr.u32      q9, q8, #16
  .long  0xf4668acf                          // vld1.64       {d24-d25}, [r6]
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xf240e1f4                          // vand          q15, q8, q10
  .long  0xf3a88070                          // vshr.u32      q4, q8, #24
  .long  0xf3f80070                          // vshr.u32      q8, q8, #8
  .long  0xf2666dc6                          // vsub.f32      q11, q11, q3
  .long  0xf24001f4                          // vand          q8, q8, q10
  .long  0xf3bb8648                          // vcvt.f32.s32  q4, q4
  .long  0xf3066d78                          // vmul.f32      q3, q3, q12
  .long  0xf24221f4                          // vand          q9, q9, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3022d78                          // vmul.f32      q1, q1, q12
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf3000d78                          // vmul.f32      q0, q0, q12
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3044d78                          // vmul.f32      q2, q2, q12
  .long  0xf2086c76                          // vfma.f32      q3, q4, q11
  .long  0xf445eaef                          // vst1.64       {d30-d31}, [r5 :128]
  .long  0xf2002cf6                          // vfma.f32      q1, q8, q11
  .long  0xf4440aef                          // vst1.64       {d16-d17}, [r4 :128]
  .long  0xf20e0cf6                          // vfma.f32      q0, q15, q11
  .long  0xf44e2aef                          // vst1.64       {d18-d19}, [lr :128]
  .long  0xf2024cf6                          // vfma.f32      q2, q9, q11
  .long  0xf40c8aef                          // vst1.64       {d8-d9}, [ip :128]
  .long  0xf2c3a65f                          // vmov.i32      q13, #1056964608
  .long  0xf206ad6a                          // vadd.f32      q5, q3, q13
  .long  0xf2424d6a                          // vadd.f32      q10, q1, q13
  .long  0xf240ed6a                          // vadd.f32      q15, q0, q13
  .long  0xf244cd6a                          // vadd.f32      q14, q2, q13
  .long  0xf3bba7ca                          // vcvt.u32.f32  q5, q5
  .long  0xf3fb47e4                          // vcvt.u32.f32  q10, q10
  .long  0xf3fbe7ee                          // vcvt.u32.f32  q15, q15
  .long  0xf3fbc7ec                          // vcvt.u32.f32  q14, q14
  .long  0xf2b8a55a                          // vshl.s32      q5, q5, #24
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf26ee1da                          // vorr          q15, q15, q5
  .long  0xf2f0c57c                          // vshl.s32      q14, q14, #16
  .long  0xf26e01f4                          // vorr          q8, q15, q10
  .long  0xf26001fc                          // vorr          q8, q8, q14
  .long  0x1a000015                          // bne           1be0 <sk_srcover_rgba_8888_vfp4+0x150>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2036003                          // and           r6, r3, #3
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0a000017                          // beq           1c0c <sk_srcover_rgba_8888_vfp4+0x17c>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3560002                          // cmp           r6, #2
  .long  0x0a000005                          // beq           1bd0 <sk_srcover_rgba_8888_vfp4+0x140>
  .long  0xe3560003                          // cmp           r6, #3
  .long  0x1affffc5                          // bne           1ad8 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xe2826008                          // add           r6, r2, #8
  .long  0xf4e6183f                          // vld1.32       {d17[0]}, [r6 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffbd                          // b             1ad8 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xe2033003                          // and           r3, r3, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000b                          // beq           1c1c <sk_srcover_rgba_8888_vfp4+0x18c>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           1c04 <sk_srcover_rgba_8888_vfp4+0x174>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe3                          // bne           1b8c <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeaffffdf                          // b             1b8c <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffae                          // b             1ad8 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd9                          // b             1b8c <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_clamp_0_vfp4
.globl _sk_clamp_0_vfp4
FUNCTION(_sk_clamp_0_vfp4)
_sk_clamp_0_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2000f60                          // vmax.f32      q0, q0, q8
  .long  0xf2022f60                          // vmax.f32      q1, q1, q8
  .long  0xf2044f60                          // vmax.f32      q2, q2, q8
  .long  0xf2066f60                          // vmax.f32      q3, q3, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_1_vfp4
.globl _sk_clamp_1_vfp4
FUNCTION(_sk_clamp_1_vfp4)
_sk_clamp_1_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2200f60                          // vmin.f32      q0, q0, q8
  .long  0xf2222f60                          // vmin.f32      q1, q1, q8
  .long  0xf2244f60                          // vmin.f32      q2, q2, q8
  .long  0xf2266f60                          // vmin.f32      q3, q3, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_a_vfp4
.globl _sk_clamp_a_vfp4
FUNCTION(_sk_clamp_a_vfp4)
_sk_clamp_a_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2266f60                          // vmin.f32      q3, q3, q8
  .long  0xf2200f46                          // vmin.f32      q0, q0, q3
  .long  0xf2222f46                          // vmin.f32      q1, q1, q3
  .long  0xf2244f46                          // vmin.f32      q2, q2, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_a_dst_vfp4
.globl _sk_clamp_a_dst_vfp4
FUNCTION(_sk_clamp_a_dst_vfp4)
_sk_clamp_a_dst_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2620fe0                          // vmin.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2622fe0                          // vmin.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2622fe0                          // vmin.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2620fe0                          // vmin.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_set_rgb_vfp4
.globl _sk_set_rgb_vfp4
FUNCTION(_sk_set_rgb_vfp4)
_sk_set_rgb_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4a30cbd                          // vld1.32       {d0[]-d1[]}, [r3 :32]!
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xf4a32cbf                          // vld1.32       {d2[]-d3[]}, [r3 :32]
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_swap_rb_vfp4
.globl _sk_swap_rb_vfp4
FUNCTION(_sk_swap_rb_vfp4)
_sk_swap_rb_vfp4:
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2240154                          // vorr          q0, q2, q2
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_invert_vfp4
.globl _sk_invert_vfp4
FUNCTION(_sk_invert_vfp4)
_sk_invert_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2200dc0                          // vsub.f32      q0, q8, q0
  .long  0xf2202dc2                          // vsub.f32      q1, q8, q1
  .long  0xf2204dc4                          // vsub.f32      q2, q8, q2
  .long  0xf2206dc6                          // vsub.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_move_src_dst_vfp4
.globl _sk_move_src_dst_vfp4
FUNCTION(_sk_move_src_dst_vfp4)
_sk_move_src_dst_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4020aef                          // vst1.64       {d0-d1}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4022aef                          // vst1.64       {d2-d3}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4024aef                          // vst1.64       {d4-d5}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4026aef                          // vst1.64       {d6-d7}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_move_dst_src_vfp4
.globl _sk_move_dst_src_vfp4
FUNCTION(_sk_move_dst_src_vfp4)
_sk_move_dst_src_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0xf4226aef                          // vld1.64       {d6-d7}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4224aef                          // vld1.64       {d4-d5}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf4230aef                          // vld1.64       {d0-d1}, [r3 :128]
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_premul_vfp4
.globl _sk_premul_vfp4
FUNCTION(_sk_premul_vfp4)
_sk_premul_vfp4:
  .long  0xf3000d56                          // vmul.f32      q0, q0, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf3044d56                          // vmul.f32      q2, q2, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_premul_dst_vfp4
.globl _sk_premul_dst_vfp4
FUNCTION(_sk_premul_dst_vfp4)
_sk_premul_dst_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3422df0                          // vmul.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_unpremul_vfp4
.globl _sk_unpremul_vfp4
FUNCTION(_sk_unpremul_vfp4)
_sk_unpremul_vfp4:
  .long  0xed2dab04                          // vpush         {d10-d11}
  .long  0xed2d8b02                          // vpush         {d8}
  .long  0xeeb78a00                          // vmov.f32      s16, #112
  .long  0xf3f92546                          // vceq.f32      q9, q3, #0
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xeec8ba27                          // vdiv.f32      s23, s16, s15
  .long  0xee88ba07                          // vdiv.f32      s22, s16, s14
  .long  0xeec8aa26                          // vdiv.f32      s21, s16, s13
  .long  0xee88aa06                          // vdiv.f32      s20, s16, s12
  .long  0xf35021da                          // vbsl          q9, q8, q5
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf3022dd2                          // vmul.f32      q1, q9, q1
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xecbd8b02                          // vpop          {d8}
  .long  0xecbdab04                          // vpop          {d10-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_from_srgb_vfp4
.globl _sk_from_srgb_vfp4
FUNCTION(_sk_from_srgb_vfp4)
_sk_from_srgb_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf3408d50                          // vmul.f32      q12, q0, q0
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2098                          // add           r2, pc, #152
  .long  0xf342ad52                          // vmul.f32      q13, q1, q1
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf26621f6                          // vorr          q9, q11, q11
  .long  0xf26641f6                          // vorr          q10, q11, q11
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xe28f2098                          // add           r2, pc, #152
  .long  0xf2424c70                          // vfma.f32      q10, q1, q8
  .long  0xf26ce1fc                          // vorr          q15, q14, q14
  .long  0xf2446c70                          // vfma.f32      q11, q2, q8
  .long  0xf22c81fc                          // vorr          q4, q14, q14
  .long  0xf248ecf2                          // vfma.f32      q15, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f208c                          // add           r2, pc, #140
  .long  0xf20a8cf4                          // vfma.f32      q4, q13, q10
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3680ec2                          // vcgt.f32      q8, q12, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3022d7a                          // vmul.f32      q1, q1, q13
  .long  0xf3682ec4                          // vcgt.f32      q9, q12, q2
  .long  0xf3684ec0                          // vcgt.f32      q10, q12, q0
  .long  0xf3448d7a                          // vmul.f32      q12, q2, q13
  .long  0xf340ad7a                          // vmul.f32      q13, q0, q13
  .long  0xf3040d54                          // vmul.f32      q0, q2, q2
  .long  0xf3520158                          // vbsl          q8, q1, q4
  .long  0xf35a41fe                          // vbsl          q10, q13, q15
  .long  0xf240cc76                          // vfma.f32      q14, q0, q11
  .long  0xf35821fc                          // vbsl          q9, q12, q14
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391

HIDDEN _sk_from_srgb_dst_vfp4
.globl _sk_from_srgb_dst_vfp4
FUNCTION(_sk_from_srgb_dst_vfp4)
_sk_from_srgb_dst_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe28f20ac                          // add           r2, pc, #172
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe28f30ac                          // add           r3, pc, #172
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf463cacf                          // vld1.64       {d28-d29}, [r3]
  .long  0xf344adf4                          // vmul.f32      q13, q10, q10
  .long  0xf368eee4                          // vcgt.f32      q15, q12, q10
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf4238acf                          // vld1.64       {d8-d9}, [r3]
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf228a158                          // vorr          q5, q4, q4
  .long  0xf20aacf6                          // vfma.f32      q5, q13, q11
  .long  0xf354e1da                          // vbsl          q15, q10, q5
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf228a158                          // vorr          q5, q4, q4
  .long  0xf442eaef                          // vst1.64       {d30-d31}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf344adf4                          // vmul.f32      q13, q10, q10
  .long  0xf368eee4                          // vcgt.f32      q15, q12, q10
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf20aacf6                          // vfma.f32      q5, q13, q11
  .long  0xf354e1da                          // vbsl          q15, q10, q5
  .long  0xf442eaef                          // vst1.64       {d30-d31}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2440cf2                          // vfma.f32      q8, q10, q9
  .long  0xf3442df4                          // vmul.f32      q9, q10, q10
  .long  0xf3686ee4                          // vcgt.f32      q11, q12, q10
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf2028cf0                          // vfma.f32      q4, q9, q8
  .long  0xf35461d8                          // vbsl          q11, q10, q4
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a

HIDDEN _sk_to_srgb_vfp4
.globl _sk_to_srgb_vfp4
FUNCTION(_sk_to_srgb_vfp4)
_sk_to_srgb_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xf3fb05c0                          // vrsqrte.f32   q8, q0
  .long  0xe28f20f8                          // add           r2, pc, #248
  .long  0xf3402df0                          // vmul.f32      q9, q8, q8
  .long  0xf2602f72                          // vrsqrts.f32   q9, q0, q9
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f20f4                          // add           r2, pc, #244
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20fc                          // add           r2, pc, #252
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2f41                          // add           r2, pc, #260
  .long  0xf26ac1fa                          // vorr          q14, q13, q13
  .long  0xf240ccf8                          // vfma.f32      q14, q8, q12
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f2f41                          // add           r2, pc, #260
  .long  0xf22681f6                          // vorr          q4, q11, q11
  .long  0xf2404de2                          // vadd.f32      q10, q8, q9
  .long  0xf3fbe564                          // vrecpe.f32    q15, q10
  .long  0xf2008cfc                          // vfma.f32      q4, q8, q14
  .long  0xf3fb05c2                          // vrsqrte.f32   q8, q1
  .long  0xf2444ffe                          // vrecps.f32    q10, q10, q15
  .long  0xf340cdf0                          // vmul.f32      q14, q8, q8
  .long  0xf262cf7c                          // vrsqrts.f32   q14, q1, q14
  .long  0xf34e4df4                          // vmul.f32      q10, q15, q10
  .long  0xf266e1f6                          // vorr          q15, q11, q11
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xf26ac1fa                          // vorr          q14, q13, q13
  .long  0xf240ccf8                          // vfma.f32      q14, q8, q12
  .long  0xf240ecfc                          // vfma.f32      q15, q8, q14
  .long  0xf2400de2                          // vadd.f32      q8, q8, q9
  .long  0xf3fbc560                          // vrecpe.f32    q14, q8
  .long  0xf2400ffc                          // vrecps.f32    q8, q8, q14
  .long  0xf34c0df0                          // vmul.f32      q8, q14, q8
  .long  0xf3fbc5c4                          // vrsqrte.f32   q14, q2
  .long  0xf30cadfc                          // vmul.f32      q5, q14, q14
  .long  0xf224af5a                          // vrsqrts.f32   q5, q2, q5
  .long  0xf34ccdda                          // vmul.f32      q14, q14, q5
  .long  0xf24c2de2                          // vadd.f32      q9, q14, q9
  .long  0xf24cacf8                          // vfma.f32      q13, q14, q12
  .long  0xf3fb8562                          // vrecpe.f32    q12, q9
  .long  0xf2422ff8                          // vrecps.f32    q9, q9, q12
  .long  0xf24c6cfa                          // vfma.f32      q11, q14, q13
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20a0                          // add           r2, pc, #160
  .long  0xf34ecdf0                          // vmul.f32      q14, q15, q8
  .long  0xf348ed74                          // vmul.f32      q15, q4, q10
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xf36a0ec4                          // vcgt.f32      q8, q13, q2
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3044d58                          // vmul.f32      q2, q2, q4
  .long  0xf36a4ec0                          // vcgt.f32      q10, q13, q0
  .long  0xf3488df2                          // vmul.f32      q12, q12, q9
  .long  0xf36a2ec2                          // vcgt.f32      q9, q13, q1
  .long  0xf3022d58                          // vmul.f32      q1, q1, q4
  .long  0xf340ad58                          // vmul.f32      q13, q0, q4
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3540176                          // vbsl          q8, q2, q11
  .long  0xf352217c                          // vbsl          q9, q1, q14
  .long  0xf35a41fe                          // vbsl          q10, q13, q15
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852

HIDDEN _sk_rgb_to_hsl_vfp4
.globl _sk_rgb_to_hsl_vfp4
FUNCTION(_sk_rgb_to_hsl_vfp4)
_sk_rgb_to_hsl_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2620f44                          // vmin.f32      q8, q1, q2
  .long  0xe28f20c8                          // add           r2, pc, #200
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf2422f44                          // vmax.f32      q9, q1, q2
  .long  0xeeb7ca00                          // vmov.f32      s24, #112
  .long  0xf2600f60                          // vmin.f32      q8, q0, q8
  .long  0xf2402f62                          // vmax.f32      q9, q0, q9
  .long  0xf2624d44                          // vsub.f32      q10, q1, q2
  .long  0xf3648e42                          // vcgt.f32      q12, q2, q1
  .long  0xf2228de0                          // vsub.f32      q4, q9, q8
  .long  0xf260cd42                          // vsub.f32      q14, q0, q1
  .long  0xf2c1ef50                          // vmov.f32      q15, #4
  .long  0xeeccba29                          // vdiv.f32      s23, s24, s19
  .long  0xee8cba09                          // vdiv.f32      s22, s24, s18
  .long  0xeeccaa28                          // vdiv.f32      s21, s24, s17
  .long  0xee8caa08                          // vdiv.f32      s20, s24, s16
  .long  0xf3446dda                          // vmul.f32      q11, q10, q5
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf35a81f4                          // vbsl          q12, q13, q10
  .long  0xf34ccdda                          // vmul.f32      q14, q14, q5
  .long  0xf2486de6                          // vadd.f32      q11, q12, q11
  .long  0xf2648d40                          // vsub.f32      q12, q2, q0
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xf242ede0                          // vadd.f32      q15, q9, q8
  .long  0xf3488dda                          // vmul.f32      q12, q12, q5
  .long  0xf283a65f                          // vmov.i32      q5, #1056964608
  .long  0xf2c4a650                          // vmov.i32      q13, #1073741824
  .long  0xf30e4dda                          // vmul.f32      q2, q15, q5
  .long  0xf2488dea                          // vadd.f32      q12, q12, q13
  .long  0xf26aade2                          // vsub.f32      q13, q13, q9
  .long  0xf324ce4a                          // vcgt.f32      q6, q2, q5
  .long  0xf26aade0                          // vsub.f32      q13, q13, q8
  .long  0xf2420ee0                          // vceq.f32      q8, q9, q8
  .long  0xf31ac1fe                          // vbsl          q6, q13, q15
  .long  0xf242aec0                          // vceq.f32      q13, q9, q0
  .long  0xeec9baad                          // vdiv.f32      s23, s19, s27
  .long  0xee89ba0d                          // vdiv.f32      s22, s18, s26
  .long  0xeec8aaac                          // vdiv.f32      s21, s17, s25
  .long  0xee88aa0c                          // vdiv.f32      s20, s16, s24
  .long  0xf2422ec2                          // vceq.f32      q9, q9, q1
  .long  0xf35821fc                          // vbsl          q9, q12, q14
  .long  0xf356a1f2                          // vbsl          q13, q11, q9
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35401da                          // vbsl          q8, q10, q5
  .long  0xf35421fa                          // vbsl          q9, q10, q13
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf3020df6                          // vmul.f32      q0, q9, q11
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab

HIDDEN _sk_hsl_to_rgb_vfp4
.globl _sk_hsl_to_rgb_vfp4
FUNCTION(_sk_hsl_to_rgb_vfp4)
_sk_hsl_to_rgb_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd028                          // sub           sp, sp, #40
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf3424d54                          // vmul.f32      q10, q1, q2
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xec836b04                          // vstmia        r3, {d6-d7}
  .long  0xe28f2f63                          // add           r2, pc, #396
  .long  0xf3446e66                          // vcge.f32      q11, q2, q11
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2f63                          // add           r2, pc, #396
  .long  0xf2400d60                          // vadd.f32      q8, q0, q8
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xe28f2e19                          // add           r2, pc, #400
  .long  0xf2628d64                          // vsub.f32      q12, q1, q10
  .long  0xf422eacf                          // vld1.64       {d14-d15}, [r2]
  .long  0xf2c0a050                          // vmov.i32      q13, #0
  .long  0xf3fb2760                          // vcvt.s32.f32  q9, q8
  .long  0xf35861f4                          // vbsl          q11, q12, q10
  .long  0xf283665f                          // vmov.i32      q3, #1056964608
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf2464dc4                          // vadd.f32      q10, q11, q2
  .long  0xf2446d44                          // vadd.f32      q11, q2, q2
  .long  0xf362cee0                          // vcgt.f32      q14, q9, q8
  .long  0xf281cf50                          // vmov.f32      q6, #4
  .long  0xf2666de4                          // vsub.f32      q11, q11, q10
  .long  0xf358c17a                          // vbsl          q14, q4, q13
  .long  0xf283a65f                          // vmov.i32      q5, #1056964608
  .long  0xf2622dec                          // vsub.f32      q9, q9, q14
  .long  0xf264cde6                          // vsub.f32      q14, q10, q11
  .long  0xf260ade2                          // vsub.f32      q13, q8, q9
  .long  0xf2c10f58                          // vmov.f32      q8, #6
  .long  0xf2c12f50                          // vmov.f32      q9, #4
  .long  0xf34a0df0                          // vmul.f32      q8, q13, q8
  .long  0xf34aeece                          // vcge.f32      q15, q13, q7
  .long  0xf2628de0                          // vsub.f32      q12, q9, q8
  .long  0xf34c0df0                          // vmul.f32      q8, q14, q8
  .long  0xf2c02050                          // vmov.i32      q9, #0
  .long  0xf34c8df8                          // vmul.f32      q12, q14, q12
  .long  0xf2460de0                          // vadd.f32      q8, q11, q8
  .long  0xf2468de8                          // vadd.f32      q12, q11, q12
  .long  0xeccd0b04                          // vstmia        sp, {d16-d17}
  .long  0xe28f2f4b                          // add           r2, pc, #300
  .long  0xf356e1f8                          // vbsl          q15, q11, q12
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2e13                          // add           r2, pc, #304
  .long  0xf2400d60                          // vadd.f32      q8, q0, q8
  .long  0xf34a8ec6                          // vcge.f32      q12, q13, q3
  .long  0xf3bb6760                          // vcvt.s32.f32  q3, q8
  .long  0xf35e81f4                          // vbsl          q12, q15, q10
  .long  0xf3bb6646                          // vcvt.f32.s32  q3, q3
  .long  0xf366ee60                          // vcgt.f32      q15, q3, q8
  .long  0xf358e172                          // vbsl          q15, q4, q9
  .long  0xf266ed6e                          // vsub.f32      q15, q3, q15
  .long  0xf2602dee                          // vsub.f32      q9, q8, q15
  .long  0xf2c10f58                          // vmov.f32      q8, #6
  .long  0xf342edf0                          // vmul.f32      q15, q9, q8
  .long  0xf3420ece                          // vcge.f32      q8, q9, q7
  .long  0xf22c6d6e                          // vsub.f32      q3, q6, q15
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf30c6dd6                          // vmul.f32      q3, q14, q3
  .long  0xf2066dc6                          // vadd.f32      q3, q11, q3
  .long  0xf35601d6                          // vbsl          q8, q11, q3
  .long  0xf3026eca                          // vcge.f32      q3, q9, q5
  .long  0xf31061f4                          // vbsl          q3, q8, q10
  .long  0xf34c0dfe                          // vmul.f32      q8, q14, q15
  .long  0xf3fbe740                          // vcvt.s32.f32  q15, q0
  .long  0xf2460de0                          // vadd.f32      q8, q11, q8
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf32eaec0                          // vcgt.f32      q5, q15, q0
  .long  0xf318a15c                          // vbsl          q5, q4, q6
  .long  0xf2818f50                          // vmov.f32      q4, #4
  .long  0xf26eedca                          // vsub.f32      q15, q15, q5
  .long  0xf260ed6e                          // vsub.f32      q15, q0, q15
  .long  0xf2810f58                          // vmov.f32      q0, #6
  .long  0xf30e0dd0                          // vmul.f32      q0, q15, q0
  .long  0xf30eaece                          // vcge.f32      q5, q15, q7
  .long  0xf2288d40                          // vsub.f32      q4, q4, q0
  .long  0xf30c8dd8                          // vmul.f32      q4, q14, q4
  .long  0xf2068dc8                          // vadd.f32      q4, q11, q4
  .long  0xf316a1d8                          // vbsl          q5, q11, q4
  .long  0xf283865f                          // vmov.i32      q4, #1056964608
  .long  0xf30e8ec8                          // vcge.f32      q4, q15, q4
  .long  0xf31a8174                          // vbsl          q4, q5, q10
  .long  0xf34c4dd0                          // vmul.f32      q10, q14, q0
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3422ee6                          // vcge.f32      q9, q9, q11
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf34aaee6                          // vcge.f32      q13, q13, q11
  .long  0xf34e6ee6                          // vcge.f32      q11, q15, q11
  .long  0xf3562170                          // vbsl          q9, q3, q8
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf358a1f0                          // vbsl          q13, q12, q8
  .long  0xf3f90542                          // vceq.f32      q8, q1, #0
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf354017a                          // vbsl          q8, q2, q13
  .long  0xf3586174                          // vbsl          q11, q4, q10
  .long  0xf3142176                          // vbsl          q1, q2, q11
  .long  0xf3140172                          // vbsl          q0, q2, q9
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xe28dd028                          // add           sp, sp, #40
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab

HIDDEN _sk_scale_1_float_vfp4
.globl _sk_scale_1_float_vfp4
FUNCTION(_sk_scale_1_float_vfp4)
_sk_scale_1_float_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbf                          // vld1.32       {d16[]-d17[]}, [r3 :32]
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_scale_u8_vfp4
.globl _sk_scale_u8_vfp4
FUNCTION(_sk_scale_u8_vfp4)
_sk_scale_u8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000013                          // bne           250c <sk_scale_u8_vfp4+0x7c>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           2564 <sk_scale_u8_vfp4+0xd4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           253c <sk_scale_u8_vfp4+0xac>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe8                          // bne           24d0 <sk_scale_u8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffda                          // b             24d0 <sk_scale_u8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd5                          // b             24d0 <sk_scale_u8_vfp4+0x40>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_scale_565_vfp4
.globl _sk_scale_565_vfp4
FUNCTION(_sk_scale_565_vfp4)
_sk_scale_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590c000                          // ldr           ip, [r0]
  .long  0xe9904004                          // ldmib         r0, {r2, lr}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082308c                          // add           r3, r2, ip, lsl #1
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0x1a000024                          // bne           2650 <sk_scale_565_vfp4+0xc8>
  .long  0xf463074f                          // vld1.16       {d16}, [r3]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xeea42b90                          // vdup.32       q10, r2
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf3c76258                          // vmov.i32      q11, #63488
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3444dfa                          // vmul.f32      q10, q10, q13
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf3666ec6                          // vcgt.f32      q11, q11, q3
  .long  0xf2648fe2                          // vmin.f32      q12, q10, q9
  .long  0xf244afe2                          // vmax.f32      q13, q10, q9
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf2608fe8                          // vmin.f32      q12, q8, q12
  .long  0xf240afea                          // vmax.f32      q13, q8, q13
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf35861fa                          // vbsl          q11, q12, q13
  .long  0xf3066dd6                          // vmul.f32      q3, q11, q3
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20e2003                          // and           r2, lr, #3
  .long  0xe3520001                          // cmp           r2, #1
  .long  0x0a000011                          // beq           26a4 <sk_scale_565_vfp4+0x11c>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3520002                          // cmp           r2, #2
  .long  0x0a000005                          // beq           2680 <sk_scale_565_vfp4+0xf8>
  .long  0xe3520003                          // cmp           r2, #3
  .long  0x1affffd3                          // bne           25c0 <sk_scale_565_vfp4+0x38>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xee802bb0                          // vdup.16       d16, r2
  .long  0xe2832004                          // add           r2, r3, #4
  .long  0xf4e2049f                          // vld1.16       {d16[2]}, [r2 :16]
  .long  0xe5932000                          // ldr           r2, [r3]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffc6                          // b             25c0 <sk_scale_565_vfp4+0x38>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xee802bb0                          // vdup.16       d16, r2
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xeaffffc2                          // b             25c0 <sk_scale_565_vfp4+0x38>
  .long  0xe320f000                          // nop           {0}
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108

HIDDEN _sk_lerp_1_float_vfp4
.globl _sk_lerp_1_float_vfp4
FUNCTION(_sk_lerp_1_float_vfp4)
_sk_lerp_1_float_vfp4:
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2648d60                          // vsub.f32      q12, q2, q8
  .long  0xf4e3ecbf                          // vld1.32       {d30[]-d31[]}, [r3 :32]
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf260ad62                          // vsub.f32      q13, q0, q9
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf262cd64                          // vsub.f32      q14, q1, q10
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf2260d66                          // vsub.f32      q0, q3, q11
  .long  0xf2480cfe                          // vfma.f32      q8, q12, q15
  .long  0xf24c4cfe                          // vfma.f32      q10, q14, q15
  .long  0xf2406c7e                          // vfma.f32      q11, q0, q15
  .long  0xf24a2cfe                          // vfma.f32      q9, q13, q15
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_lerp_u8_vfp4
.globl _sk_lerp_u8_vfp4
FUNCTION(_sk_lerp_u8_vfp4)
_sk_lerp_u8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0225492                          // mla           r2, r2, r4, r5
  .long  0xe0824003                          // add           r4, r2, r3
  .long  0xe2803020                          // add           r3, r0, #32
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0x1a00001f                          // bne           2800 <sk_lerp_u8_vfp4+0xb8>
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4634aef                          // vld1.64       {d20-d21}, [r3 :128]
  .long  0xf262cd64                          // vsub.f32      q14, q1, q10
  .long  0xf3d02a30                          // vmovl.u16     q9, d16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf2608d60                          // vsub.f32      q12, q0, q8
  .long  0xf3fb66e2                          // vcvt.f32.u32  q11, q9
  .long  0xf46e2aef                          // vld1.64       {d18-d19}, [lr :128]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf264ed62                          // vsub.f32      q15, q2, q9
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf346adfa                          // vmul.f32      q13, q11, q13
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf2260d66                          // vsub.f32      q0, q3, q11
  .long  0xf24c4cfa                          // vfma.f32      q10, q14, q13
  .long  0xf24e2cfa                          // vfma.f32      q9, q15, q13
  .long  0xf2406c7a                          // vfma.f32      q11, q0, q13
  .long  0xf2480cfa                          // vfma.f32      q8, q12, q13
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000012                          // beq           2858 <sk_lerp_u8_vfp4+0x110>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           2830 <sk_lerp_u8_vfp4+0xe8>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdc                          // bne           2794 <sk_lerp_u8_vfp4+0x4c>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xe5d45002                          // ldrb          r5, [r4, #2]
  .long  0xee806bb0                          // vdup.16       d16, r6
  .long  0xee205bb0                          // vmov.16       d16[2], r5
  .long  0xe1d440b0                          // ldrh          r4, [r4]
  .long  0xe1cd40b4                          // strh          r4, [sp, #4]
  .long  0xe28d4004                          // add           r4, sp, #4
  .long  0xf4e4241f                          // vld1.16       {d18[0]}, [r4 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffce                          // b             2794 <sk_lerp_u8_vfp4+0x4c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d44000                          // ldrb          r4, [r4]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee004bb0                          // vmov.16       d16[0], r4
  .long  0xeaffffc9                          // b             2794 <sk_lerp_u8_vfp4+0x4c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_lerp_565_vfp4
.globl _sk_lerp_565_vfp4
FUNCTION(_sk_lerp_565_vfp4)
_sk_lerp_565_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280e040                          // add           lr, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280c020                          // add           ip, r0, #32
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00002f                          // bne           297c <sk_lerp_565_vfp4+0xfc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a04e7e                          // mov           r4, #2016
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xeea44b90                          // vdup.32       q10, r4
  .long  0xe28f4f42                          // add           r4, pc, #264
  .long  0xf3c76258                          // vmov.i32      q11, #63488
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xe28f4f41                          // add           r4, pc, #260
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xe28f4f42                          // add           r4, pc, #264
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf3428df8                          // vmul.f32      q12, q9, q12
  .long  0xf4642acf                          // vld1.64       {d18-d19}, [r4]
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf344adfa                          // vmul.f32      q13, q10, q13
  .long  0xf3406df2                          // vmul.f32      q11, q8, q9
  .long  0xf4630aef                          // vld1.64       {d16-d17}, [r3 :128]
  .long  0xf260ed60                          // vsub.f32      q15, q0, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf26a4fe8                          // vmin.f32      q10, q13, q12
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf24acfe8                          // vmax.f32      q14, q13, q12
  .long  0xf24e0cf6                          // vfma.f32      q8, q15, q11
  .long  0xf2260fe4                          // vmin.f32      q0, q11, q10
  .long  0xf46e4aef                          // vld1.64       {d20-d21}, [lr :128]
  .long  0xf266ed64                          // vsub.f32      q15, q3, q10
  .long  0xf3246ec6                          // vcgt.f32      q3, q10, q3
  .long  0xf246cfec                          // vmax.f32      q14, q11, q14
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf2244d62                          // vsub.f32      q2, q2, q9
  .long  0xf310617c                          // vbsl          q3, q0, q14
  .long  0xf262cd66                          // vsub.f32      q14, q1, q11
  .long  0xf2442c78                          // vfma.f32      q9, q2, q12
  .long  0xf24e4cd6                          // vfma.f32      q10, q15, q3
  .long  0xf24c6cfa                          // vfma.f32      q11, q14, q13
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xf22621f6                          // vorr          q1, q11, q11
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           29d0 <sk_lerp_565_vfp4+0x150>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           29ac <sk_lerp_565_vfp4+0x12c>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffc8                          // bne           28c0 <sk_lerp_565_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffbb                          // b             28c0 <sk_lerp_565_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffb7                          // b             28c0 <sk_lerp_565_vfp4+0x40>
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108

HIDDEN _sk_load_tables_vfp4
.globl _sk_load_tables_vfp4
FUNCTION(_sk_load_tables_vfp4)
_sk_load_tables_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5916000                          // ldr           r6, [r1]
  .long  0xe5902000                          // ldr           r2, [r0]
  .long  0xe5903008                          // ldr           r3, [r0, #8]
  .long  0xe5964000                          // ldr           r4, [r6]
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xe084e102                          // add           lr, r4, r2, lsl #2
  .long  0x1a000036                          // bne           2b0c <sk_load_tables_vfp4+0xfc>
  .long  0xf46e0a8f                          // vld1.32       {d16-d17}, [lr]
  .long  0xf3c7405f                          // vmov.i32      q10, #255
  .long  0xe5967004                          // ldr           r7, [r6, #4]
  .long  0xf3f02070                          // vshr.u32      q9, q8, #16
  .long  0xe596200c                          // ldr           r2, [r6, #12]
  .long  0xf24061f4                          // vand          q11, q8, q10
  .long  0xe5963008                          // ldr           r3, [r6, #8]
  .long  0xf24221f4                          // vand          q9, q9, q10
  .long  0xe28f6f42                          // add           r6, pc, #264
  .long  0xf4668acf                          // vld1.64       {d24-d25}, [r6]
  .long  0xee375b90                          // vmov.32       r5, d23[1]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee17eb90                          // vmov.32       lr, d23[0]
  .long  0xee368b90                          // vmov.32       r8, d22[1]
  .long  0xee16ab90                          // vmov.32       sl, d22[0]
  .long  0xf3f86070                          // vshr.u32      q11, q8, #8
  .long  0xee32cb90                          // vmov.32       ip, d18[1]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf24641f4                          // vand          q10, q11, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xee156b90                          // vmov.32       r6, d21[0]
  .long  0xf3006df8                          // vmul.f32      q3, q8, q12
  .long  0xe0875105                          // add           r5, r7, r5, lsl #2
  .long  0xe0829104                          // add           r9, r2, r4, lsl #2
  .long  0xee354b90                          // vmov.32       r4, d21[1]
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe087510e                          // add           r5, r7, lr, lsl #2
  .long  0xedd95a00                          // vldr          s11, [r9]
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe0875108                          // add           r5, r7, r8, lsl #2
  .long  0xe087710a                          // add           r7, r7, sl, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee345b90                          // vmov.32       r5, d20[1]
  .long  0xed970a00                          // vldr          s0, [r7]
  .long  0xe0837104                          // add           r7, r3, r4, lsl #2
  .long  0xee144b90                          // vmov.32       r4, d20[0]
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xee136b90                          // vmov.32       r6, d19[0]
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0833104                          // add           r3, r3, r4, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823106                          // add           r3, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe203c003                          // and           ip, r3, #3
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0a00000c                          // beq           2b4c <sk_load_tables_vfp4+0x13c>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe35c0002                          // cmp           ip, #2
  .long  0x0a000005                          // beq           2b3c <sk_load_tables_vfp4+0x12c>
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0x1affffc1                          // bne           2a34 <sk_load_tables_vfp4+0x24>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xe28e2008                          // add           r2, lr, #8
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xedde2b00                          // vldr          d18, [lr]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffb9                          // b             2a34 <sk_load_tables_vfp4+0x24>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xf4ee083f                          // vld1.32       {d16[0]}, [lr :32]
  .long  0xeaffffb5                          // b             2a34 <sk_load_tables_vfp4+0x24>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_tables_u16_be_vfp4
.globl _sk_load_tables_u16_be_vfp4
FUNCTION(_sk_load_tables_u16_be_vfp4)
_sk_load_tables_u16_be_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5918000                          // ldr           r8, [r1]
  .long  0xe5903000                          // ldr           r3, [r0]
  .long  0xe590e008                          // ldr           lr, [r0, #8]
  .long  0xe5982000                          // ldr           r2, [r8]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe082c183                          // add           ip, r2, r3, lsl #3
  .long  0x1a000039                          // bne           2c78 <sk_load_tables_u16_be_vfp4+0x108>
  .long  0xf46c004f                          // vld4.16       {d16-d19}, [ip]
  .long  0xf3c72b3f                          // vbic.i16      d18, #65280
  .long  0xe5986004                          // ldr           r6, [r8, #4]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe5983008                          // ldr           r3, [r8, #8]
  .long  0xe598200c                          // ldr           r2, [r8, #12]
  .long  0xe28f40f0                          // add           r4, pc, #240
  .long  0xf3d04a32                          // vmovl.u16     q10, d18
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3d08a30                          // vmovl.u16     q12, d16
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xee355b90                          // vmov.32       r5, d21[1]
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xee199b90                          // vmov.32       r9, d25[0]
  .long  0xee388b90                          // vmov.32       r8, d24[1]
  .long  0xee18ab90                          // vmov.32       sl, d24[0]
  .long  0xf3d08a31                          // vmovl.u16     q12, d17
  .long  0xee34cb90                          // vmov.32       ip, d20[1]
  .long  0xe082e105                          // add           lr, r2, r5, lsl #2
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe0864107                          // add           r4, r6, r7, lsl #2
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xedde5a00                          // vldr          s11, [lr]
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0864109                          // add           r4, r6, r9, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xe0864108                          // add           r4, r6, r8, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd40a00                          // vldr          s1, [r4]
  .long  0xe086410a                          // add           r4, r6, sl, lsl #2
  .long  0xee386b90                          // vmov.32       r6, d24[1]
  .long  0xed940a00                          // vldr          s0, [r4]
  .long  0xe0834107                          // add           r4, r3, r7, lsl #2
  .long  0xee187b90                          // vmov.32       r7, d24[0]
  .long  0xf3d88033                          // vshr.u16      d24, d19, #8
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0834105                          // add           r4, r3, r5, lsl #2
  .long  0xee155b90                          // vmov.32       r5, d21[0]
  .long  0xf26001b8                          // vorr          d16, d16, d24
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe0834106                          // add           r4, r3, r6, lsl #2
  .long  0xee146b90                          // vmov.32       r6, d20[0]
  .long  0xedd42a00                          // vldr          s5, [r4]
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df6                          // vmul.f32      q3, q8, q11
  .long  0xe0833107                          // add           r3, r3, r7, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823105                          // add           r3, r2, r5, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4ec070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [ip]
  .long  0xe35e0001                          // cmp           lr, #1
  .long  0x0affffc3                          // beq           2b94 <sk_load_tables_u16_be_vfp4+0x24>
  .long  0xe28c2008                          // add           r2, ip, #8
  .long  0xe35e0003                          // cmp           lr, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3affffbf                          // bcc           2b94 <sk_load_tables_u16_be_vfp4+0x24>
  .long  0xe28c2010                          // add           r2, ip, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffbc                          // b             2b94 <sk_load_tables_u16_be_vfp4+0x24>
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080

HIDDEN _sk_load_tables_rgb_u16_be_vfp4
.globl _sk_load_tables_rgb_u16_be_vfp4
FUNCTION(_sk_load_tables_rgb_u16_be_vfp4)
_sk_load_tables_rgb_u16_be_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5903000                          // ldr           r3, [r0]
  .long  0xe5918000                          // ldr           r8, [r1]
  .long  0xe590e008                          // ldr           lr, [r0, #8]
  .long  0xe0833083                          // add           r3, r3, r3, lsl #1
  .long  0xe5982000                          // ldr           r2, [r8]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe082c083                          // add           ip, r2, r3, lsl #1
  .long  0x1a000033                          // bne           2da4 <sk_load_tables_rgb_u16_be_vfp4+0xf4>
  .long  0xf46c044f                          // vld3.16       {d16-d18}, [ip]
  .long  0xf3c72b3f                          // vbic.i16      d18, #65280
  .long  0xe5987004                          // ldr           r7, [r8, #4]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe5983008                          // ldr           r3, [r8, #8]
  .long  0xe598200c                          // ldr           r2, [r8, #12]
  .long  0xe28f40dc                          // add           r4, pc, #220
  .long  0xf3d04a32                          // vmovl.u16     q10, d18
  .long  0xf4246acf                          // vld1.64       {d6-d7}, [r4]
  .long  0xf3d06a30                          // vmovl.u16     q11, d16
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xee355b90                          // vmov.32       r5, d21[1]
  .long  0xee376b90                          // vmov.32       r6, d23[1]
  .long  0xf3d00a31                          // vmovl.u16     q8, d17
  .long  0xee17eb90                          // vmov.32       lr, d23[0]
  .long  0xee368b90                          // vmov.32       r8, d22[1]
  .long  0xee16ab90                          // vmov.32       sl, d22[0]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee34cb90                          // vmov.32       ip, d20[1]
  .long  0xe0829105                          // add           r9, r2, r5, lsl #2
  .long  0xe0875106                          // add           r5, r7, r6, lsl #2
  .long  0xee116b90                          // vmov.32       r6, d17[0]
  .long  0xedd95a00                          // vldr          s11, [r9]
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe087510e                          // add           r5, r7, lr, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe0875108                          // add           r5, r7, r8, lsl #2
  .long  0xe087710a                          // add           r7, r7, sl, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed970a00                          // vldr          s0, [r7]
  .long  0xe0837104                          // add           r7, r3, r4, lsl #2
  .long  0xee104b90                          // vmov.32       r4, d16[0]
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xee156b90                          // vmov.32       r6, d21[0]
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xee145b90                          // vmov.32       r5, d20[0]
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0833104                          // add           r3, r3, r4, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823106                          // add           r3, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4ec060f                          // vld3.16       {d16[0],d17[0],d18[0]}, [ip]
  .long  0xe35e0001                          // cmp           lr, #1
  .long  0x0affffc9                          // beq           2cd8 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe28c2006                          // add           r2, ip, #6
  .long  0xe35e0003                          // cmp           lr, #3
  .long  0xf4e2064f                          // vld3.16       {d16[1],d17[1],d18[1]}, [r2]
  .long  0x3affffc5                          // bcc           2cd8 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe28c200c                          // add           r2, ip, #12
  .long  0xf4e2068f                          // vld3.16       {d16[2],d17[2],d18[2]}, [r2]
  .long  0xeaffffc2                          // b             2cd8 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_byte_tables_vfp4
.globl _sk_byte_tables_vfp4
FUNCTION(_sk_byte_tables_vfp4)
_sk_byte_tables_vfp4:
  .long  0xe92d48f0                          // push          {r4, r5, r6, r7, fp, lr}
  .long  0xe28f2f55                          // add           r2, pc, #340
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2420c7a                          // vfma.f32      q8, q1, q13
  .long  0xe8911040                          // ldm           r1, {r6, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2468c7a                          // vfma.f32      q12, q3, q13
  .long  0xe8960018                          // ldm           r6, {r3, r4}
  .long  0xe5962008                          // ldr           r2, [r6, #8]
  .long  0xe596e00c                          // ldr           lr, [r6, #12]
  .long  0xf3fb27e0                          // vcvt.u32.f32  q9, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2400c7a                          // vfma.f32      q8, q0, q13
  .long  0xf3fb87e8                          // vcvt.u32.f32  q12, q12
  .long  0xee127b90                          // vmov.32       r7, d18[0]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3fb47e0                          // vcvt.u32.f32  q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2440c7a                          // vfma.f32      q8, q2, q13
  .long  0xf3fb67e0                          // vcvt.u32.f32  q11, q8
  .long  0xe7d46007                          // ldrb          r6, [r4, r7]
  .long  0xee147b90                          // vmov.32       r7, d20[0]
  .long  0xe7d45005                          // ldrb          r5, [r4, r5]
  .long  0xee006bb0                          // vmov.16       d16[0], r6
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xe7d36007                          // ldrb          r6, [r3, r7]
  .long  0xee167b90                          // vmov.32       r7, d22[0]
  .long  0xee016bb0                          // vmov.16       d17[0], r6
  .long  0xe7d26007                          // ldrb          r6, [r2, r7]
  .long  0xee187b90                          // vmov.32       r7, d24[0]
  .long  0xee0a6bb0                          // vmov.16       d26[0], r6
  .long  0xe7de6007                          // ldrb          r6, [lr, r7]
  .long  0xee347b90                          // vmov.32       r7, d20[1]
  .long  0xee0b6bb0                          // vmov.16       d27[0], r6
  .long  0xee176b90                          // vmov.32       r6, d23[0]
  .long  0xe7d35007                          // ldrb          r5, [r3, r7]
  .long  0xee367b90                          // vmov.32       r7, d22[1]
  .long  0xee015bf0                          // vmov.16       d17[1], r5
  .long  0xe7d25006                          // ldrb          r5, [r2, r6]
  .long  0xe7d26007                          // ldrb          r6, [r2, r7]
  .long  0xee387b90                          // vmov.32       r7, d24[1]
  .long  0xee0a6bf0                          // vmov.16       d26[1], r6
  .long  0xee2a5bb0                          // vmov.16       d26[2], r5
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe7de6007                          // ldrb          r6, [lr, r7]
  .long  0xee157b90                          // vmov.32       r7, d21[0]
  .long  0xee0b6bf0                          // vmov.16       d27[1], r6
  .long  0xe7de5005                          // ldrb          r5, [lr, r5]
  .long  0xee2b5bb0                          // vmov.16       d27[2], r5
  .long  0xe7d36007                          // ldrb          r6, [r3, r7]
  .long  0xee137b90                          // vmov.32       r7, d19[0]
  .long  0xee216bb0                          // vmov.16       d17[2], r6
  .long  0xe7d46007                          // ldrb          r6, [r4, r7]
  .long  0xee337b90                          // vmov.32       r7, d19[1]
  .long  0xee206bb0                          // vmov.16       d16[2], r6
  .long  0xee356b90                          // vmov.32       r6, d21[1]
  .long  0xe7d44007                          // ldrb          r4, [r4, r7]
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xee204bf0                          // vmov.16       d16[3], r4
  .long  0xe7d33006                          // ldrb          r3, [r3, r6]
  .long  0xee376b90                          // vmov.32       r6, d23[1]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xee213bf0                          // vmov.16       d17[3], r3
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xe7de3007                          // ldrb          r3, [lr, r7]
  .long  0xee2b3bf0                          // vmov.16       d27[3], r3
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xf3c7bb3f                          // vbic.i16      d27, #65280
  .long  0xee2a2bf0                          // vmov.16       d26[3], r2
  .long  0xf3d06a3b                          // vmovl.u16     q11, d27
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf3c7ab3f                          // vbic.i16      d26, #65280
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb66e6                          // vcvt.f32.u32  q11, q11
  .long  0xf3d04a3a                          // vmovl.u16     q10, d26
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf3002df8                          // vmul.f32      q1, q8, q12
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3044df8                          // vmul.f32      q2, q10, q12
  .long  0xe8bd48f0                          // pop           {r4, r5, r6, r7, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_byte_tables_rgb_vfp4
.globl _sk_byte_tables_rgb_vfp4
FUNCTION(_sk_byte_tables_rgb_vfp4)
_sk_byte_tables_rgb_vfp4:
  .long  0xe92d48f0                          // push          {r4, r5, r6, r7, fp, lr}
  .long  0xe8911010                          // ldm           r1, {r4, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe5943000                          // ldr           r3, [r4]
  .long  0xe9944004                          // ldmib         r4, {r2, lr}
  .long  0xe594400c                          // ldr           r4, [r4, #12]
  .long  0xe2444001                          // sub           r4, r4, #1
  .long  0xeea04b90                          // vdup.32       q8, r4
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2440c74                          // vfma.f32      q8, q2, q10
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf2406c74                          // vfma.f32      q11, q0, q10
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xee104b90                          // vmov.32       r4, d16[0]
  .long  0xee317b90                          // vmov.32       r7, d17[1]
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xee146b90                          // vmov.32       r6, d20[0]
  .long  0xe7de4004                          // ldrb          r4, [lr, r4]
  .long  0xe7de7007                          // ldrb          r7, [lr, r7]
  .long  0xe7d25005                          // ldrb          r5, [r2, r5]
  .long  0xee074bb0                          // vmov.16       d23[0], r4
  .long  0xe7d34006                          // ldrb          r4, [r3, r6]
  .long  0xee065bb0                          // vmov.16       d22[0], r5
  .long  0xee155b90                          // vmov.32       r5, d21[0]
  .long  0xee346b90                          // vmov.32       r6, d20[1]
  .long  0xee084bb0                          // vmov.16       d24[0], r4
  .long  0xe7d34005                          // ldrb          r4, [r3, r5]
  .long  0xe7d35006                          // ldrb          r5, [r3, r6]
  .long  0xee326b90                          // vmov.32       r6, d18[1]
  .long  0xee085bf0                          // vmov.16       d24[1], r5
  .long  0xee284bb0                          // vmov.16       d24[2], r4
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xe7d25006                          // ldrb          r5, [r2, r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee065bf0                          // vmov.16       d22[1], r5
  .long  0xe7d24004                          // ldrb          r4, [r2, r4]
  .long  0xee264bb0                          // vmov.16       d22[2], r4
  .long  0xe7de5006                          // ldrb          r5, [lr, r6]
  .long  0xee356b90                          // vmov.32       r6, d21[1]
  .long  0xee075bf0                          // vmov.16       d23[1], r5
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe7d33006                          // ldrb          r3, [r3, r6]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xee283bf0                          // vmov.16       d24[3], r3
  .long  0xe7de5005                          // ldrb          r5, [lr, r5]
  .long  0xf3c78b3f                          // vbic.i16      d24, #65280
  .long  0xee275bb0                          // vmov.16       d23[2], r5
  .long  0xf3d00a38                          // vmovl.u16     q8, d24
  .long  0xee277bf0                          // vmov.16       d23[3], r7
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3c77b3f                          // vbic.i16      d23, #65280
  .long  0xf3d04a37                          // vmovl.u16     q10, d23
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee262bf0                          // vmov.16       d22[3], r2
  .long  0xe28f2020                          // add           r2, pc, #32
  .long  0xf3c76b3f                          // vbic.i16      d22, #65280
  .long  0xf3d02a36                          // vmovl.u16     q9, d22
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3000df6                          // vmul.f32      q0, q8, q11
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3044df6                          // vmul.f32      q2, q10, q11
  .long  0xf3022df6                          // vmul.f32      q1, q9, q11
  .long  0xe8bd48f0                          // pop           {r4, r5, r6, r7, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_table_r_vfp4
.globl _sk_table_r_vfp4
FUNCTION(_sk_table_r_vfp4)
_sk_table_r_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd31a00                          // vldr          s3, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed931a00                          // vldr          s2, [r3]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_g_vfp4
.globl _sk_table_g_vfp4
FUNCTION(_sk_table_g_vfp4)
_sk_table_g_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2422c70                          // vfma.f32      q9, q1, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd33a00                          // vldr          s7, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed933a00                          // vldr          s6, [r3]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_b_vfp4
.globl _sk_table_b_vfp4
FUNCTION(_sk_table_b_vfp4)
_sk_table_b_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2442c70                          // vfma.f32      q9, q2, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd35a00                          // vldr          s11, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xedd54a00                          // vldr          s9, [r5]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_a_vfp4
.globl _sk_table_a_vfp4
FUNCTION(_sk_table_a_vfp4)
_sk_table_a_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd37a00                          // vldr          s15, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed937a00                          // vldr          s14, [r3]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_parametric_r_vfp4
.globl _sk_parametric_r_vfp4
FUNCTION(_sk_parametric_r_vfp4)
_sk_parametric_r_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd0                          // vfma.f32      q10, q9, q0
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd0                          // vfma.f32      q10, q9, q0
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec0                          // vcge.f32      q11, q11, q0
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_g_vfp4
.globl _sk_parametric_g_vfp4
FUNCTION(_sk_parametric_g_vfp4)
_sk_parametric_g_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd2                          // vfma.f32      q10, q9, q1
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd2                          // vfma.f32      q10, q9, q1
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec2                          // vcge.f32      q11, q11, q1
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2202fe2                          // vmin.f32      q1, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_b_vfp4
.globl _sk_parametric_b_vfp4
FUNCTION(_sk_parametric_b_vfp4)
_sk_parametric_b_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd4                          // vfma.f32      q10, q9, q2
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd4                          // vfma.f32      q10, q9, q2
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec4                          // vcge.f32      q11, q11, q2
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2204fe2                          // vmin.f32      q2, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_a_vfp4
.globl _sk_parametric_a_vfp4
FUNCTION(_sk_parametric_a_vfp4)
_sk_parametric_a_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd6                          // vfma.f32      q10, q9, q3
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd6                          // vfma.f32      q10, q9, q3
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec6                          // vcge.f32      q11, q11, q3
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2206fe2                          // vmin.f32      q3, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_gamma_vfp4
.globl _sk_gamma_vfp4
FUNCTION(_sk_gamma_vfp4)
_sk_gamma_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd038                          // sub           sp, sp, #56
  .long  0xf2c70d5f                          // vmov.i32      q8, #8388607
  .long  0xe28d4020                          // add           r4, sp, #32
  .long  0xed9fcaa7                          // vldr          s24, [pc, #668]
  .long  0xf3fb2644                          // vcvt.f32.s32  q9, q2
  .long  0xec846b04                          // vstmia        r4, {d6-d7}
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf2440170                          // vand          q8, q2, q8
  .long  0xe28d4010                          // add           r4, sp, #16
  .long  0xf2c3075f                          // vorr.i32      q8, #1056964608
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xf2c34654                          // vmov.i32      q10, #872415232
  .long  0xe28f2f86                          // add           r2, pc, #536
  .long  0xf2006dca                          // vadd.f32      q3, q8, q5
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f2f87                          // add           r2, pc, #540
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c76d5f                          // vmov.i32      q11, #8388607
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf280e050                          // vmov.i32      q7, #0
  .long  0xeecc5a27                          // vdiv.f32      s11, s24, s15
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e3ecbf                          // vld1.32       {d30[]-d31[]}, [r3 :32]
  .long  0xe28f3c02                          // add           r3, pc, #512
  .long  0xf2422dea                          // vadd.f32      q9, q9, q13
  .long  0xee8c5a07                          // vdiv.f32      s10, s24, s14
  .long  0xeecc4a26                          // vdiv.f32      s9, s24, s13
  .long  0xee8c4a06                          // vdiv.f32      s8, s24, s12
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xed9f6a8a                          // vldr          s12, [pc, #552]
  .long  0xeeb07a4c                          // vmov.f32      s14, s24
  .long  0xf2600dc4                          // vsub.f32      q8, q8, q2
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf3402dfe                          // vmul.f32      q9, q8, q15
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3604ee2                          // vcgt.f32      q10, q8, q9
  .long  0xf35841d4                          // vbsl          q10, q12, q2
  .long  0xf2600de4                          // vsub.f32      q8, q8, q10
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xecc40b04                          // vstmia        r4, {d16-d17}
  .long  0xe28f3f71                          // add           r3, pc, #452
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2248de0                          // vsub.f32      q4, q10, q8
  .long  0xf2420176                          // vand          q8, q1, q11
  .long  0xf2c3075f                          // vorr.i32      q8, #1056964608
  .long  0xf3fb6642                          // vcvt.f32.s32  q11, q1
  .long  0xeec65a29                          // vdiv.f32      s11, s12, s19
  .long  0xee865a09                          // vdiv.f32      s10, s12, s18
  .long  0xec8d8b04                          // vstmia        sp, {d8-d9}
  .long  0xf2832654                          // vmov.i32      q1, #872415232
  .long  0xe28f3f6b                          // add           r3, pc, #428
  .long  0xeec64a28                          // vdiv.f32      s9, s12, s17
  .long  0xf2008dca                          // vadd.f32      q4, q8, q5
  .long  0xf3466dd2                          // vmul.f32      q11, q11, q1
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xeec7da29                          // vdiv.f32      s27, s14, s19
  .long  0xee87da09                          // vdiv.f32      s26, s14, s18
  .long  0xeec7ca28                          // vdiv.f32      s25, s14, s17
  .long  0xee87ca08                          // vdiv.f32      s24, s14, s16
  .long  0xf2466dea                          // vadd.f32      q11, q11, q13
  .long  0xf2660de0                          // vsub.f32      q8, q11, q8
  .long  0xf2600dcc                          // vsub.f32      q8, q8, q6
  .long  0xf3406dfe                          // vmul.f32      q11, q8, q15
  .long  0xf3fb0766                          // vcvt.s32.f32  q8, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3202ee6                          // vcgt.f32      q1, q8, q11
  .long  0xf31821de                          // vbsl          q1, q12, q7
  .long  0xf220e150                          // vorr          q7, q0, q0
  .long  0xf2600dc2                          // vsub.f32      q8, q8, q1
  .long  0xf2870d5f                          // vmov.i32      q0, #8388607
  .long  0xf20e0150                          // vand          q0, q7, q0
  .long  0xf226cde0                          // vsub.f32      q6, q11, q8
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe28f3e16                          // add           r3, pc, #352
  .long  0xf283075f                          // vorr.i32      q0, #1056964608
  .long  0xf200ad4a                          // vadd.f32      q5, q0, q5
  .long  0xf2248dcc                          // vsub.f32      q4, q10, q6
  .long  0xf30ccd70                          // vmul.f32      q6, q6, q8
  .long  0xf340cd7c                          // vmul.f32      q14, q0, q14
  .long  0xf3bb064e                          // vcvt.f32.s32  q0, q7
  .long  0xeec63a29                          // vdiv.f32      s7, s12, s19
  .long  0xee863a09                          // vdiv.f32      s6, s12, s18
  .long  0xeec62a28                          // vdiv.f32      s5, s12, s17
  .long  0xee862a08                          // vdiv.f32      s4, s12, s16
  .long  0xf4238acf                          // vld1.64       {d8-d9}, [r3]
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf2466dc8                          // vadd.f32      q11, q11, q4
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2666dcc                          // vsub.f32      q11, q11, q6
  .long  0xeec7da2b                          // vdiv.f32      s27, s14, s23
  .long  0xee87da0b                          // vdiv.f32      s26, s14, s22
  .long  0xeec7ca2a                          // vdiv.f32      s25, s14, s21
  .long  0xee87ca0a                          // vdiv.f32      s24, s14, s20
  .long  0xf283a654                          // vmov.i32      q5, #872415232
  .long  0xf3000d5a                          // vmul.f32      q0, q0, q5
  .long  0xf240ad6a                          // vadd.f32      q13, q0, q13
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf26aadec                          // vsub.f32      q13, q13, q14
  .long  0xf26aadcc                          // vsub.f32      q13, q13, q6
  .long  0xf34aadfe                          // vmul.f32      q13, q13, q15
  .long  0xf3fbc76a                          // vcvt.s32.f32  q14, q13
  .long  0xf3fbc66c                          // vcvt.f32.s32  q14, q14
  .long  0xf36ceeea                          // vcgt.f32      q15, q14, q13
  .long  0xf358e1d0                          // vbsl          q15, q12, q0
  .long  0xf26c8dee                          // vsub.f32      q12, q14, q15
  .long  0xf26a8de8                          // vsub.f32      q12, q13, q12
  .long  0xf2240de8                          // vsub.f32      q0, q10, q12
  .long  0xf3484df0                          // vmul.f32      q10, q12, q8
  .long  0xf24a8dc8                          // vadd.f32      q12, q13, q4
  .long  0xf2c3a65f                          // vmov.i32      q13, #1056964608
  .long  0xeec6da21                          // vdiv.f32      s27, s12, s3
  .long  0xee86da01                          // vdiv.f32      s26, s12, s2
  .long  0xeec6ca20                          // vdiv.f32      s25, s12, s1
  .long  0xee86ca00                          // vdiv.f32      s24, s12, s0
  .long  0xec9d0b04                          // vldmia        sp, {d0-d1}
  .long  0xf2684de4                          // vsub.f32      q10, q12, q10
  .long  0xee864a00                          // vdiv.f32      s8, s12, s0
  .long  0xecd38b04                          // vldmia        r3, {d24-d25}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf3480df0                          // vmul.f32      q8, q12, q8
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf2442dcc                          // vadd.f32      q9, q10, q6
  .long  0xf2464dc2                          // vadd.f32      q10, q11, q1
  .long  0xf2400dc4                          // vadd.f32      q8, q8, q2
  .long  0xf2c4665b                          // vmov.i32      q11, #1258291200
  .long  0xf242acf6                          // vfma.f32      q13, q9, q11
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf2408cf6                          // vfma.f32      q12, q8, q11
  .long  0xf3bb07ea                          // vcvt.u32.f32  q0, q13
  .long  0xf3bb27e2                          // vcvt.u32.f32  q1, q9
  .long  0xf3bb47e8                          // vcvt.u32.f32  q2, q12
  .long  0xe28dd038                          // add           sp, sp, #56
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_lab_to_xyz_vfp4
.globl _sk_lab_to_xyz_vfp4
FUNCTION(_sk_lab_to_xyz_vfp4)
_sk_lab_to_xyz_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3c46653                          // vmov.i32      q11, #-1023410176
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf2c38f50                          // vmov.f32      q12, #16
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3424d70                          // vmul.f32      q10, q1, q8
  .long  0xf3440d70                          // vmul.f32      q8, q2, q8
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3402d72                          // vmul.f32      q9, q0, q9
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20d8                          // add           r2, pc, #216
  .long  0xf2400de6                          // vadd.f32      q8, q8, q11
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3444dfa                          // vmul.f32      q10, q10, q13
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20e4                          // add           r2, pc, #228
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xe28f20e8                          // add           r2, pc, #232
  .long  0xf2424de4                          // vadd.f32      q10, q9, q10
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf3428df2                          // vmul.f32      q12, q9, q9
  .long  0xf244edea                          // vadd.f32      q15, q10, q13
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf340cdf0                          // vmul.f32      q14, q8, q8
  .long  0xf3428df8                          // vmul.f32      q12, q9, q12
  .long  0xf2422dea                          // vadd.f32      q9, q9, q13
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf2406dea                          // vadd.f32      q11, q8, q13
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf34eedd8                          // vmul.f32      q15, q15, q4
  .long  0xe28f20c0                          // add           r2, pc, #192
  .long  0xf3240eec                          // vcgt.f32      q0, q10, q14
  .long  0xf3282eec                          // vcgt.f32      q1, q12, q14
  .long  0xf360aeec                          // vcgt.f32      q13, q8, q14
  .long  0xf3466dd8                          // vmul.f32      q11, q11, q4
  .long  0xf31401fe                          // vbsl          q0, q10, q15
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf350a1f6                          // vbsl          q13, q8, q11
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xf3000d74                          // vmul.f32      q0, q0, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf30a4df0                          // vmul.f32      q2, q13, q8
  .long  0xf3420dd8                          // vmul.f32      q8, q9, q4
  .long  0xf31821f0                          // vbsl          q1, q12, q8
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6

HIDDEN _sk_load_a8_vfp4
.globl _sk_load_a8_vfp4
FUNCTION(_sk_load_a8_vfp4)
_sk_load_a8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000012                          // bne           3d88 <sk_load_a8_vfp4+0x78>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           3de0 <sk_load_a8_vfp4+0xd0>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           3db8 <sk_load_a8_vfp4+0xa8>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe9                          // bne           3d50 <sk_load_a8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffdb                          // b             3d50 <sk_load_a8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd6                          // b             3d50 <sk_load_a8_vfp4+0x40>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_a8_dst_vfp4
.globl _sk_load_a8_dst_vfp4
FUNCTION(_sk_load_a8_dst_vfp4)
_sk_load_a8_dst_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe590c000                          // ldr           ip, [r0]
  .long  0xe2805030                          // add           r5, r0, #48
  .long  0xe9904004                          // ldmib         r0, {r2, lr}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xf4450aef                          // vst1.64       {d16-d17}, [r5 :128]
  .long  0xe0224293                          // mla           r2, r3, r2, r4
  .long  0xe2803020                          // add           r3, r0, #32
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xe082300c                          // add           r3, r2, ip
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0x1a000011                          // bne           3e9c <sk_load_a8_dst_vfp4+0x94>
  .long  0xe5932000                          // ldr           r2, [r3]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe20e2003                          // and           r2, lr, #3
  .long  0xe3520001                          // cmp           r2, #1
  .long  0x0a000012                          // beq           3ef4 <sk_load_a8_dst_vfp4+0xec>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3520002                          // cmp           r2, #2
  .long  0x0a000005                          // beq           3ecc <sk_load_a8_dst_vfp4+0xc4>
  .long  0xe3520003                          // cmp           r2, #3
  .long  0x1affffea                          // bne           3e68 <sk_load_a8_dst_vfp4+0x60>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d32002                          // ldrb          r2, [r3, #2]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee202bb0                          // vmov.16       d16[2], r2
  .long  0xe1d320b0                          // ldrh          r2, [r3]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffdc                          // b             3e68 <sk_load_a8_dst_vfp4+0x60>
  .long  0xe5d32000                          // ldrb          r2, [r3]
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd7                          // b             3e68 <sk_load_a8_dst_vfp4+0x60>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_a8_vfp4
.globl _sk_gather_a8_vfp4
FUNCTION(_sk_gather_a8_vfp4)
_sk_gather_a8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee32eb90                          // vmov.32       lr, d18[1]
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xe7d23003                          // ldrb          r3, [r2, r3]
  .long  0xe7d2500e                          // ldrb          r5, [r2, lr]
  .long  0xee003bb0                          // vmov.16       d16[0], r3
  .long  0xe7d23004                          // ldrb          r3, [r2, r4]
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f201c                          // add           r2, pc, #28
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_a8_vfp4
.globl _sk_store_a8_vfp4
FUNCTION(_sk_store_a8_vfp4)
_sk_store_a8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2460c72                          // vfma.f32      q8, q3, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000005                          // bne           4000 <sk_store_a8_vfp4+0x58>
  .long  0xf3f20121                          // vuzp.8        d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000a                          // beq           4038 <sk_store_a8_vfp4+0x90>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4024 <sk_store_a8_vfp4+0x7c>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           3ff0 <sk_store_a8_vfp4+0x48>
  .long  0xeeb03bb0                          // vmov.u16      r3, d16[2]
  .long  0xe5c23002                          // strb          r3, [r2, #2]
  .long  0xee903bf0                          // vmov.u16      r3, d16[1]
  .long  0xee904bb0                          // vmov.u16      r4, d16[0]
  .long  0xe5c23001                          // strb          r3, [r2, #1]
  .long  0xe5c24000                          // strb          r4, [r2]
  .long  0xeaffffed                          // b             3ff0 <sk_store_a8_vfp4+0x48>
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xe5c23000                          // strb          r3, [r2]
  .long  0xeaffffea                          // b             3ff0 <sk_store_a8_vfp4+0x48>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_g8_vfp4
.globl _sk_load_g8_vfp4
FUNCTION(_sk_load_g8_vfp4)
_sk_load_g8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000013                          // bne           40d4 <sk_load_g8_vfp4+0x7c>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f20a4                          // add           r2, pc, #164
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           412c <sk_load_g8_vfp4+0xd4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           4104 <sk_load_g8_vfp4+0xac>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe8                          // bne           4098 <sk_load_g8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffda                          // b             4098 <sk_load_g8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd5                          // b             4098 <sk_load_g8_vfp4+0x40>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_g8_dst_vfp4
.globl _sk_load_g8_dst_vfp4
FUNCTION(_sk_load_g8_dst_vfp4)
_sk_load_g8_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0225492                          // mla           r2, r2, r4, r5
  .long  0xe0824003                          // add           r4, r2, r3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a000015                          // bne           41f0 <sk_load_g8_dst_vfp4+0x90>
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f40a8                          // add           r4, pc, #168
  .long  0xf4642acf                          // vld1.64       {d18-d19}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf44e0aef                          // vst1.64       {d16-d17}, [lr :128]
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xf44c2aef                          // vst1.64       {d18-d19}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000012                          // beq           4248 <sk_load_g8_dst_vfp4+0xe8>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           4220 <sk_load_g8_dst_vfp4+0xc0>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffe6                          // bne           41ac <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xe5d45002                          // ldrb          r5, [r4, #2]
  .long  0xee806bb0                          // vdup.16       d16, r6
  .long  0xee205bb0                          // vmov.16       d16[2], r5
  .long  0xe1d440b0                          // ldrh          r4, [r4]
  .long  0xe1cd40b4                          // strh          r4, [sp, #4]
  .long  0xe28d4004                          // add           r4, sp, #4
  .long  0xf4e4241f                          // vld1.16       {d18[0]}, [r4 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffd8                          // b             41ac <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d44000                          // ldrb          r4, [r4]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee004bb0                          // vmov.16       d16[0], r4
  .long  0xeaffffd3                          // b             41ac <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_g8_vfp4
.globl _sk_gather_g8_vfp4
FUNCTION(_sk_gather_g8_vfp4)
_sk_gather_g8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee32eb90                          // vmov.32       lr, d18[1]
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xe7d23003                          // ldrb          r3, [r2, r3]
  .long  0xe7d2500e                          // ldrb          r5, [r2, lr]
  .long  0xee003bb0                          // vmov.16       d16[0], r3
  .long  0xe7d23004                          // ldrb          r3, [r2, r4]
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f2028                          // add           r2, pc, #40
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f202c                          // add           r2, pc, #44
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_565_vfp4
.globl _sk_load_565_vfp4
FUNCTION(_sk_load_565_vfp4)
_sk_load_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0x1a00001b                          // bne           43b0 <sk_load_565_vfp4+0xa0>
  .long  0xf462074f                          // vld1.16       {d16}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xf3c74258                          // vmov.i32      q10, #63488
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xe28f20b8                          // add           r2, pc, #184
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f20b0                          // add           r2, pc, #176
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20b8                          // add           r2, pc, #184
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3004dfa                          // vmul.f32      q2, q8, q13
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000011                          // beq           4404 <sk_load_565_vfp4+0xf4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           43e0 <sk_load_565_vfp4+0xd0>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffdc                          // bne           4344 <sk_load_565_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4e3049f                          // vld1.16       {d16[2]}, [r3 :16]
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcf                          // b             4344 <sk_load_565_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xf4e2041f                          // vld1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffcb                          // b             4344 <sk_load_565_vfp4+0x34>
  .long  0xe320f000                          // nop           {0}
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_565_dst_vfp4
.globl _sk_load_565_dst_vfp4
FUNCTION(_sk_load_565_dst_vfp4)
_sk_load_565_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001f                          // bne           4514 <sk_load_565_dst_vfp4+0xbc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a04e7e                          // mov           r4, #2016
  .long  0xf3c72258                          // vmov.i32      q9, #63488
  .long  0xeea44b90                          // vdup.32       q10, r4
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xe28f40c4                          // add           r4, pc, #196
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f40bc                          // add           r4, pc, #188
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xe28f40c4                          // add           r4, pc, #196
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e0aef                          // vst1.64       {d16-d17}, [lr :128]
  .long  0xf44c6aef                          // vst1.64       {d22-d23}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           4568 <sk_load_565_dst_vfp4+0x110>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           4544 <sk_load_565_dst_vfp4+0xec>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffd8                          // bne           4498 <sk_load_565_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcb                          // b             4498 <sk_load_565_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffc7                          // b             4498 <sk_load_565_dst_vfp4+0x40>
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108

HIDDEN _sk_gather_565_vfp4
.globl _sk_gather_565_vfp4
FUNCTION(_sk_gather_565_vfp4)
_sk_gather_565_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xf3c74258                          // vmov.i32      q10, #63488
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee324b90                          // vmov.32       r4, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee335b90                          // vmov.32       r5, d19[1]
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0xe0824084                          // add           r4, r2, r4, lsl #1
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xe082308e                          // add           r3, r2, lr, lsl #1
  .long  0xe0822085                          // add           r2, r2, r5, lsl #1
  .long  0xf4e4045f                          // vld1.16       {d16[1]}, [r4 :16]
  .long  0xe1d330b0                          // ldrh          r3, [r3]
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f203c                          // add           r2, pc, #60
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xf3004dfa                          // vmul.f32      q2, q8, q13
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_store_565_vfp4
.globl _sk_store_565_vfp4
FUNCTION(_sk_store_565_vfp4)
_sk_store_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20c4                          // add           r2, pc, #196
  .long  0xf2c30f5f                          // vmov.f32      q8, #31
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2428c76                          // vfma.f32      q12, q1, q11
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2442c70                          // vfma.f32      q9, q2, q8
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb07e4                          // vcvt.u32.f32  q8, q10
  .long  0xf3fb47e8                          // vcvt.u32.f32  q10, q12
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0xf2eb0570                          // vshl.s32      q8, q8, #11
  .long  0xf2e54574                          // vshl.s32      q10, q10, #5
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000004                          // bne           4724 <sk_store_565_vfp4+0x84>
  .long  0xf442074f                          // vst1.16       {d16}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           4764 <sk_store_565_vfp4+0xc4>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4748 <sk_store_565_vfp4+0xa8>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           4714 <sk_store_565_vfp4+0x74>
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4c3049f                          // vst1.16       {d16[2]}, [r3 :16]
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xee904bf0                          // vmov.u16      r4, d16[1]
  .long  0xee003b90                          // vmov.32       d16[0], r3
  .long  0xee204b90                          // vmov.32       d16[1], r4
  .long  0xf3f60121                          // vuzp.16       d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xeaffffeb                          // b             4714 <sk_store_565_vfp4+0x74>
  .long  0xf4c2041f                          // vst1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffe9                          // b             4714 <sk_store_565_vfp4+0x74>
  .long  0xe320f000                          // nop           {0}
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000

HIDDEN _sk_load_4444_vfp4
.globl _sk_load_4444_vfp4
FUNCTION(_sk_load_4444_vfp4)
_sk_load_4444_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0x1a00001e                          // bne           482c <sk_load_4444_vfp4+0xac>
  .long  0xf462074f                          // vld1.16       {d16}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3c74050                          // vmov.i32      q10, #240
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf2c0625f                          // vmov.i32      q11, #3840
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f20c4                          // add           r2, pc, #196
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3062dfc                          // vmul.f32      q1, q11, q14
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3044dfa                          // vmul.f32      q2, q10, q13
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000011                          // beq           4880 <sk_load_4444_vfp4+0x100>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           485c <sk_load_4444_vfp4+0xdc>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffd9                          // bne           47b4 <sk_load_4444_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4e3049f                          // vld1.16       {d16[2]}, [r3 :16]
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcc                          // b             47b4 <sk_load_4444_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xf4e2041f                          // vld1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffc8                          // b             47b4 <sk_load_4444_vfp4+0x34>
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_load_4444_dst_vfp4
.globl _sk_load_4444_dst_vfp4
FUNCTION(_sk_load_4444_dst_vfp4)
_sk_load_4444_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a000023                          // bne           499c <sk_load_4444_dst_vfp4+0xcc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe28f40e4                          // add           r4, pc, #228
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xf2c0425f                          // vmov.i32      q10, #3840
  .long  0xe28f40e4                          // add           r4, pc, #228
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf3c76050                          // vmov.i32      q11, #240
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f40cc                          // add           r4, pc, #204
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3422dfa                          // vmul.f32      q9, q9, q13
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xe28f40c8                          // add           r4, pc, #200
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3466dfa                          // vmul.f32      q11, q11, q13
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e6aef                          // vst1.64       {d22-d23}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           49f0 <sk_load_4444_dst_vfp4+0x120>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           49cc <sk_load_4444_dst_vfp4+0xfc>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffd4                          // bne           4910 <sk_load_4444_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffc7                          // b             4910 <sk_load_4444_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffc3                          // b             4910 <sk_load_4444_dst_vfp4+0x40>
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_gather_4444_vfp4
.globl _sk_gather_4444_vfp4
FUNCTION(_sk_gather_4444_vfp4)
_sk_gather_4444_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2c0625f                          // vmov.i32      q11, #3840
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xf3c74050                          // vmov.i32      q10, #240
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee324b90                          // vmov.32       r4, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee335b90                          // vmov.32       r5, d19[1]
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0xe0824084                          // add           r4, r2, r4, lsl #1
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xe082308e                          // add           r3, r2, lr, lsl #1
  .long  0xe0822085                          // add           r2, r2, r5, lsl #1
  .long  0xf4e4045f                          // vld1.16       {d16[1]}, [r4 :16]
  .long  0xe1d330b0                          // ldrh          r3, [r3]
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f2050                          // add           r2, pc, #80
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3062dfc                          // vmul.f32      q1, q11, q14
  .long  0xf3044dfa                          // vmul.f32      q2, q10, q13
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_store_4444_vfp4
.globl _sk_store_4444_vfp4
FUNCTION(_sk_store_4444_vfp4)
_sk_store_4444_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xf2c20f5e                          // vmov.f32      q8, #15
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2426c70                          // vfma.f32      q11, q1, q8
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2448c70                          // vfma.f32      q12, q2, q8
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf3fb07e4                          // vcvt.u32.f32  q8, q10
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2ec0570                          // vshl.s32      q8, q8, #12
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf2e46576                          // vshl.s32      q11, q11, #4
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf26001f6                          // vorr          q8, q8, q11
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000004                          // bne           4bd8 <sk_store_4444_vfp4+0x90>
  .long  0xf442074f                          // vst1.16       {d16}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           4c18 <sk_store_4444_vfp4+0xd0>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4bfc <sk_store_4444_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           4bc8 <sk_store_4444_vfp4+0x80>
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4c3049f                          // vst1.16       {d16[2]}, [r3 :16]
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xee904bf0                          // vmov.u16      r4, d16[1]
  .long  0xee003b90                          // vmov.32       d16[0], r3
  .long  0xee204b90                          // vmov.32       d16[1], r4
  .long  0xf3f60121                          // vuzp.16       d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xeaffffeb                          // b             4bc8 <sk_store_4444_vfp4+0x80>
  .long  0xf4c2041f                          // vst1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffe9                          // b             4bc8 <sk_store_4444_vfp4+0x80>

HIDDEN _sk_load_8888_vfp4
.globl _sk_load_8888_vfp4
FUNCTION(_sk_load_8888_vfp4)
_sk_load_8888_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0x1a000015                          // bne           4ca4 <sk_load_8888_vfp4+0x84>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf3e86070                          // vshr.u32      q11, q8, #24
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3000df8                          // vmul.f32      q0, q8, q12
  .long  0xf3042df8                          // vmul.f32      q1, q10, q12
  .long  0xf3024df8                          // vmul.f32      q2, q9, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           4ce4 <sk_load_8888_vfp4+0xc4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           4cd4 <sk_load_8888_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe2                          // bne           4c50 <sk_load_8888_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffda                          // b             4c50 <sk_load_8888_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd6                          // b             4c50 <sk_load_8888_vfp4+0x30>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_8888_dst_vfp4
.globl _sk_load_8888_dst_vfp4
FUNCTION(_sk_load_8888_dst_vfp4)
_sk_load_8888_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824103                          // add           r4, r2, r3, lsl #2
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001a                          // bne           4dac <sk_load_8888_dst_vfp4+0xa4>
  .long  0xf4640a8f                          // vld1.32       {d16-d17}, [r4]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f40b0                          // add           r4, pc, #176
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf4436aef                          // vst1.64       {d22-d23}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e2aef                          // vst1.64       {d18-d19}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a00000c                          // beq           4dec <sk_load_8888_dst_vfp4+0xe4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           4ddc <sk_load_8888_dst_vfp4+0xd4>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdd                          // bne           4d44 <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe2845008                          // add           r5, r4, #8
  .long  0xf4e5183f                          // vld1.32       {d17[0]}, [r5 :32]
  .long  0xedd42b00                          // vldr          d18, [r4]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffd5                          // b             4d44 <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xeaffffd1                          // b             4d44 <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_8888_vfp4
.globl _sk_gather_8888_vfp4
FUNCTION(_sk_gather_8888_vfp4)
_sk_gather_8888_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee133b90                          // vmov.32       r3, d19[0]
  .long  0xee12eb90                          // vmov.32       lr, d18[0]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xe082310e                          // add           r3, r2, lr, lsl #2
  .long  0xf4e3083f                          // vld1.32       {d16[0]}, [r3 :32]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xf4e318bf                          // vld1.32       {d17[1]}, [r3 :32]
  .long  0xf4e208bf                          // vld1.32       {d16[1]}, [r2 :32]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf3e88070                          // vshr.u32      q12, q8, #24
  .long  0xf3f00070                          // vshr.u32      q8, q8, #16
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf3fb2664                          // vcvt.f32.s32  q9, q10
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3060df4                          // vmul.f32      q0, q11, q10
  .long  0xf3086df4                          // vmul.f32      q3, q12, q10
  .long  0xf3022df4                          // vmul.f32      q1, q9, q10
  .long  0xf3004df4                          // vmul.f32      q2, q8, q10
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_8888_vfp4
.globl _sk_store_8888_vfp4
FUNCTION(_sk_store_8888_vfp4)
_sk_store_8888_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2444c72                          // vfma.f32      q10, q2, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2426c72                          // vfma.f32      q11, q1, q9
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2468c72                          // vfma.f32      q12, q3, q9
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf2f02572                          // vshl.s32      q9, q9, #16
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf2f84576                          // vshl.s32      q10, q11, #24
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0x1a000004                          // bne           4f50 <sk_store_8888_vfp4+0x90>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000007                          // beq           4f7c <sk_store_8888_vfp4+0xbc>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4f74 <sk_store_8888_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           4f40 <sk_store_8888_vfp4+0x80>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeafffff0                          // b             4f40 <sk_store_8888_vfp4+0x80>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffee                          // b             4f40 <sk_store_8888_vfp4+0x80>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_bgra_vfp4
.globl _sk_load_bgra_vfp4
FUNCTION(_sk_load_bgra_vfp4)
_sk_load_bgra_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0x1a000015                          // bne           501c <sk_load_bgra_vfp4+0x84>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf3f04070                          // vshr.u32      q10, q8, #16
  .long  0xf3f88070                          // vshr.u32      q12, q8, #8
  .long  0xf3e86070                          // vshr.u32      q11, q8, #24
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3004df8                          // vmul.f32      q2, q8, q12
  .long  0xf3040df8                          // vmul.f32      q0, q10, q12
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           505c <sk_load_bgra_vfp4+0xc4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           504c <sk_load_bgra_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe2                          // bne           4fc8 <sk_load_bgra_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffda                          // b             4fc8 <sk_load_bgra_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd6                          // b             4fc8 <sk_load_bgra_vfp4+0x30>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_bgra_dst_vfp4
.globl _sk_load_bgra_dst_vfp4
FUNCTION(_sk_load_bgra_dst_vfp4)
_sk_load_bgra_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824103                          // add           r4, r2, r3, lsl #2
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001a                          // bne           5124 <sk_load_bgra_dst_vfp4+0xa4>
  .long  0xf4640a8f                          // vld1.32       {d16-d17}, [r4]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f40b0                          // add           r4, pc, #176
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf44e6aef                          // vst1.64       {d22-d23}, [lr :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a00000c                          // beq           5164 <sk_load_bgra_dst_vfp4+0xe4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           5154 <sk_load_bgra_dst_vfp4+0xd4>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdd                          // bne           50bc <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe2845008                          // add           r5, r4, #8
  .long  0xf4e5183f                          // vld1.32       {d17[0]}, [r5 :32]
  .long  0xedd42b00                          // vldr          d18, [r4]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffd5                          // b             50bc <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xeaffffd1                          // b             50bc <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_bgra_vfp4
.globl _sk_gather_bgra_vfp4
FUNCTION(_sk_gather_bgra_vfp4)
_sk_gather_bgra_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee133b90                          // vmov.32       r3, d19[0]
  .long  0xee12eb90                          // vmov.32       lr, d18[0]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xe082310e                          // add           r3, r2, lr, lsl #2
  .long  0xf4e3083f                          // vld1.32       {d16[0]}, [r3 :32]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xf4e318bf                          // vld1.32       {d17[1]}, [r3 :32]
  .long  0xf4e208bf                          // vld1.32       {d16[1]}, [r2 :32]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3f04070                          // vshr.u32      q10, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf3e88070                          // vshr.u32      q12, q8, #24
  .long  0xf3f80070                          // vshr.u32      q8, q8, #8
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf3fb2664                          // vcvt.f32.s32  q9, q10
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3064df4                          // vmul.f32      q2, q11, q10
  .long  0xf3086df4                          // vmul.f32      q3, q12, q10
  .long  0xf3020df4                          // vmul.f32      q0, q9, q10
  .long  0xf3002df4                          // vmul.f32      q1, q8, q10
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_bgra_vfp4
.globl _sk_store_bgra_vfp4
FUNCTION(_sk_store_bgra_vfp4)
_sk_store_bgra_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2424c72                          // vfma.f32      q10, q1, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2406c72                          // vfma.f32      q11, q0, q9
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2468c72                          // vfma.f32      q12, q3, q9
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2f04574                          // vshl.s32      q10, q10, #16
  .long  0xf2e82572                          // vshl.s32      q9, q9, #8
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2f84576                          // vshl.s32      q10, q11, #24
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0x1a000004                          // bne           52c8 <sk_store_bgra_vfp4+0x90>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000007                          // beq           52f4 <sk_store_bgra_vfp4+0xbc>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           52ec <sk_store_bgra_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           52b8 <sk_store_bgra_vfp4+0x80>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeafffff0                          // b             52b8 <sk_store_bgra_vfp4+0x80>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffee                          // b             52b8 <sk_store_bgra_vfp4+0x80>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_f16_vfp4
.globl _sk_load_f16_vfp4
FUNCTION(_sk_load_f16_vfp4)
_sk_load_f16_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0x1a000008                          // bne           5360 <sk_load_f16_vfp4+0x50>
  .long  0xf463004f                          // vld4.16       {d16-d19}, [r3]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3b60720                          // vcvt.f32.f16  q0, d16
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3b62721                          // vcvt.f32.f16  q1, d17
  .long  0xf3b64722                          // vcvt.f32.f16  q2, d18
  .long  0xf3b66723                          // vcvt.f32.f16  q3, d19
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0afffff4                          // beq           5340 <sk_load_f16_vfp4+0x30>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3afffff0                          // bcc           5340 <sk_load_f16_vfp4+0x30>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffed                          // b             5340 <sk_load_f16_vfp4+0x30>

HIDDEN _sk_load_f16_dst_vfp4
.globl _sk_load_f16_dst_vfp4
FUNCTION(_sk_load_f16_dst_vfp4)
_sk_load_f16_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900068                          // ldm           r0, {r3, r5, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020592                          // mul           r2, r2, r5
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe0825183                          // add           r5, r2, r3, lsl #3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00000d                          // bne           53f8 <sk_load_f16_dst_vfp4+0x70>
  .long  0xf465004f                          // vld4.16       {d16-d19}, [r5]
  .long  0xf3f64720                          // vcvt.f32.f16  q10, d16
  .long  0xf3f66721                          // vcvt.f32.f16  q11, d17
  .long  0xf3f68722                          // vcvt.f32.f16  q12, d18
  .long  0xf3f60723                          // vcvt.f32.f16  q8, d19
  .long  0xf4434aef                          // vst1.64       {d20-d21}, [r3 :128]
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e8aef                          // vst1.64       {d24-d25}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xf4e5070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r5]
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0affffef                          // beq           53c4 <sk_load_f16_dst_vfp4+0x3c>
  .long  0xe2854008                          // add           r4, r5, #8
  .long  0xe3560003                          // cmp           r6, #3
  .long  0xf4e4074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r4]
  .long  0x3affffeb                          // bcc           53c4 <sk_load_f16_dst_vfp4+0x3c>
  .long  0xe2854010                          // add           r4, r5, #16
  .long  0xf4e4078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r4]
  .long  0xeaffffe8                          // b             53c4 <sk_load_f16_dst_vfp4+0x3c>

HIDDEN _sk_gather_f16_vfp4
.globl _sk_gather_f16_vfp4
FUNCTION(_sk_gather_f16_vfp4)
_sk_gather_f16_vfp4:
  .long  0xe92d4c10                          // push          {r4, sl, fp, lr}
  .long  0xe28db008                          // add           fp, sp, #8
  .long  0xe24dd030                          // sub           sp, sp, #48
  .long  0xe7c4d01f                          // bfc           sp, #0, #5
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4923004                          // ldr           r3, [r2], #4
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee33cb90                          // vmov.32       ip, d19[1]
  .long  0xee322b90                          // vmov.32       r2, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee124b90                          // vmov.32       r4, d18[0]
  .long  0xe083c18c                          // add           ip, r3, ip, lsl #3
  .long  0xe0832182                          // add           r2, r3, r2, lsl #3
  .long  0xe083e18e                          // add           lr, r3, lr, lsl #3
  .long  0xeddc3b00                          // vldr          d19, [ip]
  .long  0xedd21b00                          // vldr          d17, [r2]
  .long  0xe0832184                          // add           r2, r3, r4, lsl #3
  .long  0xedde2b00                          // vldr          d18, [lr]
  .long  0xedd20b00                          // vldr          d16, [r2]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xe3823010                          // orr           r3, r2, #16
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xf462007f                          // vld4.16       {d16-d19}, [r2 :256]
  .long  0xf3b60720                          // vcvt.f32.f16  q0, d16
  .long  0xf3b62721                          // vcvt.f32.f16  q1, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3b64722                          // vcvt.f32.f16  q2, d18
  .long  0xf3b66723                          // vcvt.f32.f16  q3, d19
  .long  0xe12fff32                          // blx           r2
  .long  0xe24bd008                          // sub           sp, fp, #8
  .long  0xe8bd8c10                          // pop           {r4, sl, fp, pc}

HIDDEN _sk_store_f16_vfp4
.globl _sk_store_f16_vfp4
FUNCTION(_sk_store_f16_vfp4)
_sk_store_f16_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3f63606                          // vcvt.f16.f32  d19, q3
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf3f62604                          // vcvt.f16.f32  d18, q2
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf3f61602                          // vcvt.f16.f32  d17, q1
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf3f60600                          // vcvt.f16.f32  d16, q0
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe082218e                          // add           r2, r2, lr, lsl #3
  .long  0x1a000004                          // bne           5500 <sk_store_f16_vfp4+0x50>
  .long  0xf442004f                          // vst4.16       {d16-d19}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4c2070f                          // vst4.16       {d16[0],d17[0],d18[0],d19[0]}, [r2]
  .long  0x0afffff8                          // beq           54f0 <sk_store_f16_vfp4+0x40>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4c3074f                          // vst4.16       {d16[1],d17[1],d18[1],d19[1]}, [r3]
  .long  0x3afffff4                          // bcc           54f0 <sk_store_f16_vfp4+0x40>
  .long  0xe2822010                          // add           r2, r2, #16
  .long  0xf4c2078f                          // vst4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeafffff1                          // b             54f0 <sk_store_f16_vfp4+0x40>

HIDDEN _sk_load_u16_be_vfp4
.globl _sk_load_u16_be_vfp4
FUNCTION(_sk_load_u16_be_vfp4)
_sk_load_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0x1a00001e                          // bne           55d0 <sk_load_u16_be_vfp4+0xa8>
  .long  0xf463004f                          // vld4.16       {d16-d19}, [r3]
  .long  0xf3d84030                          // vshr.u16      d20, d16, #8
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf2d85530                          // vshl.s16      d21, d16, #8
  .long  0xf3d86031                          // vshr.u16      d22, d17, #8
  .long  0xf2d87531                          // vshl.s16      d23, d17, #8
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xf3d8a033                          // vshr.u16      d26, d19, #8
  .long  0xf3d88032                          // vshr.u16      d24, d18, #8
  .long  0xf2d89532                          // vshl.s16      d25, d18, #8
  .long  0xf26511b4                          // vorr          d17, d21, d20
  .long  0xf26721b6                          // vorr          d18, d23, d22
  .long  0xf26931b8                          // vorr          d19, d25, d24
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf26001ba                          // vorr          d16, d16, d26
  .long  0xf3d04a31                          // vmovl.u16     q10, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3d06a32                          // vmovl.u16     q11, d18
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3d02a33                          // vmovl.u16     q9, d19
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3fb66e6                          // vcvt.f32.u32  q11, q11
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3040df8                          // vmul.f32      q0, q10, q12
  .long  0xf3062df8                          // vmul.f32      q1, q11, q12
  .long  0xf3024df8                          // vmul.f32      q2, q9, q12
  .long  0xf3006df8                          // vmul.f32      q3, q8, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0affffde                          // beq           5558 <sk_load_u16_be_vfp4+0x30>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3affffda                          // bcc           5558 <sk_load_u16_be_vfp4+0x30>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffd7                          // b             5558 <sk_load_u16_be_vfp4+0x30>
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080

HIDDEN _sk_load_rgb_u16_be_vfp4
.globl _sk_load_rgb_u16_be_vfp4
FUNCTION(_sk_load_rgb_u16_be_vfp4)
_sk_load_rgb_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe08e308e                          // add           r3, lr, lr, lsl #1
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0x1a00001a                          // bne           56a4 <sk_load_rgb_u16_be_vfp4+0x9c>
  .long  0xf463044f                          // vld3.16       {d16-d18}, [r3]
  .long  0xf3d84030                          // vshr.u16      d20, d16, #8
  .long  0xe28f2088                          // add           r2, pc, #136
  .long  0xf2d85530                          // vshl.s16      d21, d16, #8
  .long  0xf3d86031                          // vshr.u16      d22, d17, #8
  .long  0xf2d87531                          // vshl.s16      d23, d17, #8
  .long  0xf2d80532                          // vshl.s16      d16, d18, #8
  .long  0xf3d88032                          // vshr.u16      d24, d18, #8
  .long  0xf26721b6                          // vorr          d18, d23, d22
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf26511b4                          // vorr          d17, d21, d20
  .long  0xe28f2074                          // add           r2, pc, #116
  .long  0xf26001b8                          // vorr          d16, d16, d24
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3d04a31                          // vmovl.u16     q10, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3022df6                          // vmul.f32      q1, q9, q11
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xf3004df6                          // vmul.f32      q2, q8, q11
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3060f                          // vld3.16       {d16[0],d17[0],d18[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0affffe2                          // beq           563c <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe2832006                          // add           r2, r3, #6
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2064f                          // vld3.16       {d16[1],d17[1],d18[1]}, [r2]
  .long  0x3affffde                          // bcc           563c <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4e2068f                          // vld3.16       {d16[2],d17[2],d18[2]}, [r2]
  .long  0xeaffffdb                          // b             563c <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe320f000                          // nop           {0}
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_store_u16_be_vfp4
.globl _sk_store_u16_be_vfp4
FUNCTION(_sk_store_u16_be_vfp4)
_sk_store_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20d4                          // add           r2, pc, #212
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2424c72                          // vfma.f32      q10, q1, q9
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xf2466c72                          // vfma.f32      q11, q3, q9
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2408c72                          // vfma.f32      q12, q0, q9
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf3f62222                          // vmovn.i32     d18, q9
  .long  0xf3f63224                          // vmovn.i32     d19, q10
  .long  0xf3d85030                          // vshr.u16      d21, d16, #8
  .long  0xf3d81033                          // vshr.u16      d17, d19, #8
  .long  0xf3f64226                          // vmovn.i32     d20, q11
  .long  0xf2d86530                          // vshl.s16      d22, d16, #8
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xf3d87032                          // vshr.u16      d23, d18, #8
  .long  0xf2d88532                          // vshl.s16      d24, d18, #8
  .long  0xf26031b1                          // vorr          d19, d16, d17
  .long  0xf26621b5                          // vorr          d18, d22, d21
  .long  0xf3d89034                          // vshr.u16      d25, d20, #8
  .long  0xf2d84534                          // vshl.s16      d20, d20, #8
  .long  0xf26811b7                          // vorr          d17, d24, d23
  .long  0xf26401b9                          // vorr          d16, d20, d25
  .long  0x1a000004                          // bne           57a8 <sk_store_u16_be_vfp4+0xb8>
  .long  0xf443004f                          // vst4.16       {d16-d19}, [r3]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4c3070f                          // vst4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0x0afffff8                          // beq           5798 <sk_store_u16_be_vfp4+0xa8>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4c2074f                          // vst4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3afffff4                          // bcc           5798 <sk_store_u16_be_vfp4+0xa8>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4c2078f                          // vst4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeafffff1                          // b             5798 <sk_store_u16_be_vfp4+0xa8>
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00

HIDDEN _sk_load_f32_vfp4
.globl _sk_load_f32_vfp4
FUNCTION(_sk_load_f32_vfp4)
_sk_load_f32_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082220e                          // add           r2, r2, lr, lsl #4
  .long  0x1a000009                          // bne           5834 <sk_load_f32_vfp4+0x54>
  .long  0xf462018d                          // vld4.32       {d16,d18,d20,d22}, [r2]!
  .long  0xf462118f                          // vld4.32       {d17,d19,d21,d23}, [r2]
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4a20b4f                          // vld4.32       {d0[0],d2[0],d4[0],d6[0]}, [r2]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0afffff8                          // beq           5824 <sk_load_f32_vfp4+0x44>
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4a30bcf                          // vld4.32       {d0[1],d2[1],d4[1],d6[1]}, [r3]
  .long  0x3afffff4                          // bcc           5824 <sk_load_f32_vfp4+0x44>
  .long  0xe2822020                          // add           r2, r2, #32
  .long  0xf4a21b4f                          // vld4.32       {d1[0],d3[0],d5[0],d7[0]}, [r2]
  .long  0xeafffff1                          // b             5824 <sk_load_f32_vfp4+0x44>

HIDDEN _sk_load_f32_dst_vfp4
.globl _sk_load_f32_dst_vfp4
FUNCTION(_sk_load_f32_dst_vfp4)
_sk_load_f32_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824203                          // add           r4, r2, r3, lsl #4
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00000e                          // bne           58d0 <sk_load_f32_dst_vfp4+0x74>
  .long  0xf464818d                          // vld4.32       {d24,d26,d28,d30}, [r4]!
  .long  0xf464918f                          // vld4.32       {d25,d27,d29,d31}, [r4]
  .long  0xf26801f8                          // vorr          q8, q12, q12
  .long  0xf26a21fa                          // vorr          q9, q13, q13
  .long  0xf26c41fc                          // vorr          q10, q14, q14
  .long  0xf26e61fe                          // vorr          q11, q15, q15
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e4aef                          // vst1.64       {d20-d21}, [lr :128]
  .long  0xf44c6aef                          // vst1.64       {d22-d23}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xf4e40b4f                          // vld4.32       {d16[0],d18[0],d20[0],d22[0]}, [r4]
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0afffff3                          // beq           58ac <sk_load_f32_dst_vfp4+0x50>
  .long  0xe2845010                          // add           r5, r4, #16
  .long  0xe3560003                          // cmp           r6, #3
  .long  0xf4e50bcf                          // vld4.32       {d16[1],d18[1],d20[1],d22[1]}, [r5]
  .long  0x3affffef                          // bcc           58ac <sk_load_f32_dst_vfp4+0x50>
  .long  0xe2844020                          // add           r4, r4, #32
  .long  0xf4e41b4f                          // vld4.32       {d17[0],d19[0],d21[0],d23[0]}, [r4]
  .long  0xeaffffec                          // b             58ac <sk_load_f32_dst_vfp4+0x50>

HIDDEN _sk_store_f32_vfp4
.globl _sk_store_f32_vfp4
FUNCTION(_sk_store_f32_vfp4)
_sk_store_f32_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082220e                          // add           r2, r2, lr, lsl #4
  .long  0x1a000005                          // bne           593c <sk_store_f32_vfp4+0x44>
  .long  0xf402018d                          // vst4.32       {d0,d2,d4,d6}, [r2]!
  .long  0xf402118f                          // vst4.32       {d1,d3,d5,d7}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4820b4f                          // vst4.32       {d0[0],d2[0],d4[0],d6[0]}, [r2]
  .long  0x0afffff8                          // beq           592c <sk_store_f32_vfp4+0x34>
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4830bcf                          // vst4.32       {d0[1],d2[1],d4[1],d6[1]}, [r3]
  .long  0x3afffff4                          // bcc           592c <sk_store_f32_vfp4+0x34>
  .long  0xe2822020                          // add           r2, r2, #32
  .long  0xf4821b4f                          // vst4.32       {d1[0],d3[0],d5[0],d7[0]}, [r2]
  .long  0xeafffff1                          // b             592c <sk_store_f32_vfp4+0x34>

HIDDEN _sk_clamp_x_vfp4
.globl _sk_clamp_x_vfp4
FUNCTION(_sk_clamp_x_vfp4)
_sk_clamp_x_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3c72e5f                          // vmov.i8       q9, #255
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2400fc0                          // vmax.f32      q8, q8, q0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26428e2                          // vadd.i32      q9, q10, q9
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_y_vfp4
.globl _sk_clamp_y_vfp4
FUNCTION(_sk_clamp_y_vfp4)
_sk_clamp_y_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3c72e5f                          // vmov.i8       q9, #255
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2400fc2                          // vmax.f32      q8, q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26428e2                          // vadd.i32      q9, q10, q9
  .long  0xf2202fe2                          // vmin.f32      q1, q8, q9
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_repeat_x_vfp4
.globl _sk_repeat_x_vfp4
FUNCTION(_sk_repeat_x_vfp4)
_sk_repeat_x_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe28f3038                          // add           r3, pc, #56
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3642ee2                          // vcgt.f32      q9, q10, q9
  .long  0xf35821f6                          // vbsl          q9, q12, q11
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf2602d62                          // vsub.f32      q9, q0, q9
  .long  0xf2462fe2                          // vmax.f32      q9, q11, q9
  .long  0xf2220fe0                          // vmin.f32      q0, q9, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_repeat_y_vfp4
.globl _sk_repeat_y_vfp4
FUNCTION(_sk_repeat_y_vfp4)
_sk_repeat_y_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe28f3038                          // add           r3, pc, #56
  .long  0xf3422dd2                          // vmul.f32      q9, q9, q1
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3642ee2                          // vcgt.f32      q9, q10, q9
  .long  0xf35821f6                          // vbsl          q9, q12, q11
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf2622d62                          // vsub.f32      q9, q1, q9
  .long  0xf2462fe2                          // vmax.f32      q9, q11, q9
  .long  0xf2222fe0                          // vmin.f32      q1, q9, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_x_vfp4
.globl _sk_mirror_x_vfp4
FUNCTION(_sk_mirror_x_vfp4)
_sk_mirror_x_vfp4:
  .long  0xed2d8b06                          // vpush         {d8-d10}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xeeb6aa00                          // vmov.f32      s20, #96
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a00                          // vldr          s16, [r3]
  .long  0xed939a01                          // vldr          s18, [r3, #4]
  .long  0xe28f3050                          // add           r3, pc, #80
  .long  0xf3f40c48                          // vdup.32       q8, d8[0]
  .long  0xf2602d60                          // vsub.f32      q9, q0, q8
  .long  0xf463aacf                          // vld1.64       {d26-d27}, [r3]
  .long  0xee290a0a                          // vmul.f32      s0, s18, s20
  .long  0xf3e249c0                          // vmul.f32      q10, q9, d0[0]
  .long  0xee380a08                          // vadd.f32      s0, s16, s16
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf3e449c0                          // vmul.f32      q10, q10, d0[0]
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf3f92762                          // vabs.f32      q9, q9
  .long  0xf2482fe2                          // vmax.f32      q9, q12, q9
  .long  0xf2220fe0                          // vmin.f32      q0, q9, q8
  .long  0xecbd8b06                          // vpop          {d8-d10}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_y_vfp4
.globl _sk_mirror_y_vfp4
FUNCTION(_sk_mirror_y_vfp4)
_sk_mirror_y_vfp4:
  .long  0xed2d8b06                          // vpush         {d8-d10}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xeeb6aa00                          // vmov.f32      s20, #96
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a00                          // vldr          s16, [r3]
  .long  0xed939a01                          // vldr          s18, [r3, #4]
  .long  0xe28f3050                          // add           r3, pc, #80
  .long  0xf3f40c48                          // vdup.32       q8, d8[0]
  .long  0xf2622d60                          // vsub.f32      q9, q1, q8
  .long  0xf463aacf                          // vld1.64       {d26-d27}, [r3]
  .long  0xee292a0a                          // vmul.f32      s4, s18, s20
  .long  0xf3e249c2                          // vmul.f32      q10, q9, d2[0]
  .long  0xee382a08                          // vadd.f32      s4, s16, s16
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf3e449c2                          // vmul.f32      q10, q10, d2[0]
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf3f92762                          // vabs.f32      q9, q9
  .long  0xf2482fe2                          // vmax.f32      q9, q12, q9
  .long  0xf2222fe0                          // vmin.f32      q1, q9, q8
  .long  0xecbd8b06                          // vpop          {d8-d10}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_clamp_x_1_vfp4
.globl _sk_clamp_x_1_vfp4
FUNCTION(_sk_clamp_x_1_vfp4)
_sk_clamp_x_1_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2400fc0                          // vmax.f32      q8, q8, q0
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_repeat_x_1_vfp4
.globl _sk_repeat_x_1_vfp4
FUNCTION(_sk_repeat_x_1_vfp4)
_sk_repeat_x_1_vfp4:
  .long  0xf3fb0740                          // vcvt.s32.f32  q8, q0
  .long  0xe28f2024                          // add           r2, pc, #36
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3602ec0                          // vcgt.f32      q9, q8, q0
  .long  0xf35621f4                          // vbsl          q9, q11, q10
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf2200d60                          // vsub.f32      q0, q0, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_x_1_vfp4
.globl _sk_mirror_x_1_vfp4
FUNCTION(_sk_mirror_x_1_vfp4)
_sk_mirror_x_1_vfp4:
  .long  0xf3c70f50                          // vmov.f32      q8, #-1
  .long  0xe28f203c                          // add           r2, pc, #60
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2402d60                          // vadd.f32      q9, q0, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xf3424df4                          // vmul.f32      q10, q9, q10
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3b90760                          // vabs.f32      q0, q8
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_luminance_to_alpha_vfp4
.globl _sk_luminance_to_alpha_vfp4
FUNCTION(_sk_luminance_to_alpha_vfp4)
_sk_luminance_to_alpha_vfp4:
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2040                          // add           r2, pc, #64
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3420d70                          // vmul.f32      q8, q1, q8
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf3402d72                          // vmul.f32      q9, q0, q9
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2026de0                          // vadd.f32      q3, q9, q8
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2046c70                          // vfma.f32      q3, q2, q8
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98

HIDDEN _sk_matrix_translate_vfp4
.globl _sk_matrix_translate_vfp4
FUNCTION(_sk_matrix_translate_vfp4)
_sk_matrix_translate_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf2000dc0                          // vadd.f32      q0, q8, q0
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xf2022dc2                          // vadd.f32      q1, q9, q1
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_matrix_scale_translate_vfp4
.globl _sk_matrix_scale_translate_vfp4
FUNCTION(_sk_matrix_scale_translate_vfp4)
_sk_matrix_scale_translate_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4ee0cbd                          // vld1.32       {d16[]-d17[]}, [lr :32]!
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf4ee2cbf                          // vld1.32       {d18[]-d19[]}, [lr :32]
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_2x3_vfp4
.globl _sk_matrix_2x3_vfp4
FUNCTION(_sk_matrix_2x3_vfp4)
_sk_matrix_2x3_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2420c72                          // vfma.f32      q8, q1, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf4e34cbd                          // vld1.32       {d20[]-d21[]}, [r3 :32]!
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf2400c74                          // vfma.f32      q8, q0, q10
  .long  0xf2402c76                          // vfma.f32      q9, q0, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_3x4_vfp4
.globl _sk_matrix_3x4_vfp4
FUNCTION(_sk_matrix_3x4_vfp4)
_sk_matrix_3x4_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2442c74                          // vfma.f32      q9, q2, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2444c76                          // vfma.f32      q10, q2, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2420c76                          // vfma.f32      q8, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2422c76                          // vfma.f32      q9, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2424c76                          // vfma.f32      q10, q1, q11
  .long  0xf4e36cbd                          // vld1.32       {d22[]-d23[]}, [r3 :32]!
  .long  0xf4e38cbf                          // vld1.32       {d24[]-d25[]}, [r3 :32]
  .long  0xf2400c76                          // vfma.f32      q8, q0, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2404c76                          // vfma.f32      q10, q0, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_4x5_vfp4
.globl _sk_matrix_4x5_vfp4
FUNCTION(_sk_matrix_4x5_vfp4)
_sk_matrix_4x5_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2620152                          // vorr          q8, q1, q1
  .long  0xf2666156                          // vorr          q11, q3, q3
  .long  0xe2832030                          // add           r2, r3, #48
  .long  0xf2644154                          // vorr          q10, q2, q2
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe2832038                          // add           r2, r3, #56
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283203c                          // add           r2, r3, #60
  .long  0xf4e2ccbf                          // vld1.32       {d28[]-d29[]}, [r2 :32]
  .long  0xe2832034                          // add           r2, r3, #52
  .long  0xf4e2ecbf                          // vld1.32       {d30[]-d31[]}, [r2 :32]
  .long  0xe2832044                          // add           r2, r3, #68
  .long  0xf4a22cbf                          // vld1.32       {d2[]-d3[]}, [r2 :32]
  .long  0xe283204c                          // add           r2, r3, #76
  .long  0xf2062cfe                          // vfma.f32      q1, q11, q15
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832048                          // add           r2, r3, #72
  .long  0xf2066cfc                          // vfma.f32      q3, q11, q14
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832040                          // add           r2, r3, #64
  .long  0xf2064cf2                          // vfma.f32      q2, q11, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2462cfa                          // vfma.f32      q9, q11, q13
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf4ee8cbd                          // vld1.32       {d24[]-d25[]}, [lr :32]!
  .long  0xf2046cf6                          // vfma.f32      q3, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf2044cf6                          // vfma.f32      q2, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf2042cf6                          // vfma.f32      q1, q10, q11
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2004cf4                          // vfma.f32      q2, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf2002cf4                          // vfma.f32      q1, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2004c70                          // vfma.f32      q2, q0, q8
  .long  0xf4ee4cbf                          // vld1.32       {d20[]-d21[]}, [lr :32]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2002c74                          // vfma.f32      q1, q0, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_4x3_vfp4
.globl _sk_matrix_4x3_vfp4
FUNCTION(_sk_matrix_4x3_vfp4)
_sk_matrix_4x3_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf2024c70                          // vfma.f32      q2, q1, q8
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf2420c72                          // vfma.f32      q8, q1, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2422c78                          // vfma.f32      q9, q1, q12
  .long  0xf4ee4cbd                          // vld1.32       {d20[]-d21[]}, [lr :32]!
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2026c76                          // vfma.f32      q3, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2400c74                          // vfma.f32      q8, q0, q10
  .long  0xf4ee4cbf                          // vld1.32       {d20[]-d21[]}, [lr :32]
  .long  0xf2402c74                          // vfma.f32      q9, q0, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf2004c76                          // vfma.f32      q2, q0, q11
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_perspective_vfp4
.globl _sk_matrix_perspective_vfp4
FUNCTION(_sk_matrix_perspective_vfp4)
_sk_matrix_perspective_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf2422c70                          // vfma.f32      q9, q1, q8
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xf4ee0cbd                          // vld1.32       {d16[]-d17[]}, [lr :32]!
  .long  0xf4eeacbf                          // vld1.32       {d26[]-d27[]}, [lr :32]
  .long  0xf2424c7a                          // vfma.f32      q10, q1, q13
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf242ac78                          // vfma.f32      q13, q1, q12
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb6562                          // vrecpe.f32    q11, q9
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xf240ac78                          // vfma.f32      q13, q0, q12
  .long  0xf2422ff6                          // vrecps.f32    q9, q9, q11
  .long  0xf3460df2                          // vmul.f32      q8, q11, q9
  .long  0xf3040df0                          // vmul.f32      q0, q10, q8
  .long  0xf30a2df0                          // vmul.f32      q1, q13, q8
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_evenly_spaced_gradient_vfp4
.globl _sk_evenly_spaced_gradient_vfp4
FUNCTION(_sk_evenly_spaced_gradient_vfp4)
_sk_evenly_spaced_gradient_vfp4:
  .long  0xe92d4ff0                          // push          {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2004                          // str           r2, [sp, #4]
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xe49c4008                          // ldr           r4, [ip], #8
  .long  0xe8944204                          // ldm           r4, {r2, r9, lr}
  .long  0xe2422001                          // sub           r2, r2, #1
  .long  0xe5943010                          // ldr           r3, [r4, #16]
  .long  0xe5948020                          // ldr           r8, [r4, #32]
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe594700c                          // ldr           r7, [r4, #12]
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xe594a01c                          // ldr           sl, [r4, #28]
  .long  0xf3422df0                          // vmul.f32      q9, q9, q8
  .long  0xf3fb2762                          // vcvt.s32.f32  q9, q9
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xee32bb90                          // vmov.32       fp, d18[1]
  .long  0xe0832106                          // add           r2, r3, r6, lsl #2
  .long  0xedd2ba00                          // vldr          s23, [r2]
  .long  0xee132b90                          // vmov.32       r2, d19[0]
  .long  0xe0835102                          // add           r5, r3, r2, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xe083510b                          // add           r5, r3, fp, lsl #2
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xe0833105                          // add           r3, r3, r5, lsl #2
  .long  0xed93aa00                          // vldr          s20, [r3]
  .long  0xe0883106                          // add           r3, r8, r6, lsl #2
  .long  0xedd37a00                          // vldr          s15, [r3]
  .long  0xe0883102                          // add           r3, r8, r2, lsl #2
  .long  0xed937a00                          // vldr          s14, [r3]
  .long  0xe0873106                          // add           r3, r7, r6, lsl #2
  .long  0xedd3da00                          // vldr          s27, [r3]
  .long  0xe0873102                          // add           r3, r7, r2, lsl #2
  .long  0xed93da00                          // vldr          s26, [r3]
  .long  0xe087310b                          // add           r3, r7, fp, lsl #2
  .long  0xedd3ca00                          // vldr          s25, [r3]
  .long  0xe0873105                          // add           r3, r7, r5, lsl #2
  .long  0xed93ca00                          // vldr          s24, [r3]
  .long  0xe08a3106                          // add           r3, sl, r6, lsl #2
  .long  0xedd35a00                          // vldr          s11, [r3]
  .long  0xe5943018                          // ldr           r3, [r4, #24]
  .long  0xe5944014                          // ldr           r4, [r4, #20]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837102                          // add           r7, r3, r2, lsl #2
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe083710b                          // add           r7, r3, fp, lsl #2
  .long  0xe0833105                          // add           r3, r3, r5, lsl #2
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0847106                          // add           r7, r4, r6, lsl #2
  .long  0xedd79a00                          // vldr          s19, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe08a310b                          // add           r3, sl, fp, lsl #2
  .long  0xed979a00                          // vldr          s18, [r7]
  .long  0xe08e7106                          // add           r7, lr, r6, lsl #2
  .long  0xe0896106                          // add           r6, r9, r6, lsl #2
  .long  0xedd7fa00                          // vldr          s31, [r7]
  .long  0xe08e7105                          // add           r7, lr, r5, lsl #2
  .long  0xedd61a00                          // vldr          s3, [r6]
  .long  0xe0896102                          // add           r6, r9, r2, lsl #2
  .long  0xed961a00                          // vldr          s2, [r6]
  .long  0xe089610b                          // add           r6, r9, fp, lsl #2
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xe0896105                          // add           r6, r9, r5, lsl #2
  .long  0xed960a00                          // vldr          s0, [r6]
  .long  0xe084610b                          // add           r6, r4, fp, lsl #2
  .long  0xe0844105                          // add           r4, r4, r5, lsl #2
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xe08a6105                          // add           r6, sl, r5, lsl #2
  .long  0xed948a00                          // vldr          s16, [r4]
  .long  0xe08e4102                          // add           r4, lr, r2, lsl #2
  .long  0xe08a2102                          // add           r2, sl, r2, lsl #2
  .long  0xf2008cd0                          // vfma.f32      q4, q8, q0
  .long  0xed94fa00                          // vldr          s30, [r4]
  .long  0xed925a00                          // vldr          s10, [r2]
  .long  0xe08e410b                          // add           r4, lr, fp, lsl #2
  .long  0xe088210b                          // add           r2, r8, fp, lsl #2
  .long  0xedd4ea00                          // vldr          s29, [r4]
  .long  0xe0884105                          // add           r4, r8, r5, lsl #2
  .long  0xedd26a00                          // vldr          s13, [r2]
  .long  0xedd34a00                          // vldr          s9, [r3]
  .long  0xed946a00                          // vldr          s12, [r4]
  .long  0xed964a00                          // vldr          s8, [r6]
  .long  0xed97ea00                          // vldr          s28, [r7]
  .long  0xf2006cda                          // vfma.f32      q3, q8, q5
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf2002cde                          // vfma.f32      q1, q8, q7
  .long  0xf2004cdc                          // vfma.f32      q2, q8, q6
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4ff0                          // pop           {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_gauss_a_to_rgba_vfp4
.globl _sk_gauss_a_to_rgba_vfp4
FUNCTION(_sk_gauss_a_to_rgba_vfp4)
_sk_gauss_a_to_rgba_vfp4:
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2050                          // add           r2, pc, #80
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f205c                          // add           r2, pc, #92
  .long  0xf2460c72                          // vfma.f32      q8, q3, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xf4220acf                          // vld1.64       {d0-d1}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf2060c72                          // vfma.f32      q0, q3, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf2206150                          // vorr          q3, q0, q0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800

HIDDEN _sk_gradient_vfp4
.globl _sk_gradient_vfp4
FUNCTION(_sk_gradient_vfp4)
_sk_gradient_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2004                          // str           r2, [sp, #4]
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2606150                          // vorr          q11, q0, q0
  .long  0xf2c02050                          // vmov.i32      q9, #0
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5931000                          // ldr           r1, [r3]
  .long  0xe3510002                          // cmp           r1, #2
  .long  0x3a00000a                          // bcc           62a4 <sk_gradient_vfp4+0x5c>
  .long  0xe5932024                          // ldr           r2, [r3, #36]
  .long  0xf2c04051                          // vmov.i32      q10, #1
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe2411001                          // sub           r1, r1, #1
  .long  0xe2822004                          // add           r2, r2, #4
  .long  0xf4e28cbd                          // vld1.32       {d24[]-d25[]}, [r2 :32]!
  .long  0xe2511001                          // subs          r1, r1, #1
  .long  0xf3468ee8                          // vcge.f32      q12, q11, q12
  .long  0xf35481f2                          // vbsl          q12, q10, q9
  .long  0xf26808e0                          // vadd.i32      q8, q12, q8
  .long  0x1afffff9                          // bne           628c <sk_gradient_vfp4+0x44>
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xe5937010                          // ldr           r7, [r3, #16]
  .long  0xee112b90                          // vmov.32       r2, d17[0]
  .long  0xe593c020                          // ldr           ip, [r3, #32]
  .long  0xee301b90                          // vmov.32       r1, d16[1]
  .long  0xe593400c                          // ldr           r4, [r3, #12]
  .long  0xe593801c                          // ldr           r8, [r3, #28]
  .long  0xe5939008                          // ldr           r9, [r3, #8]
  .long  0xe593e004                          // ldr           lr, [r3, #4]
  .long  0xe0876105                          // add           r6, r7, r5, lsl #2
  .long  0xedd6ba00                          // vldr          s23, [r6]
  .long  0xe0876102                          // add           r6, r7, r2, lsl #2
  .long  0xed96ba00                          // vldr          s22, [r6]
  .long  0xe0876101                          // add           r6, r7, r1, lsl #2
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0877106                          // add           r7, r7, r6, lsl #2
  .long  0xe088a106                          // add           sl, r8, r6, lsl #2
  .long  0xed97aa00                          // vldr          s20, [r7]
  .long  0xe08c7105                          // add           r7, ip, r5, lsl #2
  .long  0xedd77a00                          // vldr          s15, [r7]
  .long  0xe08c7102                          // add           r7, ip, r2, lsl #2
  .long  0xed977a00                          // vldr          s14, [r7]
  .long  0xe0847105                          // add           r7, r4, r5, lsl #2
  .long  0xedd7da00                          // vldr          s27, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xed97da00                          // vldr          s26, [r7]
  .long  0xe0847101                          // add           r7, r4, r1, lsl #2
  .long  0xe0844106                          // add           r4, r4, r6, lsl #2
  .long  0xedd7ca00                          // vldr          s25, [r7]
  .long  0xed94ca00                          // vldr          s24, [r4]
  .long  0xe0884105                          // add           r4, r8, r5, lsl #2
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe5934018                          // ldr           r4, [r3, #24]
  .long  0xe5933014                          // ldr           r3, [r3, #20]
  .long  0xe0847105                          // add           r7, r4, r5, lsl #2
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0897105                          // add           r7, r9, r5, lsl #2
  .long  0xedd7fa00                          // vldr          s31, [r7]
  .long  0xe0897102                          // add           r7, r9, r2, lsl #2
  .long  0xed97fa00                          // vldr          s30, [r7]
  .long  0xe0897101                          // add           r7, r9, r1, lsl #2
  .long  0xedd7ea00                          // vldr          s29, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xe08e5105                          // add           r5, lr, r5, lsl #2
  .long  0xedd79a00                          // vldr          s19, [r7]
  .long  0xe0837102                          // add           r7, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe08e5102                          // add           r5, lr, r2, lsl #2
  .long  0xed979a00                          // vldr          s18, [r7]
  .long  0xe0837101                          // add           r7, r3, r1, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe08e5101                          // add           r5, lr, r1, lsl #2
  .long  0xedd78a00                          // vldr          s17, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xe0893106                          // add           r3, r9, r6, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xe08c9106                          // add           r9, ip, r6, lsl #2
  .long  0xe0845106                          // add           r5, r4, r6, lsl #2
  .long  0xe08e6106                          // add           r6, lr, r6, lsl #2
  .long  0xed978a00                          // vldr          s16, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xe0882102                          // add           r2, r8, r2, lsl #2
  .long  0xed960a00                          // vldr          s0, [r6]
  .long  0xed93ea00                          // vldr          s28, [r3]
  .long  0xe0843101                          // add           r3, r4, r1, lsl #2
  .long  0xf2068cd0                          // vfma.f32      q4, q11, q0
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0887101                          // add           r7, r8, r1, lsl #2
  .long  0xed925a00                          // vldr          s10, [r2]
  .long  0xe08c1101                          // add           r1, ip, r1, lsl #2
  .long  0xedd32a00                          // vldr          s5, [r3]
  .long  0xedd74a00                          // vldr          s9, [r7]
  .long  0xedd16a00                          // vldr          s13, [r1]
  .long  0xe59d1004                          // ldr           r1, [sp, #4]
  .long  0xed952a00                          // vldr          s4, [r5]
  .long  0xed9a4a00                          // vldr          s8, [sl]
  .long  0xed996a00                          // vldr          s12, [r9]
  .long  0xf2062cde                          // vfma.f32      q1, q11, q7
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2064cdc                          // vfma.f32      q2, q11, q6
  .long  0xf2066cda                          // vfma.f32      q3, q11, q5
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_evenly_spaced_2_stop_gradient_vfp4
.globl _sk_evenly_spaced_2_stop_gradient_vfp4
FUNCTION(_sk_evenly_spaced_2_stop_gradient_vfp4)
_sk_evenly_spaced_2_stop_gradient_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2004c76                          // vfma.f32      q2, q0, q11
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf4ee2cbd                          // vld1.32       {d18[]-d19[]}, [lr :32]!
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xf4ee2cbf                          // vld1.32       {d18[]-d19[]}, [lr :32]
  .long  0xf4a22cbf                          // vld1.32       {d2[]-d3[]}, [r2 :32]
  .long  0xf2002c72                          // vfma.f32      q1, q0, q9
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_xy_to_unit_angle_vfp4
.globl _sk_xy_to_unit_angle_vfp4
FUNCTION(_sk_xy_to_unit_angle_vfp4)
_sk_xy_to_unit_angle_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf3f90742                          // vabs.f32      q8, q1
  .long  0xe28f20a8                          // add           r2, pc, #168
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f20b0                          // add           r2, pc, #176
  .long  0xf3f92740                          // vabs.f32      q9, q0
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf202afe0                          // vmax.f32      q5, q9, q8
  .long  0xf222cfe0                          // vmin.f32      q6, q9, q8
  .long  0xf3600ee2                          // vcgt.f32      q8, q8, q9
  .long  0xeecd9aab                          // vdiv.f32      s19, s27, s23
  .long  0xee8d9a0b                          // vdiv.f32      s18, s26, s22
  .long  0xeecc8aaa                          // vdiv.f32      s17, s25, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf3484d58                          // vmul.f32      q10, q4, q4
  .long  0xf3446df6                          // vmul.f32      q11, q10, q11
  .long  0xf2466de8                          // vadd.f32      q11, q11, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf3446df6                          // vmul.f32      q11, q10, q11
  .long  0xf2466de8                          // vadd.f32      q11, q11, q12
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf2c56f50                          // vmov.f32      q11, #0.25
  .long  0xf3484d74                          // vmul.f32      q10, q4, q10
  .long  0xf2662de4                          // vsub.f32      q9, q11, q10
  .long  0xf35201f4                          // vbsl          q8, q9, q10
  .long  0xf3f94640                          // vclt.f32      q10, q0, #0
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf35241f0                          // vbsl          q10, q9, q8
  .long  0xf3f92642                          // vclt.f32      q9, q1, #0
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf2600de4                          // vsub.f32      q8, q8, q10
  .long  0xf35021f4                          // vbsl          q9, q8, q10
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3424ee0                          // vcge.f32      q10, q9, q8
  .long  0xf3606ee2                          // vcgt.f32      q11, q8, q9
  .long  0xf26641f4                          // vorr          q10, q11, q10
  .long  0xf3b005e4                          // vmvn          q0, q10
  .long  0xf31001f2                          // vbsl          q0, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9

HIDDEN _sk_xy_to_radius_vfp4
.globl _sk_xy_to_radius_vfp4
FUNCTION(_sk_xy_to_radius_vfp4)
_sk_xy_to_radius_vfp4:
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3fb25e0                          // vrsqrte.f32   q9, q8
  .long  0xf3424df2                          // vmul.f32      q10, q9, q9
  .long  0xf2604ff4                          // vrsqrts.f32   q10, q8, q10
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3424df2                          // vmul.f32      q10, q9, q9
  .long  0xf2604ff4                          // vrsqrts.f32   q10, q8, q10
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_vfp4
.globl _sk_xy_to_2pt_conical_quadratic_max_vfp4
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_vfp4)
_sk_xy_to_2pt_conical_quadratic_max_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf3c14f50                          // vmov.f32      q10, #-4
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xee299a08                          // vmul.f32      s18, s18, s16
  .long  0xee288a08                          // vmul.f32      s16, s16, s16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c49                          // vdup.32       q9, d9[0]
  .long  0xf3f46c48                          // vdup.32       q11, d8[0]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf3c46650                          // vmov.i32      q11, #-1073741824
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2420cf2                          // vfma.f32      q8, q9, q9
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3f967e2                          // vneg.f32      q11, q9
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2666de0                          // vsub.f32      q11, q11, q8
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3442df6                          // vmul.f32      q9, q10, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2000fe2                          // vmax.f32      q0, q8, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_vfp4
.globl _sk_xy_to_2pt_conical_quadratic_min_vfp4
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_vfp4)
_sk_xy_to_2pt_conical_quadratic_min_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf3c14f50                          // vmov.f32      q10, #-4
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xee299a08                          // vmul.f32      s18, s18, s16
  .long  0xee288a08                          // vmul.f32      s16, s16, s16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c49                          // vdup.32       q9, d9[0]
  .long  0xf3f46c48                          // vdup.32       q11, d8[0]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf3c46650                          // vmov.i32      q11, #-1073741824
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2420cf2                          // vfma.f32      q8, q9, q9
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3f967e2                          // vneg.f32      q11, q9
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2666de0                          // vsub.f32      q11, q11, q8
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3442df6                          // vmul.f32      q9, q10, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_xy_to_2pt_conical_linear_vfp4
.globl _sk_xy_to_2pt_conical_linear_vfp4
FUNCTION(_sk_xy_to_2pt_conical_linear_vfp4)
_sk_xy_to_2pt_conical_linear_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xee28aa08                          // vmul.f32      s20, s16, s16
  .long  0xee298a08                          // vmul.f32      s16, s18, s16
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c4a                          // vdup.32       q9, d10[0]
  .long  0xf3f44c48                          // vdup.32       q10, d8[0]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf2442dc0                          // vadd.f32      q9, q10, q0
  .long  0xf3c44650                          // vmov.i32      q10, #-1073741824
  .long  0xf3b987e0                          // vneg.f32      q4, q8
  .long  0xf302adf4                          // vmul.f32      q5, q9, q10
  .long  0xeec91aab                          // vdiv.f32      s3, s19, s23
  .long  0xee891a0b                          // vdiv.f32      s2, s18, s22
  .long  0xeec80aaa                          // vdiv.f32      s1, s17, s21
  .long  0xee880a0a                          // vdiv.f32      s0, s16, s20
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_mask_2pt_conical_degenerates_vfp4
.globl _sk_mask_2pt_conical_degenerates_vfp4
FUNCTION(_sk_mask_2pt_conical_degenerates_vfp4)
_sk_mask_2pt_conical_degenerates_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3402e60                          // vcge.f32      q9, q0, q8
  .long  0xe282302c                          // add           r3, r2, #44
  .long  0xf3600ec0                          // vcgt.f32      q8, q8, q0
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823028                          // add           r3, r2, #40
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf2406c74                          // vfma.f32      q11, q0, q10
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f924e6                          // vcge.f32      q9, q11, #0
  .long  0xf3f62222                          // vmovn.i32     d18, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0xf24201b0                          // vand          d16, d18, d16
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3f923e2                          // vneg.s32      q9, q9
  .long  0xf2ff0570                          // vshl.s32      q8, q8, #31
  .long  0xf26204e0                          // vshl.s32      q8, q8, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_apply_vector_mask_vfp4
.globl _sk_apply_vector_mask_vfp4
FUNCTION(_sk_apply_vector_mask_vfp4)
_sk_apply_vector_mask_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf20001d0                          // vand          q0, q8, q0
  .long  0xf20021d2                          // vand          q1, q8, q1
  .long  0xf20041d4                          // vand          q2, q8, q2
  .long  0xf20061d6                          // vand          q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_save_xy_vfp4
.globl _sk_save_xy_vfp4
FUNCTION(_sk_save_xy_vfp4)
_sk_save_xy_vfp4:
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xe28f206c                          // add           r2, pc, #108
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf2c0a050                          // vmov.i32      q13, #0
  .long  0xf2402d60                          // vadd.f32      q9, q0, q8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2420d60                          // vadd.f32      q8, q1, q8
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf4020a8f                          // vst1.32       {d0-d1}, [r2]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf4032a8f                          // vst1.32       {d2-d3}, [r3]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf3fb6760                          // vcvt.s32.f32  q11, q8
  .long  0xe2822060                          // add           r2, r2, #96
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3648ee2                          // vcgt.f32      q12, q10, q9
  .long  0xf366eee0                          // vcgt.f32      q15, q11, q8
  .long  0xf35c81fa                          // vbsl          q12, q14, q13
  .long  0xf35ce1fa                          // vbsl          q15, q14, q13
  .long  0xf2644de8                          // vsub.f32      q10, q10, q12
  .long  0xf2666dee                          // vsub.f32      q11, q11, q15
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf4432a8f                          // vst1.32       {d18-d19}, [r3]
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_accumulate_vfp4
.globl _sk_accumulate_vfp4
FUNCTION(_sk_accumulate_vfp4)
_sk_accumulate_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28230a0                          // add           r3, r2, #160
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf4622a8f                          // vld1.32       {d18-d19}, [r2]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd0                          // vfma.f32      q9, q8, q0
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd2                          // vfma.f32      q9, q8, q1
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd4                          // vfma.f32      q9, q8, q2
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd6                          // vfma.f32      q9, q8, q3
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_bilinear_nx_vfp4
.globl _sk_bilinear_nx_vfp4
FUNCTION(_sk_bilinear_nx_vfp4)
_sk_bilinear_nx_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3c3265f                          // vmov.i32      q9, #-1090519040
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_px_vfp4
.globl _sk_bilinear_px_vfp4
FUNCTION(_sk_bilinear_px_vfp4)
_sk_bilinear_px_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622a8f                          // vld1.32       {d18-d19}, [r2]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf2020de0                          // vadd.f32      q0, q9, q8
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_ny_vfp4
.globl _sk_bilinear_ny_vfp4
FUNCTION(_sk_bilinear_ny_vfp4)
_sk_bilinear_ny_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf3c3265f                          // vmov.i32      q9, #-1090519040
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_py_vfp4
.globl _sk_bilinear_py_vfp4
FUNCTION(_sk_bilinear_py_vfp4)
_sk_bilinear_py_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_bicubic_n3x_vfp4
.globl _sk_bicubic_n3x_vfp4
FUNCTION(_sk_bicubic_n3x_vfp4)
_sk_bicubic_n3x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3040                          // add           r3, pc, #64
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf3400df0                          // vmul.f32      q8, q8, q8
  .long  0xf3c72f58                          // vmov.f32      q9, #-1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n1x_vfp4
.globl _sk_bicubic_n1x_vfp4
FUNCTION(_sk_bicubic_n1x_vfp4)
_sk_bicubic_n1x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3048                          // add           r3, pc, #72
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf3c3065f                          // vmov.i32      q8, #-1090519040
  .long  0xf2040de0                          // vadd.f32      q0, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p1x_vfp4
.globl _sk_bicubic_p1x_vfp4
FUNCTION(_sk_bicubic_p1x_vfp4)
_sk_bicubic_p1x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf2442cf0                          // vfma.f32      q9, q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de0                          // vadd.f32      q0, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p3x_vfp4
.globl _sk_bicubic_p3x_vfp4
FUNCTION(_sk_bicubic_p3x_vfp4)
_sk_bicubic_p3x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2424cf0                          // vfma.f32      q10, q9, q8
  .long  0xf3420df2                          // vmul.f32      q8, q9, q9
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n3y_vfp4
.globl _sk_bicubic_n3y_vfp4
FUNCTION(_sk_bicubic_n3y_vfp4)
_sk_bicubic_n3y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3040                          // add           r3, pc, #64
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf3400df0                          // vmul.f32      q8, q8, q8
  .long  0xf3c72f58                          // vmov.f32      q9, #-1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n1y_vfp4
.globl _sk_bicubic_n1y_vfp4
FUNCTION(_sk_bicubic_n1y_vfp4)
_sk_bicubic_n1y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3048                          // add           r3, pc, #72
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf3c3065f                          // vmov.i32      q8, #-1090519040
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p1y_vfp4
.globl _sk_bicubic_p1y_vfp4
FUNCTION(_sk_bicubic_p1y_vfp4)
_sk_bicubic_p1y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf2442cf0                          // vfma.f32      q9, q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p3y_vfp4
.globl _sk_bicubic_p3y_vfp4
FUNCTION(_sk_bicubic_p3y_vfp4)
_sk_bicubic_p3y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf2424cf0                          // vfma.f32      q10, q9, q8
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf3420df2                          // vmul.f32      q8, q9, q9
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_callback_vfp4
.globl _sk_callback_vfp4
FUNCTION(_sk_callback_vfp4)
_sk_callback_vfp4:
  .long  0xe92d4c70                          // push          {r4, r5, r6, sl, fp, lr}
  .long  0xe28db010                          // add           fp, sp, #16
  .long  0xe1a04001                          // mov           r4, r1
  .long  0xe1a05000                          // mov           r5, r0
  .long  0xe5946000                          // ldr           r6, [r4]
  .long  0xe5951008                          // ldr           r1, [r5, #8]
  .long  0xe2860004                          // add           r0, r6, #4
  .long  0xe3510000                          // cmp           r1, #0
  .long  0xf400018d                          // vst4.32       {d0,d2,d4,d6}, [r0]!
  .long  0x03a01004                          // moveq         r1, #4
  .long  0xf400118f                          // vst4.32       {d1,d3,d5,d7}, [r0]
  .long  0xe1a00006                          // mov           r0, r6
  .long  0xe5962000                          // ldr           r2, [r6]
  .long  0xe12fff32                          // blx           r2
  .long  0xe5960084                          // ldr           r0, [r6, #132]
  .long  0xe2841008                          // add           r1, r4, #8
  .long  0xf420018d                          // vld4.32       {d0,d2,d4,d6}, [r0]!
  .long  0xf420118f                          // vld4.32       {d1,d3,d5,d7}, [r0]
  .long  0xe1a00005                          // mov           r0, r5
  .long  0xe5942004                          // ldr           r2, [r4, #4]
  .long  0xe8bd4c70                          // pop           {r4, r5, r6, sl, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clut_3D_vfp4
.globl _sk_clut_3D_vfp4
FUNCTION(_sk_clut_3D_vfp4)
_sk_clut_3D_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd090                          // sub           sp, sp, #144
  .long  0xe28db050                          // add           fp, sp, #80
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xf280c053                          // vmov.i32      q6, #3
  .long  0xec8b6b04                          // vstmia        fp, {d6-d7}
  .long  0xe58d208c                          // str           r2, [sp, #140]
  .long  0xe49c2008                          // ldr           r2, [ip], #8
  .long  0xe8924008                          // ldm           r2, {r3, lr}
  .long  0xe5924008                          // ldr           r4, [r2, #8]
  .long  0xe592200c                          // ldr           r2, [r2, #12]
  .long  0xe2445001                          // sub           r5, r4, #1
  .long  0xee0e4b90                          // vmov.32       d30[0], r4
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe24e5001                          // sub           r5, lr, #1
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xee0c2b90                          // vmov.32       d28[0], r2
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf22e89fc                          // vmul.i32      q4, q15, q14
  .long  0xf3006dd2                          // vmul.f32      q3, q8, q1
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf3fb2660                          // vcvt.f32.s32  q9, q8
  .long  0xe2425001                          // sub           r5, r2, #1
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xeea65b90                          // vdup.32       q11, r5
  .long  0xf3fb8666                          // vcvt.f32.s32  q12, q11
  .long  0xf3fba746                          // vcvt.s32.f32  q13, q3
  .long  0xf3426dd0                          // vmul.f32      q11, q9, q0
  .long  0xf3488dd4                          // vmul.f32      q12, q12, q2
  .long  0xf26a29f0                          // vmul.i32      q9, q13, q8
  .long  0xf3bb2766                          // vcvt.s32.f32  q1, q11
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf3fba66a                          // vcvt.f32.s32  q13, q13
  .long  0xf262e9dc                          // vmul.i32      q15, q9, q6
  .long  0xf3fb2768                          // vcvt.s32.f32  q9, q12
  .long  0xf3e24848                          // vmul.i32      q10, q1, d8[0]
  .long  0xecceeb04                          // vstmia        lr, {d30-d31}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xf262e9cc                          // vmla.i32      q15, q9, q6
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf3bb2642                          // vcvt.f32.s32  q1, q1
  .long  0xec8e0b04                          // vstmia        lr, {d0-d1}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf224a9cc                          // vmla.i32      q5, q10, q6
  .long  0xf26a8862                          // vadd.i32      q12, q5, q9
  .long  0xee394b90                          // vmov.32       r4, d25[1]
  .long  0xee385b90                          // vmov.32       r5, d24[1]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee194b90                          // vmov.32       r4, d25[0]
  .long  0xf2c08052                          // vmov.i32      q12, #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed945a00                          // vldr          s10, [r4]
  .long  0xedd54a00                          // vldr          s9, [r5]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe28f2ffb                          // add           r2, pc, #1004
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf246cde2                          // vadd.f32      q14, q11, q9
  .long  0xf222e1f2                          // vorr          q7, q9, q9
  .long  0xf3fbc76c                          // vcvt.s32.f32  q14, q14
  .long  0xec8eeb04                          // vstmia        lr, {d14-d15}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf3ec28c8                          // vmul.i32      q9, q14, d8[0]
  .long  0xf2c0c053                          // vmov.i32      q14, #3
  .long  0xf262e9cc                          // vmla.i32      q15, q9, q6
  .long  0xecce2b04                          // vstmia        lr, {d18-d19}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xf22e88e8                          // vadd.i32      q4, q15, q12
  .long  0xf2668dc2                          // vsub.f32      q12, q11, q1
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xf2062d4e                          // vadd.f32      q1, q3, q7
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xf3bb2742                          // vcvt.s32.f32  q1, q1
  .long  0xf2620970                          // vmul.i32      q8, q1, q8
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf22c8d44                          // vsub.f32      q4, q6, q2
  .long  0xf220c9fc                          // vmul.i32      q6, q8, q14
  .long  0xf2084c78                          // vfma.f32      q2, q4, q12
  .long  0xf2c00053                          // vmov.i32      q8, #3
  .long  0xec8dcb04                          // vstmia        sp, {d12-d13}
  .long  0xf220c96c                          // vmla.i32      q6, q0, q14
  .long  0xf22ce15c                          // vorr          q7, q6, q6
  .long  0xf224e9ec                          // vmla.i32      q7, q10, q14
  .long  0xf2c0c052                          // vmov.i32      q14, #2
  .long  0xf222c9e0                          // vmla.i32      q6, q9, q8
  .long  0xf22e886c                          // vadd.i32      q4, q7, q14
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xf2660d6a                          // vsub.f32      q8, q3, q13
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xf26aa862                          // vadd.i32      q13, q5, q9
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xf26841f8                          // vorr          q10, q12, q12
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf2c06051                          // vmov.i32      q11, #1
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xf22c886c                          // vadd.i32      q4, q6, q14
  .long  0xf2c0c053                          // vmov.i32      q14, #3
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf2200d42                          // vsub.f32      q0, q0, q1
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xf2002c78                          // vfma.f32      q1, q0, q12
  .long  0xf2220d44                          // vsub.f32      q0, q1, q2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xf26ea8e2                          // vadd.i32      q13, q15, q9
  .long  0xf2004c70                          // vfma.f32      q2, q0, q8
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260ad42                          // vsub.f32      q13, q0, q1
  .long  0xf20a2cf4                          // vfma.f32      q1, q13, q10
  .long  0xf26ea862                          // vadd.i32      q13, q7, q9
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd49a00                          // vldr          s19, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xf26ca862                          // vadd.i32      q13, q6, q9
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed949a00                          // vldr          s18, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd58a00                          // vldr          s17, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260ad48                          // vsub.f32      q13, q0, q4
  .long  0xf20a8cf4                          // vfma.f32      q4, q13, q10
  .long  0xf268ad42                          // vsub.f32      q13, q4, q1
  .long  0xf20a2cf0                          // vfma.f32      q1, q13, q8
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xecde2b04                          // vldmia        lr, {d18-d19}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf2408de2                          // vadd.f32      q12, q8, q9
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf2c02053                          // vmov.i32      q9, #3
  .long  0xf3fba768                          // vcvt.s32.f32  q13, q12
  .long  0xf26a09e2                          // vmla.i32      q8, q13, q9
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xf2668962                          // vmla.i32      q12, q3, q9
  .long  0xecde2b04                          // vldmia        lr, {d18-d19}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf26209ec                          // vmla.i32      q8, q9, q14
  .long  0xf22808e6                          // vadd.i32      q0, q12, q11
  .long  0xee314b10                          // vmov.32       r4, d1[1]
  .long  0xee305b10                          // vmov.32       r5, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd49a00                          // vldr          s19, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b10                          // vmov.32       r4, d1[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed949a00                          // vldr          s18, [r4]
  .long  0xedd58a00                          // vldr          s17, [r5]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xf26008e6                          // vadd.i32      q8, q8, q11
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d48                          // vsub.f32      q8, q0, q4
  .long  0xf2800051                          // vmov.i32      q0, #1
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf26a09ec                          // vmla.i32      q8, q13, q14
  .long  0xf260a1f0                          // vorr          q13, q8, q8
  .long  0xf266a96c                          // vmla.i32      q13, q3, q14
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf26269ec                          // vmla.i32      q11, q9, q14
  .long  0xecdecb04                          // vldmia        lr, {d28-d29}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf26a08c0                          // vadd.i32      q8, q13, q0
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26608c0                          // vadd.i32      q8, q11, q0
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3b4b10                          // vmov.32       r4, d11[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3a5b10                          // vmov.32       r5, d10[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1a2b10                          // vmov.32       r2, d10[0]
  .long  0xf2600d46                          // vsub.f32      q8, q0, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d48                          // vsub.f32      q8, q3, q4
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b10                          // vmov.32       r4, d11[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf2008cfc                          // vfma.f32      q4, q8, q14
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3f4b90                          // vmov.32       r4, d31[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3e5b90                          // vmov.32       r5, d30[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1e2b90                          // vmov.32       r2, d30[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1f4b90                          // vmov.32       r4, d31[0]
  .long  0xf26ce1fc                          // vorr          q15, q14, q14
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3f4b10                          // vmov.32       r4, d15[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3e5b10                          // vmov.32       r5, d14[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1e2b10                          // vmov.32       r2, d14[0]
  .long  0xf2660d40                          // vsub.f32      q8, q3, q0
  .long  0xf2000cf4                          // vfma.f32      q0, q8, q10
  .long  0xea000003                          // b             72a8 <sk_clut_3D_vfp4+0x500>
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1f4b10                          // vmov.32       r4, d15[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3d4b10                          // vmov.32       r4, d13[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3c5b10                          // vmov.32       r5, d12[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1c2b10                          // vmov.32       r2, d12[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4ba00                          // vldr          s23, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1d4b10                          // vmov.32       r4, d13[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94ba00                          // vldr          s22, [r4]
  .long  0xee394b90                          // vmov.32       r4, d25[1]
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee385b90                          // vmov.32       r5, d24[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xf26a0d46                          // vsub.f32      q8, q5, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d40                          // vsub.f32      q8, q3, q0
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4ba00                          // vldr          s23, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b90                          // vmov.32       r4, d25[0]
  .long  0xf2000cfc                          // vfma.f32      q0, q8, q14
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94ba00                          // vldr          s22, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xf2660d4a                          // vsub.f32      q8, q3, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xf26601f6                          // vorr          q8, q11, q11
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d4a                          // vsub.f32      q8, q3, q5
  .long  0xf200acfc                          // vfma.f32      q5, q8, q14
  .long  0xf2c0c052                          // vmov.i32      q14, #2
  .long  0xf26808ec                          // vadd.i32      q8, q12, q14
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26208ec                          // vadd.i32      q8, q9, q14
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf26a08e2                          // vadd.i32      q8, q13, q9
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26608e2                          // vadd.i32      q8, q11, q9
  .long  0xee10eb90                          // vmov.32       lr, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xee312b90                          // vmov.32       r2, d17[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd2fa00                          // vldr          s31, [r2]
  .long  0xe0832104                          // add           r2, r3, r4, lsl #2
  .long  0xed92fa00                          // vldr          s30, [r2]
  .long  0xe083210e                          // add           r2, r3, lr, lsl #2
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xedd5ea00                          // vldr          s29, [r5]
  .long  0xecd32b04                          // vldmia        r3, {d18-d19}
  .long  0xe28d3060                          // add           r3, sp, #96
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf26e0d4c                          // vsub.f32      q8, q7, q6
  .long  0xf200ccf4                          // vfma.f32      q6, q8, q10
  .long  0xf2684d42                          // vsub.f32      q10, q4, q1
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cfe                          // vfma.f32      q3, q8, q15
  .long  0xecd30b04                          // vldmia        r3, {d16-d17}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf26a2d40                          // vsub.f32      q9, q5, q0
  .long  0xf2042cf0                          // vfma.f32      q1, q10, q8
  .long  0xf2666d44                          // vsub.f32      q11, q3, q2
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf2064cf0                          // vfma.f32      q2, q11, q8
  .long  0xe28dd090                          // add           sp, sp, #144
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clut_4D_vfp4
.globl _sk_clut_4D_vfp4
FUNCTION(_sk_clut_4D_vfp4)
_sk_clut_4D_vfp4:
  .long  0xe92d41f0                          // push          {r4, r5, r6, r7, r8, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24ddf5a                          // sub           sp, sp, #360
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2164                          // str           r2, [sp, #356]
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xe28d70a0                          // add           r7, sp, #160
  .long  0xe49c2008                          // ldr           r2, [ip], #8
  .long  0xf2c04052                          // vmov.i32      q10, #2
  .long  0xe8924008                          // ldm           r2, {r3, lr}
  .long  0xe592500c                          // ldr           r5, [r2, #12]
  .long  0xe5924008                          // ldr           r4, [r2, #8]
  .long  0xe2456001                          // sub           r6, r5, #1
  .long  0xe5922010                          // ldr           r2, [r2, #16]
  .long  0xee065b90                          // vmov.32       d22[0], r5
  .long  0xe28d50c0                          // add           r5, sp, #192
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xe24e6001                          // sub           r6, lr, #1
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xeeaa6b90                          // vdup.32       q13, r6
  .long  0xf3fba66a                          // vcvt.f32.s32  q13, q13
  .long  0xf3402dd4                          // vmul.f32      q9, q8, q2
  .long  0xee002b90                          // vmov.32       d16[0], r2
  .long  0xf226a9f0                          // vmul.i32      q5, q11, q8
  .long  0xecc72b04                          // vstmia        r7, {d18-d19}
  .long  0xf3fb8762                          // vcvt.s32.f32  q12, q9
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe2422001                          // sub           r2, r2, #1
  .long  0xeeae2b90                          // vdup.32       q15, r2
  .long  0xe2442001                          // sub           r2, r4, #1
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf26869f2                          // vmul.i32      q11, q12, q9
  .long  0xecc58b04                          // vstmia        r5, {d24-d25}
  .long  0xe28d5d05                          // add           r5, sp, #320
  .long  0xf34e0dd6                          // vmul.f32      q8, q15, q3
  .long  0xee084b90                          // vmov.32       d24[0], r4
  .long  0xf22849da                          // vmul.i32      q2, q12, q5
  .long  0xeea82b90                          // vdup.32       q12, r2
  .long  0xecc52b04                          // vstmia        r5, {d18-d19}
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf2c02053                          // vmov.i32      q9, #3
  .long  0xf22689f2                          // vmul.i32      q4, q11, q9
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xf3fb8760                          // vcvt.s32.f32  q12, q8
  .long  0xf34a6dd0                          // vmul.f32      q11, q13, q0
  .long  0xf3bb6742                          // vcvt.s32.f32  q3, q1
  .long  0xec8e8b04                          // vstmia        lr, {d8-d9}
  .long  0xe28dee13                          // add           lr, sp, #304
  .long  0xf22889e2                          // vmla.i32      q4, q12, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28dee12                          // add           lr, sp, #288
  .long  0xf3e6084a                          // vmul.i32      q8, q3, d10[0]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf3fbe766                          // vcvt.s32.f32  q15, q11
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xf2c08052                          // vmov.i32      q12, #2
  .long  0xf22009e2                          // vmla.i32      q0, q8, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xf3eec8c4                          // vmul.i32      q14, q15, d4[0]
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xf220c150                          // vorr          q6, q0, q0
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf26c09e2                          // vmla.i32      q8, q14, q9
  .long  0xf26088e8                          // vadd.i32      q12, q8, q12
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xee395b90                          // vmov.32       r5, d25[1]
  .long  0xee386b90                          // vmov.32       r6, d24[1]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd5fa00                          // vldr          s31, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95fa00                          // vldr          s30, [r5]
  .long  0xedd6ea00                          // vldr          s29, [r6]
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xe28f2ffb                          // add           r2, pc, #1004
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xf2060de0                          // vadd.f32      q0, q11, q8
  .long  0xf260a1f0                          // vorr          q13, q8, q8
  .long  0xf3bb0740                          // vcvt.s32.f32  q0, q0
  .long  0xf3e00844                          // vmul.i32      q8, q0, d4[0]
  .long  0xf220c9e2                          // vmla.i32      q6, q8, q9
  .long  0xf22c0864                          // vadd.i32      q0, q6, q10
  .long  0xec8ecb04                          // vstmia        lr, {d12-d13}
  .long  0xf226cdee                          // vsub.f32      q6, q11, q15
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf242ed6a                          // vadd.f32      q15, q1, q13
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xf3fbe76e                          // vcvt.s32.f32  q15, q15
  .long  0xf3ee68ca                          // vmul.i32      q11, q15, d10[0]
  .long  0xf22689e2                          // vmla.i32      q4, q11, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf266e1f6                          // vorr          q15, q11, q11
  .long  0xf2688158                          // vorr          q12, q4, q4
  .long  0xf26c89e2                          // vmla.i32      q12, q14, q9
  .long  0xf22089e2                          // vmla.i32      q4, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf2240d4e                          // vsub.f32      q0, q2, q7
  .long  0xecceeb04                          // vstmia        lr, {d30-d31}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xf22848e4                          // vadd.i32      q2, q12, q10
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xf200ec5c                          // vfma.f32      q7, q0, q6
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xf2284864                          // vadd.i32      q2, q4, q10
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xec8e8b04                          // vstmia        lr, {d8-d9}
  .long  0xe28de0a0                          // add           lr, sp, #160
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xf22a4d40                          // vsub.f32      q2, q5, q0
  .long  0xf2040c5c                          // vfma.f32      q0, q2, q6
  .long  0xf3bb4646                          // vcvt.f32.s32  q2, q3
  .long  0xf2806052                          // vmov.i32      q3, #2
  .long  0xf2624d44                          // vsub.f32      q10, q1, q2
  .long  0xf2200d4e                          // vsub.f32      q0, q0, q7
  .long  0xeccd4b04                          // vstmia        sp, {d20-d21}
  .long  0xf200ec74                          // vfma.f32      q7, q0, q10
  .long  0xec9e8b04                          // vldmia        lr, {d8-d9}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf2080d6a                          // vadd.f32      q0, q4, q13
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf2c0a052                          // vmov.i32      q13, #2
  .long  0xf3bb0740                          // vcvt.s32.f32  q0, q0
  .long  0xf2604974                          // vmul.i32      q10, q0, q10
  .long  0xf224a9f2                          // vmul.i32      q5, q10, q9
  .long  0xec8eab04                          // vstmia        lr, {d10-d11}
  .long  0xe28dee12                          // add           lr, sp, #288
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf224a9e2                          // vmla.i32      q5, q10, q9
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xeccecb04                          // vstmia        lr, {d28-d29}
  .long  0xe28de090                          // add           lr, sp, #144
  .long  0xf26a615a                          // vorr          q11, q5, q5
  .long  0xf26469e2                          // vmla.i32      q11, q10, q9
  .long  0xf22ea9e2                          // vmla.i32      q5, q15, q9
  .long  0xf26641f6                          // vorr          q10, q11, q11
  .long  0xf26c49e2                          // vmla.i32      q10, q14, q9
  .long  0xf26681f6                          // vorr          q12, q11, q11
  .long  0xf26089e2                          // vmla.i32      q12, q8, q9
  .long  0xf22408ea                          // vadd.i32      q0, q10, q13
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xecce6b04                          // vstmia        lr, {d22-d23}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf22808ea                          // vadd.i32      q0, q12, q13
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf268a1f8                          // vorr          q13, q12, q12
  .long  0xf26a815a                          // vorr          q12, q5, q5
  .long  0xf26c89e2                          // vmla.i32      q12, q14, q9
  .long  0xf220a9e2                          // vmla.i32      q5, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de080                          // add           lr, sp, #128
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xf2240d42                          // vsub.f32      q0, q2, q1
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf22848c6                          // vadd.i32      q2, q12, q3
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xf2002c5c                          // vfma.f32      q1, q0, q6
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xf3fbc660                          // vcvt.f32.s32  q14, q8
  .long  0xf2680d6c                          // vsub.f32      q8, q4, q14
  .long  0xf2808051                          // vmov.i32      q4, #1
  .long  0xf26041f0                          // vorr          q10, q8, q8
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xf22a4846                          // vadd.i32      q2, q5, q3
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28de0a0                          // add           lr, sp, #160
  .long  0xf2264d40                          // vsub.f32      q2, q3, q0
  .long  0xf2040c5c                          // vfma.f32      q0, q2, q6
  .long  0xf2200d42                          // vsub.f32      q0, q0, q1
  .long  0xf2002c7e                          // vfma.f32      q1, q0, q15
  .long  0xf2220d4e                          // vsub.f32      q0, q1, q7
  .long  0xf200ec70                          // vfma.f32      q7, q0, q8
  .long  0xec8eeb04                          // vstmia        lr, {d14-d15}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5fa00                          // vldr          s31, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95fa00                          // vldr          s30, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd6ea00                          // vldr          s29, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecdc                          // vfma.f32      q7, q14, q6
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee13                          // add           lr, sp, #304
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cdc                          // vfma.f32      q0, q14, q6
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecfe                          // vfma.f32      q7, q14, q15
  .long  0xea000003                          // b             7a78 <sk_clut_4D_vfp4+0x548>
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0xf266c8c8                          // vadd.i32      q14, q11, q4
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf26ac8c8                          // vadd.i32      q14, q13, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cdc                          // vfma.f32      q0, q14, q6
  .long  0xf268c8c8                          // vadd.i32      q14, q12, q4
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf26ac848                          // vadd.i32      q14, q5, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xf266cd42                          // vsub.f32      q14, q3, q1
  .long  0xf20c2cdc                          // vfma.f32      q1, q14, q6
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cfe                          // vfma.f32      q0, q14, q15
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecf4                          // vfma.f32      q7, q14, q10
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xf2408de4                          // vadd.f32      q12, q8, q10
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xec9e4b04                          // vldmia        lr, {d4-d5}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf3fbc768                          // vcvt.s32.f32  q14, q12
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf26c49e2                          // vmla.i32      q10, q14, q9
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xf2646962                          // vmla.i32      q11, q2, q9
  .long  0xf266a1f6                          // vorr          q13, q11, q11
  .long  0xf260a9e2                          // vmla.i32      q13, q8, q9
  .long  0xf26681f6                          // vorr          q12, q11, q11
  .long  0xf22a08c8                          // vadd.i32      q0, q13, q4
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28de050                          // add           lr, sp, #80
  .long  0xf26689e2                          // vmla.i32      q12, q11, q9
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf22808c8                          // vadd.i32      q0, q12, q4
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xecdeab04                          // vldmia        lr, {d26-d27}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xf26a49e2                          // vmla.i32      q10, q13, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2220d46                          // vsub.f32      q0, q1, q3
  .long  0xf2006c5c                          // vfma.f32      q3, q0, q6
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22009e2                          // vmla.i32      q0, q8, q9
  .long  0xf26649e2                          // vmla.i32      q10, q11, q9
  .long  0xec8e0b04                          // vstmia        lr, {d0-d1}
  .long  0xf2200848                          // vadd.i32      q0, q0, q4
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf26408c8                          // vadd.i32      q8, q10, q4
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d42                          // vsub.f32      q8, q0, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d46                          // vsub.f32      q8, q1, q3
  .long  0xf2006cfe                          // vfma.f32      q3, q8, q15
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf26c09e2                          // vmla.i32      q8, q14, q9
  .long  0xf260c1f0                          // vorr          q14, q8, q8
  .long  0xf264c962                          // vmla.i32      q14, q2, q9
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf22a29e2                          // vmla.i32      q1, q13, q9
  .long  0xf26c01fc                          // vorr          q8, q14, q14
  .long  0xf26809e2                          // vmla.i32      q8, q12, q9
  .long  0xf266c9e2                          // vmla.i32      q14, q11, q9
  .long  0xf22008c8                          // vadd.i32      q0, q8, q4
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xf2624152                          // vorr          q10, q1, q1
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf26649e2                          // vmla.i32      q10, q11, q9
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xf26c08c8                          // vadd.i32      q8, q14, q4
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xf26ca15c                          // vorr          q13, q6, q6
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d44                          // vsub.f32      q8, q0, q2
  .long  0xf2004cdc                          // vfma.f32      q2, q8, q6
  .long  0xf2620152                          // vorr          q8, q1, q1
  .long  0xf26809e2                          // vmla.i32      q8, q12, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xf26008c8                          // vadd.i32      q8, q8, q4
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26408c8                          // vadd.i32      q8, q10, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xf26e41fe                          // vorr          q10, q15, q15
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xf26621f6                          // vorr          q9, q11, q11
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d42                          // vsub.f32      q8, q0, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d44                          // vsub.f32      q8, q1, q2
  .long  0xf2004cfe                          // vfma.f32      q2, q8, q15
  .long  0xf2640d46                          // vsub.f32      q8, q2, q3
  .long  0xf2006cf6                          // vfma.f32      q3, q8, q11
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d40                          // vsub.f32      q8, q1, q0
  .long  0xf2000cdc                          // vfma.f32      q0, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de090                          // add           lr, sp, #144
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d40                          // vsub.f32      q8, q1, q0
  .long  0xf2000cfe                          // vfma.f32      q0, q8, q15
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de080                          // add           lr, sp, #128
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd59a00                          // vldr          s19, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed959a00                          // vldr          s18, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cdc                          // vfma.f32      q4, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee3b5b10                          // vmov.32       r5, d11[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee3a6b10                          // vmov.32       r6, d10[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1a2b10                          // vmov.32       r2, d10[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1b5b10                          // vmov.32       r5, d11[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xf2680d40                          // vsub.f32      q8, q4, q0
  .long  0xf2000cf2                          // vfma.f32      q0, q8, q9
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de050                          // add           lr, sp, #80
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xf260e1f0                          // vorr          q15, q8, q8
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd59a00                          // vldr          s19, [r5]
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed959a00                          // vldr          s18, [r5]
  .long  0xee375b90                          // vmov.32       r5, d23[1]
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xee366b90                          // vmov.32       r6, d22[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee162b90                          // vmov.32       r2, d22[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee175b90                          // vmov.32       r5, d23[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cdc                          // vfma.f32      q4, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acdc                          // vfma.f32      q5, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xf26a0d48                          // vsub.f32      q8, q5, q4
  .long  0xf2008cf2                          // vfma.f32      q4, q8, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf26e08e2                          // vadd.i32      q8, q15, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26608e2                          // vadd.i32      q8, q11, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acfa                          // vfma.f32      q5, q8, q13
  .long  0xf26808e2                          // vadd.i32      q8, q12, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5da00                          // vldr          s27, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26c08e2                          // vadd.i32      q8, q14, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95da00                          // vldr          s26, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd6ca00                          // vldr          s25, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4c                          // vsub.f32      q8, q1, q6
  .long  0xf200ccfa                          // vfma.f32      q6, q8, q13
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xe28d3e12                          // add           r3, sp, #288
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecd32b04                          // vldmia        r3, {d18-d19}
  .long  0xe28d30c0                          // add           r3, sp, #192
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4c                          // vsub.f32      q8, q1, q6
  .long  0xf200ccf4                          // vfma.f32      q6, q8, q10
  .long  0xecd34b04                          // vldmia        r3, {d20-d21}
  .long  0xe28d3e13                          // add           r3, sp, #304
  .long  0xf26c0d4a                          // vsub.f32      q8, q6, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xecd30b04                          // vldmia        r3, {d16-d17}
  .long  0xe28d30a0                          // add           r3, sp, #160
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xecd38b04                          // vldmia        r3, {d24-d25}
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf2664d4e                          // vsub.f32      q10, q3, q7
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf2682d40                          // vsub.f32      q9, q4, q0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf26a6d68                          // vsub.f32      q11, q5, q12
  .long  0xf204ecf0                          // vfma.f32      q7, q10, q8
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf2468cf0                          // vfma.f32      q12, q11, q8
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf22841f8                          // vorr          q2, q12, q12
  .long  0xe28ddf5a                          // add           sp, sp, #360
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd41f0                          // pop           {r4, r5, r6, r7, r8, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
#elif defined(__x86_64__)
BALIGN32

HIDDEN _sk_start_pipeline_hsw
.globl _sk_start_pipeline_hsw
FUNCTION(_sk_start_pipeline_hsw)
_sk_start_pipeline_hsw:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           82 <_sk_start_pipeline_hsw+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            68 <_sk_start_pipeline_hsw+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           49 <_sk_start_pipeline_hsw+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            79 <_sk_start_pipeline_hsw+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           3b <_sk_start_pipeline_hsw+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_hsw
.globl _sk_just_return_hsw
FUNCTION(_sk_just_return_hsw)
_sk_just_return_hsw:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_hsw
.globl _sk_seed_shader_hsw
FUNCTION(_sk_seed_shader_hsw)
_sk_seed_shader_hsw:
  .byte  197,249,110,194                     // vmovd         %edx,%xmm0
  .byte  196,226,125,88,192                  // vpbroadcastd  %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  197,252,88,5,86,193,2,0             // vaddps        0x2c156(%rip),%ymm0,%ymm0        # 2c200 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,249,110,201                     // vmovd         %ecx,%xmm1
  .byte  196,226,125,88,201                  // vpbroadcastd  %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,8,202,2,0         // vbroadcastss  0x2ca08(%rip),%ymm2        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,21,253,201,2,0       // vbroadcastss  0x2c9fd(%rip),%ymm2        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  197,196,87,255                      // vxorps        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_hsw
.globl _sk_dither_hsw
FUNCTION(_sk_dither_hsw)
_sk_dither_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,194                     // vmovd         %edx,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  197,61,254,5,40,193,2,0             // vpaddd        0x2c128(%rip),%ymm8,%ymm8        # 2c220 <_sk_overlay_sse2_8bit+0x45c>
  .byte  197,121,110,201                     // vmovd         %ecx,%xmm9
  .byte  196,66,125,88,201                   // vpbroadcastd  %xmm9,%ymm9
  .byte  196,65,53,239,200                   // vpxor         %ymm8,%ymm9,%ymm9
  .byte  196,98,125,88,21,193,201,2,0        // vpbroadcastd  0x2c9c1(%rip),%ymm10        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,65,53,219,218                   // vpand         %ymm10,%ymm9,%ymm11
  .byte  196,193,37,114,243,5                // vpslld        $0x5,%ymm11,%ymm11
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,193,45,114,242,4                // vpslld        $0x4,%ymm10,%ymm10
  .byte  196,98,125,88,37,166,201,2,0        // vpbroadcastd  0x2c9a6(%rip),%ymm12        # 2cad4 <_sk_overlay_sse2_8bit+0xd10>
  .byte  196,98,125,88,45,161,201,2,0        // vpbroadcastd  0x2c9a1(%rip),%ymm13        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,65,53,219,245                   // vpand         %ymm13,%ymm9,%ymm14
  .byte  196,193,13,114,246,2                // vpslld        $0x2,%ymm14,%ymm14
  .byte  196,65,61,219,237                   // vpand         %ymm13,%ymm8,%ymm13
  .byte  196,65,21,254,237                   // vpaddd        %ymm13,%ymm13,%ymm13
  .byte  196,65,53,219,204                   // vpand         %ymm12,%ymm9,%ymm9
  .byte  196,193,53,114,209,1                // vpsrld        $0x1,%ymm9,%ymm9
  .byte  196,65,61,219,196                   // vpand         %ymm12,%ymm8,%ymm8
  .byte  196,193,61,114,208,2                // vpsrld        $0x2,%ymm8,%ymm8
  .byte  196,65,21,235,210                   // vpor          %ymm10,%ymm13,%ymm10
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,37,235,214                   // vpor          %ymm14,%ymm11,%ymm10
  .byte  196,65,61,235,194                   // vpor          %ymm10,%ymm8,%ymm8
  .byte  196,65,61,235,193                   // vpor          %ymm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,83,201,2,0         // vbroadcastss  0x2c953(%rip),%ymm9        # 2cadc <_sk_overlay_sse2_8bit+0xd18>
  .byte  196,98,125,24,21,78,201,2,0         // vbroadcastss  0x2c94e(%rip),%ymm10        # 2cae0 <_sk_overlay_sse2_8bit+0xd1c>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,65,44,89,192                    // vmulps        %ymm8,%ymm10,%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  197,188,95,210                      // vmaxps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_hsw
.globl _sk_uniform_color_hsw
FUNCTION(_sk_uniform_color_hsw)
_sk_uniform_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_hsw
.globl _sk_black_color_hsw
FUNCTION(_sk_black_color_hsw)
_sk_black_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,214,200,2,0       // vbroadcastss  0x2c8d6(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_hsw
.globl _sk_white_color_hsw
FUNCTION(_sk_white_color_hsw)
_sk_white_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,189,200,2,0        // vbroadcastss  0x2c8bd(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_hsw
.globl _sk_load_rgba_hsw
FUNCTION(_sk_load_rgba_hsw)
_sk_load_rgba_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,0                        // vmovups       (%rax),%ymm0
  .byte  197,252,16,72,32                    // vmovups       0x20(%rax),%ymm1
  .byte  197,252,16,80,64                    // vmovups       0x40(%rax),%ymm2
  .byte  197,252,16,88,96                    // vmovups       0x60(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_hsw
.globl _sk_store_rgba_hsw
FUNCTION(_sk_store_rgba_hsw)
_sk_store_rgba_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,252,17,80,64                    // vmovups       %ymm2,0x40(%rax)
  .byte  197,252,17,88,96                    // vmovups       %ymm3,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_hsw
.globl _sk_clear_hsw
FUNCTION(_sk_clear_hsw)
_sk_clear_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_hsw
.globl _sk_srcatop_hsw
FUNCTION(_sk_srcatop_hsw)
_sk_srcatop_hsw:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,98,125,24,5,92,200,2,0          // vbroadcastss  0x2c85c(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_hsw
.globl _sk_dstatop_hsw
FUNCTION(_sk_dstatop_hsw)
_sk_dstatop_hsw:
  .byte  196,98,125,24,5,43,200,2,0          // vbroadcastss  0x2c82b(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,226,101,184,196                 // vfmadd231ps   %ymm4,%ymm3,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,226,101,184,205                 // vfmadd231ps   %ymm5,%ymm3,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  196,226,101,184,214                 // vfmadd231ps   %ymm6,%ymm3,%ymm2
  .byte  197,60,89,195                       // vmulps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_hsw
.globl _sk_srcin_hsw
FUNCTION(_sk_srcin_hsw)
_sk_srcin_hsw:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_hsw
.globl _sk_dstin_hsw
FUNCTION(_sk_dstin_hsw)
_sk_dstin_hsw:
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_hsw
.globl _sk_srcout_hsw
FUNCTION(_sk_srcout_hsw)
_sk_srcout_hsw:
  .byte  196,98,125,24,5,206,199,2,0         // vbroadcastss  0x2c7ce(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_hsw
.globl _sk_dstout_hsw
FUNCTION(_sk_dstout_hsw)
_sk_dstout_hsw:
  .byte  196,226,125,24,5,173,199,2,0        // vbroadcastss  0x2c7ad(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,92,219                      // vsubps        %ymm3,%ymm0,%ymm3
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_hsw
.globl _sk_srcover_hsw
FUNCTION(_sk_srcover_hsw)
_sk_srcover_hsw:
  .byte  196,98,125,24,5,140,199,2,0         // vbroadcastss  0x2c78c(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,93,184,192                  // vfmadd231ps   %ymm8,%ymm4,%ymm0
  .byte  196,194,85,184,200                  // vfmadd231ps   %ymm8,%ymm5,%ymm1
  .byte  196,194,77,184,208                  // vfmadd231ps   %ymm8,%ymm6,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_hsw
.globl _sk_dstover_hsw
FUNCTION(_sk_dstover_hsw)
_sk_dstover_hsw:
  .byte  196,98,125,24,5,103,199,2,0         // vbroadcastss  0x2c767(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_hsw
.globl _sk_modulate_hsw
FUNCTION(_sk_modulate_hsw)
_sk_modulate_hsw:
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_hsw
.globl _sk_multiply_hsw
FUNCTION(_sk_multiply_hsw)
_sk_multiply_hsw:
  .byte  196,98,125,24,5,46,199,2,0          // vbroadcastss  0x2c72e(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,208                       // vmulps        %ymm0,%ymm9,%ymm10
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,212                   // vfmadd231ps   %ymm4,%ymm8,%ymm10
  .byte  196,194,93,168,194                  // vfmadd213ps   %ymm10,%ymm4,%ymm0
  .byte  197,52,89,209                       // vmulps        %ymm1,%ymm9,%ymm10
  .byte  196,98,61,184,213                   // vfmadd231ps   %ymm5,%ymm8,%ymm10
  .byte  196,194,85,168,202                  // vfmadd213ps   %ymm10,%ymm5,%ymm1
  .byte  197,52,89,210                       // vmulps        %ymm2,%ymm9,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  196,194,77,168,210                  // vfmadd213ps   %ymm10,%ymm6,%ymm2
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  196,66,69,168,193                   // vfmadd213ps   %ymm9,%ymm7,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__hsw
.globl _sk_plus__hsw
FUNCTION(_sk_plus__hsw)
_sk_plus__hsw:
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,5,221,198,2,0         // vbroadcastss  0x2c6dd(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_hsw
.globl _sk_screen_hsw
FUNCTION(_sk_screen_hsw)
_sk_screen_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  196,194,93,172,192                  // vfnmadd213ps  %ymm8,%ymm4,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  196,194,85,172,200                  // vfnmadd213ps  %ymm8,%ymm5,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  196,194,77,172,208                  // vfnmadd213ps  %ymm8,%ymm6,%ymm2
  .byte  197,100,88,199                      // vaddps        %ymm7,%ymm3,%ymm8
  .byte  196,194,69,172,216                  // vfnmadd213ps  %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__hsw
.globl _sk_xor__hsw
FUNCTION(_sk_xor__hsw)
_sk_xor__hsw:
  .byte  196,98,125,24,5,136,198,2,0         // vbroadcastss  0x2c688(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  196,98,69,168,195                   // vfmadd213ps   %ymm3,%ymm7,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,195                      // vmovaps       %ymm8,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_hsw
.globl _sk_darken_hsw
FUNCTION(_sk_darken_hsw)
_sk_darken_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,95,193                  // vmaxps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,95,201                  // vmaxps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,95,209                  // vmaxps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,12,198,2,0          // vbroadcastss  0x2c60c(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_hsw
.globl _sk_lighten_hsw
FUNCTION(_sk_lighten_hsw)
_sk_lighten_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,183,197,2,0         // vbroadcastss  0x2c5b7(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_hsw
.globl _sk_difference_hsw
FUNCTION(_sk_difference_hsw)
_sk_difference_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,86,197,2,0          // vbroadcastss  0x2c556(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_hsw
.globl _sk_exclusion_hsw
FUNCTION(_sk_exclusion_hsw)
_sk_exclusion_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,16,197,2,0          // vbroadcastss  0x2c510(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_hsw
.globl _sk_colorburn_hsw
FUNCTION(_sk_colorburn_hsw)
_sk_colorburn_hsw:
  .byte  196,98,125,24,5,250,196,2,0         // vbroadcastss  0x2c4fa(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,216                       // vmulps        %ymm0,%ymm9,%ymm11
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  196,65,124,194,226,0                // vcmpeqps      %ymm10,%ymm0,%ymm12
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,68,92,236                       // vsubps        %ymm4,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,192                      // vrcpps        %ymm0,%ymm0
  .byte  197,148,89,192                      // vmulps        %ymm0,%ymm13,%ymm0
  .byte  197,60,89,236                       // vmulps        %ymm4,%ymm8,%ymm13
  .byte  197,196,93,192                      // vminps        %ymm0,%ymm7,%ymm0
  .byte  197,196,92,192                      // vsubps        %ymm0,%ymm7,%ymm0
  .byte  196,194,101,168,195                 // vfmadd213ps   %ymm11,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,92,194,231,0                    // vcmpeqps      %ymm7,%ymm4,%ymm12
  .byte  197,36,88,220                       // vaddps        %ymm4,%ymm11,%ymm11
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,52,89,217                       // vmulps        %ymm1,%ymm9,%ymm11
  .byte  196,65,116,194,226,0                // vcmpeqps      %ymm10,%ymm1,%ymm12
  .byte  197,68,92,237                       // vsubps        %ymm5,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,201                      // vrcpps        %ymm1,%ymm1
  .byte  197,148,89,201                      // vmulps        %ymm1,%ymm13,%ymm1
  .byte  197,60,89,237                       // vmulps        %ymm5,%ymm8,%ymm13
  .byte  197,196,93,201                      // vminps        %ymm1,%ymm7,%ymm1
  .byte  197,196,92,201                      // vsubps        %ymm1,%ymm7,%ymm1
  .byte  196,194,101,168,203                 // vfmadd213ps   %ymm11,%ymm3,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,84,194,231,0                    // vcmpeqps      %ymm7,%ymm5,%ymm12
  .byte  197,36,88,221                       // vaddps        %ymm5,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,108,194,210,0                // vcmpeqps      %ymm10,%ymm2,%ymm10
  .byte  197,68,92,222                       // vsubps        %ymm6,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,252,83,210                      // vrcpps        %ymm2,%ymm2
  .byte  197,164,89,210                      // vmulps        %ymm2,%ymm11,%ymm2
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  197,196,93,210                      // vminps        %ymm2,%ymm7,%ymm2
  .byte  197,196,92,210                      // vsubps        %ymm2,%ymm7,%ymm2
  .byte  196,194,101,168,209                 // vfmadd213ps   %ymm9,%ymm3,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,195,109,74,211,160              // vblendvps     %ymm10,%ymm11,%ymm2,%ymm2
  .byte  197,76,194,215,0                    // vcmpeqps      %ymm7,%ymm6,%ymm10
  .byte  197,52,88,206                       // vaddps        %ymm6,%ymm9,%ymm9
  .byte  196,195,109,74,209,160              // vblendvps     %ymm10,%ymm9,%ymm2,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_hsw
.globl _sk_colordodge_hsw
FUNCTION(_sk_colordodge_hsw)
_sk_colordodge_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,13,10,196,2,0         // vbroadcastss  0x2c40a(%rip),%ymm9        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,52,92,215                       // vsubps        %ymm7,%ymm9,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,52,92,203                       // vsubps        %ymm3,%ymm9,%ymm9
  .byte  197,100,89,228                      // vmulps        %ymm4,%ymm3,%ymm12
  .byte  197,100,92,232                      // vsubps        %ymm0,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,236                       // vmulps        %ymm4,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  196,66,101,168,227                  // vfmadd213ps   %ymm11,%ymm3,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,232                       // vaddps        %ymm0,%ymm13,%ymm13
  .byte  197,252,194,195,0                   // vcmpeqps      %ymm3,%ymm0,%ymm0
  .byte  196,195,29,74,197,0                 // vblendvps     %ymm0,%ymm13,%ymm12,%ymm0
  .byte  196,65,92,194,224,0                 // vcmpeqps      %ymm8,%ymm4,%ymm12
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,100,89,229                      // vmulps        %ymm5,%ymm3,%ymm12
  .byte  197,100,92,233                      // vsubps        %ymm1,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,237                       // vmulps        %ymm5,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  196,66,101,168,227                  // vfmadd213ps   %ymm11,%ymm3,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,233                       // vaddps        %ymm1,%ymm13,%ymm13
  .byte  197,244,194,203,0                   // vcmpeqps      %ymm3,%ymm1,%ymm1
  .byte  196,195,29,74,205,16                // vblendvps     %ymm1,%ymm13,%ymm12,%ymm1
  .byte  196,65,84,194,224,0                 // vcmpeqps      %ymm8,%ymm5,%ymm12
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,100,92,226                      // vsubps        %ymm2,%ymm3,%ymm12
  .byte  196,65,124,83,228                   // vrcpps        %ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  197,52,89,230                       // vmulps        %ymm6,%ymm9,%ymm12
  .byte  196,65,68,93,219                    // vminps        %ymm11,%ymm7,%ymm11
  .byte  196,66,101,168,218                  // vfmadd213ps   %ymm10,%ymm3,%ymm11
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  197,236,194,211,0                   // vcmpeqps      %ymm3,%ymm2,%ymm2
  .byte  196,195,37,74,212,32                // vblendvps     %ymm2,%ymm12,%ymm11,%ymm2
  .byte  196,65,76,194,192,0                 // vcmpeqps      %ymm8,%ymm6,%ymm8
  .byte  196,195,109,74,210,128              // vblendvps     %ymm8,%ymm10,%ymm2,%ymm2
  .byte  196,194,69,184,217                  // vfmadd231ps   %ymm9,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_hsw
.globl _sk_hardlight_hsw
FUNCTION(_sk_hardlight_hsw)
_sk_hardlight_hsw:
  .byte  196,98,125,24,5,36,195,2,0          // vbroadcastss  0x2c324(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,220                   // vfmadd231ps   %ymm4,%ymm8,%ymm11
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  197,52,194,227,2                    // vcmpleps      %ymm3,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  196,98,61,184,221                   // vfmadd231ps   %ymm5,%ymm8,%ymm11
  .byte  197,116,88,225                      // vaddps        %ymm1,%ymm1,%ymm12
  .byte  197,28,194,227,2                    // vcmpleps      %ymm3,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  197,108,88,218                      // vaddps        %ymm2,%ymm2,%ymm11
  .byte  197,36,194,219,2                    // vcmpleps      %ymm3,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_hsw
.globl _sk_overlay_hsw
FUNCTION(_sk_overlay_hsw)
_sk_overlay_hsw:
  .byte  196,98,125,24,5,88,194,2,0          // vbroadcastss  0x2c258(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,220                   // vfmadd231ps   %ymm4,%ymm8,%ymm11
  .byte  197,92,88,204                       // vaddps        %ymm4,%ymm4,%ymm9
  .byte  197,52,194,231,2                    // vcmpleps      %ymm7,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  196,98,61,184,221                   // vfmadd231ps   %ymm5,%ymm8,%ymm11
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_hsw
.globl _sk_softlight_hsw
FUNCTION(_sk_softlight_hsw)
_sk_softlight_hsw:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,252,40,209                      // vmovaps       %ymm1,%ymm2
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  197,52,194,215,1                    // vcmpltps      %ymm7,%ymm9,%ymm10
  .byte  197,92,94,199                       // vdivps        %ymm7,%ymm4,%ymm8
  .byte  196,67,53,74,232,160                // vblendvps     %ymm10,%ymm8,%ymm9,%ymm13
  .byte  196,65,20,88,197                    // vaddps        %ymm13,%ymm13,%ymm8
  .byte  196,65,60,88,192                    // vaddps        %ymm8,%ymm8,%ymm8
  .byte  196,66,61,168,192                   // vfmadd213ps   %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,29,115,193,2,0        // vbroadcastss  0x2c173(%rip),%ymm11        # 2cae4 <_sk_overlay_sse2_8bit+0xd20>
  .byte  196,65,20,88,227                    // vaddps        %ymm11,%ymm13,%ymm12
  .byte  196,65,28,89,192                    // vmulps        %ymm8,%ymm12,%ymm8
  .byte  196,98,125,24,37,100,193,2,0        // vbroadcastss  0x2c164(%rip),%ymm12        # 2cae8 <_sk_overlay_sse2_8bit+0xd24>
  .byte  196,66,21,184,196                   // vfmadd231ps   %ymm12,%ymm13,%ymm8
  .byte  196,65,124,82,245                   // vrsqrtps      %ymm13,%ymm14
  .byte  196,65,124,83,246                   // vrcpps        %ymm14,%ymm14
  .byte  196,65,12,92,245                    // vsubps        %ymm13,%ymm14,%ymm14
  .byte  197,92,88,252                       // vaddps        %ymm4,%ymm4,%ymm15
  .byte  196,65,4,88,255                     // vaddps        %ymm15,%ymm15,%ymm15
  .byte  197,4,194,255,2                     // vcmpleps      %ymm7,%ymm15,%ymm15
  .byte  196,67,13,74,240,240                // vblendvps     %ymm15,%ymm8,%ymm14,%ymm14
  .byte  197,116,88,249                      // vaddps        %ymm1,%ymm1,%ymm15
  .byte  196,98,125,24,5,19,193,2,0          // vbroadcastss  0x2c113(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,65,60,92,237                    // vsubps        %ymm13,%ymm8,%ymm13
  .byte  197,132,92,195                      // vsubps        %ymm3,%ymm15,%ymm0
  .byte  196,98,125,168,235                  // vfmadd213ps   %ymm3,%ymm0,%ymm13
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,20,89,236                       // vmulps        %ymm4,%ymm13,%ymm13
  .byte  196,226,101,184,196                 // vfmadd231ps   %ymm4,%ymm3,%ymm0
  .byte  197,4,194,243,2                     // vcmpleps      %ymm3,%ymm15,%ymm14
  .byte  196,195,125,74,197,224              // vblendvps     %ymm14,%ymm13,%ymm0,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,212,94,199                      // vdivps        %ymm7,%ymm5,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,240                      // vaddps        %ymm0,%ymm0,%ymm14
  .byte  196,65,12,88,246                    // vaddps        %ymm14,%ymm14,%ymm14
  .byte  196,66,13,168,246                   // vfmadd213ps   %ymm14,%ymm14,%ymm14
  .byte  196,65,124,88,251                   // vaddps        %ymm11,%ymm0,%ymm15
  .byte  196,65,4,89,246                     // vmulps        %ymm14,%ymm15,%ymm14
  .byte  196,66,125,184,244                  // vfmadd231ps   %ymm12,%ymm0,%ymm14
  .byte  197,124,82,248                      // vrsqrtps      %ymm0,%ymm15
  .byte  196,65,124,83,255                   // vrcpps        %ymm15,%ymm15
  .byte  197,4,92,248                        // vsubps        %ymm0,%ymm15,%ymm15
  .byte  197,84,88,237                       // vaddps        %ymm5,%ymm5,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,20,194,239,2                    // vcmpleps      %ymm7,%ymm13,%ymm13
  .byte  196,67,5,74,238,208                 // vblendvps     %ymm13,%ymm14,%ymm15,%ymm13
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,108,88,242                      // vaddps        %ymm2,%ymm2,%ymm14
  .byte  197,12,92,251                       // vsubps        %ymm3,%ymm14,%ymm15
  .byte  196,226,5,168,195                   // vfmadd213ps   %ymm3,%ymm15,%ymm0
  .byte  197,4,89,255                        // vmulps        %ymm7,%ymm15,%ymm15
  .byte  196,65,4,89,237                     // vmulps        %ymm13,%ymm15,%ymm13
  .byte  197,252,89,197                      // vmulps        %ymm5,%ymm0,%ymm0
  .byte  196,98,101,184,237                  // vfmadd231ps   %ymm5,%ymm3,%ymm13
  .byte  197,12,194,243,2                    // vcmpleps      %ymm3,%ymm14,%ymm14
  .byte  196,99,21,74,240,224                // vblendvps     %ymm14,%ymm0,%ymm13,%ymm14
  .byte  197,204,94,199                      // vdivps        %ymm7,%ymm6,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,66,53,168,201                   // vfmadd213ps   %ymm9,%ymm9,%ymm9
  .byte  196,65,124,88,211                   // vaddps        %ymm11,%ymm0,%ymm10
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,66,125,184,204                  // vfmadd231ps   %ymm12,%ymm0,%ymm9
  .byte  197,124,82,208                      // vrsqrtps      %ymm0,%ymm10
  .byte  196,65,124,83,210                   // vrcpps        %ymm10,%ymm10
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  196,65,36,88,219                    // vaddps        %ymm11,%ymm11,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  196,67,45,74,201,176                // vblendvps     %ymm11,%ymm9,%ymm10,%ymm9
  .byte  197,124,16,100,36,200               // vmovups       -0x38(%rsp),%ymm12
  .byte  196,65,28,88,212                    // vaddps        %ymm12,%ymm12,%ymm10
  .byte  197,44,92,219                       // vsubps        %ymm3,%ymm10,%ymm11
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  196,226,37,168,195                  // vfmadd213ps   %ymm3,%ymm11,%ymm0
  .byte  197,36,89,223                       // vmulps        %ymm7,%ymm11,%ymm11
  .byte  196,65,36,89,201                    // vmulps        %ymm9,%ymm11,%ymm9
  .byte  197,252,89,198                      // vmulps        %ymm6,%ymm0,%ymm0
  .byte  196,98,101,184,206                  // vfmadd231ps   %ymm6,%ymm3,%ymm9
  .byte  197,44,194,211,2                    // vcmpleps      %ymm3,%ymm10,%ymm10
  .byte  196,99,53,74,200,160                // vblendvps     %ymm10,%ymm0,%ymm9,%ymm9
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,252,88,68,36,168                // vaddps        -0x58(%rsp),%ymm0,%ymm0
  .byte  197,172,89,202                      // vmulps        %ymm2,%ymm10,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  196,193,116,88,206                  // vaddps        %ymm14,%ymm1,%ymm1
  .byte  196,193,44,89,212                   // vmulps        %ymm12,%ymm10,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_hsw
.globl _sk_hue_hsw
FUNCTION(_sk_hue_hsw)
_sk_hue_hsw:
  .byte  197,124,40,194                      // vmovaps       %ymm2,%ymm8
  .byte  197,124,17,68,36,200                // vmovups       %ymm8,-0x38(%rsp)
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,108,89,203                      // vmulps        %ymm3,%ymm2,%ymm9
  .byte  197,116,89,211                      // vmulps        %ymm3,%ymm1,%ymm10
  .byte  197,60,89,219                       // vmulps        %ymm3,%ymm8,%ymm11
  .byte  197,84,95,198                       // vmaxps        %ymm6,%ymm5,%ymm8
  .byte  196,65,92,95,192                    // vmaxps        %ymm8,%ymm4,%ymm8
  .byte  197,84,93,230                       // vminps        %ymm6,%ymm5,%ymm12
  .byte  196,65,92,93,228                    // vminps        %ymm12,%ymm4,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,227                       // vmulps        %ymm3,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,195,45,74,200,240               // vblendvps     %ymm15,%ymm8,%ymm10,%ymm1
  .byte  196,65,36,92,213                    // vsubps        %ymm13,%ymm11,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm12
  .byte  196,98,125,24,53,43,191,2,0         // vbroadcastss  0x2bf2b(%rip),%ymm14        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,98,125,24,61,38,191,2,0         // vbroadcastss  0x2bf26(%rip),%ymm15        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,66,93,184,238                   // vfmadd231ps   %ymm14,%ymm4,%ymm13
  .byte  196,226,125,24,5,23,191,2,0         // vbroadcastss  0x2bf17(%rip),%ymm0        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,98,77,184,232                   // vfmadd231ps   %ymm0,%ymm6,%ymm13
  .byte  196,65,116,89,215                   // vmulps        %ymm15,%ymm1,%ymm10
  .byte  196,66,53,184,214                   // vfmadd231ps   %ymm14,%ymm9,%ymm10
  .byte  196,98,29,184,208                   // vfmadd231ps   %ymm0,%ymm12,%ymm10
  .byte  196,66,101,170,234                  // vfmsub213ps   %ymm10,%ymm3,%ymm13
  .byte  196,65,52,88,213                    // vaddps        %ymm13,%ymm9,%ymm10
  .byte  196,65,116,88,221                   // vaddps        %ymm13,%ymm1,%ymm11
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,193,36,93,204                   // vminps        %ymm12,%ymm11,%ymm1
  .byte  197,44,93,233                       // vminps        %ymm1,%ymm10,%ymm13
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  196,66,45,184,206                   // vfmadd231ps   %ymm14,%ymm10,%ymm9
  .byte  196,98,29,184,200                   // vfmadd231ps   %ymm0,%ymm12,%ymm9
  .byte  196,193,44,92,193                   // vsubps        %ymm9,%ymm10,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,193,52,92,205                   // vsubps        %ymm13,%ymm9,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  197,12,94,241                       // vdivps        %ymm1,%ymm14,%ymm14
  .byte  196,65,28,92,249                    // vsubps        %ymm9,%ymm12,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  197,132,94,201                      // vdivps        %ymm1,%ymm15,%ymm1
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,204,208              // vblendvps     %ymm13,%ymm12,%ymm1,%ymm1
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,194,208              // vblendvps     %ymm13,%ymm10,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,124,92,217                   // vsubps        %ymm9,%ymm0,%ymm11
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,250,1                 // vcmpltps      %ymm10,%ymm12,%ymm15
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,217                    // vsubps        %ymm9,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,116,92,241                   // vsubps        %ymm9,%ymm1,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,210                    // vdivps        %ymm10,%ymm13,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,195,117,74,201,240              // vblendvps     %ymm15,%ymm9,%ymm1,%ymm1
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,200                    // vmaxps        %ymm8,%ymm11,%ymm9
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,13,216,189,2,0       // vbroadcastss  0x2bdd8(%rip),%ymm1        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,116,92,215                      // vsubps        %ymm7,%ymm1,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,116,92,219                      // vsubps        %ymm3,%ymm1,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,208                   // vaddps        %ymm8,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_hsw
.globl _sk_saturation_hsw
FUNCTION(_sk_saturation_hsw)
_sk_saturation_hsw:
  .byte  197,124,40,194                      // vmovaps       %ymm2,%ymm8
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,17,68,36,200                // vmovups       %ymm0,-0x38(%rsp)
  .byte  197,116,95,192                      // vmaxps        %ymm0,%ymm1,%ymm8
  .byte  196,65,108,95,192                   // vmaxps        %ymm8,%ymm2,%ymm8
  .byte  197,116,93,224                      // vminps        %ymm0,%ymm1,%ymm12
  .byte  196,65,108,93,228                   // vminps        %ymm12,%ymm2,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,231                       // vmulps        %ymm7,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,195,45,74,200,240               // vblendvps     %ymm15,%ymm8,%ymm10,%ymm1
  .byte  196,65,36,92,213                    // vsubps        %ymm13,%ymm11,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm12
  .byte  196,98,125,24,53,11,189,2,0         // vbroadcastss  0x2bd0b(%rip),%ymm14        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,98,125,24,61,6,189,2,0          // vbroadcastss  0x2bd06(%rip),%ymm15        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,66,93,184,238                   // vfmadd231ps   %ymm14,%ymm4,%ymm13
  .byte  196,226,125,24,5,247,188,2,0        // vbroadcastss  0x2bcf7(%rip),%ymm0        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,98,77,184,232                   // vfmadd231ps   %ymm0,%ymm6,%ymm13
  .byte  196,65,116,89,215                   // vmulps        %ymm15,%ymm1,%ymm10
  .byte  196,66,53,184,214                   // vfmadd231ps   %ymm14,%ymm9,%ymm10
  .byte  196,98,29,184,208                   // vfmadd231ps   %ymm0,%ymm12,%ymm10
  .byte  196,66,101,170,234                  // vfmsub213ps   %ymm10,%ymm3,%ymm13
  .byte  196,65,52,88,213                    // vaddps        %ymm13,%ymm9,%ymm10
  .byte  196,65,116,88,221                   // vaddps        %ymm13,%ymm1,%ymm11
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,193,36,93,204                   // vminps        %ymm12,%ymm11,%ymm1
  .byte  197,44,93,233                       // vminps        %ymm1,%ymm10,%ymm13
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  196,66,45,184,206                   // vfmadd231ps   %ymm14,%ymm10,%ymm9
  .byte  196,98,29,184,200                   // vfmadd231ps   %ymm0,%ymm12,%ymm9
  .byte  196,193,44,92,193                   // vsubps        %ymm9,%ymm10,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,193,52,92,205                   // vsubps        %ymm13,%ymm9,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  197,12,94,241                       // vdivps        %ymm1,%ymm14,%ymm14
  .byte  196,65,28,92,249                    // vsubps        %ymm9,%ymm12,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  197,132,94,201                      // vdivps        %ymm1,%ymm15,%ymm1
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,204,208              // vblendvps     %ymm13,%ymm12,%ymm1,%ymm1
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,194,208              // vblendvps     %ymm13,%ymm10,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,124,92,217                   // vsubps        %ymm9,%ymm0,%ymm11
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,250,1                 // vcmpltps      %ymm10,%ymm12,%ymm15
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,217                    // vsubps        %ymm9,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,116,92,241                   // vsubps        %ymm9,%ymm1,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,210                    // vdivps        %ymm10,%ymm13,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,195,117,74,201,240              // vblendvps     %ymm15,%ymm9,%ymm1,%ymm1
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,200                    // vmaxps        %ymm8,%ymm11,%ymm9
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,13,184,187,2,0       // vbroadcastss  0x2bbb8(%rip),%ymm1        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,116,92,215                      // vsubps        %ymm7,%ymm1,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,116,92,219                      // vsubps        %ymm3,%ymm1,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,208                   // vaddps        %ymm8,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_hsw
.globl _sk_color_hsw
FUNCTION(_sk_color_hsw)
_sk_color_hsw:
  .byte  197,124,40,202                      // vmovaps       %ymm2,%ymm9
  .byte  197,124,17,76,36,200                // vmovups       %ymm9,-0x38(%rsp)
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,108,89,199                      // vmulps        %ymm7,%ymm2,%ymm8
  .byte  197,116,89,215                      // vmulps        %ymm7,%ymm1,%ymm10
  .byte  197,52,89,223                       // vmulps        %ymm7,%ymm9,%ymm11
  .byte  196,98,125,24,45,109,187,2,0        // vbroadcastss  0x2bb6d(%rip),%ymm13        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,98,125,24,53,104,187,2,0        // vbroadcastss  0x2bb68(%rip),%ymm14        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,230                    // vmulps        %ymm14,%ymm5,%ymm12
  .byte  196,66,93,184,229                   // vfmadd231ps   %ymm13,%ymm4,%ymm12
  .byte  196,98,125,24,61,89,187,2,0         // vbroadcastss  0x2bb59(%rip),%ymm15        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,66,77,184,231                   // vfmadd231ps   %ymm15,%ymm6,%ymm12
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,66,61,184,205                   // vfmadd231ps   %ymm13,%ymm8,%ymm9
  .byte  196,66,37,184,207                   // vfmadd231ps   %ymm15,%ymm11,%ymm9
  .byte  196,66,101,170,225                  // vfmsub213ps   %ymm9,%ymm3,%ymm12
  .byte  196,65,60,88,204                    // vaddps        %ymm12,%ymm8,%ymm9
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,224                    // vminps        %ymm8,%ymm9,%ymm12
  .byte  196,65,44,89,198                    // vmulps        %ymm14,%ymm10,%ymm8
  .byte  196,66,53,184,197                   // vfmadd231ps   %ymm13,%ymm9,%ymm8
  .byte  196,66,37,184,199                   // vfmadd231ps   %ymm15,%ymm11,%ymm8
  .byte  196,65,52,92,232                    // vsubps        %ymm8,%ymm9,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,60,92,244                    // vsubps        %ymm12,%ymm8,%ymm14
  .byte  196,193,20,94,198                   // vdivps        %ymm14,%ymm13,%ymm0
  .byte  196,65,44,92,248                    // vsubps        %ymm8,%ymm10,%ymm15
  .byte  196,65,60,89,255                    // vmulps        %ymm15,%ymm8,%ymm15
  .byte  196,65,4,94,254                     // vdivps        %ymm14,%ymm15,%ymm15
  .byte  196,65,36,92,232                    // vsubps        %ymm8,%ymm11,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,20,94,238                    // vdivps        %ymm14,%ymm13,%ymm13
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,194,228,2                 // vcmpleps      %ymm12,%ymm14,%ymm12
  .byte  196,65,60,88,255                    // vaddps        %ymm15,%ymm8,%ymm15
  .byte  196,67,5,74,250,192                 // vblendvps     %ymm12,%ymm10,%ymm15,%ymm15
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,60,88,237                    // vaddps        %ymm13,%ymm8,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,195,125,74,201,192              // vblendvps     %ymm12,%ymm9,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,202                    // vmaxps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,92,208                   // vsubps        %ymm8,%ymm1,%ymm10
  .byte  196,65,28,92,232                    // vsubps        %ymm8,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,193,1                // vcmpltps      %ymm9,%ymm12,%ymm0
  .byte  196,65,52,92,200                    // vsubps        %ymm8,%ymm9,%ymm9
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,4,92,208                     // vsubps        %ymm8,%ymm15,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,67,5,74,210,0                   // vblendvps     %ymm0,%ymm10,%ymm15,%ymm10
  .byte  196,65,36,92,248                    // vsubps        %ymm8,%ymm11,%ymm15
  .byte  196,65,20,89,239                    // vmulps        %ymm15,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,193,116,95,206                  // vmaxps        %ymm14,%ymm1,%ymm1
  .byte  196,65,44,95,198                    // vmaxps        %ymm14,%ymm10,%ymm8
  .byte  196,65,124,95,206                   // vmaxps        %ymm14,%ymm0,%ymm9
  .byte  196,226,125,24,5,15,186,2,0         // vbroadcastss  0x2ba0f(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,193                      // vaddps        %ymm1,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,200                  // vaddps        %ymm8,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,209                   // vaddps        %ymm9,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_hsw
.globl _sk_luminosity_hsw
FUNCTION(_sk_luminosity_hsw)
_sk_luminosity_hsw:
  .byte  197,124,40,202                      // vmovaps       %ymm2,%ymm9
  .byte  197,124,17,76,36,168                // vmovups       %ymm9,-0x58(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  196,98,125,24,45,196,185,2,0        // vbroadcastss  0x2b9c4(%rip),%ymm13        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,98,125,24,53,191,185,2,0        // vbroadcastss  0x2b9bf(%rip),%ymm14        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,116,89,230                   // vmulps        %ymm14,%ymm1,%ymm12
  .byte  196,66,109,184,229                  // vfmadd231ps   %ymm13,%ymm2,%ymm12
  .byte  196,98,125,24,61,176,185,2,0        // vbroadcastss  0x2b9b0(%rip),%ymm15        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,66,53,184,231                   // vfmadd231ps   %ymm15,%ymm9,%ymm12
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,66,61,184,205                   // vfmadd231ps   %ymm13,%ymm8,%ymm9
  .byte  196,66,37,184,207                   // vfmadd231ps   %ymm15,%ymm11,%ymm9
  .byte  196,66,69,170,225                   // vfmsub213ps   %ymm9,%ymm7,%ymm12
  .byte  196,65,60,88,204                    // vaddps        %ymm12,%ymm8,%ymm9
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,224                    // vminps        %ymm8,%ymm9,%ymm12
  .byte  196,65,44,89,198                    // vmulps        %ymm14,%ymm10,%ymm8
  .byte  196,66,53,184,197                   // vfmadd231ps   %ymm13,%ymm9,%ymm8
  .byte  196,66,37,184,199                   // vfmadd231ps   %ymm15,%ymm11,%ymm8
  .byte  196,65,52,92,232                    // vsubps        %ymm8,%ymm9,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,60,92,244                    // vsubps        %ymm12,%ymm8,%ymm14
  .byte  196,193,20,94,198                   // vdivps        %ymm14,%ymm13,%ymm0
  .byte  196,65,44,92,248                    // vsubps        %ymm8,%ymm10,%ymm15
  .byte  196,65,60,89,255                    // vmulps        %ymm15,%ymm8,%ymm15
  .byte  196,65,4,94,254                     // vdivps        %ymm14,%ymm15,%ymm15
  .byte  196,65,36,92,232                    // vsubps        %ymm8,%ymm11,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,20,94,238                    // vdivps        %ymm14,%ymm13,%ymm13
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,194,228,2                 // vcmpleps      %ymm12,%ymm14,%ymm12
  .byte  196,65,60,88,255                    // vaddps        %ymm15,%ymm8,%ymm15
  .byte  196,67,5,74,250,192                 // vblendvps     %ymm12,%ymm10,%ymm15,%ymm15
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,60,88,237                    // vaddps        %ymm13,%ymm8,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,195,125,74,201,192              // vblendvps     %ymm12,%ymm9,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,202                    // vmaxps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,92,208                   // vsubps        %ymm8,%ymm1,%ymm10
  .byte  196,65,28,92,232                    // vsubps        %ymm8,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,193,1                // vcmpltps      %ymm9,%ymm12,%ymm0
  .byte  196,65,52,92,200                    // vsubps        %ymm8,%ymm9,%ymm9
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,4,92,208                     // vsubps        %ymm8,%ymm15,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,67,5,74,210,0                   // vblendvps     %ymm0,%ymm10,%ymm15,%ymm10
  .byte  196,65,36,92,248                    // vsubps        %ymm8,%ymm11,%ymm15
  .byte  196,65,20,89,239                    // vmulps        %ymm15,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,193,116,95,206                  // vmaxps        %ymm14,%ymm1,%ymm1
  .byte  196,65,44,95,198                    // vmaxps        %ymm14,%ymm10,%ymm8
  .byte  196,65,124,95,206                   // vmaxps        %ymm14,%ymm0,%ymm9
  .byte  196,226,125,24,5,102,184,2,0        // vbroadcastss  0x2b866(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,193                      // vaddps        %ymm1,%ymm2,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,200                  // vaddps        %ymm8,%ymm1,%ymm1
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,209                   // vaddps        %ymm9,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_hsw
.globl _sk_srcover_rgba_8888_hsw
FUNCTION(_sk_srcover_rgba_8888_hsw)
_sk_srcover_rgba_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,179,0,0,0                    // jne           137b <_sk_srcover_rgba_8888_hsw+0xd3>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,106,175,2,0          // vpand         0x2af6a(%rip),%ymm7,%ymm4        # 2c240 <_sk_overlay_sse2_8bit+0x47c>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,69,0,45,125,175,2,0         // vpshufb       0x2af7d(%rip),%ymm7,%ymm5        # 2c260 <_sk_overlay_sse2_8bit+0x49c>
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,69,0,53,144,175,2,0         // vpshufb       0x2af90(%rip),%ymm7,%ymm6        # 2c280 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,198,183,2,0         // vbroadcastss  0x2b7c6(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,125,24,13,229,183,2,0        // vbroadcastss  0x2b7e5(%rip),%ymm9        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,194,93,184,192                  // vfmadd231ps   %ymm8,%ymm4,%ymm0
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,194,85,184,200                  // vfmadd231ps   %ymm8,%ymm5,%ymm1
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,194,77,184,208                  // vfmadd231ps   %ymm8,%ymm6,%ymm2
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  197,125,91,201                      // vcvtps2dq     %ymm1,%ymm9
  .byte  196,193,53,114,241,8                // vpslld        $0x8,%ymm9,%ymm9
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  197,125,91,202                      // vcvtps2dq     %ymm2,%ymm9
  .byte  196,193,53,114,241,16               // vpslld        $0x10,%ymm9,%ymm9
  .byte  197,125,91,211                      // vcvtps2dq     %ymm3,%ymm10
  .byte  196,193,45,114,242,24               // vpslld        $0x18,%ymm10,%ymm10
  .byte  196,65,53,235,202                   // vpor          %ymm10,%ymm9,%ymm9
  .byte  196,65,61,235,193                   // vpor          %ymm9,%ymm8,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,65                              // jne           13b2 <_sk_srcover_rgba_8888_hsw+0x10a>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,59,255,255,255               // ja            12ce <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,254,0,0,0                 // lea           0xfe(%rip),%r10        # 149c <_sk_srcover_rgba_8888_hsw+0x1f4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  233,28,255,255,255                  // jmpq          12ce <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,181                             // ja            1377 <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,235,0,0,0                 // lea           0xeb(%rip),%r9        # 14b8 <_sk_srcover_rgba_8888_hsw+0x210>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,153                             // jmp           1377 <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,201,254,255,255                 // jmpq          12ce <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,122,254,255,255                 // jmpq          12ce <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  233,16,255,255,255                  // jmpq          1377 <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  233,220,254,255,255                 // jmpq          1377 <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  144                                 // nop
  .byte  11,255                              // or            %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,88,255                          // lcall         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,66,255                          // incl          -0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,167,255,255,255,147             // jmpq          *-0x6c000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,255                             // jg            14b1 <_sk_srcover_rgba_8888_hsw+0x209>
  .byte  255                                 // (bad)
  .byte  255,105,255                         // ljmp          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,164,255,255,255,156,255         // jmpq          *-0x630001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,203                             // dec           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,175                 // mov           $0xafffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_clamp_0_hsw
.globl _sk_clamp_0_hsw
FUNCTION(_sk_clamp_0_hsw)
_sk_clamp_0_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_hsw
.globl _sk_clamp_1_hsw
FUNCTION(_sk_clamp_1_hsw)
_sk_clamp_1_hsw:
  .byte  196,98,125,24,5,210,181,2,0         // vbroadcastss  0x2b5d2(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_hsw
.globl _sk_clamp_a_hsw
FUNCTION(_sk_clamp_a_hsw)
_sk_clamp_a_hsw:
  .byte  196,98,125,24,5,177,181,2,0         // vbroadcastss  0x2b5b1(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_hsw
.globl _sk_clamp_a_dst_hsw
FUNCTION(_sk_clamp_a_dst_hsw)
_sk_clamp_a_dst_hsw:
  .byte  196,98,125,24,5,147,181,2,0         // vbroadcastss  0x2b593(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,68,93,248                   // vminps        %ymm8,%ymm7,%ymm7
  .byte  197,220,93,231                      // vminps        %ymm7,%ymm4,%ymm4
  .byte  197,212,93,239                      // vminps        %ymm7,%ymm5,%ymm5
  .byte  197,204,93,247                      // vminps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_hsw
.globl _sk_set_rgb_hsw
FUNCTION(_sk_set_rgb_hsw)
_sk_set_rgb_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_hsw
.globl _sk_swap_rb_hsw
FUNCTION(_sk_swap_rb_hsw)
_sk_swap_rb_hsw:
  .byte  197,124,40,192                      // vmovaps       %ymm0,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,124,41,194                      // vmovaps       %ymm8,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_hsw
.globl _sk_invert_hsw
FUNCTION(_sk_invert_hsw)
_sk_invert_hsw:
  .byte  196,98,125,24,5,78,181,2,0          // vbroadcastss  0x2b54e(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_hsw
.globl _sk_move_src_dst_hsw
FUNCTION(_sk_move_src_dst_hsw)
_sk_move_src_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,242                      // vmovaps       %ymm2,%ymm6
  .byte  197,252,40,251                      // vmovaps       %ymm3,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_hsw
.globl _sk_move_dst_src_hsw
FUNCTION(_sk_move_dst_src_hsw)
_sk_move_dst_src_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,196                      // vmovaps       %ymm4,%ymm0
  .byte  197,252,40,205                      // vmovaps       %ymm5,%ymm1
  .byte  197,252,40,214                      // vmovaps       %ymm6,%ymm2
  .byte  197,252,40,223                      // vmovaps       %ymm7,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_hsw
.globl _sk_premul_hsw
FUNCTION(_sk_premul_hsw)
_sk_premul_hsw:
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_hsw
.globl _sk_premul_dst_hsw
FUNCTION(_sk_premul_dst_hsw)
_sk_premul_dst_hsw:
  .byte  197,220,89,231                      // vmulps        %ymm7,%ymm4,%ymm4
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_hsw
.globl _sk_unpremul_hsw
FUNCTION(_sk_unpremul_hsw)
_sk_unpremul_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,100,194,200,0                // vcmpeqps      %ymm8,%ymm3,%ymm9
  .byte  196,98,125,24,21,222,180,2,0        // vbroadcastss  0x2b4de(%rip),%ymm10        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,44,94,211                       // vdivps        %ymm3,%ymm10,%ymm10
  .byte  196,67,45,74,192,144                // vblendvps     %ymm9,%ymm8,%ymm10,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_hsw
.globl _sk_from_srgb_hsw
FUNCTION(_sk_from_srgb_hsw)
_sk_from_srgb_hsw:
  .byte  196,98,125,24,5,235,180,2,0         // vbroadcastss  0x2b4eb(%rip),%ymm8        # 2cafc <_sk_overlay_sse2_8bit+0xd38>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  197,124,89,208                      // vmulps        %ymm0,%ymm0,%ymm10
  .byte  196,98,125,24,29,221,180,2,0        // vbroadcastss  0x2b4dd(%rip),%ymm11        # 2cb00 <_sk_overlay_sse2_8bit+0xd3c>
  .byte  196,98,125,24,37,192,180,2,0        // vbroadcastss  0x2b4c0(%rip),%ymm12        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,125,168,235                  // vfmadd213ps   %ymm11,%ymm0,%ymm13
  .byte  196,98,125,24,53,197,180,2,0        // vbroadcastss  0x2b4c5(%rip),%ymm14        # 2cb04 <_sk_overlay_sse2_8bit+0xd40>
  .byte  196,66,45,168,238                   // vfmadd213ps   %ymm14,%ymm10,%ymm13
  .byte  196,98,125,24,21,187,180,2,0        // vbroadcastss  0x2b4bb(%rip),%ymm10        # 2cb08 <_sk_overlay_sse2_8bit+0xd44>
  .byte  196,193,124,194,194,1               // vcmpltps      %ymm10,%ymm0,%ymm0
  .byte  196,195,21,74,193,0                 // vblendvps     %ymm0,%ymm9,%ymm13,%ymm0
  .byte  196,65,116,89,200                   // vmulps        %ymm8,%ymm1,%ymm9
  .byte  197,116,89,233                      // vmulps        %ymm1,%ymm1,%ymm13
  .byte  196,65,124,40,252                   // vmovaps       %ymm12,%ymm15
  .byte  196,66,117,168,251                  // vfmadd213ps   %ymm11,%ymm1,%ymm15
  .byte  196,66,21,168,254                   // vfmadd213ps   %ymm14,%ymm13,%ymm15
  .byte  196,193,116,194,202,1               // vcmpltps      %ymm10,%ymm1,%ymm1
  .byte  196,195,5,74,201,16                 // vblendvps     %ymm1,%ymm9,%ymm15,%ymm1
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  197,108,89,202                      // vmulps        %ymm2,%ymm2,%ymm9
  .byte  196,66,109,168,227                  // vfmadd213ps   %ymm11,%ymm2,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,193,108,194,210,1               // vcmpltps      %ymm10,%ymm2,%ymm2
  .byte  196,195,29,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm12,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_hsw
.globl _sk_from_srgb_dst_hsw
FUNCTION(_sk_from_srgb_dst_hsw)
_sk_from_srgb_dst_hsw:
  .byte  196,98,125,24,5,83,180,2,0          // vbroadcastss  0x2b453(%rip),%ymm8        # 2cafc <_sk_overlay_sse2_8bit+0xd38>
  .byte  196,65,92,89,200                    // vmulps        %ymm8,%ymm4,%ymm9
  .byte  197,92,89,212                       // vmulps        %ymm4,%ymm4,%ymm10
  .byte  196,98,125,24,29,69,180,2,0         // vbroadcastss  0x2b445(%rip),%ymm11        # 2cb00 <_sk_overlay_sse2_8bit+0xd3c>
  .byte  196,98,125,24,37,40,180,2,0         // vbroadcastss  0x2b428(%rip),%ymm12        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,93,168,235                   // vfmadd213ps   %ymm11,%ymm4,%ymm13
  .byte  196,98,125,24,53,45,180,2,0         // vbroadcastss  0x2b42d(%rip),%ymm14        # 2cb04 <_sk_overlay_sse2_8bit+0xd40>
  .byte  196,66,45,168,238                   // vfmadd213ps   %ymm14,%ymm10,%ymm13
  .byte  196,98,125,24,21,35,180,2,0         // vbroadcastss  0x2b423(%rip),%ymm10        # 2cb08 <_sk_overlay_sse2_8bit+0xd44>
  .byte  196,193,92,194,226,1                // vcmpltps      %ymm10,%ymm4,%ymm4
  .byte  196,195,21,74,225,64                // vblendvps     %ymm4,%ymm9,%ymm13,%ymm4
  .byte  196,65,84,89,200                    // vmulps        %ymm8,%ymm5,%ymm9
  .byte  197,84,89,237                       // vmulps        %ymm5,%ymm5,%ymm13
  .byte  196,65,124,40,252                   // vmovaps       %ymm12,%ymm15
  .byte  196,66,85,168,251                   // vfmadd213ps   %ymm11,%ymm5,%ymm15
  .byte  196,66,21,168,254                   // vfmadd213ps   %ymm14,%ymm13,%ymm15
  .byte  196,193,84,194,234,1                // vcmpltps      %ymm10,%ymm5,%ymm5
  .byte  196,195,5,74,233,80                 // vblendvps     %ymm5,%ymm9,%ymm15,%ymm5
  .byte  196,65,76,89,192                    // vmulps        %ymm8,%ymm6,%ymm8
  .byte  197,76,89,206                       // vmulps        %ymm6,%ymm6,%ymm9
  .byte  196,66,77,168,227                   // vfmadd213ps   %ymm11,%ymm6,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,193,76,194,242,1                // vcmpltps      %ymm10,%ymm6,%ymm6
  .byte  196,195,29,74,240,96                // vblendvps     %ymm6,%ymm8,%ymm12,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_hsw
.globl _sk_to_srgb_hsw
FUNCTION(_sk_to_srgb_hsw)
_sk_to_srgb_hsw:
  .byte  197,124,82,200                      // vrsqrtps      %ymm0,%ymm9
  .byte  196,98,125,24,5,199,179,2,0         // vbroadcastss  0x2b3c7(%rip),%ymm8        # 2cb0c <_sk_overlay_sse2_8bit+0xd48>
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,29,189,179,2,0        // vbroadcastss  0x2b3bd(%rip),%ymm11        # 2cb10 <_sk_overlay_sse2_8bit+0xd4c>
  .byte  196,98,125,24,37,184,179,2,0        // vbroadcastss  0x2b3b8(%rip),%ymm12        # 2cb14 <_sk_overlay_sse2_8bit+0xd50>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,53,168,235                   // vfmadd213ps   %ymm11,%ymm9,%ymm13
  .byte  196,98,125,24,53,169,179,2,0        // vbroadcastss  0x2b3a9(%rip),%ymm14        # 2cb18 <_sk_overlay_sse2_8bit+0xd54>
  .byte  196,66,53,168,238                   // vfmadd213ps   %ymm14,%ymm9,%ymm13
  .byte  196,98,125,24,61,159,179,2,0        // vbroadcastss  0x2b39f(%rip),%ymm15        # 2cb1c <_sk_overlay_sse2_8bit+0xd58>
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,20,89,201                    // vmulps        %ymm9,%ymm13,%ymm9
  .byte  196,98,125,24,45,139,179,2,0        // vbroadcastss  0x2b38b(%rip),%ymm13        # 2cb20 <_sk_overlay_sse2_8bit+0xd5c>
  .byte  196,193,124,194,197,1               // vcmpltps      %ymm13,%ymm0,%ymm0
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  197,124,82,201                      // vrsqrtps      %ymm1,%ymm9
  .byte  196,65,124,40,212                   // vmovaps       %ymm12,%ymm10
  .byte  196,66,53,168,211                   // vfmadd213ps   %ymm11,%ymm9,%ymm10
  .byte  196,66,53,168,214                   // vfmadd213ps   %ymm14,%ymm9,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,193,116,194,205,1               // vcmpltps      %ymm13,%ymm1,%ymm1
  .byte  196,195,53,74,202,16                // vblendvps     %ymm1,%ymm10,%ymm9,%ymm1
  .byte  197,124,82,202                      // vrsqrtps      %ymm2,%ymm9
  .byte  196,66,53,168,227                   // vfmadd213ps   %ymm11,%ymm9,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,193,108,194,213,1               // vcmpltps      %ymm13,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_hsw
.globl _sk_rgb_to_hsl_hsw
FUNCTION(_sk_rgb_to_hsl_hsw)
_sk_rgb_to_hsl_hsw:
  .byte  197,116,95,194                      // vmaxps        %ymm2,%ymm1,%ymm8
  .byte  196,65,124,95,192                   // vmaxps        %ymm8,%ymm0,%ymm8
  .byte  197,116,93,202                      // vminps        %ymm2,%ymm1,%ymm9
  .byte  196,65,124,93,201                   // vminps        %ymm9,%ymm0,%ymm9
  .byte  196,65,60,92,209                    // vsubps        %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,29,166,178,2,0        // vbroadcastss  0x2b2a6(%rip),%ymm11        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  197,116,92,226                      // vsubps        %ymm2,%ymm1,%ymm12
  .byte  197,116,194,234,1                   // vcmpltps      %ymm2,%ymm1,%ymm13
  .byte  196,98,125,24,53,231,178,2,0        // vbroadcastss  0x2b2e7(%rip),%ymm14        # 2cb24 <_sk_overlay_sse2_8bit+0xd60>
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,67,5,74,238,208                 // vblendvps     %ymm13,%ymm14,%ymm15,%ymm13
  .byte  196,66,37,168,229                   // vfmadd213ps   %ymm13,%ymm11,%ymm12
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  197,124,92,233                      // vsubps        %ymm1,%ymm0,%ymm13
  .byte  196,98,125,24,53,206,178,2,0        // vbroadcastss  0x2b2ce(%rip),%ymm14        # 2cb2c <_sk_overlay_sse2_8bit+0xd68>
  .byte  196,66,37,168,238                   // vfmadd213ps   %ymm14,%ymm11,%ymm13
  .byte  196,98,125,24,53,188,178,2,0        // vbroadcastss  0x2b2bc(%rip),%ymm14        # 2cb28 <_sk_overlay_sse2_8bit+0xd64>
  .byte  196,194,37,168,214                  // vfmadd213ps   %ymm14,%ymm11,%ymm2
  .byte  197,188,194,201,0                   // vcmpeqps      %ymm1,%ymm8,%ymm1
  .byte  196,227,21,74,202,16                // vblendvps     %ymm1,%ymm2,%ymm13,%ymm1
  .byte  197,188,194,192,0                   // vcmpeqps      %ymm0,%ymm8,%ymm0
  .byte  196,195,117,74,196,0                // vblendvps     %ymm0,%ymm12,%ymm1,%ymm0
  .byte  196,193,60,88,201                   // vaddps        %ymm9,%ymm8,%ymm1
  .byte  196,98,125,24,29,51,178,2,0         // vbroadcastss  0x2b233(%rip),%ymm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,116,89,211                  // vmulps        %ymm11,%ymm1,%ymm2
  .byte  197,36,194,218,1                    // vcmpltps      %ymm2,%ymm11,%ymm11
  .byte  196,65,12,92,224                    // vsubps        %ymm8,%ymm14,%ymm12
  .byte  196,65,28,92,225                    // vsubps        %ymm9,%ymm12,%ymm12
  .byte  196,195,117,74,204,176              // vblendvps     %ymm11,%ymm12,%ymm1,%ymm1
  .byte  196,65,60,194,193,0                 // vcmpeqps      %ymm9,%ymm8,%ymm8
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  196,195,125,74,199,128              // vblendvps     %ymm8,%ymm15,%ymm0,%ymm0
  .byte  196,195,117,74,207,128              // vblendvps     %ymm8,%ymm15,%ymm1,%ymm1
  .byte  196,98,125,24,5,98,178,2,0          // vbroadcastss  0x2b262(%rip),%ymm8        # 2cb30 <_sk_overlay_sse2_8bit+0xd6c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_hsw
.globl _sk_hsl_to_rgb_hsw
FUNCTION(_sk_hsl_to_rgb_hsw)
_sk_hsl_to_rgb_hsw:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  196,98,125,24,5,191,177,2,0         // vbroadcastss  0x2b1bf(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,60,194,202,2                    // vcmpleps      %ymm2,%ymm8,%ymm9
  .byte  197,84,89,210                       // vmulps        %ymm2,%ymm5,%ymm10
  .byte  196,65,84,92,218                    // vsubps        %ymm10,%ymm5,%ymm11
  .byte  196,67,45,74,203,144                // vblendvps     %ymm9,%ymm11,%ymm10,%ymm9
  .byte  197,52,88,210                       // vaddps        %ymm2,%ymm9,%ymm10
  .byte  196,98,125,24,13,254,177,2,0        // vbroadcastss  0x2b1fe(%rip),%ymm9        # 2cb28 <_sk_overlay_sse2_8bit+0xd64>
  .byte  196,66,109,170,202                  // vfmsub213ps   %ymm10,%ymm2,%ymm9
  .byte  196,98,125,24,29,252,177,2,0        // vbroadcastss  0x2b1fc(%rip),%ymm11        # 2cb34 <_sk_overlay_sse2_8bit+0xd70>
  .byte  196,65,92,88,219                    // vaddps        %ymm11,%ymm4,%ymm11
  .byte  196,67,125,8,227,1                  // vroundps      $0x1,%ymm11,%ymm12
  .byte  196,65,36,92,252                    // vsubps        %ymm12,%ymm11,%ymm15
  .byte  196,65,44,92,217                    // vsubps        %ymm9,%ymm10,%ymm11
  .byte  196,98,125,24,45,206,177,2,0        // vbroadcastss  0x2b1ce(%rip),%ymm13        # 2cb24 <_sk_overlay_sse2_8bit+0xd60>
  .byte  196,193,4,89,197                    // vmulps        %ymm13,%ymm15,%ymm0
  .byte  196,98,125,24,53,200,177,2,0        // vbroadcastss  0x2b1c8(%rip),%ymm14        # 2cb2c <_sk_overlay_sse2_8bit+0xd68>
  .byte  197,12,92,224                       // vsubps        %ymm0,%ymm14,%ymm12
  .byte  196,66,37,168,225                   // vfmadd213ps   %ymm9,%ymm11,%ymm12
  .byte  196,226,125,24,29,194,177,2,0       // vbroadcastss  0x2b1c2(%rip),%ymm3        # 2cb38 <_sk_overlay_sse2_8bit+0xd74>
  .byte  196,193,100,194,255,2               // vcmpleps      %ymm15,%ymm3,%ymm7
  .byte  196,195,29,74,249,112               // vblendvps     %ymm7,%ymm9,%ymm12,%ymm7
  .byte  196,65,60,194,231,2                 // vcmpleps      %ymm15,%ymm8,%ymm12
  .byte  196,227,45,74,255,192               // vblendvps     %ymm12,%ymm7,%ymm10,%ymm7
  .byte  196,98,125,24,37,153,177,2,0        // vbroadcastss  0x2b199(%rip),%ymm12        # 2cb30 <_sk_overlay_sse2_8bit+0xd6c>
  .byte  196,65,28,194,255,2                 // vcmpleps      %ymm15,%ymm12,%ymm15
  .byte  196,194,37,168,193                  // vfmadd213ps   %ymm9,%ymm11,%ymm0
  .byte  196,99,125,74,255,240               // vblendvps     %ymm15,%ymm7,%ymm0,%ymm15
  .byte  196,227,125,8,196,1                 // vroundps      $0x1,%ymm4,%ymm0
  .byte  197,220,92,192                      // vsubps        %ymm0,%ymm4,%ymm0
  .byte  196,193,124,89,253                  // vmulps        %ymm13,%ymm0,%ymm7
  .byte  197,140,92,207                      // vsubps        %ymm7,%ymm14,%ymm1
  .byte  196,194,37,168,201                  // vfmadd213ps   %ymm9,%ymm11,%ymm1
  .byte  197,228,194,240,2                   // vcmpleps      %ymm0,%ymm3,%ymm6
  .byte  196,195,117,74,201,96               // vblendvps     %ymm6,%ymm9,%ymm1,%ymm1
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,201,96                // vblendvps     %ymm6,%ymm1,%ymm10,%ymm1
  .byte  197,156,194,192,2                   // vcmpleps      %ymm0,%ymm12,%ymm0
  .byte  196,194,37,168,249                  // vfmadd213ps   %ymm9,%ymm11,%ymm7
  .byte  196,227,69,74,201,0                 // vblendvps     %ymm0,%ymm1,%ymm7,%ymm1
  .byte  196,226,125,24,5,77,177,2,0         // vbroadcastss  0x2b14d(%rip),%ymm0        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  197,220,88,192                      // vaddps        %ymm0,%ymm4,%ymm0
  .byte  196,227,125,8,224,1                 // vroundps      $0x1,%ymm0,%ymm4
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,228,194,216,2                   // vcmpleps      %ymm0,%ymm3,%ymm3
  .byte  196,193,124,89,229                  // vmulps        %ymm13,%ymm0,%ymm4
  .byte  197,140,92,244                      // vsubps        %ymm4,%ymm14,%ymm6
  .byte  196,194,37,168,241                  // vfmadd213ps   %ymm9,%ymm11,%ymm6
  .byte  196,195,77,74,217,48                // vblendvps     %ymm3,%ymm9,%ymm6,%ymm3
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,219,96                // vblendvps     %ymm6,%ymm3,%ymm10,%ymm3
  .byte  196,98,37,184,204                   // vfmadd231ps   %ymm4,%ymm11,%ymm9
  .byte  197,156,194,192,2                   // vcmpleps      %ymm0,%ymm12,%ymm0
  .byte  196,227,53,74,219,0                 // vblendvps     %ymm0,%ymm3,%ymm9,%ymm3
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,212,194,224,0                   // vcmpeqps      %ymm0,%ymm5,%ymm4
  .byte  196,227,5,74,194,64                 // vblendvps     %ymm4,%ymm2,%ymm15,%ymm0
  .byte  196,227,117,74,202,64               // vblendvps     %ymm4,%ymm2,%ymm1,%ymm1
  .byte  196,227,101,74,210,64               // vblendvps     %ymm4,%ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_hsw
.globl _sk_scale_1_float_hsw
FUNCTION(_sk_scale_1_float_hsw)
_sk_scale_1_float_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_hsw
.globl _sk_scale_u8_hsw
FUNCTION(_sk_scale_u8_hsw)
_sk_scale_u8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,58                              // jne           1ade <_sk_scale_u8_hsw+0x52>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,190,177,2,0            // vpand         0x2b1be(%rip),%xmm8,%xmm8        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,123,176,2,0        // vbroadcastss  0x2b07b(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,183                             // ja            1aaa <_sk_scale_u8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # 1b78 <_sk_scale_u8_hsw+0xec>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,152                             // jmp           1aaa <_sk_scale_u8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,111,255,255,255                 // jmpq          1aaa <_sk_scale_u8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,51,255,255,255                  // jmpq          1aaa <_sk_scale_u8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,154             // ljmp          *-0x65000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf001b88 <_sk_overlay_sse2_8bit+0xffffffffdefd5dc4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_565_hsw
.globl _sk_scale_565_hsw
FUNCTION(_sk_scale_565_hsw)
_sk_scale_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,161,0,0,0                    // jne           1c54 <_sk_scale_565_hsw+0xc0>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,98,125,88,13,125,175,2,0        // vpbroadcastd  0x2af7d(%rip),%ymm9        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  196,65,61,219,201                   // vpand         %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,110,175,2,0        // vbroadcastss  0x2af6e(%rip),%ymm10        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,88,21,100,175,2,0        // vpbroadcastd  0x2af64(%rip),%ymm10        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,85,175,2,0         // vbroadcastss  0x2af55(%rip),%ymm11        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,88,29,75,175,2,0         // vpbroadcastd  0x2af4b(%rip),%ymm11        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  196,65,61,219,195                   // vpand         %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,60,175,2,0         // vbroadcastss  0x2af3c(%rip),%ymm11        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,76,255,255,255               // ja            1bb9 <_sk_scale_565_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 1cdc <_sk_scale_565_hsw+0x148>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,42,255,255,255                  // jmpq          1bb9 <_sk_scale_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,12,255,255,255                  // jmpq          1bb9 <_sk_scale_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,222,254,255,255                 // jmpq          1bb9 <_sk_scale_565_hsw+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_hsw
.globl _sk_lerp_1_float_hsw
FUNCTION(_sk_lerp_1_float_hsw)
_sk_lerp_1_float_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_hsw
.globl _sk_lerp_u8_hsw
FUNCTION(_sk_lerp_u8_hsw)
_sk_lerp_u8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,78                              // jne           1d8d <_sk_lerp_u8_hsw+0x66>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,35,175,2,0             // vpand         0x2af23(%rip),%xmm8,%xmm8        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,224,173,2,0        // vbroadcastss  0x2ade0(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,163                             // ja            1d45 <_sk_lerp_u8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 1e28 <_sk_lerp_u8_hsw+0x101>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,132                             // jmp           1d45 <_sk_lerp_u8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,91,255,255,255                  // jmpq          1d45 <_sk_lerp_u8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,31,255,255,255                  // jmpq          1d45 <_sk_lerp_u8_hsw+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,153             // ljmp          *-0x66000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde001e38 <_sk_overlay_sse2_8bit+0xffffffffddfd6074>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_565_hsw
.globl _sk_lerp_565_hsw
FUNCTION(_sk_lerp_565_hsw)
_sk_lerp_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,181,0,0,0                    // jne           1f18 <_sk_lerp_565_hsw+0xd4>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,98,125,88,13,205,172,2,0        // vpbroadcastd  0x2accd(%rip),%ymm9        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  196,65,61,219,201                   // vpand         %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,190,172,2,0        // vbroadcastss  0x2acbe(%rip),%ymm10        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,88,21,180,172,2,0        // vpbroadcastd  0x2acb4(%rip),%ymm10        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,165,172,2,0        // vbroadcastss  0x2aca5(%rip),%ymm11        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,88,29,155,172,2,0        // vpbroadcastd  0x2ac9b(%rip),%ymm11        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  196,65,61,219,195                   // vpand         %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,140,172,2,0        // vbroadcastss  0x2ac8c(%rip),%ymm11        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,53,168,196                  // vfmadd213ps   %ymm4,%ymm9,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,45,168,205                  // vfmadd213ps   %ymm5,%ymm10,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,37,168,223                  // vfmadd213ps   %ymm7,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,56,255,255,255               // ja            1e69 <_sk_lerp_565_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 1fa0 <_sk_lerp_565_hsw+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,22,255,255,255                  // jmpq          1e69 <_sk_lerp_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,248,254,255,255                 // jmpq          1e69 <_sk_lerp_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,202,254,255,255                 // jmpq          1e69 <_sk_lerp_565_hsw+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_hsw
.globl _sk_load_tables_hsw
FUNCTION(_sk_load_tables_hsw)
_sk_load_tables_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,103                             // jne           202d <_sk_load_tables_hsw+0x71>
  .byte  196,193,126,111,28,144              // vmovdqu       (%r8,%rdx,4),%ymm3
  .byte  197,229,219,13,204,162,2,0          // vpand         0x2a2cc(%rip),%ymm3,%ymm1        # 2c2a0 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,109,146,4,136               // vgatherdps    %ymm2,(%r8,%ymm1,4),%ymm0
  .byte  196,226,101,0,21,204,162,2,0        // vpshufb       0x2a2cc(%rip),%ymm3,%ymm2        # 2c2c0 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,194,53,146,12,145               // vgatherdps    %ymm9,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,98,101,0,13,212,162,2,0         // vpshufb       0x2a2d4(%rip),%ymm3,%ymm9        # 2c2e0 <_sk_overlay_sse2_8bit+0x51c>
  .byte  196,162,61,146,20,136               // vgatherdps    %ymm8,(%rax,%ymm9,4),%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,28,171,2,0          // vbroadcastss  0x2ab1c(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,139                             // ja            1fcc <_sk_load_tables_hsw+0x10>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,140,0,0,0                 // lea           0x8c(%rip),%r10        # 20d8 <_sk_load_tables_hsw+0x11c>
  .byte  79,99,12,138                        // movslq        (%r10,%r9,4),%r9
  .byte  77,1,209                            // add           %r10,%r9
  .byte  65,255,225                          // jmpq          *%r9
  .byte  196,193,121,110,28,144              // vmovd         (%r8,%rdx,4),%xmm3
  .byte  233,107,255,255,255                 // jmpq          1fcc <_sk_load_tables_hsw+0x10>
  .byte  196,193,121,110,68,144,8            // vmovd         0x8(%r8,%rdx,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,193,122,126,4,144               // vmovq         (%r8,%rdx,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,68,255,255,255                  // jmpq          1fcc <_sk_load_tables_hsw+0x10>
  .byte  196,193,121,110,68,144,24           // vmovd         0x18(%r8,%rdx,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,195,121,34,68,144,20,1          // vpinsrd       $0x1,0x14(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,195,121,34,68,144,16,0          // vpinsrd       $0x0,0x10(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,193,122,111,4,144               // vmovdqu       (%r8,%rdx,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,245,254,255,255                 // jmpq          1fcc <_sk_load_tables_hsw+0x10>
  .byte  144                                 // nop
  .byte  126,255                             // jle           20d9 <_sk_load_tables_hsw+0x11d>
  .byte  255                                 // (bad)
  .byte  255,159,255,255,255,137             // lcall         *-0x76000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_u16_be_hsw
.globl _sk_load_tables_u16_be_hsw
FUNCTION(_sk_load_tables_u16_be_hsw)
_sk_load_tables_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,201,0,0,0                    // jne           21d3 <_sk_load_tables_u16_be_hsw+0xdf>
  .byte  196,1,121,16,4,72                   // vmovupd       (%r8,%r9,2),%xmm8
  .byte  196,129,121,16,84,72,16             // vmovupd       0x10(%r8,%r9,2),%xmm2
  .byte  196,129,121,16,92,72,32             // vmovupd       0x20(%r8,%r9,2),%xmm3
  .byte  196,1,122,111,76,72,48              // vmovdqu       0x30(%r8,%r9,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,195                      // vpunpcklwd    %xmm3,%xmm1,%xmm0
  .byte  197,241,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm3
  .byte  197,185,108,200                     // vpunpcklqdq   %xmm0,%xmm8,%xmm1
  .byte  197,185,109,208                     // vpunpckhqdq   %xmm0,%xmm8,%xmm2
  .byte  197,49,108,195                      // vpunpcklqdq   %xmm3,%xmm9,%xmm8
  .byte  197,121,111,21,21,171,2,0           // vmovdqa       0x2ab15(%rip),%xmm10        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,193,113,219,194                 // vpand         %xmm10,%xmm1,%xmm0
  .byte  196,226,125,51,200                  // vpmovzxwd     %xmm0,%ymm1
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,194,29,146,4,136                // vgatherdps    %ymm12,(%r8,%ymm1,4),%ymm0
  .byte  196,193,105,219,202                 // vpand         %xmm10,%xmm2,%xmm1
  .byte  196,226,125,51,209                  // vpmovzxwd     %xmm1,%ymm2
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,194,29,146,12,145               // vgatherdps    %ymm12,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,193,57,219,210                  // vpand         %xmm10,%xmm8,%xmm2
  .byte  196,98,125,51,194                   // vpmovzxwd     %xmm2,%ymm8
  .byte  196,162,37,146,20,128               // vgatherdps    %ymm11,(%rax,%ymm8,4),%ymm2
  .byte  197,177,109,219                     // vpunpckhqdq   %xmm3,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,226,125,51,219                  // vpmovzxwd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,146,169,2,0         // vbroadcastss  0x2a992(%rip),%ymm8        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,123,16,4,72                   // vmovsd        (%r8,%r9,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            2239 <_sk_load_tables_u16_be_hsw+0x145>
  .byte  196,1,57,22,68,72,8                 // vmovhpd       0x8(%r8,%r9,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            2239 <_sk_load_tables_u16_be_hsw+0x145>
  .byte  196,129,123,16,84,72,16             // vmovsd        0x10(%r8,%r9,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            2246 <_sk_load_tables_u16_be_hsw+0x152>
  .byte  196,129,105,22,84,72,24             // vmovhpd       0x18(%r8,%r9,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            2246 <_sk_load_tables_u16_be_hsw+0x152>
  .byte  196,129,123,16,92,72,32             // vmovsd        0x20(%r8,%r9,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,9,255,255,255                // je            2125 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  196,129,97,22,92,72,40              // vmovhpd       0x28(%r8,%r9,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,248,254,255,255              // jb            2125 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  196,1,122,126,76,72,48              // vmovq         0x30(%r8,%r9,2),%xmm9
  .byte  233,236,254,255,255                 // jmpq          2125 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,223,254,255,255                 // jmpq          2125 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,214,254,255,255                 // jmpq          2125 <_sk_load_tables_u16_be_hsw+0x31>

HIDDEN _sk_load_tables_rgb_u16_be_hsw
.globl _sk_load_tables_rgb_u16_be_hsw
FUNCTION(_sk_load_tables_rgb_u16_be_hsw)
_sk_load_tables_rgb_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,193,0,0,0                    // jne           2322 <_sk_load_tables_rgb_u16_be_hsw+0xd3>
  .byte  196,1,122,111,28,72                 // vmovdqu       (%r8,%r9,2),%xmm11
  .byte  196,129,122,111,92,72,12            // vmovdqu       0xc(%r8,%r9,2),%xmm3
  .byte  196,129,122,111,84,72,24            // vmovdqu       0x18(%r8,%r9,2),%xmm2
  .byte  196,129,122,111,68,72,32            // vmovdqu       0x20(%r8,%r9,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,225,105,201                     // vpunpckhwd    %xmm1,%xmm3,%xmm1
  .byte  197,249,97,218                      // vpunpcklwd    %xmm2,%xmm0,%xmm3
  .byte  197,249,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm0
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  197,185,109,219                     // vpunpckhqdq   %xmm3,%xmm8,%xmm3
  .byte  197,113,108,192                     // vpunpcklqdq   %xmm0,%xmm1,%xmm8
  .byte  197,121,111,13,164,169,2,0          // vmovdqa       0x2a9a4(%rip),%xmm9        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,193,105,219,193                 // vpand         %xmm9,%xmm2,%xmm0
  .byte  196,226,125,51,200                  // vpmovzxwd     %xmm0,%ymm1
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,109,146,4,136               // vgatherdps    %ymm2,(%r8,%ymm1,4),%ymm0
  .byte  196,193,97,219,201                  // vpand         %xmm9,%xmm3,%xmm1
  .byte  196,226,125,51,209                  // vpmovzxwd     %xmm1,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,194,101,146,12,145              // vgatherdps    %ymm3,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,193,57,219,209                  // vpand         %xmm9,%xmm8,%xmm2
  .byte  196,226,125,51,218                  // vpmovzxwd     %xmm2,%ymm3
  .byte  196,226,45,146,20,152               // vgatherdps    %ymm10,(%rax,%ymm3,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,172,167,2,0       // vbroadcastss  0x2a7ac(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,72                // vmovd         (%r8,%r9,2),%xmm0
  .byte  196,1,121,196,92,72,4,2             // vpinsrw       $0x2,0x4(%r8,%r9,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           235b <_sk_load_tables_rgb_u16_be_hsw+0x10c>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,59,255,255,255                  // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,6             // vmovd         0x6(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,68,72,10,2            // vpinsrw       $0x2,0xa(%r8,%r9,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            23a6 <_sk_load_tables_rgb_u16_be_hsw+0x157>
  .byte  196,129,121,110,68,72,12            // vmovd         0xc(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,92,72,16,2          // vpinsrw       $0x2,0x10(%r8,%r9,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           23c1 <_sk_load_tables_rgb_u16_be_hsw+0x172>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,240,254,255,255                 // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,213,254,255,255                 // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,18            // vmovd         0x12(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,84,72,22,2            // vpinsrw       $0x2,0x16(%r8,%r9,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            2403 <_sk_load_tables_rgb_u16_be_hsw+0x1b4>
  .byte  196,129,121,110,68,72,24            // vmovd         0x18(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,84,72,28,2          // vpinsrw       $0x2,0x1c(%r8,%r9,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           2415 <_sk_load_tables_rgb_u16_be_hsw+0x1c6>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,147,254,255,255                 // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,129,254,255,255                 // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,30            // vmovd         0x1e(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,100,72,34,2           // vpinsrw       $0x2,0x22(%r8,%r9,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            2448 <_sk_load_tables_rgb_u16_be_hsw+0x1f9>
  .byte  196,129,121,110,68,72,36            // vmovd         0x24(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,68,72,40,2          // vpinsrw       $0x2,0x28(%r8,%r9,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,78,254,255,255                  // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,69,254,255,255                  // jmpq          2296 <_sk_load_tables_rgb_u16_be_hsw+0x47>

HIDDEN _sk_byte_tables_hsw
.globl _sk_byte_tables_hsw
FUNCTION(_sk_byte_tables_hsw)
_sk_byte_tables_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,156,166,2,0         // vbroadcastss  0x2a69c(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,57,200,1                 // vextracti128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,4                  // vpinsrb       $0x4,%r9d,%xmm9,%xmm9
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,49,32,192,5                 // vpinsrb       $0x5,%r8d,%xmm9,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,6                // vpinsrb       $0x6,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,201,7                 // vpinsrb       $0x7,%r9d,%xmm0,%xmm9
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,3                // vpinsrb       $0x3,%r10d,%xmm0,%xmm0
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,4                // vpinsrb       $0x4,%r10d,%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,5                // vpinsrb       $0x5,%r9d,%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,200,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm1
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,193,108,89,192                  // vmulps        %ymm8,%ymm2,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,20,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm2
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,209,2                // vpinsrb       $0x2,%r9d,%xmm2,%xmm2
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,105,32,210,3                // vpinsrb       $0x3,%r10d,%xmm2,%xmm2
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,105,32,210,4                // vpinsrb       $0x4,%r10d,%xmm2,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,193,5                // vpinsrb       $0x5,%r9d,%xmm2,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,208,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm2
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,100,89,192                  // vmulps        %ymm8,%ymm3,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,28,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm3
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,97,32,28,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm3,%xmm3
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,97,32,216,2                 // vpinsrb       $0x2,%r8d,%xmm3,%xmm3
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,97,32,216,3                 // vpinsrb       $0x3,%eax,%xmm3,%xmm3
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,97,32,216,4                 // vpinsrb       $0x4,%eax,%xmm3,%xmm3
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  196,227,97,32,192,5                 // vpinsrb       $0x5,%eax,%xmm3,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,121,32,216,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm3
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,125,49,193                  // vpmovzxbd     %xmm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,133,164,2,0         // vbroadcastss  0x2a485(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,227,97,32,216,7                 // vpinsrb       $0x7,%eax,%xmm3,%xmm3
  .byte  196,226,125,49,219                  // vpmovzxbd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_hsw
.globl _sk_byte_tables_rgb_hsw
FUNCTION(_sk_byte_tables_rgb_hsw)
_sk_byte_tables_rgb_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,65,121,110,192                  // vmovd         %r8d,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,57,200,1                 // vextracti128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,4                  // vpinsrb       $0x4,%r9d,%xmm9,%xmm9
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,49,32,192,5                 // vpinsrb       $0x5,%r8d,%xmm9,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,6                // vpinsrb       $0x6,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,201,7                 // vpinsrb       $0x7,%r9d,%xmm0,%xmm9
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,3                // vpinsrb       $0x3,%r10d,%xmm0,%xmm0
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,4                // vpinsrb       $0x4,%r10d,%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,5                // vpinsrb       $0x5,%r9d,%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,200,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,188,89,194                      // vmulps        %ymm2,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,20,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm2
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,32,20,1,1               // vpinsrb       $0x1,(%r9,%r8,1),%xmm2,%xmm2
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,105,32,208,2                // vpinsrb       $0x2,%r8d,%xmm2,%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,105,32,208,3                // vpinsrb       $0x3,%eax,%xmm2,%xmm2
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,105,32,208,4                // vpinsrb       $0x4,%eax,%xmm2,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  196,227,105,32,192,5                // vpinsrb       $0x5,%eax,%xmm2,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,121,32,208,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm2
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,125,49,193                  // vpmovzxbd     %xmm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,109,162,2,0         // vbroadcastss  0x2a26d(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,227,105,32,208,7                // vpinsrb       $0x7,%eax,%xmm2,%xmm2
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_hsw
.globl _sk_table_r_hsw
FUNCTION(_sk_table_r_hsw)
_sk_table_r_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,4,128                // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_hsw
.globl _sk_table_g_hsw
FUNCTION(_sk_table_g_hsw)
_sk_table_g_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,125,91,193                      // vcvtps2dq     %ymm1,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,12,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_hsw
.globl _sk_table_b_hsw
FUNCTION(_sk_table_b_hsw)
_sk_table_b_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,125,91,194                      // vcvtps2dq     %ymm2,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,20,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_hsw
.globl _sk_table_a_hsw
FUNCTION(_sk_table_a_hsw)
_sk_table_a_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,125,91,195                      // vcvtps2dq     %ymm3,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,28,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_hsw
.globl _sk_parametric_r_hsw
FUNCTION(_sk_parametric_r_hsw)
_sk_parametric_r_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,124,194,192,2                // vcmpleps      %ymm8,%ymm0,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,125,168,202                  // vfmadd213ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,125,168,211                  // vfmadd213ps   %ymm11,%ymm0,%ymm10
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,99,161,2,0         // vbroadcastss  0x2a163(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,98,125,24,45,94,161,2,0         // vbroadcastss  0x2a15e(%rip),%ymm13        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,180,160,2,0        // vbroadcastss  0x2a0b4(%rip),%ymm13        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,70,161,2,0         // vbroadcastss  0x2a146(%rip),%ymm13        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,60,161,2,0         // vbroadcastss  0x2a13c(%rip),%ymm11        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,50,161,2,0         // vbroadcastss  0x2a132(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,40,161,2,0         // vbroadcastss  0x2a128(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  196,99,125,8,208,1                  // vroundps      $0x1,%ymm0,%ymm10
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,9,161,2,0          // vbroadcastss  0x2a109(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,255,160,2,0        // vbroadcastss  0x2a0ff(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,98,45,172,216                   // vfnmadd213ps  %ymm0,%ymm10,%ymm11
  .byte  196,226,125,24,5,245,160,2,0        // vbroadcastss  0x2a0f5(%rip),%ymm0        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,98,125,24,21,235,160,2,0        // vbroadcastss  0x2a0eb(%rip),%ymm10        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  197,172,94,192                      // vdivps        %ymm0,%ymm10,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,21,222,160,2,0        // vbroadcastss  0x2a0de(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,195,125,74,193,128              // vblendvps     %ymm8,%ymm9,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,245,159,2,0         // vbroadcastss  0x29ff5(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_hsw
.globl _sk_parametric_g_hsw
FUNCTION(_sk_parametric_g_hsw)
_sk_parametric_g_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,116,194,192,2                // vcmpleps      %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,117,168,202                  // vfmadd213ps   %ymm10,%ymm1,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,117,168,211                  // vfmadd213ps   %ymm11,%ymm1,%ymm10
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,61,160,2,0         // vbroadcastss  0x2a03d(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,98,125,24,45,56,160,2,0         // vbroadcastss  0x2a038(%rip),%ymm13        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,142,159,2,0        // vbroadcastss  0x29f8e(%rip),%ymm13        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,32,160,2,0         // vbroadcastss  0x2a020(%rip),%ymm13        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,22,160,2,0         // vbroadcastss  0x2a016(%rip),%ymm11        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,12,160,2,0         // vbroadcastss  0x2a00c(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,2,160,2,0          // vbroadcastss  0x2a002(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  196,99,125,8,209,1                  // vroundps      $0x1,%ymm1,%ymm10
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,98,125,24,29,227,159,2,0        // vbroadcastss  0x29fe3(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,217,159,2,0        // vbroadcastss  0x29fd9(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,98,45,172,217                   // vfnmadd213ps  %ymm1,%ymm10,%ymm11
  .byte  196,226,125,24,13,207,159,2,0       // vbroadcastss  0x29fcf(%rip),%ymm1        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,21,197,159,2,0        // vbroadcastss  0x29fc5(%rip),%ymm10        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,98,125,24,21,184,159,2,0        // vbroadcastss  0x29fb8(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,195,117,74,201,128              // vblendvps     %ymm8,%ymm9,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,5,207,158,2,0         // vbroadcastss  0x29ecf(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_hsw
.globl _sk_parametric_b_hsw
FUNCTION(_sk_parametric_b_hsw)
_sk_parametric_b_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,108,194,192,2                // vcmpleps      %ymm8,%ymm2,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,109,168,202                  // vfmadd213ps   %ymm10,%ymm2,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,109,168,211                  // vfmadd213ps   %ymm11,%ymm2,%ymm10
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,23,159,2,0         // vbroadcastss  0x29f17(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,98,125,24,45,18,159,2,0         // vbroadcastss  0x29f12(%rip),%ymm13        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,104,158,2,0        // vbroadcastss  0x29e68(%rip),%ymm13        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,250,158,2,0        // vbroadcastss  0x29efa(%rip),%ymm13        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,240,158,2,0        // vbroadcastss  0x29ef0(%rip),%ymm11        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,230,158,2,0        // vbroadcastss  0x29ee6(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,220,158,2,0        // vbroadcastss  0x29edc(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  196,99,125,8,210,1                  // vroundps      $0x1,%ymm2,%ymm10
  .byte  196,65,108,92,210                   // vsubps        %ymm10,%ymm2,%ymm10
  .byte  196,98,125,24,29,189,158,2,0        // vbroadcastss  0x29ebd(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,179,158,2,0        // vbroadcastss  0x29eb3(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,98,45,172,218                   // vfnmadd213ps  %ymm2,%ymm10,%ymm11
  .byte  196,226,125,24,21,169,158,2,0       // vbroadcastss  0x29ea9(%rip),%ymm2        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,193,108,92,210                  // vsubps        %ymm10,%ymm2,%ymm2
  .byte  196,98,125,24,21,159,158,2,0        // vbroadcastss  0x29e9f(%rip),%ymm10        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  197,172,94,210                      // vdivps        %ymm2,%ymm10,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,98,125,24,21,146,158,2,0        // vbroadcastss  0x29e92(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,195,109,74,209,128              // vblendvps     %ymm8,%ymm9,%ymm2,%ymm2
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,169,157,2,0         // vbroadcastss  0x29da9(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_hsw
.globl _sk_parametric_a_hsw
FUNCTION(_sk_parametric_a_hsw)
_sk_parametric_a_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,100,194,192,2                // vcmpleps      %ymm8,%ymm3,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,101,168,202                  // vfmadd213ps   %ymm10,%ymm3,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,101,168,211                  // vfmadd213ps   %ymm11,%ymm3,%ymm10
  .byte  196,226,125,24,24                   // vbroadcastss  (%rax),%ymm3
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,241,157,2,0        // vbroadcastss  0x29df1(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,98,125,24,45,236,157,2,0        // vbroadcastss  0x29dec(%rip),%ymm13        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,66,157,2,0         // vbroadcastss  0x29d42(%rip),%ymm13        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,212,157,2,0        // vbroadcastss  0x29dd4(%rip),%ymm13        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,202,157,2,0        // vbroadcastss  0x29dca(%rip),%ymm11        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,192,157,2,0        // vbroadcastss  0x29dc0(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,182,157,2,0        // vbroadcastss  0x29db6(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  196,99,125,8,211,1                  // vroundps      $0x1,%ymm3,%ymm10
  .byte  196,65,100,92,210                   // vsubps        %ymm10,%ymm3,%ymm10
  .byte  196,98,125,24,29,151,157,2,0        // vbroadcastss  0x29d97(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,141,157,2,0        // vbroadcastss  0x29d8d(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,98,45,172,219                   // vfnmadd213ps  %ymm3,%ymm10,%ymm11
  .byte  196,226,125,24,29,131,157,2,0       // vbroadcastss  0x29d83(%rip),%ymm3        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,193,100,92,218                  // vsubps        %ymm10,%ymm3,%ymm3
  .byte  196,98,125,24,21,121,157,2,0        // vbroadcastss  0x29d79(%rip),%ymm10        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  197,172,94,219                      // vdivps        %ymm3,%ymm10,%ymm3
  .byte  197,164,88,219                      // vaddps        %ymm3,%ymm11,%ymm3
  .byte  196,98,125,24,21,108,157,2,0        // vbroadcastss  0x29d6c(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,195,101,74,217,128              // vblendvps     %ymm8,%ymm9,%ymm3,%ymm3
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  196,98,125,24,5,131,156,2,0         // vbroadcastss  0x29c83(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_hsw
.globl _sk_gamma_hsw
FUNCTION(_sk_gamma_hsw)
_sk_gamma_hsw:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,250                      // vmovaps       %ymm2,%ymm7
  .byte  197,252,40,241                      // vmovaps       %ymm1,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,91,208                      // vcvtdq2ps     %ymm0,%ymm10
  .byte  196,98,125,24,29,214,156,2,0        // vbroadcastss  0x29cd6(%rip),%ymm11        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,226,125,24,45,209,156,2,0       // vbroadcastss  0x29cd1(%rip),%ymm5        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  197,124,84,205                      // vandps        %ymm5,%ymm0,%ymm9
  .byte  196,226,125,24,37,40,156,2,0        // vbroadcastss  0x29c28(%rip),%ymm4        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,52,86,228                       // vorps         %ymm4,%ymm9,%ymm12
  .byte  196,98,125,24,45,187,156,2,0        // vbroadcastss  0x29cbb(%rip),%ymm13        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,66,37,168,213                   // vfmadd213ps   %ymm13,%ymm11,%ymm10
  .byte  196,98,125,24,13,177,156,2,0        // vbroadcastss  0x29cb1(%rip),%ymm9        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,66,29,188,209                   // vfnmadd231ps  %ymm9,%ymm12,%ymm10
  .byte  197,124,91,246                      // vcvtdq2ps     %ymm6,%ymm14
  .byte  196,66,37,168,245                   // vfmadd213ps   %ymm13,%ymm11,%ymm14
  .byte  197,124,91,255                      // vcvtdq2ps     %ymm7,%ymm15
  .byte  196,66,37,168,253                   // vfmadd213ps   %ymm13,%ymm11,%ymm15
  .byte  196,98,125,24,29,149,156,2,0        // vbroadcastss  0x29c95(%rip),%ymm11        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,65,28,88,227                    // vaddps        %ymm11,%ymm12,%ymm12
  .byte  196,98,125,24,45,139,156,2,0        // vbroadcastss  0x29c8b(%rip),%ymm13        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  196,65,20,94,228                    // vdivps        %ymm12,%ymm13,%ymm12
  .byte  196,65,44,92,212                    // vsubps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,32                    // vbroadcastss  (%rax),%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,67,125,8,194,1                  // vroundps      $0x1,%ymm10,%ymm8
  .byte  196,65,44,92,192                    // vsubps        %ymm8,%ymm10,%ymm8
  .byte  196,226,125,24,21,103,156,2,0       // vbroadcastss  0x29c67(%rip),%ymm2        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  197,44,88,210                       // vaddps        %ymm2,%ymm10,%ymm10
  .byte  196,226,125,24,29,94,156,2,0        // vbroadcastss  0x29c5e(%rip),%ymm3        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,98,61,188,211                   // vfnmadd231ps  %ymm3,%ymm8,%ymm10
  .byte  196,226,125,24,13,84,156,2,0        // vbroadcastss  0x29c54(%rip),%ymm1        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,65,116,92,192                   // vsubps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,5,74,156,2,0         // vbroadcastss  0x29c4a(%rip),%ymm0        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  196,65,124,94,192                   // vdivps        %ymm8,%ymm0,%ymm8
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  197,204,84,245                      // vandps        %ymm5,%ymm6,%ymm6
  .byte  197,204,86,244                      // vorps         %ymm4,%ymm6,%ymm6
  .byte  196,66,77,188,241                   // vfnmadd231ps  %ymm9,%ymm6,%ymm14
  .byte  196,193,76,88,243                   // vaddps        %ymm11,%ymm6,%ymm6
  .byte  197,148,94,246                      // vdivps        %ymm6,%ymm13,%ymm6
  .byte  197,140,92,246                      // vsubps        %ymm6,%ymm14,%ymm6
  .byte  196,193,76,89,244                   // vmulps        %ymm12,%ymm6,%ymm6
  .byte  196,99,125,8,214,1                  // vroundps      $0x1,%ymm6,%ymm10
  .byte  196,65,76,92,210                    // vsubps        %ymm10,%ymm6,%ymm10
  .byte  197,204,88,242                      // vaddps        %ymm2,%ymm6,%ymm6
  .byte  196,226,45,188,243                  // vfnmadd231ps  %ymm3,%ymm10,%ymm6
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,65,124,94,210                   // vdivps        %ymm10,%ymm0,%ymm10
  .byte  196,193,76,88,242                   // vaddps        %ymm10,%ymm6,%ymm6
  .byte  197,196,84,237                      // vandps        %ymm5,%ymm7,%ymm5
  .byte  197,212,86,228                      // vorps         %ymm4,%ymm5,%ymm4
  .byte  196,66,93,188,249                   // vfnmadd231ps  %ymm9,%ymm4,%ymm15
  .byte  196,193,92,88,227                   // vaddps        %ymm11,%ymm4,%ymm4
  .byte  197,148,94,228                      // vdivps        %ymm4,%ymm13,%ymm4
  .byte  197,132,92,228                      // vsubps        %ymm4,%ymm15,%ymm4
  .byte  196,193,92,89,228                   // vmulps        %ymm12,%ymm4,%ymm4
  .byte  196,227,125,8,236,1                 // vroundps      $0x1,%ymm4,%ymm5
  .byte  197,220,92,237                      // vsubps        %ymm5,%ymm4,%ymm5
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,226,85,188,211                  // vfnmadd231ps  %ymm3,%ymm5,%ymm2
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  196,226,125,24,13,187,155,2,0       // vbroadcastss  0x29bbb(%rip),%ymm1        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  197,188,89,209                      // vmulps        %ymm1,%ymm8,%ymm2
  .byte  197,204,89,217                      // vmulps        %ymm1,%ymm6,%ymm3
  .byte  197,252,89,225                      // vmulps        %ymm1,%ymm0,%ymm4
  .byte  197,253,91,194                      // vcvtps2dq     %ymm2,%ymm0
  .byte  197,253,91,203                      // vcvtps2dq     %ymm3,%ymm1
  .byte  197,253,91,212                      // vcvtps2dq     %ymm4,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_hsw
.globl _sk_lab_to_xyz_hsw
FUNCTION(_sk_lab_to_xyz_hsw)
_sk_lab_to_xyz_hsw:
  .byte  196,98,125,24,5,121,155,2,0         // vbroadcastss  0x29b79(%rip),%ymm8        # 2cb8c <_sk_overlay_sse2_8bit+0xdc8>
  .byte  196,98,125,24,13,220,154,2,0        // vbroadcastss  0x29adc(%rip),%ymm9        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,98,125,24,21,107,155,2,0        // vbroadcastss  0x29b6b(%rip),%ymm10        # 2cb90 <_sk_overlay_sse2_8bit+0xdcc>
  .byte  196,194,53,168,202                  // vfmadd213ps   %ymm10,%ymm9,%ymm1
  .byte  196,194,53,168,210                  // vfmadd213ps   %ymm10,%ymm9,%ymm2
  .byte  196,98,125,24,13,92,155,2,0         // vbroadcastss  0x29b5c(%rip),%ymm9        # 2cb94 <_sk_overlay_sse2_8bit+0xdd0>
  .byte  196,66,125,184,200                  // vfmadd231ps   %ymm8,%ymm0,%ymm9
  .byte  196,226,125,24,5,82,155,2,0         // vbroadcastss  0x29b52(%rip),%ymm0        # 2cb98 <_sk_overlay_sse2_8bit+0xdd4>
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,98,125,24,5,73,155,2,0          // vbroadcastss  0x29b49(%rip),%ymm8        # 2cb9c <_sk_overlay_sse2_8bit+0xdd8>
  .byte  196,98,117,168,192                  // vfmadd213ps   %ymm0,%ymm1,%ymm8
  .byte  196,98,125,24,13,63,155,2,0         // vbroadcastss  0x29b3f(%rip),%ymm9        # 2cba0 <_sk_overlay_sse2_8bit+0xddc>
  .byte  196,98,109,172,200                  // vfnmadd213ps  %ymm0,%ymm2,%ymm9
  .byte  196,193,60,89,200                   // vmulps        %ymm8,%ymm8,%ymm1
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,226,125,24,21,44,155,2,0        // vbroadcastss  0x29b2c(%rip),%ymm2        # 2cba4 <_sk_overlay_sse2_8bit+0xde0>
  .byte  197,108,194,209,1                   // vcmpltps      %ymm1,%ymm2,%ymm10
  .byte  196,98,125,24,29,34,155,2,0         // vbroadcastss  0x29b22(%rip),%ymm11        # 2cba8 <_sk_overlay_sse2_8bit+0xde4>
  .byte  196,65,60,88,195                    // vaddps        %ymm11,%ymm8,%ymm8
  .byte  196,98,125,24,37,24,155,2,0         // vbroadcastss  0x29b18(%rip),%ymm12        # 2cbac <_sk_overlay_sse2_8bit+0xde8>
  .byte  196,65,60,89,196                    // vmulps        %ymm12,%ymm8,%ymm8
  .byte  196,99,61,74,193,160                // vblendvps     %ymm10,%ymm1,%ymm8,%ymm8
  .byte  197,252,89,200                      // vmulps        %ymm0,%ymm0,%ymm1
  .byte  197,252,89,201                      // vmulps        %ymm1,%ymm0,%ymm1
  .byte  197,108,194,209,1                   // vcmpltps      %ymm1,%ymm2,%ymm10
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,193,124,89,196                  // vmulps        %ymm12,%ymm0,%ymm0
  .byte  196,227,125,74,201,160              // vblendvps     %ymm10,%ymm1,%ymm0,%ymm1
  .byte  196,193,52,89,193                   // vmulps        %ymm9,%ymm9,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,236,194,208,1                   // vcmpltps      %ymm0,%ymm2,%ymm2
  .byte  196,65,52,88,203                    // vaddps        %ymm11,%ymm9,%ymm9
  .byte  196,65,52,89,204                    // vmulps        %ymm12,%ymm9,%ymm9
  .byte  196,227,53,74,208,32                // vblendvps     %ymm2,%ymm0,%ymm9,%ymm2
  .byte  196,226,125,24,5,205,154,2,0        // vbroadcastss  0x29acd(%rip),%ymm0        # 2cbb0 <_sk_overlay_sse2_8bit+0xdec>
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,196,154,2,0         // vbroadcastss  0x29ac4(%rip),%ymm8        # 2cbb4 <_sk_overlay_sse2_8bit+0xdf0>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_hsw
.globl _sk_load_a8_hsw
FUNCTION(_sk_load_a8_hsw)
_sk_load_a8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           3145 <_sk_load_a8_hsw+0x4c>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,81,155,2,0            // vpand         0x29b51(%rip),%xmm0,%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,15,154,2,0        // vbroadcastss  0x29a0f(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,190                             // ja            3117 <_sk_load_a8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 31dc <_sk_load_a8_hsw+0xe3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,159                             // jmp           3117 <_sk_load_a8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,119,255,255,255                 // jmpq          3117 <_sk_load_a8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,60,255,255,255                  // jmpq          3117 <_sk_load_a8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0031ec <_sk_overlay_sse2_8bit+0xffffffffdefd7428>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_hsw
.globl _sk_load_a8_dst_hsw
FUNCTION(_sk_load_a8_dst_hsw)
_sk_load_a8_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           3244 <_sk_load_a8_dst_hsw+0x4c>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,82,154,2,0           // vpand         0x29a52(%rip),%xmm4,%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,226,125,51,228                  // vpmovzxwd     %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,16,153,2,0        // vbroadcastss  0x29910(%rip),%ymm5        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,220,89,253                      // vmulps        %ymm5,%ymm4,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,190                             // ja            3216 <_sk_load_a8_dst_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,121,0,0,0                 // lea           0x79(%rip),%r10        # 32dc <_sk_load_a8_dst_hsw+0xe4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,159                             // jmp           3216 <_sk_load_a8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,119,255,255,255                 // jmpq          3216 <_sk_load_a8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,60,255,255,255                  // jmpq          3216 <_sk_load_a8_dst_hsw+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  144                                 // nop
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,155             // ljmp          *-0x64000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde0032ec <_sk_overlay_sse2_8bit+0xffffffffddfd7528>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_a8_hsw
.globl _sk_gather_a8_hsw
FUNCTION(_sk_gather_a8_hsw)
_sk_gather_a8_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,131,121,32,4,24,0               // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,4,16,1               // vpinsrb       $0x1,(%r8,%r10,1),%xmm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,121,32,192,3                // vpinsrb       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,32                      // movzbl        (%r8,%r12,1),%eax
  .byte  196,227,121,32,192,4                // vpinsrb       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,56                      // movzbl        (%r8,%r15,1),%eax
  .byte  196,227,121,32,192,5                // vpinsrb       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,48                      // movzbl        (%r8,%r14,1),%eax
  .byte  196,227,121,32,192,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,182,4,24                      // movzbl        (%r8,%rbx,1),%eax
  .byte  196,227,121,32,192,7                // vpinsrb       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,139,151,2,0       // vbroadcastss  0x2978b(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_hsw
.globl _sk_store_a8_hsw
FUNCTION(_sk_store_a8_hsw)
_sk_store_a8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,12,151,2,0          // vbroadcastss  0x2970c(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  196,65,57,103,192                   // vpackuswb     %xmm8,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           3415 <_sk_store_a8_hsw+0x45>
  .byte  196,1,123,17,4,24                   // vmovsd        %xmm8,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            3411 <_sk_store_a8_hsw+0x41>
  .byte  196,66,121,48,192                   // vpmovzxbw     %xmm8,%xmm8
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,87,0,0,0                  // lea           0x57(%rip),%r10        # 348c <_sk_store_a8_hsw+0xbc>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,20,4,24,0                 // vpextrb       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,202                             // jmp           3411 <_sk_store_a8_hsw+0x41>
  .byte  196,3,121,20,68,24,2,4              // vpextrb       $0x4,%xmm8,0x2(%r8,%r11,1)
  .byte  196,98,57,0,5,40,152,2,0            // vpshufb       0x29828(%rip),%xmm8,%xmm8        # 2cc80 <_sk_overlay_sse2_8bit+0xebc>
  .byte  196,3,121,21,4,24,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,176                             // jmp           3411 <_sk_store_a8_hsw+0x41>
  .byte  196,3,121,20,68,24,6,12             // vpextrb       $0xc,%xmm8,0x6(%r8,%r11,1)
  .byte  196,3,121,20,68,24,5,10             // vpextrb       $0xa,%xmm8,0x5(%r8,%r11,1)
  .byte  196,3,121,20,68,24,4,8              // vpextrb       $0x8,%xmm8,0x4(%r8,%r11,1)
  .byte  196,98,57,0,5,14,152,2,0            // vpshufb       0x2980e(%rip),%xmm8,%xmm8        # 2cc90 <_sk_overlay_sse2_8bit+0xecc>
  .byte  196,1,121,126,4,24                  // vmovd         %xmm8,(%r8,%r11,1)
  .byte  235,135                             // jmp           3411 <_sk_store_a8_hsw+0x41>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  178,255                             // mov           $0xff,%dl
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,237                 // mov           $0xedffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_hsw
.globl _sk_load_g8_hsw
FUNCTION(_sk_load_g8_hsw)
_sk_load_g8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,57                              // jne           34f9 <_sk_load_g8_hsw+0x51>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,162,151,2,0           // vpand         0x297a2(%rip),%xmm0,%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,96,150,2,0        // vbroadcastss  0x29660(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,221,149,2,0       // vbroadcastss  0x295dd(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,185                             // ja            34c6 <_sk_load_g8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 3590 <_sk_load_g8_hsw+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,154                             // jmp           34c6 <_sk_load_g8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,114,255,255,255                 // jmpq          34c6 <_sk_load_g8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,55,255,255,255                  // jmpq          34c6 <_sk_load_g8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0035a0 <_sk_overlay_sse2_8bit+0xffffffffdefd77dc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_hsw
.globl _sk_load_g8_dst_hsw
FUNCTION(_sk_load_g8_dst_hsw)
_sk_load_g8_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,57                              // jne           35fd <_sk_load_g8_dst_hsw+0x51>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,158,150,2,0          // vpand         0x2969e(%rip),%xmm4,%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,226,125,51,228                  // vpmovzxwd     %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,92,149,2,0        // vbroadcastss  0x2955c(%rip),%ymm5        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,217,148,2,0       // vbroadcastss  0x294d9(%rip),%ymm7        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,236                      // vmovaps       %ymm4,%ymm5
  .byte  197,252,40,244                      // vmovaps       %ymm4,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,185                             // ja            35ca <_sk_load_g8_dst_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 3694 <_sk_load_g8_dst_hsw+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,154                             // jmp           35ca <_sk_load_g8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,114,255,255,255                 // jmpq          35ca <_sk_load_g8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,55,255,255,255                  // jmpq          35ca <_sk_load_g8_dst_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0036a4 <_sk_overlay_sse2_8bit+0xffffffffdefd78e0>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_g8_hsw
.globl _sk_gather_g8_hsw
FUNCTION(_sk_gather_g8_hsw)
_sk_gather_g8_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,131,121,32,4,24,0               // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,4,16,1               // vpinsrb       $0x1,(%r8,%r10,1),%xmm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,121,32,192,3                // vpinsrb       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,32                      // movzbl        (%r8,%r12,1),%eax
  .byte  196,227,121,32,192,4                // vpinsrb       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,56                      // movzbl        (%r8,%r15,1),%eax
  .byte  196,227,121,32,192,5                // vpinsrb       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,48                      // movzbl        (%r8,%r14,1),%eax
  .byte  196,227,121,32,192,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,182,4,24                      // movzbl        (%r8,%rbx,1),%eax
  .byte  196,227,121,32,192,7                // vpinsrb       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,211,147,2,0       // vbroadcastss  0x293d3(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,80,147,2,0        // vbroadcastss  0x29350(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_hsw
.globl _sk_load_565_hsw
FUNCTION(_sk_load_565_hsw)
_sk_load_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,114                             // jne           381a <_sk_load_565_hsw+0x8d>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  196,226,125,51,208                  // vpmovzxwd     %xmm0,%ymm2
  .byte  196,226,125,88,5,136,147,2,0        // vpbroadcastd  0x29388(%rip),%ymm0        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,237,219,192                     // vpand         %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,123,147,2,0       // vbroadcastss  0x2937b(%rip),%ymm1        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,114,147,2,0       // vpbroadcastd  0x29372(%rip),%ymm1        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,237,219,201                     // vpand         %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,101,147,2,0       // vbroadcastss  0x29365(%rip),%ymm3        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,88,29,92,147,2,0        // vpbroadcastd  0x2935c(%rip),%ymm3        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,237,219,211                     // vpand         %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,79,147,2,0        // vbroadcastss  0x2934f(%rip),%ymm3        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,180,146,2,0       // vbroadcastss  0x292b4(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,128                             // ja            37ae <_sk_load_565_hsw+0x21>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,99,0,0,0                  // lea           0x63(%rip),%r10        # 389c <_sk_load_565_hsw+0x10f>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,94,255,255,255                  // jmpq          37ae <_sk_load_565_hsw+0x21>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,65,255,255,255                  // jmpq          37ae <_sk_load_565_hsw+0x21>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,20,255,255,255                  // jmpq          37ae <_sk_load_565_hsw+0x21>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,180,255,255,255,237,255         // pushq         -0x120001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_hsw
.globl _sk_load_565_dst_hsw
FUNCTION(_sk_load_565_dst_hsw)
_sk_load_565_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,114                             // jne           3945 <_sk_load_565_dst_hsw+0x8d>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  196,226,125,51,244                  // vpmovzxwd     %xmm4,%ymm6
  .byte  196,226,125,88,37,93,146,2,0        // vpbroadcastd  0x2925d(%rip),%ymm4        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,205,219,228                     // vpand         %ymm4,%ymm6,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,80,146,2,0        // vbroadcastss  0x29250(%rip),%ymm5        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,88,45,71,146,2,0        // vpbroadcastd  0x29247(%rip),%ymm5        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,205,219,237                     // vpand         %ymm5,%ymm6,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,61,58,146,2,0        // vbroadcastss  0x2923a(%rip),%ymm7        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  196,226,125,88,61,49,146,2,0        // vpbroadcastd  0x29231(%rip),%ymm7        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,205,219,247                     // vpand         %ymm7,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,226,125,24,61,36,146,2,0        // vbroadcastss  0x29224(%rip),%ymm7        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,137,145,2,0       // vbroadcastss  0x29189(%rip),%ymm7        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,128                             // ja            38d9 <_sk_load_565_dst_hsw+0x21>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 39c8 <_sk_load_565_dst_hsw+0x110>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,94,255,255,255                  // jmpq          38d9 <_sk_load_565_dst_hsw+0x21>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,65,255,255,255                  // jmpq          38d9 <_sk_load_565_dst_hsw+0x21>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,20,255,255,255                  // jmpq          38d9 <_sk_load_565_dst_hsw+0x21>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_565_hsw
.globl _sk_gather_565_hsw
FUNCTION(_sk_gather_565_hsw)
_sk_gather_565_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  71,15,183,20,80                     // movzwl        (%r8,%r10,2),%r10d
  .byte  71,15,183,28,88                     // movzwl        (%r8,%r11,2),%r11d
  .byte  196,193,121,110,195                 // vmovd         %r11d,%xmm0
  .byte  196,193,121,196,194,1               // vpinsrw       $0x1,%r10d,%xmm0,%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  196,193,121,196,193,2               // vpinsrw       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,3                   // vpinsrw       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,96                      // movzwl        (%r8,%r12,2),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,120                     // movzwl        (%r8,%r15,2),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,112                     // movzwl        (%r8,%r14,2),%eax
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,183,4,88                      // movzwl        (%r8,%rbx,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,51,208                  // vpmovzxwd     %xmm0,%ymm2
  .byte  196,226,125,88,5,165,144,2,0        // vpbroadcastd  0x290a5(%rip),%ymm0        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,237,219,192                     // vpand         %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,152,144,2,0       // vbroadcastss  0x29098(%rip),%ymm1        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,143,144,2,0       // vpbroadcastd  0x2908f(%rip),%ymm1        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,237,219,201                     // vpand         %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,130,144,2,0       // vbroadcastss  0x29082(%rip),%ymm3        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,88,29,121,144,2,0       // vpbroadcastd  0x29079(%rip),%ymm3        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,237,219,211                     // vpand         %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,108,144,2,0       // vbroadcastss  0x2906c(%rip),%ymm3        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,209,143,2,0       // vbroadcastss  0x28fd1(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_hsw
.globl _sk_store_565_hsw
FUNCTION(_sk_store_565_hsw)
_sk_store_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,149,144,2,0         // vbroadcastss  0x29095(%rip),%ymm8        # 2cbb8 <_sk_overlay_sse2_8bit+0xdf4>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,53,114,241,11               // vpslld        $0xb,%ymm9,%ymm9
  .byte  196,98,125,24,21,128,144,2,0        // vbroadcastss  0x29080(%rip),%ymm10        # 2cbbc <_sk_overlay_sse2_8bit+0xdf8>
  .byte  196,65,116,89,210                   // vmulps        %ymm10,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,5                // vpslld        $0x5,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           3b7a <_sk_store_565_hsw+0x76>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            3b76 <_sk_store_565_hsw+0x72>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # 3bd8 <_sk_store_565_hsw+0xd4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           3b76 <_sk_store_565_hsw+0x72>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           3b76 <_sk_store_565_hsw+0x72>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           3b76 <_sk_store_565_hsw+0x72>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_hsw
.globl _sk_load_4444_hsw
FUNCTION(_sk_load_4444_hsw)
_sk_load_4444_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,138,0,0,0                    // jne           3c9d <_sk_load_4444_hsw+0xa9>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  196,226,125,51,216                  // vpmovzxwd     %xmm0,%ymm3
  .byte  196,226,125,88,5,153,143,2,0        // vpbroadcastd  0x28f99(%rip),%ymm0        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,229,219,192                     // vpand         %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,140,143,2,0       // vbroadcastss  0x28f8c(%rip),%ymm1        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,131,143,2,0       // vpbroadcastd  0x28f83(%rip),%ymm1        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,229,219,201                     // vpand         %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,118,143,2,0       // vbroadcastss  0x28f76(%rip),%ymm2        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,21,109,143,2,0       // vpbroadcastd  0x28f6d(%rip),%ymm2        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,229,219,210                     // vpand         %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,96,143,2,0          // vbroadcastss  0x28f60(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,88,5,86,143,2,0          // vpbroadcastd  0x28f56(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,101,219,216                 // vpand         %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,72,143,2,0          // vbroadcastss  0x28f48(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,100,255,255,255              // ja            3c19 <_sk_load_4444_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 3d24 <_sk_load_4444_hsw+0x130>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,66,255,255,255                  // jmpq          3c19 <_sk_load_4444_hsw+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,37,255,255,255                  // jmpq          3c19 <_sk_load_4444_hsw+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,248,254,255,255                 // jmpq          3c19 <_sk_load_4444_hsw+0x25>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_dst_hsw
.globl _sk_load_4444_dst_hsw
FUNCTION(_sk_load_4444_dst_hsw)
_sk_load_4444_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,138,0,0,0                    // jne           3de9 <_sk_load_4444_dst_hsw+0xa9>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  196,226,125,51,252                  // vpmovzxwd     %xmm4,%ymm7
  .byte  196,226,125,88,37,77,142,2,0        // vpbroadcastd  0x28e4d(%rip),%ymm4        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,197,219,228                     // vpand         %ymm4,%ymm7,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,64,142,2,0        // vbroadcastss  0x28e40(%rip),%ymm5        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,88,45,55,142,2,0        // vpbroadcastd  0x28e37(%rip),%ymm5        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,197,219,237                     // vpand         %ymm5,%ymm7,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,53,42,142,2,0        // vbroadcastss  0x28e2a(%rip),%ymm6        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,212,89,238                      // vmulps        %ymm6,%ymm5,%ymm5
  .byte  196,226,125,88,53,33,142,2,0        // vpbroadcastd  0x28e21(%rip),%ymm6        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,197,219,246                     // vpand         %ymm6,%ymm7,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,98,125,24,5,20,142,2,0          // vbroadcastss  0x28e14(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,98,125,88,5,10,142,2,0          // vpbroadcastd  0x28e0a(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,69,219,248                  // vpand         %ymm8,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,252,141,2,0         // vbroadcastss  0x28dfc(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,100,255,255,255              // ja            3d65 <_sk_load_4444_dst_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 3e70 <_sk_load_4444_dst_hsw+0x130>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,66,255,255,255                  // jmpq          3d65 <_sk_load_4444_dst_hsw+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,37,255,255,255                  // jmpq          3d65 <_sk_load_4444_dst_hsw+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,248,254,255,255                 // jmpq          3d65 <_sk_load_4444_dst_hsw+0x25>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_4444_hsw
.globl _sk_gather_4444_hsw
FUNCTION(_sk_gather_4444_hsw)
_sk_gather_4444_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  71,15,183,20,80                     // movzwl        (%r8,%r10,2),%r10d
  .byte  71,15,183,28,88                     // movzwl        (%r8,%r11,2),%r11d
  .byte  196,193,121,110,195                 // vmovd         %r11d,%xmm0
  .byte  196,193,121,196,194,1               // vpinsrw       $0x1,%r10d,%xmm0,%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  196,193,121,196,193,2               // vpinsrw       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,3                   // vpinsrw       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,96                      // movzwl        (%r8,%r12,2),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,120                     // movzwl        (%r8,%r15,2),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,112                     // movzwl        (%r8,%r14,2),%eax
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,183,4,88                      // movzwl        (%r8,%rbx,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,51,216                  // vpmovzxwd     %xmm0,%ymm3
  .byte  196,226,125,88,5,121,140,2,0        // vpbroadcastd  0x28c79(%rip),%ymm0        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,229,219,192                     // vpand         %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,108,140,2,0       // vbroadcastss  0x28c6c(%rip),%ymm1        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,99,140,2,0        // vpbroadcastd  0x28c63(%rip),%ymm1        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,229,219,201                     // vpand         %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,86,140,2,0        // vbroadcastss  0x28c56(%rip),%ymm2        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,21,77,140,2,0        // vpbroadcastd  0x28c4d(%rip),%ymm2        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,229,219,210                     // vpand         %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,64,140,2,0          // vbroadcastss  0x28c40(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,88,5,54,140,2,0          // vpbroadcastd  0x28c36(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,101,219,216                 // vpand         %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,40,140,2,0          // vbroadcastss  0x28c28(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_hsw
.globl _sk_store_4444_hsw
FUNCTION(_sk_store_4444_hsw)
_sk_store_4444_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,253,139,2,0         // vbroadcastss  0x28bfd(%rip),%ymm8        # 2cbe0 <_sk_overlay_sse2_8bit+0xe1c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,53,114,241,12               // vpslld        $0xc,%ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,4                // vpslld        $0x4,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           4046 <_sk_store_4444_hsw+0x82>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            4042 <_sk_store_4444_hsw+0x7e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # 40a4 <_sk_store_4444_hsw+0xe0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           4042 <_sk_store_4444_hsw+0x7e>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           4042 <_sk_store_4444_hsw+0x7e>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           4042 <_sk_store_4444_hsw+0x7e>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_hsw
.globl _sk_load_8888_hsw
FUNCTION(_sk_load_8888_hsw)
_sk_load_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4132 <_sk_load_8888_hsw+0x72>
  .byte  196,129,126,111,28,152              // vmovdqu       (%r8,%r11,4),%ymm3
  .byte  197,229,219,5,22,130,2,0            // vpand         0x28216(%rip),%ymm3,%ymm0        # 2c300 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,73,138,2,0          // vbroadcastss  0x28a49(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,101,0,13,27,130,2,0         // vpshufb       0x2821b(%rip),%ymm3,%ymm1        # 2c320 <_sk_overlay_sse2_8bit+0x55c>
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,101,0,21,41,130,2,0         // vpshufb       0x28229(%rip),%ymm3,%ymm2        # 2c340 <_sk_overlay_sse2_8bit+0x57c>
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            40e2 <_sk_load_8888_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 41d8 <_sk_load_8888_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,28,152              // vmovd         (%r8,%r11,4),%xmm3
  .byte  235,128                             // jmp           40e2 <_sk_load_8888_hsw+0x22>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,129,122,126,4,152               // vmovq         (%r8,%r11,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,89,255,255,255                  // jmpq          40e2 <_sk_load_8888_hsw+0x22>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,129,122,111,4,152               // vmovdqu       (%r8,%r11,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,10,255,255,255                  // jmpq          40e2 <_sk_load_8888_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_hsw
.globl _sk_load_8888_dst_hsw
FUNCTION(_sk_load_8888_dst_hsw)
_sk_load_8888_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4266 <_sk_load_8888_dst_hsw+0x72>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,66,129,2,0           // vpand         0x28142(%rip),%ymm7,%ymm4        # 2c360 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,21,137,2,0          // vbroadcastss  0x28915(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,226,69,0,45,71,129,2,0          // vpshufb       0x28147(%rip),%ymm7,%ymm5        # 2c380 <_sk_overlay_sse2_8bit+0x5bc>
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,84,89,232                   // vmulps        %ymm8,%ymm5,%ymm5
  .byte  196,226,69,0,53,85,129,2,0          // vpshufb       0x28155(%rip),%ymm7,%ymm6        # 2c3a0 <_sk_overlay_sse2_8bit+0x5dc>
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            4216 <_sk_load_8888_dst_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 430c <_sk_load_8888_dst_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  235,128                             // jmp           4216 <_sk_load_8888_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,89,255,255,255                  // jmpq          4216 <_sk_load_8888_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,10,255,255,255                  // jmpq          4216 <_sk_load_8888_dst_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_8888_hsw
.globl _sk_gather_8888_hsw
FUNCTION(_sk_gather_8888_hsw)
_sk_gather_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,194,117,144,28,128              // vpgatherdd    %ymm1,(%r8,%ymm0,4),%ymm3
  .byte  197,229,219,5,106,128,2,0           // vpand         0x2806a(%rip),%ymm3,%ymm0        # 2c3c0 <_sk_overlay_sse2_8bit+0x5fc>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,221,135,2,0         // vbroadcastss  0x287dd(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,101,0,13,111,128,2,0        // vpshufb       0x2806f(%rip),%ymm3,%ymm1        # 2c3e0 <_sk_overlay_sse2_8bit+0x61c>
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,101,0,21,125,128,2,0        // vpshufb       0x2807d(%rip),%ymm3,%ymm2        # 2c400 <_sk_overlay_sse2_8bit+0x63c>
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_hsw
.globl _sk_store_8888_hsw
FUNCTION(_sk_store_8888_hsw)
_sk_store_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,58,135,2,0          // vbroadcastss  0x2873a(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,16               // vpslld        $0x10,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,61,114,240,24               // vpslld        $0x18,%ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           4416 <_sk_store_8888_hsw+0x78>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            4412 <_sk_store_8888_hsw+0x74>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 4484 <_sk_store_8888_hsw+0xe6>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           4412 <_sk_store_8888_hsw+0x74>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           4412 <_sk_store_8888_hsw+0x74>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           4412 <_sk_store_8888_hsw+0x74>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_hsw
.globl _sk_load_bgra_hsw
FUNCTION(_sk_load_bgra_hsw)
_sk_load_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4512 <_sk_load_bgra_hsw+0x72>
  .byte  196,129,126,111,28,152              // vmovdqu       (%r8,%r11,4),%ymm3
  .byte  197,229,219,5,86,127,2,0            // vpand         0x27f56(%rip),%ymm3,%ymm0        # 2c420 <_sk_overlay_sse2_8bit+0x65c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,105,134,2,0         // vbroadcastss  0x28669(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,208                  // vmulps        %ymm8,%ymm0,%ymm2
  .byte  196,226,101,0,5,91,127,2,0          // vpshufb       0x27f5b(%rip),%ymm3,%ymm0        # 2c440 <_sk_overlay_sse2_8bit+0x67c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,226,101,0,5,105,127,2,0         // vpshufb       0x27f69(%rip),%ymm3,%ymm0        # 2c460 <_sk_overlay_sse2_8bit+0x69c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            44c2 <_sk_load_bgra_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 45b8 <_sk_load_bgra_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,28,152              // vmovd         (%r8,%r11,4),%xmm3
  .byte  235,128                             // jmp           44c2 <_sk_load_bgra_hsw+0x22>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,129,122,126,4,152               // vmovq         (%r8,%r11,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,89,255,255,255                  // jmpq          44c2 <_sk_load_bgra_hsw+0x22>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,129,122,111,4,152               // vmovdqu       (%r8,%r11,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,10,255,255,255                  // jmpq          44c2 <_sk_load_bgra_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_hsw
.globl _sk_load_bgra_dst_hsw
FUNCTION(_sk_load_bgra_dst_hsw)
_sk_load_bgra_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4646 <_sk_load_bgra_dst_hsw+0x72>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,130,126,2,0          // vpand         0x27e82(%rip),%ymm7,%ymm4        # 2c480 <_sk_overlay_sse2_8bit+0x6bc>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,53,133,2,0          // vbroadcastss  0x28535(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,92,89,240                   // vmulps        %ymm8,%ymm4,%ymm6
  .byte  196,226,69,0,37,135,126,2,0         // vpshufb       0x27e87(%rip),%ymm7,%ymm4        # 2c4a0 <_sk_overlay_sse2_8bit+0x6dc>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,232                   // vmulps        %ymm8,%ymm4,%ymm5
  .byte  196,226,69,0,37,149,126,2,0         // vpshufb       0x27e95(%rip),%ymm7,%ymm4        # 2c4c0 <_sk_overlay_sse2_8bit+0x6fc>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            45f6 <_sk_load_bgra_dst_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 46ec <_sk_load_bgra_dst_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  235,128                             // jmp           45f6 <_sk_load_bgra_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,89,255,255,255                  // jmpq          45f6 <_sk_load_bgra_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,10,255,255,255                  // jmpq          45f6 <_sk_load_bgra_dst_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_bgra_hsw
.globl _sk_gather_bgra_hsw
FUNCTION(_sk_gather_bgra_hsw)
_sk_gather_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,194,117,144,28,128              // vpgatherdd    %ymm1,(%r8,%ymm0,4),%ymm3
  .byte  197,229,219,5,170,125,2,0           // vpand         0x27daa(%rip),%ymm3,%ymm0        # 2c4e0 <_sk_overlay_sse2_8bit+0x71c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,253,131,2,0         // vbroadcastss  0x283fd(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,208                  // vmulps        %ymm8,%ymm0,%ymm2
  .byte  196,226,101,0,5,175,125,2,0         // vpshufb       0x27daf(%rip),%ymm3,%ymm0        # 2c500 <_sk_overlay_sse2_8bit+0x73c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,226,101,0,5,189,125,2,0         // vpshufb       0x27dbd(%rip),%ymm3,%ymm0        # 2c520 <_sk_overlay_sse2_8bit+0x75c>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_hsw
.globl _sk_store_bgra_hsw
FUNCTION(_sk_store_bgra_hsw)
_sk_store_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,90,131,2,0          // vbroadcastss  0x2835a(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,108,89,200                   // vmulps        %ymm8,%ymm2,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,16               // vpslld        $0x10,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,61,114,240,24               // vpslld        $0x18,%ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           47f6 <_sk_store_bgra_hsw+0x78>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            47f2 <_sk_store_bgra_hsw+0x74>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 4864 <_sk_store_bgra_hsw+0xe6>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           47f2 <_sk_store_bgra_hsw+0x74>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           47f2 <_sk_store_bgra_hsw+0x74>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           47f2 <_sk_store_bgra_hsw+0x74>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f16_hsw
.globl _sk_load_f16_hsw
FUNCTION(_sk_load_f16_hsw)
_sk_load_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,101                             // jne           4901 <_sk_load_f16_hsw+0x81>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,84,192,16            // vmovupd       0x10(%r8,%rax,8),%xmm2
  .byte  196,193,121,16,92,192,32            // vmovupd       0x20(%r8,%rax,8),%xmm3
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,241,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm3
  .byte  197,185,108,194                     // vpunpcklqdq   %xmm2,%xmm8,%xmm0
  .byte  196,226,125,19,192                  // vcvtph2ps     %xmm0,%ymm0
  .byte  197,185,109,202                     // vpunpckhqdq   %xmm2,%xmm8,%xmm1
  .byte  196,226,125,19,201                  // vcvtph2ps     %xmm1,%ymm1
  .byte  197,177,108,211                     // vpunpcklqdq   %xmm3,%xmm9,%xmm2
  .byte  196,226,125,19,210                  // vcvtph2ps     %xmm2,%ymm2
  .byte  197,177,109,219                     // vpunpckhqdq   %xmm3,%xmm9,%xmm3
  .byte  196,226,125,19,219                  // vcvtph2ps     %xmm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            4967 <_sk_load_f16_hsw+0xe7>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            4967 <_sk_load_f16_hsw+0xe7>
  .byte  196,193,123,16,84,192,16            // vmovsd        0x10(%r8,%rax,8),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4974 <_sk_load_f16_hsw+0xf4>
  .byte  196,193,105,22,84,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4974 <_sk_load_f16_hsw+0xf4>
  .byte  196,193,123,16,92,192,32            // vmovsd        0x20(%r8,%rax,8),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,109,255,255,255              // je            48b7 <_sk_load_f16_hsw+0x37>
  .byte  196,193,97,22,92,192,40             // vmovhpd       0x28(%r8,%rax,8),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,92,255,255,255               // jb            48b7 <_sk_load_f16_hsw+0x37>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,80,255,255,255                  // jmpq          48b7 <_sk_load_f16_hsw+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,67,255,255,255                  // jmpq          48b7 <_sk_load_f16_hsw+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,58,255,255,255                  // jmpq          48b7 <_sk_load_f16_hsw+0x37>

HIDDEN _sk_load_f16_dst_hsw
.globl _sk_load_f16_dst_hsw
FUNCTION(_sk_load_f16_dst_hsw)
_sk_load_f16_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,101                             // jne           49fe <_sk_load_f16_dst_hsw+0x81>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,116,192,16           // vmovupd       0x10(%r8,%rax,8),%xmm6
  .byte  196,193,121,16,124,192,32           // vmovupd       0x20(%r8,%rax,8),%xmm7
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,230                      // vpunpcklwd    %xmm6,%xmm8,%xmm4
  .byte  197,185,105,246                     // vpunpckhwd    %xmm6,%xmm8,%xmm6
  .byte  196,193,65,97,233                   // vpunpcklwd    %xmm9,%xmm7,%xmm5
  .byte  196,193,65,105,249                  // vpunpckhwd    %xmm9,%xmm7,%xmm7
  .byte  197,89,97,198                       // vpunpcklwd    %xmm6,%xmm4,%xmm8
  .byte  197,89,105,206                      // vpunpckhwd    %xmm6,%xmm4,%xmm9
  .byte  197,209,97,247                      // vpunpcklwd    %xmm7,%xmm5,%xmm6
  .byte  197,209,105,255                     // vpunpckhwd    %xmm7,%xmm5,%xmm7
  .byte  197,185,108,230                     // vpunpcklqdq   %xmm6,%xmm8,%xmm4
  .byte  196,226,125,19,228                  // vcvtph2ps     %xmm4,%ymm4
  .byte  197,185,109,238                     // vpunpckhqdq   %xmm6,%xmm8,%xmm5
  .byte  196,226,125,19,237                  // vcvtph2ps     %xmm5,%ymm5
  .byte  197,177,108,247                     // vpunpcklqdq   %xmm7,%xmm9,%xmm6
  .byte  196,226,125,19,246                  // vcvtph2ps     %xmm6,%ymm6
  .byte  197,177,109,255                     // vpunpckhqdq   %xmm7,%xmm9,%xmm7
  .byte  196,226,125,19,255                  // vcvtph2ps     %xmm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            4a64 <_sk_load_f16_dst_hsw+0xe7>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            4a64 <_sk_load_f16_dst_hsw+0xe7>
  .byte  196,193,123,16,116,192,16           // vmovsd        0x10(%r8,%rax,8),%xmm6
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4a71 <_sk_load_f16_dst_hsw+0xf4>
  .byte  196,193,73,22,116,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm6,%xmm6
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4a71 <_sk_load_f16_dst_hsw+0xf4>
  .byte  196,193,123,16,124,192,32           // vmovsd        0x20(%r8,%rax,8),%xmm7
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,109,255,255,255              // je            49b4 <_sk_load_f16_dst_hsw+0x37>
  .byte  196,193,65,22,124,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm7,%xmm7
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,92,255,255,255               // jb            49b4 <_sk_load_f16_dst_hsw+0x37>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,80,255,255,255                  // jmpq          49b4 <_sk_load_f16_dst_hsw+0x37>
  .byte  197,193,87,255                      // vxorpd        %xmm7,%xmm7,%xmm7
  .byte  197,201,87,246                      // vxorpd        %xmm6,%xmm6,%xmm6
  .byte  233,67,255,255,255                  // jmpq          49b4 <_sk_load_f16_dst_hsw+0x37>
  .byte  197,193,87,255                      // vxorpd        %xmm7,%xmm7,%xmm7
  .byte  233,58,255,255,255                  // jmpq          49b4 <_sk_load_f16_dst_hsw+0x37>

HIDDEN _sk_gather_f16_hsw
.globl _sk_gather_f16_hsw
FUNCTION(_sk_gather_f16_hsw)
_sk_gather_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,237,144,28,192              // vpgatherdq    %ymm2,(%r8,%xmm0,8),%ymm3
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,194,245,144,20,192              // vpgatherdq    %ymm1,(%r8,%xmm0,8),%ymm2
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,227,125,57,209,1                // vextracti128  $0x1,%ymm2,%xmm1
  .byte  197,97,97,192                       // vpunpcklwd    %xmm0,%xmm3,%xmm8
  .byte  197,225,105,192                     // vpunpckhwd    %xmm0,%xmm3,%xmm0
  .byte  197,233,97,217                      // vpunpcklwd    %xmm1,%xmm2,%xmm3
  .byte  197,233,105,201                     // vpunpckhwd    %xmm1,%xmm2,%xmm1
  .byte  197,57,97,200                       // vpunpcklwd    %xmm0,%xmm8,%xmm9
  .byte  197,57,105,192                      // vpunpckhwd    %xmm0,%xmm8,%xmm8
  .byte  197,225,97,209                      // vpunpcklwd    %xmm1,%xmm3,%xmm2
  .byte  197,225,105,217                     // vpunpckhwd    %xmm1,%xmm3,%xmm3
  .byte  197,177,108,194                     // vpunpcklqdq   %xmm2,%xmm9,%xmm0
  .byte  196,226,125,19,192                  // vcvtph2ps     %xmm0,%ymm0
  .byte  197,177,109,202                     // vpunpckhqdq   %xmm2,%xmm9,%xmm1
  .byte  196,226,125,19,201                  // vcvtph2ps     %xmm1,%ymm1
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  196,226,125,19,210                  // vcvtph2ps     %xmm2,%ymm2
  .byte  197,185,109,219                     // vpunpckhqdq   %xmm3,%xmm8,%xmm3
  .byte  196,226,125,19,219                  // vcvtph2ps     %xmm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_hsw
.globl _sk_store_f16_hsw
FUNCTION(_sk_store_f16_hsw)
_sk_store_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  196,195,125,29,192,4                // vcvtps2ph     $0x4,%ymm0,%xmm8
  .byte  196,195,125,29,201,4                // vcvtps2ph     $0x4,%ymm1,%xmm9
  .byte  196,195,125,29,210,4                // vcvtps2ph     $0x4,%ymm2,%xmm10
  .byte  196,195,125,29,219,4                // vcvtps2ph     $0x4,%ymm3,%xmm11
  .byte  196,65,57,97,225                    // vpunpcklwd    %xmm9,%xmm8,%xmm12
  .byte  196,65,57,105,193                   // vpunpckhwd    %xmm9,%xmm8,%xmm8
  .byte  196,65,41,97,203                    // vpunpcklwd    %xmm11,%xmm10,%xmm9
  .byte  196,65,41,105,235                   // vpunpckhwd    %xmm11,%xmm10,%xmm13
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,57,98,205                    // vpunpckldq    %xmm13,%xmm8,%xmm9
  .byte  196,65,57,106,197                   // vpunpckhdq    %xmm13,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           4b7f <_sk_store_f16_hsw+0x7b>
  .byte  196,65,120,17,28,192                // vmovups       %xmm11,(%r8,%rax,8)
  .byte  196,65,120,17,84,192,16             // vmovups       %xmm10,0x10(%r8,%rax,8)
  .byte  196,65,120,17,76,192,32             // vmovups       %xmm9,0x20(%r8,%rax,8)
  .byte  196,65,122,127,68,192,48            // vmovdqu       %xmm8,0x30(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,192               // vmovq         %xmm11,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,92,192,8              // vmovhpd       %xmm11,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,84,192,16            // vmovq         %xmm10,0x10(%r8,%rax,8)
  .byte  116,218                             // je            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,84,192,24             // vmovhpd       %xmm10,0x18(%r8,%rax,8)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,76,192,32            // vmovq         %xmm9,0x20(%r8,%rax,8)
  .byte  116,196                             // je            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,76,192,40             // vmovhpd       %xmm9,0x28(%r8,%rax,8)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            4b7b <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,68,192,48            // vmovq         %xmm8,0x30(%r8,%rax,8)
  .byte  235,174                             // jmp           4b7b <_sk_store_f16_hsw+0x77>

HIDDEN _sk_load_u16_be_hsw
.globl _sk_load_u16_be_hsw
FUNCTION(_sk_load_u16_be_hsw)
_sk_load_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,204,0,0,0                    // jne           4cc0 <_sk_load_u16_be_hsw+0xf3>
  .byte  196,65,121,16,4,64                  // vmovupd       (%r8,%rax,2),%xmm8
  .byte  196,193,121,16,84,64,16             // vmovupd       0x10(%r8,%rax,2),%xmm2
  .byte  196,193,121,16,92,64,32             // vmovupd       0x20(%r8,%rax,2),%xmm3
  .byte  196,65,122,111,76,64,48             // vmovdqu       0x30(%r8,%rax,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,113,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm11
  .byte  197,185,108,194                     // vpunpcklqdq   %xmm2,%xmm8,%xmm0
  .byte  197,241,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm1
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,241,235,192                     // vpor          %xmm0,%xmm1,%xmm0
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,21,7,127,2,0          // vbroadcastss  0x27f07(%rip),%ymm10        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,185,109,202                     // vpunpckhqdq   %xmm2,%xmm8,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,226,125,51,201                  // vpmovzxwd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  196,193,49,108,211                  // vpunpcklqdq   %xmm11,%xmm9,%xmm2
  .byte  197,225,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm3
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,225,235,210                     // vpor          %xmm2,%xmm3,%xmm2
  .byte  196,226,125,51,210                  // vpmovzxwd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  196,193,49,109,219                  // vpunpckhqdq   %xmm11,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,226,125,51,219                  // vpmovzxwd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,64                  // vmovsd        (%r8,%rax,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            4d26 <_sk_load_u16_be_hsw+0x159>
  .byte  196,65,57,22,68,64,8                // vmovhpd       0x8(%r8,%rax,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            4d26 <_sk_load_u16_be_hsw+0x159>
  .byte  196,193,123,16,84,64,16             // vmovsd        0x10(%r8,%rax,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4d33 <_sk_load_u16_be_hsw+0x166>
  .byte  196,193,105,22,84,64,24             // vmovhpd       0x18(%r8,%rax,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4d33 <_sk_load_u16_be_hsw+0x166>
  .byte  196,193,123,16,92,64,32             // vmovsd        0x20(%r8,%rax,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,6,255,255,255                // je            4c0f <_sk_load_u16_be_hsw+0x42>
  .byte  196,193,97,22,92,64,40              // vmovhpd       0x28(%r8,%rax,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,245,254,255,255              // jb            4c0f <_sk_load_u16_be_hsw+0x42>
  .byte  196,65,122,126,76,64,48             // vmovq         0x30(%r8,%rax,2),%xmm9
  .byte  233,233,254,255,255                 // jmpq          4c0f <_sk_load_u16_be_hsw+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,220,254,255,255                 // jmpq          4c0f <_sk_load_u16_be_hsw+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,211,254,255,255                 // jmpq          4c0f <_sk_load_u16_be_hsw+0x42>

HIDDEN _sk_load_rgb_u16_be_hsw
.globl _sk_load_rgb_u16_be_hsw
FUNCTION(_sk_load_rgb_u16_be_hsw)
_sk_load_rgb_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,203,0,0,0                    // jne           4e32 <_sk_load_rgb_u16_be_hsw+0xf6>
  .byte  196,65,122,111,28,64                // vmovdqu       (%r8,%rax,2),%xmm11
  .byte  196,193,122,111,92,64,12            // vmovdqu       0xc(%r8,%rax,2),%xmm3
  .byte  196,193,122,111,84,64,24            // vmovdqu       0x18(%r8,%rax,2),%xmm2
  .byte  196,193,122,111,68,64,32            // vmovdqu       0x20(%r8,%rax,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,249,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm1
  .byte  197,121,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm10
  .byte  197,185,108,193                     // vpunpcklqdq   %xmm1,%xmm8,%xmm0
  .byte  197,225,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm3
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,225,235,192                     // vpor          %xmm0,%xmm3,%xmm0
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,29,122,125,2,0       // vbroadcastss  0x27d7a(%rip),%ymm3        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,185,109,201                     // vpunpckhqdq   %xmm1,%xmm8,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,226,125,51,201                  // vpmovzxwd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,193,49,108,210                  // vpunpcklqdq   %xmm10,%xmm9,%xmm2
  .byte  197,185,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm8
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,185,235,210                     // vpor          %xmm2,%xmm8,%xmm2
  .byte  196,226,125,51,210                  // vpmovzxwd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,156,124,2,0       // vbroadcastss  0x27c9c(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,193,121,110,4,64                // vmovd         (%r8,%rax,2),%xmm0
  .byte  196,65,121,196,92,64,4,2            // vpinsrw       $0x2,0x4(%r8,%rax,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           4e6b <_sk_load_rgb_u16_be_hsw+0x12f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,49,255,255,255                  // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,6             // vmovd         0x6(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,68,64,10,2           // vpinsrw       $0x2,0xa(%r8,%rax,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            4eb6 <_sk_load_rgb_u16_be_hsw+0x17a>
  .byte  196,193,121,110,68,64,12            // vmovd         0xc(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,92,64,16,2          // vpinsrw       $0x2,0x10(%r8,%rax,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           4ed1 <_sk_load_rgb_u16_be_hsw+0x195>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,230,254,255,255                 // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,203,254,255,255                 // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,18            // vmovd         0x12(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,84,64,22,2           // vpinsrw       $0x2,0x16(%r8,%rax,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            4f13 <_sk_load_rgb_u16_be_hsw+0x1d7>
  .byte  196,193,121,110,68,64,24            // vmovd         0x18(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,84,64,28,2          // vpinsrw       $0x2,0x1c(%r8,%rax,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           4f25 <_sk_load_rgb_u16_be_hsw+0x1e9>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,137,254,255,255                 // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,119,254,255,255                 // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,30            // vmovd         0x1e(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,100,64,34,2          // vpinsrw       $0x2,0x22(%r8,%rax,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            4f58 <_sk_load_rgb_u16_be_hsw+0x21c>
  .byte  196,193,121,110,68,64,36            // vmovd         0x24(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,68,64,40,2          // vpinsrw       $0x2,0x28(%r8,%rax,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,68,254,255,255                  // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,59,254,255,255                  // jmpq          4d9c <_sk_load_rgb_u16_be_hsw+0x60>

HIDDEN _sk_store_u16_be_hsw
.globl _sk_store_u16_be_hsw
FUNCTION(_sk_store_u16_be_hsw)
_sk_store_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  196,98,125,24,5,92,124,2,0          // vbroadcastss  0x27c5c(%rip),%ymm8        # 2cbe4 <_sk_overlay_sse2_8bit+0xe20>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,67,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm10
  .byte  196,66,49,43,202                    // vpackusdw     %xmm10,%xmm9,%xmm9
  .byte  196,193,41,113,241,8                // vpsllw        $0x8,%xmm9,%xmm10
  .byte  196,193,49,113,209,8                // vpsrlw        $0x8,%xmm9,%xmm9
  .byte  196,65,41,235,201                   // vpor          %xmm9,%xmm10,%xmm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,67,125,25,211,1                 // vextractf128  $0x1,%ymm10,%xmm11
  .byte  196,66,41,43,211                    // vpackusdw     %xmm11,%xmm10,%xmm10
  .byte  196,193,33,113,242,8                // vpsllw        $0x8,%xmm10,%xmm11
  .byte  196,193,41,113,210,8                // vpsrlw        $0x8,%xmm10,%xmm10
  .byte  196,65,33,235,210                   // vpor          %xmm10,%xmm11,%xmm10
  .byte  196,65,108,89,216                   // vmulps        %ymm8,%ymm2,%ymm11
  .byte  196,65,125,91,219                   // vcvtps2dq     %ymm11,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,66,33,43,220                    // vpackusdw     %xmm12,%xmm11,%xmm11
  .byte  196,193,25,113,243,8                // vpsllw        $0x8,%xmm11,%xmm12
  .byte  196,193,33,113,211,8                // vpsrlw        $0x8,%xmm11,%xmm11
  .byte  196,65,25,235,219                   // vpor          %xmm11,%xmm12,%xmm11
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm12
  .byte  196,66,57,43,196                    // vpackusdw     %xmm12,%xmm8,%xmm8
  .byte  196,193,25,113,240,8                // vpsllw        $0x8,%xmm8,%xmm12
  .byte  196,193,57,113,208,8                // vpsrlw        $0x8,%xmm8,%xmm8
  .byte  196,65,25,235,192                   // vpor          %xmm8,%xmm12,%xmm8
  .byte  196,65,49,97,226                    // vpunpcklwd    %xmm10,%xmm9,%xmm12
  .byte  196,65,49,105,234                   // vpunpckhwd    %xmm10,%xmm9,%xmm13
  .byte  196,65,33,97,200                    // vpunpcklwd    %xmm8,%xmm11,%xmm9
  .byte  196,65,33,105,192                   // vpunpckhwd    %xmm8,%xmm11,%xmm8
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,17,98,200                    // vpunpckldq    %xmm8,%xmm13,%xmm9
  .byte  196,65,17,106,192                   // vpunpckhdq    %xmm8,%xmm13,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           506c <_sk_store_u16_be_hsw+0x10b>
  .byte  196,65,120,17,28,64                 // vmovups       %xmm11,(%r8,%rax,2)
  .byte  196,65,120,17,84,64,16              // vmovups       %xmm10,0x10(%r8,%rax,2)
  .byte  196,65,120,17,76,64,32              // vmovups       %xmm9,0x20(%r8,%rax,2)
  .byte  196,65,122,127,68,64,48             // vmovdqu       %xmm8,0x30(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,64                // vmovq         %xmm11,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,92,64,8               // vmovhpd       %xmm11,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,84,64,16             // vmovq         %xmm10,0x10(%r8,%rax,2)
  .byte  116,218                             // je            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,84,64,24              // vmovhpd       %xmm10,0x18(%r8,%rax,2)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,76,64,32             // vmovq         %xmm9,0x20(%r8,%rax,2)
  .byte  116,196                             // je            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,76,64,40              // vmovhpd       %xmm9,0x28(%r8,%rax,2)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            5068 <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,68,64,48             // vmovq         %xmm8,0x30(%r8,%rax,2)
  .byte  235,174                             // jmp           5068 <_sk_store_u16_be_hsw+0x107>

HIDDEN _sk_load_f32_hsw
.globl _sk_load_f32_hsw
FUNCTION(_sk_load_f32_hsw)
_sk_load_f32_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            522b <_sk_load_f32_hsw+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,100,36,128               // vmovupd       %ymm4,-0x80(%rsp)
  .byte  197,253,17,108,36,160               // vmovupd       %ymm5,-0x60(%rsp)
  .byte  197,253,17,116,36,192               // vmovupd       %ymm6,-0x40(%rsp)
  .byte  197,253,17,124,36,224               // vmovupd       %ymm7,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,50,1,0,0                  // lea           0x132(%rip),%r10        # 523c <_sk_load_f32_hsw+0x182>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,225,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm4
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,209,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm2
  .byte  197,125,40,204                      // vmovapd       %ymm4,%ymm9
  .byte  196,129,121,16,76,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm1
  .byte  196,99,125,6,193,40                 // vperm2f128    $0x28,%ymm1,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,226                      // vmovapd       %ymm2,%ymm12
  .byte  196,129,121,16,76,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm1
  .byte  196,227,117,13,192,12               // vblendpd      $0xc,%ymm0,%ymm1,%ymm0
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,230                      // vmovapd       %ymm12,%ymm6
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,76,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm1
  .byte  196,195,117,13,206,12               // vblendpd      $0xc,%ymm14,%ymm1,%ymm1
  .byte  197,125,40,238                      // vmovapd       %ymm6,%ymm13
  .byte  197,125,41,253                      // vmovapd       %ymm15,%ymm5
  .byte  196,129,121,16,84,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm2
  .byte  196,67,109,13,213,12                // vblendpd      $0xc,%ymm13,%ymm2,%ymm10
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  196,129,121,16,12,136               // vmovupd       (%r8,%r9,4),%xmm1
  .byte  196,227,117,13,207,12               // vblendpd      $0xc,%ymm7,%ymm1,%ymm1
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,116,20,210                  // vunpcklps     %ymm10,%ymm1,%ymm2
  .byte  196,65,116,21,194                   // vunpckhps     %ymm10,%ymm1,%ymm8
  .byte  197,228,20,200                      // vunpcklps     %ymm0,%ymm3,%ymm1
  .byte  197,228,21,216                      // vunpckhps     %ymm0,%ymm3,%ymm3
  .byte  197,237,20,193                      // vunpcklpd     %ymm1,%ymm2,%ymm0
  .byte  197,237,21,201                      // vunpckhpd     %ymm1,%ymm2,%ymm1
  .byte  197,189,20,211                      // vunpcklpd     %ymm3,%ymm8,%ymm2
  .byte  197,189,21,219                      // vunpckhpd     %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  235,203                             // jmp           5205 <_sk_load_f32_hsw+0x14b>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  27,255                              // sbb           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,161,255,255,255,140             // jmpq          *-0x73000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,70,255                          // incl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,53,255,255,255,40               // pushq         0x28ffffff(%rip)        # 29005258 <_sk_overlay_sse2_8bit+0x28fd9494>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f32_dst_hsw
.globl _sk_load_f32_dst_hsw
FUNCTION(_sk_load_f32_dst_hsw)
_sk_load_f32_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            53cd <_sk_load_f32_dst_hsw+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,68,36,128                // vmovupd       %ymm0,-0x80(%rsp)
  .byte  197,253,17,76,36,160                // vmovupd       %ymm1,-0x60(%rsp)
  .byte  197,253,17,84,36,192                // vmovupd       %ymm2,-0x40(%rsp)
  .byte  197,253,17,92,36,224                // vmovupd       %ymm3,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,48,1,0,0                  // lea           0x130(%rip),%r10        # 53dc <_sk_load_f32_dst_hsw+0x180>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,224,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm4
  .byte  196,129,121,16,68,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,241,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm6
  .byte  197,125,40,200                      // vmovapd       %ymm0,%ymm9
  .byte  196,129,121,16,68,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm0
  .byte  196,99,125,6,192,40                 // vperm2f128    $0x28,%ymm0,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,230                      // vmovapd       %ymm6,%ymm12
  .byte  196,129,121,16,68,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm0
  .byte  196,227,125,13,228,12               // vblendpd      $0xc,%ymm4,%ymm0,%ymm4
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,226                      // vmovapd       %ymm12,%ymm2
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,68,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm0
  .byte  196,195,125,13,238,12               // vblendpd      $0xc,%ymm14,%ymm0,%ymm5
  .byte  197,125,40,234                      // vmovapd       %ymm2,%ymm13
  .byte  197,125,41,249                      // vmovapd       %ymm15,%ymm1
  .byte  196,129,121,16,68,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm0
  .byte  196,67,125,13,213,12                // vblendpd      $0xc,%ymm13,%ymm0,%ymm10
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  196,129,121,16,4,136                // vmovupd       (%r8,%r9,4),%xmm0
  .byte  196,227,125,13,235,12               // vblendpd      $0xc,%ymm3,%ymm0,%ymm5
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,84,20,242                   // vunpcklps     %ymm10,%ymm5,%ymm6
  .byte  196,65,84,21,194                    // vunpckhps     %ymm10,%ymm5,%ymm8
  .byte  197,196,20,236                      // vunpcklps     %ymm4,%ymm7,%ymm5
  .byte  197,196,21,252                      // vunpckhps     %ymm4,%ymm7,%ymm7
  .byte  197,205,20,229                      // vunpcklpd     %ymm5,%ymm6,%ymm4
  .byte  197,205,21,237                      // vunpckhpd     %ymm5,%ymm6,%ymm5
  .byte  197,189,20,247                      // vunpcklpd     %ymm7,%ymm8,%ymm6
  .byte  197,189,21,255                      // vunpckhpd     %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  235,203                             // jmp           53a7 <_sk_load_f32_dst_hsw+0x14b>
  .byte  29,255,255,255,163                  // sbb           $0xa3ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,142,255,255,255,121             // decl          0x79ffffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,72,255                          // decl          -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,55                              // pushq         (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,42                              // ljmp          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_f32_hsw
.globl _sk_store_f32_hsw
FUNCTION(_sk_store_f32_hsw)
_sk_store_f32_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  197,124,20,193                      // vunpcklps     %ymm1,%ymm0,%ymm8
  .byte  197,124,21,217                      // vunpckhps     %ymm1,%ymm0,%ymm11
  .byte  197,108,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm9
  .byte  197,108,21,227                      // vunpckhps     %ymm3,%ymm2,%ymm12
  .byte  196,65,61,20,209                    // vunpcklpd     %ymm9,%ymm8,%ymm10
  .byte  196,65,61,21,201                    // vunpckhpd     %ymm9,%ymm8,%ymm9
  .byte  196,65,37,20,196                    // vunpcklpd     %ymm12,%ymm11,%ymm8
  .byte  196,65,37,21,220                    // vunpckhpd     %ymm12,%ymm11,%ymm11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,55                              // jne           547b <_sk_store_f32_hsw+0x7f>
  .byte  196,67,45,24,225,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm12
  .byte  196,67,61,24,235,1                  // vinsertf128   $0x1,%xmm11,%ymm8,%ymm13
  .byte  196,67,45,6,201,49                  // vperm2f128    $0x31,%ymm9,%ymm10,%ymm9
  .byte  196,67,61,6,195,49                  // vperm2f128    $0x31,%ymm11,%ymm8,%ymm8
  .byte  196,65,125,17,36,128                // vmovupd       %ymm12,(%r8,%rax,4)
  .byte  196,65,125,17,108,128,32            // vmovupd       %ymm13,0x20(%r8,%rax,4)
  .byte  196,65,125,17,76,128,64             // vmovupd       %ymm9,0x40(%r8,%rax,4)
  .byte  196,65,125,17,68,128,96             // vmovupd       %ymm8,0x60(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,17,20,128                // vmovupd       %xmm10,(%r8,%rax,4)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,76,128,16             // vmovupd       %xmm9,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,68,128,32             // vmovupd       %xmm8,0x20(%r8,%rax,4)
  .byte  116,218                             // je            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,92,128,48             // vmovupd       %xmm11,0x30(%r8,%rax,4)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,84,128,64,1           // vextractf128  $0x1,%ymm10,0x40(%r8,%rax,4)
  .byte  116,195                             // je            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,76,128,80,1           // vextractf128  $0x1,%ymm9,0x50(%r8,%rax,4)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,181                             // jb            5477 <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,68,128,96,1           // vextractf128  $0x1,%ymm8,0x60(%r8,%rax,4)
  .byte  235,171                             // jmp           5477 <_sk_store_f32_hsw+0x7b>

HIDDEN _sk_clamp_x_hsw
.globl _sk_clamp_x_hsw
FUNCTION(_sk_clamp_x_hsw)
_sk_clamp_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,88,0                     // vpbroadcastd  (%rax),%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,65,61,254,193                   // vpaddd        %ymm9,%ymm8,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_hsw
.globl _sk_clamp_y_hsw
FUNCTION(_sk_clamp_y_hsw)
_sk_clamp_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  196,98,125,88,0                     // vpbroadcastd  (%rax),%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,65,61,254,193                   // vpaddd        %ymm9,%ymm8,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_hsw
.globl _sk_repeat_x_hsw
FUNCTION(_sk_repeat_x_hsw)
_sk_repeat_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,53,172,192                   // vfnmadd213ps  %ymm0,%ymm9,%ymm8
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,53,254,192                   // vpaddd        %ymm8,%ymm9,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_hsw
.globl _sk_repeat_y_hsw
FUNCTION(_sk_repeat_y_hsw)
_sk_repeat_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,193                       // vmulps        %ymm1,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,53,172,193                   // vfnmadd213ps  %ymm1,%ymm9,%ymm8
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,53,254,192                   // vpaddd        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_hsw
.globl _sk_mirror_x_hsw
FUNCTION(_sk_mirror_x_hsw)
_sk_mirror_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,0                        // vmovss        (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,66,125,24,208                   // vbroadcastss  %xmm8,%ymm10
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,193,58,88,192                   // vaddss        %xmm8,%xmm8,%xmm0
  .byte  196,98,125,24,192                   // vbroadcastss  %xmm0,%ymm8
  .byte  197,178,89,5,31,117,2,0             // vmulss        0x2751f(%rip),%xmm9,%xmm0        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  196,227,125,8,192,1                 // vroundps      $0x1,%ymm0,%ymm0
  .byte  196,194,61,172,195                  // vfnmadd213ps  %ymm11,%ymm8,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,180,84,192                      // vandps        %ymm0,%ymm9,%ymm0
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,45,254,192                   // vpaddd        %ymm8,%ymm10,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_hsw
.globl _sk_mirror_y_hsw
FUNCTION(_sk_mirror_y_hsw)
_sk_mirror_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,0                        // vmovss        (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,66,125,24,208                   // vbroadcastss  %xmm8,%ymm10
  .byte  196,65,116,92,218                   // vsubps        %ymm10,%ymm1,%ymm11
  .byte  196,193,58,88,200                   // vaddss        %xmm8,%xmm8,%xmm1
  .byte  196,98,125,24,193                   // vbroadcastss  %xmm1,%ymm8
  .byte  197,178,89,13,187,116,2,0           // vmulss        0x274bb(%rip),%xmm9,%xmm1        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,226,125,24,201                  // vbroadcastss  %xmm1,%ymm1
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,227,125,8,201,1                 // vroundps      $0x1,%ymm1,%ymm1
  .byte  196,194,61,172,203                  // vfnmadd213ps  %ymm11,%ymm8,%ymm1
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,201                       // vsubps        %ymm1,%ymm8,%ymm9
  .byte  197,180,84,201                      // vandps        %ymm1,%ymm9,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,45,254,192                   // vpaddd        %ymm8,%ymm10,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_hsw
.globl _sk_clamp_x_1_hsw
FUNCTION(_sk_clamp_x_1_hsw)
_sk_clamp_x_1_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,112,116,2,0         // vbroadcastss  0x27470(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_hsw
.globl _sk_repeat_x_1_hsw
FUNCTION(_sk_repeat_x_1_hsw)
_sk_repeat_x_1_hsw:
  .byte  196,99,125,8,192,1                  // vroundps      $0x1,%ymm0,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_hsw
.globl _sk_mirror_x_1_hsw
FUNCTION(_sk_mirror_x_1_hsw)
_sk_mirror_x_1_hsw:
  .byte  196,98,125,24,5,103,116,2,0         // vbroadcastss  0x27467(%rip),%ymm8        # 2cae4 <_sk_overlay_sse2_8bit+0xd20>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,13,61,116,2,0         // vbroadcastss  0x2743d(%rip),%ymm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,124,89,201                   // vmulps        %ymm9,%ymm0,%ymm9
  .byte  196,67,125,8,201,1                  // vroundps      $0x1,%ymm9,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,193,124,92,193                  // vsubps        %ymm9,%ymm0,%ymm0
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,192                       // vsubps        %ymm0,%ymm8,%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_hsw
.globl _sk_luminance_to_alpha_hsw
FUNCTION(_sk_luminance_to_alpha_hsw)
_sk_luminance_to_alpha_hsw:
  .byte  196,226,125,24,29,41,117,2,0        // vbroadcastss  0x27529(%rip),%ymm3        # 2cbe8 <_sk_overlay_sse2_8bit+0xe24>
  .byte  196,98,125,24,5,36,117,2,0          // vbroadcastss  0x27524(%rip),%ymm8        # 2cbec <_sk_overlay_sse2_8bit+0xe28>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,125,184,203                 // vfmadd231ps   %ymm3,%ymm0,%ymm1
  .byte  196,226,125,24,29,21,117,2,0        // vbroadcastss  0x27515(%rip),%ymm3        # 2cbf0 <_sk_overlay_sse2_8bit+0xe2c>
  .byte  196,226,109,168,217                 // vfmadd213ps   %ymm1,%ymm2,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_hsw
.globl _sk_matrix_translate_hsw
FUNCTION(_sk_matrix_translate_hsw)
_sk_matrix_translate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_hsw
.globl _sk_matrix_scale_translate_hsw
FUNCTION(_sk_matrix_scale_translate_hsw)
_sk_matrix_scale_translate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,8                  // vbroadcastss  0x8(%rax),%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,194,61,168,193                  // vfmadd213ps   %ymm9,%ymm8,%ymm0
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,194,61,168,201                  // vfmadd213ps   %ymm9,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_hsw
.globl _sk_matrix_2x3_hsw
FUNCTION(_sk_matrix_2x3_hsw)
_sk_matrix_2x3_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,12                 // vbroadcastss  0xc(%rax),%ymm11
  .byte  196,98,125,24,72,20                 // vbroadcastss  0x14(%rax),%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_hsw
.globl _sk_matrix_3x4_hsw
FUNCTION(_sk_matrix_3x4_hsw)
_sk_matrix_3x4_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,24                 // vbroadcastss  0x18(%rax),%ymm11
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,66,109,184,195                  // vfmadd231ps   %ymm11,%ymm2,%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,16                 // vbroadcastss  0x10(%rax),%ymm11
  .byte  196,98,125,24,96,28                 // vbroadcastss  0x1c(%rax),%ymm12
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  196,66,109,184,204                  // vfmadd231ps   %ymm12,%ymm2,%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,98,125,24,96,20                 // vbroadcastss  0x14(%rax),%ymm12
  .byte  196,98,125,24,104,32                // vbroadcastss  0x20(%rax),%ymm13
  .byte  196,98,125,24,80,44                 // vbroadcastss  0x2c(%rax),%ymm10
  .byte  196,66,109,184,213                  // vfmadd231ps   %ymm13,%ymm2,%ymm10
  .byte  196,66,117,184,212                  // vfmadd231ps   %ymm12,%ymm1,%ymm10
  .byte  196,66,125,184,211                  // vfmadd231ps   %ymm11,%ymm0,%ymm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_hsw
.globl _sk_matrix_4x5_hsw
FUNCTION(_sk_matrix_4x5_hsw)
_sk_matrix_4x5_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,32                 // vbroadcastss  0x20(%rax),%ymm11
  .byte  196,98,125,24,96,48                 // vbroadcastss  0x30(%rax),%ymm12
  .byte  196,98,125,24,64,64                 // vbroadcastss  0x40(%rax),%ymm8
  .byte  196,66,101,184,196                  // vfmadd231ps   %ymm12,%ymm3,%ymm8
  .byte  196,66,109,184,195                  // vfmadd231ps   %ymm11,%ymm2,%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,98,125,24,96,36                 // vbroadcastss  0x24(%rax),%ymm12
  .byte  196,98,125,24,104,52                // vbroadcastss  0x34(%rax),%ymm13
  .byte  196,98,125,24,72,68                 // vbroadcastss  0x44(%rax),%ymm9
  .byte  196,66,101,184,205                  // vfmadd231ps   %ymm13,%ymm3,%ymm9
  .byte  196,66,109,184,204                  // vfmadd231ps   %ymm12,%ymm2,%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,98,125,24,96,24                 // vbroadcastss  0x18(%rax),%ymm12
  .byte  196,98,125,24,104,40                // vbroadcastss  0x28(%rax),%ymm13
  .byte  196,98,125,24,112,56                // vbroadcastss  0x38(%rax),%ymm14
  .byte  196,98,125,24,80,72                 // vbroadcastss  0x48(%rax),%ymm10
  .byte  196,66,101,184,214                  // vfmadd231ps   %ymm14,%ymm3,%ymm10
  .byte  196,66,109,184,213                  // vfmadd231ps   %ymm13,%ymm2,%ymm10
  .byte  196,66,117,184,212                  // vfmadd231ps   %ymm12,%ymm1,%ymm10
  .byte  196,66,125,184,211                  // vfmadd231ps   %ymm11,%ymm0,%ymm10
  .byte  196,98,125,24,96,12                 // vbroadcastss  0xc(%rax),%ymm12
  .byte  196,98,125,24,104,28                // vbroadcastss  0x1c(%rax),%ymm13
  .byte  196,98,125,24,112,44                // vbroadcastss  0x2c(%rax),%ymm14
  .byte  196,98,125,24,120,60                // vbroadcastss  0x3c(%rax),%ymm15
  .byte  196,98,125,24,88,76                 // vbroadcastss  0x4c(%rax),%ymm11
  .byte  196,66,101,184,223                  // vfmadd231ps   %ymm15,%ymm3,%ymm11
  .byte  196,66,109,184,222                  // vfmadd231ps   %ymm14,%ymm2,%ymm11
  .byte  196,66,117,184,221                  // vfmadd231ps   %ymm13,%ymm1,%ymm11
  .byte  196,66,125,184,220                  // vfmadd231ps   %ymm12,%ymm0,%ymm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  197,124,41,219                      // vmovaps       %ymm11,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_hsw
.globl _sk_matrix_4x3_hsw
FUNCTION(_sk_matrix_4x3_hsw)
_sk_matrix_4x3_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,226,125,24,88,16                // vbroadcastss  0x10(%rax),%ymm3
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  196,98,117,184,195                  // vfmadd231ps   %ymm3,%ymm1,%ymm8
  .byte  196,98,125,184,194                  // vfmadd231ps   %ymm2,%ymm0,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,88,20                // vbroadcastss  0x14(%rax),%ymm3
  .byte  196,98,125,24,72,36                 // vbroadcastss  0x24(%rax),%ymm9
  .byte  196,98,117,184,203                  // vfmadd231ps   %ymm3,%ymm1,%ymm9
  .byte  196,98,125,184,202                  // vfmadd231ps   %ymm2,%ymm0,%ymm9
  .byte  196,226,125,24,88,8                 // vbroadcastss  0x8(%rax),%ymm3
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,226,125,24,80,40                // vbroadcastss  0x28(%rax),%ymm2
  .byte  196,194,117,184,210                 // vfmadd231ps   %ymm10,%ymm1,%ymm2
  .byte  196,226,125,184,211                 // vfmadd231ps   %ymm3,%ymm0,%ymm2
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,226,125,24,88,44                // vbroadcastss  0x2c(%rax),%ymm3
  .byte  196,194,117,184,219                 // vfmadd231ps   %ymm11,%ymm1,%ymm3
  .byte  196,194,125,184,218                 // vfmadd231ps   %ymm10,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_hsw
.globl _sk_matrix_perspective_hsw
FUNCTION(_sk_matrix_perspective_hsw)
_sk_matrix_perspective_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,66,117,184,209                  // vfmadd231ps   %ymm9,%ymm1,%ymm10
  .byte  196,66,125,184,208                  // vfmadd231ps   %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,16                 // vbroadcastss  0x10(%rax),%ymm9
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,66,117,184,217                  // vfmadd231ps   %ymm9,%ymm1,%ymm11
  .byte  196,66,125,184,216                  // vfmadd231ps   %ymm8,%ymm0,%ymm11
  .byte  196,98,125,24,64,24                 // vbroadcastss  0x18(%rax),%ymm8
  .byte  196,98,125,24,72,28                 // vbroadcastss  0x1c(%rax),%ymm9
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  196,66,117,184,225                  // vfmadd231ps   %ymm9,%ymm1,%ymm12
  .byte  196,66,125,184,224                  // vfmadd231ps   %ymm8,%ymm0,%ymm12
  .byte  196,193,124,83,204                  // vrcpps        %ymm12,%ymm1
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_hsw
.globl _sk_evenly_spaced_gradient_hsw
FUNCTION(_sk_evenly_spaced_gradient_hsw)
_sk_evenly_spaced_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,8                            // mov           (%rax),%r9
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  77,137,202                          // mov           %r9,%r10
  .byte  73,255,202                          // dec           %r10
  .byte  120,7                               // js            59d3 <_sk_evenly_spaced_gradient_hsw+0x18>
  .byte  196,193,242,42,202                  // vcvtsi2ss     %r10,%xmm1,%xmm1
  .byte  235,22                              // jmp           59e9 <_sk_evenly_spaced_gradient_hsw+0x2e>
  .byte  77,137,211                          // mov           %r10,%r11
  .byte  73,209,235                          // shr           %r11
  .byte  65,131,226,1                        // and           $0x1,%r10d
  .byte  77,9,218                            // or            %r11,%r10
  .byte  196,193,242,42,202                  // vcvtsi2ss     %r10,%xmm1,%xmm1
  .byte  197,242,88,201                      // vaddss        %xmm1,%xmm1,%xmm1
  .byte  196,226,125,24,201                  // vbroadcastss  %xmm1,%ymm1
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,126,91,217                      // vcvttps2dq    %ymm1,%ymm11
  .byte  73,131,249,8                        // cmp           $0x8,%r9
  .byte  119,70                              // ja            5a42 <_sk_evenly_spaced_gradient_hsw+0x87>
  .byte  196,66,37,22,0                      // vpermps       (%r8),%ymm11,%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  196,66,37,22,8                      // vpermps       (%r8),%ymm11,%ymm9
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,194,37,22,8                     // vpermps       (%r8),%ymm11,%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  196,66,37,22,16                     // vpermps       (%r8),%ymm11,%ymm10
  .byte  196,194,37,22,17                    // vpermps       (%r9),%ymm11,%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  196,66,37,22,32                     // vpermps       (%r8),%ymm11,%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,194,37,22,24                    // vpermps       (%r8),%ymm11,%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,98,37,22,40                     // vpermps       (%rax),%ymm11,%ymm13
  .byte  235,110                             // jmp           5ab0 <_sk_evenly_spaced_gradient_hsw+0xf5>
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,4,152                 // vgatherdps    %ymm1,(%r8,%ymm11,4),%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,12,152                // vgatherdps    %ymm1,(%r8,%ymm11,4),%ymm9
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,130,109,146,12,152              // vgatherdps    %ymm2,(%r8,%ymm11,4),%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,2,109,146,20,152                // vgatherdps    %ymm2,(%r8,%ymm11,4),%ymm10
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,130,101,146,20,153              // vgatherdps    %ymm3,(%r9,%ymm11,4),%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,2,101,146,36,152                // vgatherdps    %ymm3,(%r8,%ymm11,4),%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,65,21,118,237                   // vpcmpeqd      %ymm13,%ymm13,%ymm13
  .byte  196,130,21,146,28,152               // vgatherdps    %ymm13,(%r8,%ymm11,4),%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,34,13,146,44,152                // vgatherdps    %ymm14,(%rax,%ymm11,4),%ymm13
  .byte  196,66,125,168,193                  // vfmadd213ps   %ymm9,%ymm0,%ymm8
  .byte  196,194,125,168,202                 // vfmadd213ps   %ymm10,%ymm0,%ymm1
  .byte  196,194,125,168,212                 // vfmadd213ps   %ymm12,%ymm0,%ymm2
  .byte  196,194,125,168,221                 // vfmadd213ps   %ymm13,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_hsw
.globl _sk_gauss_a_to_rgba_hsw
FUNCTION(_sk_gauss_a_to_rgba_hsw)
_sk_gauss_a_to_rgba_hsw:
  .byte  196,226,125,24,5,31,113,2,0         // vbroadcastss  0x2711f(%rip),%ymm0        # 2cbf4 <_sk_overlay_sse2_8bit+0xe30>
  .byte  196,226,125,24,13,26,113,2,0        // vbroadcastss  0x2711a(%rip),%ymm1        # 2cbf8 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,226,101,168,200                 // vfmadd213ps   %ymm0,%ymm3,%ymm1
  .byte  196,226,125,24,5,16,113,2,0         // vbroadcastss  0x27110(%rip),%ymm0        # 2cbfc <_sk_overlay_sse2_8bit+0xe38>
  .byte  196,226,101,184,193                 // vfmadd231ps   %ymm1,%ymm3,%ymm0
  .byte  196,226,125,24,13,6,113,2,0         // vbroadcastss  0x27106(%rip),%ymm1        # 2cc00 <_sk_overlay_sse2_8bit+0xe3c>
  .byte  196,226,101,184,200                 // vfmadd231ps   %ymm0,%ymm3,%ymm1
  .byte  196,226,125,24,5,252,112,2,0        // vbroadcastss  0x270fc(%rip),%ymm0        # 2cc04 <_sk_overlay_sse2_8bit+0xe40>
  .byte  196,226,101,184,193                 // vfmadd231ps   %ymm1,%ymm3,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_hsw
.globl _sk_gradient_hsw
FUNCTION(_sk_gradient_hsw)
_sk_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  73,131,248,1                        // cmp           $0x1,%r8
  .byte  15,134,180,0,0,0                    // jbe           5be0 <_sk_gradient_hsw+0xc3>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  65,186,1,0,0,0                      // mov           $0x1,%r10d
  .byte  196,226,125,24,21,141,111,2,0       // vbroadcastss  0x26f8d(%rip),%ymm2        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,130,125,24,28,145               // vbroadcastss  (%r9,%r10,4),%ymm3
  .byte  197,228,194,216,2                   // vcmpleps      %ymm0,%ymm3,%ymm3
  .byte  196,227,117,74,218,48               // vblendvps     %ymm3,%ymm2,%ymm1,%ymm3
  .byte  196,65,101,254,201                  // vpaddd        %ymm9,%ymm3,%ymm9
  .byte  73,255,194                          // inc           %r10
  .byte  77,57,208                           // cmp           %r10,%r8
  .byte  117,226                             // jne           5b48 <_sk_gradient_hsw+0x2b>
  .byte  76,139,72,8                         // mov           0x8(%rax),%r9
  .byte  73,131,248,8                        // cmp           $0x8,%r8
  .byte  118,121                             // jbe           5be9 <_sk_gradient_hsw+0xcc>
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,4,137                 // vgatherdps    %ymm1,(%r9,%ymm9,4),%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,20,136                // vgatherdps    %ymm1,(%r8,%ymm9,4),%ymm10
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,130,109,146,12,136              // vgatherdps    %ymm2,(%r8,%ymm9,4),%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,2,109,146,28,136                // vgatherdps    %ymm2,(%r8,%ymm9,4),%ymm11
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,130,101,146,20,137              // vgatherdps    %ymm3,(%r9,%ymm9,4),%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,2,101,146,36,136                // vgatherdps    %ymm3,(%r8,%ymm9,4),%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,65,21,118,237                   // vpcmpeqd      %ymm13,%ymm13,%ymm13
  .byte  196,130,21,146,28,136               // vgatherdps    %ymm13,(%r8,%ymm9,4),%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,34,13,146,44,136                // vgatherdps    %ymm14,(%rax,%ymm9,4),%ymm13
  .byte  235,77                              // jmp           5c2d <_sk_gradient_hsw+0x110>
  .byte  76,139,72,8                         // mov           0x8(%rax),%r9
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,66,53,22,1                      // vpermps       (%r9),%ymm9,%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  196,66,53,22,16                     // vpermps       (%r8),%ymm9,%ymm10
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,194,53,22,8                     // vpermps       (%r8),%ymm9,%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  196,66,53,22,24                     // vpermps       (%r8),%ymm9,%ymm11
  .byte  196,194,53,22,17                    // vpermps       (%r9),%ymm9,%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  196,66,53,22,32                     // vpermps       (%r8),%ymm9,%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,194,53,22,24                    // vpermps       (%r8),%ymm9,%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,98,53,22,40                     // vpermps       (%rax),%ymm9,%ymm13
  .byte  196,66,125,168,194                  // vfmadd213ps   %ymm10,%ymm0,%ymm8
  .byte  196,194,125,168,203                 // vfmadd213ps   %ymm11,%ymm0,%ymm1
  .byte  196,194,125,168,212                 // vfmadd213ps   %ymm12,%ymm0,%ymm2
  .byte  196,194,125,168,221                 // vfmadd213ps   %ymm13,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_hsw
.globl _sk_evenly_spaced_2_stop_gradient_hsw
FUNCTION(_sk_evenly_spaced_2_stop_gradient_hsw)
_sk_evenly_spaced_2_stop_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,98,125,184,193                  // vfmadd231ps   %ymm1,%ymm0,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,72,20                // vbroadcastss  0x14(%rax),%ymm1
  .byte  196,226,125,184,202                 // vfmadd231ps   %ymm2,%ymm0,%ymm1
  .byte  196,226,125,24,88,8                 // vbroadcastss  0x8(%rax),%ymm3
  .byte  196,226,125,24,80,24                // vbroadcastss  0x18(%rax),%ymm2
  .byte  196,226,125,184,211                 // vfmadd231ps   %ymm3,%ymm0,%ymm2
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,226,125,24,88,28                // vbroadcastss  0x1c(%rax),%ymm3
  .byte  196,194,125,184,217                 // vfmadd231ps   %ymm9,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_hsw
.globl _sk_xy_to_unit_angle_hsw
FUNCTION(_sk_xy_to_unit_angle_hsw)
_sk_xy_to_unit_angle_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,52,84,200                       // vandps        %ymm0,%ymm9,%ymm9
  .byte  197,60,92,209                       // vsubps        %ymm1,%ymm8,%ymm10
  .byte  197,44,84,209                       // vandps        %ymm1,%ymm10,%ymm10
  .byte  196,65,52,93,218                    // vminps        %ymm10,%ymm9,%ymm11
  .byte  196,65,52,95,226                    // vmaxps        %ymm10,%ymm9,%ymm12
  .byte  196,65,36,94,220                    // vdivps        %ymm12,%ymm11,%ymm11
  .byte  196,65,36,89,227                    // vmulps        %ymm11,%ymm11,%ymm12
  .byte  196,98,125,24,45,64,111,2,0         // vbroadcastss  0x26f40(%rip),%ymm13        # 2cc08 <_sk_overlay_sse2_8bit+0xe44>
  .byte  196,98,125,24,53,59,111,2,0         // vbroadcastss  0x26f3b(%rip),%ymm14        # 2cc0c <_sk_overlay_sse2_8bit+0xe48>
  .byte  196,66,29,184,245                   // vfmadd231ps   %ymm13,%ymm12,%ymm14
  .byte  196,98,125,24,45,49,111,2,0         // vbroadcastss  0x26f31(%rip),%ymm13        # 2cc10 <_sk_overlay_sse2_8bit+0xe4c>
  .byte  196,66,29,184,238                   // vfmadd231ps   %ymm14,%ymm12,%ymm13
  .byte  196,98,125,24,53,39,111,2,0         // vbroadcastss  0x26f27(%rip),%ymm14        # 2cc14 <_sk_overlay_sse2_8bit+0xe50>
  .byte  196,66,29,184,245                   // vfmadd231ps   %ymm13,%ymm12,%ymm14
  .byte  196,65,36,89,222                    // vmulps        %ymm14,%ymm11,%ymm11
  .byte  196,65,52,194,202,1                 // vcmpltps      %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,18,111,2,0         // vbroadcastss  0x26f12(%rip),%ymm10        # 2cc18 <_sk_overlay_sse2_8bit+0xe54>
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,67,37,74,202,144                // vblendvps     %ymm9,%ymm10,%ymm11,%ymm9
  .byte  196,193,124,194,192,1               // vcmpltps      %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,21,168,109,2,0        // vbroadcastss  0x26da8(%rip),%ymm10        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  196,65,116,194,200,1                // vcmpltps      %ymm8,%ymm1,%ymm9
  .byte  196,98,125,24,21,146,109,2,0        // vbroadcastss  0x26d92(%rip),%ymm10        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  196,195,125,74,194,144              // vblendvps     %ymm9,%ymm10,%ymm0,%ymm0
  .byte  196,65,124,194,200,3                // vcmpunordps   %ymm8,%ymm0,%ymm9
  .byte  196,195,125,74,192,144              // vblendvps     %ymm9,%ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_hsw
.globl _sk_xy_to_radius_hsw
FUNCTION(_sk_xy_to_radius_hsw)
_sk_xy_to_radius_hsw:
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,98,125,184,192                  // vfmadd231ps   %ymm0,%ymm0,%ymm8
  .byte  196,193,124,81,192                  // vsqrtps       %ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_hsw
.globl _sk_xy_to_2pt_conical_quadratic_max_hsw
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_hsw)
_sk_xy_to_2pt_conical_quadratic_max_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,66,125,24,210                   // vbroadcastss  %xmm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,146,110,2,0        // vbroadcastss  0x26e92(%rip),%ymm11        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,98,125,184,216                  // vfmadd231ps   %ymm0,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,113,110,2,0        // vbroadcastss  0x26e71(%rip),%ymm9        # 2cc20 <_sk_overlay_sse2_8bit+0xe5c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,194,45,184,194                  // vfmadd231ps   %ymm10,%ymm10,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,84,110,2,0         // vbroadcastss  0x26e54(%rip),%ymm9        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,229,108,2,0        // vbroadcastss  0x26ce5(%rip),%ymm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,44,89,208                    // vmulps        %ymm8,%ymm10,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,172,95,192                      // vmaxps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_hsw
.globl _sk_xy_to_2pt_conical_quadratic_min_hsw
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_hsw)
_sk_xy_to_2pt_conical_quadratic_min_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,66,125,24,210                   // vbroadcastss  %xmm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,250,109,2,0        // vbroadcastss  0x26dfa(%rip),%ymm11        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,98,125,184,216                  // vfmadd231ps   %ymm0,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,217,109,2,0        // vbroadcastss  0x26dd9(%rip),%ymm9        # 2cc20 <_sk_overlay_sse2_8bit+0xe5c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,194,45,184,194                  // vfmadd231ps   %ymm10,%ymm10,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,188,109,2,0        // vbroadcastss  0x26dbc(%rip),%ymm9        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,77,108,2,0         // vbroadcastss  0x26c4d(%rip),%ymm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,44,89,208                    // vmulps        %ymm8,%ymm10,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,172,93,192                      // vminps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_hsw
.globl _sk_xy_to_2pt_conical_linear_hsw
FUNCTION(_sk_xy_to_2pt_conical_linear_hsw)
_sk_xy_to_2pt_conical_linear_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,64,40                    // vmovss        0x28(%rax),%xmm8
  .byte  197,58,89,72,44                     // vmulss        0x2c(%rax),%xmm8,%xmm9
  .byte  196,66,125,24,201                   // vbroadcastss  %xmm9,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,98,125,24,21,104,109,2,0        // vbroadcastss  0x26d68(%rip),%ymm10        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,98,125,184,208                  // vfmadd231ps   %ymm0,%ymm0,%ymm10
  .byte  196,193,58,89,192                   // vmulss        %xmm8,%xmm8,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,172,92,192                      // vsubps        %ymm0,%ymm10,%ymm0
  .byte  196,98,125,24,5,75,109,2,0          // vbroadcastss  0x26d4b(%rip),%ymm8        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,193,124,87,192                  // vxorps        %ymm8,%ymm0,%ymm0
  .byte  196,193,124,94,193                  // vdivps        %ymm9,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_hsw
.globl _sk_mask_2pt_conical_degenerates_hsw
FUNCTION(_sk_mask_2pt_conical_degenerates_hsw)
_sk_mask_2pt_conical_degenerates_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,44                 // vbroadcastss  0x2c(%rax),%ymm8
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  196,66,125,184,200                  // vfmadd231ps   %ymm8,%ymm0,%ymm9
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,60,194,201,2                 // vcmpleps      %ymm9,%ymm8,%ymm9
  .byte  196,65,124,194,192,7                // vcmpordps     %ymm8,%ymm0,%ymm8
  .byte  196,65,52,84,192                    // vandps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,0                        // vmovups       %ymm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_hsw
.globl _sk_apply_vector_mask_hsw
FUNCTION(_sk_apply_vector_mask_hsw)
_sk_apply_vector_mask_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,0                        // vmovups       (%rax),%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  197,188,84,201                      // vandps        %ymm1,%ymm8,%ymm1
  .byte  197,188,84,210                      // vandps        %ymm2,%ymm8,%ymm2
  .byte  197,188,84,219                      // vandps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_hsw
.globl _sk_save_xy_hsw
FUNCTION(_sk_save_xy_hsw)
_sk_save_xy_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,139,107,2,0         // vbroadcastss  0x26b8b(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,124,88,200                   // vaddps        %ymm8,%ymm0,%ymm9
  .byte  196,67,125,8,209,1                  // vroundps      $0x1,%ymm9,%ymm10
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,88,192                   // vaddps        %ymm8,%ymm1,%ymm8
  .byte  196,67,125,8,208,1                  // vroundps      $0x1,%ymm8,%ymm10
  .byte  196,65,60,92,194                    // vsubps        %ymm10,%ymm8,%ymm8
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,124,17,72,64                    // vmovups       %ymm9,0x40(%rax)
  .byte  197,124,17,64,96                    // vmovups       %ymm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_hsw
.globl _sk_accumulate_hsw
FUNCTION(_sk_accumulate_hsw)
_sk_accumulate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,128,128,0,0,0            // vmovups       0x80(%rax),%ymm8
  .byte  197,60,89,128,160,0,0,0             // vmulps        0xa0(%rax),%ymm8,%ymm8
  .byte  196,226,61,184,224                  // vfmadd231ps   %ymm0,%ymm8,%ymm4
  .byte  196,226,61,184,233                  // vfmadd231ps   %ymm1,%ymm8,%ymm5
  .byte  196,226,61,184,242                  // vfmadd231ps   %ymm2,%ymm8,%ymm6
  .byte  196,98,101,168,199                  // vfmadd213ps   %ymm7,%ymm3,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,199                      // vmovaps       %ymm8,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_hsw
.globl _sk_bilinear_nx_hsw
FUNCTION(_sk_bilinear_nx_hsw)
_sk_bilinear_nx_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,123,108,2,0        // vbroadcastss  0x26c7b(%rip),%ymm0        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,18,107,2,0          // vbroadcastss  0x26b12(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_hsw
.globl _sk_bilinear_px_hsw
FUNCTION(_sk_bilinear_px_hsw)
_sk_bilinear_px_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,242,106,2,0        // vbroadcastss  0x26af2(%rip),%ymm0        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_hsw
.globl _sk_bilinear_ny_hsw
FUNCTION(_sk_bilinear_ny_hsw)
_sk_bilinear_ny_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,50,108,2,0        // vbroadcastss  0x26c32(%rip),%ymm1        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,200,106,2,0         // vbroadcastss  0x26ac8(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_hsw
.globl _sk_bilinear_py_hsw
FUNCTION(_sk_bilinear_py_hsw)
_sk_bilinear_py_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,168,106,2,0       // vbroadcastss  0x26aa8(%rip),%ymm1        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_hsw
.globl _sk_bicubic_n3x_hsw
FUNCTION(_sk_bicubic_n3x_hsw)
_sk_bicubic_n3x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,235,107,2,0        // vbroadcastss  0x26beb(%rip),%ymm0        # 2cc2c <_sk_overlay_sse2_8bit+0xe68>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,126,106,2,0         // vbroadcastss  0x26a7e(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,219,106,2,0        // vbroadcastss  0x26adb(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,98,125,24,29,198,107,2,0        // vbroadcastss  0x26bc6(%rip),%ymm11        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,36,89,193                    // vmulps        %ymm9,%ymm11,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_hsw
.globl _sk_bicubic_n1x_hsw
FUNCTION(_sk_bicubic_n1x_hsw)
_sk_bicubic_n1x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,157,107,2,0        // vbroadcastss  0x26b9d(%rip),%ymm0        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,52,106,2,0          // vbroadcastss  0x26a34(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,142,107,2,0        // vbroadcastss  0x26b8e(%rip),%ymm9        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,98,125,24,21,137,107,2,0        // vbroadcastss  0x26b89(%rip),%ymm10        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,66,61,168,209                   // vfmadd213ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,13,11,106,2,0         // vbroadcastss  0x26a0b(%rip),%ymm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,66,61,184,202                   // vfmadd231ps   %ymm10,%ymm8,%ymm9
  .byte  196,98,125,24,21,113,107,2,0        // vbroadcastss  0x26b71(%rip),%ymm10        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  197,124,17,144,128,0,0,0            // vmovups       %ymm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_hsw
.globl _sk_bicubic_p1x_hsw
FUNCTION(_sk_bicubic_p1x_hsw)
_sk_bicubic_p1x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,225,105,2,0         // vbroadcastss  0x269e1(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,188,88,0                        // vaddps        (%rax),%ymm8,%ymm0
  .byte  197,124,16,72,64                    // vmovups       0x40(%rax),%ymm9
  .byte  196,98,125,24,21,59,107,2,0         // vbroadcastss  0x26b3b(%rip),%ymm10        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,98,125,24,29,54,107,2,0         // vbroadcastss  0x26b36(%rip),%ymm11        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,66,53,168,218                   // vfmadd213ps   %ymm10,%ymm9,%ymm11
  .byte  196,66,53,168,216                   // vfmadd213ps   %ymm8,%ymm9,%ymm11
  .byte  196,98,125,24,5,39,107,2,0          // vbroadcastss  0x26b27(%rip),%ymm8        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,66,53,184,195                   // vfmadd231ps   %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_hsw
.globl _sk_bicubic_p3x_hsw
FUNCTION(_sk_bicubic_p3x_hsw)
_sk_bicubic_p3x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,3,107,2,0          // vbroadcastss  0x26b03(%rip),%ymm0        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,244,105,2,0        // vbroadcastss  0x269f4(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,98,125,24,29,223,106,2,0        // vbroadcastss  0x26adf(%rip),%ymm11        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,52,89,195                    // vmulps        %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_hsw
.globl _sk_bicubic_n3y_hsw
FUNCTION(_sk_bicubic_n3y_hsw)
_sk_bicubic_n3y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,186,106,2,0       // vbroadcastss  0x26aba(%rip),%ymm1        # 2cc2c <_sk_overlay_sse2_8bit+0xe68>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,76,105,2,0          // vbroadcastss  0x2694c(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,169,105,2,0        // vbroadcastss  0x269a9(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,98,125,24,29,148,106,2,0        // vbroadcastss  0x26a94(%rip),%ymm11        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,36,89,193                    // vmulps        %ymm9,%ymm11,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_hsw
.globl _sk_bicubic_n1y_hsw
FUNCTION(_sk_bicubic_n1y_hsw)
_sk_bicubic_n1y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,107,106,2,0       // vbroadcastss  0x26a6b(%rip),%ymm1        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,1,105,2,0           // vbroadcastss  0x26901(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,91,106,2,0         // vbroadcastss  0x26a5b(%rip),%ymm9        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,98,125,24,21,86,106,2,0         // vbroadcastss  0x26a56(%rip),%ymm10        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,66,61,168,209                   // vfmadd213ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,13,216,104,2,0        // vbroadcastss  0x268d8(%rip),%ymm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,66,61,184,202                   // vfmadd231ps   %ymm10,%ymm8,%ymm9
  .byte  196,98,125,24,21,62,106,2,0         // vbroadcastss  0x26a3e(%rip),%ymm10        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  197,124,17,144,160,0,0,0            // vmovups       %ymm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_hsw
.globl _sk_bicubic_p1y_hsw
FUNCTION(_sk_bicubic_p1y_hsw)
_sk_bicubic_p1y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,174,104,2,0         // vbroadcastss  0x268ae(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,188,88,72,32                    // vaddps        0x20(%rax),%ymm8,%ymm1
  .byte  197,124,16,72,96                    // vmovups       0x60(%rax),%ymm9
  .byte  196,98,125,24,21,7,106,2,0          // vbroadcastss  0x26a07(%rip),%ymm10        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,98,125,24,29,2,106,2,0          // vbroadcastss  0x26a02(%rip),%ymm11        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,66,53,168,218                   // vfmadd213ps   %ymm10,%ymm9,%ymm11
  .byte  196,66,53,168,216                   // vfmadd213ps   %ymm8,%ymm9,%ymm11
  .byte  196,98,125,24,5,243,105,2,0         // vbroadcastss  0x269f3(%rip),%ymm8        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,66,53,184,195                   // vfmadd231ps   %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_hsw
.globl _sk_bicubic_p3y_hsw
FUNCTION(_sk_bicubic_p3y_hsw)
_sk_bicubic_p3y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,207,105,2,0       // vbroadcastss  0x269cf(%rip),%ymm1        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,191,104,2,0        // vbroadcastss  0x268bf(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,98,125,24,29,170,105,2,0        // vbroadcastss  0x269aa(%rip),%ymm11        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,52,89,195                    // vmulps        %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_hsw
.globl _sk_callback_hsw
FUNCTION(_sk_callback_hsw)
_sk_callback_hsw:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,228,224                      // and           $0xffffffffffffffe0,%rsp
  .byte  72,129,236,160,0,0,0                // sub           $0xa0,%rsp
  .byte  197,252,41,124,36,96                // vmovaps       %ymm7,0x60(%rsp)
  .byte  197,252,41,116,36,64                // vmovaps       %ymm6,0x40(%rsp)
  .byte  197,252,41,108,36,32                // vmovaps       %ymm5,0x20(%rsp)
  .byte  197,252,41,36,36                    // vmovaps       %ymm4,(%rsp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,193                      // vunpckhps     %ymm1,%ymm0,%ymm0
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,211                      // vunpckhps     %ymm3,%ymm2,%ymm2
  .byte  197,221,20,217                      // vunpcklpd     %ymm1,%ymm4,%ymm3
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,253,20,226                      // vunpcklpd     %ymm2,%ymm0,%ymm4
  .byte  197,253,21,194                      // vunpckhpd     %ymm2,%ymm0,%ymm0
  .byte  196,227,101,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm2
  .byte  196,227,93,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm5
  .byte  196,227,101,6,201,49                // vperm2f128    $0x31,%ymm1,%ymm3,%ymm1
  .byte  196,227,93,6,192,49                 // vperm2f128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,253,17,83,8                     // vmovupd       %ymm2,0x8(%rbx)
  .byte  197,253,17,107,40                   // vmovupd       %ymm5,0x28(%rbx)
  .byte  197,253,17,75,72                    // vmovupd       %ymm1,0x48(%rbx)
  .byte  197,253,17,67,104                   // vmovupd       %ymm0,0x68(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,8,0,0,0                         // mov           $0x8,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  197,248,119                         // vzeroupper
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  197,248,16,0                        // vmovups       (%rax),%xmm0
  .byte  197,248,16,72,16                    // vmovups       0x10(%rax),%xmm1
  .byte  197,248,16,80,32                    // vmovups       0x20(%rax),%xmm2
  .byte  197,248,16,88,48                    // vmovups       0x30(%rax),%xmm3
  .byte  196,227,101,24,88,112,1             // vinsertf128   $0x1,0x70(%rax),%ymm3,%ymm3
  .byte  196,227,109,24,80,96,1              // vinsertf128   $0x1,0x60(%rax),%ymm2,%ymm2
  .byte  196,227,117,24,72,80,1              // vinsertf128   $0x1,0x50(%rax),%ymm1,%ymm1
  .byte  196,227,125,24,64,64,1              // vinsertf128   $0x1,0x40(%rax),%ymm0,%ymm0
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,233                      // vunpckhps     %ymm1,%ymm0,%ymm5
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,219                      // vunpckhps     %ymm3,%ymm2,%ymm3
  .byte  197,221,20,193                      // vunpcklpd     %ymm1,%ymm4,%ymm0
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,213,20,211                      // vunpcklpd     %ymm3,%ymm5,%ymm2
  .byte  197,213,21,219                      // vunpckhpd     %ymm3,%ymm5,%ymm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  197,252,40,36,36                    // vmovaps       (%rsp),%ymm4
  .byte  197,252,40,108,36,32                // vmovaps       0x20(%rsp),%ymm5
  .byte  197,252,40,116,36,64                // vmovaps       0x40(%rsp),%ymm6
  .byte  197,252,40,124,36,96                // vmovaps       0x60(%rsp),%ymm7
  .byte  72,141,101,216                      // lea           -0x28(%rbp),%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_hsw
.globl _sk_clut_3D_hsw
FUNCTION(_sk_clut_3D_hsw)
_sk_clut_3D_hsw:
  .byte  72,129,236,216,1,0,0                // sub           $0x1d8,%rsp
  .byte  197,252,17,188,36,160,1,0,0         // vmovups       %ymm7,0x1a0(%rsp)
  .byte  197,254,127,180,36,128,1,0,0        // vmovdqu       %ymm6,0x180(%rsp)
  .byte  197,252,17,172,36,96,1,0,0          // vmovups       %ymm5,0x160(%rsp)
  .byte  197,252,17,164,36,64,1,0,0          // vmovups       %ymm4,0x140(%rsp)
  .byte  197,252,17,156,36,32,1,0,0          // vmovups       %ymm3,0x120(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,84,36,224                // vmovups       %ymm2,-0x20(%rsp)
  .byte  197,254,91,234                      // vcvttps2dq    %ymm2,%ymm5
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  196,193,121,110,216                 // vmovd         %r8d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,254,127,92,36,128               // vmovdqu       %ymm3,-0x80(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,254,127,140,36,0,1,0,0          // vmovdqu       %ymm1,0x100(%rsp)
  .byte  196,226,117,64,203                  // vpmulld       %ymm3,%ymm1,%ymm1
  .byte  197,254,127,76,36,96                // vmovdqu       %ymm1,0x60(%rsp)
  .byte  197,117,254,229                     // vpaddd        %ymm5,%ymm1,%ymm12
  .byte  197,125,111,205                     // vmovdqa       %ymm5,%ymm9
  .byte  197,126,127,140,36,224,0,0,0        // vmovdqu       %ymm9,0xe0(%rsp)
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,117,64,202                  // vpmulld       %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,233                  // vpbroadcastd  %xmm1,%ymm5
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,125,88,201                  // vpbroadcastd  %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,192                      // vmulps        %ymm0,%ymm1,%ymm0
  .byte  197,254,91,208                      // vcvttps2dq    %ymm0,%ymm2
  .byte  196,226,109,64,205                  // vpmulld       %ymm5,%ymm2,%ymm1
  .byte  197,254,127,76,36,160               // vmovdqu       %ymm1,-0x60(%rsp)
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  196,226,125,88,61,125,103,2,0       // vpbroadcastd  0x2677d(%rip),%ymm7        # 2cc44 <_sk_overlay_sse2_8bit+0xe80>
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,136                 // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm8
  .byte  196,98,125,88,21,241,101,2,0        // vpbroadcastd  0x265f1(%rip),%ymm10        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,193,117,254,242                 // vpaddd        %ymm10,%ymm1,%ymm6
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  196,226,37,146,28,176               // vgatherdps    %ymm11,(%rax,%ymm6,4),%ymm3
  .byte  196,98,125,88,29,224,101,2,0        // vpbroadcastd  0x265e0(%rip),%ymm11        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,36,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm4
  .byte  196,98,125,24,45,48,103,2,0         // vbroadcastss  0x26730(%rip),%ymm13        # 2cc40 <_sk_overlay_sse2_8bit+0xe7c>
  .byte  196,193,124,88,245                  // vaddps        %ymm13,%ymm0,%ymm6
  .byte  197,254,91,246                      // vcvttps2dq    %ymm6,%ymm6
  .byte  196,226,77,64,205                   // vpmulld       %ymm5,%ymm6,%ymm1
  .byte  197,254,127,12,36                   // vmovdqu       %ymm1,(%rsp)
  .byte  196,193,117,254,236                 // vpaddd        %ymm12,%ymm1,%ymm5
  .byte  196,226,85,64,239                   // vpmulld       %ymm7,%ymm5,%ymm5
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,98,29,146,60,168                // vgatherdps    %ymm12,(%rax,%ymm5,4),%ymm15
  .byte  196,65,85,254,226                   // vpaddd        %ymm10,%ymm5,%ymm12
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  196,162,13,146,12,160               // vgatherdps    %ymm14,(%rax,%ymm12,4),%ymm1
  .byte  196,193,85,254,235                  // vpaddd        %ymm11,%ymm5,%ymm5
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,226,29,146,52,168               // vgatherdps    %ymm12,(%rax,%ymm5,4),%ymm6
  .byte  197,252,91,234                      // vcvtdq2ps     %ymm2,%ymm5
  .byte  197,124,92,245                      // vsubps        %ymm5,%ymm0,%ymm14
  .byte  196,193,4,92,192                    // vsubps        %ymm8,%ymm15,%ymm0
  .byte  196,194,13,168,192                  // vfmadd213ps   %ymm8,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,0,0,0         // vmovups       %ymm0,0xc0(%rsp)
  .byte  197,244,92,195                      // vsubps        %ymm3,%ymm1,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,204,92,196                      // vsubps        %ymm4,%ymm6,%ymm0
  .byte  196,226,13,168,196                  // vfmadd213ps   %ymm4,%ymm14,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  197,148,88,68,36,192                // vaddps        -0x40(%rsp),%ymm13,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,68,36,128            // vpmulld       -0x80(%rsp),%ymm0,%ymm0
  .byte  197,254,127,68,36,32                // vmovdqu       %ymm0,0x20(%rsp)
  .byte  196,193,125,254,193                 // vpaddd        %ymm9,%ymm0,%ymm0
  .byte  197,126,111,76,36,160               // vmovdqu       -0x60(%rsp),%ymm9
  .byte  196,193,125,254,201                 // vpaddd        %ymm9,%ymm0,%ymm1
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm4
  .byte  196,193,117,254,218                 // vpaddd        %ymm10,%ymm1,%ymm3
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,152               // vgatherdps    %ymm5,(%rax,%ymm3,4),%ymm6
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,20,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm2
  .byte  197,126,111,36,36                   // vmovdqu       (%rsp),%ymm12
  .byte  197,157,254,192                     // vpaddd        %ymm0,%ymm12,%ymm0
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,28,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm3
  .byte  196,193,125,254,202                 // vpaddd        %ymm10,%ymm0,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,4,136                 // vgatherdps    %ymm5,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,195                 // vpaddd        %ymm11,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,44,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm5
  .byte  197,228,92,196                      // vsubps        %ymm4,%ymm3,%ymm0
  .byte  196,226,13,168,196                  // vfmadd213ps   %ymm4,%ymm14,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,84,92,250                       // vsubps        %ymm2,%ymm5,%ymm15
  .byte  196,98,13,168,250                   // vfmadd213ps   %ymm2,%ymm14,%ymm15
  .byte  197,148,88,68,36,224                // vaddps        -0x20(%rsp),%ymm13,%ymm0
  .byte  197,126,91,232                      // vcvttps2dq    %ymm0,%ymm13
  .byte  197,149,254,68,36,96                // vpaddd        0x60(%rsp),%ymm13,%ymm0
  .byte  197,181,254,200                     // vpaddd        %ymm0,%ymm9,%ymm1
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  196,193,117,254,210                 // vpaddd        %ymm10,%ymm1,%ymm2
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,28,144               // vgatherdps    %ymm6,(%rax,%ymm2,4),%ymm3
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,52,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm6
  .byte  197,157,254,192                     // vpaddd        %ymm0,%ymm12,%ymm0
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,202                 // vpaddd        %ymm10,%ymm0,%ymm1
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,226,53,146,36,136               // vgatherdps    %ymm9,(%rax,%ymm1,4),%ymm4
  .byte  196,193,125,254,195                 // vpaddd        %ymm11,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,98,117,146,4,128                // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm8
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  196,226,13,168,205                  // vfmadd213ps   %ymm5,%ymm14,%ymm1
  .byte  197,92,92,203                       // vsubps        %ymm3,%ymm4,%ymm9
  .byte  196,98,13,168,203                   // vfmadd213ps   %ymm3,%ymm14,%ymm9
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,149,254,84,36,32                // vpaddd        0x20(%rsp),%ymm13,%ymm2
  .byte  197,237,254,92,36,160               // vpaddd        -0x60(%rsp),%ymm2,%ymm3
  .byte  196,226,101,64,223                  // vpmulld       %ymm7,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,44,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm5
  .byte  196,193,101,254,226                 // vpaddd        %ymm10,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,160                 // vgatherdps    %ymm6,(%rax,%ymm4,4),%ymm8
  .byte  196,193,101,254,219                 // vpaddd        %ymm11,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,52,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm6
  .byte  197,157,254,210                     // vpaddd        %ymm2,%ymm12,%ymm2
  .byte  196,226,109,64,215                  // vpmulld       %ymm7,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,218                 // vpaddd        %ymm10,%ymm2,%ymm3
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,20,152                // vgatherdps    %ymm7,(%rax,%ymm3,4),%ymm10
  .byte  196,193,109,254,211                 // vpaddd        %ymm11,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,60,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm7
  .byte  197,220,92,213                      // vsubps        %ymm5,%ymm4,%ymm2
  .byte  196,226,13,168,213                  // vfmadd213ps   %ymm5,%ymm14,%ymm2
  .byte  196,193,44,92,216                   // vsubps        %ymm8,%ymm10,%ymm3
  .byte  196,194,13,168,216                  // vfmadd213ps   %ymm8,%ymm14,%ymm3
  .byte  197,196,92,230                      // vsubps        %ymm6,%ymm7,%ymm4
  .byte  196,226,13,168,230                  // vfmadd213ps   %ymm6,%ymm14,%ymm4
  .byte  197,252,91,172,36,0,1,0,0           // vcvtdq2ps     0x100(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,204,92,237                      // vsubps        %ymm5,%ymm6,%ymm5
  .byte  197,252,16,188,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm7
  .byte  197,252,16,116,36,128               // vmovups       -0x80(%rsp),%ymm6
  .byte  197,204,92,247                      // vsubps        %ymm7,%ymm6,%ymm6
  .byte  196,226,85,168,247                  // vfmadd213ps   %ymm7,%ymm5,%ymm6
  .byte  197,124,16,132,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm8
  .byte  197,252,16,124,36,64                // vmovups       0x40(%rsp),%ymm7
  .byte  196,193,68,92,248                   // vsubps        %ymm8,%ymm7,%ymm7
  .byte  196,194,85,168,248                  // vfmadd213ps   %ymm8,%ymm5,%ymm7
  .byte  197,124,16,148,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm10
  .byte  196,65,4,92,194                     // vsubps        %ymm10,%ymm15,%ymm8
  .byte  196,66,85,168,194                   // vfmadd213ps   %ymm10,%ymm5,%ymm8
  .byte  197,236,92,209                      // vsubps        %ymm1,%ymm2,%ymm2
  .byte  196,226,85,168,209                  // vfmadd213ps   %ymm1,%ymm5,%ymm2
  .byte  196,193,100,92,201                  // vsubps        %ymm9,%ymm3,%ymm1
  .byte  196,194,85,168,201                  // vfmadd213ps   %ymm9,%ymm5,%ymm1
  .byte  197,220,92,216                      // vsubps        %ymm0,%ymm4,%ymm3
  .byte  196,226,85,168,216                  // vfmadd213ps   %ymm0,%ymm5,%ymm3
  .byte  197,252,91,132,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm0
  .byte  197,252,16,100,36,224               // vmovups       -0x20(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,236,92,198                      // vsubps        %ymm6,%ymm2,%ymm0
  .byte  196,226,93,168,198                  // vfmadd213ps   %ymm6,%ymm4,%ymm0
  .byte  197,244,92,207                      // vsubps        %ymm7,%ymm1,%ymm1
  .byte  196,226,93,168,207                  // vfmadd213ps   %ymm7,%ymm4,%ymm1
  .byte  196,193,100,92,208                  // vsubps        %ymm8,%ymm3,%ymm2
  .byte  196,194,93,168,208                  // vfmadd213ps   %ymm8,%ymm4,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,156,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm3
  .byte  197,252,16,164,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm4
  .byte  197,252,16,172,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm5
  .byte  197,252,16,180,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm6
  .byte  197,252,16,188,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm7
  .byte  72,129,196,216,1,0,0                // add           $0x1d8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_hsw
.globl _sk_clut_4D_hsw
FUNCTION(_sk_clut_4D_hsw)
_sk_clut_4D_hsw:
  .byte  72,129,236,184,3,0,0                // sub           $0x3b8,%rsp
  .byte  197,252,17,188,36,128,3,0,0         // vmovups       %ymm7,0x380(%rsp)
  .byte  197,252,17,180,36,96,3,0,0          // vmovups       %ymm6,0x360(%rsp)
  .byte  197,252,17,172,36,64,3,0,0          // vmovups       %ymm5,0x340(%rsp)
  .byte  197,252,17,164,36,32,3,0,0          // vmovups       %ymm4,0x320(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,156,36,160,0,0,0         // vmovups       %ymm3,0xa0(%rsp)
  .byte  197,254,91,243                      // vcvttps2dq    %ymm3,%ymm6
  .byte  197,254,127,180,36,128,0,0,0        // vmovdqu       %ymm6,0x80(%rsp)
  .byte  196,193,121,110,224                 // vmovd         %r8d,%xmm4
  .byte  196,193,121,110,216                 // vmovd         %r8d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,254,127,92,36,192               // vmovdqu       %ymm3,-0x40(%rsp)
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,233                 // vmovd         %r9d,%xmm5
  .byte  196,226,125,88,237                  // vpbroadcastd  %xmm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,252,17,84,36,96                 // vmovups       %ymm2,0x60(%rsp)
  .byte  197,254,91,210                      // vcvttps2dq    %ymm2,%ymm2
  .byte  197,254,127,148,36,0,3,0,0          // vmovdqu       %ymm2,0x300(%rsp)
  .byte  196,226,109,64,211                  // vpmulld       %ymm3,%ymm2,%ymm2
  .byte  197,254,127,84,36,224               // vmovdqu       %ymm2,-0x20(%rsp)
  .byte  197,237,254,222                     // vpaddd        %ymm6,%ymm2,%ymm3
  .byte  197,254,127,28,36                   // vmovdqu       %ymm3,(%rsp)
  .byte  196,193,121,110,232                 // vmovd         %r8d,%xmm5
  .byte  196,226,85,64,236                   // vpmulld       %ymm4,%ymm5,%ymm5
  .byte  196,226,125,88,253                  // vpbroadcastd  %xmm5,%ymm7
  .byte  197,254,127,124,36,32               // vmovdqu       %ymm7,0x20(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,241                 // vmovd         %r9d,%xmm6
  .byte  196,226,125,88,246                  // vpbroadcastd  %xmm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  197,204,89,225                      // vmulps        %ymm1,%ymm6,%ymm4
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,117,64,205                  // vpmulld       %ymm5,%ymm1,%ymm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,232                 // vmovd         %r8d,%xmm5
  .byte  196,226,125,88,237                  // vpbroadcastd  %xmm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  197,212,89,232                      // vmulps        %ymm0,%ymm5,%ymm5
  .byte  197,254,91,196                      // vcvttps2dq    %ymm4,%ymm0
  .byte  197,254,127,132,36,224,2,0,0        // vmovdqu       %ymm0,0x2e0(%rsp)
  .byte  197,252,17,164,36,96,2,0,0          // vmovups       %ymm4,0x260(%rsp)
  .byte  196,226,125,88,201                  // vpbroadcastd  %xmm1,%ymm1
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,254,127,68,36,128               // vmovdqu       %ymm0,-0x80(%rsp)
  .byte  197,253,254,243                     // vpaddd        %ymm3,%ymm0,%ymm6
  .byte  197,126,91,245                      // vcvttps2dq    %ymm5,%ymm14
  .byte  196,98,13,64,233                    // vpmulld       %ymm1,%ymm14,%ymm13
  .byte  197,149,254,198                     // vpaddd        %ymm6,%ymm13,%ymm0
  .byte  196,98,125,88,21,198,98,2,0         // vpbroadcastd  0x262c6(%rip),%ymm10        # 2cc44 <_sk_overlay_sse2_8bit+0xe80>
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,60,128                // vgatherdps    %ymm8,(%rax,%ymm0,4),%ymm15
  .byte  196,98,125,88,29,57,97,2,0          // vpbroadcastd  0x26139(%rip),%ymm11        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,65,125,254,195                  // vpaddd        %ymm11,%ymm0,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,162,53,146,20,128               // vgatherdps    %ymm9,(%rax,%ymm8,4),%ymm2
  .byte  196,98,125,88,37,40,97,2,0          // vpbroadcastd  0x26128(%rip),%ymm12        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,226,61,146,60,128               // vgatherdps    %ymm8,(%rax,%ymm0,4),%ymm7
  .byte  196,98,125,24,13,119,98,2,0         // vbroadcastss  0x26277(%rip),%ymm9        # 2cc40 <_sk_overlay_sse2_8bit+0xe7c>
  .byte  196,65,84,88,193                    // vaddps        %ymm9,%ymm5,%ymm8
  .byte  196,65,126,91,192                   // vcvttps2dq    %ymm8,%ymm8
  .byte  196,226,61,64,193                   // vpmulld       %ymm1,%ymm8,%ymm0
  .byte  197,254,127,68,36,64                // vmovdqu       %ymm0,0x40(%rsp)
  .byte  197,253,254,206                     // vpaddd        %ymm6,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,136                 // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm8
  .byte  196,193,117,254,243                 // vpaddd        %ymm11,%ymm1,%ymm6
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,4,176               // vgatherdps    %ymm3,(%rax,%ymm6,4),%ymm0
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,52,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm6
  .byte  196,193,124,91,206                  // vcvtdq2ps     %ymm14,%ymm1
  .byte  197,84,92,241                       // vsubps        %ymm1,%ymm5,%ymm14
  .byte  196,193,60,92,207                   // vsubps        %ymm15,%ymm8,%ymm1
  .byte  196,194,13,168,207                  // vfmadd213ps   %ymm15,%ymm14,%ymm1
  .byte  197,252,17,140,36,192,2,0,0         // vmovups       %ymm1,0x2c0(%rsp)
  .byte  197,252,92,194                      // vsubps        %ymm2,%ymm0,%ymm0
  .byte  196,226,13,168,194                  // vfmadd213ps   %ymm2,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,2,0,0         // vmovups       %ymm0,0x2a0(%rsp)
  .byte  197,204,92,199                      // vsubps        %ymm7,%ymm6,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,132,36,128,2,0,0         // vmovups       %ymm0,0x280(%rsp)
  .byte  197,124,17,76,36,160                // vmovups       %ymm9,-0x60(%rsp)
  .byte  196,193,92,88,193                   // vaddps        %ymm9,%ymm4,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,76,36,32             // vpmulld       0x20(%rsp),%ymm0,%ymm1
  .byte  197,245,254,4,36                    // vpaddd        (%rsp),%ymm1,%ymm0
  .byte  197,125,111,249                     // vmovdqa       %ymm1,%ymm15
  .byte  196,193,125,254,205                 // vpaddd        %ymm13,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  197,254,111,100,36,64               // vmovdqu       0x40(%rsp),%ymm4
  .byte  197,221,254,192                     // vpaddd        %ymm0,%ymm4,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,4,136                 // vgatherdps    %ymm7,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,60,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm7
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,68,36,32                 // vmovups       %ymm0,0x20(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,4,36                     // vmovups       %ymm0,(%rsp)
  .byte  197,196,92,197                      // vsubps        %ymm5,%ymm7,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,64,2,0,0          // vmovups       %ymm0,0x240(%rsp)
  .byte  197,180,88,68,36,96                 // vaddps        0x60(%rsp),%ymm9,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,68,36,192            // vpmulld       -0x40(%rsp),%ymm0,%ymm0
  .byte  197,254,127,132,36,128,1,0,0        // vmovdqu       %ymm0,0x180(%rsp)
  .byte  197,253,254,132,36,128,0,0,0        // vpaddd        0x80(%rsp),%ymm0,%ymm0
  .byte  197,253,254,76,36,128               // vpaddd        -0x80(%rsp),%ymm0,%ymm1
  .byte  196,193,117,254,213                 // vpaddd        %ymm13,%ymm1,%ymm2
  .byte  196,65,125,111,205                  // vmovdqa       %ymm13,%ymm9
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,44,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm5
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,152               // vgatherdps    %ymm6,(%rax,%ymm3,4),%ymm7
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,52,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm6
  .byte  197,221,254,201                     // vpaddd        %ymm1,%ymm4,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,44,144                // vgatherdps    %ymm8,(%rax,%ymm2,4),%ymm13
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,98,109,146,4,136                // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm8
  .byte  197,228,92,205                      // vsubps        %ymm5,%ymm3,%ymm1
  .byte  196,226,13,168,205                  // vfmadd213ps   %ymm5,%ymm14,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  197,148,92,207                      // vsubps        %ymm7,%ymm13,%ymm1
  .byte  196,226,13,168,207                  // vfmadd213ps   %ymm7,%ymm14,%ymm1
  .byte  197,252,17,140,36,32,2,0,0          // vmovups       %ymm1,0x220(%rsp)
  .byte  197,188,92,206                      // vsubps        %ymm6,%ymm8,%ymm1
  .byte  196,226,13,168,206                  // vfmadd213ps   %ymm6,%ymm14,%ymm1
  .byte  197,252,17,140,36,0,2,0,0           // vmovups       %ymm1,0x200(%rsp)
  .byte  197,126,127,188,36,0,1,0,0          // vmovdqu       %ymm15,0x100(%rsp)
  .byte  197,133,254,192                     // vpaddd        %ymm0,%ymm15,%ymm0
  .byte  196,193,125,254,201                 // vpaddd        %ymm9,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  197,221,254,192                     // vpaddd        %ymm0,%ymm4,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,4,136                 // vgatherdps    %ymm7,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,60,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm7
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,224,1,0,0         // vmovups       %ymm0,0x1e0(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,1,0,0         // vmovups       %ymm0,0x1c0(%rsp)
  .byte  197,196,92,197                      // vsubps        %ymm5,%ymm7,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,1,0,0         // vmovups       %ymm0,0x1a0(%rsp)
  .byte  197,252,16,68,36,160                // vmovups       -0x60(%rsp),%ymm0
  .byte  197,252,88,132,36,160,0,0,0         // vaddps        0xa0(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,254,127,132,36,32,1,0,0         // vmovdqu       %ymm0,0x120(%rsp)
  .byte  197,125,254,68,36,224               // vpaddd        -0x20(%rsp),%ymm0,%ymm8
  .byte  197,189,254,76,36,128               // vpaddd        -0x80(%rsp),%ymm8,%ymm1
  .byte  197,181,254,209                     // vpaddd        %ymm1,%ymm9,%ymm2
  .byte  197,125,127,207                     // vmovdqa       %ymm9,%ymm7
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,44,152                // vgatherdps    %ymm5,(%rax,%ymm3,4),%ymm13
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,44,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm5
  .byte  197,126,111,76,36,64                // vmovdqu       0x40(%rsp),%ymm9
  .byte  197,181,254,201                     // vpaddd        %ymm1,%ymm9,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,4,144                // vgatherdps    %ymm6,(%rax,%ymm2,4),%ymm0
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,52,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm6
  .byte  197,228,92,204                      // vsubps        %ymm4,%ymm3,%ymm1
  .byte  196,226,13,168,204                  // vfmadd213ps   %ymm4,%ymm14,%ymm1
  .byte  197,252,17,76,36,224                // vmovups       %ymm1,-0x20(%rsp)
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  196,194,13,168,197                  // vfmadd213ps   %ymm13,%ymm14,%ymm0
  .byte  197,252,17,68,36,160                // vmovups       %ymm0,-0x60(%rsp)
  .byte  197,204,92,197                      // vsubps        %ymm5,%ymm6,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,96,1,0,0          // vmovups       %ymm0,0x160(%rsp)
  .byte  196,193,5,254,192                   // vpaddd        %ymm8,%ymm15,%ymm0
  .byte  197,253,254,207                     // vpaddd        %ymm7,%ymm0,%ymm1
  .byte  197,125,111,255                     // vmovdqa       %ymm7,%ymm15
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,60,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm7
  .byte  197,181,254,192                     // vpaddd        %ymm0,%ymm9,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,44,136                // vgatherdps    %ymm5,(%rax,%ymm1,4),%ymm13
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,36,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm4
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,64,1,0,0          // vmovups       %ymm0,0x140(%rsp)
  .byte  197,148,92,198                      // vsubps        %ymm6,%ymm13,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,0,0,0         // vmovups       %ymm0,0xc0(%rsp)
  .byte  197,220,92,199                      // vsubps        %ymm7,%ymm4,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,132,36,224,0,0,0         // vmovups       %ymm0,0xe0(%rsp)
  .byte  197,254,111,132,36,32,1,0,0         // vmovdqu       0x120(%rsp),%ymm0
  .byte  197,253,254,172,36,128,1,0,0        // vpaddd        0x180(%rsp),%ymm0,%ymm5
  .byte  197,213,254,68,36,128               // vpaddd        -0x80(%rsp),%ymm5,%ymm0
  .byte  196,193,125,254,207                 // vpaddd        %ymm15,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm7
  .byte  196,193,117,254,243                 // vpaddd        %ymm11,%ymm1,%ymm6
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,44,176                // vgatherdps    %ymm8,(%rax,%ymm6,4),%ymm13
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,20,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm2
  .byte  197,181,254,192                     // vpaddd        %ymm0,%ymm9,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,52,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm6
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,226,61,146,28,136               // vgatherdps    %ymm8,(%rax,%ymm1,4),%ymm3
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,36,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm4
  .byte  197,204,92,199                      // vsubps        %ymm7,%ymm6,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  196,193,100,92,205                  // vsubps        %ymm13,%ymm3,%ymm1
  .byte  196,194,13,168,205                  // vfmadd213ps   %ymm13,%ymm14,%ymm1
  .byte  197,92,92,194                       // vsubps        %ymm2,%ymm4,%ymm8
  .byte  196,98,13,168,194                   // vfmadd213ps   %ymm2,%ymm14,%ymm8
  .byte  197,213,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%ymm5,%ymm2
  .byte  196,193,109,254,223                 // vpaddd        %ymm15,%ymm2,%ymm3
  .byte  196,194,101,64,218                  // vpmulld       %ymm10,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,44,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm5
  .byte  196,193,101,254,227                 // vpaddd        %ymm11,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,160               // vgatherdps    %ymm6,(%rax,%ymm4,4),%ymm7
  .byte  196,193,101,254,220                 // vpaddd        %ymm12,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,52,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm6
  .byte  197,181,254,210                     // vpaddd        %ymm2,%ymm9,%ymm2
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  196,98,45,146,28,152                // vgatherdps    %ymm10,(%rax,%ymm3,4),%ymm11
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,98,101,146,20,144               // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm10
  .byte  197,220,92,213                      // vsubps        %ymm5,%ymm4,%ymm2
  .byte  196,226,13,168,213                  // vfmadd213ps   %ymm5,%ymm14,%ymm2
  .byte  197,164,92,223                      // vsubps        %ymm7,%ymm11,%ymm3
  .byte  196,226,13,168,223                  // vfmadd213ps   %ymm7,%ymm14,%ymm3
  .byte  197,172,92,230                      // vsubps        %ymm6,%ymm10,%ymm4
  .byte  196,226,13,168,230                  // vfmadd213ps   %ymm6,%ymm14,%ymm4
  .byte  197,252,91,172,36,224,2,0,0         // vcvtdq2ps     0x2e0(%rsp),%ymm5
  .byte  197,252,16,180,36,96,2,0,0          // vmovups       0x260(%rsp),%ymm6
  .byte  197,204,92,237                      // vsubps        %ymm5,%ymm6,%ymm5
  .byte  197,252,16,188,36,192,2,0,0         // vmovups       0x2c0(%rsp),%ymm7
  .byte  197,252,16,116,36,32                // vmovups       0x20(%rsp),%ymm6
  .byte  197,204,92,247                      // vsubps        %ymm7,%ymm6,%ymm6
  .byte  196,226,85,168,247                  // vfmadd213ps   %ymm7,%ymm5,%ymm6
  .byte  197,124,16,148,36,160,2,0,0         // vmovups       0x2a0(%rsp),%ymm10
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  196,193,68,92,250                   // vsubps        %ymm10,%ymm7,%ymm7
  .byte  196,194,85,168,250                  // vfmadd213ps   %ymm10,%ymm5,%ymm7
  .byte  197,124,16,156,36,128,2,0,0         // vmovups       0x280(%rsp),%ymm11
  .byte  197,124,16,148,36,64,2,0,0          // vmovups       0x240(%rsp),%ymm10
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,66,85,168,211                   // vfmadd213ps   %ymm11,%ymm5,%ymm10
  .byte  197,124,16,100,36,192               // vmovups       -0x40(%rsp),%ymm12
  .byte  197,124,16,156,36,224,1,0,0         // vmovups       0x1e0(%rsp),%ymm11
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,66,85,168,220                   // vfmadd213ps   %ymm12,%ymm5,%ymm11
  .byte  197,124,16,172,36,32,2,0,0          // vmovups       0x220(%rsp),%ymm13
  .byte  197,124,16,164,36,192,1,0,0         // vmovups       0x1c0(%rsp),%ymm12
  .byte  196,65,28,92,229                    // vsubps        %ymm13,%ymm12,%ymm12
  .byte  196,66,85,168,229                   // vfmadd213ps   %ymm13,%ymm5,%ymm12
  .byte  197,124,16,180,36,0,2,0,0           // vmovups       0x200(%rsp),%ymm14
  .byte  197,124,16,172,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm13
  .byte  196,65,20,92,238                    // vsubps        %ymm14,%ymm13,%ymm13
  .byte  196,66,85,168,238                   // vfmadd213ps   %ymm14,%ymm5,%ymm13
  .byte  197,252,16,68,36,224                // vmovups       -0x20(%rsp),%ymm0
  .byte  197,124,16,180,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm14
  .byte  197,12,92,240                       // vsubps        %ymm0,%ymm14,%ymm14
  .byte  196,98,85,168,240                   // vfmadd213ps   %ymm0,%ymm5,%ymm14
  .byte  197,252,16,68,36,160                // vmovups       -0x60(%rsp),%ymm0
  .byte  197,124,16,140,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm9
  .byte  197,52,92,248                       // vsubps        %ymm0,%ymm9,%ymm15
  .byte  196,98,85,168,248                   // vfmadd213ps   %ymm0,%ymm5,%ymm15
  .byte  197,252,16,132,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm0
  .byte  197,124,16,140,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm9
  .byte  197,52,92,200                       // vsubps        %ymm0,%ymm9,%ymm9
  .byte  196,98,85,168,200                   // vfmadd213ps   %ymm0,%ymm5,%ymm9
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  196,226,85,168,208                  // vfmadd213ps   %ymm0,%ymm5,%ymm2
  .byte  197,228,92,217                      // vsubps        %ymm1,%ymm3,%ymm3
  .byte  196,226,85,168,217                  // vfmadd213ps   %ymm1,%ymm5,%ymm3
  .byte  196,193,92,92,200                   // vsubps        %ymm8,%ymm4,%ymm1
  .byte  196,194,85,168,200                  // vfmadd213ps   %ymm8,%ymm5,%ymm1
  .byte  197,252,91,132,36,0,3,0,0           // vcvtdq2ps     0x300(%rsp),%ymm0
  .byte  197,252,16,100,36,96                // vmovups       0x60(%rsp),%ymm4
  .byte  197,220,92,192                      // vsubps        %ymm0,%ymm4,%ymm0
  .byte  197,164,92,230                      // vsubps        %ymm6,%ymm11,%ymm4
  .byte  196,226,125,168,230                 // vfmadd213ps   %ymm6,%ymm0,%ymm4
  .byte  197,156,92,239                      // vsubps        %ymm7,%ymm12,%ymm5
  .byte  196,226,125,168,239                 // vfmadd213ps   %ymm7,%ymm0,%ymm5
  .byte  196,193,20,92,242                   // vsubps        %ymm10,%ymm13,%ymm6
  .byte  196,194,125,168,242                 // vfmadd213ps   %ymm10,%ymm0,%ymm6
  .byte  196,193,108,92,214                  // vsubps        %ymm14,%ymm2,%ymm2
  .byte  196,194,125,168,214                 // vfmadd213ps   %ymm14,%ymm0,%ymm2
  .byte  196,193,100,92,223                  // vsubps        %ymm15,%ymm3,%ymm3
  .byte  196,194,125,168,223                 // vfmadd213ps   %ymm15,%ymm0,%ymm3
  .byte  196,193,116,92,249                  // vsubps        %ymm9,%ymm1,%ymm7
  .byte  196,194,125,168,249                 // vfmadd213ps   %ymm9,%ymm0,%ymm7
  .byte  197,252,91,132,36,128,0,0,0         // vcvtdq2ps     0x80(%rsp),%ymm0
  .byte  197,252,16,140,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm1
  .byte  197,116,92,192                      // vsubps        %ymm0,%ymm1,%ymm8
  .byte  197,236,92,196                      // vsubps        %ymm4,%ymm2,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,228,92,205                      // vsubps        %ymm5,%ymm3,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,196,92,214                      // vsubps        %ymm6,%ymm7,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,37,90,2,0         // vbroadcastss  0x25a25(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,16,164,36,32,3,0,0          // vmovups       0x320(%rsp),%ymm4
  .byte  197,252,16,172,36,64,3,0,0          // vmovups       0x340(%rsp),%ymm5
  .byte  197,252,16,180,36,96,3,0,0          // vmovups       0x360(%rsp),%ymm6
  .byte  197,252,16,188,36,128,3,0,0         // vmovups       0x380(%rsp),%ymm7
  .byte  72,129,196,184,3,0,0                // add           $0x3b8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_avx
.globl _sk_start_pipeline_avx
FUNCTION(_sk_start_pipeline_avx)
_sk_start_pipeline_avx:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           7156 <_sk_start_pipeline_avx+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            713c <_sk_start_pipeline_avx+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           711d <_sk_start_pipeline_avx+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            714d <_sk_start_pipeline_avx+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           710f <_sk_start_pipeline_avx+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_avx
.globl _sk_just_return_avx
FUNCTION(_sk_just_return_avx)
_sk_just_return_avx:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_avx
.globl _sk_seed_shader_avx
FUNCTION(_sk_seed_shader_avx)
_sk_seed_shader_avx:
  .byte  197,249,110,194                     // vmovd         %edx,%xmm0
  .byte  197,249,112,192,0                   // vpshufd       $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  197,252,88,5,188,83,2,0             // vaddps        0x253bc(%rip),%ymm0,%ymm0        # 2c540 <_sk_overlay_sse2_8bit+0x77c>
  .byte  197,249,110,201                     // vmovd         %ecx,%xmm1
  .byte  197,249,112,201,0                   // vpshufd       $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,40,89,2,0         // vbroadcastss  0x25928(%rip),%ymm2        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,21,29,89,2,0         // vbroadcastss  0x2591d(%rip),%ymm2        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  197,196,87,255                      // vxorps        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_avx
.globl _sk_dither_avx
FUNCTION(_sk_dither_avx)
_sk_dither_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,194                     // vmovd         %edx,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  197,57,254,13,199,90,2,0            // vpaddd        0x25ac7(%rip),%xmm8,%xmm9        # 2cca0 <_sk_overlay_sse2_8bit+0xedc>
  .byte  197,57,254,5,207,90,2,0             // vpaddd        0x25acf(%rip),%xmm8,%xmm8        # 2ccb0 <_sk_overlay_sse2_8bit+0xeec>
  .byte  196,67,53,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm9,%ymm8
  .byte  197,121,110,201                     // vmovd         %ecx,%xmm9
  .byte  196,65,121,112,201,0                // vpshufd       $0x0,%xmm9,%xmm9
  .byte  196,67,53,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm9,%ymm9
  .byte  196,65,52,87,208                    // vxorps        %ymm8,%ymm9,%ymm10
  .byte  196,98,125,24,29,203,88,2,0         // vbroadcastss  0x258cb(%rip),%ymm11        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,65,44,84,203                    // vandps        %ymm11,%ymm10,%ymm9
  .byte  196,193,25,114,241,5                // vpslld        $0x5,%xmm9,%xmm12
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,5                // vpslld        $0x5,%xmm9,%xmm9
  .byte  196,67,29,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm12,%ymm9
  .byte  196,65,60,84,219                    // vandps        %ymm11,%ymm8,%ymm11
  .byte  196,193,25,114,243,4                // vpslld        $0x4,%xmm11,%xmm12
  .byte  196,67,125,25,219,1                 // vextractf128  $0x1,%ymm11,%xmm11
  .byte  196,193,33,114,243,4                // vpslld        $0x4,%xmm11,%xmm11
  .byte  196,67,29,24,219,1                  // vinsertf128   $0x1,%xmm11,%ymm12,%ymm11
  .byte  196,98,125,24,37,140,88,2,0         // vbroadcastss  0x2588c(%rip),%ymm12        # 2cad4 <_sk_overlay_sse2_8bit+0xd10>
  .byte  196,98,125,24,45,135,88,2,0         // vbroadcastss  0x25887(%rip),%ymm13        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,65,44,84,245                    // vandps        %ymm13,%ymm10,%ymm14
  .byte  196,193,1,114,246,2                 // vpslld        $0x2,%xmm14,%xmm15
  .byte  196,67,125,25,246,1                 // vextractf128  $0x1,%ymm14,%xmm14
  .byte  196,193,9,114,246,2                 // vpslld        $0x2,%xmm14,%xmm14
  .byte  196,67,5,24,246,1                   // vinsertf128   $0x1,%xmm14,%ymm15,%ymm14
  .byte  196,65,60,84,237                    // vandps        %ymm13,%ymm8,%ymm13
  .byte  196,65,17,254,253                   // vpaddd        %xmm13,%xmm13,%xmm15
  .byte  196,67,125,25,237,1                 // vextractf128  $0x1,%ymm13,%xmm13
  .byte  196,65,17,254,237                   // vpaddd        %xmm13,%xmm13,%xmm13
  .byte  196,67,5,24,237,1                   // vinsertf128   $0x1,%xmm13,%ymm15,%ymm13
  .byte  196,65,44,84,212                    // vandps        %ymm12,%ymm10,%ymm10
  .byte  196,193,1,114,210,1                 // vpsrld        $0x1,%xmm10,%xmm15
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,210,1                // vpsrld        $0x1,%xmm10,%xmm10
  .byte  196,67,5,24,210,1                   // vinsertf128   $0x1,%xmm10,%ymm15,%ymm10
  .byte  196,65,60,84,196                    // vandps        %ymm12,%ymm8,%ymm8
  .byte  196,193,25,114,208,2                // vpsrld        $0x2,%xmm8,%xmm12
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,208,2                // vpsrld        $0x2,%xmm8,%xmm8
  .byte  196,67,29,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm12,%ymm8
  .byte  196,65,20,86,219                    // vorps         %ymm11,%ymm13,%ymm11
  .byte  196,65,36,86,192                    // vorps         %ymm8,%ymm11,%ymm8
  .byte  196,65,52,86,206                    // vorps         %ymm14,%ymm9,%ymm9
  .byte  196,65,60,86,193                    // vorps         %ymm9,%ymm8,%ymm8
  .byte  196,65,60,86,194                    // vorps         %ymm10,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,242,87,2,0         // vbroadcastss  0x257f2(%rip),%ymm9        # 2cadc <_sk_overlay_sse2_8bit+0xd18>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,232,87,2,0         // vbroadcastss  0x257e8(%rip),%ymm9        # 2cae0 <_sk_overlay_sse2_8bit+0xd1c>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  197,188,95,210                      // vmaxps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_avx
.globl _sk_uniform_color_avx
FUNCTION(_sk_uniform_color_avx)
_sk_uniform_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_avx
.globl _sk_black_color_avx
FUNCTION(_sk_black_color_avx)
_sk_black_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,112,87,2,0        // vbroadcastss  0x25770(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_avx
.globl _sk_white_color_avx
FUNCTION(_sk_white_color_avx)
_sk_white_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,87,87,2,0          // vbroadcastss  0x25757(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_avx
.globl _sk_load_rgba_avx
FUNCTION(_sk_load_rgba_avx)
_sk_load_rgba_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,0                        // vmovups       (%rax),%ymm0
  .byte  197,252,16,72,32                    // vmovups       0x20(%rax),%ymm1
  .byte  197,252,16,80,64                    // vmovups       0x40(%rax),%ymm2
  .byte  197,252,16,88,96                    // vmovups       0x60(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_avx
.globl _sk_store_rgba_avx
FUNCTION(_sk_store_rgba_avx)
_sk_store_rgba_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,252,17,80,64                    // vmovups       %ymm2,0x40(%rax)
  .byte  197,252,17,88,96                    // vmovups       %ymm3,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_avx
.globl _sk_clear_avx
FUNCTION(_sk_clear_avx)
_sk_clear_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_avx
.globl _sk_srcatop_avx
FUNCTION(_sk_srcatop_avx)
_sk_srcatop_avx:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,98,125,24,5,246,86,2,0          // vbroadcastss  0x256f6(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,204                       // vmulps        %ymm4,%ymm8,%ymm9
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,60,89,205                       // vmulps        %ymm5,%ymm8,%ymm9
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,60,89,206                       // vmulps        %ymm6,%ymm8,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_avx
.globl _sk_dstatop_avx
FUNCTION(_sk_dstatop_avx)
_sk_dstatop_avx:
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  196,98,125,24,13,180,86,2,0         // vbroadcastss  0x256b4(%rip),%ymm9        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,52,92,207                       // vsubps        %ymm7,%ymm9,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,100,89,197                      // vmulps        %ymm5,%ymm3,%ymm8
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,100,89,198                      // vmulps        %ymm6,%ymm3,%ymm8
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,100,89,199                      // vmulps        %ymm7,%ymm3,%ymm8
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_avx
.globl _sk_srcin_avx
FUNCTION(_sk_srcin_avx)
_sk_srcin_avx:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_avx
.globl _sk_dstin_avx
FUNCTION(_sk_dstin_avx)
_sk_dstin_avx:
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_avx
.globl _sk_srcout_avx
FUNCTION(_sk_srcout_avx)
_sk_srcout_avx:
  .byte  196,98,125,24,5,79,86,2,0           // vbroadcastss  0x2564f(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_avx
.globl _sk_dstout_avx
FUNCTION(_sk_dstout_avx)
_sk_dstout_avx:
  .byte  196,226,125,24,5,46,86,2,0          // vbroadcastss  0x2562e(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,92,219                      // vsubps        %ymm3,%ymm0,%ymm3
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_avx
.globl _sk_srcover_avx
FUNCTION(_sk_srcover_avx)
_sk_srcover_avx:
  .byte  196,98,125,24,5,13,86,2,0           // vbroadcastss  0x2560d(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,204                       // vmulps        %ymm4,%ymm8,%ymm9
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  197,60,89,205                       // vmulps        %ymm5,%ymm8,%ymm9
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  197,60,89,206                       // vmulps        %ymm6,%ymm8,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_avx
.globl _sk_dstover_avx
FUNCTION(_sk_dstover_avx)
_sk_dstover_avx:
  .byte  196,98,125,24,5,220,85,2,0          // vbroadcastss  0x255dc(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_avx
.globl _sk_modulate_avx
FUNCTION(_sk_modulate_avx)
_sk_modulate_avx:
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_avx
.globl _sk_multiply_avx
FUNCTION(_sk_multiply_avx)
_sk_multiply_avx:
  .byte  196,98,125,24,5,151,85,2,0          // vbroadcastss  0x25597(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,208                       // vmulps        %ymm0,%ymm9,%ymm10
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  197,52,89,209                       // vmulps        %ymm1,%ymm9,%ymm10
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,210                       // vmulps        %ymm2,%ymm9,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__avx
.globl _sk_plus__avx
FUNCTION(_sk_plus__avx)
_sk_plus__avx:
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,5,38,85,2,0           // vbroadcastss  0x25526(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_avx
.globl _sk_screen_avx
FUNCTION(_sk_screen_avx)
_sk_screen_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,100,88,199                      // vaddps        %ymm7,%ymm3,%ymm8
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__avx
.globl _sk_xor__avx
FUNCTION(_sk_xor__avx)
_sk_xor__avx:
  .byte  196,98,125,24,5,197,84,2,0          // vbroadcastss  0x254c5(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,212                       // vmulps        %ymm4,%ymm8,%ymm10
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,89,213                       // vmulps        %ymm5,%ymm8,%ymm10
  .byte  197,172,88,201                      // vaddps        %ymm1,%ymm10,%ymm1
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_avx
.globl _sk_darken_avx
FUNCTION(_sk_darken_avx)
_sk_darken_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,95,193                  // vmaxps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,95,201                  // vmaxps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,95,209                  // vmaxps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,65,84,2,0           // vbroadcastss  0x25441(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_avx
.globl _sk_lighten_avx
FUNCTION(_sk_lighten_avx)
_sk_lighten_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,233,83,2,0          // vbroadcastss  0x253e9(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_avx
.globl _sk_difference_avx
FUNCTION(_sk_difference_avx)
_sk_difference_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,133,83,2,0          // vbroadcastss  0x25385(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_avx
.globl _sk_exclusion_avx
FUNCTION(_sk_exclusion_avx)
_sk_exclusion_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,60,83,2,0           // vbroadcastss  0x2533c(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_avx
.globl _sk_colorburn_avx
FUNCTION(_sk_colorburn_avx)
_sk_colorburn_avx:
  .byte  196,98,125,24,5,35,83,2,0           // vbroadcastss  0x25323(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,216                       // vmulps        %ymm0,%ymm9,%ymm11
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  196,65,124,194,226,0                // vcmpeqps      %ymm10,%ymm0,%ymm12
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,68,92,236                       // vsubps        %ymm4,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,192                      // vrcpps        %ymm0,%ymm0
  .byte  197,148,89,192                      // vmulps        %ymm0,%ymm13,%ymm0
  .byte  197,60,89,236                       // vmulps        %ymm4,%ymm8,%ymm13
  .byte  197,196,93,192                      // vminps        %ymm0,%ymm7,%ymm0
  .byte  197,196,92,192                      // vsubps        %ymm0,%ymm7,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,92,194,231,0                    // vcmpeqps      %ymm7,%ymm4,%ymm12
  .byte  197,36,88,220                       // vaddps        %ymm4,%ymm11,%ymm11
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,52,89,217                       // vmulps        %ymm1,%ymm9,%ymm11
  .byte  196,65,116,194,226,0                // vcmpeqps      %ymm10,%ymm1,%ymm12
  .byte  197,68,92,237                       // vsubps        %ymm5,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,201                      // vrcpps        %ymm1,%ymm1
  .byte  197,148,89,201                      // vmulps        %ymm1,%ymm13,%ymm1
  .byte  197,60,89,237                       // vmulps        %ymm5,%ymm8,%ymm13
  .byte  197,196,93,201                      // vminps        %ymm1,%ymm7,%ymm1
  .byte  197,196,92,201                      // vsubps        %ymm1,%ymm7,%ymm1
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,84,194,231,0                    // vcmpeqps      %ymm7,%ymm5,%ymm12
  .byte  197,36,88,221                       // vaddps        %ymm5,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,108,194,210,0                // vcmpeqps      %ymm10,%ymm2,%ymm10
  .byte  197,68,92,222                       // vsubps        %ymm6,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,252,83,210                      // vrcpps        %ymm2,%ymm2
  .byte  197,164,89,210                      // vmulps        %ymm2,%ymm11,%ymm2
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  197,196,93,210                      // vminps        %ymm2,%ymm7,%ymm2
  .byte  197,196,92,210                      // vsubps        %ymm2,%ymm7,%ymm2
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,195,109,74,211,160              // vblendvps     %ymm10,%ymm11,%ymm2,%ymm2
  .byte  197,76,194,215,0                    // vcmpeqps      %ymm7,%ymm6,%ymm10
  .byte  197,52,88,206                       // vaddps        %ymm6,%ymm9,%ymm9
  .byte  196,195,109,74,209,160              // vblendvps     %ymm10,%ymm9,%ymm2,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_avx
.globl _sk_colordodge_avx
FUNCTION(_sk_colordodge_avx)
_sk_colordodge_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,13,39,82,2,0          // vbroadcastss  0x25227(%rip),%ymm9        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,52,92,215                       // vsubps        %ymm7,%ymm9,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,52,92,203                       // vsubps        %ymm3,%ymm9,%ymm9
  .byte  197,100,89,228                      // vmulps        %ymm4,%ymm3,%ymm12
  .byte  197,100,92,232                      // vsubps        %ymm0,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,236                       // vmulps        %ymm4,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,36,88,228                    // vaddps        %ymm12,%ymm11,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,232                       // vaddps        %ymm0,%ymm13,%ymm13
  .byte  197,252,194,195,0                   // vcmpeqps      %ymm3,%ymm0,%ymm0
  .byte  196,195,29,74,197,0                 // vblendvps     %ymm0,%ymm13,%ymm12,%ymm0
  .byte  196,65,92,194,224,0                 // vcmpeqps      %ymm8,%ymm4,%ymm12
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,100,89,229                      // vmulps        %ymm5,%ymm3,%ymm12
  .byte  197,100,92,233                      // vsubps        %ymm1,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,237                       // vmulps        %ymm5,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,36,88,228                    // vaddps        %ymm12,%ymm11,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,233                       // vaddps        %ymm1,%ymm13,%ymm13
  .byte  197,244,194,203,0                   // vcmpeqps      %ymm3,%ymm1,%ymm1
  .byte  196,195,29,74,205,16                // vblendvps     %ymm1,%ymm13,%ymm12,%ymm1
  .byte  196,65,84,194,224,0                 // vcmpeqps      %ymm8,%ymm5,%ymm12
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,100,92,226                      // vsubps        %ymm2,%ymm3,%ymm12
  .byte  196,65,124,83,228                   // vrcpps        %ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  197,52,89,230                       // vmulps        %ymm6,%ymm9,%ymm12
  .byte  196,65,68,93,219                    // vminps        %ymm11,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  197,236,194,211,0                   // vcmpeqps      %ymm3,%ymm2,%ymm2
  .byte  196,195,37,74,212,32                // vblendvps     %ymm2,%ymm12,%ymm11,%ymm2
  .byte  196,65,76,194,192,0                 // vcmpeqps      %ymm8,%ymm6,%ymm8
  .byte  196,195,109,74,210,128              // vblendvps     %ymm8,%ymm10,%ymm2,%ymm2
  .byte  197,52,89,199                       // vmulps        %ymm7,%ymm9,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_avx
.globl _sk_hardlight_avx
FUNCTION(_sk_hardlight_avx)
_sk_hardlight_avx:
  .byte  196,98,125,24,5,50,81,2,0           // vbroadcastss  0x25132(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,200                       // vmulps        %ymm0,%ymm10,%ymm9
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,217                    // vaddps        %ymm9,%ymm11,%ymm11
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  197,52,194,227,2                    // vcmpleps      %ymm3,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,60,89,229                       // vmulps        %ymm5,%ymm8,%ymm12
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,116,88,225                      // vaddps        %ymm1,%ymm1,%ymm12
  .byte  197,28,194,227,2                    // vcmpleps      %ymm3,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,108,88,218                      // vaddps        %ymm2,%ymm2,%ymm11
  .byte  197,36,194,219,2                    // vcmpleps      %ymm3,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_avx
.globl _sk_overlay_avx
FUNCTION(_sk_overlay_avx)
_sk_overlay_avx:
  .byte  196,98,125,24,5,87,80,2,0           // vbroadcastss  0x25057(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,200                       // vmulps        %ymm0,%ymm10,%ymm9
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,217                    // vaddps        %ymm9,%ymm11,%ymm11
  .byte  197,92,88,204                       // vaddps        %ymm4,%ymm4,%ymm9
  .byte  197,52,194,231,2                    // vcmpleps      %ymm7,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,60,89,229                       // vmulps        %ymm5,%ymm8,%ymm12
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_avx
.globl _sk_softlight_avx
FUNCTION(_sk_softlight_avx)
_sk_softlight_avx:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,252,40,209                      // vmovaps       %ymm1,%ymm2
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  197,52,194,215,1                    // vcmpltps      %ymm7,%ymm9,%ymm10
  .byte  197,92,94,199                       // vdivps        %ymm7,%ymm4,%ymm8
  .byte  196,67,53,74,224,160                // vblendvps     %ymm10,%ymm8,%ymm9,%ymm12
  .byte  196,65,28,88,196                    // vaddps        %ymm12,%ymm12,%ymm8
  .byte  196,65,60,88,192                    // vaddps        %ymm8,%ymm8,%ymm8
  .byte  196,65,60,89,216                    // vmulps        %ymm8,%ymm8,%ymm11
  .byte  196,65,60,88,195                    // vaddps        %ymm11,%ymm8,%ymm8
  .byte  196,98,125,24,29,94,79,2,0          // vbroadcastss  0x24f5e(%rip),%ymm11        # 2cae4 <_sk_overlay_sse2_8bit+0xd20>
  .byte  196,65,28,88,235                    // vaddps        %ymm11,%ymm12,%ymm13
  .byte  196,65,20,89,192                    // vmulps        %ymm8,%ymm13,%ymm8
  .byte  196,98,125,24,45,79,79,2,0          // vbroadcastss  0x24f4f(%rip),%ymm13        # 2cae8 <_sk_overlay_sse2_8bit+0xd24>
  .byte  196,65,28,89,245                    // vmulps        %ymm13,%ymm12,%ymm14
  .byte  196,65,12,88,192                    // vaddps        %ymm8,%ymm14,%ymm8
  .byte  196,65,124,82,244                   // vrsqrtps      %ymm12,%ymm14
  .byte  196,65,124,83,246                   // vrcpps        %ymm14,%ymm14
  .byte  196,65,12,92,244                    // vsubps        %ymm12,%ymm14,%ymm14
  .byte  197,92,88,252                       // vaddps        %ymm4,%ymm4,%ymm15
  .byte  196,65,4,88,255                     // vaddps        %ymm15,%ymm15,%ymm15
  .byte  197,4,194,255,2                     // vcmpleps      %ymm7,%ymm15,%ymm15
  .byte  196,67,13,74,240,240                // vblendvps     %ymm15,%ymm8,%ymm14,%ymm14
  .byte  197,116,88,249                      // vaddps        %ymm1,%ymm1,%ymm15
  .byte  196,98,125,24,5,249,78,2,0          // vbroadcastss  0x24ef9(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,65,60,92,228                    // vsubps        %ymm12,%ymm8,%ymm12
  .byte  197,132,92,195                      // vsubps        %ymm3,%ymm15,%ymm0
  .byte  196,65,124,89,228                   // vmulps        %ymm12,%ymm0,%ymm12
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,100,89,244                      // vmulps        %ymm4,%ymm3,%ymm14
  .byte  197,140,88,192                      // vaddps        %ymm0,%ymm14,%ymm0
  .byte  197,28,88,227                       // vaddps        %ymm3,%ymm12,%ymm12
  .byte  197,28,89,228                       // vmulps        %ymm4,%ymm12,%ymm12
  .byte  197,4,194,243,2                     // vcmpleps      %ymm3,%ymm15,%ymm14
  .byte  196,195,125,74,196,224              // vblendvps     %ymm14,%ymm12,%ymm0,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,212,94,199                      // vdivps        %ymm7,%ymm5,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,240                      // vaddps        %ymm0,%ymm0,%ymm14
  .byte  196,65,12,88,246                    // vaddps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,89,254                    // vmulps        %ymm14,%ymm14,%ymm15
  .byte  196,65,12,88,247                    // vaddps        %ymm15,%ymm14,%ymm14
  .byte  196,65,124,88,251                   // vaddps        %ymm11,%ymm0,%ymm15
  .byte  196,65,4,89,246                     // vmulps        %ymm14,%ymm15,%ymm14
  .byte  196,65,124,89,253                   // vmulps        %ymm13,%ymm0,%ymm15
  .byte  196,65,4,88,246                     // vaddps        %ymm14,%ymm15,%ymm14
  .byte  197,124,82,248                      // vrsqrtps      %ymm0,%ymm15
  .byte  196,65,124,83,255                   // vrcpps        %ymm15,%ymm15
  .byte  197,4,92,248                        // vsubps        %ymm0,%ymm15,%ymm15
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  196,67,5,74,230,192                 // vblendvps     %ymm12,%ymm14,%ymm15,%ymm12
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,108,88,242                      // vaddps        %ymm2,%ymm2,%ymm14
  .byte  197,12,92,251                       // vsubps        %ymm3,%ymm14,%ymm15
  .byte  197,132,89,192                      // vmulps        %ymm0,%ymm15,%ymm0
  .byte  197,4,89,255                        // vmulps        %ymm7,%ymm15,%ymm15
  .byte  196,65,4,89,228                     // vmulps        %ymm12,%ymm15,%ymm12
  .byte  197,100,89,253                      // vmulps        %ymm5,%ymm3,%ymm15
  .byte  196,65,4,88,228                     // vaddps        %ymm12,%ymm15,%ymm12
  .byte  197,252,88,195                      // vaddps        %ymm3,%ymm0,%ymm0
  .byte  197,252,89,197                      // vmulps        %ymm5,%ymm0,%ymm0
  .byte  197,12,194,243,2                    // vcmpleps      %ymm3,%ymm14,%ymm14
  .byte  196,99,29,74,240,224                // vblendvps     %ymm14,%ymm0,%ymm12,%ymm14
  .byte  197,204,94,199                      // vdivps        %ymm7,%ymm6,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,65,52,89,209                    // vmulps        %ymm9,%ymm9,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,124,88,211                   // vaddps        %ymm11,%ymm0,%ymm10
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,213                   // vmulps        %ymm13,%ymm0,%ymm10
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  197,124,82,208                      // vrsqrtps      %ymm0,%ymm10
  .byte  196,65,124,83,210                   // vrcpps        %ymm10,%ymm10
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  196,65,36,88,219                    // vaddps        %ymm11,%ymm11,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  196,67,45,74,201,176                // vblendvps     %ymm11,%ymm9,%ymm10,%ymm9
  .byte  197,124,16,100,36,200               // vmovups       -0x38(%rsp),%ymm12
  .byte  196,65,28,88,212                    // vaddps        %ymm12,%ymm12,%ymm10
  .byte  197,44,92,219                       // vsubps        %ymm3,%ymm10,%ymm11
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  197,36,89,223                       // vmulps        %ymm7,%ymm11,%ymm11
  .byte  196,65,36,89,201                    // vmulps        %ymm9,%ymm11,%ymm9
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  196,65,36,88,201                    // vaddps        %ymm9,%ymm11,%ymm9
  .byte  197,252,88,195                      // vaddps        %ymm3,%ymm0,%ymm0
  .byte  197,252,89,198                      // vmulps        %ymm6,%ymm0,%ymm0
  .byte  197,44,194,211,2                    // vcmpleps      %ymm3,%ymm10,%ymm10
  .byte  196,99,53,74,200,160                // vblendvps     %ymm10,%ymm0,%ymm9,%ymm9
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,188,89,204                      // vmulps        %ymm4,%ymm8,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,88,68,36,168                // vaddps        -0x58(%rsp),%ymm0,%ymm0
  .byte  197,172,89,202                      // vmulps        %ymm2,%ymm10,%ymm1
  .byte  197,188,89,213                      // vmulps        %ymm5,%ymm8,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,206                  // vaddps        %ymm14,%ymm1,%ymm1
  .byte  196,193,44,89,212                   // vmulps        %ymm12,%ymm10,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_avx
.globl _sk_hue_avx
FUNCTION(_sk_hue_avx)
_sk_hue_avx:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,124,40,193                      // vmovaps       %ymm1,%ymm8
  .byte  197,124,17,68,36,168                // vmovups       %ymm8,-0x58(%rsp)
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,116,89,203                      // vmulps        %ymm3,%ymm1,%ymm9
  .byte  197,60,89,211                       // vmulps        %ymm3,%ymm8,%ymm10
  .byte  197,108,89,219                      // vmulps        %ymm3,%ymm2,%ymm11
  .byte  197,84,95,198                       // vmaxps        %ymm6,%ymm5,%ymm8
  .byte  196,65,92,95,192                    // vmaxps        %ymm8,%ymm4,%ymm8
  .byte  197,84,93,230                       // vminps        %ymm6,%ymm5,%ymm12
  .byte  196,65,92,93,228                    // vminps        %ymm12,%ymm4,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,227                       // vmulps        %ymm3,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,208,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm10
  .byte  196,65,36,92,221                    // vsubps        %ymm13,%ymm11,%ymm11
  .byte  196,65,28,89,219                    // vmulps        %ymm11,%ymm12,%ymm11
  .byte  196,65,36,94,222                    // vdivps        %ymm14,%ymm11,%ymm11
  .byte  196,67,37,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm11,%ymm12
  .byte  196,98,125,24,53,220,76,2,0         // vbroadcastss  0x24cdc(%rip),%ymm14        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,92,89,222                    // vmulps        %ymm14,%ymm4,%ymm11
  .byte  196,98,125,24,61,210,76,2,0         // vbroadcastss  0x24cd2(%rip),%ymm15        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,226,125,24,5,195,76,2,0         // vbroadcastss  0x24cc3(%rip),%ymm0        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  197,76,89,232                       // vmulps        %ymm0,%ymm6,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,65,52,89,238                    // vmulps        %ymm14,%ymm9,%ymm13
  .byte  196,193,44,89,215                   // vmulps        %ymm15,%ymm10,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,28,89,232                       // vmulps        %ymm0,%ymm12,%ymm13
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,52,88,202                       // vaddps        %ymm2,%ymm9,%ymm9
  .byte  197,44,88,218                       // vaddps        %ymm2,%ymm10,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  196,193,36,93,212                   // vminps        %ymm12,%ymm11,%ymm2
  .byte  197,52,93,234                       // vminps        %ymm2,%ymm9,%ymm13
  .byte  196,193,52,89,214                   // vmulps        %ymm14,%ymm9,%ymm2
  .byte  196,65,36,89,215                    // vmulps        %ymm15,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,124,88,210                      // vaddps        %ymm2,%ymm0,%ymm10
  .byte  196,193,52,92,194                   // vsubps        %ymm10,%ymm9,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,44,92,213                   // vsubps        %ymm13,%ymm10,%ymm2
  .byte  197,252,94,194                      // vdivps        %ymm2,%ymm0,%ymm0
  .byte  196,65,36,92,242                    // vsubps        %ymm10,%ymm11,%ymm14
  .byte  196,65,44,89,246                    // vmulps        %ymm14,%ymm10,%ymm14
  .byte  197,12,94,242                       // vdivps        %ymm2,%ymm14,%ymm14
  .byte  196,65,28,92,250                    // vsubps        %ymm10,%ymm12,%ymm15
  .byte  196,65,44,89,255                    // vmulps        %ymm15,%ymm10,%ymm15
  .byte  197,132,94,210                      // vdivps        %ymm2,%ymm15,%ymm2
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,44,88,246                    // vaddps        %ymm14,%ymm10,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,195,109,74,212,208              // vblendvps     %ymm13,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  196,195,125,74,193,208              // vblendvps     %ymm13,%ymm9,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,203                    // vmaxps        %ymm11,%ymm9,%ymm9
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,65,28,92,234                    // vsubps        %ymm10,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,249,1                 // vcmpltps      %ymm9,%ymm12,%ymm15
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,218                    // vsubps        %ymm10,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,108,92,242                   // vsubps        %ymm10,%ymm2,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,208                    // vmaxps        %ymm8,%ymm11,%ymm10
  .byte  196,195,109,74,209,240              // vblendvps     %ymm15,%ymm9,%ymm2,%ymm2
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,112,75,2,0          // vbroadcastss  0x24b70(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,180,89,76,36,168                // vmulps        -0x58(%rsp),%ymm9,%ymm1
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,76,36,200                 // vmulps        -0x38(%rsp),%ymm9,%ymm9
  .byte  197,60,89,198                       // vmulps        %ymm6,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_avx
.globl _sk_saturation_avx
FUNCTION(_sk_saturation_avx)
_sk_saturation_avx:
  .byte  197,124,40,193                      // vmovaps       %ymm1,%ymm8
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,124,95,194                      // vmaxps        %ymm2,%ymm0,%ymm8
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  197,124,93,226                      // vminps        %ymm2,%ymm0,%ymm12
  .byte  196,65,116,93,228                   // vminps        %ymm12,%ymm1,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,231                       // vmulps        %ymm7,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,208,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm10
  .byte  196,65,36,92,221                    // vsubps        %ymm13,%ymm11,%ymm11
  .byte  196,65,28,89,219                    // vmulps        %ymm11,%ymm12,%ymm11
  .byte  196,65,36,94,222                    // vdivps        %ymm14,%ymm11,%ymm11
  .byte  196,67,37,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm11,%ymm12
  .byte  196,98,125,24,53,154,74,2,0         // vbroadcastss  0x24a9a(%rip),%ymm14        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,92,89,222                    // vmulps        %ymm14,%ymm4,%ymm11
  .byte  196,98,125,24,61,144,74,2,0         // vbroadcastss  0x24a90(%rip),%ymm15        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,226,125,24,5,129,74,2,0         // vbroadcastss  0x24a81(%rip),%ymm0        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  197,76,89,232                       // vmulps        %ymm0,%ymm6,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,65,52,89,238                    // vmulps        %ymm14,%ymm9,%ymm13
  .byte  196,193,44,89,215                   // vmulps        %ymm15,%ymm10,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,28,89,232                       // vmulps        %ymm0,%ymm12,%ymm13
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,52,88,202                       // vaddps        %ymm2,%ymm9,%ymm9
  .byte  197,44,88,218                       // vaddps        %ymm2,%ymm10,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  196,193,36,93,212                   // vminps        %ymm12,%ymm11,%ymm2
  .byte  197,52,93,234                       // vminps        %ymm2,%ymm9,%ymm13
  .byte  196,193,52,89,214                   // vmulps        %ymm14,%ymm9,%ymm2
  .byte  196,65,36,89,215                    // vmulps        %ymm15,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,124,88,210                      // vaddps        %ymm2,%ymm0,%ymm10
  .byte  196,193,52,92,194                   // vsubps        %ymm10,%ymm9,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,44,92,213                   // vsubps        %ymm13,%ymm10,%ymm2
  .byte  197,252,94,194                      // vdivps        %ymm2,%ymm0,%ymm0
  .byte  196,65,36,92,242                    // vsubps        %ymm10,%ymm11,%ymm14
  .byte  196,65,44,89,246                    // vmulps        %ymm14,%ymm10,%ymm14
  .byte  197,12,94,242                       // vdivps        %ymm2,%ymm14,%ymm14
  .byte  196,65,28,92,250                    // vsubps        %ymm10,%ymm12,%ymm15
  .byte  196,65,44,89,255                    // vmulps        %ymm15,%ymm10,%ymm15
  .byte  197,132,94,210                      // vdivps        %ymm2,%ymm15,%ymm2
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,44,88,246                    // vaddps        %ymm14,%ymm10,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,195,109,74,212,208              // vblendvps     %ymm13,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  196,195,125,74,193,208              // vblendvps     %ymm13,%ymm9,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,203                    // vmaxps        %ymm11,%ymm9,%ymm9
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,65,28,92,234                    // vsubps        %ymm10,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,249,1                 // vcmpltps      %ymm9,%ymm12,%ymm15
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,218                    // vsubps        %ymm10,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,108,92,242                   // vsubps        %ymm10,%ymm2,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,208                    // vmaxps        %ymm8,%ymm11,%ymm10
  .byte  196,195,109,74,209,240              // vblendvps     %ymm15,%ymm9,%ymm2,%ymm2
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,46,73,2,0           // vbroadcastss  0x2492e(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,180,89,76,36,168                // vmulps        -0x58(%rsp),%ymm9,%ymm1
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,76,36,200                 // vmulps        -0x38(%rsp),%ymm9,%ymm9
  .byte  197,60,89,198                       // vmulps        %ymm6,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_avx
.globl _sk_color_avx
FUNCTION(_sk_color_avx)
_sk_color_avx:
  .byte  197,252,17,84,36,136                // vmovups       %ymm2,-0x78(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,124,89,199                      // vmulps        %ymm7,%ymm0,%ymm8
  .byte  197,116,89,207                      // vmulps        %ymm7,%ymm1,%ymm9
  .byte  196,98,125,24,45,224,72,2,0         // vbroadcastss  0x248e0(%rip),%ymm13        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,92,89,213                    // vmulps        %ymm13,%ymm4,%ymm10
  .byte  196,98,125,24,53,214,72,2,0         // vbroadcastss  0x248d6(%rip),%ymm14        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,84,89,222                    // vmulps        %ymm14,%ymm5,%ymm11
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,61,199,72,2,0         // vbroadcastss  0x248c7(%rip),%ymm15        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,65,76,89,223                    // vmulps        %ymm15,%ymm6,%ymm11
  .byte  196,193,44,88,195                   // vaddps        %ymm11,%ymm10,%ymm0
  .byte  196,65,60,89,221                    // vmulps        %ymm13,%ymm8,%ymm11
  .byte  196,65,52,89,230                    // vmulps        %ymm14,%ymm9,%ymm12
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,108,89,231                      // vmulps        %ymm7,%ymm2,%ymm12
  .byte  196,65,28,89,215                    // vmulps        %ymm15,%ymm12,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,60,88,192                       // vaddps        %ymm0,%ymm8,%ymm8
  .byte  197,52,88,208                       // vaddps        %ymm0,%ymm9,%ymm10
  .byte  197,28,88,216                       // vaddps        %ymm0,%ymm12,%ymm11
  .byte  196,193,44,93,195                   // vminps        %ymm11,%ymm10,%ymm0
  .byte  197,60,93,224                       // vminps        %ymm0,%ymm8,%ymm12
  .byte  196,193,60,89,197                   // vmulps        %ymm13,%ymm8,%ymm0
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,193,60,92,193                   // vsubps        %ymm9,%ymm8,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,65,52,92,236                    // vsubps        %ymm12,%ymm9,%ymm13
  .byte  196,193,124,94,197                  // vdivps        %ymm13,%ymm0,%ymm0
  .byte  196,65,44,92,241                    // vsubps        %ymm9,%ymm10,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  196,65,12,94,245                    // vdivps        %ymm13,%ymm14,%ymm14
  .byte  196,65,36,92,249                    // vsubps        %ymm9,%ymm11,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  196,65,4,94,237                     // vdivps        %ymm13,%ymm15,%ymm13
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,65,4,194,228,2                  // vcmpleps      %ymm12,%ymm15,%ymm12
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,242,192                // vblendvps     %ymm12,%ymm10,%ymm14,%ymm14
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,88,237                    // vaddps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,200,192              // vblendvps     %ymm12,%ymm8,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,60,95,194                    // vmaxps        %ymm10,%ymm8,%ymm8
  .byte  196,65,116,92,209                   // vsubps        %ymm9,%ymm1,%ymm10
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,192,1                // vcmpltps      %ymm8,%ymm12,%ymm0
  .byte  196,65,60,92,193                    // vsubps        %ymm9,%ymm8,%ymm8
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,12,92,209                    // vsubps        %ymm9,%ymm14,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,67,13,74,210,0                  // vblendvps     %ymm0,%ymm10,%ymm14,%ymm10
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,192                    // vdivps        %ymm8,%ymm13,%ymm8
  .byte  196,65,52,88,192                    // vaddps        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,95,207                  // vmaxps        %ymm15,%ymm1,%ymm1
  .byte  196,65,44,95,207                    // vmaxps        %ymm15,%ymm10,%ymm9
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,65,124,95,199                   // vmaxps        %ymm15,%ymm0,%ymm8
  .byte  196,226,125,24,5,98,71,2,0          // vbroadcastss  0x24762(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  197,164,89,196                      // vmulps        %ymm4,%ymm11,%ymm0
  .byte  197,252,88,194                      // vaddps        %ymm2,%ymm0,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  197,164,89,213                      // vmulps        %ymm5,%ymm11,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,136                // vmulps        -0x78(%rsp),%ymm10,%ymm2
  .byte  197,36,89,206                       // vmulps        %ymm6,%ymm11,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  196,193,108,88,208                  // vaddps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_avx
.globl _sk_luminosity_avx
FUNCTION(_sk_luminosity_avx)
_sk_luminosity_avx:
  .byte  197,124,40,226                      // vmovaps       %ymm2,%ymm12
  .byte  197,124,17,100,36,168               // vmovups       %ymm12,-0x58(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,98,125,24,45,16,71,2,0          // vbroadcastss  0x24710(%rip),%ymm13        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,108,89,213                   // vmulps        %ymm13,%ymm2,%ymm10
  .byte  196,98,125,24,53,6,71,2,0           // vbroadcastss  0x24706(%rip),%ymm14        # 2caf0 <_sk_overlay_sse2_8bit+0xd2c>
  .byte  196,65,116,89,222                   // vmulps        %ymm14,%ymm1,%ymm11
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,61,247,70,2,0         // vbroadcastss  0x246f7(%rip),%ymm15        # 2caf4 <_sk_overlay_sse2_8bit+0xd30>
  .byte  196,65,28,89,223                    // vmulps        %ymm15,%ymm12,%ymm11
  .byte  196,193,44,88,195                   // vaddps        %ymm11,%ymm10,%ymm0
  .byte  196,65,60,89,221                    // vmulps        %ymm13,%ymm8,%ymm11
  .byte  196,65,52,89,230                    // vmulps        %ymm14,%ymm9,%ymm12
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,100,89,230                      // vmulps        %ymm6,%ymm3,%ymm12
  .byte  196,65,28,89,215                    // vmulps        %ymm15,%ymm12,%ymm10
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,60,88,192                       // vaddps        %ymm0,%ymm8,%ymm8
  .byte  197,52,88,208                       // vaddps        %ymm0,%ymm9,%ymm10
  .byte  197,28,88,216                       // vaddps        %ymm0,%ymm12,%ymm11
  .byte  196,193,44,93,195                   // vminps        %ymm11,%ymm10,%ymm0
  .byte  197,60,93,224                       // vminps        %ymm0,%ymm8,%ymm12
  .byte  196,193,60,89,197                   // vmulps        %ymm13,%ymm8,%ymm0
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,193,60,92,193                   // vsubps        %ymm9,%ymm8,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,65,52,92,236                    // vsubps        %ymm12,%ymm9,%ymm13
  .byte  196,193,124,94,197                  // vdivps        %ymm13,%ymm0,%ymm0
  .byte  196,65,44,92,241                    // vsubps        %ymm9,%ymm10,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  196,65,12,94,245                    // vdivps        %ymm13,%ymm14,%ymm14
  .byte  196,65,36,92,249                    // vsubps        %ymm9,%ymm11,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  196,65,4,94,237                     // vdivps        %ymm13,%ymm15,%ymm13
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,65,4,194,228,2                  // vcmpleps      %ymm12,%ymm15,%ymm12
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,242,192                // vblendvps     %ymm12,%ymm10,%ymm14,%ymm14
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,88,237                    // vaddps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,200,192              // vblendvps     %ymm12,%ymm8,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,60,95,194                    // vmaxps        %ymm10,%ymm8,%ymm8
  .byte  196,65,116,92,209                   // vsubps        %ymm9,%ymm1,%ymm10
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,192,1                // vcmpltps      %ymm8,%ymm12,%ymm0
  .byte  196,65,60,92,193                    // vsubps        %ymm9,%ymm8,%ymm8
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,12,92,209                    // vsubps        %ymm9,%ymm14,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,67,13,74,210,0                  // vblendvps     %ymm0,%ymm10,%ymm14,%ymm10
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,192                    // vdivps        %ymm8,%ymm13,%ymm8
  .byte  196,65,52,88,192                    // vaddps        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,95,207                  // vmaxps        %ymm15,%ymm1,%ymm1
  .byte  196,65,44,95,207                    // vmaxps        %ymm15,%ymm10,%ymm9
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,65,124,95,199                   // vmaxps        %ymm15,%ymm0,%ymm8
  .byte  196,226,125,24,5,146,69,2,0         // vbroadcastss  0x24592(%rip),%ymm0        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  197,164,89,196                      // vmulps        %ymm4,%ymm11,%ymm0
  .byte  197,252,88,194                      // vaddps        %ymm2,%ymm0,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  197,164,89,213                      // vmulps        %ymm5,%ymm11,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  197,36,89,206                       // vmulps        %ymm6,%ymm11,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  196,193,108,88,208                  // vaddps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_avx
.globl _sk_srcover_rgba_8888_avx
FUNCTION(_sk_srcover_rgba_8888_avx)
_sk_srcover_rgba_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,42,1,0,0                     // jne           86cf <_sk_srcover_rgba_8888_avx+0x14a>
  .byte  196,1,125,16,4,152                  // vmovupd       (%r8,%r11,4),%ymm8
  .byte  197,125,40,13,173,63,2,0            // vmovapd       0x23fad(%rip),%ymm9        # 2c560 <_sk_overlay_sse2_8bit+0x79c>
  .byte  196,193,61,84,225                   // vandpd        %ymm9,%ymm8,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,81,114,208,8                // vpsrld        $0x8,%xmm8,%xmm5
  .byte  196,99,125,25,199,1                 // vextractf128  $0x1,%ymm8,%xmm7
  .byte  197,201,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,85,84,233                   // vandpd        %ymm9,%ymm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,41,114,208,16               // vpsrld        $0x10,%xmm8,%xmm10
  .byte  197,201,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm6
  .byte  196,227,45,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm10,%ymm6
  .byte  196,193,77,84,241                   // vandpd        %ymm9,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,61,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm8,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,184,68,2,0          // vbroadcastss  0x244b8(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,125,24,13,215,68,2,0         // vbroadcastss  0x244d7(%rip),%ymm9        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,60,89,212                       // vmulps        %ymm4,%ymm8,%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  197,60,89,213                       // vmulps        %ymm5,%ymm8,%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  197,125,91,201                      // vcvtps2dq     %ymm1,%ymm9
  .byte  196,193,41,114,241,8                // vpslld        $0x8,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,8                // vpslld        $0x8,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  197,125,91,202                      // vcvtps2dq     %ymm2,%ymm9
  .byte  196,193,41,114,241,16               // vpslld        $0x10,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,16               // vpslld        $0x10,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  197,125,91,211                      // vcvtps2dq     %ymm3,%ymm10
  .byte  196,193,33,114,242,24               // vpslld        $0x18,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,24               // vpslld        $0x18,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,53,86,202                    // vorpd         %ymm10,%ymm9,%ymm9
  .byte  196,65,61,86,193                    // vorpd         %ymm9,%ymm8,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           8707 <_sk_srcover_rgba_8888_avx+0x182>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,195,254,255,255              // ja            85ab <_sk_srcover_rgba_8888_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,5,1,0,0                   // lea           0x105(%rip),%r10        # 87f8 <_sk_srcover_rgba_8888_avx+0x273>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,4,152                  // vmovss        (%r8,%r11,4),%xmm8
  .byte  233,164,254,255,255                 // jmpq          85ab <_sk_srcover_rgba_8888_avx+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,180                             // ja            86cb <_sk_srcover_rgba_8888_avx+0x146>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,242,0,0,0                 // lea           0xf2(%rip),%r9        # 8814 <_sk_srcover_rgba_8888_avx+0x28f>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,152                             // jmp           86cb <_sk_srcover_rgba_8888_avx+0x146>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,196,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm8
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,61,13,196,1                  // vblendpd      $0x1,%ymm4,%ymm8,%ymm8
  .byte  233,81,254,255,255                  // jmpq          85ab <_sk_srcover_rgba_8888_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,196,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm8
  .byte  196,99,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,61,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm8,%ymm8
  .byte  196,99,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,61,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm8,%ymm8
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,192,12                 // vblendpd      $0xc,%ymm8,%ymm4,%ymm8
  .byte  233,252,253,255,255                 // jmpq          85ab <_sk_srcover_rgba_8888_avx+0x26>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  233,9,255,255,255                   // jmpq          86cb <_sk_srcover_rgba_8888_avx+0x146>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  233,213,254,255,255                 // jmpq          86cb <_sk_srcover_rgba_8888_avx+0x146>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  4,255                               // add           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,81,255                          // callq         *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  59,255                              // cmp           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,166,255,255,255,146             // jmpq          *-0x6d000001(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  126,255                             // jle           880d <_sk_srcover_rgba_8888_avx+0x288>
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,23                              // callq         *(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,163,255,255,255,155             // jmpq          *-0x64000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  188,255,255,255,174                 // mov           $0xaeffffff,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_clamp_0_avx
.globl _sk_clamp_0_avx
FUNCTION(_sk_clamp_0_avx)
_sk_clamp_0_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_avx
.globl _sk_clamp_1_avx
FUNCTION(_sk_clamp_1_avx)
_sk_clamp_1_avx:
  .byte  196,98,125,24,5,118,66,2,0          // vbroadcastss  0x24276(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_avx
.globl _sk_clamp_a_avx
FUNCTION(_sk_clamp_a_avx)
_sk_clamp_a_avx:
  .byte  196,98,125,24,5,85,66,2,0           // vbroadcastss  0x24255(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_avx
.globl _sk_clamp_a_dst_avx
FUNCTION(_sk_clamp_a_dst_avx)
_sk_clamp_a_dst_avx:
  .byte  196,98,125,24,5,55,66,2,0           // vbroadcastss  0x24237(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,68,93,248                   // vminps        %ymm8,%ymm7,%ymm7
  .byte  197,220,93,231                      // vminps        %ymm7,%ymm4,%ymm4
  .byte  197,212,93,239                      // vminps        %ymm7,%ymm5,%ymm5
  .byte  197,204,93,247                      // vminps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_avx
.globl _sk_set_rgb_avx
FUNCTION(_sk_set_rgb_avx)
_sk_set_rgb_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_avx
.globl _sk_swap_rb_avx
FUNCTION(_sk_swap_rb_avx)
_sk_swap_rb_avx:
  .byte  197,124,40,192                      // vmovaps       %ymm0,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,124,41,194                      // vmovaps       %ymm8,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_avx
.globl _sk_invert_avx
FUNCTION(_sk_invert_avx)
_sk_invert_avx:
  .byte  196,98,125,24,5,242,65,2,0          // vbroadcastss  0x241f2(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_avx
.globl _sk_move_src_dst_avx
FUNCTION(_sk_move_src_dst_avx)
_sk_move_src_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,242                      // vmovaps       %ymm2,%ymm6
  .byte  197,252,40,251                      // vmovaps       %ymm3,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_avx
.globl _sk_move_dst_src_avx
FUNCTION(_sk_move_dst_src_avx)
_sk_move_dst_src_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,196                      // vmovaps       %ymm4,%ymm0
  .byte  197,252,40,205                      // vmovaps       %ymm5,%ymm1
  .byte  197,252,40,214                      // vmovaps       %ymm6,%ymm2
  .byte  197,252,40,223                      // vmovaps       %ymm7,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_avx
.globl _sk_premul_avx
FUNCTION(_sk_premul_avx)
_sk_premul_avx:
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_avx
.globl _sk_premul_dst_avx
FUNCTION(_sk_premul_dst_avx)
_sk_premul_dst_avx:
  .byte  197,220,89,231                      // vmulps        %ymm7,%ymm4,%ymm4
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_avx
.globl _sk_unpremul_avx
FUNCTION(_sk_unpremul_avx)
_sk_unpremul_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,100,194,200,0                // vcmpeqps      %ymm8,%ymm3,%ymm9
  .byte  196,98,125,24,21,130,65,2,0         // vbroadcastss  0x24182(%rip),%ymm10        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,44,94,211                       // vdivps        %ymm3,%ymm10,%ymm10
  .byte  196,67,45,74,192,144                // vblendvps     %ymm9,%ymm8,%ymm10,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_avx
.globl _sk_from_srgb_avx
FUNCTION(_sk_from_srgb_avx)
_sk_from_srgb_avx:
  .byte  196,98,125,24,5,143,65,2,0          // vbroadcastss  0x2418f(%rip),%ymm8        # 2cafc <_sk_overlay_sse2_8bit+0xd38>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  197,124,89,208                      // vmulps        %ymm0,%ymm0,%ymm10
  .byte  196,98,125,24,29,109,65,2,0         // vbroadcastss  0x2416d(%rip),%ymm11        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,124,89,227                   // vmulps        %ymm11,%ymm0,%ymm12
  .byte  196,98,125,24,45,115,65,2,0         // vbroadcastss  0x24173(%rip),%ymm13        # 2cb00 <_sk_overlay_sse2_8bit+0xd3c>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,100,65,2,0         // vbroadcastss  0x24164(%rip),%ymm12        # 2cb04 <_sk_overlay_sse2_8bit+0xd40>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,53,90,65,2,0          // vbroadcastss  0x2415a(%rip),%ymm14        # 2cb08 <_sk_overlay_sse2_8bit+0xd44>
  .byte  196,193,124,194,198,1               // vcmpltps      %ymm14,%ymm0,%ymm0
  .byte  196,195,45,74,193,0                 // vblendvps     %ymm0,%ymm9,%ymm10,%ymm0
  .byte  196,65,116,89,200                   // vmulps        %ymm8,%ymm1,%ymm9
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,65,116,89,251                   // vmulps        %ymm11,%ymm1,%ymm15
  .byte  196,65,4,88,253                     // vaddps        %ymm13,%ymm15,%ymm15
  .byte  196,65,44,89,215                    // vmulps        %ymm15,%ymm10,%ymm10
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,193,116,194,206,1               // vcmpltps      %ymm14,%ymm1,%ymm1
  .byte  196,195,45,74,201,16                // vblendvps     %ymm1,%ymm9,%ymm10,%ymm1
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  197,108,89,202                      // vmulps        %ymm2,%ymm2,%ymm9
  .byte  196,65,108,89,211                   // vmulps        %ymm11,%ymm2,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,52,88,204                    // vaddps        %ymm12,%ymm9,%ymm9
  .byte  196,193,108,194,214,1               // vcmpltps      %ymm14,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_avx
.globl _sk_from_srgb_dst_avx
FUNCTION(_sk_from_srgb_dst_avx)
_sk_from_srgb_dst_avx:
  .byte  196,98,125,24,5,227,64,2,0          // vbroadcastss  0x240e3(%rip),%ymm8        # 2cafc <_sk_overlay_sse2_8bit+0xd38>
  .byte  196,65,92,89,200                    // vmulps        %ymm8,%ymm4,%ymm9
  .byte  197,92,89,212                       // vmulps        %ymm4,%ymm4,%ymm10
  .byte  196,98,125,24,29,193,64,2,0         // vbroadcastss  0x240c1(%rip),%ymm11        # 2caec <_sk_overlay_sse2_8bit+0xd28>
  .byte  196,65,92,89,227                    // vmulps        %ymm11,%ymm4,%ymm12
  .byte  196,98,125,24,45,199,64,2,0         // vbroadcastss  0x240c7(%rip),%ymm13        # 2cb00 <_sk_overlay_sse2_8bit+0xd3c>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,184,64,2,0         // vbroadcastss  0x240b8(%rip),%ymm12        # 2cb04 <_sk_overlay_sse2_8bit+0xd40>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,53,174,64,2,0         // vbroadcastss  0x240ae(%rip),%ymm14        # 2cb08 <_sk_overlay_sse2_8bit+0xd44>
  .byte  196,193,92,194,230,1                // vcmpltps      %ymm14,%ymm4,%ymm4
  .byte  196,195,45,74,225,64                // vblendvps     %ymm4,%ymm9,%ymm10,%ymm4
  .byte  196,65,84,89,200                    // vmulps        %ymm8,%ymm5,%ymm9
  .byte  197,84,89,213                       // vmulps        %ymm5,%ymm5,%ymm10
  .byte  196,65,84,89,251                    // vmulps        %ymm11,%ymm5,%ymm15
  .byte  196,65,4,88,253                     // vaddps        %ymm13,%ymm15,%ymm15
  .byte  196,65,44,89,215                    // vmulps        %ymm15,%ymm10,%ymm10
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,193,84,194,238,1                // vcmpltps      %ymm14,%ymm5,%ymm5
  .byte  196,195,45,74,233,80                // vblendvps     %ymm5,%ymm9,%ymm10,%ymm5
  .byte  196,65,76,89,192                    // vmulps        %ymm8,%ymm6,%ymm8
  .byte  197,76,89,206                       // vmulps        %ymm6,%ymm6,%ymm9
  .byte  196,65,76,89,211                    // vmulps        %ymm11,%ymm6,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,52,88,204                    // vaddps        %ymm12,%ymm9,%ymm9
  .byte  196,193,76,194,246,1                // vcmpltps      %ymm14,%ymm6,%ymm6
  .byte  196,195,53,74,240,96                // vblendvps     %ymm6,%ymm8,%ymm9,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_avx
.globl _sk_to_srgb_avx
FUNCTION(_sk_to_srgb_avx)
_sk_to_srgb_avx:
  .byte  197,124,82,200                      // vrsqrtps      %ymm0,%ymm9
  .byte  196,98,125,24,5,67,64,2,0           // vbroadcastss  0x24043(%rip),%ymm8        # 2cb0c <_sk_overlay_sse2_8bit+0xd48>
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,29,61,64,2,0          // vbroadcastss  0x2403d(%rip),%ymm11        # 2cb14 <_sk_overlay_sse2_8bit+0xd50>
  .byte  196,65,52,89,227                    // vmulps        %ymm11,%ymm9,%ymm12
  .byte  196,98,125,24,45,43,64,2,0          // vbroadcastss  0x2402b(%rip),%ymm13        # 2cb10 <_sk_overlay_sse2_8bit+0xd4c>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,52,89,228                    // vmulps        %ymm12,%ymm9,%ymm12
  .byte  196,98,125,24,53,32,64,2,0          // vbroadcastss  0x24020(%rip),%ymm14        # 2cb18 <_sk_overlay_sse2_8bit+0xd54>
  .byte  196,65,28,88,230                    // vaddps        %ymm14,%ymm12,%ymm12
  .byte  196,98,125,24,61,22,64,2,0          // vbroadcastss  0x24016(%rip),%ymm15        # 2cb1c <_sk_overlay_sse2_8bit+0xd58>
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,204                    // vmulps        %ymm12,%ymm9,%ymm9
  .byte  196,98,125,24,37,2,64,2,0           // vbroadcastss  0x24002(%rip),%ymm12        # 2cb20 <_sk_overlay_sse2_8bit+0xd5c>
  .byte  196,193,124,194,196,1               // vcmpltps      %ymm12,%ymm0,%ymm0
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  197,124,82,201                      // vrsqrtps      %ymm1,%ymm9
  .byte  196,65,52,89,211                    // vmulps        %ymm11,%ymm9,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,214                    // vaddps        %ymm14,%ymm10,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,193,116,194,204,1               // vcmpltps      %ymm12,%ymm1,%ymm1
  .byte  196,195,53,74,202,16                // vblendvps     %ymm1,%ymm10,%ymm9,%ymm1
  .byte  197,124,82,202                      // vrsqrtps      %ymm2,%ymm9
  .byte  196,65,52,89,211                    // vmulps        %ymm11,%ymm9,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,214                    // vaddps        %ymm14,%ymm10,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,193,108,194,212,1               // vcmpltps      %ymm12,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_avx
.globl _sk_rgb_to_hsl_avx
FUNCTION(_sk_rgb_to_hsl_avx)
_sk_rgb_to_hsl_avx:
  .byte  197,116,95,194                      // vmaxps        %ymm2,%ymm1,%ymm8
  .byte  196,65,124,95,192                   // vmaxps        %ymm8,%ymm0,%ymm8
  .byte  197,116,93,202                      // vminps        %ymm2,%ymm1,%ymm9
  .byte  196,65,124,93,201                   // vminps        %ymm9,%ymm0,%ymm9
  .byte  196,65,60,92,209                    // vsubps        %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,29,14,63,2,0          // vbroadcastss  0x23f0e(%rip),%ymm11        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  197,116,92,226                      // vsubps        %ymm2,%ymm1,%ymm12
  .byte  196,65,28,89,227                    // vmulps        %ymm11,%ymm12,%ymm12
  .byte  197,116,194,234,1                   // vcmpltps      %ymm2,%ymm1,%ymm13
  .byte  197,60,194,241,0                    // vcmpeqps      %ymm1,%ymm8,%ymm14
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  196,193,108,89,211                  // vmulps        %ymm11,%ymm2,%ymm2
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,193,116,89,203                  // vmulps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,59,63,2,0          // vbroadcastss  0x23f3b(%rip),%ymm11        # 2cb2c <_sk_overlay_sse2_8bit+0xd68>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,41,63,2,0          // vbroadcastss  0x23f29(%rip),%ymm11        # 2cb28 <_sk_overlay_sse2_8bit+0xd64>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,227,117,74,202,224              // vblendvps     %ymm14,%ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,17,63,2,0         // vbroadcastss  0x23f11(%rip),%ymm2        # 2cb24 <_sk_overlay_sse2_8bit+0xd60>
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,227,13,74,210,208               // vblendvps     %ymm13,%ymm2,%ymm14,%ymm2
  .byte  197,188,194,192,0                   // vcmpeqps      %ymm0,%ymm8,%ymm0
  .byte  196,193,108,88,212                  // vaddps        %ymm12,%ymm2,%ymm2
  .byte  196,227,117,74,194,0                // vblendvps     %ymm0,%ymm2,%ymm1,%ymm0
  .byte  196,193,60,88,201                   // vaddps        %ymm9,%ymm8,%ymm1
  .byte  196,98,125,24,37,140,62,2,0         // vbroadcastss  0x23e8c(%rip),%ymm12        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,116,89,212                  // vmulps        %ymm12,%ymm1,%ymm2
  .byte  197,28,194,226,1                    // vcmpltps      %ymm2,%ymm12,%ymm12
  .byte  196,65,36,92,216                    // vsubps        %ymm8,%ymm11,%ymm11
  .byte  196,65,36,92,217                    // vsubps        %ymm9,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  196,65,60,194,193,0                 // vcmpeqps      %ymm9,%ymm8,%ymm8
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  196,195,125,74,198,128              // vblendvps     %ymm8,%ymm14,%ymm0,%ymm0
  .byte  196,195,117,74,206,128              // vblendvps     %ymm8,%ymm14,%ymm1,%ymm1
  .byte  196,98,125,24,5,187,62,2,0          // vbroadcastss  0x23ebb(%rip),%ymm8        # 2cb30 <_sk_overlay_sse2_8bit+0xd6c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_avx
.globl _sk_hsl_to_rgb_avx
FUNCTION(_sk_hsl_to_rgb_avx)
_sk_hsl_to_rgb_avx:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,225                      // vmovaps       %ymm1,%ymm4
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  196,98,125,24,5,24,62,2,0           // vbroadcastss  0x23e18(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,60,194,202,2                    // vcmpleps      %ymm2,%ymm8,%ymm9
  .byte  197,92,89,210                       // vmulps        %ymm2,%ymm4,%ymm10
  .byte  196,65,92,92,218                    // vsubps        %ymm10,%ymm4,%ymm11
  .byte  196,67,45,74,203,144                // vblendvps     %ymm9,%ymm11,%ymm10,%ymm9
  .byte  197,52,88,210                       // vaddps        %ymm2,%ymm9,%ymm10
  .byte  197,108,88,202                      // vaddps        %ymm2,%ymm2,%ymm9
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,29,90,62,2,0          // vbroadcastss  0x23e5a(%rip),%ymm11        # 2cb34 <_sk_overlay_sse2_8bit+0xd70>
  .byte  196,65,100,88,219                   // vaddps        %ymm11,%ymm3,%ymm11
  .byte  196,67,125,8,227,1                  // vroundps      $0x1,%ymm11,%ymm12
  .byte  196,65,36,92,252                    // vsubps        %ymm12,%ymm11,%ymm15
  .byte  196,65,44,92,217                    // vsubps        %ymm9,%ymm10,%ymm11
  .byte  196,98,125,24,37,44,62,2,0          // vbroadcastss  0x23e2c(%rip),%ymm12        # 2cb24 <_sk_overlay_sse2_8bit+0xd60>
  .byte  196,193,4,89,196                    // vmulps        %ymm12,%ymm15,%ymm0
  .byte  196,98,125,24,45,38,62,2,0          // vbroadcastss  0x23e26(%rip),%ymm13        # 2cb2c <_sk_overlay_sse2_8bit+0xd68>
  .byte  197,20,92,240                       // vsubps        %ymm0,%ymm13,%ymm14
  .byte  196,65,36,89,246                    // vmulps        %ymm14,%ymm11,%ymm14
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,226,125,24,13,27,62,2,0         // vbroadcastss  0x23e1b(%rip),%ymm1        # 2cb38 <_sk_overlay_sse2_8bit+0xd74>
  .byte  196,193,116,194,255,2               // vcmpleps      %ymm15,%ymm1,%ymm7
  .byte  196,195,13,74,249,112               // vblendvps     %ymm7,%ymm9,%ymm14,%ymm7
  .byte  196,65,60,194,247,2                 // vcmpleps      %ymm15,%ymm8,%ymm14
  .byte  196,227,45,74,255,224               // vblendvps     %ymm14,%ymm7,%ymm10,%ymm7
  .byte  196,98,125,24,53,242,61,2,0         // vbroadcastss  0x23df2(%rip),%ymm14        # 2cb30 <_sk_overlay_sse2_8bit+0xd6c>
  .byte  196,65,12,194,255,2                 // vcmpleps      %ymm15,%ymm14,%ymm15
  .byte  196,193,124,89,195                  // vmulps        %ymm11,%ymm0,%ymm0
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,99,125,74,255,240               // vblendvps     %ymm15,%ymm7,%ymm0,%ymm15
  .byte  196,227,125,8,195,1                 // vroundps      $0x1,%ymm3,%ymm0
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,252                  // vmulps        %ymm12,%ymm0,%ymm7
  .byte  197,148,92,247                      // vsubps        %ymm7,%ymm13,%ymm6
  .byte  197,164,89,246                      // vmulps        %ymm6,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  197,244,194,232,2                   // vcmpleps      %ymm0,%ymm1,%ymm5
  .byte  196,195,77,74,233,80                // vblendvps     %ymm5,%ymm9,%ymm6,%ymm5
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,237,96                // vblendvps     %ymm6,%ymm5,%ymm10,%ymm5
  .byte  197,140,194,192,2                   // vcmpleps      %ymm0,%ymm14,%ymm0
  .byte  197,164,89,247                      // vmulps        %ymm7,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  196,227,77,74,237,0                 // vblendvps     %ymm0,%ymm5,%ymm6,%ymm5
  .byte  196,226,125,24,5,156,61,2,0         // vbroadcastss  0x23d9c(%rip),%ymm0        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  197,228,88,192                      // vaddps        %ymm0,%ymm3,%ymm0
  .byte  196,227,125,8,216,1                 // vroundps      $0x1,%ymm0,%ymm3
  .byte  197,252,92,195                      // vsubps        %ymm3,%ymm0,%ymm0
  .byte  197,244,194,200,2                   // vcmpleps      %ymm0,%ymm1,%ymm1
  .byte  196,193,124,89,220                  // vmulps        %ymm12,%ymm0,%ymm3
  .byte  197,148,92,243                      // vsubps        %ymm3,%ymm13,%ymm6
  .byte  197,164,89,246                      // vmulps        %ymm6,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  196,195,77,74,201,16                // vblendvps     %ymm1,%ymm9,%ymm6,%ymm1
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,201,96                // vblendvps     %ymm6,%ymm1,%ymm10,%ymm1
  .byte  197,140,194,192,2                   // vcmpleps      %ymm0,%ymm14,%ymm0
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  197,180,88,219                      // vaddps        %ymm3,%ymm9,%ymm3
  .byte  196,227,101,74,217,0                // vblendvps     %ymm0,%ymm1,%ymm3,%ymm3
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,220,194,224,0                   // vcmpeqps      %ymm0,%ymm4,%ymm4
  .byte  196,227,5,74,194,64                 // vblendvps     %ymm4,%ymm2,%ymm15,%ymm0
  .byte  196,227,85,74,202,64                // vblendvps     %ymm4,%ymm2,%ymm5,%ymm1
  .byte  196,227,101,74,210,64               // vblendvps     %ymm4,%ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_avx
.globl _sk_scale_1_float_avx
FUNCTION(_sk_scale_1_float_avx)
_sk_scale_1_float_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_avx
.globl _sk_scale_u8_avx
FUNCTION(_sk_scale_u8_avx)
_sk_scale_u8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,74                              // jne           8ea5 <_sk_scale_u8_avx+0x62>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,7,62,2,0               // vpand         0x23e07(%rip),%xmm8,%xmm8        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,180,60,2,0         // vbroadcastss  0x23cb4(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,167                             // ja            8e61 <_sk_scale_u8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 8f40 <_sk_scale_u8_avx+0xfd>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,136                             // jmp           8e61 <_sk_scale_u8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,95,255,255,255                  // jmpq          8e61 <_sk_scale_u8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,35,255,255,255                  // jmpq          8e61 <_sk_scale_u8_avx+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,153             // ljmp          *-0x66000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde008f50 <_sk_overlay_sse2_8bit+0xffffffffddfdd18c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_565_avx
.globl _sk_scale_565_avx
FUNCTION(_sk_scale_565_avx)
_sk_scale_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,177,0,0,0                    // jne           902c <_sk_scale_565_avx+0xd0>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,165,59,2,0         // vbroadcastss  0x23ba5(%rip),%ymm9        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  196,65,60,84,201                    // vandps        %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,150,59,2,0         // vbroadcastss  0x23b96(%rip),%ymm10        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,140,59,2,0         // vbroadcastss  0x23b8c(%rip),%ymm10        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  196,65,60,84,210                    // vandps        %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,125,59,2,0         // vbroadcastss  0x23b7d(%rip),%ymm11        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,29,115,59,2,0         // vbroadcastss  0x23b73(%rip),%ymm11        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  196,65,60,84,195                    // vandps        %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,100,59,2,0         // vbroadcastss  0x23b64(%rip),%ymm11        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,60,255,255,255               // ja            8f81 <_sk_scale_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 90b4 <_sk_scale_565_avx+0x158>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,26,255,255,255                  // jmpq          8f81 <_sk_scale_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,252,254,255,255                 // jmpq          8f81 <_sk_scale_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,206,254,255,255                 // jmpq          8f81 <_sk_scale_565_avx+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_avx
.globl _sk_lerp_1_float_avx
FUNCTION(_sk_lerp_1_float_avx)
_sk_lerp_1_float_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_avx
.globl _sk_lerp_u8_avx
FUNCTION(_sk_lerp_u8_avx)
_sk_lerp_u8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,110                             // jne           9195 <_sk_lerp_u8_avx+0x86>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,59,59,2,0              // vpand         0x23b3b(%rip),%xmm8,%xmm8        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,232,57,2,0         // vbroadcastss  0x239e8(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,131                             // ja            912d <_sk_lerp_u8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,127,0,0,0                 // lea           0x7f(%rip),%r10        # 9234 <_sk_lerp_u8_avx+0x125>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,97,255,255,255                  // jmpq          912d <_sk_lerp_u8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,56,255,255,255                  // jmpq          912d <_sk_lerp_u8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,252,254,255,255                 // jmpq          912d <_sk_lerp_u8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  138,255                             // mov           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,152             // ljmp          *-0x67000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_565_avx
.globl _sk_lerp_565_avx
FUNCTION(_sk_lerp_565_avx)
_sk_lerp_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,213,0,0,0                    // jne           9344 <_sk_lerp_565_avx+0xf4>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,177,56,2,0         // vbroadcastss  0x238b1(%rip),%ymm9        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  196,65,60,84,201                    // vandps        %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,162,56,2,0         // vbroadcastss  0x238a2(%rip),%ymm10        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,152,56,2,0         // vbroadcastss  0x23898(%rip),%ymm10        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  196,65,60,84,210                    // vandps        %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,137,56,2,0         // vbroadcastss  0x23889(%rip),%ymm11        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,29,127,56,2,0         // vbroadcastss  0x2387f(%rip),%ymm11        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  196,65,60,84,195                    // vandps        %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,112,56,2,0         // vbroadcastss  0x23870(%rip),%ymm11        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,219                  // vmulps        %ymm11,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,24,255,255,255               // ja            9275 <_sk_lerp_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 93cc <_sk_lerp_565_avx+0x17c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,246,254,255,255                 // jmpq          9275 <_sk_lerp_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,216,254,255,255                 // jmpq          9275 <_sk_lerp_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,170,254,255,255                 // jmpq          9275 <_sk_lerp_565_avx+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_avx
.globl _sk_load_tables_avx
FUNCTION(_sk_load_tables_avx)
_sk_load_tables_avx:
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,4,2,0,0                      // jne           9600 <_sk_load_tables_avx+0x218>
  .byte  196,65,125,16,20,144                // vmovupd       (%r8,%rdx,4),%ymm10
  .byte  197,125,40,13,118,49,2,0            // vmovapd       0x23176(%rip),%ymm9        # 2c580 <_sk_overlay_sse2_8bit+0x7bc>
  .byte  196,193,45,84,201                   // vandpd        %ymm9,%ymm10,%ymm1
  .byte  196,227,125,25,200,1                // vextractf128  $0x1,%ymm1,%xmm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,33,4,130,16             // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,131,121,33,4,130,32             // vinsertps     $0x20,(%r10,%r8,4),%xmm0,%xmm0
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,121,33,4,138,48               // vinsertps     $0x30,(%r10,%r9,4),%xmm0,%xmm8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,33,12,130,16            // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm1
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,33,12,130,32            // vinsertps     $0x20,(%r10,%r8,4),%xmm1,%xmm1
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,3,113,33,36,138,48              // vinsertps     $0x30,(%r10,%r9,4),%xmm1,%xmm12
  .byte  196,193,105,114,210,8               // vpsrld        $0x8,%xmm10,%xmm2
  .byte  196,67,125,25,213,1                 // vextractf128  $0x1,%ymm10,%xmm13
  .byte  196,193,121,114,213,8               // vpsrld        $0x8,%xmm13,%xmm0
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,125,84,209                  // vandpd        %ymm9,%ymm0,%ymm2
  .byte  196,227,125,25,208,1                // vextractf128  $0x1,%ymm2,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,113,33,52,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm1,%xmm14
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,129,122,16,28,136               // vmovss        (%r8,%r9,4),%xmm3
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,4,144                // vmovss        (%r8,%r10,4),%xmm0
  .byte  196,195,249,22,210,1                // vpextrq       $0x1,%xmm2,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,121,33,28,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm0,%xmm11
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,1,122,16,60,136                 // vmovss        (%r8,%r9,4),%xmm15
  .byte  196,195,29,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm12,%ymm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,9,33,219,32                 // vinsertps     $0x20,%xmm3,%xmm14,%xmm3
  .byte  196,227,97,33,249,48                // vinsertps     $0x30,%xmm1,%xmm3,%xmm7
  .byte  196,1,122,16,52,144                 // vmovss        (%r8,%r10,4),%xmm14
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,97,114,210,16               // vpsrld        $0x10,%xmm10,%xmm3
  .byte  196,193,105,114,213,16              // vpsrld        $0x10,%xmm13,%xmm2
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,65,109,84,201                   // vandpd        %ymm9,%ymm2,%ymm9
  .byte  196,99,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,28,129               // vmovss        (%r9,%rax,4),%xmm3
  .byte  196,195,249,22,210,1                // vpextrq       $0x1,%xmm2,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,97,33,36,129,16               // vinsertps     $0x10,(%r9,%r8,4),%xmm3,%xmm12
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,28,129               // vmovss        (%r9,%rax,4),%xmm3
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,129,122,16,20,145               // vmovss        (%r9,%r10,4),%xmm2
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,67,249,22,202,1                 // vpextrq       $0x1,%xmm9,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,12,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm9
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,65,122,16,4,129                 // vmovss        (%r9,%rax,4),%xmm8
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,1,122,16,28,145                 // vmovss        (%r9,%r10,4),%xmm11
  .byte  196,195,113,33,206,48               // vinsertps     $0x30,%xmm14,%xmm1,%xmm1
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  196,227,25,33,219,32                // vinsertps     $0x20,%xmm3,%xmm12,%xmm3
  .byte  196,227,97,33,210,48                // vinsertps     $0x30,%xmm2,%xmm3,%xmm2
  .byte  196,195,49,33,216,32                // vinsertps     $0x20,%xmm8,%xmm9,%xmm3
  .byte  196,195,97,33,219,48                // vinsertps     $0x30,%xmm11,%xmm3,%xmm3
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,193,97,114,210,24               // vpsrld        $0x18,%xmm10,%xmm3
  .byte  196,193,65,114,213,24               // vpsrld        $0x18,%xmm13,%xmm7
  .byte  196,227,101,24,223,1                // vinsertf128   $0x1,%xmm7,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,226,125,24,61,78,53,2,0         // vbroadcastss  0x2354e(%rip),%ymm7        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,233,253,255,255              // ja            9402 <_sk_load_tables_avx+0x1a>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,148,0,0,0                 // lea           0x94(%rip),%r10        # 96b8 <_sk_load_tables_avx+0x2d0>
  .byte  79,99,12,138                        // movslq        (%r10,%r9,4),%r9
  .byte  77,1,209                            // add           %r10,%r9
  .byte  65,255,225                          // jmpq          *%r9
  .byte  196,65,122,16,20,144                // vmovss        (%r8,%rdx,4),%xmm10
  .byte  233,201,253,255,255                 // jmpq          9402 <_sk_load_tables_avx+0x1a>
  .byte  196,193,121,110,68,144,8            // vmovd         0x8(%r8,%rdx,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,208,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm10
  .byte  196,193,123,16,4,144                // vmovsd        (%r8,%rdx,4),%xmm0
  .byte  196,99,45,13,208,1                  // vblendpd      $0x1,%ymm0,%ymm10,%ymm10
  .byte  233,162,253,255,255                 // jmpq          9402 <_sk_load_tables_avx+0x1a>
  .byte  196,193,121,110,68,144,24           // vmovd         0x18(%r8,%rdx,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,208,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm10
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,195,121,34,68,144,20,1          // vpinsrd       $0x1,0x14(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,99,45,24,208,1                  // vinsertf128   $0x1,%xmm0,%ymm10,%ymm10
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,195,121,34,68,144,16,0          // vpinsrd       $0x0,0x10(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,99,45,24,208,1                  // vinsertf128   $0x1,%xmm0,%ymm10,%ymm10
  .byte  196,193,121,16,4,144                // vmovupd       (%r8,%rdx,4),%xmm0
  .byte  196,67,125,13,210,12                // vblendpd      $0xc,%ymm10,%ymm0,%ymm10
  .byte  233,77,253,255,255                  // jmpq          9402 <_sk_load_tables_avx+0x1a>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  118,255                             // jbe           96b9 <_sk_load_tables_avx+0x2d1>
  .byte  255                                 // (bad)
  .byte  255,151,255,255,255,129             // callq         *-0x7e000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  168,255                             // test          $0xff,%al
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_u16_be_avx
.globl _sk_load_tables_u16_be_avx
FUNCTION(_sk_load_tables_u16_be_avx)
_sk_load_tables_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  15,133,84,2,0,0                     // jne           9944 <_sk_load_tables_u16_be_avx+0x270>
  .byte  196,1,121,16,4,72                   // vmovupd       (%r8,%r9,2),%xmm8
  .byte  196,129,121,16,84,72,16             // vmovupd       0x10(%r8,%r9,2),%xmm2
  .byte  196,129,121,16,92,72,32             // vmovupd       0x20(%r8,%r9,2),%xmm3
  .byte  196,1,122,111,76,72,48              // vmovdqu       0x30(%r8,%r9,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm9
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,241,97,195                      // vpunpcklwd    %xmm3,%xmm1,%xmm0
  .byte  197,113,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm11
  .byte  197,177,108,200                     // vpunpcklqdq   %xmm0,%xmm9,%xmm1
  .byte  197,49,109,224                      // vpunpckhqdq   %xmm0,%xmm9,%xmm12
  .byte  197,121,111,21,51,53,2,0            // vmovdqa       0x23533(%rip),%xmm10        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,193,113,219,202                 // vpand         %xmm10,%xmm1,%xmm1
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,193,113,105,209                 // vpunpckhwd    %xmm9,%xmm1,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,28,138               // vmovss        (%r10,%r9,4),%xmm3
  .byte  196,195,249,22,209,1                // vpextrq       $0x1,%xmm2,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,97,33,44,130,16               // vinsertps     $0x10,(%r10,%r8,4),%xmm3,%xmm13
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,129,122,16,28,130               // vmovss        (%r10,%r8,4),%xmm3
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,129,122,16,4,138                // vmovss        (%r10,%r9,4),%xmm0
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  196,131,105,33,12,2,16              // vinsertps     $0x10,(%r10,%r8,1),%xmm2,%xmm1
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,20,130               // vmovss        (%r10,%r8,4),%xmm2
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,227,17,33,219,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm3
  .byte  196,99,97,33,232,48                 // vinsertps     $0x30,%xmm0,%xmm3,%xmm13
  .byte  196,99,113,33,242,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm14
  .byte  196,1,122,16,60,10                  // vmovss        (%r10,%r9,1),%xmm15
  .byte  196,193,25,219,210                  // vpand         %xmm10,%xmm12,%xmm2
  .byte  196,193,105,105,193                 // vpunpckhwd    %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,113,33,36,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm1,%xmm12
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,226,121,51,194                  // vpmovzxwd     %xmm2,%xmm0
  .byte  196,129,122,16,20,136               // vmovss        (%r8,%r9,4),%xmm2
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,129,122,16,28,144               // vmovss        (%r8,%r10,4),%xmm3
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  196,131,113,33,12,8,16              // vinsertps     $0x10,(%r8,%r9,1),%xmm1,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,129,122,16,60,136               // vmovss        (%r8,%r9,4),%xmm7
  .byte  196,195,9,33,199,48                 // vinsertps     $0x30,%xmm15,%xmm14,%xmm0
  .byte  196,65,57,108,243                   // vpunpcklqdq   %xmm11,%xmm8,%xmm14
  .byte  196,195,125,24,197,1                // vinsertf128   $0x1,%xmm13,%ymm0,%ymm0
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,227,25,33,210,32                // vinsertps     $0x20,%xmm2,%xmm12,%xmm2
  .byte  196,227,105,33,219,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm3
  .byte  196,99,113,33,239,32                // vinsertps     $0x20,%xmm7,%xmm1,%xmm13
  .byte  196,1,122,16,60,16                  // vmovss        (%r8,%r10,1),%xmm15
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,9,219,250                   // vpand         %xmm10,%xmm14,%xmm7
  .byte  196,193,65,105,209                  // vpunpckhwd    %xmm9,%xmm7,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,20,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm10
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,226,121,51,207                  // vpmovzxwd     %xmm7,%xmm1
  .byte  196,1,122,16,52,129                 // vmovss        (%r9,%r8,4),%xmm14
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,65,122,16,36,129                // vmovss        (%r9,%rax,4),%xmm12
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,193,122,16,20,129               // vmovss        (%r9,%rax,4),%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  196,131,105,33,20,1,16              // vinsertps     $0x10,(%r9,%r8,1),%xmm2,%xmm2
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,60,129               // vmovss        (%r9,%rax,4),%xmm7
  .byte  196,195,17,33,207,48                // vinsertps     $0x30,%xmm15,%xmm13,%xmm1
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,1,122,16,44,17                  // vmovss        (%r9,%r10,1),%xmm13
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  196,195,41,33,222,32                // vinsertps     $0x20,%xmm14,%xmm10,%xmm3
  .byte  196,195,97,33,220,48                // vinsertps     $0x30,%xmm12,%xmm3,%xmm3
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,195,105,33,213,48               // vinsertps     $0x30,%xmm13,%xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,193,57,109,219                  // vpunpckhqdq   %xmm11,%xmm8,%xmm3
  .byte  197,193,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm7
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,193,235,219                     // vpor          %xmm3,%xmm7,%xmm3
  .byte  196,193,97,105,249                  // vpunpckhwd    %xmm9,%xmm3,%xmm7
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,227,101,24,223,1                // vinsertf128   $0x1,%xmm7,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,226,125,24,61,38,50,2,0         // vbroadcastss  0x23226(%rip),%ymm7        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,123,16,4,72                   // vmovsd        (%r8,%r9,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            99aa <_sk_load_tables_u16_be_avx+0x2d6>
  .byte  196,1,57,22,68,72,8                 // vmovhpd       0x8(%r8,%r9,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            99aa <_sk_load_tables_u16_be_avx+0x2d6>
  .byte  196,129,123,16,84,72,16             // vmovsd        0x10(%r8,%r9,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            99b7 <_sk_load_tables_u16_be_avx+0x2e3>
  .byte  196,129,105,22,84,72,24             // vmovhpd       0x18(%r8,%r9,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            99b7 <_sk_load_tables_u16_be_avx+0x2e3>
  .byte  196,129,123,16,92,72,32             // vmovsd        0x20(%r8,%r9,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,126,253,255,255              // je            970b <_sk_load_tables_u16_be_avx+0x37>
  .byte  196,129,97,22,92,72,40              // vmovhpd       0x28(%r8,%r9,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,109,253,255,255              // jb            970b <_sk_load_tables_u16_be_avx+0x37>
  .byte  196,1,122,126,76,72,48              // vmovq         0x30(%r8,%r9,2),%xmm9
  .byte  233,97,253,255,255                  // jmpq          970b <_sk_load_tables_u16_be_avx+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,84,253,255,255                  // jmpq          970b <_sk_load_tables_u16_be_avx+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,75,253,255,255                  // jmpq          970b <_sk_load_tables_u16_be_avx+0x37>

HIDDEN _sk_load_tables_rgb_u16_be_avx
.globl _sk_load_tables_rgb_u16_be_avx
FUNCTION(_sk_load_tables_rgb_u16_be_avx)
_sk_load_tables_rgb_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  197,252,17,116,36,168               // vmovups       %ymm6,-0x58(%rsp)
  .byte  15,133,72,2,0,0                     // jne           9c26 <_sk_load_tables_rgb_u16_be_avx+0x266>
  .byte  196,1,122,111,28,72                 // vmovdqu       (%r8,%r9,2),%xmm11
  .byte  196,129,122,111,92,72,12            // vmovdqu       0xc(%r8,%r9,2),%xmm3
  .byte  196,129,122,111,84,72,24            // vmovdqu       0x18(%r8,%r9,2),%xmm2
  .byte  196,129,122,111,68,72,32            // vmovdqu       0x20(%r8,%r9,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,225,105,201                     // vpunpckhwd    %xmm1,%xmm3,%xmm1
  .byte  197,249,97,218                      // vpunpcklwd    %xmm2,%xmm0,%xmm3
  .byte  197,249,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm0
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  197,57,109,219                      // vpunpckhqdq   %xmm3,%xmm8,%xmm11
  .byte  197,113,108,192                     // vpunpcklqdq   %xmm0,%xmm1,%xmm8
  .byte  197,121,111,13,39,50,2,0            // vmovdqa       0x23227(%rip),%xmm9        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  196,193,105,219,193                 // vpand         %xmm9,%xmm2,%xmm0
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,105,33,36,130,16              // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm12
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,129,122,16,20,130               // vmovss        (%r10,%r8,4),%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  196,129,122,16,12,138               // vmovss        (%r10,%r9,4),%xmm1
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,129,122,16,28,138               // vmovss        (%r10,%r9,4),%xmm3
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  196,131,97,33,28,2,16               // vinsertps     $0x10,(%r10,%r8,1),%xmm3,%xmm3
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,4,130                // vmovss        (%r10,%r8,4),%xmm0
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,227,25,33,210,32                // vinsertps     $0x20,%xmm2,%xmm12,%xmm2
  .byte  196,227,105,33,201,48               // vinsertps     $0x30,%xmm1,%xmm2,%xmm1
  .byte  196,129,122,16,20,10                // vmovss        (%r10,%r9,1),%xmm2
  .byte  196,65,33,219,225                   // vpand         %xmm9,%xmm11,%xmm12
  .byte  196,65,25,105,218                   // vpunpckhwd    %xmm10,%xmm12,%xmm11
  .byte  196,65,249,126,217                  // vmovq         %xmm11,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,1,122,16,44,144                 // vmovss        (%r8,%r10,4),%xmm13
  .byte  196,67,249,22,218,1                 // vpextrq       $0x1,%xmm11,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,17,33,28,136,16               // vinsertps     $0x10,(%r8,%r9,4),%xmm13,%xmm11
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,66,121,51,244                   // vpmovzxwd     %xmm12,%xmm14
  .byte  196,1,122,16,44,136                 // vmovss        (%r8,%r9,4),%xmm13
  .byte  196,65,249,126,241                  // vmovq         %xmm14,%r9
  .byte  196,1,122,16,36,144                 // vmovss        (%r8,%r10,4),%xmm12
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,1,122,16,60,144                 // vmovss        (%r8,%r10,4),%xmm15
  .byte  196,67,249,22,242,1                 // vpextrq       $0x1,%xmm14,%r10
  .byte  196,3,1,33,52,8,16                  // vinsertps     $0x10,(%r8,%r9,1),%xmm15,%xmm14
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,1,122,16,60,136                 // vmovss        (%r8,%r9,4),%xmm15
  .byte  196,227,97,33,192,32                // vinsertps     $0x20,%xmm0,%xmm3,%xmm0
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,129,122,16,52,16                // vmovss        (%r8,%r10,1),%xmm6
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,65,57,219,193                   // vpand         %xmm9,%xmm8,%xmm8
  .byte  196,193,57,105,210                  // vpunpckhwd    %xmm10,%xmm8,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,12,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm9
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,194,121,51,200                  // vpmovzxwd     %xmm8,%xmm1
  .byte  196,1,122,16,4,129                  // vmovss        (%r9,%r8,4),%xmm8
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,65,122,16,20,129                // vmovss        (%r9,%rax,4),%xmm10
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,193,122,16,20,129               // vmovss        (%r9,%rax,4),%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  196,131,105,33,20,1,16              // vinsertps     $0x10,(%r9,%r8,1),%xmm2,%xmm2
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,60,129               // vmovss        (%r9,%rax,4),%xmm7
  .byte  196,195,33,33,205,32                // vinsertps     $0x20,%xmm13,%xmm11,%xmm1
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,1,122,16,28,17                  // vmovss        (%r9,%r10,1),%xmm11
  .byte  196,195,113,33,204,48               // vinsertps     $0x30,%xmm12,%xmm1,%xmm1
  .byte  196,195,9,33,223,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm3
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  196,195,49,33,216,32                // vinsertps     $0x20,%xmm8,%xmm9,%xmm3
  .byte  196,195,97,33,218,48                // vinsertps     $0x30,%xmm10,%xmm3,%xmm3
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,180,46,2,0        // vbroadcastss  0x22eb4(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,16,116,36,168               // vmovups       -0x58(%rsp),%ymm6
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,72                // vmovd         (%r8,%r9,2),%xmm0
  .byte  196,1,121,196,92,72,4,2             // vpinsrw       $0x2,0x4(%r8,%r9,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           9c5f <_sk_load_tables_rgb_u16_be_avx+0x29f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,180,253,255,255                 // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,6             // vmovd         0x6(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,68,72,10,2            // vpinsrw       $0x2,0xa(%r8,%r9,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            9caa <_sk_load_tables_rgb_u16_be_avx+0x2ea>
  .byte  196,129,121,110,68,72,12            // vmovd         0xc(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,92,72,16,2          // vpinsrw       $0x2,0x10(%r8,%r9,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           9cc5 <_sk_load_tables_rgb_u16_be_avx+0x305>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,105,253,255,255                 // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,78,253,255,255                  // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,18            // vmovd         0x12(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,84,72,22,2            // vpinsrw       $0x2,0x16(%r8,%r9,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            9d07 <_sk_load_tables_rgb_u16_be_avx+0x347>
  .byte  196,129,121,110,68,72,24            // vmovd         0x18(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,84,72,28,2          // vpinsrw       $0x2,0x1c(%r8,%r9,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           9d19 <_sk_load_tables_rgb_u16_be_avx+0x359>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,12,253,255,255                  // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,250,252,255,255                 // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,30            // vmovd         0x1e(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,100,72,34,2           // vpinsrw       $0x2,0x22(%r8,%r9,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            9d4c <_sk_load_tables_rgb_u16_be_avx+0x38c>
  .byte  196,129,121,110,68,72,36            // vmovd         0x24(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,68,72,40,2          // vpinsrw       $0x2,0x28(%r8,%r9,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,199,252,255,255                 // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,190,252,255,255                 // jmpq          9a13 <_sk_load_tables_rgb_u16_be_avx+0x53>

HIDDEN _sk_byte_tables_avx
.globl _sk_byte_tables_avx
FUNCTION(_sk_byte_tables_avx)
_sk_byte_tables_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,152,45,2,0          // vbroadcastss  0x22d98(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,3,121,32,20,10,0                // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm10
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,41,32,4,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm10,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,2                // vpinsrb       $0x2,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,209,3                 // vpinsrb       $0x3,%r9d,%xmm0,%xmm10
  .byte  196,193,116,89,192                  // vmulps        %ymm8,%ymm1,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,12,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,32,12,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm1,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,113,32,201,2                // vpinsrb       $0x2,%r9d,%xmm1,%xmm1
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,113,32,226,3                 // vpinsrb       $0x3,%r10d,%xmm1,%xmm12
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,12,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm1,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,121,32,232,3                 // vpinsrb       $0x3,%r8d,%xmm0,%xmm13
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,193,108,89,200                  // vmulps        %ymm8,%ymm2,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,20,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm2
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,209,2                // vpinsrb       $0x2,%r9d,%xmm2,%xmm2
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,105,32,218,3                 // vpinsrb       $0x3,%r10d,%xmm2,%xmm11
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,12,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,113,32,201,2                // vpinsrb       $0x2,%r9d,%xmm1,%xmm1
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,113,32,240,3                 // vpinsrb       $0x3,%r8d,%xmm1,%xmm14
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,100,89,200                  // vmulps        %ymm8,%ymm3,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,28,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm3
  .byte  196,227,249,22,200,1                // vpextrq       $0x1,%xmm1,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,97,32,28,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm3,%xmm3
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,97,32,216,2                 // vpinsrb       $0x2,%r8d,%xmm3,%xmm3
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,97,32,192,3                  // vpinsrb       $0x3,%eax,%xmm3,%xmm8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,4,1,0                // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,121,32,4,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm0,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,121,32,248,2                 // vpinsrb       $0x2,%eax,%xmm0,%xmm15
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,121,49,193                  // vpmovzxbd     %xmm9,%xmm0
  .byte  196,194,121,49,202                  // vpmovzxbd     %xmm10,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,194,121,49,204                  // vpmovzxbd     %xmm12,%xmm1
  .byte  196,194,121,49,213                  // vpmovzxbd     %xmm13,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,98,125,24,13,134,43,2,0         // vbroadcastss  0x22b86(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,194,121,49,211                  // vpmovzxbd     %xmm11,%xmm2
  .byte  196,194,121,49,222                  // vpmovzxbd     %xmm14,%xmm3
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,66,121,49,192                   // vpmovzxbd     %xmm8,%xmm8
  .byte  196,227,1,32,216,3                  // vpinsrb       $0x3,%eax,%xmm15,%xmm3
  .byte  196,226,121,49,219                  // vpmovzxbd     %xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_avx
.globl _sk_byte_tables_rgb_avx
FUNCTION(_sk_byte_tables_rgb_avx)
_sk_byte_tables_rgb_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,65,121,110,192                  // vmovd         %r8d,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,3,121,32,20,10,0                // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm10
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,41,32,4,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm10,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,2                // vpinsrb       $0x2,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,217,3                 // vpinsrb       $0x3,%r9d,%xmm0,%xmm11
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,121,32,210,3                 // vpinsrb       $0x3,%r10d,%xmm0,%xmm10
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,121,32,224,3                 // vpinsrb       $0x3,%r8d,%xmm0,%xmm12
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,188,89,194                      // vmulps        %ymm2,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,20,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm2
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,32,20,1,1               // vpinsrb       $0x1,(%r9,%r8,1),%xmm2,%xmm2
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,105,32,208,2                // vpinsrb       $0x2,%r8d,%xmm2,%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,105,32,192,3                 // vpinsrb       $0x3,%eax,%xmm2,%xmm8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,12,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,113,32,4,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm1,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,121,32,232,2                 // vpinsrb       $0x2,%eax,%xmm0,%xmm13
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,121,49,193                  // vpmovzxbd     %xmm9,%xmm0
  .byte  196,194,121,49,203                  // vpmovzxbd     %xmm11,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,13,99,41,2,0          // vbroadcastss  0x22963(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,194,121,49,202                  // vpmovzxbd     %xmm10,%xmm1
  .byte  196,194,121,49,212                  // vpmovzxbd     %xmm12,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,66,121,49,192                   // vpmovzxbd     %xmm8,%xmm8
  .byte  196,227,17,32,208,3                 // vpinsrb       $0x3,%eax,%xmm13,%xmm2
  .byte  196,226,121,49,210                  // vpmovzxbd     %xmm2,%xmm2
  .byte  196,227,61,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm8,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_avx
.globl _sk_table_r_avx
FUNCTION(_sk_table_r_avx)
_sk_table_r_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,4,160                // vmovss        (%r8,%r12,4),%xmm0
  .byte  196,3,121,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,122,16,4,176                // vmovss        (%r8,%r14,4),%xmm0
  .byte  196,99,57,33,192,32                 // vinsertps     $0x20,%xmm0,%xmm8,%xmm8
  .byte  196,193,122,16,4,152                // vmovss        (%r8,%rbx,4),%xmm0
  .byte  196,99,57,33,192,48                 // vinsertps     $0x30,%xmm0,%xmm8,%xmm8
  .byte  196,129,122,16,4,152                // vmovss        (%r8,%r11,4),%xmm0
  .byte  196,3,121,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm0,%xmm9
  .byte  196,129,122,16,4,136                // vmovss        (%r8,%r9,4),%xmm0
  .byte  196,99,49,33,200,32                 // vinsertps     $0x20,%xmm0,%xmm9,%xmm9
  .byte  196,193,122,16,4,128                // vmovss        (%r8,%rax,4),%xmm0
  .byte  196,227,49,33,192,48                // vinsertps     $0x30,%xmm0,%xmm9,%xmm0
  .byte  196,195,125,24,192,1                // vinsertf128   $0x1,%xmm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_avx
.globl _sk_table_g_avx
FUNCTION(_sk_table_g_avx)
_sk_table_g_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,227,249,22,200,1                // vpextrq       $0x1,%xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,207                 // vmovq         %xmm1,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,12,160               // vmovss        (%r8,%r12,4),%xmm1
  .byte  196,3,113,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm1,%xmm8
  .byte  196,129,122,16,12,176               // vmovss        (%r8,%r14,4),%xmm1
  .byte  196,99,57,33,193,32                 // vinsertps     $0x20,%xmm1,%xmm8,%xmm8
  .byte  196,193,122,16,12,152               // vmovss        (%r8,%rbx,4),%xmm1
  .byte  196,99,57,33,193,48                 // vinsertps     $0x30,%xmm1,%xmm8,%xmm8
  .byte  196,129,122,16,12,152               // vmovss        (%r8,%r11,4),%xmm1
  .byte  196,3,113,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm1,%xmm9
  .byte  196,129,122,16,12,136               // vmovss        (%r8,%r9,4),%xmm1
  .byte  196,99,49,33,201,32                 // vinsertps     $0x20,%xmm1,%xmm9,%xmm9
  .byte  196,193,122,16,12,128               // vmovss        (%r8,%rax,4),%xmm1
  .byte  196,227,49,33,201,48                // vinsertps     $0x30,%xmm1,%xmm9,%xmm1
  .byte  196,195,117,24,200,1                // vinsertf128   $0x1,%xmm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_avx
.globl _sk_table_b_avx
FUNCTION(_sk_table_b_avx)
_sk_table_b_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,215                 // vmovq         %xmm2,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,20,160               // vmovss        (%r8,%r12,4),%xmm2
  .byte  196,3,105,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm2,%xmm8
  .byte  196,129,122,16,20,176               // vmovss        (%r8,%r14,4),%xmm2
  .byte  196,99,57,33,194,32                 // vinsertps     $0x20,%xmm2,%xmm8,%xmm8
  .byte  196,193,122,16,20,152               // vmovss        (%r8,%rbx,4),%xmm2
  .byte  196,99,57,33,194,48                 // vinsertps     $0x30,%xmm2,%xmm8,%xmm8
  .byte  196,129,122,16,20,152               // vmovss        (%r8,%r11,4),%xmm2
  .byte  196,3,105,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm2,%xmm9
  .byte  196,129,122,16,20,136               // vmovss        (%r8,%r9,4),%xmm2
  .byte  196,99,49,33,202,32                 // vinsertps     $0x20,%xmm2,%xmm9,%xmm9
  .byte  196,193,122,16,20,128               // vmovss        (%r8,%rax,4),%xmm2
  .byte  196,227,49,33,210,48                // vinsertps     $0x30,%xmm2,%xmm9,%xmm2
  .byte  196,195,109,24,208,1                // vinsertf128   $0x1,%xmm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_avx
.globl _sk_table_a_avx
FUNCTION(_sk_table_a_avx)
_sk_table_a_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,227,249,22,216,1                // vpextrq       $0x1,%xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,219,1                // vextractf128  $0x1,%ymm3,%xmm3
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,223                 // vmovq         %xmm3,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,28,160               // vmovss        (%r8,%r12,4),%xmm3
  .byte  196,3,97,33,4,184,16                // vinsertps     $0x10,(%r8,%r15,4),%xmm3,%xmm8
  .byte  196,129,122,16,28,176               // vmovss        (%r8,%r14,4),%xmm3
  .byte  196,99,57,33,195,32                 // vinsertps     $0x20,%xmm3,%xmm8,%xmm8
  .byte  196,193,122,16,28,152               // vmovss        (%r8,%rbx,4),%xmm3
  .byte  196,99,57,33,195,48                 // vinsertps     $0x30,%xmm3,%xmm8,%xmm8
  .byte  196,129,122,16,28,152               // vmovss        (%r8,%r11,4),%xmm3
  .byte  196,3,97,33,12,144,16               // vinsertps     $0x10,(%r8,%r10,4),%xmm3,%xmm9
  .byte  196,129,122,16,28,136               // vmovss        (%r8,%r9,4),%xmm3
  .byte  196,99,49,33,203,32                 // vinsertps     $0x20,%xmm3,%xmm9,%xmm9
  .byte  196,193,122,16,28,128               // vmovss        (%r8,%rax,4),%xmm3
  .byte  196,227,49,33,219,48                // vinsertps     $0x30,%xmm3,%xmm9,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_avx
.globl _sk_parametric_r_avx
FUNCTION(_sk_parametric_r_avx)
_sk_parametric_r_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,124,194,192,2                // vcmpleps      %ymm8,%ymm0,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,216                      // vcvtdq2ps     %ymm0,%ymm11
  .byte  196,98,125,24,37,244,37,2,0         // vbroadcastss  0x225f4(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,234,37,2,0         // vbroadcastss  0x225ea(%rip),%ymm12        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,193,124,84,196                  // vandps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,64,37,2,0          // vbroadcastss  0x22540(%rip),%ymm12        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,124,86,196                  // vorps         %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,210,37,2,0         // vbroadcastss  0x225d2(%rip),%ymm12        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,200,37,2,0         // vbroadcastss  0x225c8(%rip),%ymm12        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,65,124,89,228                   // vmulps        %ymm12,%ymm0,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,185,37,2,0         // vbroadcastss  0x225b9(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,193,124,88,196                  // vaddps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,175,37,2,0         // vbroadcastss  0x225af(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  197,156,94,192                      // vdivps        %ymm0,%ymm12,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,99,125,8,208,1                  // vroundps      $0x1,%ymm0,%ymm10
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,147,37,2,0         // vbroadcastss  0x22593(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,137,37,2,0         // vbroadcastss  0x22589(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,122,37,2,0         // vbroadcastss  0x2257a(%rip),%ymm11        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,112,37,2,0         // vbroadcastss  0x22570(%rip),%ymm11        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,98,125,24,21,97,37,2,0          // vbroadcastss  0x22561(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,195,125,74,193,128              // vblendvps     %ymm8,%ymm9,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,120,36,2,0          // vbroadcastss  0x22478(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_avx
.globl _sk_parametric_g_avx
FUNCTION(_sk_parametric_g_avx)
_sk_parametric_g_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,116,194,192,2                // vcmpleps      %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,217                      // vcvtdq2ps     %ymm1,%ymm11
  .byte  196,98,125,24,37,185,36,2,0         // vbroadcastss  0x224b9(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,175,36,2,0         // vbroadcastss  0x224af(%rip),%ymm12        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,193,116,84,204                  // vandps        %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,5,36,2,0           // vbroadcastss  0x22405(%rip),%ymm12        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,116,86,204                  // vorps         %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,151,36,2,0         // vbroadcastss  0x22497(%rip),%ymm12        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,141,36,2,0         // vbroadcastss  0x2248d(%rip),%ymm12        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,65,116,89,228                   // vmulps        %ymm12,%ymm1,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,126,36,2,0         // vbroadcastss  0x2247e(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,193,116,88,204                  // vaddps        %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,116,36,2,0         // vbroadcastss  0x22474(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  197,156,94,201                      // vdivps        %ymm1,%ymm12,%ymm1
  .byte  197,164,92,201                      // vsubps        %ymm1,%ymm11,%ymm1
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,99,125,8,209,1                  // vroundps      $0x1,%ymm1,%ymm10
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,98,125,24,29,88,36,2,0          // vbroadcastss  0x22458(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,78,36,2,0          // vbroadcastss  0x2244e(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,116,92,203                  // vsubps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,63,36,2,0          // vbroadcastss  0x2243f(%rip),%ymm11        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,53,36,2,0          // vbroadcastss  0x22435(%rip),%ymm11        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,21,38,36,2,0          // vbroadcastss  0x22426(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,195,117,74,201,128              // vblendvps     %ymm8,%ymm9,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,5,61,35,2,0           // vbroadcastss  0x2233d(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_avx
.globl _sk_parametric_b_avx
FUNCTION(_sk_parametric_b_avx)
_sk_parametric_b_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,108,194,192,2                // vcmpleps      %ymm8,%ymm2,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,218                      // vcvtdq2ps     %ymm2,%ymm11
  .byte  196,98,125,24,37,126,35,2,0         // vbroadcastss  0x2237e(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,116,35,2,0         // vbroadcastss  0x22374(%rip),%ymm12        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,193,108,84,212                  // vandps        %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,202,34,2,0         // vbroadcastss  0x222ca(%rip),%ymm12        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,108,86,212                  // vorps         %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,92,35,2,0          // vbroadcastss  0x2235c(%rip),%ymm12        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,82,35,2,0          // vbroadcastss  0x22352(%rip),%ymm12        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,65,108,89,228                   // vmulps        %ymm12,%ymm2,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,67,35,2,0          // vbroadcastss  0x22343(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,193,108,88,212                  // vaddps        %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,57,35,2,0          // vbroadcastss  0x22339(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  197,156,94,210                      // vdivps        %ymm2,%ymm12,%ymm2
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  196,99,125,8,210,1                  // vroundps      $0x1,%ymm2,%ymm10
  .byte  196,65,108,92,210                   // vsubps        %ymm10,%ymm2,%ymm10
  .byte  196,98,125,24,29,29,35,2,0          // vbroadcastss  0x2231d(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,19,35,2,0          // vbroadcastss  0x22313(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,108,92,211                  // vsubps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,4,35,2,0           // vbroadcastss  0x22304(%rip),%ymm11        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,250,34,2,0         // vbroadcastss  0x222fa(%rip),%ymm11        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,98,125,24,21,235,34,2,0         // vbroadcastss  0x222eb(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,195,109,74,209,128              // vblendvps     %ymm8,%ymm9,%ymm2,%ymm2
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,2,34,2,0            // vbroadcastss  0x22202(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_avx
.globl _sk_parametric_a_avx
FUNCTION(_sk_parametric_a_avx)
_sk_parametric_a_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,100,194,192,2                // vcmpleps      %ymm8,%ymm3,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,219                      // vmulps        %ymm3,%ymm10,%ymm3
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,219                      // vcvtdq2ps     %ymm3,%ymm11
  .byte  196,98,125,24,37,67,34,2,0          // vbroadcastss  0x22243(%rip),%ymm12        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,57,34,2,0          // vbroadcastss  0x22239(%rip),%ymm12        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,193,100,84,220                  // vandps        %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,143,33,2,0         // vbroadcastss  0x2218f(%rip),%ymm12        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,193,100,86,220                  // vorps         %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,33,34,2,0          // vbroadcastss  0x22221(%rip),%ymm12        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,23,34,2,0          // vbroadcastss  0x22217(%rip),%ymm12        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,65,100,89,228                   // vmulps        %ymm12,%ymm3,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,8,34,2,0           // vbroadcastss  0x22208(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,193,100,88,220                  // vaddps        %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,254,33,2,0         // vbroadcastss  0x221fe(%rip),%ymm12        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  197,156,94,219                      // vdivps        %ymm3,%ymm12,%ymm3
  .byte  197,164,92,219                      // vsubps        %ymm3,%ymm11,%ymm3
  .byte  197,172,89,219                      // vmulps        %ymm3,%ymm10,%ymm3
  .byte  196,99,125,8,211,1                  // vroundps      $0x1,%ymm3,%ymm10
  .byte  196,65,100,92,210                   // vsubps        %ymm10,%ymm3,%ymm10
  .byte  196,98,125,24,29,226,33,2,0         // vbroadcastss  0x221e2(%rip),%ymm11        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,216,33,2,0         // vbroadcastss  0x221d8(%rip),%ymm11        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,100,92,219                  // vsubps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,201,33,2,0         // vbroadcastss  0x221c9(%rip),%ymm11        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,191,33,2,0         // vbroadcastss  0x221bf(%rip),%ymm11        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,98,125,24,21,176,33,2,0         // vbroadcastss  0x221b0(%rip),%ymm10        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,195,101,74,217,128              // vblendvps     %ymm8,%ymm9,%ymm3,%ymm3
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  196,98,125,24,5,199,32,2,0          // vbroadcastss  0x220c7(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_avx
.globl _sk_gamma_avx
FUNCTION(_sk_gamma_avx)
_sk_gamma_avx:
  .byte  72,131,236,88                       // sub           $0x58,%rsp
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,252,17,52,36                    // vmovups       %ymm6,(%rsp)
  .byte  197,252,17,108,36,224               // vmovups       %ymm5,-0x20(%rsp)
  .byte  197,252,17,100,36,192               // vmovups       %ymm4,-0x40(%rsp)
  .byte  197,252,17,92,36,160                // vmovups       %ymm3,-0x60(%rsp)
  .byte  197,252,40,250                      // vmovaps       %ymm2,%ymm7
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,91,200                      // vcvtdq2ps     %ymm0,%ymm1
  .byte  196,98,125,24,5,26,33,2,0           // vbroadcastss  0x2211a(%rip),%ymm8        # 2cb60 <_sk_overlay_sse2_8bit+0xd9c>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,13,16,33,2,0          // vbroadcastss  0x22110(%rip),%ymm9        # 2cb64 <_sk_overlay_sse2_8bit+0xda0>
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  196,226,125,24,37,102,32,2,0        // vbroadcastss  0x22066(%rip),%ymm4        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,252,86,196                      // vorps         %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,21,249,32,2,0         // vbroadcastss  0x220f9(%rip),%ymm10        # 2cb68 <_sk_overlay_sse2_8bit+0xda4>
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,29,239,32,2,0         // vbroadcastss  0x220ef(%rip),%ymm11        # 2cb6c <_sk_overlay_sse2_8bit+0xda8>
  .byte  196,193,124,89,211                  // vmulps        %ymm11,%ymm0,%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  196,98,125,24,37,225,32,2,0         // vbroadcastss  0x220e1(%rip),%ymm12        # 2cb70 <_sk_overlay_sse2_8bit+0xdac>
  .byte  196,193,124,88,196                  // vaddps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,45,215,32,2,0         // vbroadcastss  0x220d7(%rip),%ymm13        # 2cb74 <_sk_overlay_sse2_8bit+0xdb0>
  .byte  197,148,94,192                      // vdivps        %ymm0,%ymm13,%ymm0
  .byte  197,244,92,192                      // vsubps        %ymm0,%ymm1,%ymm0
  .byte  196,98,125,24,48                    // vbroadcastss  (%rax),%ymm14
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  196,227,125,8,200,1                 // vroundps      $0x1,%ymm0,%ymm1
  .byte  197,252,92,241                      // vsubps        %ymm1,%ymm0,%ymm6
  .byte  196,98,125,24,61,182,32,2,0         // vbroadcastss  0x220b6(%rip),%ymm15        # 2cb78 <_sk_overlay_sse2_8bit+0xdb4>
  .byte  196,193,124,88,199                  // vaddps        %ymm15,%ymm0,%ymm0
  .byte  196,226,125,24,29,172,32,2,0        // vbroadcastss  0x220ac(%rip),%ymm3        # 2cb7c <_sk_overlay_sse2_8bit+0xdb8>
  .byte  197,204,89,203                      // vmulps        %ymm3,%ymm6,%ymm1
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,226,125,24,21,159,32,2,0        // vbroadcastss  0x2209f(%rip),%ymm2        # 2cb80 <_sk_overlay_sse2_8bit+0xdbc>
  .byte  197,236,92,198                      // vsubps        %ymm6,%ymm2,%ymm0
  .byte  196,226,125,24,53,150,32,2,0        // vbroadcastss  0x22096(%rip),%ymm6        # 2cb84 <_sk_overlay_sse2_8bit+0xdc0>
  .byte  197,204,94,192                      // vdivps        %ymm0,%ymm6,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  197,252,91,205                      // vcvtdq2ps     %ymm5,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,84,84,233                   // vandps        %ymm9,%ymm5,%ymm5
  .byte  197,212,86,236                      // vorps         %ymm4,%ymm5,%ymm5
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,84,89,195                   // vmulps        %ymm11,%ymm5,%ymm0
  .byte  197,244,92,192                      // vsubps        %ymm0,%ymm1,%ymm0
  .byte  196,193,84,88,204                   // vaddps        %ymm12,%ymm5,%ymm1
  .byte  197,148,94,201                      // vdivps        %ymm1,%ymm13,%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  196,227,125,8,200,1                 // vroundps      $0x1,%ymm0,%ymm1
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,193,124,88,199                  // vaddps        %ymm15,%ymm0,%ymm0
  .byte  197,244,89,235                      // vmulps        %ymm3,%ymm1,%ymm5
  .byte  197,252,92,197                      // vsubps        %ymm5,%ymm0,%ymm0
  .byte  197,236,92,201                      // vsubps        %ymm1,%ymm2,%ymm1
  .byte  197,204,94,201                      // vdivps        %ymm1,%ymm6,%ymm1
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,91,207                      // vcvtdq2ps     %ymm7,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,68,84,233                   // vandps        %ymm9,%ymm7,%ymm5
  .byte  197,212,86,228                      // vorps         %ymm4,%ymm5,%ymm4
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,92,89,235                   // vmulps        %ymm11,%ymm4,%ymm5
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,92,88,228                   // vaddps        %ymm12,%ymm4,%ymm4
  .byte  197,148,94,228                      // vdivps        %ymm4,%ymm13,%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  196,227,125,8,225,1                 // vroundps      $0x1,%ymm1,%ymm4
  .byte  197,244,92,228                      // vsubps        %ymm4,%ymm1,%ymm4
  .byte  196,193,116,88,207                  // vaddps        %ymm15,%ymm1,%ymm1
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,244,92,203                      // vsubps        %ymm3,%ymm1,%ymm1
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,204,94,210                      // vdivps        %ymm2,%ymm6,%ymm2
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,217,31,2,0        // vbroadcastss  0x21fd9(%rip),%ymm2        # 2cb88 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  197,236,89,92,36,128                // vmulps        -0x80(%rsp),%ymm2,%ymm3
  .byte  197,252,89,226                      // vmulps        %ymm2,%ymm0,%ymm4
  .byte  197,244,89,210                      // vmulps        %ymm2,%ymm1,%ymm2
  .byte  197,253,91,195                      // vcvtps2dq     %ymm3,%ymm0
  .byte  197,253,91,204                      // vcvtps2dq     %ymm4,%ymm1
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,160                // vmovups       -0x60(%rsp),%ymm3
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,252,16,108,36,224               // vmovups       -0x20(%rsp),%ymm5
  .byte  197,252,16,52,36                    // vmovups       (%rsp),%ymm6
  .byte  197,252,16,124,36,32                // vmovups       0x20(%rsp),%ymm7
  .byte  72,131,196,88                       // add           $0x58,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_avx
.globl _sk_lab_to_xyz_avx
FUNCTION(_sk_lab_to_xyz_avx)
_sk_lab_to_xyz_avx:
  .byte  196,98,125,24,5,149,31,2,0          // vbroadcastss  0x21f95(%rip),%ymm8        # 2cb8c <_sk_overlay_sse2_8bit+0xdc8>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,243,30,2,0          // vbroadcastss  0x21ef3(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,13,125,31,2,0         // vbroadcastss  0x21f7d(%rip),%ymm9        # 2cb90 <_sk_overlay_sse2_8bit+0xdcc>
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  196,98,125,24,5,105,31,2,0          // vbroadcastss  0x21f69(%rip),%ymm8        # 2cb94 <_sk_overlay_sse2_8bit+0xdd0>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,95,31,2,0           // vbroadcastss  0x21f5f(%rip),%ymm8        # 2cb98 <_sk_overlay_sse2_8bit+0xdd4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,85,31,2,0           // vbroadcastss  0x21f55(%rip),%ymm8        # 2cb9c <_sk_overlay_sse2_8bit+0xdd8>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,252,88,201                      // vaddps        %ymm1,%ymm0,%ymm1
  .byte  196,98,125,24,5,71,31,2,0           // vbroadcastss  0x21f47(%rip),%ymm8        # 2cba0 <_sk_overlay_sse2_8bit+0xddc>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,252,92,210                      // vsubps        %ymm2,%ymm0,%ymm2
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,65,116,89,192                   // vmulps        %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,13,48,31,2,0          // vbroadcastss  0x21f30(%rip),%ymm9        # 2cba4 <_sk_overlay_sse2_8bit+0xde0>
  .byte  196,65,52,194,208,1                 // vcmpltps      %ymm8,%ymm9,%ymm10
  .byte  196,98,125,24,29,37,31,2,0          // vbroadcastss  0x21f25(%rip),%ymm11        # 2cba8 <_sk_overlay_sse2_8bit+0xde4>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,37,27,31,2,0          // vbroadcastss  0x21f1b(%rip),%ymm12        # 2cbac <_sk_overlay_sse2_8bit+0xde8>
  .byte  196,193,116,89,204                  // vmulps        %ymm12,%ymm1,%ymm1
  .byte  196,67,117,74,192,160               // vblendvps     %ymm10,%ymm8,%ymm1,%ymm8
  .byte  197,252,89,200                      // vmulps        %ymm0,%ymm0,%ymm1
  .byte  197,252,89,201                      // vmulps        %ymm1,%ymm0,%ymm1
  .byte  197,52,194,209,1                    // vcmpltps      %ymm1,%ymm9,%ymm10
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,193,124,89,196                  // vmulps        %ymm12,%ymm0,%ymm0
  .byte  196,227,125,74,201,160              // vblendvps     %ymm10,%ymm1,%ymm0,%ymm1
  .byte  197,236,89,194                      // vmulps        %ymm2,%ymm2,%ymm0
  .byte  197,236,89,192                      // vmulps        %ymm0,%ymm2,%ymm0
  .byte  197,52,194,200,1                    // vcmpltps      %ymm0,%ymm9,%ymm9
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,193,108,89,212                  // vmulps        %ymm12,%ymm2,%ymm2
  .byte  196,227,109,74,208,144              // vblendvps     %ymm9,%ymm0,%ymm2,%ymm2
  .byte  196,226,125,24,5,209,30,2,0         // vbroadcastss  0x21ed1(%rip),%ymm0        # 2cbb0 <_sk_overlay_sse2_8bit+0xdec>
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,200,30,2,0          // vbroadcastss  0x21ec8(%rip),%ymm8        # 2cbb4 <_sk_overlay_sse2_8bit+0xdf0>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_avx
.globl _sk_load_a8_avx
FUNCTION(_sk_load_a8_avx)
_sk_load_a8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           ad4f <_sk_load_a8_avx+0x5a>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,85,31,2,0             // vpand         0x21f55(%rip),%xmm0,%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,5,30,2,0          // vbroadcastss  0x21e05(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,176                             // ja            ad13 <_sk_load_a8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # ade8 <_sk_load_a8_avx+0xf3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,145                             // jmp           ad13 <_sk_load_a8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,105,255,255,255                 // jmpq          ad13 <_sk_load_a8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,46,255,255,255                  // jmpq          ad13 <_sk_load_a8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_avx
.globl _sk_load_a8_dst_avx
FUNCTION(_sk_load_a8_dst_avx)
_sk_load_a8_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           ae5e <_sk_load_a8_dst_avx+0x5a>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,70,30,2,0            // vpand         0x21e46(%rip),%xmm4,%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,246,28,2,0        // vbroadcastss  0x21cf6(%rip),%ymm5        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,220,89,253                      // vmulps        %ymm5,%ymm4,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,176                             // ja            ae22 <_sk_load_a8_dst_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # aef4 <_sk_load_a8_dst_avx+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,145                             // jmp           ae22 <_sk_load_a8_dst_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,105,255,255,255                 // jmpq          ae22 <_sk_load_a8_dst_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,46,255,255,255                  // jmpq          ae22 <_sk_load_a8_dst_avx+0x1e>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_a8_avx
.globl _sk_gather_a8_avx
FUNCTION(_sk_gather_a8_avx)
_sk_gather_a8_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,131,121,32,4,48,0               // vpinsrb       $0x0,(%r8,%r14,1),%xmm0,%xmm0
  .byte  196,195,121,32,4,24,1               // vpinsrb       $0x1,(%r8,%rbx,1),%xmm0,%xmm0
  .byte  67,15,182,28,32                     // movzbl        (%r8,%r12,1),%ebx
  .byte  196,227,121,32,195,2                // vpinsrb       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,182,28,56                     // movzbl        (%r8,%r15,1),%ebx
  .byte  196,227,121,32,195,3                // vpinsrb       $0x3,%ebx,%xmm0,%xmm0
  .byte  196,226,121,49,192                  // vpmovzxbd     %xmm0,%xmm0
  .byte  196,131,121,32,12,24,0              // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm1
  .byte  196,131,113,32,12,16,1              // vpinsrb       $0x1,(%r8,%r10,1),%xmm1,%xmm1
  .byte  67,15,182,28,8                      // movzbl        (%r8,%r9,1),%ebx
  .byte  196,227,113,32,203,2                // vpinsrb       $0x2,%ebx,%xmm1,%xmm1
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,113,32,200,3                // vpinsrb       $0x3,%eax,%xmm1,%xmm1
  .byte  196,226,121,49,201                  // vpmovzxbd     %xmm1,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,93,27,2,0         // vbroadcastss  0x21b5d(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_avx
.globl _sk_store_a8_avx
FUNCTION(_sk_store_a8_avx)
_sk_store_a8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,222,26,2,0          // vbroadcastss  0x21ade(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  196,65,57,103,192                   // vpackuswb     %xmm8,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           b043 <_sk_store_a8_avx+0x45>
  .byte  196,1,123,17,4,24                   // vmovsd        %xmm8,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            b03f <_sk_store_a8_avx+0x41>
  .byte  196,66,121,48,192                   // vpmovzxbw     %xmm8,%xmm8
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,85,0,0,0                  // lea           0x55(%rip),%r10        # b0b8 <_sk_store_a8_avx+0xba>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,20,4,24,0                 // vpextrb       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,202                             // jmp           b03f <_sk_store_a8_avx+0x41>
  .byte  196,3,121,20,68,24,2,4              // vpextrb       $0x4,%xmm8,0x2(%r8,%r11,1)
  .byte  196,98,57,0,5,250,27,2,0            // vpshufb       0x21bfa(%rip),%xmm8,%xmm8        # 2cc80 <_sk_overlay_sse2_8bit+0xebc>
  .byte  196,3,121,21,4,24,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,176                             // jmp           b03f <_sk_store_a8_avx+0x41>
  .byte  196,3,121,20,68,24,6,12             // vpextrb       $0xc,%xmm8,0x6(%r8,%r11,1)
  .byte  196,3,121,20,68,24,5,10             // vpextrb       $0xa,%xmm8,0x5(%r8,%r11,1)
  .byte  196,3,121,20,68,24,4,8              // vpextrb       $0x8,%xmm8,0x4(%r8,%r11,1)
  .byte  196,98,57,0,5,224,27,2,0            // vpshufb       0x21be0(%rip),%xmm8,%xmm8        # 2cc90 <_sk_overlay_sse2_8bit+0xecc>
  .byte  196,1,121,126,4,24                  // vmovd         %xmm8,(%r8,%r11,1)
  .byte  235,135                             // jmp           b03f <_sk_store_a8_avx+0x41>
  .byte  180,255                             // mov           $0xff,%ah
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,239                 // mov           $0xefffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_avx
.globl _sk_load_g8_avx
FUNCTION(_sk_load_g8_avx)
_sk_load_g8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,71                              // jne           b133 <_sk_load_g8_avx+0x5f>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,118,27,2,0            // vpand         0x21b76(%rip),%xmm0,%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,38,26,2,0         // vbroadcastss  0x21a26(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,163,25,2,0        // vbroadcastss  0x219a3(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,171                             // ja            b0f2 <_sk_load_g8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # b1cc <_sk_load_g8_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,140                             // jmp           b0f2 <_sk_load_g8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,100,255,255,255                 // jmpq          b0f2 <_sk_load_g8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,41,255,255,255                  // jmpq          b0f2 <_sk_load_g8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_avx
.globl _sk_load_g8_dst_avx
FUNCTION(_sk_load_g8_dst_avx)
_sk_load_g8_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,71                              // jne           b247 <_sk_load_g8_dst_avx+0x5f>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,98,26,2,0            // vpand         0x21a62(%rip),%xmm4,%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,18,25,2,0         // vbroadcastss  0x21912(%rip),%ymm5        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,143,24,2,0        // vbroadcastss  0x2188f(%rip),%ymm7        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,236                      // vmovaps       %ymm4,%ymm5
  .byte  197,252,40,244                      // vmovaps       %ymm4,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,171                             // ja            b206 <_sk_load_g8_dst_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # b2e0 <_sk_load_g8_dst_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,140                             // jmp           b206 <_sk_load_g8_dst_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,100,255,255,255                 // jmpq          b206 <_sk_load_g8_dst_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,41,255,255,255                  // jmpq          b206 <_sk_load_g8_dst_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_g8_avx
.globl _sk_gather_g8_avx
FUNCTION(_sk_gather_g8_avx)
_sk_gather_g8_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,131,121,32,4,48,0               // vpinsrb       $0x0,(%r8,%r14,1),%xmm0,%xmm0
  .byte  196,195,121,32,4,24,1               // vpinsrb       $0x1,(%r8,%rbx,1),%xmm0,%xmm0
  .byte  67,15,182,28,32                     // movzbl        (%r8,%r12,1),%ebx
  .byte  196,227,121,32,195,2                // vpinsrb       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,182,28,56                     // movzbl        (%r8,%r15,1),%ebx
  .byte  196,227,121,32,195,3                // vpinsrb       $0x3,%ebx,%xmm0,%xmm0
  .byte  196,226,121,49,192                  // vpmovzxbd     %xmm0,%xmm0
  .byte  196,131,121,32,12,24,0              // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm1
  .byte  196,131,113,32,12,16,1              // vpinsrb       $0x1,(%r8,%r10,1),%xmm1,%xmm1
  .byte  67,15,182,28,8                      // movzbl        (%r8,%r9,1),%ebx
  .byte  196,227,113,32,203,2                // vpinsrb       $0x2,%ebx,%xmm1,%xmm1
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,113,32,200,3                // vpinsrb       $0x3,%eax,%xmm1,%xmm1
  .byte  196,226,121,49,201                  // vpmovzxbd     %xmm1,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,113,23,2,0        // vbroadcastss  0x21771(%rip),%ymm1        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,238,22,2,0        // vbroadcastss  0x216ee(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_avx
.globl _sk_load_565_avx
FUNCTION(_sk_load_565_avx)
_sk_load_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,128,0,0,0                    // jne           b48e <_sk_load_565_avx+0x9f>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm2
  .byte  196,226,125,24,5,20,23,2,0          // vbroadcastss  0x21714(%rip),%ymm0        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,236,84,192                      // vandps        %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,7,23,2,0          // vbroadcastss  0x21707(%rip),%ymm1        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,254,22,2,0        // vbroadcastss  0x216fe(%rip),%ymm1        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,236,84,201                      // vandps        %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,241,22,2,0        // vbroadcastss  0x216f1(%rip),%ymm3        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,24,29,232,22,2,0        // vbroadcastss  0x216e8(%rip),%ymm3        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,236,84,211                      // vandps        %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,219,22,2,0        // vbroadcastss  0x216db(%rip),%ymm3        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,64,22,2,0         // vbroadcastss  0x21640(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,110,255,255,255              // ja            b414 <_sk_load_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,99,0,0,0                  // lea           0x63(%rip),%r10        # b514 <_sk_load_565_avx+0x125>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,76,255,255,255                  // jmpq          b414 <_sk_load_565_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,47,255,255,255                  // jmpq          b414 <_sk_load_565_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,2,255,255,255                   // jmpq          b414 <_sk_load_565_avx+0x25>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,180,255,255,255,237,255         // pushq         -0x120001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_avx
.globl _sk_load_565_dst_avx
FUNCTION(_sk_load_565_dst_avx)
_sk_load_565_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,128,0,0,0                    // jne           b5cf <_sk_load_565_dst_avx+0x9f>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,245,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm6
  .byte  196,226,125,24,37,211,21,2,0        // vbroadcastss  0x215d3(%rip),%ymm4        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,204,84,228                      // vandps        %ymm4,%ymm6,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,198,21,2,0        // vbroadcastss  0x215c6(%rip),%ymm5        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,24,45,189,21,2,0        // vbroadcastss  0x215bd(%rip),%ymm5        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,204,84,237                      // vandps        %ymm5,%ymm6,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,61,176,21,2,0        // vbroadcastss  0x215b0(%rip),%ymm7        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  196,226,125,24,61,167,21,2,0        // vbroadcastss  0x215a7(%rip),%ymm7        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,204,84,247                      // vandps        %ymm7,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,226,125,24,61,154,21,2,0        // vbroadcastss  0x2159a(%rip),%ymm7        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,255,20,2,0        // vbroadcastss  0x214ff(%rip),%ymm7        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,110,255,255,255              // ja            b555 <_sk_load_565_dst_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # b654 <_sk_load_565_dst_avx+0x124>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,76,255,255,255                  // jmpq          b555 <_sk_load_565_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,47,255,255,255                  // jmpq          b555 <_sk_load_565_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,2,255,255,255                   // jmpq          b555 <_sk_load_565_dst_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_565_avx
.globl _sk_gather_565_avx
FUNCTION(_sk_gather_565_avx)
_sk_gather_565_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,15,183,28,88                     // movzwl        (%r8,%rbx,2),%ebx
  .byte  67,15,183,44,112                    // movzwl        (%r8,%r14,2),%ebp
  .byte  197,249,110,197                     // vmovd         %ebp,%xmm0
  .byte  197,249,196,195,1                   // vpinsrw       $0x1,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,96                     // movzwl        (%r8,%r12,2),%ebx
  .byte  197,249,196,195,2                   // vpinsrw       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,120                    // movzwl        (%r8,%r15,2),%ebx
  .byte  197,249,196,195,3                   // vpinsrw       $0x3,%ebx,%xmm0,%xmm0
  .byte  67,15,183,44,88                     // movzwl        (%r8,%r11,2),%ebp
  .byte  197,249,196,197,4                   // vpinsrw       $0x4,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,80                     // movzwl        (%r8,%r10,2),%ebp
  .byte  197,249,196,197,5                   // vpinsrw       $0x5,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,72                     // movzwl        (%r8,%r9,2),%ebp
  .byte  197,249,196,197,6                   // vpinsrw       $0x6,%ebp,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm2
  .byte  196,226,125,24,5,250,19,2,0         // vbroadcastss  0x213fa(%rip),%ymm0        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,236,84,192                      // vandps        %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,237,19,2,0        // vbroadcastss  0x213ed(%rip),%ymm1        # 2cb48 <_sk_overlay_sse2_8bit+0xd84>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,228,19,2,0        // vbroadcastss  0x213e4(%rip),%ymm1        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  197,236,84,201                      // vandps        %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,215,19,2,0        // vbroadcastss  0x213d7(%rip),%ymm3        # 2cb50 <_sk_overlay_sse2_8bit+0xd8c>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,24,29,206,19,2,0        // vbroadcastss  0x213ce(%rip),%ymm3        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,236,84,211                      // vandps        %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,193,19,2,0        // vbroadcastss  0x213c1(%rip),%ymm3        # 2cb58 <_sk_overlay_sse2_8bit+0xd94>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,38,19,2,0         // vbroadcastss  0x21326(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_avx
.globl _sk_store_565_avx
FUNCTION(_sk_store_565_avx)
_sk_store_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,233,19,2,0          // vbroadcastss  0x213e9(%rip),%ymm8        # 2cbb8 <_sk_overlay_sse2_8bit+0xdf4>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,41,114,241,11               // vpslld        $0xb,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,11               // vpslld        $0xb,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,98,125,24,21,194,19,2,0         // vbroadcastss  0x213c2(%rip),%ymm10        # 2cbbc <_sk_overlay_sse2_8bit+0xdf8>
  .byte  196,65,116,89,210                   // vmulps        %ymm10,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,5                // vpslld        $0x5,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,5                // vpslld        $0x5,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           b84a <_sk_store_565_avx+0x9a>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            b846 <_sk_store_565_avx+0x96>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # b8a8 <_sk_store_565_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           b846 <_sk_store_565_avx+0x96>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           b846 <_sk_store_565_avx+0x96>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           b846 <_sk_store_565_avx+0x96>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_avx
.globl _sk_load_4444_avx
FUNCTION(_sk_load_4444_avx)
_sk_load_4444_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,152,0,0,0                    // jne           b97b <_sk_load_4444_avx+0xb7>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm3
  .byte  196,226,125,24,5,187,18,2,0         // vbroadcastss  0x212bb(%rip),%ymm0        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,228,84,192                      // vandps        %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,174,18,2,0        // vbroadcastss  0x212ae(%rip),%ymm1        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,165,18,2,0        // vbroadcastss  0x212a5(%rip),%ymm1        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,228,84,201                      // vandps        %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,152,18,2,0        // vbroadcastss  0x21298(%rip),%ymm2        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,143,18,2,0        // vbroadcastss  0x2128f(%rip),%ymm2        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,228,84,210                      // vandps        %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,130,18,2,0          // vbroadcastss  0x21282(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,120,18,2,0          // vbroadcastss  0x21278(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,100,84,216                  // vandps        %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,106,18,2,0          // vbroadcastss  0x2126a(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,86,255,255,255               // ja            b8e9 <_sk_load_4444_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # ba00 <_sk_load_4444_avx+0x13c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,52,255,255,255                  // jmpq          b8e9 <_sk_load_4444_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,23,255,255,255                  // jmpq          b8e9 <_sk_load_4444_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,234,254,255,255                 // jmpq          b8e9 <_sk_load_4444_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_dst_avx
.globl _sk_load_4444_dst_avx
FUNCTION(_sk_load_4444_dst_avx)
_sk_load_4444_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,152,0,0,0                    // jne           bad3 <_sk_load_4444_dst_avx+0xb7>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,253,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm7
  .byte  196,226,125,24,37,99,17,2,0         // vbroadcastss  0x21163(%rip),%ymm4        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,196,84,228                      // vandps        %ymm4,%ymm7,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,86,17,2,0         // vbroadcastss  0x21156(%rip),%ymm5        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,24,45,77,17,2,0         // vbroadcastss  0x2114d(%rip),%ymm5        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,196,84,237                      // vandps        %ymm5,%ymm7,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,53,64,17,2,0         // vbroadcastss  0x21140(%rip),%ymm6        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,212,89,238                      // vmulps        %ymm6,%ymm5,%ymm5
  .byte  196,226,125,24,53,55,17,2,0         // vbroadcastss  0x21137(%rip),%ymm6        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,196,84,246                      // vandps        %ymm6,%ymm7,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,98,125,24,5,42,17,2,0           // vbroadcastss  0x2112a(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,98,125,24,5,32,17,2,0           // vbroadcastss  0x21120(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,68,84,248                   // vandps        %ymm8,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,18,17,2,0           // vbroadcastss  0x21112(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,86,255,255,255               // ja            ba41 <_sk_load_4444_dst_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # bb58 <_sk_load_4444_dst_avx+0x13c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,52,255,255,255                  // jmpq          ba41 <_sk_load_4444_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,23,255,255,255                  // jmpq          ba41 <_sk_load_4444_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,234,254,255,255                 // jmpq          ba41 <_sk_load_4444_dst_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_4444_avx
.globl _sk_gather_4444_avx
FUNCTION(_sk_gather_4444_avx)
_sk_gather_4444_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,15,183,28,88                     // movzwl        (%r8,%rbx,2),%ebx
  .byte  67,15,183,44,112                    // movzwl        (%r8,%r14,2),%ebp
  .byte  197,249,110,197                     // vmovd         %ebp,%xmm0
  .byte  197,249,196,195,1                   // vpinsrw       $0x1,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,96                     // movzwl        (%r8,%r12,2),%ebx
  .byte  197,249,196,195,2                   // vpinsrw       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,120                    // movzwl        (%r8,%r15,2),%ebx
  .byte  197,249,196,195,3                   // vpinsrw       $0x3,%ebx,%xmm0,%xmm0
  .byte  67,15,183,44,88                     // movzwl        (%r8,%r11,2),%ebp
  .byte  197,249,196,197,4                   // vpinsrw       $0x4,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,80                     // movzwl        (%r8,%r10,2),%ebp
  .byte  197,249,196,197,5                   // vpinsrw       $0x5,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,72                     // movzwl        (%r8,%r9,2),%ebp
  .byte  197,249,196,197,6                   // vpinsrw       $0x6,%ebp,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm3
  .byte  196,226,125,24,5,114,15,2,0         // vbroadcastss  0x20f72(%rip),%ymm0        # 2cbc0 <_sk_overlay_sse2_8bit+0xdfc>
  .byte  197,228,84,192                      // vandps        %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,101,15,2,0        // vbroadcastss  0x20f65(%rip),%ymm1        # 2cbc4 <_sk_overlay_sse2_8bit+0xe00>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,92,15,2,0         // vbroadcastss  0x20f5c(%rip),%ymm1        # 2cbc8 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,228,84,201                      // vandps        %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,79,15,2,0         // vbroadcastss  0x20f4f(%rip),%ymm2        # 2cbcc <_sk_overlay_sse2_8bit+0xe08>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,70,15,2,0         // vbroadcastss  0x20f46(%rip),%ymm2        # 2cbd0 <_sk_overlay_sse2_8bit+0xe0c>
  .byte  197,228,84,210                      // vandps        %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,57,15,2,0           // vbroadcastss  0x20f39(%rip),%ymm8        # 2cbd4 <_sk_overlay_sse2_8bit+0xe10>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,47,15,2,0           // vbroadcastss  0x20f2f(%rip),%ymm8        # 2cbd8 <_sk_overlay_sse2_8bit+0xe14>
  .byte  196,193,100,84,216                  // vandps        %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,33,15,2,0           // vbroadcastss  0x20f21(%rip),%ymm8        # 2cbdc <_sk_overlay_sse2_8bit+0xe18>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_avx
.globl _sk_store_4444_avx
FUNCTION(_sk_store_4444_avx)
_sk_store_4444_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,245,14,2,0          // vbroadcastss  0x20ef5(%rip),%ymm8        # 2cbe0 <_sk_overlay_sse2_8bit+0xe1c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,41,114,241,12               // vpslld        $0xc,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,12               // vpslld        $0xc,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,4                // vpslld        $0x4,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,4                // vpslld        $0x4,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           bd84 <_sk_store_4444_avx+0xb8>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            bd80 <_sk_store_4444_avx+0xb4>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,69,0,0,0                  // lea           0x45(%rip),%r10        # bde4 <_sk_store_4444_avx+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           bd80 <_sk_store_4444_avx+0xb4>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           bd80 <_sk_store_4444_avx+0xb4>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           bd80 <_sk_store_4444_avx+0xb4>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  196                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,205                             // dec           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,245                             // push          %rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  237                                 // in            (%dx),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_avx
.globl _sk_load_8888_avx
FUNCTION(_sk_load_8888_avx)
_sk_load_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           bea7 <_sk_load_8888_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,114,7,2,0             // vmovapd       0x20772(%rip),%ymm10        # 2c5a0 <_sk_overlay_sse2_8bit+0x7dc>
  .byte  196,193,53,84,194                   // vandpd        %ymm10,%ymm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,0,13,2,0            // vbroadcastss  0x20d00(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,193,113,114,209,8               // vpsrld        $0x8,%xmm9,%xmm1
  .byte  196,99,125,25,203,1                 // vextractf128  $0x1,%ymm9,%xmm3
  .byte  197,233,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,117,84,202                  // vandpd        %ymm10,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,233,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm2
  .byte  196,227,37,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm11,%ymm2
  .byte  196,193,109,84,210                  // vandpd        %ymm10,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,53,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm9,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            be26 <_sk_load_8888_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # bf5c <_sk_load_8888_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          be26 <_sk_load_8888_avx+0x26>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm9
  .byte  196,129,123,16,4,152                // vmovsd        (%r8,%r11,4),%xmm0
  .byte  196,99,53,13,200,1                  // vblendpd      $0x1,%ymm0,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          be26 <_sk_load_8888_avx+0x26>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,129,121,16,4,152                // vmovupd       (%r8,%r11,4),%xmm0
  .byte  196,67,125,13,201,12                // vblendpd      $0xc,%ymm9,%ymm0,%ymm9
  .byte  233,203,254,255,255                 // jmpq          be26 <_sk_load_8888_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            bf5d <_sk_load_8888_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_avx
.globl _sk_load_8888_dst_avx
FUNCTION(_sk_load_8888_dst_avx)
_sk_load_8888_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c01f <_sk_load_8888_dst_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,26,6,2,0              // vmovapd       0x2061a(%rip),%ymm10        # 2c5c0 <_sk_overlay_sse2_8bit+0x7fc>
  .byte  196,193,53,84,226                   // vandpd        %ymm10,%ymm9,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,136,11,2,0          // vbroadcastss  0x20b88(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,193,81,114,209,8                // vpsrld        $0x8,%xmm9,%xmm5
  .byte  196,99,125,25,207,1                 // vextractf128  $0x1,%ymm9,%xmm7
  .byte  197,201,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,85,84,234                   // vandpd        %ymm10,%ymm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,84,89,232                   // vmulps        %ymm8,%ymm5,%ymm5
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,201,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm6
  .byte  196,227,37,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm11,%ymm6
  .byte  196,193,77,84,242                   // vandpd        %ymm10,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,53,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm9,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            bf9e <_sk_load_8888_dst_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c0d4 <_sk_load_8888_dst_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          bf9e <_sk_load_8888_dst_avx+0x26>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,53,13,204,1                  // vblendpd      $0x1,%ymm4,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          bf9e <_sk_load_8888_dst_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,201,12                 // vblendpd      $0xc,%ymm9,%ymm4,%ymm9
  .byte  233,203,254,255,255                 // jmpq          bf9e <_sk_load_8888_dst_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c0d5 <_sk_load_8888_dst_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_8888_avx
.globl _sk_gather_8888_avx
FUNCTION(_sk_gather_8888_avx)
_sk_gather_8888_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,249,110,80,8                    // vmovd         0x8(%rax),%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,226,105,64,217                  // vpmulld       %xmm1,%xmm2,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,225,249,126,200                 // vmovq         %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,121,110,4,176               // vmovd         (%r8,%r14,4),%xmm0
  .byte  196,195,121,34,4,152,1              // vpinsrd       $0x1,(%r8,%rbx,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,160,2              // vpinsrd       $0x2,(%r8,%r12,4),%xmm0,%xmm0
  .byte  196,3,121,34,4,184,3                // vpinsrd       $0x3,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,121,110,4,136               // vmovd         (%r8,%r9,4),%xmm0
  .byte  196,195,121,34,4,128,1              // vpinsrd       $0x1,(%r8,%rax,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,152,2              // vpinsrd       $0x2,(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,131,121,34,28,144,3             // vpinsrd       $0x3,(%r8,%r10,4),%xmm0,%xmm3
  .byte  196,227,61,24,195,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm0
  .byte  197,124,40,21,62,4,2,0              // vmovaps       0x2043e(%rip),%ymm10        # 2c5e0 <_sk_overlay_sse2_8bit+0x81c>
  .byte  196,193,124,84,194                  // vandps        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,13,140,9,2,0          // vbroadcastss  0x2098c(%rip),%ymm9        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,193,113,114,208,8               // vpsrld        $0x8,%xmm8,%xmm1
  .byte  197,233,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,202                  // vandps        %ymm10,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,193,33,114,208,16               // vpsrld        $0x10,%xmm8,%xmm11
  .byte  197,233,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm2
  .byte  196,227,37,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm11,%ymm2
  .byte  196,193,108,84,210                  // vandps        %ymm10,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_avx
.globl _sk_store_8888_avx
FUNCTION(_sk_store_8888_avx)
_sk_store_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,188,8,2,0           // vbroadcastss  0x208bc(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,16               // vpslld        $0x10,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,16               // vpslld        $0x10,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,33,114,240,24               // vpslld        $0x18,%xmm8,%xmm11
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,240,24               // vpslld        $0x18,%xmm8,%xmm8
  .byte  196,67,37,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm11,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           c2ca <_sk_store_8888_avx+0xae>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            c2c6 <_sk_store_8888_avx+0xaa>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # c338 <_sk_store_8888_avx+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           c2c6 <_sk_store_8888_avx+0xaa>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           c2c6 <_sk_store_8888_avx+0xaa>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           c2c6 <_sk_store_8888_avx+0xaa>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_avx
.globl _sk_load_bgra_avx
FUNCTION(_sk_load_bgra_avx)
_sk_load_bgra_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c3fb <_sk_load_bgra_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,126,2,2,0             // vmovapd       0x2027e(%rip),%ymm10        # 2c600 <_sk_overlay_sse2_8bit+0x83c>
  .byte  196,193,53,84,202                   // vandpd        %ymm10,%ymm9,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,98,125,24,5,172,7,2,0           // vbroadcastss  0x207ac(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,116,89,208                  // vmulps        %ymm8,%ymm1,%ymm2
  .byte  196,193,113,114,209,8               // vpsrld        $0x8,%xmm9,%xmm1
  .byte  196,99,125,25,203,1                 // vextractf128  $0x1,%ymm9,%xmm3
  .byte  197,249,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm0
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  196,193,125,84,194                  // vandpd        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,249,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm0
  .byte  196,227,37,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm11,%ymm0
  .byte  196,193,125,84,194                  // vandpd        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,53,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm9,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            c37a <_sk_load_bgra_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c4b0 <_sk_load_bgra_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          c37a <_sk_load_bgra_avx+0x26>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm9
  .byte  196,129,123,16,4,152                // vmovsd        (%r8,%r11,4),%xmm0
  .byte  196,99,53,13,200,1                  // vblendpd      $0x1,%ymm0,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          c37a <_sk_load_bgra_avx+0x26>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,129,121,16,4,152                // vmovupd       (%r8,%r11,4),%xmm0
  .byte  196,67,125,13,201,12                // vblendpd      $0xc,%ymm9,%ymm0,%ymm9
  .byte  233,203,254,255,255                 // jmpq          c37a <_sk_load_bgra_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c4b1 <_sk_load_bgra_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_avx
.globl _sk_load_bgra_dst_avx
FUNCTION(_sk_load_bgra_dst_avx)
_sk_load_bgra_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c573 <_sk_load_bgra_dst_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,38,1,2,0              // vmovapd       0x20126(%rip),%ymm10        # 2c620 <_sk_overlay_sse2_8bit+0x85c>
  .byte  196,193,53,84,234                   // vandpd        %ymm10,%ymm9,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,98,125,24,5,52,6,2,0            // vbroadcastss  0x20634(%rip),%ymm8        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,84,89,240                   // vmulps        %ymm8,%ymm5,%ymm6
  .byte  196,193,81,114,209,8                // vpsrld        $0x8,%xmm9,%xmm5
  .byte  196,99,125,25,207,1                 // vextractf128  $0x1,%ymm9,%xmm7
  .byte  197,217,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm4
  .byte  196,227,85,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm5,%ymm4
  .byte  196,193,93,84,226                   // vandpd        %ymm10,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,232                   // vmulps        %ymm8,%ymm4,%ymm5
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,217,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm4
  .byte  196,227,37,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm11,%ymm4
  .byte  196,193,93,84,226                   // vandpd        %ymm10,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,53,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm9,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            c4f2 <_sk_load_bgra_dst_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c628 <_sk_load_bgra_dst_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          c4f2 <_sk_load_bgra_dst_avx+0x26>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,53,13,204,1                  // vblendpd      $0x1,%ymm4,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          c4f2 <_sk_load_bgra_dst_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,201,12                 // vblendpd      $0xc,%ymm9,%ymm4,%ymm9
  .byte  233,203,254,255,255                 // jmpq          c4f2 <_sk_load_bgra_dst_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c629 <_sk_load_bgra_dst_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_bgra_avx
.globl _sk_gather_bgra_avx
FUNCTION(_sk_gather_bgra_avx)
_sk_gather_bgra_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,249,110,80,8                    // vmovd         0x8(%rax),%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,226,105,64,217                  // vpmulld       %xmm1,%xmm2,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,225,249,126,200                 // vmovq         %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,121,110,4,176               // vmovd         (%r8,%r14,4),%xmm0
  .byte  196,195,121,34,4,152,1              // vpinsrd       $0x1,(%r8,%rbx,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,160,2              // vpinsrd       $0x2,(%r8,%r12,4),%xmm0,%xmm0
  .byte  196,3,121,34,4,184,3                // vpinsrd       $0x3,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,121,110,4,136               // vmovd         (%r8,%r9,4),%xmm0
  .byte  196,195,121,34,4,128,1              // vpinsrd       $0x1,(%r8,%rax,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,152,2              // vpinsrd       $0x2,(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,131,121,34,28,144,3             // vpinsrd       $0x3,(%r8,%r10,4),%xmm0,%xmm3
  .byte  196,227,61,24,195,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm0
  .byte  197,124,40,13,74,255,1,0            // vmovaps       0x1ff4a(%rip),%ymm9        # 2c640 <_sk_overlay_sse2_8bit+0x87c>
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,21,56,4,2,0           // vbroadcastss  0x20438(%rip),%ymm10        # 2cb40 <_sk_overlay_sse2_8bit+0xd7c>
  .byte  196,193,124,89,210                  // vmulps        %ymm10,%ymm0,%ymm2
  .byte  196,193,121,114,208,8               // vpsrld        $0x8,%xmm8,%xmm0
  .byte  197,241,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,202                  // vmulps        %ymm10,%ymm0,%ymm1
  .byte  196,193,33,114,208,16               // vpsrld        $0x10,%xmm8,%xmm11
  .byte  197,249,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm0
  .byte  196,227,37,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm11,%ymm0
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_avx
.globl _sk_store_bgra_avx
FUNCTION(_sk_store_bgra_avx)
_sk_store_bgra_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,104,3,2,0           // vbroadcastss  0x20368(%rip),%ymm8        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  196,65,108,89,200                   // vmulps        %ymm8,%ymm2,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,16               // vpslld        $0x10,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,16               // vpslld        $0x10,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,33,114,240,24               // vpslld        $0x18,%xmm8,%xmm11
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,240,24               // vpslld        $0x18,%xmm8,%xmm8
  .byte  196,67,37,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm11,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           c81e <_sk_store_bgra_avx+0xae>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            c81a <_sk_store_bgra_avx+0xaa>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # c88c <_sk_store_bgra_avx+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           c81a <_sk_store_bgra_avx+0xaa>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           c81a <_sk_store_bgra_avx+0xaa>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           c81a <_sk_store_bgra_avx+0xaa>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f16_avx
.globl _sk_load_f16_avx
FUNCTION(_sk_load_f16_avx)
_sk_load_f16_avx:
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,224               // vmovups       %ymm7,-0x20(%rsp)
  .byte  197,252,17,116,36,192               // vmovups       %ymm6,-0x40(%rsp)
  .byte  197,252,17,108,36,160               // vmovups       %ymm5,-0x60(%rsp)
  .byte  197,254,127,100,36,128              // vmovdqu       %ymm4,-0x80(%rsp)
  .byte  15,133,145,2,0,0                    // jne           cb75 <_sk_load_f16_avx+0x2cd>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,84,192,16            // vmovupd       0x10(%r8,%rax,8),%xmm2
  .byte  196,193,121,16,76,192,32            // vmovupd       0x20(%r8,%rax,8),%xmm1
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,113,97,217                  // vpunpcklwd    %xmm9,%xmm1,%xmm3
  .byte  196,193,113,105,201                 // vpunpckhwd    %xmm9,%xmm1,%xmm1
  .byte  197,121,97,250                      // vpunpcklwd    %xmm2,%xmm0,%xmm15
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,225,97,209                      // vpunpcklwd    %xmm1,%xmm3,%xmm2
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,129,108,194                     // vpunpcklqdq   %xmm2,%xmm15,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,98,125,24,37,7,3,2,0            // vbroadcastss  0x20307(%rip),%ymm12        # 2cc48 <_sk_overlay_sse2_8bit+0xe84>
  .byte  196,193,124,84,204                  // vandps        %ymm12,%ymm0,%ymm1
  .byte  197,252,87,193                      // vxorps        %ymm1,%ymm0,%ymm0
  .byte  196,195,125,25,198,1                // vextractf128  $0x1,%ymm0,%xmm14
  .byte  196,98,121,24,29,203,2,2,0          // vbroadcastss  0x202cb(%rip),%xmm11        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,193,8,87,219                    // vxorps        %xmm11,%xmm14,%xmm3
  .byte  196,98,121,24,45,229,2,2,0          // vbroadcastss  0x202e5(%rip),%xmm13        # 2cc4c <_sk_overlay_sse2_8bit+0xe88>
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,65,120,87,211                   // vxorps        %xmm11,%xmm0,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,211,1                  // vinsertf128   $0x1,%xmm3,%ymm10,%ymm10
  .byte  197,225,114,241,16                  // vpslld        $0x10,%xmm1,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  197,241,114,241,16                  // vpslld        $0x10,%xmm1,%xmm1
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  196,193,97,114,246,13               // vpslld        $0xd,%xmm14,%xmm3
  .byte  196,227,125,24,195,1                // vinsertf128   $0x1,%xmm3,%ymm0,%ymm0
  .byte  197,252,86,193                      // vorps         %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  196,226,121,24,29,155,2,2,0         // vbroadcastss  0x2029b(%rip),%xmm3        # 2cc50 <_sk_overlay_sse2_8bit+0xe8c>
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  197,249,254,195                     // vpaddd        %xmm3,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,125,74,198,160              // vblendvps     %ymm10,%ymm14,%ymm0,%ymm0
  .byte  197,129,109,202                     // vpunpckhqdq   %xmm2,%xmm15,%xmm1
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,241,105,212                     // vpunpckhwd    %xmm4,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,212                  // vandps        %ymm12,%ymm1,%ymm2
  .byte  197,244,87,202                      // vxorps        %ymm2,%ymm1,%ymm1
  .byte  196,195,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm10
  .byte  196,193,40,87,251                   // vxorps        %xmm11,%xmm10,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,193,112,87,243                  // vxorps        %xmm11,%xmm1,%xmm6
  .byte  197,145,102,246                     // vpcmpgtd      %xmm6,%xmm13,%xmm6
  .byte  196,227,77,24,247,1                 // vinsertf128   $0x1,%xmm7,%ymm6,%ymm6
  .byte  197,193,114,242,16                  // vpslld        $0x10,%xmm2,%xmm7
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,69,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm7,%ymm2
  .byte  197,241,114,241,13                  // vpslld        $0xd,%xmm1,%xmm1
  .byte  196,193,65,114,242,13               // vpslld        $0xd,%xmm10,%xmm7
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  197,244,86,202                      // vorps         %ymm2,%ymm1,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,206,96               // vblendvps     %ymm6,%ymm14,%ymm1,%ymm1
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,244                     // vpunpckhwd    %xmm4,%xmm2,%xmm6
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,108,84,244                  // vandps        %ymm12,%ymm2,%ymm6
  .byte  197,236,87,214                      // vxorps        %ymm6,%ymm2,%ymm2
  .byte  196,227,125,25,215,1                // vextractf128  $0x1,%ymm2,%xmm7
  .byte  196,193,64,87,235                   // vxorps        %xmm11,%xmm7,%xmm5
  .byte  197,145,102,237                     // vpcmpgtd      %xmm5,%xmm13,%xmm5
  .byte  196,193,104,87,227                  // vxorps        %xmm11,%xmm2,%xmm4
  .byte  197,145,102,228                     // vpcmpgtd      %xmm4,%xmm13,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,209,114,246,16                  // vpslld        $0x10,%xmm6,%xmm5
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,201,114,247,13                  // vpslld        $0xd,%xmm7,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  197,236,86,213                      // vorps         %ymm5,%ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,213,1                // vinsertf128   $0x1,%xmm5,%ymm2,%ymm2
  .byte  196,195,109,74,214,64               // vblendvps     %ymm4,%ymm14,%ymm2,%ymm2
  .byte  196,193,57,109,225                  // vpunpckhqdq   %xmm9,%xmm8,%xmm4
  .byte  196,193,89,105,234                  // vpunpckhwd    %xmm10,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm6
  .byte  196,193,72,87,251                   // vxorps        %xmm11,%xmm6,%xmm7
  .byte  197,17,102,199                      // vpcmpgtd      %xmm7,%xmm13,%xmm8
  .byte  196,193,88,87,251                   // vxorps        %xmm11,%xmm4,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,195,69,24,248,1                 // vinsertf128   $0x1,%xmm8,%ymm7,%ymm7
  .byte  197,185,114,245,16                  // vpslld        $0x10,%xmm5,%xmm8
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,61,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm8,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  197,201,114,246,13                  // vpslld        $0xd,%xmm6,%xmm6
  .byte  196,227,93,24,230,1                 // vinsertf128   $0x1,%xmm6,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,217,254,219                     // vpaddd        %xmm3,%xmm4,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,222,112              // vblendvps     %ymm7,%ymm14,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            cbdb <_sk_load_f16_avx+0x333>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            cbdb <_sk_load_f16_avx+0x333>
  .byte  196,193,123,16,84,192,16            // vmovsd        0x10(%r8,%rax,8),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            cbe8 <_sk_load_f16_avx+0x340>
  .byte  196,193,105,22,84,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            cbe8 <_sk_load_f16_avx+0x340>
  .byte  196,193,123,16,76,192,32            // vmovsd        0x20(%r8,%rax,8),%xmm1
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,65,253,255,255               // je            c8ff <_sk_load_f16_avx+0x57>
  .byte  196,193,113,22,76,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm1,%xmm1
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,48,253,255,255               // jb            c8ff <_sk_load_f16_avx+0x57>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,36,253,255,255                  // jmpq          c8ff <_sk_load_f16_avx+0x57>
  .byte  197,241,87,201                      // vxorpd        %xmm1,%xmm1,%xmm1
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,23,253,255,255                  // jmpq          c8ff <_sk_load_f16_avx+0x57>
  .byte  197,241,87,201                      // vxorpd        %xmm1,%xmm1,%xmm1
  .byte  233,14,253,255,255                  // jmpq          c8ff <_sk_load_f16_avx+0x57>

HIDDEN _sk_load_f16_dst_avx
.globl _sk_load_f16_dst_avx
FUNCTION(_sk_load_f16_dst_avx)
_sk_load_f16_dst_avx:
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,92,36,224                // vmovups       %ymm3,-0x20(%rsp)
  .byte  197,252,17,84,36,192                // vmovups       %ymm2,-0x40(%rsp)
  .byte  197,252,17,76,36,160                // vmovups       %ymm1,-0x60(%rsp)
  .byte  197,254,127,68,36,128               // vmovdqu       %ymm0,-0x80(%rsp)
  .byte  15,133,145,2,0,0                    // jne           cebe <_sk_load_f16_dst_avx+0x2cd>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,116,192,16           // vmovupd       0x10(%r8,%rax,8),%xmm6
  .byte  196,193,121,16,108,192,32           // vmovupd       0x20(%r8,%rax,8),%xmm5
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,230                      // vpunpcklwd    %xmm6,%xmm8,%xmm4
  .byte  197,185,105,246                     // vpunpckhwd    %xmm6,%xmm8,%xmm6
  .byte  196,193,81,97,249                   // vpunpcklwd    %xmm9,%xmm5,%xmm7
  .byte  196,193,81,105,233                  // vpunpckhwd    %xmm9,%xmm5,%xmm5
  .byte  197,89,97,254                       // vpunpcklwd    %xmm6,%xmm4,%xmm15
  .byte  197,89,105,198                      // vpunpckhwd    %xmm6,%xmm4,%xmm8
  .byte  197,193,97,245                      // vpunpcklwd    %xmm5,%xmm7,%xmm6
  .byte  197,65,105,205                      // vpunpckhwd    %xmm5,%xmm7,%xmm9
  .byte  197,129,108,230                     // vpunpcklqdq   %xmm6,%xmm15,%xmm4
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,217,105,232                     // vpunpckhwd    %xmm0,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,98,125,24,37,190,255,1,0        // vbroadcastss  0x1ffbe(%rip),%ymm12        # 2cc48 <_sk_overlay_sse2_8bit+0xe84>
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,195,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm14
  .byte  196,98,121,24,29,130,255,1,0        // vbroadcastss  0x1ff82(%rip),%xmm11        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,193,8,87,251                    // vxorps        %xmm11,%xmm14,%xmm7
  .byte  196,98,121,24,45,156,255,1,0        // vbroadcastss  0x1ff9c(%rip),%xmm13        # 2cc4c <_sk_overlay_sse2_8bit+0xe88>
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,65,88,87,211                    // vxorps        %xmm11,%xmm4,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,215,1                  // vinsertf128   $0x1,%xmm7,%ymm10,%ymm10
  .byte  197,193,114,245,16                  // vpslld        $0x10,%xmm5,%xmm7
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,69,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm7,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  196,193,65,114,246,13               // vpslld        $0xd,%xmm14,%xmm7
  .byte  196,227,93,24,231,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  196,226,121,24,61,82,255,1,0        // vbroadcastss  0x1ff52(%rip),%xmm7        # 2cc50 <_sk_overlay_sse2_8bit+0xe8c>
  .byte  197,209,254,239                     // vpaddd        %xmm7,%xmm5,%xmm5
  .byte  197,217,254,231                     // vpaddd        %xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,93,74,230,160               // vblendvps     %ymm10,%ymm14,%ymm4,%ymm4
  .byte  197,129,109,238                     // vpunpckhqdq   %xmm6,%xmm15,%xmm5
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,209,105,240                     // vpunpckhwd    %xmm0,%xmm5,%xmm6
  .byte  196,226,121,51,237                  // vpmovzxwd     %xmm5,%xmm5
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,84,84,244                   // vandps        %ymm12,%ymm5,%ymm6
  .byte  197,212,87,238                      // vxorps        %ymm6,%ymm5,%ymm5
  .byte  196,195,125,25,234,1                // vextractf128  $0x1,%ymm5,%xmm10
  .byte  196,193,40,87,219                   // vxorps        %xmm11,%xmm10,%xmm3
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,193,80,87,211                   // vxorps        %xmm11,%xmm5,%xmm2
  .byte  197,145,102,210                     // vpcmpgtd      %xmm2,%xmm13,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,225,114,246,16                  // vpslld        $0x10,%xmm6,%xmm3
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,101,24,222,1                // vinsertf128   $0x1,%xmm6,%ymm3,%ymm3
  .byte  197,209,114,245,13                  // vpslld        $0xd,%xmm5,%xmm5
  .byte  196,193,73,114,242,13               // vpslld        $0xd,%xmm10,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,212,86,219                      // vorps         %ymm3,%ymm5,%ymm3
  .byte  196,227,125,25,221,1                // vextractf128  $0x1,%ymm3,%xmm5
  .byte  197,209,254,239                     // vpaddd        %xmm7,%xmm5,%xmm5
  .byte  197,225,254,223                     // vpaddd        %xmm7,%xmm3,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,238,32               // vblendvps     %ymm2,%ymm14,%ymm3,%ymm5
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,216                     // vpunpckhwd    %xmm0,%xmm2,%xmm3
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,193,108,84,220                  // vandps        %ymm12,%ymm2,%ymm3
  .byte  197,236,87,211                      // vxorps        %ymm3,%ymm2,%ymm2
  .byte  196,227,125,25,214,1                // vextractf128  $0x1,%ymm2,%xmm6
  .byte  196,193,72,87,203                   // vxorps        %xmm11,%xmm6,%xmm1
  .byte  197,145,102,201                     // vpcmpgtd      %xmm1,%xmm13,%xmm1
  .byte  196,193,104,87,195                  // vxorps        %xmm11,%xmm2,%xmm0
  .byte  197,145,102,192                     // vpcmpgtd      %xmm0,%xmm13,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,241,114,243,16                  // vpslld        $0x10,%xmm3,%xmm1
  .byte  196,227,125,25,219,1                // vextractf128  $0x1,%ymm3,%xmm3
  .byte  197,225,114,243,16                  // vpslld        $0x10,%xmm3,%xmm3
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,225,114,246,13                  // vpslld        $0xd,%xmm6,%xmm3
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,236,86,201                      // vorps         %ymm1,%ymm2,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,215                     // vpaddd        %xmm7,%xmm2,%xmm2
  .byte  197,241,254,207                     // vpaddd        %xmm7,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,246,0                // vblendvps     %ymm0,%ymm14,%ymm1,%ymm6
  .byte  196,193,57,109,193                  // vpunpckhqdq   %xmm9,%xmm8,%xmm0
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,193,124,84,204                  // vandps        %ymm12,%ymm0,%ymm1
  .byte  197,252,87,193                      // vxorps        %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  196,193,104,87,219                  // vxorps        %xmm11,%xmm2,%xmm3
  .byte  197,17,102,195                      // vpcmpgtd      %xmm3,%xmm13,%xmm8
  .byte  196,193,120,87,219                  // vxorps        %xmm11,%xmm0,%xmm3
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,185,114,241,16                  // vpslld        $0x10,%xmm1,%xmm8
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  197,241,114,241,16                  // vpslld        $0x10,%xmm1,%xmm1
  .byte  196,227,61,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm8,%ymm1
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  197,252,86,193                      // vorps         %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  197,241,254,207                     // vpaddd        %xmm7,%xmm1,%xmm1
  .byte  197,249,254,199                     // vpaddd        %xmm7,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,195,125,74,254,48               // vblendvps     %ymm3,%ymm14,%ymm0,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            cf24 <_sk_load_f16_dst_avx+0x333>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            cf24 <_sk_load_f16_dst_avx+0x333>
  .byte  196,193,123,16,116,192,16           // vmovsd        0x10(%r8,%rax,8),%xmm6
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            cf31 <_sk_load_f16_dst_avx+0x340>
  .byte  196,193,73,22,116,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm6,%xmm6
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            cf31 <_sk_load_f16_dst_avx+0x340>
  .byte  196,193,123,16,108,192,32           // vmovsd        0x20(%r8,%rax,8),%xmm5
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,65,253,255,255               // je            cc48 <_sk_load_f16_dst_avx+0x57>
  .byte  196,193,81,22,108,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm5,%xmm5
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,48,253,255,255               // jb            cc48 <_sk_load_f16_dst_avx+0x57>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,36,253,255,255                  // jmpq          cc48 <_sk_load_f16_dst_avx+0x57>
  .byte  197,209,87,237                      // vxorpd        %xmm5,%xmm5,%xmm5
  .byte  197,201,87,246                      // vxorpd        %xmm6,%xmm6,%xmm6
  .byte  233,23,253,255,255                  // jmpq          cc48 <_sk_load_f16_dst_avx+0x57>
  .byte  197,209,87,237                      // vxorpd        %xmm5,%xmm5,%xmm5
  .byte  233,14,253,255,255                  // jmpq          cc48 <_sk_load_f16_dst_avx+0x57>

HIDDEN _sk_gather_f16_avx
.globl _sk_gather_f16_avx
FUNCTION(_sk_gather_f16_avx)
_sk_gather_f16_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,252,17,124,36,224               // vmovups       %ymm7,-0x20(%rsp)
  .byte  197,252,17,116,36,192               // vmovups       %ymm6,-0x40(%rsp)
  .byte  197,252,17,108,36,160               // vmovups       %ymm5,-0x60(%rsp)
  .byte  197,254,127,100,36,128              // vmovdqu       %ymm4,-0x80(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,122,126,4,216               // vmovq         (%r8,%rbx,8),%xmm0
  .byte  196,129,122,126,12,240              // vmovq         (%r8,%r14,8),%xmm1
  .byte  197,113,108,200                     // vpunpcklqdq   %xmm0,%xmm1,%xmm9
  .byte  196,129,122,126,12,248              // vmovq         (%r8,%r15,8),%xmm1
  .byte  196,129,122,126,20,224              // vmovq         (%r8,%r12,8),%xmm2
  .byte  197,233,108,201                     // vpunpcklqdq   %xmm1,%xmm2,%xmm1
  .byte  196,129,122,126,20,208              // vmovq         (%r8,%r10,8),%xmm2
  .byte  196,129,122,126,28,216              // vmovq         (%r8,%r11,8),%xmm3
  .byte  197,97,108,210                      // vpunpcklqdq   %xmm2,%xmm3,%xmm10
  .byte  196,65,122,126,4,192                // vmovq         (%r8,%rax,8),%xmm8
  .byte  196,129,122,126,28,200              // vmovq         (%r8,%r9,8),%xmm3
  .byte  196,193,97,108,216                  // vpunpcklqdq   %xmm8,%xmm3,%xmm3
  .byte  197,177,97,193                      // vpunpcklwd    %xmm1,%xmm9,%xmm0
  .byte  197,177,105,201                     // vpunpckhwd    %xmm1,%xmm9,%xmm1
  .byte  197,169,97,211                      // vpunpcklwd    %xmm3,%xmm10,%xmm2
  .byte  197,169,105,219                     // vpunpckhwd    %xmm3,%xmm10,%xmm3
  .byte  197,121,97,249                      // vpunpcklwd    %xmm1,%xmm0,%xmm15
  .byte  197,121,105,193                     // vpunpckhwd    %xmm1,%xmm0,%xmm8
  .byte  197,233,97,203                      // vpunpcklwd    %xmm3,%xmm2,%xmm1
  .byte  197,105,105,203                     // vpunpckhwd    %xmm3,%xmm2,%xmm9
  .byte  197,129,108,193                     // vpunpcklqdq   %xmm1,%xmm15,%xmm0
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  197,249,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm2
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  196,98,125,24,37,3,252,1,0          // vbroadcastss  0x1fc03(%rip),%ymm12        # 2cc48 <_sk_overlay_sse2_8bit+0xe84>
  .byte  196,193,124,84,212                  // vandps        %ymm12,%ymm0,%ymm2
  .byte  197,252,87,194                      // vxorps        %ymm2,%ymm0,%ymm0
  .byte  196,195,125,25,198,1                // vextractf128  $0x1,%ymm0,%xmm14
  .byte  196,98,121,24,29,199,251,1,0        // vbroadcastss  0x1fbc7(%rip),%xmm11        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,193,8,87,219                    // vxorps        %xmm11,%xmm14,%xmm3
  .byte  196,98,121,24,45,225,251,1,0        // vbroadcastss  0x1fbe1(%rip),%xmm13        # 2cc4c <_sk_overlay_sse2_8bit+0xe88>
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,65,120,87,211                   // vxorps        %xmm11,%xmm0,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,211,1                  // vinsertf128   $0x1,%xmm3,%ymm10,%ymm10
  .byte  197,225,114,242,16                  // vpslld        $0x10,%xmm2,%xmm3
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  196,193,97,114,246,13               // vpslld        $0xd,%xmm14,%xmm3
  .byte  196,227,125,24,195,1                // vinsertf128   $0x1,%xmm3,%ymm0,%ymm0
  .byte  197,252,86,194                      // vorps         %ymm2,%ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  196,226,121,24,29,151,251,1,0       // vbroadcastss  0x1fb97(%rip),%xmm3        # 2cc50 <_sk_overlay_sse2_8bit+0xe8c>
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,249,254,195                     // vpaddd        %xmm3,%xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,125,74,198,160              // vblendvps     %ymm10,%ymm14,%ymm0,%ymm0
  .byte  197,129,109,201                     // vpunpckhqdq   %xmm1,%xmm15,%xmm1
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,241,105,212                     // vpunpckhwd    %xmm4,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,212                  // vandps        %ymm12,%ymm1,%ymm2
  .byte  197,244,87,202                      // vxorps        %ymm2,%ymm1,%ymm1
  .byte  196,195,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm10
  .byte  196,193,40,87,251                   // vxorps        %xmm11,%xmm10,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,193,112,87,243                  // vxorps        %xmm11,%xmm1,%xmm6
  .byte  197,145,102,246                     // vpcmpgtd      %xmm6,%xmm13,%xmm6
  .byte  196,227,77,24,247,1                 // vinsertf128   $0x1,%xmm7,%ymm6,%ymm6
  .byte  197,193,114,242,16                  // vpslld        $0x10,%xmm2,%xmm7
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,69,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm7,%ymm2
  .byte  197,241,114,241,13                  // vpslld        $0xd,%xmm1,%xmm1
  .byte  196,193,65,114,242,13               // vpslld        $0xd,%xmm10,%xmm7
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  197,244,86,202                      // vorps         %ymm2,%ymm1,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,206,96               // vblendvps     %ymm6,%ymm14,%ymm1,%ymm1
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,244                     // vpunpckhwd    %xmm4,%xmm2,%xmm6
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,108,84,244                  // vandps        %ymm12,%ymm2,%ymm6
  .byte  197,236,87,214                      // vxorps        %ymm6,%ymm2,%ymm2
  .byte  196,227,125,25,215,1                // vextractf128  $0x1,%ymm2,%xmm7
  .byte  196,193,64,87,235                   // vxorps        %xmm11,%xmm7,%xmm5
  .byte  197,145,102,237                     // vpcmpgtd      %xmm5,%xmm13,%xmm5
  .byte  196,193,104,87,227                  // vxorps        %xmm11,%xmm2,%xmm4
  .byte  197,145,102,228                     // vpcmpgtd      %xmm4,%xmm13,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,209,114,246,16                  // vpslld        $0x10,%xmm6,%xmm5
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,201,114,247,13                  // vpslld        $0xd,%xmm7,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  197,236,86,213                      // vorps         %ymm5,%ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,213,1                // vinsertf128   $0x1,%xmm5,%ymm2,%ymm2
  .byte  196,195,109,74,214,64               // vblendvps     %ymm4,%ymm14,%ymm2,%ymm2
  .byte  196,193,57,109,225                  // vpunpckhqdq   %xmm9,%xmm8,%xmm4
  .byte  196,193,89,105,234                  // vpunpckhwd    %xmm10,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm6
  .byte  196,193,72,87,251                   // vxorps        %xmm11,%xmm6,%xmm7
  .byte  197,17,102,199                      // vpcmpgtd      %xmm7,%xmm13,%xmm8
  .byte  196,193,88,87,251                   // vxorps        %xmm11,%xmm4,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,195,69,24,248,1                 // vinsertf128   $0x1,%xmm8,%ymm7,%ymm7
  .byte  197,185,114,245,16                  // vpslld        $0x10,%xmm5,%xmm8
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,61,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm8,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  197,201,114,246,13                  // vpslld        $0xd,%xmm6,%xmm6
  .byte  196,227,93,24,230,1                 // vinsertf128   $0x1,%xmm6,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,217,254,219                     // vpaddd        %xmm3,%xmm4,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,222,112              // vblendvps     %ymm7,%ymm14,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_avx
.globl _sk_store_f16_avx
FUNCTION(_sk_store_f16_avx)
_sk_store_f16_avx:
  .byte  72,131,236,88                       // sub           $0x58,%rsp
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,252,17,52,36                    // vmovups       %ymm6,(%rsp)
  .byte  197,252,17,108,36,224               // vmovups       %ymm5,-0x20(%rsp)
  .byte  197,252,17,100,36,192               // vmovups       %ymm4,-0x40(%rsp)
  .byte  196,98,125,24,13,128,249,1,0        // vbroadcastss  0x1f980(%rip),%ymm9        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,65,124,84,209                   // vandps        %ymm9,%ymm0,%ymm10
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  196,65,124,87,218                   // vxorps        %ymm10,%ymm0,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,98,121,24,5,145,249,1,0         // vbroadcastss  0x1f991(%rip),%xmm8        # 2cc54 <_sk_overlay_sse2_8bit+0xe90>
  .byte  196,65,57,102,236                   // vpcmpgtd      %xmm12,%xmm8,%xmm13
  .byte  196,65,57,102,243                   // vpcmpgtd      %xmm11,%xmm8,%xmm14
  .byte  196,67,13,24,237,1                  // vinsertf128   $0x1,%xmm13,%ymm14,%ymm13
  .byte  196,193,9,114,210,16                // vpsrld        $0x10,%xmm10,%xmm14
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,210,16               // vpsrld        $0x10,%xmm10,%xmm10
  .byte  196,67,13,24,242,1                  // vinsertf128   $0x1,%xmm10,%ymm14,%ymm14
  .byte  196,193,33,114,211,13               // vpsrld        $0xd,%xmm11,%xmm11
  .byte  196,193,25,114,212,13               // vpsrld        $0xd,%xmm12,%xmm12
  .byte  196,98,125,24,21,88,249,1,0         // vbroadcastss  0x1f958(%rip),%ymm10        # 2cc58 <_sk_overlay_sse2_8bit+0xe94>
  .byte  196,65,12,86,242                    // vorps         %ymm10,%ymm14,%ymm14
  .byte  196,67,125,25,247,1                 // vextractf128  $0x1,%ymm14,%xmm15
  .byte  196,65,1,254,228                    // vpaddd        %xmm12,%xmm15,%xmm12
  .byte  196,65,9,254,219                    // vpaddd        %xmm11,%xmm14,%xmm11
  .byte  196,67,37,24,228,1                  // vinsertf128   $0x1,%xmm12,%ymm11,%ymm12
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  196,99,29,74,224,208                // vblendvps     %ymm13,%ymm0,%ymm12,%ymm12
  .byte  196,65,116,84,233                   // vandps        %ymm9,%ymm1,%ymm13
  .byte  197,252,17,76,36,160                // vmovups       %ymm1,-0x60(%rsp)
  .byte  196,65,116,87,245                   // vxorps        %ymm13,%ymm1,%ymm14
  .byte  196,67,125,25,247,1                 // vextractf128  $0x1,%ymm14,%xmm15
  .byte  196,193,57,102,255                  // vpcmpgtd      %xmm15,%xmm8,%xmm7
  .byte  196,65,57,102,222                   // vpcmpgtd      %xmm14,%xmm8,%xmm11
  .byte  196,227,37,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm11,%ymm7
  .byte  196,193,33,114,213,16               // vpsrld        $0x10,%xmm13,%xmm11
  .byte  196,99,125,25,238,1                 // vextractf128  $0x1,%ymm13,%xmm6
  .byte  197,201,114,214,16                  // vpsrld        $0x10,%xmm6,%xmm6
  .byte  196,227,37,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm11,%ymm6
  .byte  196,193,33,114,215,13               // vpsrld        $0xd,%xmm15,%xmm11
  .byte  196,193,76,86,242                   // vorps         %ymm10,%ymm6,%ymm6
  .byte  196,227,125,25,245,1                // vextractf128  $0x1,%ymm6,%xmm5
  .byte  196,193,81,254,235                  // vpaddd        %xmm11,%xmm5,%xmm5
  .byte  196,193,89,114,214,13               // vpsrld        $0xd,%xmm14,%xmm4
  .byte  197,201,254,228                     // vpaddd        %xmm4,%xmm6,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,99,93,74,232,112                // vblendvps     %ymm7,%ymm0,%ymm4,%ymm13
  .byte  196,193,108,84,225                  // vandps        %ymm9,%ymm2,%ymm4
  .byte  197,236,87,236                      // vxorps        %ymm4,%ymm2,%ymm5
  .byte  196,227,125,25,238,1                // vextractf128  $0x1,%ymm5,%xmm6
  .byte  197,185,102,254                     // vpcmpgtd      %xmm6,%xmm8,%xmm7
  .byte  197,57,102,221                      // vpcmpgtd      %xmm5,%xmm8,%xmm11
  .byte  196,227,37,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm11,%ymm7
  .byte  197,161,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm11
  .byte  196,227,125,25,228,1                // vextractf128  $0x1,%ymm4,%xmm4
  .byte  197,217,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm4
  .byte  196,227,37,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm11,%ymm4
  .byte  197,201,114,214,13                  // vpsrld        $0xd,%xmm6,%xmm6
  .byte  196,193,92,86,226                   // vorps         %ymm10,%ymm4,%ymm4
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,241,254,206                     // vpaddd        %xmm6,%xmm1,%xmm1
  .byte  197,209,114,213,13                  // vpsrld        $0xd,%xmm5,%xmm5
  .byte  197,217,254,229                     // vpaddd        %xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,99,117,74,216,112               // vblendvps     %ymm7,%ymm0,%ymm1,%ymm11
  .byte  196,193,100,84,225                  // vandps        %ymm9,%ymm3,%ymm4
  .byte  197,228,87,236                      // vxorps        %ymm4,%ymm3,%ymm5
  .byte  196,227,125,25,238,1                // vextractf128  $0x1,%ymm5,%xmm6
  .byte  197,185,102,254                     // vpcmpgtd      %xmm6,%xmm8,%xmm7
  .byte  197,57,102,197                      // vpcmpgtd      %xmm5,%xmm8,%xmm8
  .byte  196,227,61,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm8,%ymm7
  .byte  197,185,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm8
  .byte  196,227,125,25,228,1                // vextractf128  $0x1,%ymm4,%xmm4
  .byte  197,217,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm4
  .byte  196,227,61,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm8,%ymm4
  .byte  196,193,92,86,226                   // vorps         %ymm10,%ymm4,%ymm4
  .byte  197,201,114,214,13                  // vpsrld        $0xd,%xmm6,%xmm6
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,241,254,206                     // vpaddd        %xmm6,%xmm1,%xmm1
  .byte  197,209,114,213,13                  // vpsrld        $0xd,%xmm5,%xmm5
  .byte  197,217,254,229                     // vpaddd        %xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,227,117,74,200,112              // vblendvps     %ymm7,%ymm0,%ymm1,%ymm1
  .byte  196,99,125,25,224,1                 // vextractf128  $0x1,%ymm12,%xmm0
  .byte  196,226,25,43,192                   // vpackusdw     %xmm0,%xmm12,%xmm0
  .byte  196,99,125,25,236,1                 // vextractf128  $0x1,%ymm13,%xmm4
  .byte  196,226,17,43,228                   // vpackusdw     %xmm4,%xmm13,%xmm4
  .byte  196,99,125,25,221,1                 // vextractf128  $0x1,%ymm11,%xmm5
  .byte  196,226,33,43,245                   // vpackusdw     %xmm5,%xmm11,%xmm6
  .byte  196,227,125,25,205,1                // vextractf128  $0x1,%ymm1,%xmm5
  .byte  196,226,113,43,205                  // vpackusdw     %xmm5,%xmm1,%xmm1
  .byte  197,249,97,236                      // vpunpcklwd    %xmm4,%xmm0,%xmm5
  .byte  197,249,105,196                     // vpunpckhwd    %xmm4,%xmm0,%xmm0
  .byte  197,201,97,225                      // vpunpcklwd    %xmm1,%xmm6,%xmm4
  .byte  197,201,105,201                     // vpunpckhwd    %xmm1,%xmm6,%xmm1
  .byte  197,81,98,220                       // vpunpckldq    %xmm4,%xmm5,%xmm11
  .byte  197,81,106,212                      // vpunpckhdq    %xmm4,%xmm5,%xmm10
  .byte  197,121,98,201                      // vpunpckldq    %xmm1,%xmm0,%xmm9
  .byte  197,121,106,193                     // vpunpckhdq    %xmm1,%xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,70                              // jne           d4f4 <_sk_store_f16_avx+0x274>
  .byte  196,65,120,17,28,192                // vmovups       %xmm11,(%r8,%rax,8)
  .byte  196,65,120,17,84,192,16             // vmovups       %xmm10,0x10(%r8,%rax,8)
  .byte  196,65,120,17,76,192,32             // vmovups       %xmm9,0x20(%r8,%rax,8)
  .byte  196,65,122,127,68,192,48            // vmovdqu       %xmm8,0x30(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,252,16,108,36,224               // vmovups       -0x20(%rsp),%ymm5
  .byte  197,252,16,52,36                    // vmovups       (%rsp),%ymm6
  .byte  197,252,16,124,36,32                // vmovups       0x20(%rsp),%ymm7
  .byte  72,131,196,88                       // add           $0x58,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,192               // vmovq         %xmm11,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,201                             // je            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,92,192,8              // vmovhpd       %xmm11,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,188                             // jb            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,84,192,16            // vmovq         %xmm10,0x10(%r8,%rax,8)
  .byte  116,179                             // je            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,84,192,24             // vmovhpd       %xmm10,0x18(%r8,%rax,8)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,166                             // jb            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,76,192,32            // vmovq         %xmm9,0x20(%r8,%rax,8)
  .byte  116,157                             // je            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,76,192,40             // vmovhpd       %xmm9,0x28(%r8,%rax,8)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,144                             // jb            d4c9 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,68,192,48            // vmovq         %xmm8,0x30(%r8,%rax,8)
  .byte  235,135                             // jmp           d4c9 <_sk_store_f16_avx+0x249>

HIDDEN _sk_load_u16_be_avx
.globl _sk_load_u16_be_avx
FUNCTION(_sk_load_u16_be_avx)
_sk_load_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,253,0,0,0                    // jne           d666 <_sk_load_u16_be_avx+0x124>
  .byte  196,65,121,16,4,64                  // vmovupd       (%r8,%rax,2),%xmm8
  .byte  196,193,121,16,84,64,16             // vmovupd       0x10(%r8,%rax,2),%xmm2
  .byte  196,193,121,16,92,64,32             // vmovupd       0x20(%r8,%rax,2),%xmm3
  .byte  196,65,122,111,76,64,48             // vmovdqu       0x30(%r8,%rax,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm9
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,113,105,227                     // vpunpckhwd    %xmm3,%xmm1,%xmm12
  .byte  197,177,108,194                     // vpunpcklqdq   %xmm2,%xmm9,%xmm0
  .byte  197,241,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm1
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,241,235,192                     // vpor          %xmm0,%xmm1,%xmm0
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,29,130,245,1,0        // vbroadcastss  0x1f582(%rip),%ymm11        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  196,193,124,89,195                  // vmulps        %ymm11,%ymm0,%ymm0
  .byte  197,177,109,202                     // vpunpckhqdq   %xmm2,%xmm9,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,193,113,105,210                 // vpunpckhwd    %xmm10,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,203                  // vmulps        %ymm11,%ymm1,%ymm1
  .byte  196,193,57,108,212                  // vpunpcklqdq   %xmm12,%xmm8,%xmm2
  .byte  197,225,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm3
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,225,235,210                     // vpor          %xmm2,%xmm3,%xmm2
  .byte  196,193,105,105,218                 // vpunpckhwd    %xmm10,%xmm2,%xmm3
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,211                  // vmulps        %ymm11,%ymm2,%ymm2
  .byte  196,193,57,109,220                  // vpunpckhqdq   %xmm12,%xmm8,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,65,97,105,194                   // vpunpckhwd    %xmm10,%xmm3,%xmm8
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,219                  // vmulps        %ymm11,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,64                  // vmovsd        (%r8,%rax,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            d6cc <_sk_load_u16_be_avx+0x18a>
  .byte  196,65,57,22,68,64,8                // vmovhpd       0x8(%r8,%rax,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            d6cc <_sk_load_u16_be_avx+0x18a>
  .byte  196,193,123,16,84,64,16             // vmovsd        0x10(%r8,%rax,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            d6d9 <_sk_load_u16_be_avx+0x197>
  .byte  196,193,105,22,84,64,24             // vmovhpd       0x18(%r8,%rax,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            d6d9 <_sk_load_u16_be_avx+0x197>
  .byte  196,193,123,16,92,64,32             // vmovsd        0x20(%r8,%rax,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,213,254,255,255              // je            d584 <_sk_load_u16_be_avx+0x42>
  .byte  196,193,97,22,92,64,40              // vmovhpd       0x28(%r8,%rax,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,196,254,255,255              // jb            d584 <_sk_load_u16_be_avx+0x42>
  .byte  196,65,122,126,76,64,48             // vmovq         0x30(%r8,%rax,2),%xmm9
  .byte  233,184,254,255,255                 // jmpq          d584 <_sk_load_u16_be_avx+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,171,254,255,255                 // jmpq          d584 <_sk_load_u16_be_avx+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,162,254,255,255                 // jmpq          d584 <_sk_load_u16_be_avx+0x42>

HIDDEN _sk_load_rgb_u16_be_avx
.globl _sk_load_rgb_u16_be_avx
FUNCTION(_sk_load_rgb_u16_be_avx)
_sk_load_rgb_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,241,0,0,0                    // jne           d7fe <_sk_load_rgb_u16_be_avx+0x11c>
  .byte  196,65,122,111,28,64                // vmovdqu       (%r8,%rax,2),%xmm11
  .byte  196,193,122,111,92,64,12            // vmovdqu       0xc(%r8,%rax,2),%xmm3
  .byte  196,193,122,111,84,64,24            // vmovdqu       0x18(%r8,%rax,2),%xmm2
  .byte  196,193,122,111,68,64,32            // vmovdqu       0x20(%r8,%rax,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,249,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm1
  .byte  197,121,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm10
  .byte  197,185,108,193                     // vpunpcklqdq   %xmm1,%xmm8,%xmm0
  .byte  197,225,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm3
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,225,235,192                     // vpor          %xmm0,%xmm3,%xmm0
  .byte  196,65,33,239,219                   // vpxor         %xmm11,%xmm11,%xmm11
  .byte  196,193,121,105,211                 // vpunpckhwd    %xmm11,%xmm0,%xmm2
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,21,196,243,1,0       // vbroadcastss  0x1f3c4(%rip),%ymm2        # 2cb5c <_sk_overlay_sse2_8bit+0xd98>
  .byte  197,252,89,194                      // vmulps        %ymm2,%ymm0,%ymm0
  .byte  197,185,109,201                     // vpunpckhqdq   %xmm1,%xmm8,%xmm1
  .byte  197,225,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm3
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,225,235,201                     // vpor          %xmm1,%xmm3,%xmm1
  .byte  196,193,113,105,219                 // vpunpckhwd    %xmm11,%xmm1,%xmm3
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,193,49,108,218                  // vpunpcklqdq   %xmm10,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,65,97,105,195                   // vpunpckhwd    %xmm11,%xmm3,%xmm8
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,208,242,1,0       // vbroadcastss  0x1f2d0(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,193,121,110,4,64                // vmovd         (%r8,%rax,2),%xmm0
  .byte  196,65,121,196,92,64,4,2            // vpinsrw       $0x2,0x4(%r8,%rax,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           d837 <_sk_load_rgb_u16_be_avx+0x155>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,11,255,255,255                  // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,6             // vmovd         0x6(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,68,64,10,2           // vpinsrw       $0x2,0xa(%r8,%rax,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            d882 <_sk_load_rgb_u16_be_avx+0x1a0>
  .byte  196,193,121,110,68,64,12            // vmovd         0xc(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,92,64,16,2          // vpinsrw       $0x2,0x10(%r8,%rax,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           d89d <_sk_load_rgb_u16_be_avx+0x1bb>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,192,254,255,255                 // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,165,254,255,255                 // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,18            // vmovd         0x12(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,84,64,22,2           // vpinsrw       $0x2,0x16(%r8,%rax,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            d8df <_sk_load_rgb_u16_be_avx+0x1fd>
  .byte  196,193,121,110,68,64,24            // vmovd         0x18(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,84,64,28,2          // vpinsrw       $0x2,0x1c(%r8,%rax,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           d8f1 <_sk_load_rgb_u16_be_avx+0x20f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,99,254,255,255                  // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,81,254,255,255                  // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,30            // vmovd         0x1e(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,100,64,34,2          // vpinsrw       $0x2,0x22(%r8,%rax,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            d924 <_sk_load_rgb_u16_be_avx+0x242>
  .byte  196,193,121,110,68,64,36            // vmovd         0x24(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,68,64,40,2          // vpinsrw       $0x2,0x28(%r8,%rax,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,30,254,255,255                  // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,21,254,255,255                  // jmpq          d742 <_sk_load_rgb_u16_be_avx+0x60>

HIDDEN _sk_store_u16_be_avx
.globl _sk_store_u16_be_avx
FUNCTION(_sk_store_u16_be_avx)
_sk_store_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  196,98,125,24,5,144,242,1,0         // vbroadcastss  0x1f290(%rip),%ymm8        # 2cbe4 <_sk_overlay_sse2_8bit+0xe20>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,67,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm10
  .byte  196,66,49,43,202                    // vpackusdw     %xmm10,%xmm9,%xmm9
  .byte  196,193,41,113,241,8                // vpsllw        $0x8,%xmm9,%xmm10
  .byte  196,193,49,113,209,8                // vpsrlw        $0x8,%xmm9,%xmm9
  .byte  196,65,41,235,201                   // vpor          %xmm9,%xmm10,%xmm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,67,125,25,211,1                 // vextractf128  $0x1,%ymm10,%xmm11
  .byte  196,66,41,43,211                    // vpackusdw     %xmm11,%xmm10,%xmm10
  .byte  196,193,33,113,242,8                // vpsllw        $0x8,%xmm10,%xmm11
  .byte  196,193,41,113,210,8                // vpsrlw        $0x8,%xmm10,%xmm10
  .byte  196,65,33,235,210                   // vpor          %xmm10,%xmm11,%xmm10
  .byte  196,65,108,89,216                   // vmulps        %ymm8,%ymm2,%ymm11
  .byte  196,65,125,91,219                   // vcvtps2dq     %ymm11,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,66,33,43,220                    // vpackusdw     %xmm12,%xmm11,%xmm11
  .byte  196,193,25,113,243,8                // vpsllw        $0x8,%xmm11,%xmm12
  .byte  196,193,33,113,211,8                // vpsrlw        $0x8,%xmm11,%xmm11
  .byte  196,65,25,235,219                   // vpor          %xmm11,%xmm12,%xmm11
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm12
  .byte  196,66,57,43,196                    // vpackusdw     %xmm12,%xmm8,%xmm8
  .byte  196,193,25,113,240,8                // vpsllw        $0x8,%xmm8,%xmm12
  .byte  196,193,57,113,208,8                // vpsrlw        $0x8,%xmm8,%xmm8
  .byte  196,65,25,235,192                   // vpor          %xmm8,%xmm12,%xmm8
  .byte  196,65,49,97,226                    // vpunpcklwd    %xmm10,%xmm9,%xmm12
  .byte  196,65,49,105,234                   // vpunpckhwd    %xmm10,%xmm9,%xmm13
  .byte  196,65,33,97,200                    // vpunpcklwd    %xmm8,%xmm11,%xmm9
  .byte  196,65,33,105,192                   // vpunpckhwd    %xmm8,%xmm11,%xmm8
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,17,98,200                    // vpunpckldq    %xmm8,%xmm13,%xmm9
  .byte  196,65,17,106,192                   // vpunpckhdq    %xmm8,%xmm13,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           da38 <_sk_store_u16_be_avx+0x10b>
  .byte  196,65,120,17,28,64                 // vmovups       %xmm11,(%r8,%rax,2)
  .byte  196,65,120,17,84,64,16              // vmovups       %xmm10,0x10(%r8,%rax,2)
  .byte  196,65,120,17,76,64,32              // vmovups       %xmm9,0x20(%r8,%rax,2)
  .byte  196,65,122,127,68,64,48             // vmovdqu       %xmm8,0x30(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,64                // vmovq         %xmm11,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,92,64,8               // vmovhpd       %xmm11,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,84,64,16             // vmovq         %xmm10,0x10(%r8,%rax,2)
  .byte  116,218                             // je            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,84,64,24              // vmovhpd       %xmm10,0x18(%r8,%rax,2)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,76,64,32             // vmovq         %xmm9,0x20(%r8,%rax,2)
  .byte  116,196                             // je            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,76,64,40              // vmovhpd       %xmm9,0x28(%r8,%rax,2)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            da34 <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,68,64,48             // vmovq         %xmm8,0x30(%r8,%rax,2)
  .byte  235,174                             // jmp           da34 <_sk_store_u16_be_avx+0x107>

HIDDEN _sk_load_f32_avx
.globl _sk_load_f32_avx
FUNCTION(_sk_load_f32_avx)
_sk_load_f32_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            dbf7 <_sk_load_f32_avx+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,100,36,128               // vmovupd       %ymm4,-0x80(%rsp)
  .byte  197,253,17,108,36,160               // vmovupd       %ymm5,-0x60(%rsp)
  .byte  197,253,17,116,36,192               // vmovupd       %ymm6,-0x40(%rsp)
  .byte  197,253,17,124,36,224               // vmovupd       %ymm7,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,50,1,0,0                  // lea           0x132(%rip),%r10        # dc08 <_sk_load_f32_avx+0x182>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,225,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm4
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,209,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm2
  .byte  197,125,40,204                      // vmovapd       %ymm4,%ymm9
  .byte  196,129,121,16,76,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm1
  .byte  196,99,125,6,193,40                 // vperm2f128    $0x28,%ymm1,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,226                      // vmovapd       %ymm2,%ymm12
  .byte  196,129,121,16,76,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm1
  .byte  196,227,117,13,192,12               // vblendpd      $0xc,%ymm0,%ymm1,%ymm0
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,230                      // vmovapd       %ymm12,%ymm6
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,76,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm1
  .byte  196,195,117,13,206,12               // vblendpd      $0xc,%ymm14,%ymm1,%ymm1
  .byte  197,125,40,238                      // vmovapd       %ymm6,%ymm13
  .byte  197,125,41,253                      // vmovapd       %ymm15,%ymm5
  .byte  196,129,121,16,84,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm2
  .byte  196,67,109,13,213,12                // vblendpd      $0xc,%ymm13,%ymm2,%ymm10
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  196,129,121,16,12,136               // vmovupd       (%r8,%r9,4),%xmm1
  .byte  196,227,117,13,207,12               // vblendpd      $0xc,%ymm7,%ymm1,%ymm1
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,116,20,210                  // vunpcklps     %ymm10,%ymm1,%ymm2
  .byte  196,65,116,21,194                   // vunpckhps     %ymm10,%ymm1,%ymm8
  .byte  197,228,20,200                      // vunpcklps     %ymm0,%ymm3,%ymm1
  .byte  197,228,21,216                      // vunpckhps     %ymm0,%ymm3,%ymm3
  .byte  197,237,20,193                      // vunpcklpd     %ymm1,%ymm2,%ymm0
  .byte  197,237,21,201                      // vunpckhpd     %ymm1,%ymm2,%ymm1
  .byte  197,189,20,211                      // vunpcklpd     %ymm3,%ymm8,%ymm2
  .byte  197,189,21,219                      // vunpckhpd     %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  235,203                             // jmp           dbd1 <_sk_load_f32_avx+0x14b>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  27,255                              // sbb           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,161,255,255,255,140             // jmpq          *-0x73000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,70,255                          // incl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,53,255,255,255,40               // pushq         0x28ffffff(%rip)        # 2900dc24 <_sk_overlay_sse2_8bit+0x28fe1e60>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f32_dst_avx
.globl _sk_load_f32_dst_avx
FUNCTION(_sk_load_f32_dst_avx)
_sk_load_f32_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            dd99 <_sk_load_f32_dst_avx+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,68,36,128                // vmovupd       %ymm0,-0x80(%rsp)
  .byte  197,253,17,76,36,160                // vmovupd       %ymm1,-0x60(%rsp)
  .byte  197,253,17,84,36,192                // vmovupd       %ymm2,-0x40(%rsp)
  .byte  197,253,17,92,36,224                // vmovupd       %ymm3,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,48,1,0,0                  // lea           0x130(%rip),%r10        # dda8 <_sk_load_f32_dst_avx+0x180>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,224,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm4
  .byte  196,129,121,16,68,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,241,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm6
  .byte  197,125,40,200                      // vmovapd       %ymm0,%ymm9
  .byte  196,129,121,16,68,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm0
  .byte  196,99,125,6,192,40                 // vperm2f128    $0x28,%ymm0,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,230                      // vmovapd       %ymm6,%ymm12
  .byte  196,129,121,16,68,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm0
  .byte  196,227,125,13,228,12               // vblendpd      $0xc,%ymm4,%ymm0,%ymm4
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,226                      // vmovapd       %ymm12,%ymm2
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,68,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm0
  .byte  196,195,125,13,238,12               // vblendpd      $0xc,%ymm14,%ymm0,%ymm5
  .byte  197,125,40,234                      // vmovapd       %ymm2,%ymm13
  .byte  197,125,41,249                      // vmovapd       %ymm15,%ymm1
  .byte  196,129,121,16,68,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm0
  .byte  196,67,125,13,213,12                // vblendpd      $0xc,%ymm13,%ymm0,%ymm10
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  196,129,121,16,4,136                // vmovupd       (%r8,%r9,4),%xmm0
  .byte  196,227,125,13,235,12               // vblendpd      $0xc,%ymm3,%ymm0,%ymm5
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,84,20,242                   // vunpcklps     %ymm10,%ymm5,%ymm6
  .byte  196,65,84,21,194                    // vunpckhps     %ymm10,%ymm5,%ymm8
  .byte  197,196,20,236                      // vunpcklps     %ymm4,%ymm7,%ymm5
  .byte  197,196,21,252                      // vunpckhps     %ymm4,%ymm7,%ymm7
  .byte  197,205,20,229                      // vunpcklpd     %ymm5,%ymm6,%ymm4
  .byte  197,205,21,237                      // vunpckhpd     %ymm5,%ymm6,%ymm5
  .byte  197,189,20,247                      // vunpcklpd     %ymm7,%ymm8,%ymm6
  .byte  197,189,21,255                      // vunpckhpd     %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  235,203                             // jmp           dd73 <_sk_load_f32_dst_avx+0x14b>
  .byte  29,255,255,255,163                  // sbb           $0xa3ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,142,255,255,255,121             // decl          0x79ffffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,72,255                          // decl          -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,55                              // pushq         (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,42                              // ljmp          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_f32_avx
.globl _sk_store_f32_avx
FUNCTION(_sk_store_f32_avx)
_sk_store_f32_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  197,124,20,193                      // vunpcklps     %ymm1,%ymm0,%ymm8
  .byte  197,124,21,217                      // vunpckhps     %ymm1,%ymm0,%ymm11
  .byte  197,108,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm9
  .byte  197,108,21,227                      // vunpckhps     %ymm3,%ymm2,%ymm12
  .byte  196,65,61,20,209                    // vunpcklpd     %ymm9,%ymm8,%ymm10
  .byte  196,65,61,21,201                    // vunpckhpd     %ymm9,%ymm8,%ymm9
  .byte  196,65,37,20,196                    // vunpcklpd     %ymm12,%ymm11,%ymm8
  .byte  196,65,37,21,220                    // vunpckhpd     %ymm12,%ymm11,%ymm11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,55                              // jne           de47 <_sk_store_f32_avx+0x7f>
  .byte  196,67,45,24,225,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm12
  .byte  196,67,61,24,235,1                  // vinsertf128   $0x1,%xmm11,%ymm8,%ymm13
  .byte  196,67,45,6,201,49                  // vperm2f128    $0x31,%ymm9,%ymm10,%ymm9
  .byte  196,67,61,6,195,49                  // vperm2f128    $0x31,%ymm11,%ymm8,%ymm8
  .byte  196,65,125,17,36,128                // vmovupd       %ymm12,(%r8,%rax,4)
  .byte  196,65,125,17,108,128,32            // vmovupd       %ymm13,0x20(%r8,%rax,4)
  .byte  196,65,125,17,76,128,64             // vmovupd       %ymm9,0x40(%r8,%rax,4)
  .byte  196,65,125,17,68,128,96             // vmovupd       %ymm8,0x60(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,17,20,128                // vmovupd       %xmm10,(%r8,%rax,4)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,76,128,16             // vmovupd       %xmm9,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,68,128,32             // vmovupd       %xmm8,0x20(%r8,%rax,4)
  .byte  116,218                             // je            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,92,128,48             // vmovupd       %xmm11,0x30(%r8,%rax,4)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,84,128,64,1           // vextractf128  $0x1,%ymm10,0x40(%r8,%rax,4)
  .byte  116,195                             // je            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,76,128,80,1           // vextractf128  $0x1,%ymm9,0x50(%r8,%rax,4)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,181                             // jb            de43 <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,68,128,96,1           // vextractf128  $0x1,%ymm8,0x60(%r8,%rax,4)
  .byte  235,171                             // jmp           de43 <_sk_store_f32_avx+0x7b>

HIDDEN _sk_clamp_x_avx
.globl _sk_clamp_x_avx
FUNCTION(_sk_clamp_x_avx)
_sk_clamp_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,200                       // vmaxps        %ymm0,%ymm8,%ymm9
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,99,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm0
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,65,57,254,194                   // vpaddd        %xmm10,%xmm8,%xmm8
  .byte  196,227,61,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm8,%ymm0
  .byte  197,180,93,192                      // vminps        %ymm0,%ymm9,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_avx
.globl _sk_clamp_y_avx
FUNCTION(_sk_clamp_y_avx)
_sk_clamp_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,201                       // vmaxps        %ymm1,%ymm8,%ymm9
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,99,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm1
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,113,254,202                 // vpaddd        %xmm10,%xmm1,%xmm1
  .byte  196,65,57,254,194                   // vpaddd        %xmm10,%xmm8,%xmm8
  .byte  196,227,61,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm8,%ymm1
  .byte  197,180,93,201                      // vminps        %ymm1,%ymm9,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_avx
.globl _sk_repeat_x_avx
FUNCTION(_sk_repeat_x_avx)
_sk_repeat_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,192                       // vmaxps        %ymm0,%ymm8,%ymm8
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,65,49,254,202                   // vpaddd        %xmm10,%xmm9,%xmm9
  .byte  196,227,53,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm9,%ymm0
  .byte  197,188,93,192                      // vminps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_avx
.globl _sk_repeat_y_avx
FUNCTION(_sk_repeat_y_avx)
_sk_repeat_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,193                       // vmulps        %ymm1,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,193,116,92,200                  // vsubps        %ymm8,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,193                       // vmaxps        %ymm1,%ymm8,%ymm8
  .byte  196,99,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm1
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,113,254,202                 // vpaddd        %xmm10,%xmm1,%xmm1
  .byte  196,65,49,254,202                   // vpaddd        %xmm10,%xmm9,%xmm9
  .byte  196,227,53,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm9,%ymm1
  .byte  197,188,93,201                      // vminps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_avx
.globl _sk_mirror_x_avx
FUNCTION(_sk_mirror_x_avx)
_sk_mirror_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,0                       // vmovd         (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,65,121,112,208,0                // vpshufd       $0x0,%xmm8,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,193,58,88,192                   // vaddss        %xmm8,%xmm8,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,99,125,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm0,%ymm8
  .byte  197,178,89,5,251,234,1,0            // vmulss        0x1eafb(%rip),%xmm9,%xmm0        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  196,227,125,8,192,1                 // vroundps      $0x1,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,180,84,192                      // vandps        %ymm0,%ymm9,%ymm0
  .byte  197,60,95,192                       // vmaxps        %ymm0,%ymm8,%ymm8
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,65,49,118,201                   // vpcmpeqd      %xmm9,%xmm9,%xmm9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,65,41,254,201                   // vpaddd        %xmm9,%xmm10,%xmm9
  .byte  196,227,53,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm9,%ymm0
  .byte  197,188,93,192                      // vminps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_avx
.globl _sk_mirror_y_avx
FUNCTION(_sk_mirror_y_avx)
_sk_mirror_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,0                       // vmovd         (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,65,121,112,208,0                // vpshufd       $0x0,%xmm8,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  196,65,116,92,218                   // vsubps        %ymm10,%ymm1,%ymm11
  .byte  196,193,58,88,200                   // vaddss        %xmm8,%xmm8,%xmm1
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,99,117,24,193,1                 // vinsertf128   $0x1,%xmm1,%ymm1,%ymm8
  .byte  197,178,89,13,110,234,1,0           // vmulss        0x1ea6e(%rip),%xmm9,%xmm1        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,227,125,8,201,1                 // vroundps      $0x1,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,164,92,201                      // vsubps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,201                       // vsubps        %ymm1,%ymm8,%ymm9
  .byte  197,180,84,201                      // vandps        %ymm1,%ymm9,%ymm1
  .byte  197,60,95,193                       // vmaxps        %ymm1,%ymm8,%ymm8
  .byte  196,99,125,25,209,1                 // vextractf128  $0x1,%ymm10,%xmm1
  .byte  196,65,49,118,201                   // vpcmpeqd      %xmm9,%xmm9,%xmm9
  .byte  196,193,113,254,201                 // vpaddd        %xmm9,%xmm1,%xmm1
  .byte  196,65,41,254,201                   // vpaddd        %xmm9,%xmm10,%xmm9
  .byte  196,227,53,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm9,%ymm1
  .byte  197,188,93,201                      // vminps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_avx
.globl _sk_clamp_x_1_avx
FUNCTION(_sk_clamp_x_1_avx)
_sk_clamp_x_1_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,8,234,1,0           // vbroadcastss  0x1ea08(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_avx
.globl _sk_repeat_x_1_avx
FUNCTION(_sk_repeat_x_1_avx)
_sk_repeat_x_1_avx:
  .byte  196,99,125,8,192,1                  // vroundps      $0x1,%ymm0,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_avx
.globl _sk_mirror_x_1_avx
FUNCTION(_sk_mirror_x_1_avx)
_sk_mirror_x_1_avx:
  .byte  196,98,125,24,5,255,233,1,0         // vbroadcastss  0x1e9ff(%rip),%ymm8        # 2cae4 <_sk_overlay_sse2_8bit+0xd20>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,13,213,233,1,0        // vbroadcastss  0x1e9d5(%rip),%ymm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,124,89,201                   // vmulps        %ymm9,%ymm0,%ymm9
  .byte  196,67,125,8,201,1                  // vroundps      $0x1,%ymm9,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,193,124,92,193                  // vsubps        %ymm9,%ymm0,%ymm0
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,192                       // vsubps        %ymm0,%ymm8,%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_avx
.globl _sk_luminance_to_alpha_avx
FUNCTION(_sk_luminance_to_alpha_avx)
_sk_luminance_to_alpha_avx:
  .byte  196,226,125,24,29,193,234,1,0       // vbroadcastss  0x1eac1(%rip),%ymm3        # 2cbe8 <_sk_overlay_sse2_8bit+0xe24>
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,29,184,234,1,0       // vbroadcastss  0x1eab8(%rip),%ymm3        # 2cbec <_sk_overlay_sse2_8bit+0xe28>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,171,234,1,0       // vbroadcastss  0x1eaab(%rip),%ymm1        # 2cbf0 <_sk_overlay_sse2_8bit+0xe2c>
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_avx
.globl _sk_matrix_translate_avx
FUNCTION(_sk_matrix_translate_avx)
_sk_matrix_translate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_avx
.globl _sk_matrix_scale_translate_avx
FUNCTION(_sk_matrix_scale_translate_avx)
_sk_matrix_scale_translate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,8                  // vbroadcastss  0x8(%rax),%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_avx
.globl _sk_matrix_2x3_avx
FUNCTION(_sk_matrix_2x3_avx)
_sk_matrix_2x3_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,8                  // vbroadcastss  0x8(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,252,88,201                      // vaddps        %ymm1,%ymm0,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_avx
.globl _sk_matrix_3x4_avx
FUNCTION(_sk_matrix_3x4_avx)
_sk_matrix_3x4_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,98,125,24,88,36                 // vbroadcastss  0x24(%rax),%ymm11
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,98,125,24,96,40                 // vbroadcastss  0x28(%rax),%ymm12
  .byte  197,36,89,218                       // vmulps        %ymm2,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  196,98,125,24,104,44                // vbroadcastss  0x2c(%rax),%ymm13
  .byte  197,156,89,210                      // vmulps        %ymm2,%ymm12,%ymm2
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  197,252,88,209                      // vaddps        %ymm1,%ymm0,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_avx
.globl _sk_matrix_4x5_avx
FUNCTION(_sk_matrix_4x5_avx)
_sk_matrix_4x5_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,16                 // vbroadcastss  0x10(%rax),%ymm9
  .byte  196,98,125,24,80,32                 // vbroadcastss  0x20(%rax),%ymm10
  .byte  196,98,125,24,88,48                 // vbroadcastss  0x30(%rax),%ymm11
  .byte  196,98,125,24,96,64                 // vbroadcastss  0x40(%rax),%ymm12
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,98,125,24,88,36                 // vbroadcastss  0x24(%rax),%ymm11
  .byte  196,98,125,24,96,52                 // vbroadcastss  0x34(%rax),%ymm12
  .byte  196,98,125,24,104,68                // vbroadcastss  0x44(%rax),%ymm13
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  197,36,89,218                       // vmulps        %ymm2,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,88,24                 // vbroadcastss  0x18(%rax),%ymm11
  .byte  196,98,125,24,96,40                 // vbroadcastss  0x28(%rax),%ymm12
  .byte  196,98,125,24,104,56                // vbroadcastss  0x38(%rax),%ymm13
  .byte  196,98,125,24,112,72                // vbroadcastss  0x48(%rax),%ymm14
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  197,28,89,226                       // vmulps        %ymm2,%ymm12,%ymm12
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  197,36,89,217                       // vmulps        %ymm1,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,208                       // vmulps        %ymm0,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,88,12                 // vbroadcastss  0xc(%rax),%ymm11
  .byte  196,98,125,24,96,28                 // vbroadcastss  0x1c(%rax),%ymm12
  .byte  196,98,125,24,104,44                // vbroadcastss  0x2c(%rax),%ymm13
  .byte  196,98,125,24,112,60                // vbroadcastss  0x3c(%rax),%ymm14
  .byte  196,98,125,24,120,76                // vbroadcastss  0x4c(%rax),%ymm15
  .byte  197,140,89,219                      // vmulps        %ymm3,%ymm14,%ymm3
  .byte  196,193,100,88,223                  // vaddps        %ymm15,%ymm3,%ymm3
  .byte  197,148,89,210                      // vmulps        %ymm2,%ymm13,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  197,156,89,201                      // vmulps        %ymm1,%ymm12,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_avx
.globl _sk_matrix_4x3_avx
FUNCTION(_sk_matrix_4x3_avx)
_sk_matrix_4x3_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,226,125,24,88,16                // vbroadcastss  0x10(%rax),%ymm3
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,108,88,195                      // vaddps        %ymm3,%ymm2,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,88,20                // vbroadcastss  0x14(%rax),%ymm3
  .byte  196,98,125,24,72,36                 // vbroadcastss  0x24(%rax),%ymm9
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,217                  // vaddps        %ymm9,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,108,88,203                      // vaddps        %ymm3,%ymm2,%ymm9
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,24                // vbroadcastss  0x18(%rax),%ymm3
  .byte  196,98,125,24,80,40                 // vbroadcastss  0x28(%rax),%ymm10
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  196,98,125,24,80,28                 // vbroadcastss  0x1c(%rax),%ymm10
  .byte  196,98,125,24,88,44                 // vbroadcastss  0x2c(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_avx
.globl _sk_matrix_perspective_avx
FUNCTION(_sk_matrix_perspective_avx)
_sk_matrix_perspective_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,204                  // vaddps        %ymm12,%ymm1,%ymm1
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,83,200                      // vrcpps        %ymm0,%ymm1
  .byte  197,188,89,193                      // vmulps        %ymm1,%ymm8,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_avx
.globl _sk_evenly_spaced_gradient_avx
FUNCTION(_sk_evenly_spaced_gradient_avx)
_sk_evenly_spaced_gradient_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  197,252,17,124,36,216               // vmovups       %ymm7,-0x28(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  72,139,104,8                        // mov           0x8(%rax),%rbp
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            e4e9 <_sk_evenly_spaced_gradient_avx+0x25>
  .byte  196,225,242,42,203                  // vcvtsi2ss     %rbx,%xmm1,%xmm1
  .byte  235,21                              // jmp           e4fe <_sk_evenly_spaced_gradient_avx+0x3a>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  196,225,242,42,203                  // vcvtsi2ss     %rbx,%xmm1,%xmm1
  .byte  197,242,88,201                      // vaddss        %xmm1,%xmm1,%xmm1
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,195,249,22,207,1                // vpextrq       $0x1,%xmm1,%r15
  .byte  69,137,254                          // mov           %r15d,%r14d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,193,249,126,205                 // vmovq         %xmm1,%r13
  .byte  69,137,236                          // mov           %r13d,%r12d
  .byte  73,193,237,32                       // shr           $0x20,%r13
  .byte  196,161,122,16,76,165,0             // vmovss        0x0(%rbp,%r12,4),%xmm1
  .byte  196,163,113,33,76,173,0,16          // vinsertps     $0x10,0x0(%rbp,%r13,4),%xmm1,%xmm1
  .byte  196,161,122,16,84,181,0             // vmovss        0x0(%rbp,%r14,4),%xmm2
  .byte  196,33,122,16,68,189,0              // vmovss        0x0(%rbp,%r15,4),%xmm8
  .byte  196,161,122,16,92,157,0             // vmovss        0x0(%rbp,%r11,4),%xmm3
  .byte  196,35,97,33,76,149,0,16            // vinsertps     $0x10,0x0(%rbp,%r10,4),%xmm3,%xmm9
  .byte  196,161,122,16,124,141,0            // vmovss        0x0(%rbp,%r9,4),%xmm7
  .byte  196,33,122,16,92,133,0              // vmovss        0x0(%rbp,%r8,4),%xmm11
  .byte  196,99,113,33,226,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm12
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  196,161,122,16,20,163               // vmovss        (%rbx,%r12,4),%xmm2
  .byte  196,35,105,33,44,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm2,%xmm13
  .byte  196,161,122,16,28,179               // vmovss        (%rbx,%r14,4),%xmm3
  .byte  196,161,122,16,12,187               // vmovss        (%rbx,%r15,4),%xmm1
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,35,105,33,52,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm14
  .byte  196,33,122,16,60,139                // vmovss        (%rbx,%r9,4),%xmm15
  .byte  196,33,122,16,20,131                // vmovss        (%rbx,%r8,4),%xmm10
  .byte  196,67,25,33,192,48                 // vinsertps     $0x30,%xmm8,%xmm12,%xmm8
  .byte  196,227,49,33,215,32                // vinsertps     $0x20,%xmm7,%xmm9,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,67,109,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm2,%ymm8
  .byte  196,227,17,33,211,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  196,161,122,16,20,163               // vmovss        (%rbx,%r12,4),%xmm2
  .byte  196,35,105,33,28,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm2,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,161,122,16,12,187               // vmovss        (%rbx,%r15,4),%xmm1
  .byte  196,161,122,16,60,155               // vmovss        (%rbx,%r11,4),%xmm7
  .byte  196,163,65,33,60,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,139               // vmovss        (%rbx,%r9,4),%xmm3
  .byte  196,33,122,16,44,131                // vmovss        (%rbx,%r8,4),%xmm13
  .byte  196,195,9,33,215,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm2
  .byte  196,195,105,33,210,48               // vinsertps     $0x30,%xmm10,%xmm2,%xmm2
  .byte  196,67,109,24,241,1                 // vinsertf128   $0x1,%xmm9,%ymm2,%ymm14
  .byte  196,195,33,33,212,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  196,99,65,33,211,32                 // vinsertps     $0x20,%xmm3,%xmm7,%xmm10
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  196,161,122,16,28,163               // vmovss        (%rbx,%r12,4),%xmm3
  .byte  196,35,97,33,28,171,16              // vinsertps     $0x10,(%rbx,%r13,4),%xmm3,%xmm11
  .byte  196,33,122,16,60,179                // vmovss        (%rbx,%r14,4),%xmm15
  .byte  196,33,122,16,36,187                // vmovss        (%rbx,%r15,4),%xmm12
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,163,105,33,20,147,16            // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,60,139               // vmovss        (%rbx,%r9,4),%xmm7
  .byte  196,161,122,16,28,131               // vmovss        (%rbx,%r8,4),%xmm3
  .byte  196,67,41,33,213,48                 // vinsertps     $0x30,%xmm13,%xmm10,%xmm10
  .byte  196,67,45,24,233,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm13
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  196,67,113,33,204,48                // vinsertps     $0x30,%xmm12,%xmm1,%xmm9
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,99,105,33,211,48                // vinsertps     $0x30,%xmm3,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  196,161,122,16,28,163               // vmovss        (%rbx,%r12,4),%xmm3
  .byte  196,35,97,33,28,171,16              // vinsertps     $0x10,(%rbx,%r13,4),%xmm3,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,33,122,16,60,187                // vmovss        (%rbx,%r15,4),%xmm15
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,163,105,33,20,147,16            // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,139               // vmovss        (%rbx,%r9,4),%xmm3
  .byte  196,161,122,16,60,131               // vmovss        (%rbx,%r8,4),%xmm7
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,195,33,33,204,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm1
  .byte  196,195,113,33,207,48               // vinsertps     $0x30,%xmm15,%xmm1,%xmm1
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  196,161,122,16,12,163               // vmovss        (%rbx,%r12,4),%xmm1
  .byte  196,35,113,33,28,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm1,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,33,122,16,60,187                // vmovss        (%rbx,%r15,4),%xmm15
  .byte  196,161,122,16,60,155               // vmovss        (%rbx,%r11,4),%xmm7
  .byte  196,163,65,33,60,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,12,139               // vmovss        (%rbx,%r9,4),%xmm1
  .byte  196,161,122,16,20,131               // vmovss        (%rbx,%r8,4),%xmm2
  .byte  196,195,33,33,220,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm3
  .byte  196,195,97,33,223,48                // vinsertps     $0x30,%xmm15,%xmm3,%xmm3
  .byte  196,227,65,33,201,32                // vinsertps     $0x20,%xmm1,%xmm7,%xmm1
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,99,117,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm1,%ymm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  196,161,122,16,12,163               // vmovss        (%rbx,%r12,4),%xmm1
  .byte  196,163,113,33,12,171,16            // vinsertps     $0x10,(%rbx,%r13,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,179               // vmovss        (%rbx,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  196,161,122,16,20,187               // vmovss        (%rbx,%r15,4),%xmm2
  .byte  196,161,122,16,28,155               // vmovss        (%rbx,%r11,4),%xmm3
  .byte  196,35,97,33,36,147,16              // vinsertps     $0x10,(%rbx,%r10,4),%xmm3,%xmm12
  .byte  196,161,122,16,60,139               // vmovss        (%rbx,%r9,4),%xmm7
  .byte  196,161,122,16,28,131               // vmovss        (%rbx,%r8,4),%xmm3
  .byte  196,99,113,33,250,48                // vinsertps     $0x30,%xmm2,%xmm1,%xmm15
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,161,122,16,20,160               // vmovss        (%rax,%r12,4),%xmm2
  .byte  196,163,105,33,20,168,16            // vinsertps     $0x10,(%rax,%r13,4),%xmm2,%xmm2
  .byte  196,227,25,33,255,32                // vinsertps     $0x20,%xmm7,%xmm12,%xmm7
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,65,33,219,48                // vinsertps     $0x30,%xmm3,%xmm7,%xmm3
  .byte  196,161,122,16,60,184               // vmovss        (%rax,%r15,4),%xmm7
  .byte  196,67,101,24,231,1                 // vinsertf128   $0x1,%xmm15,%ymm3,%ymm12
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,105,33,201,32               // vinsertps     $0x20,%xmm1,%xmm2,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,207,48               // vinsertps     $0x30,%xmm7,%xmm1,%xmm1
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,97,33,210,32                // vinsertps     $0x20,%xmm2,%xmm3,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm3
  .byte  197,188,89,200                      // vmulps        %ymm0,%ymm8,%ymm1
  .byte  196,65,116,88,198                   // vaddps        %ymm14,%ymm1,%ymm8
  .byte  197,148,89,200                      // vmulps        %ymm0,%ymm13,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,208                      // vmulps        %ymm0,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,252,88,219                      // vaddps        %ymm3,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,16,124,36,216               // vmovups       -0x28(%rsp),%ymm7
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_avx
.globl _sk_gauss_a_to_rgba_avx
FUNCTION(_sk_gauss_a_to_rgba_avx)
_sk_gauss_a_to_rgba_avx:
  .byte  196,226,125,24,5,198,227,1,0        // vbroadcastss  0x1e3c6(%rip),%ymm0        # 2cbf8 <_sk_overlay_sse2_8bit+0xe34>
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  196,226,125,24,13,181,227,1,0       // vbroadcastss  0x1e3b5(%rip),%ymm1        # 2cbf4 <_sk_overlay_sse2_8bit+0xe30>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,172,227,1,0       // vbroadcastss  0x1e3ac(%rip),%ymm1        # 2cbfc <_sk_overlay_sse2_8bit+0xe38>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,159,227,1,0       // vbroadcastss  0x1e39f(%rip),%ymm1        # 2cc00 <_sk_overlay_sse2_8bit+0xe3c>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,146,227,1,0       // vbroadcastss  0x1e392(%rip),%ymm1        # 2cc04 <_sk_overlay_sse2_8bit+0xe40>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_avx
.globl _sk_gradient_avx
FUNCTION(_sk_gradient_avx)
_sk_gradient_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  197,252,17,124,36,208               // vmovups       %ymm7,-0x30(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,80                              // jb            e8f4 <_sk_gradient_avx+0x6e>
  .byte  72,139,88,72                        // mov           0x48(%rax),%rbx
  .byte  73,255,200                          // dec           %r8
  .byte  72,131,195,4                        // add           $0x4,%rbx
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,98,125,24,21,19,226,1,0         // vbroadcastss  0x1e213(%rip),%ymm10        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,98,125,24,3                     // vbroadcastss  (%rbx),%ymm8
  .byte  197,60,194,192,2                    // vcmpleps      %ymm0,%ymm8,%ymm8
  .byte  196,67,53,74,194,128                // vblendvps     %ymm8,%ymm10,%ymm9,%ymm8
  .byte  196,99,125,25,194,1                 // vextractf128  $0x1,%ymm8,%xmm2
  .byte  196,227,125,25,203,1                // vextractf128  $0x1,%ymm1,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,185,254,201                     // vpaddd        %xmm1,%xmm8,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  72,131,195,4                        // add           $0x4,%rbx
  .byte  73,255,200                          // dec           %r8
  .byte  117,205                             // jne           e8c1 <_sk_gradient_avx+0x3b>
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,195,249,22,207,1                // vpextrq       $0x1,%xmm1,%r15
  .byte  69,137,254                          // mov           %r15d,%r14d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,225,249,126,203                 // vmovq         %xmm1,%rbx
  .byte  65,137,220                          // mov           %ebx,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  76,139,104,8                        // mov           0x8(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,195,113,33,76,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm1
  .byte  196,129,122,16,84,181,0             // vmovss        0x0(%r13,%r14,4),%xmm2
  .byte  196,1,122,16,68,189,0               // vmovss        0x0(%r13,%r15,4),%xmm8
  .byte  196,129,122,16,92,157,0             // vmovss        0x0(%r13,%r11,4),%xmm3
  .byte  196,3,97,33,76,149,0,16             // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm3,%xmm9
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,1,122,16,92,133,0               // vmovss        0x0(%r13,%r8,4),%xmm11
  .byte  196,99,113,33,226,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm12
  .byte  76,139,104,40                       // mov           0x28(%rax),%r13
  .byte  196,129,122,16,84,165,0             // vmovss        0x0(%r13,%r12,4),%xmm2
  .byte  196,67,105,33,108,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm2,%xmm13
  .byte  196,129,122,16,92,181,0             // vmovss        0x0(%r13,%r14,4),%xmm3
  .byte  196,129,122,16,76,189,0             // vmovss        0x0(%r13,%r15,4),%xmm1
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,3,105,33,116,149,0,16           // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm14
  .byte  196,1,122,16,124,141,0              // vmovss        0x0(%r13,%r9,4),%xmm15
  .byte  196,1,122,16,84,133,0               // vmovss        0x0(%r13,%r8,4),%xmm10
  .byte  196,67,25,33,192,48                 // vinsertps     $0x30,%xmm8,%xmm12,%xmm8
  .byte  196,227,49,33,215,32                // vinsertps     $0x20,%xmm7,%xmm9,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,67,109,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm2,%ymm8
  .byte  196,227,17,33,211,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  76,139,104,16                       // mov           0x10(%rax),%r13
  .byte  196,129,122,16,84,165,0             // vmovss        0x0(%r13,%r12,4),%xmm2
  .byte  196,67,105,33,92,157,0,16           // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm2,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,129,122,16,76,189,0             // vmovss        0x0(%r13,%r15,4),%xmm1
  .byte  196,129,122,16,124,157,0            // vmovss        0x0(%r13,%r11,4),%xmm7
  .byte  196,131,65,33,124,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm7,%xmm7
  .byte  196,129,122,16,92,141,0             // vmovss        0x0(%r13,%r9,4),%xmm3
  .byte  196,1,122,16,108,133,0              // vmovss        0x0(%r13,%r8,4),%xmm13
  .byte  196,195,9,33,215,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm2
  .byte  196,195,105,33,210,48               // vinsertps     $0x30,%xmm10,%xmm2,%xmm2
  .byte  196,67,109,24,241,1                 // vinsertf128   $0x1,%xmm9,%ymm2,%ymm14
  .byte  196,195,33,33,212,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  196,99,65,33,211,32                 // vinsertps     $0x20,%xmm3,%xmm7,%xmm10
  .byte  76,139,104,48                       // mov           0x30(%rax),%r13
  .byte  196,129,122,16,92,165,0             // vmovss        0x0(%r13,%r12,4),%xmm3
  .byte  196,67,97,33,92,157,0,16            // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm3,%xmm11
  .byte  196,1,122,16,124,181,0              // vmovss        0x0(%r13,%r14,4),%xmm15
  .byte  196,1,122,16,100,189,0              // vmovss        0x0(%r13,%r15,4),%xmm12
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,131,105,33,84,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm2
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,129,122,16,92,133,0             // vmovss        0x0(%r13,%r8,4),%xmm3
  .byte  196,67,41,33,213,48                 // vinsertps     $0x30,%xmm13,%xmm10,%xmm10
  .byte  196,67,45,24,233,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm13
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  196,67,113,33,204,48                // vinsertps     $0x30,%xmm12,%xmm1,%xmm9
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,99,105,33,211,48                // vinsertps     $0x30,%xmm3,%xmm2,%xmm10
  .byte  76,139,104,24                       // mov           0x18(%rax),%r13
  .byte  196,129,122,16,92,165,0             // vmovss        0x0(%r13,%r12,4),%xmm3
  .byte  196,67,97,33,92,157,0,16            // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm3,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,1,122,16,124,189,0              // vmovss        0x0(%r13,%r15,4),%xmm15
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,131,105,33,84,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm2
  .byte  196,129,122,16,92,141,0             // vmovss        0x0(%r13,%r9,4),%xmm3
  .byte  196,129,122,16,124,133,0            // vmovss        0x0(%r13,%r8,4),%xmm7
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,195,33,33,204,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm1
  .byte  196,195,113,33,207,48               // vinsertps     $0x30,%xmm15,%xmm1,%xmm1
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  76,139,104,56                       // mov           0x38(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,67,113,33,92,157,0,16           // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,1,122,16,124,189,0              // vmovss        0x0(%r13,%r15,4),%xmm15
  .byte  196,129,122,16,124,157,0            // vmovss        0x0(%r13,%r11,4),%xmm7
  .byte  196,131,65,33,124,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm7,%xmm7
  .byte  196,129,122,16,76,141,0             // vmovss        0x0(%r13,%r9,4),%xmm1
  .byte  196,129,122,16,84,133,0             // vmovss        0x0(%r13,%r8,4),%xmm2
  .byte  196,195,33,33,220,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm3
  .byte  196,195,97,33,223,48                // vinsertps     $0x30,%xmm15,%xmm3,%xmm3
  .byte  196,227,65,33,201,32                // vinsertps     $0x20,%xmm1,%xmm7,%xmm1
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,99,117,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm1,%ymm11
  .byte  76,139,104,32                       // mov           0x20(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,195,113,33,76,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm1
  .byte  196,129,122,16,84,181,0             // vmovss        0x0(%r13,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  196,129,122,16,84,189,0             // vmovss        0x0(%r13,%r15,4),%xmm2
  .byte  196,129,122,16,92,157,0             // vmovss        0x0(%r13,%r11,4),%xmm3
  .byte  196,3,97,33,100,149,0,16            // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm3,%xmm12
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,129,122,16,92,133,0             // vmovss        0x0(%r13,%r8,4),%xmm3
  .byte  196,99,113,33,250,48                // vinsertps     $0x30,%xmm2,%xmm1,%xmm15
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,161,122,16,20,160               // vmovss        (%rax,%r12,4),%xmm2
  .byte  196,227,105,33,20,152,16            // vinsertps     $0x10,(%rax,%rbx,4),%xmm2,%xmm2
  .byte  196,227,25,33,255,32                // vinsertps     $0x20,%xmm7,%xmm12,%xmm7
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,65,33,219,48                // vinsertps     $0x30,%xmm3,%xmm7,%xmm3
  .byte  196,161,122,16,60,184               // vmovss        (%rax,%r15,4),%xmm7
  .byte  196,67,101,24,231,1                 // vinsertf128   $0x1,%xmm15,%ymm3,%ymm12
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,105,33,201,32               // vinsertps     $0x20,%xmm1,%xmm2,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,207,48               // vinsertps     $0x30,%xmm7,%xmm1,%xmm1
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,97,33,210,32                // vinsertps     $0x20,%xmm2,%xmm3,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm3
  .byte  197,188,89,200                      // vmulps        %ymm0,%ymm8,%ymm1
  .byte  196,65,116,88,198                   // vaddps        %ymm14,%ymm1,%ymm8
  .byte  197,148,89,200                      // vmulps        %ymm0,%ymm13,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,208                      // vmulps        %ymm0,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,252,88,219                      // vaddps        %ymm3,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,16,124,36,208               // vmovups       -0x30(%rsp),%ymm7
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_avx
.globl _sk_evenly_spaced_2_stop_gradient_avx
FUNCTION(_sk_evenly_spaced_2_stop_gradient_avx)
_sk_evenly_spaced_2_stop_gradient_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,226,125,24,80,16                // vbroadcastss  0x10(%rax),%ymm2
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,116,88,194                      // vaddps        %ymm2,%ymm1,%ymm8
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,20                // vbroadcastss  0x14(%rax),%ymm2
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,24                // vbroadcastss  0x18(%rax),%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  196,98,125,24,72,28                 // vbroadcastss  0x1c(%rax),%ymm9
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,88,217                  // vaddps        %ymm9,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_avx
.globl _sk_xy_to_unit_angle_avx
FUNCTION(_sk_xy_to_unit_angle_avx)
_sk_xy_to_unit_angle_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,52,84,200                       // vandps        %ymm0,%ymm9,%ymm9
  .byte  197,60,92,209                       // vsubps        %ymm1,%ymm8,%ymm10
  .byte  197,44,84,209                       // vandps        %ymm1,%ymm10,%ymm10
  .byte  196,65,52,93,218                    // vminps        %ymm10,%ymm9,%ymm11
  .byte  196,65,52,95,226                    // vmaxps        %ymm10,%ymm9,%ymm12
  .byte  196,65,36,94,220                    // vdivps        %ymm12,%ymm11,%ymm11
  .byte  196,65,36,89,227                    // vmulps        %ymm11,%ymm11,%ymm12
  .byte  196,98,125,24,45,62,223,1,0         // vbroadcastss  0x1df3e(%rip),%ymm13        # 2cc08 <_sk_overlay_sse2_8bit+0xe44>
  .byte  196,65,28,89,237                    // vmulps        %ymm13,%ymm12,%ymm13
  .byte  196,98,125,24,53,52,223,1,0         // vbroadcastss  0x1df34(%rip),%ymm14        # 2cc0c <_sk_overlay_sse2_8bit+0xe48>
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  196,65,28,89,237                    // vmulps        %ymm13,%ymm12,%ymm13
  .byte  196,98,125,24,53,37,223,1,0         // vbroadcastss  0x1df25(%rip),%ymm14        # 2cc10 <_sk_overlay_sse2_8bit+0xe4c>
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  196,98,125,24,45,22,223,1,0         // vbroadcastss  0x1df16(%rip),%ymm13        # 2cc14 <_sk_overlay_sse2_8bit+0xe50>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,65,52,194,202,1                 // vcmpltps      %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,1,223,1,0          // vbroadcastss  0x1df01(%rip),%ymm10        # 2cc18 <_sk_overlay_sse2_8bit+0xe54>
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,67,37,74,202,144                // vblendvps     %ymm9,%ymm10,%ymm11,%ymm9
  .byte  196,193,124,194,192,1               // vcmpltps      %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,21,151,221,1,0        // vbroadcastss  0x1dd97(%rip),%ymm10        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  196,65,116,194,200,1                // vcmpltps      %ymm8,%ymm1,%ymm9
  .byte  196,98,125,24,21,129,221,1,0        // vbroadcastss  0x1dd81(%rip),%ymm10        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  196,195,125,74,194,144              // vblendvps     %ymm9,%ymm10,%ymm0,%ymm0
  .byte  196,65,124,194,200,3                // vcmpunordps   %ymm8,%ymm0,%ymm9
  .byte  196,195,125,74,192,144              // vblendvps     %ymm9,%ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_avx
.globl _sk_xy_to_radius_avx
FUNCTION(_sk_xy_to_radius_avx)
_sk_xy_to_radius_avx:
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_avx
.globl _sk_xy_to_2pt_conical_quadratic_max_avx
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_avx)
_sk_xy_to_2pt_conical_quadratic_max_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,67,121,4,210,0                  // vpermilps     $0x0,%xmm10,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,119,222,1,0        // vbroadcastss  0x1de77(%rip),%ymm11        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,65,124,88,219                   // vaddps        %ymm11,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,75,222,1,0         // vbroadcastss  0x1de4b(%rip),%ymm9        # 2cc20 <_sk_overlay_sse2_8bit+0xe5c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,65,44,89,194                    // vmulps        %ymm10,%ymm10,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,41,222,1,0         // vbroadcastss  0x1de29(%rip),%ymm9        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,186,220,1,0        // vbroadcastss  0x1dcba(%rip),%ymm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,60,89,210                    // vmulps        %ymm10,%ymm8,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,172,95,192                      // vmaxps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_avx
.globl _sk_xy_to_2pt_conical_quadratic_min_avx
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_avx)
_sk_xy_to_2pt_conical_quadratic_min_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,67,121,4,210,0                  // vpermilps     $0x0,%xmm10,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,201,221,1,0        // vbroadcastss  0x1ddc9(%rip),%ymm11        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,65,124,88,219                   // vaddps        %ymm11,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,157,221,1,0        // vbroadcastss  0x1dd9d(%rip),%ymm9        # 2cc20 <_sk_overlay_sse2_8bit+0xe5c>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,65,44,89,194                    // vmulps        %ymm10,%ymm10,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,123,221,1,0        // vbroadcastss  0x1dd7b(%rip),%ymm9        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,12,220,1,0         // vbroadcastss  0x1dc0c(%rip),%ymm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,60,89,210                    // vmulps        %ymm10,%ymm8,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,172,93,192                      // vminps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_avx
.globl _sk_xy_to_2pt_conical_linear_avx
FUNCTION(_sk_xy_to_2pt_conical_linear_avx)
_sk_xy_to_2pt_conical_linear_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,64,40                    // vmovss        0x28(%rax),%xmm8
  .byte  197,58,89,72,44                     // vmulss        0x2c(%rax),%xmm8,%xmm9
  .byte  196,67,121,4,201,0                  // vpermilps     $0x0,%xmm9,%xmm9
  .byte  196,67,53,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm9,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,98,125,24,21,33,221,1,0         // vbroadcastss  0x1dd21(%rip),%ymm10        # 2cc1c <_sk_overlay_sse2_8bit+0xe58>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,65,124,88,210                   // vaddps        %ymm10,%ymm0,%ymm10
  .byte  196,193,58,89,192                   // vmulss        %xmm8,%xmm8,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,172,92,192                      // vsubps        %ymm0,%ymm10,%ymm0
  .byte  196,98,125,24,5,249,220,1,0         // vbroadcastss  0x1dcf9(%rip),%ymm8        # 2cc24 <_sk_overlay_sse2_8bit+0xe60>
  .byte  196,193,124,87,192                  // vxorps        %ymm8,%ymm0,%ymm0
  .byte  196,193,124,94,193                  // vdivps        %ymm9,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_avx
.globl _sk_mask_2pt_conical_degenerates_avx
FUNCTION(_sk_mask_2pt_conical_degenerates_avx)
_sk_mask_2pt_conical_degenerates_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,44                 // vbroadcastss  0x2c(%rax),%ymm8
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,65,52,194,192,2                 // vcmpleps      %ymm8,%ymm9,%ymm8
  .byte  196,65,124,194,201,7                // vcmpordps     %ymm9,%ymm0,%ymm9
  .byte  196,65,60,84,193                    // vandps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,0                        // vmovups       %ymm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_avx
.globl _sk_apply_vector_mask_avx
FUNCTION(_sk_apply_vector_mask_avx)
_sk_apply_vector_mask_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,0                        // vmovups       (%rax),%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  197,188,84,201                      // vandps        %ymm1,%ymm8,%ymm1
  .byte  197,188,84,210                      // vandps        %ymm2,%ymm8,%ymm2
  .byte  197,188,84,219                      // vandps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_avx
.globl _sk_save_xy_avx
FUNCTION(_sk_save_xy_avx)
_sk_save_xy_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,53,219,1,0          // vbroadcastss  0x1db35(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,124,88,200                   // vaddps        %ymm8,%ymm0,%ymm9
  .byte  196,67,125,8,209,1                  // vroundps      $0x1,%ymm9,%ymm10
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,88,192                   // vaddps        %ymm8,%ymm1,%ymm8
  .byte  196,67,125,8,208,1                  // vroundps      $0x1,%ymm8,%ymm10
  .byte  196,65,60,92,194                    // vsubps        %ymm10,%ymm8,%ymm8
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,124,17,72,64                    // vmovups       %ymm9,0x40(%rax)
  .byte  197,124,17,64,96                    // vmovups       %ymm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_avx
.globl _sk_accumulate_avx
FUNCTION(_sk_accumulate_avx)
_sk_accumulate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,128,128,0,0,0            // vmovups       0x80(%rax),%ymm8
  .byte  197,60,89,128,160,0,0,0             // vmulps        0xa0(%rax),%ymm8,%ymm8
  .byte  197,60,89,200                       // vmulps        %ymm0,%ymm8,%ymm9
  .byte  197,180,88,228                      // vaddps        %ymm4,%ymm9,%ymm4
  .byte  197,60,89,201                       // vmulps        %ymm1,%ymm8,%ymm9
  .byte  197,180,88,237                      // vaddps        %ymm5,%ymm9,%ymm5
  .byte  197,60,89,202                       // vmulps        %ymm2,%ymm8,%ymm9
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  197,60,89,195                       // vmulps        %ymm3,%ymm8,%ymm8
  .byte  197,188,88,255                      // vaddps        %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_avx
.globl _sk_bilinear_nx_avx
FUNCTION(_sk_bilinear_nx_avx)
_sk_bilinear_nx_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,29,220,1,0         // vbroadcastss  0x1dc1d(%rip),%ymm0        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,180,218,1,0         // vbroadcastss  0x1dab4(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_avx
.globl _sk_bilinear_px_avx
FUNCTION(_sk_bilinear_px_avx)
_sk_bilinear_px_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,148,218,1,0        // vbroadcastss  0x1da94(%rip),%ymm0        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_avx
.globl _sk_bilinear_ny_avx
FUNCTION(_sk_bilinear_ny_avx)
_sk_bilinear_ny_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,212,219,1,0       // vbroadcastss  0x1dbd4(%rip),%ymm1        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,106,218,1,0         // vbroadcastss  0x1da6a(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_avx
.globl _sk_bilinear_py_avx
FUNCTION(_sk_bilinear_py_avx)
_sk_bilinear_py_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,74,218,1,0        // vbroadcastss  0x1da4a(%rip),%ymm1        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_avx
.globl _sk_bicubic_n3x_avx
FUNCTION(_sk_bicubic_n3x_avx)
_sk_bicubic_n3x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,141,219,1,0        // vbroadcastss  0x1db8d(%rip),%ymm0        # 2cc2c <_sk_overlay_sse2_8bit+0xe68>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,32,218,1,0          // vbroadcastss  0x1da20(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,113,219,1,0        // vbroadcastss  0x1db71(%rip),%ymm10        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,111,218,1,0        // vbroadcastss  0x1da6f(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_avx
.globl _sk_bicubic_n1x_avx
FUNCTION(_sk_bicubic_n1x_avx)
_sk_bicubic_n1x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,58,219,1,0         // vbroadcastss  0x1db3a(%rip),%ymm0        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,209,217,1,0         // vbroadcastss  0x1d9d1(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,47,219,1,0         // vbroadcastss  0x1db2f(%rip),%ymm9        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,29,219,1,0         // vbroadcastss  0x1db1d(%rip),%ymm10        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,158,217,1,0        // vbroadcastss  0x1d99e(%rip),%ymm10        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,255,218,1,0        // vbroadcastss  0x1daff(%rip),%ymm9        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_avx
.globl _sk_bicubic_p1x_avx
FUNCTION(_sk_bicubic_p1x_avx)
_sk_bicubic_p1x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,111,217,1,0         // vbroadcastss  0x1d96f(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,188,88,0                        // vaddps        (%rax),%ymm8,%ymm0
  .byte  197,124,16,72,64                    // vmovups       0x40(%rax),%ymm9
  .byte  196,98,125,24,21,205,218,1,0        // vbroadcastss  0x1dacd(%rip),%ymm10        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,98,125,24,29,187,218,1,0        // vbroadcastss  0x1dabb(%rip),%ymm11        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  196,98,125,24,13,166,218,1,0        // vbroadcastss  0x1daa6(%rip),%ymm9        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_avx
.globl _sk_bicubic_p3x_avx
FUNCTION(_sk_bicubic_p3x_avx)
_sk_bicubic_p3x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,130,218,1,0        // vbroadcastss  0x1da82(%rip),%ymm0        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,103,218,1,0        // vbroadcastss  0x1da67(%rip),%ymm10        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,101,217,1,0        // vbroadcastss  0x1d965(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_avx
.globl _sk_bicubic_n3y_avx
FUNCTION(_sk_bicubic_n3y_avx)
_sk_bicubic_n3y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,52,218,1,0        // vbroadcastss  0x1da34(%rip),%ymm1        # 2cc2c <_sk_overlay_sse2_8bit+0xe68>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,198,216,1,0         // vbroadcastss  0x1d8c6(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,23,218,1,0         // vbroadcastss  0x1da17(%rip),%ymm10        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,21,217,1,0         // vbroadcastss  0x1d915(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_avx
.globl _sk_bicubic_n1y_avx
FUNCTION(_sk_bicubic_n1y_avx)
_sk_bicubic_n1y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,224,217,1,0       // vbroadcastss  0x1d9e0(%rip),%ymm1        # 2cc28 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,118,216,1,0         // vbroadcastss  0x1d876(%rip),%ymm8        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,212,217,1,0        // vbroadcastss  0x1d9d4(%rip),%ymm9        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,194,217,1,0        // vbroadcastss  0x1d9c2(%rip),%ymm10        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,67,216,1,0         // vbroadcastss  0x1d843(%rip),%ymm10        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,164,217,1,0        // vbroadcastss  0x1d9a4(%rip),%ymm9        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_avx
.globl _sk_bicubic_p1y_avx
FUNCTION(_sk_bicubic_p1y_avx)
_sk_bicubic_p1y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,20,216,1,0          // vbroadcastss  0x1d814(%rip),%ymm8        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  197,188,88,72,32                    // vaddps        0x20(%rax),%ymm8,%ymm1
  .byte  197,124,16,72,96                    // vmovups       0x60(%rax),%ymm9
  .byte  196,98,125,24,21,113,217,1,0        // vbroadcastss  0x1d971(%rip),%ymm10        # 2cc38 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,98,125,24,29,95,217,1,0         // vbroadcastss  0x1d95f(%rip),%ymm11        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  196,98,125,24,13,74,217,1,0         // vbroadcastss  0x1d94a(%rip),%ymm9        # 2cc3c <_sk_overlay_sse2_8bit+0xe78>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_avx
.globl _sk_bicubic_p3y_avx
FUNCTION(_sk_bicubic_p3y_avx)
_sk_bicubic_p3y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,38,217,1,0        // vbroadcastss  0x1d926(%rip),%ymm1        # 2cc34 <_sk_overlay_sse2_8bit+0xe70>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,10,217,1,0         // vbroadcastss  0x1d90a(%rip),%ymm10        # 2cc30 <_sk_overlay_sse2_8bit+0xe6c>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,8,216,1,0          // vbroadcastss  0x1d808(%rip),%ymm10        # 2cb3c <_sk_overlay_sse2_8bit+0xd78>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_avx
.globl _sk_callback_avx
FUNCTION(_sk_callback_avx)
_sk_callback_avx:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,228,224                      // and           $0xffffffffffffffe0,%rsp
  .byte  72,129,236,160,0,0,0                // sub           $0xa0,%rsp
  .byte  197,252,41,124,36,96                // vmovaps       %ymm7,0x60(%rsp)
  .byte  197,252,41,116,36,64                // vmovaps       %ymm6,0x40(%rsp)
  .byte  197,252,41,108,36,32                // vmovaps       %ymm5,0x20(%rsp)
  .byte  197,252,41,36,36                    // vmovaps       %ymm4,(%rsp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,193                      // vunpckhps     %ymm1,%ymm0,%ymm0
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,211                      // vunpckhps     %ymm3,%ymm2,%ymm2
  .byte  197,221,20,217                      // vunpcklpd     %ymm1,%ymm4,%ymm3
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,253,20,226                      // vunpcklpd     %ymm2,%ymm0,%ymm4
  .byte  197,253,21,194                      // vunpckhpd     %ymm2,%ymm0,%ymm0
  .byte  196,227,101,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm2
  .byte  196,227,93,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm5
  .byte  196,227,101,6,201,49                // vperm2f128    $0x31,%ymm1,%ymm3,%ymm1
  .byte  196,227,93,6,192,49                 // vperm2f128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,253,17,83,8                     // vmovupd       %ymm2,0x8(%rbx)
  .byte  197,253,17,107,40                   // vmovupd       %ymm5,0x28(%rbx)
  .byte  197,253,17,75,72                    // vmovupd       %ymm1,0x48(%rbx)
  .byte  197,253,17,67,104                   // vmovupd       %ymm0,0x68(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,8,0,0,0                         // mov           $0x8,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  197,248,119                         // vzeroupper
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  197,248,16,0                        // vmovups       (%rax),%xmm0
  .byte  197,248,16,72,16                    // vmovups       0x10(%rax),%xmm1
  .byte  197,248,16,80,32                    // vmovups       0x20(%rax),%xmm2
  .byte  197,248,16,88,48                    // vmovups       0x30(%rax),%xmm3
  .byte  196,227,101,24,88,112,1             // vinsertf128   $0x1,0x70(%rax),%ymm3,%ymm3
  .byte  196,227,109,24,80,96,1              // vinsertf128   $0x1,0x60(%rax),%ymm2,%ymm2
  .byte  196,227,117,24,72,80,1              // vinsertf128   $0x1,0x50(%rax),%ymm1,%ymm1
  .byte  196,227,125,24,64,64,1              // vinsertf128   $0x1,0x40(%rax),%ymm0,%ymm0
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,233                      // vunpckhps     %ymm1,%ymm0,%ymm5
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,219                      // vunpckhps     %ymm3,%ymm2,%ymm3
  .byte  197,221,20,193                      // vunpcklpd     %ymm1,%ymm4,%ymm0
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,213,20,211                      // vunpcklpd     %ymm3,%ymm5,%ymm2
  .byte  197,213,21,219                      // vunpckhpd     %ymm3,%ymm5,%ymm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  197,252,40,36,36                    // vmovaps       (%rsp),%ymm4
  .byte  197,252,40,108,36,32                // vmovaps       0x20(%rsp),%ymm5
  .byte  197,252,40,116,36,64                // vmovaps       0x40(%rsp),%ymm6
  .byte  197,252,40,124,36,96                // vmovaps       0x60(%rsp),%ymm7
  .byte  72,141,101,216                      // lea           -0x28(%rbp),%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_avx
.globl _sk_clut_3D_avx
FUNCTION(_sk_clut_3D_avx)
_sk_clut_3D_avx:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,129,236,8,2,0,0                  // sub           $0x208,%rsp
  .byte  197,252,17,188,36,224,1,0,0         // vmovups       %ymm7,0x1e0(%rsp)
  .byte  197,252,17,180,36,192,1,0,0         // vmovups       %ymm6,0x1c0(%rsp)
  .byte  197,252,17,172,36,160,1,0,0         // vmovups       %ymm5,0x1a0(%rsp)
  .byte  197,252,17,164,36,128,1,0,0         // vmovups       %ymm4,0x180(%rsp)
  .byte  197,252,17,156,36,96,1,0,0          // vmovups       %ymm3,0x160(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,148,36,0,1,0,0           // vmovups       %ymm2,0x100(%rsp)
  .byte  197,254,91,218                      // vcvttps2dq    %ymm2,%ymm3
  .byte  68,139,72,12                        // mov           0xc(%rax),%r9d
  .byte  69,141,81,255                       // lea           -0x1(%r9),%r10d
  .byte  196,193,121,110,210                 // vmovd         %r10d,%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,227,109,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,12,36                    // vmovups       %ymm1,(%rsp)
  .byte  197,254,91,225                      // vcvttps2dq    %ymm1,%ymm4
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  197,121,112,233,0                   // vpshufd       $0x0,%xmm1,%xmm13
  .byte  196,194,89,64,213                   // vpmulld       %xmm13,%xmm4,%xmm2
  .byte  197,253,111,236                     // vmovdqa       %ymm4,%ymm5
  .byte  197,254,127,108,36,96               // vmovdqu       %ymm5,0x60(%rsp)
  .byte  197,249,127,148,36,160,0,0,0        // vmovdqa       %xmm2,0xa0(%rsp)
  .byte  197,105,254,211                     // vpaddd        %xmm3,%xmm2,%xmm10
  .byte  197,254,127,156,36,224,0,0,0        // vmovdqu       %ymm3,0xe0(%rsp)
  .byte  196,193,121,110,209                 // vmovd         %r9d,%xmm2
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,121,112,241,0                   // vpshufd       $0x0,%xmm1,%xmm14
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  197,249,112,201,0                   // vpshufd       $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,116,89,192                      // vmulps        %ymm0,%ymm1,%ymm8
  .byte  196,193,126,91,200                  // vcvttps2dq    %ymm8,%ymm1
  .byte  196,194,113,64,198                  // vpmulld       %xmm14,%xmm1,%xmm0
  .byte  197,253,111,241                     // vmovdqa       %ymm1,%ymm6
  .byte  197,254,127,116,36,160              // vmovdqu       %ymm6,-0x60(%rsp)
  .byte  197,249,127,68,36,224               // vmovdqa       %xmm0,-0x20(%rsp)
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,98,121,24,29,184,214,1,0        // vbroadcastss  0x1d6b8(%rip),%xmm11        # 2cc44 <_sk_overlay_sse2_8bit+0xe80>
  .byte  196,194,121,64,203                  // vpmulld       %xmm11,%xmm0,%xmm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,4,136                // vmovss        (%rax,%r9,4),%xmm0
  .byte  196,163,121,33,4,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,152,32             // vinsertps     $0x20,(%rax,%r11,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,144               // vmovss        (%rax,%r10,4),%xmm2
  .byte  196,227,121,33,226,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm4
  .byte  196,227,125,25,232,1                // vextractf128  $0x1,%ymm5,%xmm0
  .byte  196,194,121,64,213                  // vpmulld       %xmm13,%xmm0,%xmm2
  .byte  197,249,127,148,36,128,0,0,0        // vmovdqa       %xmm2,0x80(%rsp)
  .byte  196,227,125,25,240,1                // vextractf128  $0x1,%ymm6,%xmm0
  .byte  196,194,121,64,238                  // vpmulld       %xmm14,%xmm0,%xmm5
  .byte  197,249,127,108,36,208              // vmovdqa       %xmm5,-0x30(%rsp)
  .byte  196,227,125,25,216,1                // vextractf128  $0x1,%ymm3,%xmm0
  .byte  197,248,41,68,36,128                // vmovaps       %xmm0,-0x80(%rsp)
  .byte  197,233,254,192                     // vpaddd        %xmm0,%xmm2,%xmm0
  .byte  197,209,254,208                     // vpaddd        %xmm0,%xmm5,%xmm2
  .byte  196,194,105,64,211                  // vpmulld       %xmm11,%xmm2,%xmm2
  .byte  196,193,121,126,208                 // vmovd         %xmm2,%r8d
  .byte  196,195,121,22,209,1                // vpextrd       $0x1,%xmm2,%r9d
  .byte  196,195,121,22,210,2                // vpextrd       $0x2,%xmm2,%r10d
  .byte  196,195,121,22,211,3                // vpextrd       $0x3,%xmm2,%r11d
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,152,48             // vinsertps     $0x30,(%rax,%r11,4),%xmm7,%xmm7
  .byte  196,227,93,24,223,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm3
  .byte  197,252,17,92,36,64                 // vmovups       %ymm3,0x40(%rsp)
  .byte  196,98,121,24,13,129,212,1,0        // vbroadcastss  0x1d481(%rip),%xmm9        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,193,105,254,249                 // vpaddd        %xmm9,%xmm2,%xmm7
  .byte  196,195,249,22,248,1                // vpextrq       $0x1,%xmm7,%r8
  .byte  196,193,249,126,249                 // vmovq         %xmm7,%r9
  .byte  196,193,113,254,249                 // vpaddd        %xmm9,%xmm1,%xmm7
  .byte  196,193,249,126,250                 // vmovq         %xmm7,%r10
  .byte  196,195,249,22,251,1                // vpextrq       $0x1,%xmm7,%r11
  .byte  68,137,203                          // mov           %r9d,%ebx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,65,33,246,32                // vinsertps     $0x20,%xmm6,%xmm7,%xmm6
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  68,137,211                          // mov           %r10d,%ebx
  .byte  69,137,216                          // mov           %r11d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,65,33,237,32                // vinsertps     $0x20,%xmm5,%xmm7,%xmm5
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,99,85,24,254,1                  // vinsertf128   $0x1,%xmm6,%ymm5,%ymm15
  .byte  196,98,121,24,37,246,211,1,0        // vbroadcastss  0x1d3f6(%rip),%xmm12        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,193,105,254,212                 // vpaddd        %xmm12,%xmm2,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,113,254,204                 // vpaddd        %xmm12,%xmm1,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,105,33,213,32               // vinsertps     $0x20,%xmm5,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,105,33,213,48               // vinsertps     $0x30,%xmm5,%xmm2,%xmm2
  .byte  196,227,109,24,225,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm4
  .byte  196,226,125,24,13,202,212,1,0       // vbroadcastss  0x1d4ca(%rip),%ymm1        # 2cc40 <_sk_overlay_sse2_8bit+0xe7c>
  .byte  197,188,88,209                      // vaddps        %ymm1,%ymm8,%ymm2
  .byte  197,252,17,76,36,32                 // vmovups       %ymm1,0x20(%rsp)
  .byte  197,254,91,210                      // vcvttps2dq    %ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  196,194,81,64,222                   // vpmulld       %xmm14,%xmm5,%xmm3
  .byte  197,249,127,92,36,240               // vmovdqa       %xmm3,-0x10(%rsp)
  .byte  196,194,105,64,214                  // vpmulld       %xmm14,%xmm2,%xmm2
  .byte  197,249,127,84,36,192               // vmovdqa       %xmm2,-0x40(%rsp)
  .byte  196,193,105,254,210                 // vpaddd        %xmm10,%xmm2,%xmm2
  .byte  196,194,105,64,235                  // vpmulld       %xmm11,%xmm2,%xmm5
  .byte  196,193,249,126,233                 // vmovq         %xmm5,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,235,1                // vpextrq       $0x1,%xmm5,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,105,33,214,48               // vinsertps     $0x30,%xmm6,%xmm2,%xmm2
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,121,254,241                 // vpaddd        %xmm9,%xmm0,%xmm6
  .byte  196,195,249,22,240,1                // vpextrq       $0x1,%xmm6,%r8
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  196,193,81,254,241                  // vpaddd        %xmm9,%xmm5,%xmm6
  .byte  196,193,249,126,242                 // vmovq         %xmm6,%r10
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,52,152               // vmovss        (%rax,%r11,4),%xmm6
  .byte  196,163,73,33,52,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,65,33,219,32                // vinsertps     $0x20,%xmm3,%xmm7,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,214,1                 // vinsertf128   $0x1,%xmm6,%ymm3,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,81,254,196                  // vpaddd        %xmm12,%xmm5,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  197,252,91,92,36,160                // vcvtdq2ps     -0x60(%rsp),%ymm3
  .byte  197,60,92,243                       // vsubps        %ymm3,%ymm8,%ymm14
  .byte  197,252,16,92,36,64                 // vmovups       0x40(%rsp),%ymm3
  .byte  197,236,92,211                      // vsubps        %ymm3,%ymm2,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,228,88,210                      // vaddps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,84,36,160                // vmovups       %ymm2,-0x60(%rsp)
  .byte  196,193,44,92,215                   // vsubps        %ymm15,%ymm10,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,132,88,210                      // vaddps        %ymm2,%ymm15,%ymm2
  .byte  197,252,17,148,36,64,1,0,0          // vmovups       %ymm2,0x140(%rsp)
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,220,88,192                      // vaddps        %ymm0,%ymm4,%ymm0
  .byte  197,252,17,132,36,32,1,0,0          // vmovups       %ymm0,0x120(%rsp)
  .byte  197,244,88,4,36                     // vaddps        (%rsp),%ymm1,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,194,121,64,205                  // vpmulld       %xmm13,%xmm0,%xmm1
  .byte  197,249,127,76,36,64                // vmovdqa       %xmm1,0x40(%rsp)
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,194,121,64,213                  // vpmulld       %xmm13,%xmm0,%xmm2
  .byte  197,249,127,148,36,208,0,0,0        // vmovdqa       %xmm2,0xd0(%rsp)
  .byte  197,241,254,180,36,224,0,0,0        // vpaddd        0xe0(%rsp),%xmm1,%xmm6
  .byte  197,249,111,100,36,224              // vmovdqa       -0x20(%rsp),%xmm4
  .byte  197,201,254,196                     // vpaddd        %xmm4,%xmm6,%xmm0
  .byte  196,194,121,64,235                  // vpmulld       %xmm11,%xmm0,%xmm5
  .byte  196,193,249,126,233                 // vmovq         %xmm5,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,235,1                // vpextrq       $0x1,%xmm5,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,201,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm1
  .byte  197,233,254,124,36,128              // vpaddd        -0x80(%rsp),%xmm2,%xmm7
  .byte  197,121,111,108,36,208              // vmovdqa       -0x30(%rsp),%xmm13
  .byte  196,193,65,254,197                  // vpaddd        %xmm13,%xmm7,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,17,76,36,128                // vmovups       %ymm1,-0x80(%rsp)
  .byte  196,193,121,254,201                 // vpaddd        %xmm9,%xmm0,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,81,254,201                  // vpaddd        %xmm9,%xmm5,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,81,254,196                  // vpaddd        %xmm12,%xmm5,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,232,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm5
  .byte  197,121,111,124,36,192              // vmovdqa       -0x40(%rsp),%xmm15
  .byte  197,129,254,198                     // vpaddd        %xmm6,%xmm15,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,121,33,210,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm2
  .byte  197,193,254,68,36,240               // vpaddd        -0x10(%rsp),%xmm7,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,251,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm7
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,12,136               // vmovss        (%rax,%r9,4),%xmm1
  .byte  196,227,97,33,201,32                // vinsertps     $0x20,%xmm1,%xmm3,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,203,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm1
  .byte  196,99,117,24,194,1                 // vinsertf128   $0x1,%xmm2,%ymm1,%ymm8
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,196                  // vpaddd        %xmm12,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,121,33,193,32               // vinsertps     $0x20,%xmm1,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  197,252,16,84,36,128                // vmovups       -0x80(%rsp),%ymm2
  .byte  197,196,92,202                      // vsubps        %ymm2,%ymm7,%ymm1
  .byte  197,140,89,201                      // vmulps        %ymm1,%ymm14,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,60,92,210                   // vsubps        %ymm10,%ymm8,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,252,92,197                      // vsubps        %ymm5,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,91,92,36,96                 // vcvtdq2ps     0x60(%rsp),%ymm3
  .byte  197,252,16,44,36                    // vmovups       (%rsp),%ymm5
  .byte  197,212,92,219                      // vsubps        %ymm3,%ymm5,%ymm3
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,17,12,36                    // vmovups       %ymm1,(%rsp)
  .byte  197,252,16,172,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,17,76,36,96                 // vmovups       %ymm1,0x60(%rsp)
  .byte  197,252,16,140,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,160                // vmovups       %ymm0,-0x60(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,0,1,0,0           // vaddps        0x100(%rsp),%ymm0,%ymm0
  .byte  197,126,91,192                      // vcvttps2dq    %ymm0,%ymm8
  .byte  197,185,254,188,36,160,0,0,0        // vpaddd        0xa0(%rsp),%xmm8,%xmm7
  .byte  197,217,254,199                     // vpaddd        %xmm7,%xmm4,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,217,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm3
  .byte  196,99,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm0
  .byte  197,248,41,68,36,32                 // vmovaps       %xmm0,0x20(%rsp)
  .byte  197,249,254,140,36,128,0,0,0        // vpaddd        0x80(%rsp),%xmm0,%xmm1
  .byte  197,145,254,193                     // vpaddd        %xmm1,%xmm13,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,101,24,226,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm4
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,99,101,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,196                  // vpaddd        %xmm12,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm2,%ymm13
  .byte  197,129,254,199                     // vpaddd        %xmm7,%xmm15,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  197,121,111,124,36,240              // vmovdqa       -0x10(%rsp),%xmm15
  .byte  197,129,254,201                     // vpaddd        %xmm1,%xmm15,%xmm1
  .byte  196,194,113,64,251                  // vpmulld       %xmm11,%xmm1,%xmm7
  .byte  197,249,126,251                     // vmovd         %xmm7,%ebx
  .byte  196,195,121,22,248,1                // vpextrd       $0x1,%xmm7,%r8d
  .byte  196,195,121,22,249,2                // vpextrd       $0x2,%xmm7,%r9d
  .byte  196,195,121,22,250,3                // vpextrd       $0x3,%xmm7,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,65,254,193                  // vpaddd        %xmm9,%xmm7,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,65,254,212                  // vpaddd        %xmm12,%xmm7,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,212                  // vpaddd        %xmm12,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,140,89,201                      // vmulps        %ymm1,%ymm14,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,160,0,0,0         // vmovups       %ymm1,0xa0(%rsp)
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  196,193,108,92,197                  // vsubps        %ymm13,%ymm2,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,20,88,208                       // vaddps        %ymm0,%ymm13,%ymm10
  .byte  197,249,111,68,36,32                // vmovdqa       0x20(%rsp),%xmm0
  .byte  197,249,254,180,36,208,0,0,0        // vpaddd        0xd0(%rsp),%xmm0,%xmm6
  .byte  197,185,254,68,36,64                // vpaddd        0x40(%rsp),%xmm8,%xmm0
  .byte  197,249,254,76,36,224               // vpaddd        -0x20(%rsp),%xmm0,%xmm1
  .byte  196,66,113,64,235                   // vpmulld       %xmm11,%xmm1,%xmm13
  .byte  196,65,249,126,233                  // vmovq         %xmm13,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,99,249,22,235,1                 // vpextrq       $0x1,%xmm13,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  197,201,254,84,36,208               // vpaddd        -0x30(%rsp),%xmm6,%xmm2
  .byte  196,194,105,64,211                  // vpmulld       %xmm11,%xmm2,%xmm2
  .byte  197,249,126,211                     // vmovd         %xmm2,%ebx
  .byte  196,195,121,22,208,1                // vpextrd       $0x1,%xmm2,%r8d
  .byte  196,195,121,22,209,2                // vpextrd       $0x2,%xmm2,%r9d
  .byte  196,195,121,22,210,3                // vpextrd       $0x3,%xmm2,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  196,193,105,254,217                 // vpaddd        %xmm9,%xmm2,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,17,254,217                  // vpaddd        %xmm9,%xmm13,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,176               // vmovss        (%rax,%r14,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,163,81,33,44,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm5,%xmm5
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,81,33,239,32                // vinsertps     $0x20,%xmm7,%xmm5,%xmm5
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,227,85,24,235,1                 // vinsertf128   $0x1,%xmm3,%ymm5,%ymm5
  .byte  196,193,105,254,212                 // vpaddd        %xmm12,%xmm2,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,17,254,212                  // vpaddd        %xmm12,%xmm13,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,97,33,223,32                // vinsertps     $0x20,%xmm7,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,234,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm13
  .byte  197,249,254,68,36,192               // vpaddd        -0x40(%rsp),%xmm0,%xmm0
  .byte  197,129,254,214                     // vpaddd        %xmm6,%xmm15,%xmm2
  .byte  196,194,105,64,243                  // vpmulld       %xmm11,%xmm2,%xmm6
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,126,243                     // vmovd         %xmm6,%ebx
  .byte  196,195,121,22,240,1                // vpextrd       $0x1,%xmm6,%r8d
  .byte  196,195,121,22,241,2                // vpextrd       $0x2,%xmm6,%r9d
  .byte  196,195,121,22,242,3                // vpextrd       $0x3,%xmm6,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm3
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,73,254,228                  // vpaddd        %xmm12,%xmm6,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,121,33,196,32               // vinsertps     $0x20,%xmm4,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,121,33,196,48               // vinsertps     $0x30,%xmm4,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm0
  .byte  197,228,92,217                      // vsubps        %ymm1,%ymm3,%ymm3
  .byte  197,140,89,219                      // vmulps        %ymm3,%ymm14,%ymm3
  .byte  197,244,88,203                      // vaddps        %ymm3,%ymm1,%ymm1
  .byte  197,236,92,213                      // vsubps        %ymm5,%ymm2,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  197,252,16,164,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,172,88,216                      // vaddps        %ymm0,%ymm10,%ymm3
  .byte  197,252,91,132,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm0
  .byte  197,252,16,164,36,0,1,0,0           // vmovups       0x100(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,252,16,44,36                    // vmovups       (%rsp),%ymm5
  .byte  197,244,92,197                      // vsubps        %ymm5,%ymm1,%ymm0
  .byte  197,220,89,192                      // vmulps        %ymm0,%ymm4,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,16,108,36,96                // vmovups       0x60(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,228,92,213                      // vsubps        %ymm5,%ymm3,%ymm2
  .byte  197,220,89,210                      // vmulps        %ymm2,%ymm4,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,156,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm3
  .byte  197,252,16,164,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm4
  .byte  197,252,16,172,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm5
  .byte  197,252,16,180,36,192,1,0,0         // vmovups       0x1c0(%rsp),%ymm6
  .byte  197,252,16,188,36,224,1,0,0         // vmovups       0x1e0(%rsp),%ymm7
  .byte  72,129,196,8,2,0,0                  // add           $0x208,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_avx
.globl _sk_clut_4D_avx
FUNCTION(_sk_clut_4D_avx)
_sk_clut_4D_avx:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,129,236,168,2,0,0                // sub           $0x2a8,%rsp
  .byte  197,252,17,188,36,128,2,0,0         // vmovups       %ymm7,0x280(%rsp)
  .byte  197,252,17,180,36,96,2,0,0          // vmovups       %ymm6,0x260(%rsp)
  .byte  197,252,17,172,36,64,2,0,0          // vmovups       %ymm5,0x240(%rsp)
  .byte  197,252,17,164,36,32,2,0,0          // vmovups       %ymm4,0x220(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  197,249,112,228,0                   // vpshufd       $0x0,%xmm4,%xmm4
  .byte  196,227,93,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,156,36,0,2,0,0           // vmovups       %ymm3,0x200(%rsp)
  .byte  197,254,91,227                      // vcvttps2dq    %ymm3,%ymm4
  .byte  68,139,72,16                        // mov           0x10(%rax),%r9d
  .byte  69,141,81,255                       // lea           -0x1(%r9),%r10d
  .byte  196,193,121,110,218                 // vmovd         %r10d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,148,36,32,1,0,0          // vmovups       %ymm2,0x120(%rsp)
  .byte  197,254,91,234                      // vcvttps2dq    %ymm2,%ymm5
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  197,249,112,242,0                   // vpshufd       $0x0,%xmm2,%xmm6
  .byte  196,226,81,64,222                   // vpmulld       %xmm6,%xmm5,%xmm3
  .byte  197,249,111,254                     // vmovdqa       %xmm6,%xmm7
  .byte  197,249,127,124,36,224              // vmovdqa       %xmm7,-0x20(%rsp)
  .byte  197,254,127,172,36,128,1,0,0        // vmovdqu       %ymm5,0x180(%rsp)
  .byte  197,249,127,156,36,192,0,0,0        // vmovdqa       %xmm3,0xc0(%rsp)
  .byte  197,225,254,244                     // vpaddd        %xmm4,%xmm3,%xmm6
  .byte  197,249,127,116,36,96               // vmovdqa       %xmm6,0x60(%rsp)
  .byte  197,254,127,164,36,224,1,0,0        // vmovdqu       %ymm4,0x1e0(%rsp)
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,121,112,194,0                   // vpshufd       $0x0,%xmm2,%xmm8
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  197,252,17,156,36,128,0,0,0         // vmovups       %ymm3,0x80(%rsp)
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,113,64,202                  // vpmulld       %xmm2,%xmm1,%xmm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,227,109,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,108,89,232                      // vmulps        %ymm0,%ymm2,%ymm13
  .byte  197,254,91,211                      // vcvttps2dq    %ymm3,%ymm2
  .byte  197,249,112,193,0                   // vpshufd       $0x0,%xmm1,%xmm0
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,194,105,64,200                  // vpmulld       %xmm8,%xmm2,%xmm1
  .byte  197,125,111,210                     // vmovdqa       %ymm2,%ymm10
  .byte  197,126,127,148,36,224,0,0,0        // vmovdqu       %ymm10,0xe0(%rsp)
  .byte  197,249,127,140,36,0,1,0,0          // vmovdqa       %xmm1,0x100(%rsp)
  .byte  197,241,254,214                     // vpaddd        %xmm6,%xmm1,%xmm2
  .byte  196,65,126,91,229                   // vcvttps2dq    %ymm13,%ymm12
  .byte  196,226,25,64,200                   // vpmulld       %xmm0,%xmm12,%xmm1
  .byte  197,249,127,76,36,128               // vmovdqa       %xmm1,-0x80(%rsp)
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,98,121,24,61,122,197,1,0        // vbroadcastss  0x1c57a(%rip),%xmm15        # 2cc44 <_sk_overlay_sse2_8bit+0xe80>
  .byte  196,194,113,64,247                  // vpmulld       %xmm15,%xmm1,%xmm6
  .byte  196,193,249,126,240                 // vmovq         %xmm6,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,195,249,22,242,1                // vpextrq       $0x1,%xmm6,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,136               // vmovss        (%rax,%r9,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,152,32            // vinsertps     $0x20,(%rax,%r11,4),%xmm1,%xmm1
  .byte  196,161,122,16,28,144               // vmovss        (%rax,%r10,4),%xmm3
  .byte  196,99,113,33,203,48                // vinsertps     $0x30,%xmm3,%xmm1,%xmm9
  .byte  196,227,125,25,233,1                // vextractf128  $0x1,%ymm5,%xmm1
  .byte  196,226,113,64,239                  // vpmulld       %xmm7,%xmm1,%xmm5
  .byte  197,249,127,172,36,160,0,0,0        // vmovdqa       %xmm5,0xa0(%rsp)
  .byte  196,99,125,25,209,1                 // vextractf128  $0x1,%ymm10,%xmm1
  .byte  196,194,113,64,216                  // vpmulld       %xmm8,%xmm1,%xmm3
  .byte  197,249,127,92,36,16                // vmovdqa       %xmm3,0x10(%rsp)
  .byte  196,99,125,25,225,1                 // vextractf128  $0x1,%ymm12,%xmm1
  .byte  196,226,113,64,248                  // vpmulld       %xmm0,%xmm1,%xmm7
  .byte  197,249,127,124,36,176              // vmovdqa       %xmm7,-0x50(%rsp)
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,248,41,76,36,192                // vmovaps       %xmm1,-0x40(%rsp)
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  197,249,127,140,36,64,1,0,0         // vmovdqa       %xmm1,0x140(%rsp)
  .byte  197,225,254,201                     // vpaddd        %xmm1,%xmm3,%xmm1
  .byte  197,193,254,217                     // vpaddd        %xmm1,%xmm7,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  196,193,121,126,216                 // vmovd         %xmm3,%r8d
  .byte  196,195,121,22,217,1                // vpextrd       $0x1,%xmm3,%r9d
  .byte  196,195,121,22,218,2                // vpextrd       $0x2,%xmm3,%r10d
  .byte  196,195,121,22,219,3                // vpextrd       $0x3,%xmm3,%r11d
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,152,48             // vinsertps     $0x30,(%rax,%r11,4),%xmm7,%xmm7
  .byte  196,99,53,24,247,1                  // vinsertf128   $0x1,%xmm7,%ymm9,%ymm14
  .byte  196,98,121,24,21,43,195,1,0         // vbroadcastss  0x1c32b(%rip),%xmm10        # 2cad0 <_sk_overlay_sse2_8bit+0xd0c>
  .byte  196,65,97,254,202                   // vpaddd        %xmm10,%xmm3,%xmm9
  .byte  196,67,249,22,200,1                 // vpextrq       $0x1,%xmm9,%r8
  .byte  196,65,249,126,201                  // vmovq         %xmm9,%r9
  .byte  196,65,73,254,202                   // vpaddd        %xmm10,%xmm6,%xmm9
  .byte  196,65,249,126,202                  // vmovq         %xmm9,%r10
  .byte  196,67,249,22,203,1                 // vpextrq       $0x1,%xmm9,%r11
  .byte  68,137,203                          // mov           %r9d,%ebx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,65,33,228,32                // vinsertps     $0x20,%xmm4,%xmm7,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  68,137,211                          // mov           %r10d,%ebx
  .byte  69,137,216                          // mov           %r11d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,65,33,237,32                // vinsertps     $0x20,%xmm5,%xmm7,%xmm5
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,99,85,24,220,1                  // vinsertf128   $0x1,%xmm4,%ymm5,%ymm11
  .byte  196,98,121,24,13,160,194,1,0        // vbroadcastss  0x1c2a0(%rip),%xmm9        # 2cad8 <_sk_overlay_sse2_8bit+0xd14>
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,73,254,217                  // vpaddd        %xmm9,%xmm6,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,89,33,229,32                // vinsertps     $0x20,%xmm5,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,89,33,229,48                // vinsertps     $0x30,%xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,243,1                 // vinsertf128   $0x1,%xmm3,%ymm4,%ymm6
  .byte  196,226,125,24,37,116,195,1,0       // vbroadcastss  0x1c374(%rip),%ymm4        # 2cc40 <_sk_overlay_sse2_8bit+0xe7c>
  .byte  197,148,88,220                      // vaddps        %ymm4,%ymm13,%ymm3
  .byte  197,252,40,252                      // vmovaps       %ymm4,%ymm7
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,254,91,219                      // vcvttps2dq    %ymm3,%ymm3
  .byte  196,227,125,25,220,1                // vextractf128  $0x1,%ymm3,%xmm4
  .byte  196,226,89,64,224                   // vpmulld       %xmm0,%xmm4,%xmm4
  .byte  197,249,127,100,36,160              // vmovdqa       %xmm4,-0x60(%rsp)
  .byte  196,226,97,64,192                   // vpmulld       %xmm0,%xmm3,%xmm0
  .byte  197,249,127,68,36,144               // vmovdqa       %xmm0,-0x70(%rsp)
  .byte  197,249,254,194                     // vpaddd        %xmm2,%xmm0,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,219,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm3
  .byte  197,217,254,193                     // vpaddd        %xmm1,%xmm4,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,101,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm3
  .byte  196,193,121,254,202                 // vpaddd        %xmm10,%xmm0,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,105,254,202                 // vpaddd        %xmm10,%xmm2,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,113,33,204,32               // vinsertps     $0x20,%xmm4,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,113,33,204,48               // vinsertps     $0x30,%xmm4,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,89,33,229,32                // vinsertps     $0x20,%xmm5,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,89,33,229,48                // vinsertps     $0x30,%xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,124,91,212                  // vcvtdq2ps     %ymm12,%ymm2
  .byte  197,148,92,234                      // vsubps        %ymm2,%ymm13,%ymm5
  .byte  196,193,100,92,214                  // vsubps        %ymm14,%ymm3,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,12,88,234                       // vaddps        %ymm2,%ymm14,%ymm13
  .byte  196,193,116,92,203                  // vsubps        %ymm11,%ymm1,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,252,17,140,36,96,1,0,0          // vmovups       %ymm1,0x160(%rsp)
  .byte  197,252,92,198                      // vsubps        %ymm6,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,204,88,192                      // vaddps        %ymm0,%ymm6,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,124,16,156,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm11
  .byte  197,164,88,199                      // vaddps        %ymm7,%ymm11,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,194,121,64,200                  // vpmulld       %xmm8,%xmm0,%xmm1
  .byte  197,249,127,12,36                   // vmovdqa       %xmm1,(%rsp)
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,194,121,64,216                  // vpmulld       %xmm8,%xmm0,%xmm3
  .byte  197,249,127,92,36,240               // vmovdqa       %xmm3,-0x10(%rsp)
  .byte  197,241,254,124,36,96               // vpaddd        0x60(%rsp),%xmm1,%xmm7
  .byte  197,193,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm7,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  197,225,254,148,36,64,1,0,0         // vpaddd        0x140(%rsp),%xmm3,%xmm2
  .byte  197,233,254,92,36,176               // vpaddd        -0x50(%rsp),%xmm2,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,117,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm1,%ymm12
  .byte  196,193,97,254,202                  // vpaddd        %xmm10,%xmm3,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,121,254,202                 // vpaddd        %xmm10,%xmm0,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,113,33,204,32               // vinsertps     $0x20,%xmm4,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,113,33,204,48               // vinsertps     $0x30,%xmm4,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm8
  .byte  197,121,111,116,36,144              // vmovdqa       -0x70(%rsp),%xmm14
  .byte  197,137,254,199                     // vpaddd        %xmm7,%xmm14,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm3,%xmm3
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,228,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm4
  .byte  197,233,254,84,36,160               // vpaddd        -0x60(%rsp),%xmm2,%xmm2
  .byte  196,194,105,64,223                  // vpmulld       %xmm15,%xmm2,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,252,1                 // vinsertf128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,108,92,212                  // vsubps        %ymm12,%ymm2,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,156,88,210                      // vaddps        %ymm2,%ymm12,%ymm2
  .byte  197,196,92,217                      // vsubps        %ymm1,%ymm7,%ymm3
  .byte  197,212,89,219                      // vmulps        %ymm3,%ymm5,%ymm3
  .byte  197,244,88,203                      // vaddps        %ymm3,%ymm1,%ymm1
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,252,91,156,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm3
  .byte  197,164,92,219                      // vsubps        %ymm3,%ymm11,%ymm3
  .byte  197,252,17,156,36,224,0,0,0         // vmovups       %ymm3,0xe0(%rsp)
  .byte  196,193,108,92,213                  // vsubps        %ymm13,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,252,17,148,36,128,0,0,0         // vmovups       %ymm2,0x80(%rsp)
  .byte  197,252,16,148,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,76,36,96                 // vmovups       %ymm1,0x60(%rsp)
  .byte  197,252,16,76,36,64                 // vmovups       0x40(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,32,1,0,0          // vaddps        0x120(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  197,249,111,84,36,224               // vmovdqa       -0x20(%rsp),%xmm2
  .byte  196,226,113,64,218                  // vpmulld       %xmm2,%xmm1,%xmm3
  .byte  197,249,127,156,36,96,1,0,0         // vmovdqa       %xmm3,0x160(%rsp)
  .byte  196,226,121,64,194                  // vpmulld       %xmm2,%xmm0,%xmm0
  .byte  197,249,127,68,36,224               // vmovdqa       %xmm0,-0x20(%rsp)
  .byte  197,249,254,132,36,224,1,0,0        // vpaddd        0x1e0(%rsp),%xmm0,%xmm0
  .byte  197,249,127,132,36,208,1,0,0        // vmovdqa       %xmm0,0x1d0(%rsp)
  .byte  197,249,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm0,%xmm2
  .byte  197,233,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,247                  // vpmulld       %xmm15,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,225,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm4
  .byte  197,225,254,68,36,192               // vpaddd        -0x40(%rsp),%xmm3,%xmm0
  .byte  197,249,127,132,36,192,1,0,0        // vmovdqa       %xmm0,0x1c0(%rsp)
  .byte  197,249,254,76,36,16                // vpaddd        0x10(%rsp),%xmm0,%xmm1
  .byte  197,121,111,108,36,176              // vmovdqa       -0x50(%rsp),%xmm13
  .byte  196,193,113,254,221                 // vpaddd        %xmm13,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,227,93,24,199,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm0
  .byte  197,252,17,68,36,192                // vmovups       %ymm0,-0x40(%rsp)
  .byte  196,193,97,254,250                  // vpaddd        %xmm10,%xmm3,%xmm7
  .byte  196,195,249,22,248,1                // vpextrq       $0x1,%xmm7,%r8
  .byte  196,193,249,126,249                 // vmovq         %xmm7,%r9
  .byte  196,193,73,254,250                  // vpaddd        %xmm10,%xmm6,%xmm7
  .byte  196,193,249,126,250                 // vmovq         %xmm7,%r10
  .byte  196,227,249,22,251,1                // vpextrq       $0x1,%xmm7,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,4,176                // vmovss        (%rax,%r14,4),%xmm0
  .byte  196,227,65,33,192,32                // vinsertps     $0x20,%xmm0,%xmm7,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,121,33,199,48               // vinsertps     $0x30,%xmm7,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,65,33,228,32                // vinsertps     $0x20,%xmm4,%xmm7,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,99,93,24,192,1                  // vinsertf128   $0x1,%xmm0,%ymm4,%ymm8
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,224,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm12
  .byte  197,137,254,194                     // vpaddd        %xmm2,%xmm14,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  197,121,111,92,36,160               // vmovdqa       -0x60(%rsp),%xmm11
  .byte  197,161,254,201                     // vpaddd        %xmm1,%xmm11,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,97,254,194                  // vpaddd        %xmm10,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,194                 // vpaddd        %xmm10,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,121,33,196,32               // vinsertps     $0x20,%xmm4,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,121,33,196,48               // vinsertps     $0x30,%xmm4,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,240,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  196,193,76,92,200                   // vsubps        %ymm8,%ymm6,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,252,17,140,36,64,1,0,0          // vmovups       %ymm1,0x140(%rsp)
  .byte  196,193,124,92,196                  // vsubps        %ymm12,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,28,88,192                       // vaddps        %ymm0,%ymm12,%ymm8
  .byte  197,249,111,132,36,208,1,0,0        // vmovdqa       0x1d0(%rsp),%xmm0
  .byte  197,249,254,52,36                   // vpaddd        (%rsp),%xmm0,%xmm6
  .byte  197,201,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm6,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,217,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm3
  .byte  197,249,111,132,36,192,1,0,0        // vmovdqa       0x1c0(%rsp),%xmm0
  .byte  197,249,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm0,%xmm1
  .byte  196,193,113,254,197                 // vpaddd        %xmm13,%xmm1,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,101,24,236,1                 // vinsertf128   $0x1,%xmm4,%ymm3,%ymm13
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,105,254,226                 // vpaddd        %xmm10,%xmm2,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,65,33,219,32                // vinsertps     $0x20,%xmm3,%xmm7,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,244,1                 // vinsertf128   $0x1,%xmm4,%ymm3,%ymm14
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,224,1                 // vinsertf128   $0x1,%xmm0,%ymm2,%ymm12
  .byte  197,201,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm6,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,219,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm3
  .byte  197,161,254,193                     // vpaddd        %xmm1,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  196,193,121,254,218                 // vpaddd        %xmm10,%xmm0,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,105,254,218                 // vpaddd        %xmm10,%xmm2,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,243,1                 // vinsertf128   $0x1,%xmm3,%ymm4,%ymm6
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,116,92,205                  // vsubps        %ymm13,%ymm1,%ymm1
  .byte  197,252,17,172,36,160,1,0,0         // vmovups       %ymm5,0x1a0(%rsp)
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,193,76,92,214                   // vsubps        %ymm14,%ymm6,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,140,88,210                      // vaddps        %ymm2,%ymm14,%ymm2
  .byte  196,193,124,92,196                  // vsubps        %ymm12,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,156,88,192                      // vaddps        %ymm0,%ymm12,%ymm0
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,252,91,156,36,128,1,0,0         // vcvtdq2ps     0x180(%rsp),%ymm3
  .byte  197,252,16,164,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm4
  .byte  197,220,92,219                      // vsubps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,92,36,192                // vmovups       %ymm3,-0x40(%rsp)
  .byte  197,252,16,164,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,32,1,0,0          // vmovups       %ymm1,0x120(%rsp)
  .byte  197,252,16,100,36,96                // vmovups       0x60(%rsp),%ymm4
  .byte  197,236,92,204                      // vsubps        %ymm4,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,128,1,0,0         // vmovups       %ymm1,0x180(%rsp)
  .byte  197,252,16,76,36,64                 // vmovups       0x40(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,0,2,0,0           // vaddps        0x200(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,249,254,140,36,192,0,0,0        // vpaddd        0xc0(%rsp),%xmm0,%xmm1
  .byte  197,249,127,76,36,32                // vmovdqa       %xmm1,0x20(%rsp)
  .byte  197,253,111,224                     // vmovdqa       %ymm0,%ymm4
  .byte  197,254,127,100,36,64               // vmovdqu       %ymm4,0x40(%rsp)
  .byte  197,241,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm1,%xmm2
  .byte  197,249,111,108,36,128              // vmovdqa       -0x80(%rsp),%xmm5
  .byte  197,209,254,194                     // vpaddd        %xmm2,%xmm5,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,251,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm7
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,248,41,76,36,96                 // vmovaps       %xmm1,0x60(%rsp)
  .byte  197,113,254,180,36,160,0,0,0        // vpaddd        0xa0(%rsp),%xmm1,%xmm14
  .byte  197,137,254,76,36,16                // vpaddd        0x10(%rsp),%xmm14,%xmm1
  .byte  197,241,254,92,36,176               // vpaddd        -0x50(%rsp),%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,69,24,228,1                  // vinsertf128   $0x1,%xmm4,%ymm7,%ymm12
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,225,249,126,227                 // vmovq         %xmm4,%rbx
  .byte  196,195,249,22,226,1                // vpextrq       $0x1,%xmm4,%r10
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,73,33,52,152,16             // vinsertps     $0x10,(%rax,%rbx,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,144               // vmovss        (%rax,%r10,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,99,77,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm6,%ymm8
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm13
  .byte  197,121,111,92,36,144               // vmovdqa       -0x70(%rsp),%xmm11
  .byte  197,161,254,194                     // vpaddd        %xmm2,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,241,254,76,36,160               // vpaddd        -0x60(%rsp),%xmm1,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,109,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm1
  .byte  196,193,97,254,210                  // vpaddd        %xmm10,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,156,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,28,88,225                       // vaddps        %ymm1,%ymm12,%ymm12
  .byte  196,193,108,92,200                  // vsubps        %ymm8,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,252,17,140,36,192,0,0,0         // vmovups       %ymm1,0xc0(%rsp)
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,249,111,68,36,32                // vmovdqa       0x20(%rsp),%xmm0
  .byte  197,249,254,20,36                   // vpaddd        (%rsp),%xmm0,%xmm2
  .byte  197,233,254,197                     // vpaddd        %xmm5,%xmm2,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,227,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm4
  .byte  197,137,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm14,%xmm1
  .byte  197,121,111,68,36,176               // vmovdqa       -0x50(%rsp),%xmm8
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,99,93,24,246,1                  // vinsertf128   $0x1,%xmm6,%ymm4,%ymm14
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,244,1                 // vinsertf128   $0x1,%xmm4,%ymm6,%ymm6
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm13
  .byte  197,161,254,194                     // vpaddd        %xmm2,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,111,108,36,160              // vmovdqa       -0x60(%rsp),%xmm5
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,109,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm1
  .byte  196,193,97,254,210                  // vpaddd        %xmm10,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,116,92,206                  // vsubps        %ymm14,%ymm1,%ymm1
  .byte  197,252,16,156,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,140,88,201                      // vaddps        %ymm1,%ymm14,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,204,88,210                      // vaddps        %ymm2,%ymm6,%ymm2
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,156,88,201                      // vaddps        %ymm1,%ymm12,%ymm1
  .byte  197,252,17,76,36,32                 // vmovups       %ymm1,0x20(%rsp)
  .byte  197,252,16,164,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm4
  .byte  197,236,92,204                      // vsubps        %ymm4,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,192,0,0,0         // vmovups       %ymm1,0xc0(%rsp)
  .byte  197,252,16,140,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,254,111,68,36,64                // vmovdqu       0x40(%rsp),%ymm0
  .byte  197,121,254,116,36,224              // vpaddd        -0x20(%rsp),%xmm0,%xmm14
  .byte  197,249,111,68,36,96                // vmovdqa       0x60(%rsp),%xmm0
  .byte  197,121,254,172,36,96,1,0,0         // vpaddd        0x160(%rsp),%xmm0,%xmm13
  .byte  197,137,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm14,%xmm2
  .byte  197,233,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,247                  // vpmulld       %xmm15,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  197,145,254,76,36,16                // vpaddd        0x10(%rsp),%xmm13,%xmm1
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,125,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm0,%ymm12
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,73,254,226                  // vpaddd        %xmm10,%xmm6,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,4,136                // vmovss        (%rax,%r9,4),%xmm0
  .byte  196,227,65,33,192,32                // vinsertps     $0x20,%xmm0,%xmm7,%xmm0
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,121,33,199,48               // vinsertps     $0x30,%xmm7,%xmm0,%xmm0
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,97,33,222,32                // vinsertps     $0x20,%xmm6,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,99,101,24,216,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm11
  .byte  197,233,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,97,254,194                  // vpaddd        %xmm10,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,194                 // vpaddd        %xmm10,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,121,33,198,32               // vinsertps     $0x20,%xmm6,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,121,33,198,48               // vinsertps     $0x30,%xmm6,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,240,1                 // vinsertf128   $0x1,%xmm0,%ymm6,%ymm6
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,148,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm2
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,156,88,201                      // vaddps        %ymm1,%ymm12,%ymm1
  .byte  197,252,17,140,36,0,1,0,0           // vmovups       %ymm1,0x100(%rsp)
  .byte  197,204,92,204                      // vsubps        %ymm4,%ymm6,%ymm1
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,92,88,225                       // vaddps        %ymm1,%ymm4,%ymm12
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  197,236,89,192                      // vmulps        %ymm0,%ymm2,%ymm0
  .byte  197,252,40,234                      // vmovaps       %ymm2,%ymm5
  .byte  197,36,88,216                       // vaddps        %ymm0,%ymm11,%ymm11
  .byte  197,145,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm13,%xmm1
  .byte  197,137,254,4,36                    // vpaddd        (%rsp),%xmm14,%xmm0
  .byte  197,249,254,92,36,128               // vpaddd        -0x80(%rsp),%xmm0,%xmm3
  .byte  196,66,97,64,247                    // vpmulld       %xmm15,%xmm3,%xmm14
  .byte  196,65,249,126,241                  // vmovq         %xmm14,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,99,249,22,243,1                 // vpextrq       $0x1,%xmm14,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm3,%xmm3
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,228,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm4
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,99,93,24,198,1                  // vinsertf128   $0x1,%xmm6,%ymm4,%ymm8
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,9,254,226                   // vpaddd        %xmm10,%xmm14,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,65,33,210,32                // vinsertps     $0x20,%xmm2,%xmm7,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,252,1                // vinsertf128   $0x1,%xmm4,%ymm2,%ymm7
  .byte  196,193,97,254,209                  // vpaddd        %xmm9,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,9,254,209                   // vpaddd        %xmm9,%xmm14,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,242,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm14
  .byte  197,249,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm0,%xmm0
  .byte  197,241,254,76,36,160               // vpaddd        -0x60(%rsp),%xmm1,%xmm1
  .byte  196,194,113,64,207                  // vpmulld       %xmm15,%xmm1,%xmm1
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,126,203                     // vmovd         %xmm1,%ebx
  .byte  196,195,121,22,200,1                // vpextrd       $0x1,%xmm1,%r8d
  .byte  196,195,121,22,201,2                // vpextrd       $0x2,%xmm1,%r9d
  .byte  196,195,121,22,202,3                // vpextrd       $0x3,%xmm1,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,227,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm4
  .byte  196,193,113,254,210                 // vpaddd        %xmm10,%xmm1,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,97,33,222,32                // vinsertps     $0x20,%xmm6,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,227,101,24,218,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,193,113,254,201                 // vpaddd        %xmm9,%xmm1,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,121,33,193,32               // vinsertps     $0x20,%xmm1,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  196,193,92,92,200                   // vsubps        %ymm8,%ymm4,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,228,92,215                      // vsubps        %ymm7,%ymm3,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,196,88,210                      // vaddps        %ymm2,%ymm7,%ymm2
  .byte  196,193,124,92,198                  // vsubps        %ymm14,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,140,88,192                      // vaddps        %ymm0,%ymm14,%ymm0
  .byte  197,252,16,164,36,0,1,0,0           // vmovups       0x100(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  196,193,108,92,212                  // vsubps        %ymm12,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,156,88,210                      // vaddps        %ymm2,%ymm12,%ymm2
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,252,16,100,36,32                // vmovups       0x20(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,92,36,192                // vmovups       -0x40(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  197,252,16,164,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm4
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,220,88,216                      // vaddps        %ymm0,%ymm4,%ymm3
  .byte  197,252,91,132,36,224,1,0,0         // vcvtdq2ps     0x1e0(%rsp),%ymm0
  .byte  197,252,16,164,36,0,2,0,0           // vmovups       0x200(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,252,16,172,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm5
  .byte  197,244,92,197                      // vsubps        %ymm5,%ymm1,%ymm0
  .byte  197,220,89,192                      // vmulps        %ymm0,%ymm4,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,16,172,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,16,172,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm5
  .byte  197,228,92,213                      // vsubps        %ymm5,%ymm3,%ymm2
  .byte  197,220,89,210                      // vmulps        %ymm2,%ymm4,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,130,164,1,0       // vbroadcastss  0x1a482(%rip),%ymm3        # 2cacc <_sk_overlay_sse2_8bit+0xd08>
  .byte  197,252,16,164,36,32,2,0,0          // vmovups       0x220(%rsp),%ymm4
  .byte  197,252,16,172,36,64,2,0,0          // vmovups       0x240(%rsp),%ymm5
  .byte  197,252,16,180,36,96,2,0,0          // vmovups       0x260(%rsp),%ymm6
  .byte  197,252,16,188,36,128,2,0,0         // vmovups       0x280(%rsp),%ymm7
  .byte  72,129,196,168,2,0,0                // add           $0x2a8,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_sse41
.globl _sk_start_pipeline_sse41
FUNCTION(_sk_start_pipeline_sse41)
_sk_start_pipeline_sse41:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           126fc <_sk_start_pipeline_sse41+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,4                         // lea           0x4(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            126e2 <_sk_start_pipeline_sse41+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,4                      // lea           0x4(%r12),%rdx
  .byte  73,131,196,8                        // add           $0x8,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           126c3 <_sk_start_pipeline_sse41+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            126f3 <_sk_start_pipeline_sse41+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           126b5 <_sk_start_pipeline_sse41+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse41
.globl _sk_just_return_sse41
FUNCTION(_sk_just_return_sse41)
_sk_just_return_sse41:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_sse41
.globl _sk_seed_shader_sse41
FUNCTION(_sk_seed_shader_sse41)
_sk_seed_shader_sse41:
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,88,5,161,165,1,0                 // addps         0x1a5a1(%rip),%xmm0        # 2ccc0 <_sk_overlay_sse2_8bit+0xefc>
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,13,158,165,1,0                // addps         0x1a59e(%rip),%xmm1        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,21,165,165,1,0                // movaps        0x1a5a5(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_sse41
.globl _sk_dither_sse41
FUNCTION(_sk_dither_sse41)
_sk_dither_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,68,15,110,194                   // movd          %edx,%xmm8
  .byte  102,69,15,112,200,0                 // pshufd        $0x0,%xmm8,%xmm9
  .byte  102,68,15,254,13,62,165,1,0         // paddd         0x1a53e(%rip),%xmm9        # 2cca0 <_sk_overlay_sse2_8bit+0xedc>
  .byte  102,68,15,110,193                   // movd          %ecx,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,68,15,111,21,117,165,1,0        // movdqa        0x1a575(%rip),%xmm10        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,65,15,114,243,5                 // pslld         $0x5,%xmm11
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,65,15,114,242,4                 // pslld         $0x4,%xmm10
  .byte  102,68,15,111,37,97,165,1,0         // movdqa        0x1a561(%rip),%xmm12        # 2cd00 <_sk_overlay_sse2_8bit+0xf3c>
  .byte  102,68,15,111,45,104,165,1,0        // movdqa        0x1a568(%rip),%xmm13        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,219,245                   // pand          %xmm13,%xmm14
  .byte  102,65,15,114,246,2                 // pslld         $0x2,%xmm14
  .byte  102,69,15,219,233                   // pand          %xmm9,%xmm13
  .byte  102,69,15,254,237                   // paddd         %xmm13,%xmm13
  .byte  102,69,15,219,196                   // pand          %xmm12,%xmm8
  .byte  102,65,15,114,208,1                 // psrld         $0x1,%xmm8
  .byte  102,69,15,219,204                   // pand          %xmm12,%xmm9
  .byte  102,65,15,114,209,2                 // psrld         $0x2,%xmm9
  .byte  102,69,15,235,234                   // por           %xmm10,%xmm13
  .byte  102,69,15,235,233                   // por           %xmm9,%xmm13
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,235,245                   // por           %xmm13,%xmm14
  .byte  102,69,15,235,240                   // por           %xmm8,%xmm14
  .byte  69,15,91,198                        // cvtdq2ps      %xmm14,%xmm8
  .byte  68,15,89,5,35,165,1,0               // mulps         0x1a523(%rip),%xmm8        # 2cd20 <_sk_overlay_sse2_8bit+0xf5c>
  .byte  68,15,88,5,43,165,1,0               // addps         0x1a52b(%rip),%xmm8        # 2cd30 <_sk_overlay_sse2_8bit+0xf6c>
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  68,15,93,211                        // minps         %xmm3,%xmm10
  .byte  65,15,95,210                        // maxps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_sse41
.globl _sk_uniform_color_sse41
FUNCTION(_sk_uniform_color_sse41)
_sk_uniform_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse41
.globl _sk_black_color_sse41
FUNCTION(_sk_black_color_sse41)
_sk_black_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,97,164,1,0                 // movaps        0x1a461(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse41
.globl _sk_white_color_sse41
FUNCTION(_sk_white_color_sse41)
_sk_white_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,77,164,1,0                  // movaps        0x1a44d(%rip),%xmm0        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_sse41
.globl _sk_load_rgba_sse41
FUNCTION(_sk_load_rgba_sse41)
_sk_load_rgba_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  15,16,72,16                         // movups        0x10(%rax),%xmm1
  .byte  15,16,80,32                         // movups        0x20(%rax),%xmm2
  .byte  15,16,88,48                         // movups        0x30(%rax),%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_sse41
.globl _sk_store_rgba_sse41
FUNCTION(_sk_store_rgba_sse41)
_sk_store_rgba_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  15,17,72,16                         // movups        %xmm1,0x10(%rax)
  .byte  15,17,80,32                         // movups        %xmm2,0x20(%rax)
  .byte  15,17,88,48                         // movups        %xmm3,0x30(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse41
.globl _sk_clear_sse41
FUNCTION(_sk_clear_sse41)
_sk_clear_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse41
.globl _sk_srcatop_sse41
FUNCTION(_sk_srcatop_sse41)
_sk_srcatop_sse41:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  68,15,40,5,253,163,1,0              // movaps        0x1a3fd(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse41
.globl _sk_dstatop_sse41
FUNCTION(_sk_dstatop_sse41)
_sk_dstatop_sse41:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,40,13,176,163,1,0             // movaps        0x1a3b0(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse41
.globl _sk_srcin_sse41
FUNCTION(_sk_srcin_sse41)
_sk_srcin_sse41:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse41
.globl _sk_dstin_sse41
FUNCTION(_sk_dstin_sse41)
_sk_dstin_sse41:
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse41
.globl _sk_srcout_sse41
FUNCTION(_sk_srcout_sse41)
_sk_srcout_sse41:
  .byte  68,15,40,5,68,163,1,0               // movaps        0x1a344(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse41
.globl _sk_dstout_sse41
FUNCTION(_sk_dstout_sse41)
_sk_dstout_sse41:
  .byte  68,15,40,5,36,163,1,0               // movaps        0x1a324(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse41
.globl _sk_srcover_sse41
FUNCTION(_sk_srcover_sse41)
_sk_srcover_sse41:
  .byte  68,15,40,5,247,162,1,0              // movaps        0x1a2f7(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse41
.globl _sk_dstover_sse41
FUNCTION(_sk_dstover_sse41)
_sk_dstover_sse41:
  .byte  68,15,40,5,187,162,1,0              // movaps        0x1a2bb(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse41
.globl _sk_modulate_sse41
FUNCTION(_sk_modulate_sse41)
_sk_modulate_sse41:
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse41
.globl _sk_multiply_sse41
FUNCTION(_sk_multiply_sse41)
_sk_multiply_sse41:
  .byte  68,15,40,5,127,162,1,0              // movaps        0x1a27f(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,221                        // mulps         %xmm5,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse41
.globl _sk_plus__sse41
FUNCTION(_sk_plus__sse41)
_sk_plus__sse41:
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,40,5,0,162,1,0                // movaps        0x1a200(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse41
.globl _sk_screen_sse41
FUNCTION(_sk_screen_sse41)
_sk_screen_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,88,206                        // addps         %xmm6,%xmm9
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,88,215                        // addps         %xmm7,%xmm10
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse41
.globl _sk_xor__sse41
FUNCTION(_sk_xor__sse41)
_sk_xor__sse41:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,40,29,140,161,1,0                // movaps        0x1a18c(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse41
.globl _sk_darken_sse41
FUNCTION(_sk_darken_sse41)
_sk_darken_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,95,209                        // maxps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,231,160,1,0                // movaps        0x1a0e7(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse41
.globl _sk_lighten_sse41
FUNCTION(_sk_lighten_sse41)
_sk_lighten_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,124,160,1,0                // movaps        0x1a07c(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse41
.globl _sk_difference_sse41
FUNCTION(_sk_difference_sse41)
_sk_difference_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,6,160,1,0                  // movaps        0x1a006(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse41
.globl _sk_exclusion_sse41
FUNCTION(_sk_exclusion_sse41)
_sk_exclusion_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,182,159,1,0                // movaps        0x19fb6(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_sse41
.globl _sk_colorburn_sse41
FUNCTION(_sk_colorburn_sse41)
_sk_colorburn_sse41:
  .byte  68,15,40,29,157,159,1,0             // movaps        0x19f9d(%rip),%xmm11        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,92,231                        // subps         %xmm7,%xmm12
  .byte  69,15,40,204                        // movaps        %xmm12,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  68,15,92,196                        // subps         %xmm4,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  68,15,83,208                        // rcpps         %xmm0,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,93,234                        // minps         %xmm10,%xmm13
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,92,197                        // subps         %xmm13,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,40,235                        // movaps        %xmm11,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  65,15,194,194,0                     // cmpeqps       %xmm10,%xmm0
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  102,69,15,56,20,197                 // blendvps      %xmm0,%xmm13,%xmm8
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,89,233                        // mulps         %xmm1,%xmm13
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  68,15,83,201                        // rcpps         %xmm1,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,243                        // movaps        %xmm11,%xmm14
  .byte  68,15,89,245                        // mulps         %xmm5,%xmm14
  .byte  65,15,194,202,0                     // cmpeqps       %xmm10,%xmm1
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  102,69,15,56,20,206                 // blendvps      %xmm0,%xmm14,%xmm9
  .byte  68,15,88,237                        // addps         %xmm5,%xmm13
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,69,15,56,20,205                 // blendvps      %xmm0,%xmm13,%xmm9
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  68,15,194,210,0                     // cmpeqps       %xmm2,%xmm10
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,83,202                           // rcpps         %xmm2,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,93,193                           // minps         %xmm1,%xmm0
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,15,56,20,209                    // blendvps      %xmm0,%xmm1,%xmm2
  .byte  68,15,88,230                        // addps         %xmm6,%xmm12
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,65,15,56,20,212                 // blendvps      %xmm0,%xmm12,%xmm2
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_sse41
.globl _sk_colordodge_sse41
FUNCTION(_sk_colordodge_sse41)
_sk_colordodge_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,21,103,158,1,0             // movaps        0x19e67(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,83,200                        // rcpps         %xmm0,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  69,15,93,241                        // minps         %xmm9,%xmm14
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,244                        // addps         %xmm12,%xmm14
  .byte  102,69,15,56,20,240                 // blendvps      %xmm0,%xmm8,%xmm14
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  102,69,15,56,20,196                 // blendvps      %xmm0,%xmm12,%xmm8
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,229                        // mulps         %xmm5,%xmm12
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  68,15,93,232                        // minps         %xmm0,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  102,68,15,56,20,233                 // blendvps      %xmm0,%xmm1,%xmm13
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  102,65,15,56,20,204                 // blendvps      %xmm0,%xmm12,%xmm1
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,93,224                        // minps         %xmm0,%xmm12
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  102,68,15,56,20,226                 // blendvps      %xmm0,%xmm2,%xmm12
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  68,15,194,206,0                     // cmpeqps       %xmm6,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm2
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse41
.globl _sk_hardlight_sse41
FUNCTION(_sk_hardlight_sse41)
_sk_hardlight_sse41:
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,40,21,50,157,1,0              // movaps        0x19d32(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,40,234                        // movaps        %xmm10,%xmm5
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  68,15,40,252                        // movaps        %xmm4,%xmm15
  .byte  69,15,92,249                        // subps         %xmm9,%xmm15
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,199                        // mulps         %xmm15,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  68,15,40,251                        // movaps        %xmm3,%xmm15
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  102,69,15,56,20,249                 // blendvps      %xmm0,%xmm9,%xmm15
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  69,15,40,204                        // movaps        %xmm12,%xmm9
  .byte  69,15,92,233                        // subps         %xmm9,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  69,15,88,199                        // addps         %xmm15,%xmm8
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  68,15,40,92,36,232                  // movaps        -0x18(%rsp),%xmm11
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,88,205                        // addps         %xmm5,%xmm9
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  68,15,89,245                        // mulps         %xmm5,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  65,15,92,222                        // subps         %xmm14,%xmm3
  .byte  102,15,56,20,218                    // blendvps      %xmm0,%xmm2,%xmm3
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  65,15,88,226                        // addps         %xmm10,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  65,15,40,243                        // movaps        %xmm11,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse41
.globl _sk_overlay_sse41
FUNCTION(_sk_overlay_sse41)
_sk_overlay_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  68,15,40,21,7,156,1,0               // movaps        0x19c07(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,231                        // mulps         %xmm7,%xmm12
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  102,69,15,56,20,238                 // blendvps      %xmm0,%xmm14,%xmm13
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  69,15,92,233                        // subps         %xmm9,%xmm13
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,92,245                        // subps         %xmm5,%xmm14
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  102,69,15,56,20,233                 // blendvps      %xmm0,%xmm9,%xmm13
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,92,238                        // subps         %xmm6,%xmm13
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  102,68,15,56,20,226                 // blendvps      %xmm0,%xmm2,%xmm12
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_sse41
.globl _sk_softlight_sse41
FUNCTION(_sk_softlight_sse41)
_sk_softlight_sse41:
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,41,76,36,200                     // movaps        %xmm1,-0x38(%rsp)
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,207,1                     // cmpltps       %xmm7,%xmm9
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  15,40,13,206,154,1,0                // movaps        0x19ace(%rip),%xmm1        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  68,15,40,248                        // movaps        %xmm0,%xmm15
  .byte  15,82,208                           // rsqrtps       %xmm0,%xmm2
  .byte  68,15,83,218                        // rcpps         %xmm2,%xmm11
  .byte  68,15,92,216                        // subps         %xmm0,%xmm11
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,40,45,252,154,1,0             // movaps        0x19afc(%rip),%xmm13        # 2cd40 <_sk_overlay_sse2_8bit+0xf7c>
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  68,15,89,242                        // mulps         %xmm2,%xmm14
  .byte  68,15,40,37,252,154,1,0             // movaps        0x19afc(%rip),%xmm12        # 2cd50 <_sk_overlay_sse2_8bit+0xf8c>
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  69,15,88,254                        // addps         %xmm14,%xmm15
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,69,15,56,20,223                 // blendvps      %xmm0,%xmm15,%xmm11
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,211                        // addps         %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,69,15,56,20,218                 // blendvps      %xmm0,%xmm10,%xmm11
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  65,15,82,194                        // rsqrtps       %xmm10,%xmm0
  .byte  68,15,83,240                        // rcpps         %xmm0,%xmm14
  .byte  69,15,92,242                        // subps         %xmm10,%xmm14
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,68,15,56,20,242                 // blendvps      %xmm0,%xmm2,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  69,15,92,250                        // subps         %xmm10,%xmm15
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  68,15,89,250                        // mulps         %xmm2,%xmm15
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,242                        // mulps         %xmm2,%xmm14
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,252                        // mulps         %xmm4,%xmm15
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,69,15,56,20,247                 // blendvps      %xmm0,%xmm15,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  15,40,100,36,216                    // movaps        -0x28(%rsp),%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,82,208                           // rsqrtps       %xmm0,%xmm2
  .byte  68,15,83,202                        // rcpps         %xmm2,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,69,15,56,20,204                 // blendvps      %xmm0,%xmm12,%xmm9
  .byte  68,15,40,100,36,232                 // movaps        -0x18(%rsp),%xmm12
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,68,15,56,20,201                 // blendvps      %xmm0,%xmm1,%xmm9
  .byte  68,15,92,255                        // subps         %xmm7,%xmm15
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  69,15,88,195                        // addps         %xmm11,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,40,108,36,184                    // movaps        -0x48(%rsp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_sse41
.globl _sk_hue_sse41
FUNCTION(_sk_hue_sse41)
_sk_hue_sse41:
  .byte  15,41,124,36,152                    // movaps        %xmm7,-0x68(%rsp)
  .byte  68,15,40,246                        // movaps        %xmm6,%xmm14
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,41,76,36,216                     // movaps        %xmm1,-0x28(%rsp)
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,41,84,36,200                  // movaps        %xmm10,-0x38(%rsp)
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  68,15,40,234                        // movaps        %xmm2,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  15,41,108,36,184                    // movaps        %xmm5,-0x48(%rsp)
  .byte  69,15,95,222                        // maxps         %xmm14,%xmm11
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  65,15,95,211                        // maxps         %xmm11,%xmm2
  .byte  65,15,40,230                        // movaps        %xmm14,%xmm4
  .byte  15,41,100,36,168                    // movaps        %xmm4,-0x58(%rsp)
  .byte  68,15,93,204                        // minps         %xmm4,%xmm9
  .byte  65,15,93,249                        // minps         %xmm9,%xmm7
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,93,253                        // minps         %xmm13,%xmm7
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,223                           // minps         %xmm7,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,95,253                        // maxps         %xmm13,%xmm7
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,95,199                           // maxps         %xmm7,%xmm0
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,94,208                        // divps         %xmm0,%xmm10
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,94,200                           // divps         %xmm0,%xmm1
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  68,15,94,232                        // divps         %xmm0,%xmm13
  .byte  15,194,195,4                        // cmpneqps      %xmm3,%xmm0
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  15,40,5,103,152,1,0                 // movaps        0x19867(%rip),%xmm0        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,21,108,152,1,0                // movaps        0x1986c(%rip),%xmm2        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  65,15,88,252                        // addps         %xmm12,%xmm7
  .byte  68,15,40,53,109,152,1,0             // movaps        0x1986d(%rip),%xmm14        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  68,15,40,252                        // movaps        %xmm4,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  68,15,88,255                        // addps         %xmm7,%xmm15
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  65,15,40,221                        // movaps        %xmm13,%xmm3
  .byte  65,15,89,222                        // mulps         %xmm14,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  68,15,92,251                        // subps         %xmm3,%xmm15
  .byte  69,15,88,215                        // addps         %xmm15,%xmm10
  .byte  65,15,88,207                        // addps         %xmm15,%xmm1
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  65,15,93,223                        // minps         %xmm15,%xmm3
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  15,93,251                           // minps         %xmm3,%xmm7
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  69,15,89,247                        // mulps         %xmm15,%xmm14
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,207,2                     // cmpleps       %xmm7,%xmm9
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  69,15,40,234                        // movaps        %xmm10,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,234                 // blendvps      %xmm0,%xmm10,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,95,199                        // maxps         %xmm15,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  65,15,40,248                        // movaps        %xmm8,%xmm7
  .byte  15,40,108,36,152                    // movaps        -0x68(%rsp),%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  65,15,194,226,1                     // cmpltps       %xmm10,%xmm4
  .byte  65,15,40,213                        // movaps        %xmm13,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  68,15,40,223                        // movaps        %xmm7,%xmm11
  .byte  69,15,92,222                        // subps         %xmm14,%xmm11
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  69,15,92,214                        // subps         %xmm14,%xmm10
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,68,15,56,20,234                 // blendvps      %xmm0,%xmm2,%xmm13
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  68,15,94,227                        // divps         %xmm3,%xmm12
  .byte  69,15,88,230                        // addps         %xmm14,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,202                        // divps         %xmm10,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,94,203                           // divps         %xmm3,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,207                 // blendvps      %xmm0,%xmm15,%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,15,56,20,202                    // blendvps      %xmm0,%xmm2,%xmm1
  .byte  68,15,40,13,129,150,1,0             // movaps        0x19681(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,68,36,200                     // movaps        -0x38(%rsp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,92,36,216                     // movaps        -0x28(%rsp),%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,89,100,36,232                    // mulps         -0x18(%rsp),%xmm4
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  68,15,95,234                        // maxps         %xmm2,%xmm13
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  15,95,202                           // maxps         %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,108,36,184                    // movaps        -0x48(%rsp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_sse41
.globl _sk_saturation_sse41
FUNCTION(_sk_saturation_sse41)
_sk_saturation_sse41:
  .byte  68,15,40,206                        // movaps        %xmm6,%xmm9
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,41,76,36,216                     // movaps        %xmm1,-0x28(%rsp)
  .byte  15,41,68,36,200                     // movaps        %xmm0,-0x38(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,41,116,36,184                 // movaps        %xmm14,-0x48(%rsp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,41,76,36,232                  // movaps        %xmm9,-0x18(%rsp)
  .byte  65,15,95,217                        // maxps         %xmm9,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,95,211                           // maxps         %xmm3,%xmm2
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,93,225                        // minps         %xmm9,%xmm12
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,93,220                        // minps         %xmm12,%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,41,100,36,168                 // movaps        %xmm12,-0x58(%rsp)
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,94,223                        // divps         %xmm7,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  68,15,94,199                        // divps         %xmm7,%xmm8
  .byte  15,194,248,4                        // cmpneqps      %xmm0,%xmm7
  .byte  68,15,84,215                        // andps         %xmm7,%xmm10
  .byte  68,15,84,223                        // andps         %xmm7,%xmm11
  .byte  68,15,84,199                        // andps         %xmm7,%xmm8
  .byte  15,40,21,171,149,1,0                // movaps        0x195ab(%rip),%xmm2        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,40,13,174,149,1,0                // movaps        0x195ae(%rip),%xmm1        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  68,15,40,45,173,149,1,0             // movaps        0x195ad(%rip),%xmm13        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  68,15,88,247                        // addps         %xmm7,%xmm14
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  68,15,92,243                        // subps         %xmm3,%xmm14
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,88,240                        // addps         %xmm8,%xmm14
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,93,198                        // minps         %xmm14,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  65,15,40,253                        // movaps        %xmm13,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,92,253                        // subps         %xmm13,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,250                 // blendvps      %xmm0,%xmm10,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,95,198                        // maxps         %xmm14,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,194,194,1                     // cmpltps       %xmm10,%xmm8
  .byte  65,15,40,223                        // movaps        %xmm15,%xmm3
  .byte  65,15,92,221                        // subps         %xmm13,%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,92,205                        // subps         %xmm13,%xmm1
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,251                 // blendvps      %xmm0,%xmm3,%xmm15
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  68,15,94,231                        // divps         %xmm7,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,227                 // blendvps      %xmm0,%xmm11,%xmm12
  .byte  65,15,40,220                        // movaps        %xmm12,%xmm3
  .byte  65,15,92,221                        // subps         %xmm13,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,227                 // blendvps      %xmm0,%xmm3,%xmm12
  .byte  69,15,40,222                        // movaps        %xmm14,%xmm11
  .byte  69,15,92,221                        // subps         %xmm13,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,94,223                        // divps         %xmm7,%xmm11
  .byte  69,15,88,221                        // addps         %xmm13,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,222                 // blendvps      %xmm0,%xmm14,%xmm11
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  65,15,92,253                        // subps         %xmm13,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  65,15,94,250                        // divps         %xmm10,%xmm7
  .byte  65,15,88,253                        // addps         %xmm13,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,223                 // blendvps      %xmm0,%xmm7,%xmm11
  .byte  68,15,40,13,195,147,1,0             // movaps        0x193c3(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,92,204                        // subps         %xmm4,%xmm9
  .byte  15,40,124,36,168                    // movaps        -0x58(%rsp),%xmm7
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,248                        // maxps         %xmm0,%xmm15
  .byte  68,15,95,224                        // maxps         %xmm0,%xmm12
  .byte  68,15,95,216                        // maxps         %xmm0,%xmm11
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,40,68,36,200                     // movaps        -0x38(%rsp),%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,84,36,216                     // movaps        -0x28(%rsp),%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  68,15,89,68,36,232                  // mulps         -0x18(%rsp),%xmm8
  .byte  15,40,84,36,184                     // movaps        -0x48(%rsp),%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_sse41
.globl _sk_color_sse41
FUNCTION(_sk_color_sse41)
_sk_color_sse41:
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,41,100,36,200                 // movaps        %xmm12,-0x38(%rsp)
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,41,92,36,216                  // movaps        %xmm11,-0x28(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,41,84,36,232                  // movaps        %xmm10,-0x18(%rsp)
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,40,240                        // movaps        %xmm8,%xmm14
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,40,13,126,147,1,0             // movaps        0x1937e(%rip),%xmm9        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  65,15,89,249                        // mulps         %xmm9,%xmm7
  .byte  68,15,40,21,126,147,1,0             // movaps        0x1937e(%rip),%xmm10        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,40,29,123,147,1,0             // movaps        0x1937b(%rip),%xmm11        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,89,250                        // mulps         %xmm10,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,89,238                        // mulps         %xmm6,%xmm13
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,93,197                        // minps         %xmm13,%xmm0
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  69,15,40,230                        // movaps        %xmm14,%xmm12
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  68,15,94,231                        // divps         %xmm7,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,230                 // blendvps      %xmm0,%xmm14,%xmm12
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,95,197                        // maxps         %xmm13,%xmm0
  .byte  65,15,40,214                        // movaps        %xmm14,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,194,210,1                     // cmpltps       %xmm2,%xmm10
  .byte  69,15,40,244                        // movaps        %xmm12,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  68,15,40,251                        // movaps        %xmm3,%xmm15
  .byte  69,15,92,251                        // subps         %xmm11,%xmm15
  .byte  69,15,89,247                        // mulps         %xmm15,%xmm14
  .byte  65,15,92,211                        // subps         %xmm11,%xmm2
  .byte  68,15,94,242                        // divps         %xmm2,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,230                 // blendvps      %xmm0,%xmm14,%xmm12
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,94,247                        // divps         %xmm7,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,68,15,56,20,241                 // blendvps      %xmm0,%xmm1,%xmm14
  .byte  65,15,40,206                        // movaps        %xmm14,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,94,202                           // divps         %xmm2,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,68,15,56,20,241                 // blendvps      %xmm0,%xmm1,%xmm14
  .byte  65,15,40,205                        // movaps        %xmm13,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,205                 // blendvps      %xmm0,%xmm13,%xmm1
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,92,251                        // subps         %xmm11,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,94,250                           // divps         %xmm2,%xmm7
  .byte  65,15,88,251                        // addps         %xmm11,%xmm7
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,15,56,20,207                    // blendvps      %xmm0,%xmm7,%xmm1
  .byte  68,15,40,13,135,145,1,0             // movaps        0x19187(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,89,68,36,184                     // mulps         -0x48(%rsp),%xmm0
  .byte  68,15,92,206                        // subps         %xmm6,%xmm9
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  68,15,95,242                        // maxps         %xmm2,%xmm14
  .byte  15,95,202                           // maxps         %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,100,36,232                    // movaps        -0x18(%rsp),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  15,40,84,36,200                     // movaps        -0x38(%rsp),%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_sse41
.globl _sk_luminosity_sse41
FUNCTION(_sk_luminosity_sse41)
_sk_luminosity_sse41:
  .byte  15,41,116,36,200                    // movaps        %xmm6,-0x38(%rsp)
  .byte  15,41,108,36,232                    // movaps        %xmm5,-0x18(%rsp)
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  68,15,41,68,36,216                  // movaps        %xmm8,-0x28(%rsp)
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,5,79,145,1,0               // movaps        0x1914f(%rip),%xmm8        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  68,15,40,21,83,145,1,0              // movaps        0x19153(%rip),%xmm10        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,234                        // mulps         %xmm10,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  68,15,40,37,81,145,1,0              // movaps        0x19151(%rip),%xmm12        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  68,15,40,242                        // movaps        %xmm2,%xmm14
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  68,15,88,245                        // addps         %xmm5,%xmm14
  .byte  65,15,40,235                        // movaps        %xmm11,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  65,15,89,236                        // mulps         %xmm12,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  68,15,89,247                        // mulps         %xmm7,%xmm14
  .byte  68,15,92,245                        // subps         %xmm5,%xmm14
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,93,198                        // minps         %xmm14,%xmm0
  .byte  65,15,40,235                        // movaps        %xmm11,%xmm5
  .byte  15,93,232                           // minps         %xmm0,%xmm5
  .byte  69,15,89,195                        // mulps         %xmm11,%xmm8
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,194,213,2                     // cmpleps       %xmm5,%xmm10
  .byte  69,15,40,235                        // movaps        %xmm11,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  65,15,40,244                        // movaps        %xmm12,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  68,15,94,238                        // divps         %xmm6,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,235                 // blendvps      %xmm0,%xmm11,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,95,198                        // maxps         %xmm14,%xmm0
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,194,218,1                     // cmpltps       %xmm2,%xmm11
  .byte  69,15,40,197                        // movaps        %xmm13,%xmm8
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,92,252                        // subps         %xmm12,%xmm15
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  68,15,94,194                        // divps         %xmm2,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,69,15,56,20,232                 // blendvps      %xmm0,%xmm8,%xmm13
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,94,198                        // divps         %xmm6,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,94,202                        // divps         %xmm2,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,206                        // movaps        %xmm14,%xmm9
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  68,15,94,206                        // divps         %xmm6,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,206                 // blendvps      %xmm0,%xmm14,%xmm9
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  65,15,92,244                        // subps         %xmm12,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,94,242                           // divps         %xmm2,%xmm6
  .byte  65,15,88,244                        // addps         %xmm12,%xmm6
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,68,15,56,20,206                 // blendvps      %xmm0,%xmm6,%xmm9
  .byte  15,40,5,87,143,1,0                  // movaps        0x18f57(%rip),%xmm0        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,84,36,184                     // mulps         -0x48(%rsp),%xmm2
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  68,15,95,237                        // maxps         %xmm5,%xmm13
  .byte  68,15,95,197                        // maxps         %xmm5,%xmm8
  .byte  68,15,95,205                        // maxps         %xmm5,%xmm9
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  68,15,40,84,36,216                  // movaps        -0x28(%rsp),%xmm10
  .byte  65,15,89,234                        // mulps         %xmm10,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,40,108,36,232                    // movaps        -0x18(%rsp),%xmm5
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,226                        // movaps        %xmm10,%xmm4
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_sse41
.globl _sk_srcover_rgba_8888_sse41
FUNCTION(_sk_srcover_rgba_8888_sse41)
_sk_srcover_rgba_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,219,0,0,0                    // jne           13ef1 <_sk_srcover_rgba_8888_sse41+0xfb>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,37,105,143,1,0           // movdqa        0x18f69(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,56,0,45,101,143,1,0          // pshufb        0x18f65(%rip),%xmm5        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,101,143,1,0          // pshufb        0x18f65(%rip),%xmm6        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  68,15,40,5,130,142,1,0              // movaps        0x18e82(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,40,37,86,143,1,0              // movaps        0x18f56(%rip),%xmm12        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  65,15,89,220                        // mulps         %xmm12,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,88,195                        // addps         %xmm3,%xmm8
  .byte  102,65,15,91,193                    // cvtps2dq      %xmm9,%xmm0
  .byte  102,65,15,91,202                    // cvtps2dq      %xmm10,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,65,15,91,211                    // cvtps2dq      %xmm11,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  117,88                              // jne           13f2f <_sk_srcover_rgba_8888_sse41+0x139>
  .byte  243,65,15,127,4,128                 // movdqu        %xmm0,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,91                              // je            13f59 <_sk_srcover_rgba_8888_sse41+0x163>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,22                              // je            13f1e <_sk_srcover_rgba_8888_sse41+0x128>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,10,255,255,255               // jne           13e1c <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,237,254,255,255                 // jmpq          13e1c <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,40                              // je            13f64 <_sk_srcover_rgba_8888_sse41+0x16e>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            13f51 <_sk_srcover_rgba_8888_sse41+0x15b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,149                             // jne           13edd <_sk_srcover_rgba_8888_sse41+0xe7>
  .byte  102,65,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm0,0x8(%r8,%rax,4)
  .byte  102,65,15,214,4,128                 // movq          %xmm0,(%r8,%rax,4)
  .byte  235,132                             // jmp           13edd <_sk_srcover_rgba_8888_sse41+0xe7>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,184,254,255,255                 // jmpq          13e1c <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  102,65,15,126,4,128                 // movd          %xmm0,(%r8,%rax,4)
  .byte  233,110,255,255,255                 // jmpq          13edd <_sk_srcover_rgba_8888_sse41+0xe7>

HIDDEN _sk_clamp_0_sse41
.globl _sk_clamp_0_sse41
FUNCTION(_sk_clamp_0_sse41)
_sk_clamp_0_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,95,200                        // maxps         %xmm8,%xmm1
  .byte  65,15,95,208                        // maxps         %xmm8,%xmm2
  .byte  65,15,95,216                        // maxps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_sse41
.globl _sk_clamp_1_sse41
FUNCTION(_sk_clamp_1_sse41)
_sk_clamp_1_sse41:
  .byte  68,15,40,5,81,141,1,0               // movaps        0x18d51(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_sse41
.globl _sk_clamp_a_sse41
FUNCTION(_sk_clamp_a_sse41)
_sk_clamp_a_sse41:
  .byte  15,93,29,54,141,1,0                 // minps         0x18d36(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_sse41
.globl _sk_clamp_a_dst_sse41
FUNCTION(_sk_clamp_a_dst_sse41)
_sk_clamp_a_dst_sse41:
  .byte  15,93,61,34,141,1,0                 // minps         0x18d22(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,93,239                           // minps         %xmm7,%xmm5
  .byte  15,93,247                           // minps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse41
.globl _sk_set_rgb_sse41
FUNCTION(_sk_set_rgb_sse41)
_sk_set_rgb_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse41
.globl _sk_swap_rb_sse41
FUNCTION(_sk_swap_rb_sse41)
_sk_swap_rb_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse41
.globl _sk_invert_sse41
FUNCTION(_sk_invert_sse41)
_sk_invert_sse41:
  .byte  68,15,40,5,222,140,1,0              // movaps        0x18cde(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_sse41
.globl _sk_move_src_dst_sse41
FUNCTION(_sk_move_src_dst_sse41)
_sk_move_src_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse41
.globl _sk_move_dst_src_sse41
FUNCTION(_sk_move_dst_src_sse41)
_sk_move_dst_src_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse41
.globl _sk_premul_sse41
FUNCTION(_sk_premul_sse41)
_sk_premul_sse41:
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_sse41
.globl _sk_premul_dst_sse41
FUNCTION(_sk_premul_dst_sse41)
_sk_premul_dst_sse41:
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_sse41
.globl _sk_unpremul_sse41
FUNCTION(_sk_unpremul_sse41)
_sk_unpremul_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,13,104,140,1,0             // movaps        0x18c68(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  68,15,194,195,4                     // cmpneqps      %xmm3,%xmm8
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_sse41
.globl _sk_from_srgb_sse41
FUNCTION(_sk_from_srgb_sse41)
_sk_from_srgb_sse41:
  .byte  68,15,40,29,51,141,1,0              // movaps        0x18d33(%rip),%xmm11        # 2cdd0 <_sk_overlay_sse2_8bit+0x100c>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,40,37,171,140,1,0             // movaps        0x18cab(%rip),%xmm12        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,45,27,141,1,0              // movaps        0x18d1b(%rip),%xmm13        # 2cde0 <_sk_overlay_sse2_8bit+0x101c>
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  68,15,40,53,27,141,1,0              // movaps        0x18d1b(%rip),%xmm14        # 2cdf0 <_sk_overlay_sse2_8bit+0x102c>
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  68,15,40,61,31,141,1,0              // movaps        0x18d1f(%rip),%xmm15        # 2ce00 <_sk_overlay_sse2_8bit+0x103c>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  65,15,194,207,1                     // cmpltps       %xmm15,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  102,69,15,56,20,202                 // blendvps      %xmm0,%xmm10,%xmm9
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,40,210                        // movaps        %xmm2,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_sse41
.globl _sk_from_srgb_dst_sse41
FUNCTION(_sk_from_srgb_dst_sse41)
_sk_from_srgb_dst_sse41:
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,29,106,140,1,0             // movaps        0x18c6a(%rip),%xmm11        # 2cdd0 <_sk_overlay_sse2_8bit+0x100c>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,37,227,139,1,0             // movaps        0x18be3(%rip),%xmm12        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  65,15,89,228                        // mulps         %xmm12,%xmm4
  .byte  68,15,40,45,87,140,1,0              // movaps        0x18c57(%rip),%xmm13        # 2cde0 <_sk_overlay_sse2_8bit+0x101c>
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  68,15,40,53,88,140,1,0              // movaps        0x18c58(%rip),%xmm14        # 2cdf0 <_sk_overlay_sse2_8bit+0x102c>
  .byte  65,15,88,230                        // addps         %xmm14,%xmm4
  .byte  68,15,40,61,92,140,1,0              // movaps        0x18c5c(%rip),%xmm15        # 2ce00 <_sk_overlay_sse2_8bit+0x103c>
  .byte  69,15,194,207,1                     // cmpltps       %xmm15,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,226                 // blendvps      %xmm0,%xmm10,%xmm4
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  65,15,194,239,1                     // cmpltps       %xmm15,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,69,15,56,20,202                 // blendvps      %xmm0,%xmm10,%xmm9
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,40,214                        // movaps        %xmm6,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,194,247,1                     // cmpltps       %xmm15,%xmm6
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,233                        // movaps        %xmm9,%xmm5
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_sse41
.globl _sk_to_srgb_sse41
FUNCTION(_sk_to_srgb_sse41)
_sk_to_srgb_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  68,15,82,192                        // rsqrtps       %xmm0,%xmm8
  .byte  68,15,40,29,208,139,1,0             // movaps        0x18bd0(%rip),%xmm11        # 2ce10 <_sk_overlay_sse2_8bit+0x104c>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,40,37,208,139,1,0             // movaps        0x18bd0(%rip),%xmm12        # 2ce20 <_sk_overlay_sse2_8bit+0x105c>
  .byte  69,15,40,248                        // movaps        %xmm8,%xmm15
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  68,15,40,21,208,139,1,0             // movaps        0x18bd0(%rip),%xmm10        # 2ce30 <_sk_overlay_sse2_8bit+0x106c>
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  68,15,40,45,208,139,1,0             // movaps        0x18bd0(%rip),%xmm13        # 2ce40 <_sk_overlay_sse2_8bit+0x107c>
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  68,15,40,53,212,139,1,0             // movaps        0x18bd4(%rip),%xmm14        # 2ce50 <_sk_overlay_sse2_8bit+0x108c>
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  69,15,83,192                        // rcpps         %xmm8,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,40,61,208,139,1,0             // movaps        0x18bd0(%rip),%xmm15        # 2ce60 <_sk_overlay_sse2_8bit+0x109c>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  68,15,82,202                        // rsqrtps       %xmm2,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  69,15,83,201                        // rcpps         %xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,68,15,56,20,201                 // blendvps      %xmm0,%xmm1,%xmm9
  .byte  15,82,195                           // rsqrtps       %xmm3,%xmm0
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  68,15,83,208                        // rcpps         %xmm0,%xmm10
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,194,223,1                     // cmpltps       %xmm15,%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_sse41
.globl _sk_rgb_to_hsl_sse41
FUNCTION(_sk_rgb_to_hsl_sse41)
_sk_rgb_to_hsl_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,95,216                        // maxps         %xmm0,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  69,15,40,224                        // movaps        %xmm8,%xmm12
  .byte  68,15,93,224                        // minps         %xmm0,%xmm12
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  68,15,40,53,135,137,1,0             // movaps        0x18987(%rip),%xmm14        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,94,241                        // divps         %xmm1,%xmm14
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  69,15,194,208,0                     // cmpeqps       %xmm8,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  68,15,194,250,1                     // cmpltps       %xmm2,%xmm15
  .byte  68,15,84,61,238,138,1,0             // andps         0x18aee(%rip),%xmm15        # 2ce70 <_sk_overlay_sse2_8bit+0x10ac>
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  68,15,40,45,225,138,1,0             // movaps        0x18ae1(%rip),%xmm13        # 2ce80 <_sk_overlay_sse2_8bit+0x10bc>
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,5,221,138,1,0              // addps         0x18add(%rip),%xmm8        # 2ce90 <_sk_overlay_sse2_8bit+0x10cc>
  .byte  102,68,15,56,20,194                 // blendvps      %xmm0,%xmm2,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,199                 // blendvps      %xmm0,%xmm15,%xmm8
  .byte  68,15,89,5,213,138,1,0              // mulps         0x18ad5(%rip),%xmm8        # 2cea0 <_sk_overlay_sse2_8bit+0x10dc>
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  69,15,194,204,4                     // cmpneqps      %xmm12,%xmm9
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  15,40,5,233,136,1,0                 // movaps        0x188e9(%rip),%xmm0        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,194,194,1                        // cmpltps       %xmm2,%xmm0
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  102,69,15,56,20,221                 // blendvps      %xmm0,%xmm13,%xmm11
  .byte  65,15,94,203                        // divps         %xmm11,%xmm1
  .byte  65,15,84,201                        // andps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_sse41
.globl _sk_hsl_to_rgb_sse41
FUNCTION(_sk_hsl_to_rgb_sse41)
_sk_hsl_to_rgb_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,40,13,159,136,1,0             // movaps        0x1889f(%rip),%xmm9        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,194,194,2                        // cmpleps       %xmm2,%xmm0
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  102,15,56,20,235                    // blendvps      %xmm0,%xmm3,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  15,41,84,36,152                     // movaps        %xmm2,-0x68(%rsp)
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  68,15,40,53,74,138,1,0              // movaps        0x18a4a(%rip),%xmm14        # 2ceb0 <_sk_overlay_sse2_8bit+0x10ec>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  102,65,15,58,8,198,1                // roundps       $0x1,%xmm14,%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  68,15,40,29,67,138,1,0              // movaps        0x18a43(%rip),%xmm11        # 2cec0 <_sk_overlay_sse2_8bit+0x10fc>
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  65,15,92,240                        // subps         %xmm8,%xmm6
  .byte  15,40,61,220,137,1,0                // movaps        0x189dc(%rip),%xmm7        # 2ce70 <_sk_overlay_sse2_8bit+0x10ac>
  .byte  69,15,40,238                        // movaps        %xmm14,%xmm13
  .byte  68,15,89,239                        // mulps         %xmm7,%xmm13
  .byte  15,40,29,237,137,1,0                // movaps        0x189ed(%rip),%xmm3        # 2ce90 <_sk_overlay_sse2_8bit+0x10cc>
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  69,15,88,224                        // addps         %xmm8,%xmm12
  .byte  102,69,15,56,20,224                 // blendvps      %xmm0,%xmm8,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  102,69,15,56,20,252                 // blendvps      %xmm0,%xmm12,%xmm15
  .byte  68,15,40,37,204,137,1,0             // movaps        0x189cc(%rip),%xmm12        # 2cea0 <_sk_overlay_sse2_8bit+0x10dc>
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  68,15,89,238                        // mulps         %xmm6,%xmm13
  .byte  69,15,88,232                        // addps         %xmm8,%xmm13
  .byte  102,69,15,56,20,239                 // blendvps      %xmm0,%xmm15,%xmm13
  .byte  69,15,87,246                        // xorps         %xmm14,%xmm14
  .byte  68,15,194,241,0                     // cmpeqps       %xmm1,%xmm14
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  102,68,15,56,20,234                 // blendvps      %xmm0,%xmm2,%xmm13
  .byte  102,65,15,58,8,194,1                // roundps       $0x1,%xmm10,%xmm0
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  102,65,15,56,20,208                 // blendvps      %xmm0,%xmm8,%xmm2
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  102,15,56,20,226                    // blendvps      %xmm0,%xmm2,%xmm4
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  102,15,56,20,204                    // blendvps      %xmm0,%xmm4,%xmm1
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  15,40,84,36,152                     // movaps        -0x68(%rsp),%xmm2
  .byte  102,15,56,20,202                    // blendvps      %xmm0,%xmm2,%xmm1
  .byte  68,15,88,21,100,137,1,0             // addps         0x18964(%rip),%xmm10        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  102,65,15,58,8,194,1                // roundps       $0x1,%xmm10,%xmm0
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,194,218,2                     // cmpleps       %xmm10,%xmm11
  .byte  65,15,89,250                        // mulps         %xmm10,%xmm7
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,65,15,56,20,216                 // blendvps      %xmm0,%xmm8,%xmm3
  .byte  69,15,194,202,2                     // cmpleps       %xmm10,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,15,56,20,235                    // blendvps      %xmm0,%xmm3,%xmm5
  .byte  69,15,194,226,2                     // cmpleps       %xmm10,%xmm12
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  102,68,15,56,20,197                 // blendvps      %xmm0,%xmm5,%xmm8
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  102,68,15,56,20,194                 // blendvps      %xmm0,%xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_sse41
.globl _sk_scale_1_float_sse41
FUNCTION(_sk_scale_1_float_sse41)
_sk_scale_1_float_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse41
.globl _sk_scale_u8_sse41
FUNCTION(_sk_scale_u8_sse41)
_sk_scale_u8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           14653 <_sk_scale_u8_sse41+0x4c>
  .byte  102,71,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm8
  .byte  102,68,15,219,5,97,135,1,0          // pand          0x18761(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,165,136,1,0              // mulps         0x188a5(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1469b <_sk_scale_u8_sse41+0x94>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            14682 <_sk_scale_u8_sse41+0x7b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,181                             // jne           14626 <_sk_scale_u8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,69,15,56,49,201                 // pmovzxbd      %xmm9,%xmm9
  .byte  102,69,15,58,14,193,15              // pblendw       $0xf,%xmm9,%xmm8
  .byte  235,139                             // jmp           14626 <_sk_scale_u8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,124,255,255,255                 // jmpq          14626 <_sk_scale_u8_sse41+0x1f>

HIDDEN _sk_scale_565_sse41
.globl _sk_scale_565_sse41
FUNCTION(_sk_scale_565_sse41)
_sk_scale_565_sse41:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,159,0,0,0                    // jne           1476d <_sk_scale_565_sse41+0xc3>
  .byte  102,71,15,56,51,28,80               // pmovzxwd      (%r8,%r10,2),%xmm11
  .byte  102,15,111,5,19,136,1,0             // movdqa        0x18813(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,65,15,219,195                   // pand          %xmm11,%xmm0
  .byte  68,15,91,200                        // cvtdq2ps      %xmm0,%xmm9
  .byte  68,15,89,13,18,136,1,0              // mulps         0x18812(%rip),%xmm9        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,5,26,136,1,0             // movdqa        0x1881a(%rip),%xmm0        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,65,15,219,195                   // pand          %xmm11,%xmm0
  .byte  68,15,91,208                        // cvtdq2ps      %xmm0,%xmm10
  .byte  68,15,89,21,25,136,1,0              // mulps         0x18819(%rip),%xmm10        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,68,15,219,29,32,136,1,0         // pand          0x18820(%rip),%xmm11        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  69,15,91,219                        // cvtdq2ps      %xmm11,%xmm11
  .byte  68,15,89,29,36,136,1,0              // mulps         0x18824(%rip),%xmm11        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  69,15,93,227                        // minps         %xmm11,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  69,15,95,243                        // maxps         %xmm11,%xmm14
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,230                        // maxps         %xmm14,%xmm12
  .byte  102,69,15,56,20,229                 // blendvps      %xmm0,%xmm13,%xmm12
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,220                        // movaps        %xmm12,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,60                              // je            147b6 <_sk_scale_565_sse41+0x10c>
  .byte  102,69,15,239,219                   // pxor          %xmm11,%xmm11
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,26                              // je            1479f <_sk_scale_565_sse41+0xf5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,70,255,255,255               // jne           146d5 <_sk_scale_565_sse41+0x2b>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,68,15,112,216,69                // pshufd        $0x45,%xmm0,%xmm11
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,68,15,58,14,216,15              // pblendw       $0xf,%xmm0,%xmm11
  .byte  233,31,255,255,255                  // jmpq          146d5 <_sk_scale_565_sse41+0x2b>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,216                   // movd          %eax,%xmm11
  .byte  233,16,255,255,255                  // jmpq          146d5 <_sk_scale_565_sse41+0x2b>

HIDDEN _sk_lerp_1_float_sse41
.globl _sk_lerp_1_float_sse41
FUNCTION(_sk_lerp_1_float_sse41)
_sk_lerp_1_float_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse41
.globl _sk_lerp_u8_sse41
FUNCTION(_sk_lerp_u8_sse41)
_sk_lerp_u8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,72                              // jne           1485d <_sk_lerp_u8_sse41+0x60>
  .byte  102,71,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm8
  .byte  102,68,15,219,5,107,133,1,0         // pand          0x1856b(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,175,134,1,0              // mulps         0x186af(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,62                              // je            148a8 <_sk_lerp_u8_sse41+0xab>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1488c <_sk_lerp_u8_sse41+0x8f>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,161                             // jne           1481c <_sk_lerp_u8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,69,15,56,49,201                 // pmovzxbd      %xmm9,%xmm9
  .byte  102,69,15,58,14,193,15              // pblendw       $0xf,%xmm9,%xmm8
  .byte  233,116,255,255,255                 // jmpq          1481c <_sk_lerp_u8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,101,255,255,255                 // jmpq          1481c <_sk_lerp_u8_sse41+0x1f>

HIDDEN _sk_lerp_565_sse41
.globl _sk_lerp_565_sse41
FUNCTION(_sk_lerp_565_sse41)
_sk_lerp_565_sse41:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,165,0,0,0                    // jne           14980 <_sk_lerp_565_sse41+0xc9>
  .byte  102,71,15,56,51,20,80               // pmovzxwd      (%r8,%r10,2),%xmm10
  .byte  102,15,111,5,6,134,1,0              // movdqa        0x18606(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  68,15,91,200                        // cvtdq2ps      %xmm0,%xmm9
  .byte  68,15,89,13,5,134,1,0               // mulps         0x18605(%rip),%xmm9        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,5,13,134,1,0             // movdqa        0x1860d(%rip),%xmm0        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  68,15,91,216                        // cvtdq2ps      %xmm0,%xmm11
  .byte  68,15,89,29,12,134,1,0              // mulps         0x1860c(%rip),%xmm11        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,68,15,219,21,19,134,1,0         // pand          0x18613(%rip),%xmm10        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  68,15,89,21,23,134,1,0              // mulps         0x18617(%rip),%xmm10        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,93,218                        // minps         %xmm10,%xmm11
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,92,196                        // subps         %xmm4,%xmm8
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  69,15,93,203                        // minps         %xmm11,%xmm9
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,95,236                        // maxps         %xmm12,%xmm13
  .byte  102,69,15,56,20,233                 // blendvps      %xmm0,%xmm9,%xmm13
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,60                              // je            149c9 <_sk_lerp_565_sse41+0x112>
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,26                              // je            149b2 <_sk_lerp_565_sse41+0xfb>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,64,255,255,255               // jne           148e2 <_sk_lerp_565_sse41+0x2b>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,68,15,112,208,69                // pshufd        $0x45,%xmm0,%xmm10
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,68,15,58,14,208,15              // pblendw       $0xf,%xmm0,%xmm10
  .byte  233,25,255,255,255                  // jmpq          148e2 <_sk_lerp_565_sse41+0x2b>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,208                   // movd          %eax,%xmm10
  .byte  233,10,255,255,255                  // jmpq          148e2 <_sk_lerp_565_sse41+0x2b>

HIDDEN _sk_load_tables_sse41
.globl _sk_load_tables_sse41
FUNCTION(_sk_load_tables_sse41)
_sk_load_tables_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,20,1,0,0                     // jne           14afa <_sk_load_tables_sse41+0x122>
  .byte  243,69,15,111,4,144                 // movdqu        (%r8,%rdx,4),%xmm8
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,111,5,153,131,1,0            // movdqa        0x18399(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  102,66,15,58,33,4,155,32            // insertps      $0x20,(%rbx,%r11,4),%xmm0
  .byte  102,66,15,58,33,4,3,48              // insertps      $0x30,(%rbx,%r8,1),%xmm0
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,15,56,0,13,84,131,1,0           // pshufb        0x18354(%rip),%xmm1        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,6                   // movss         (%r14,%r8,1),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,111,208                   // movdqa        %xmm8,%xmm2
  .byte  102,15,56,0,21,16,131,1,0           // pshufb        0x18310(%rip),%xmm2        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,114,208,24                // psrld         $0x18,%xmm8
  .byte  65,15,91,216                        // cvtdq2ps      %xmm8,%xmm3
  .byte  15,89,29,237,131,1,0                // mulps         0x183ed(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,52                              // je            14b3b <_sk_load_tables_sse41+0x163>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            14b29 <_sk_load_tables_sse41+0x151>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,208,254,255,255              // jne           149ec <_sk_load_tables_sse41+0x14>
  .byte  102,65,15,110,68,144,8              // movd          0x8(%r8,%rdx,4),%xmm0
  .byte  102,68,15,112,192,69                // pshufd        $0x45,%xmm0,%xmm8
  .byte  243,65,15,126,4,144                 // movq          (%r8,%rdx,4),%xmm0
  .byte  102,68,15,58,14,192,15              // pblendw       $0xf,%xmm0,%xmm8
  .byte  233,177,254,255,255                 // jmpq          149ec <_sk_load_tables_sse41+0x14>
  .byte  102,69,15,110,4,144                 // movd          (%r8,%rdx,4),%xmm8
  .byte  233,166,254,255,255                 // jmpq          149ec <_sk_load_tables_sse41+0x14>

HIDDEN _sk_load_tables_u16_be_sse41
.globl _sk_load_tables_u16_be_sse41
FUNCTION(_sk_load_tables_u16_be_sse41)
_sk_load_tables_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,95,1,0,0                     // jne           14cbb <_sk_load_tables_u16_be_sse41+0x175>
  .byte  102,67,15,16,4,72                   // movupd        (%r8,%r9,2),%xmm0
  .byte  243,67,15,111,76,72,16              // movdqu        0x10(%r8,%r9,2),%xmm1
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,68,15,111,5,191,131,1,0         // movdqa        0x183bf(%rip),%xmm8        # 2cf50 <_sk_overlay_sse2_8bit+0x118c>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  243,66,15,16,20,3                   // movss         (%rbx,%r8,1),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,15,56,0,13,110,131,1,0          // pshufb        0x1836e(%rip),%xmm1        # 2cf60 <_sk_overlay_sse2_8bit+0x119c>
  .byte  102,15,56,51,201                    // pmovzxwd      %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,6                   // movss         (%r14,%r8,1),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,65,15,56,51,208                 // pmovzxwd      %xmm8,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,112,217,78                // pshufd        $0x4e,%xmm9,%xmm3
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,65,15,113,240,8                 // psllw         $0x8,%xmm8
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,216                   // por           %xmm8,%xmm3
  .byte  102,15,56,51,219                    // pmovzxwd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,188,130,1,0                // mulps         0x182bc(%rip),%xmm3        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  242,67,15,16,4,72                   // movsd         (%r8,%r9,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           14cd4 <_sk_load_tables_u16_be_sse41+0x18e>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,149,254,255,255                 // jmpq          14b69 <_sk_load_tables_u16_be_sse41+0x23>
  .byte  102,67,15,22,68,72,8                // movhpd        0x8(%r8,%r9,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,128,254,255,255              // jb            14b69 <_sk_load_tables_u16_be_sse41+0x23>
  .byte  243,67,15,126,76,72,16              // movq          0x10(%r8,%r9,2),%xmm1
  .byte  233,116,254,255,255                 // jmpq          14b69 <_sk_load_tables_u16_be_sse41+0x23>

HIDDEN _sk_load_tables_rgb_u16_be_sse41
.globl _sk_load_tables_rgb_u16_be_sse41
FUNCTION(_sk_load_tables_rgb_u16_be_sse41)
_sk_load_tables_rgb_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,79,1,0,0                     // jne           14e56 <_sk_load_tables_rgb_u16_be_sse41+0x161>
  .byte  243,67,15,111,20,72                 // movdqu        (%r8,%r9,2),%xmm2
  .byte  243,67,15,111,76,72,8               // movdqu        0x8(%r8,%r9,2),%xmm1
  .byte  102,15,115,217,4                    // psrldq        $0x4,%xmm1
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,65,15,115,217,6                 // psrldq        $0x6,%xmm9
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  102,68,15,111,5,5,130,1,0           // movdqa        0x18205(%rip),%xmm8        # 2cf50 <_sk_overlay_sse2_8bit+0x118c>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,15,58,33,195,32                 // insertps      $0x20,%xmm3,%xmm0
  .byte  243,66,15,16,28,3                   // movss         (%rbx,%r8,1),%xmm3
  .byte  102,15,58,33,195,48                 // insertps      $0x30,%xmm3,%xmm0
  .byte  102,15,56,0,13,212,129,1,0          // pshufb        0x181d4(%rip),%xmm1        # 2cf80 <_sk_overlay_sse2_8bit+0x11bc>
  .byte  102,15,56,51,201                    // pmovzxwd      %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,28,150                 // movss         (%r14,%r10,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  243,67,15,16,28,6                   // movss         (%r14,%r8,1),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,105,209                   // punpckhwd     %xmm9,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,143,126,1,0                // movaps        0x17e8f(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,72                 // movd          (%r8,%r9,2),%xmm2
  .byte  102,67,15,196,84,72,4,2             // pinsrw        $0x2,0x4(%r8,%r9,2),%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,14                              // jne           14e7c <_sk_load_tables_rgb_u16_be_sse41+0x187>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  233,177,254,255,255                 // jmpq          14d2d <_sk_load_tables_rgb_u16_be_sse41+0x38>
  .byte  102,71,15,110,76,72,6               // movd          0x6(%r8,%r9,2),%xmm9
  .byte  102,71,15,196,76,72,10,2            // pinsrw        $0x2,0xa(%r8,%r9,2),%xmm9
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            14ead <_sk_load_tables_rgb_u16_be_sse41+0x1b8>
  .byte  102,67,15,110,76,72,12              // movd          0xc(%r8,%r9,2),%xmm1
  .byte  102,67,15,196,76,72,16,2            // pinsrw        $0x2,0x10(%r8,%r9,2),%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,128,254,255,255                 // jmpq          14d2d <_sk_load_tables_rgb_u16_be_sse41+0x38>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,119,254,255,255                 // jmpq          14d2d <_sk_load_tables_rgb_u16_be_sse41+0x38>

HIDDEN _sk_byte_tables_sse41
.globl _sk_byte_tables_sse41
FUNCTION(_sk_byte_tables_sse41)
_sk_byte_tables_sse41:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,251,126,1,0              // movaps        0x17efb(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,139,56                           // mov           (%rax),%r15
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  102,67,15,58,32,4,31,0              // pinsrb        $0x0,(%r15,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,23,1              // pinsrb        $0x1,(%r15,%r10,1),%xmm0
  .byte  67,15,182,28,15                     // movzbl        (%r15,%r9,1),%ebx
  .byte  102,15,58,32,195,2                  // pinsrb        $0x2,%ebx,%xmm0
  .byte  67,15,182,28,7                      // movzbl        (%r15,%r8,1),%ebx
  .byte  102,15,58,32,195,3                  // pinsrb        $0x3,%ebx,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,13,188,127,1,0             // movaps        0x17fbc(%rip),%xmm9        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  102,67,15,58,32,12,22,0             // pinsrb        $0x0,(%r14,%r10,1),%xmm1
  .byte  102,67,15,58,32,12,14,1             // pinsrb        $0x1,(%r14,%r9,1),%xmm1
  .byte  71,15,182,4,6                       // movzbl        (%r14,%r8,1),%r8d
  .byte  102,65,15,58,32,200,2               // pinsrb        $0x2,%r8d,%xmm1
  .byte  65,15,182,28,30                     // movzbl        (%r14,%rbx,1),%ebx
  .byte  102,15,58,32,203,3                  // pinsrb        $0x3,%ebx,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  76,139,80,16                        // mov           0x10(%rax),%r10
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,73,15,58,22,208,1               // pextrq        $0x1,%xmm2,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,219                          // mov           %ebx,%r11d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,67,15,58,32,20,26,0             // pinsrb        $0x0,(%r10,%r11,1),%xmm2
  .byte  102,65,15,58,32,20,26,1             // pinsrb        $0x1,(%r10,%rbx,1),%xmm2
  .byte  67,15,182,28,10                     // movzbl        (%r10,%r9,1),%ebx
  .byte  102,15,58,32,211,2                  // pinsrb        $0x2,%ebx,%xmm2
  .byte  67,15,182,28,2                      // movzbl        (%r10,%r8,1),%ebx
  .byte  102,15,58,32,211,3                  // pinsrb        $0x3,%ebx,%xmm2
  .byte  102,15,56,49,210                    // pmovzxbd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,72,15,58,22,219,1               // pextrq        $0x1,%xmm3,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,72,15,126,216                   // movq          %xmm3,%rax
  .byte  65,137,194                          // mov           %eax,%r10d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,67,15,58,32,28,17,0             // pinsrb        $0x0,(%r9,%r10,1),%xmm3
  .byte  102,65,15,58,32,28,1,1              // pinsrb        $0x1,(%r9,%rax,1),%xmm3
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  102,15,58,32,216,2                  // pinsrb        $0x2,%eax,%xmm3
  .byte  65,15,182,4,25                      // movzbl        (%r9,%rbx,1),%eax
  .byte  102,15,58,32,216,3                  // pinsrb        $0x3,%eax,%xmm3
  .byte  102,15,56,49,219                    // pmovzxbd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_sse41
.globl _sk_byte_tables_rgb_sse41
FUNCTION(_sk_byte_tables_rgb_sse41)
_sk_byte_tables_rgb_sse41:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,69,15,110,192                   // movd          %r8d,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  76,139,56                           // mov           (%rax),%r15
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  102,67,15,58,32,4,31,0              // pinsrb        $0x0,(%r15,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,55,1              // pinsrb        $0x1,(%r15,%r14,1),%xmm0
  .byte  67,15,182,28,15                     // movzbl        (%r15,%r9,1),%ebx
  .byte  102,15,58,32,195,2                  // pinsrb        $0x2,%ebx,%xmm0
  .byte  67,15,182,28,23                     // movzbl        (%r15,%r10,1),%ebx
  .byte  102,15,58,32,195,3                  // pinsrb        $0x3,%ebx,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,13,40,126,1,0              // movaps        0x17e28(%rip),%xmm9        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,12,24,0             // pinsrb        $0x0,(%r8,%r11,1),%xmm1
  .byte  102,67,15,58,32,12,16,1             // pinsrb        $0x1,(%r8,%r10,1),%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,201,2               // pinsrb        $0x2,%r9d,%xmm1
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  102,15,58,32,203,3                  // pinsrb        $0x3,%ebx,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  65,137,194                          // mov           %eax,%r10d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,67,15,58,32,20,17,0             // pinsrb        $0x0,(%r9,%r10,1),%xmm2
  .byte  102,65,15,58,32,20,1,1              // pinsrb        $0x1,(%r9,%rax,1),%xmm2
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  102,15,58,32,208,2                  // pinsrb        $0x2,%eax,%xmm2
  .byte  65,15,182,4,25                      // movzbl        (%r9,%rbx,1),%eax
  .byte  102,15,58,32,208,3                  // pinsrb        $0x3,%eax,%xmm2
  .byte  102,15,56,49,210                    // pmovzxbd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_sse41
.globl _sk_table_r_sse41
FUNCTION(_sk_table_r_sse41)
_sk_table_r_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  102,67,15,58,33,4,144,16            // insertps      $0x10,(%r8,%r10,4),%xmm0
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,192,32              // insertps      $0x20,%xmm8,%xmm0
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,192,48              // insertps      $0x30,%xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_sse41
.globl _sk_table_g_sse41
FUNCTION(_sk_table_g_sse41)
_sk_table_g_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,65,15,91,200                    // cvtps2dq      %xmm8,%xmm1
  .byte  102,72,15,58,22,200,1               // pextrq        $0x1,%xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,12,152                 // movss         (%r8,%r11,4),%xmm1
  .byte  102,67,15,58,33,12,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm1
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,200,32              // insertps      $0x20,%xmm8,%xmm1
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,200,48              // insertps      $0x30,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_sse41
.globl _sk_table_b_sse41
FUNCTION(_sk_table_b_sse41)
_sk_table_b_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,65,15,91,208                    // cvtps2dq      %xmm8,%xmm2
  .byte  102,72,15,58,22,208,1               // pextrq        $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  102,67,15,58,33,20,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm2
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,208,32              // insertps      $0x20,%xmm8,%xmm2
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,208,48              // insertps      $0x30,%xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_sse41
.globl _sk_table_a_sse41
FUNCTION(_sk_table_a_sse41)
_sk_table_a_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,65,15,91,216                    // cvtps2dq      %xmm8,%xmm3
  .byte  102,72,15,58,22,216,1               // pextrq        $0x1,%xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,218                   // movq          %xmm3,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,28,152                 // movss         (%r8,%r11,4),%xmm3
  .byte  102,67,15,58,33,28,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm3
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,216,32              // insertps      $0x20,%xmm8,%xmm3
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,216,48              // insertps      $0x30,%xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_sse41
.globl _sk_parametric_r_sse41
FUNCTION(_sk_parametric_r_sse41)
_sk_parametric_r_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,16                  // movss         0x10(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  65,15,194,192,2                     // cmpleps       %xmm8,%xmm0
  .byte  243,68,15,16,64,24                  // movss         0x18(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,194                        // cvtdq2ps      %xmm10,%xmm8
  .byte  68,15,89,5,26,124,1,0               // mulps         0x17c1a(%rip),%xmm8        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,21,34,124,1,0              // andps         0x17c22(%rip),%xmm10        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,21,74,121,1,0              // orps          0x1794a(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,5,34,124,1,0               // addps         0x17c22(%rip),%xmm8        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  68,15,40,37,42,124,1,0              // movaps        0x17c2a(%rip),%xmm12        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  68,15,88,21,42,124,1,0              // addps         0x17c2a(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  68,15,40,37,50,124,1,0              // movaps        0x17c32(%rip),%xmm12        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  69,15,89,195                        // mulps         %xmm11,%xmm8
  .byte  102,69,15,58,8,208,1                // roundps       $0x1,%xmm8,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,5,31,124,1,0               // addps         0x17c1f(%rip),%xmm8        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  68,15,40,21,39,124,1,0              // movaps        0x17c27(%rip),%xmm10        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  68,15,40,21,39,124,1,0              // movaps        0x17c27(%rip),%xmm10        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  68,15,40,29,43,124,1,0              // movaps        0x17c2b(%rip),%xmm11        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  69,15,94,218                        // divps         %xmm10,%xmm11
  .byte  69,15,88,216                        // addps         %xmm8,%xmm11
  .byte  68,15,89,29,43,124,1,0              // mulps         0x17c2b(%rip),%xmm11        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,69,15,91,211                    // cvtps2dq      %xmm11,%xmm10
  .byte  243,68,15,16,64,20                  // movss         0x14(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,194                        // addps         %xmm10,%xmm8
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,178,120,1,0              // minps         0x178b2(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_sse41
.globl _sk_parametric_g_sse41
FUNCTION(_sk_parametric_g_sse41)
_sk_parametric_g_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,72,24                     // movss         0x18(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,72,8                      // movss         0x8(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,243,122,1,0             // mulps         0x17af3(%rip),%xmm12        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,29,251,122,1,0             // andps         0x17afb(%rip),%xmm11        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,29,35,120,1,0              // orps          0x17823(%rip),%xmm11        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,37,251,122,1,0             // addps         0x17afb(%rip),%xmm12        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  15,40,13,4,123,1,0                  // movaps        0x17b04(%rip),%xmm1        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  68,15,88,29,4,123,1,0               // addps         0x17b04(%rip),%xmm11        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  15,40,13,13,123,1,0                 // movaps        0x17b0d(%rip),%xmm1        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  65,15,94,203                        // divps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,250,122,1,0             // addps         0x17afa(%rip),%xmm12        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  15,40,13,3,123,1,0                  // movaps        0x17b03(%rip),%xmm1        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  68,15,40,21,3,123,1,0               // movaps        0x17b03(%rip),%xmm10        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,13,8,123,1,0                  // movaps        0x17b08(%rip),%xmm1        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  65,15,94,202                        // divps         %xmm10,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  15,89,13,9,123,1,0                  // mulps         0x17b09(%rip),%xmm1        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,68,15,91,209                    // cvtps2dq      %xmm1,%xmm10
  .byte  243,15,16,72,20                     // movss         0x14(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  102,65,15,56,20,201                 // blendvps      %xmm0,%xmm9,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,13,148,119,1,0                // minps         0x17794(%rip),%xmm1        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_sse41
.globl _sk_parametric_b_sse41
FUNCTION(_sk_parametric_b_sse41)
_sk_parametric_b_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,80,24                     // movss         0x18(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,213,121,1,0             // mulps         0x179d5(%rip),%xmm12        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,29,221,121,1,0             // andps         0x179dd(%rip),%xmm11        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,29,5,119,1,0               // orps          0x17705(%rip),%xmm11        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,37,221,121,1,0             // addps         0x179dd(%rip),%xmm12        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  15,40,21,230,121,1,0                // movaps        0x179e6(%rip),%xmm2        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  68,15,88,29,230,121,1,0             // addps         0x179e6(%rip),%xmm11        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  15,40,21,239,121,1,0                // movaps        0x179ef(%rip),%xmm2        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  65,15,94,211                        // divps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,220,121,1,0             // addps         0x179dc(%rip),%xmm12        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  15,40,21,229,121,1,0                // movaps        0x179e5(%rip),%xmm2        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  68,15,40,21,229,121,1,0             // movaps        0x179e5(%rip),%xmm10        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,21,234,121,1,0                // movaps        0x179ea(%rip),%xmm2        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,89,21,235,121,1,0                // mulps         0x179eb(%rip),%xmm2        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,68,15,91,210                    // cvtps2dq      %xmm2,%xmm10
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  102,65,15,56,20,209                 // blendvps      %xmm0,%xmm9,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,93,21,118,118,1,0                // minps         0x17676(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_sse41
.globl _sk_parametric_a_sse41
FUNCTION(_sk_parametric_a_sse41)
_sk_parametric_a_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,88,8                      // movss         0x8(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,183,120,1,0             // mulps         0x178b7(%rip),%xmm12        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,29,191,120,1,0             // andps         0x178bf(%rip),%xmm11        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,29,231,117,1,0             // orps          0x175e7(%rip),%xmm11        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,37,191,120,1,0             // addps         0x178bf(%rip),%xmm12        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  15,40,29,200,120,1,0                // movaps        0x178c8(%rip),%xmm3        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  68,15,88,29,200,120,1,0             // addps         0x178c8(%rip),%xmm11        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  15,40,29,209,120,1,0                // movaps        0x178d1(%rip),%xmm3        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  65,15,94,219                        // divps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,190,120,1,0             // addps         0x178be(%rip),%xmm12        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  15,40,29,199,120,1,0                // movaps        0x178c7(%rip),%xmm3        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  68,15,40,21,199,120,1,0             // movaps        0x178c7(%rip),%xmm10        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,29,204,120,1,0                // movaps        0x178cc(%rip),%xmm3        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  15,89,29,205,120,1,0                // mulps         0x178cd(%rip),%xmm3        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,68,15,91,211                    // cvtps2dq      %xmm3,%xmm10
  .byte  243,15,16,88,20                     // movss         0x14(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  102,65,15,56,20,217                 // blendvps      %xmm0,%xmm9,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,93,29,88,117,1,0                 // minps         0x17558(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_sse41
.globl _sk_gamma_sse41
FUNCTION(_sk_gamma_sse41)
_sk_gamma_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,5,215,119,1,0                 // mulps         0x177d7(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,40,53,223,119,1,0             // movaps        0x177df(%rip),%xmm14        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  65,15,84,214                        // andps         %xmm14,%xmm2
  .byte  68,15,40,37,3,117,1,0               // movaps        0x17503(%rip),%xmm12        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,86,212                        // orps          %xmm12,%xmm2
  .byte  68,15,40,21,215,119,1,0             // movaps        0x177d7(%rip),%xmm10        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,40,29,219,119,1,0             // movaps        0x177db(%rip),%xmm11        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,40,13,217,119,1,0             // movaps        0x177d9(%rip),%xmm9        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,40,45,221,119,1,0             // movaps        0x177dd(%rip),%xmm13        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  65,15,40,229                        // movaps        %xmm13,%xmm4
  .byte  15,94,226                           // divps         %xmm2,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,208,1                   // roundps       $0x1,%xmm0,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,53,192,119,1,0                // movaps        0x177c0(%rip),%xmm6        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,61,214,119,1,0                // movaps        0x177d6(%rip),%xmm7        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,40,37,182,119,1,0                // movaps        0x177b6(%rip),%xmm4        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  68,15,40,61,200,119,1,0             // movaps        0x177c8(%rip),%xmm15        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  65,15,40,215                        // movaps        %xmm15,%xmm2
  .byte  15,94,213                           // divps         %xmm5,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,5,36,119,1,0                  // mulps         0x17724(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  65,15,84,206                        // andps         %xmm14,%xmm1
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,235                        // mulps         %xmm11,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  15,94,233                           // divps         %xmm1,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,200,1                   // roundps       $0x1,%xmm0,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,40,206                        // movaps        %xmm6,%xmm9
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,206                           // divps         %xmm6,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,5,197,118,1,0                 // mulps         0x176c5(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  15,84,29,206,118,1,0                // andps         0x176ce(%rip),%xmm3        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  65,15,86,220                        // orps          %xmm12,%xmm3
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,88,222                        // addps         %xmm14,%xmm3
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,216,1                   // roundps       $0x1,%xmm0,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,5,22,119,1,0                  // movaps        0x17716(%rip),%xmm0        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  102,15,91,194                       // cvtps2dq      %xmm2,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,65,15,91,215                    // cvtps2dq      %xmm15,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_sse41
.globl _sk_lab_to_xyz_sse41
FUNCTION(_sk_lab_to_xyz_sse41)
_sk_lab_to_xyz_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,89,5,230,118,1,0              // mulps         0x176e6(%rip),%xmm8        # 2d040 <_sk_overlay_sse2_8bit+0x127c>
  .byte  68,15,40,13,94,116,1,0              // movaps        0x1745e(%rip),%xmm9        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  15,40,5,227,118,1,0                 // movaps        0x176e3(%rip),%xmm0        # 2d050 <_sk_overlay_sse2_8bit+0x128c>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,88,5,225,118,1,0              // addps         0x176e1(%rip),%xmm8        # 2d060 <_sk_overlay_sse2_8bit+0x129c>
  .byte  68,15,89,5,233,118,1,0              // mulps         0x176e9(%rip),%xmm8        # 2d070 <_sk_overlay_sse2_8bit+0x12ac>
  .byte  15,89,13,242,118,1,0                // mulps         0x176f2(%rip),%xmm1        # 2d080 <_sk_overlay_sse2_8bit+0x12bc>
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,89,21,247,118,1,0                // mulps         0x176f7(%rip),%xmm2        # 2d090 <_sk_overlay_sse2_8bit+0x12cc>
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  68,15,40,217                        // movaps        %xmm1,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  68,15,40,13,235,118,1,0             // movaps        0x176eb(%rip),%xmm9        # 2d0a0 <_sk_overlay_sse2_8bit+0x12dc>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  15,40,21,235,118,1,0                // movaps        0x176eb(%rip),%xmm2        # 2d0b0 <_sk_overlay_sse2_8bit+0x12ec>
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  68,15,40,37,240,118,1,0             // movaps        0x176f0(%rip),%xmm12        # 2d0c0 <_sk_overlay_sse2_8bit+0x12fc>
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  102,65,15,56,20,203                 // blendvps      %xmm0,%xmm11,%xmm1
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  102,69,15,56,20,195                 // blendvps      %xmm0,%xmm11,%xmm8
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  69,15,89,218                        // mulps         %xmm10,%xmm11
  .byte  69,15,194,203,1                     // cmpltps       %xmm11,%xmm9
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm2
  .byte  15,89,13,169,118,1,0                // mulps         0x176a9(%rip),%xmm1        # 2d0d0 <_sk_overlay_sse2_8bit+0x130c>
  .byte  15,89,21,178,118,1,0                // mulps         0x176b2(%rip),%xmm2        # 2d0e0 <_sk_overlay_sse2_8bit+0x131c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_sse41
.globl _sk_load_a8_sse41
FUNCTION(_sk_load_a8_sse41)
_sk_load_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,39                              // jne           15a78 <_sk_load_a8_sse41+0x3f>
  .byte  102,67,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm0
  .byte  102,15,219,5,48,115,1,0             // pand          0x17330(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,118,116,1,0                // mulps         0x17476(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15aba <_sk_load_a8_sse41+0x81>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15aa4 <_sk_load_a8_sse41+0x6b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           15a58 <_sk_load_a8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  102,15,58,14,193,15                 // pblendw       $0xf,%xmm1,%xmm0
  .byte  235,158                             // jmp           15a58 <_sk_load_a8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,147                             // jmp           15a58 <_sk_load_a8_sse41+0x1f>

HIDDEN _sk_load_a8_dst_sse41
.globl _sk_load_a8_dst_sse41
FUNCTION(_sk_load_a8_dst_sse41)
_sk_load_a8_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,39                              // jne           15b04 <_sk_load_a8_dst_sse41+0x3f>
  .byte  102,67,15,56,49,36,16               // pmovzxbd      (%r8,%r10,1),%xmm4
  .byte  102,15,219,37,164,114,1,0           // pand          0x172a4(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,89,61,234,115,1,0                // mulps         0x173ea(%rip),%xmm7        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15b46 <_sk_load_a8_dst_sse41+0x81>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15b30 <_sk_load_a8_dst_sse41+0x6b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           15ae4 <_sk_load_a8_dst_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,49,237                    // pmovzxbd      %xmm5,%xmm5
  .byte  102,15,58,14,229,15                 // pblendw       $0xf,%xmm5,%xmm4
  .byte  235,158                             // jmp           15ae4 <_sk_load_a8_dst_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,147                             // jmp           15ae4 <_sk_load_a8_dst_sse41+0x1f>

HIDDEN _sk_gather_a8_sse41
.globl _sk_gather_a8_sse41
FUNCTION(_sk_gather_a8_sse41)
_sk_gather_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,4,24,0              // pinsrb        $0x0,(%r8,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,16,1              // pinsrb        $0x1,(%r8,%r10,1),%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,193,2               // pinsrb        $0x2,%r9d,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  102,15,58,32,192,3                  // pinsrb        $0x3,%eax,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,31,115,1,0                 // mulps         0x1731f(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_sse41
.globl _sk_store_a8_sse41
FUNCTION(_sk_store_a8_sse41)
_sk_store_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,213,113,1,0              // movaps        0x171d5(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,13                              // jne           15c11 <_sk_store_a8_sse41+0x41>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  67,137,4,16                         // mov           %eax,(%r8,%r10,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,49,192                 // pmovzxbd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            15c4d <_sk_store_a8_sse41+0x7d>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            15c39 <_sk_store_a8_sse41+0x69>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           15c0d <_sk_store_a8_sse41+0x3d>
  .byte  102,71,15,58,20,68,16,2,8           // pextrb        $0x8,%xmm8,0x2(%r8,%r10,1)
  .byte  102,68,15,56,0,5,173,116,1,0        // pshufb        0x174ad(%rip),%xmm8        # 2d0f0 <_sk_overlay_sse2_8bit+0x132c>
  .byte  102,71,15,58,21,4,16,0              // pextrw        $0x0,%xmm8,(%r8,%r10,1)
  .byte  235,192                             // jmp           15c0d <_sk_store_a8_sse41+0x3d>
  .byte  102,71,15,58,20,4,16,0              // pextrb        $0x0,%xmm8,(%r8,%r10,1)
  .byte  235,182                             // jmp           15c0d <_sk_store_a8_sse41+0x3d>

HIDDEN _sk_load_g8_sse41
.globl _sk_load_g8_sse41
FUNCTION(_sk_load_g8_sse41)
_sk_load_g8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           15c99 <_sk_load_g8_sse41+0x42>
  .byte  102,67,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm0
  .byte  102,15,219,5,18,113,1,0             // pand          0x17112(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,88,114,1,0                  // mulps         0x17258(%rip),%xmm0        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,79,112,1,0                 // movaps        0x1704f(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15cdb <_sk_load_g8_sse41+0x84>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15cc5 <_sk_load_g8_sse41+0x6e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           15c76 <_sk_load_g8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  102,15,58,14,193,15                 // pblendw       $0xf,%xmm1,%xmm0
  .byte  235,155                             // jmp           15c76 <_sk_load_g8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,144                             // jmp           15c76 <_sk_load_g8_sse41+0x1f>

HIDDEN _sk_load_g8_dst_sse41
.globl _sk_load_g8_dst_sse41
FUNCTION(_sk_load_g8_dst_sse41)
_sk_load_g8_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           15d28 <_sk_load_g8_dst_sse41+0x42>
  .byte  102,67,15,56,49,36,16               // pmovzxbd      (%r8,%r10,1),%xmm4
  .byte  102,15,219,37,131,112,1,0           // pand          0x17083(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,201,113,1,0                // mulps         0x171c9(%rip),%xmm4        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,192,111,1,0                // movaps        0x16fc0(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15d6a <_sk_load_g8_dst_sse41+0x84>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15d54 <_sk_load_g8_dst_sse41+0x6e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           15d05 <_sk_load_g8_dst_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,49,237                    // pmovzxbd      %xmm5,%xmm5
  .byte  102,15,58,14,229,15                 // pblendw       $0xf,%xmm5,%xmm4
  .byte  235,155                             // jmp           15d05 <_sk_load_g8_dst_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,144                             // jmp           15d05 <_sk_load_g8_dst_sse41+0x1f>

HIDDEN _sk_gather_g8_sse41
.globl _sk_gather_g8_sse41
FUNCTION(_sk_gather_g8_sse41)
_sk_gather_g8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,4,24,0              // pinsrb        $0x0,(%r8,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,16,1              // pinsrb        $0x1,(%r8,%r10,1),%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,193,2               // pinsrb        $0x2,%r9d,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  102,15,58,32,192,3                  // pinsrb        $0x3,%eax,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,251,112,1,0                 // mulps         0x170fb(%rip),%xmm0        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,242,110,1,0                // movaps        0x16ef2(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_sse41
.globl _sk_load_565_sse41
FUNCTION(_sk_load_565_sse41)
_sk_load_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,80                              // jne           15e61 <_sk_load_565_sse41+0x6b>
  .byte  102,67,15,56,51,20,80               // pmovzxwd      (%r8,%r10,2),%xmm2
  .byte  102,15,111,5,208,112,1,0            // movdqa        0x170d0(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,210,112,1,0                 // mulps         0x170d2(%rip),%xmm0        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,13,218,112,1,0           // movdqa        0x170da(%rip),%xmm1        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,220,112,1,0                // mulps         0x170dc(%rip),%xmm1        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,21,228,112,1,0           // pand          0x170e4(%rip),%xmm2        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,234,112,1,0                // mulps         0x170ea(%rip),%xmm2        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,129,110,1,0                // movaps        0x16e81(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15ea3 <_sk_load_565_sse41+0xad>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15e8d <_sk_load_565_sse41+0x97>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           15e18 <_sk_load_565_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,15,58,14,208,15                 // pblendw       $0xf,%xmm0,%xmm2
  .byte  233,117,255,255,255                 // jmpq          15e18 <_sk_load_565_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,103,255,255,255                 // jmpq          15e18 <_sk_load_565_sse41+0x22>

HIDDEN _sk_load_565_dst_sse41
.globl _sk_load_565_dst_sse41
FUNCTION(_sk_load_565_dst_sse41)
_sk_load_565_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,80                              // jne           15f1c <_sk_load_565_dst_sse41+0x6b>
  .byte  102,67,15,56,51,52,80               // pmovzxwd      (%r8,%r10,2),%xmm6
  .byte  102,15,111,37,21,112,1,0            // movdqa        0x17015(%rip),%xmm4        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,23,112,1,0                 // mulps         0x17017(%rip),%xmm4        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,45,31,112,1,0            // movdqa        0x1701f(%rip),%xmm5        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,33,112,1,0                 // mulps         0x17021(%rip),%xmm5        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,53,41,112,1,0            // pand          0x17029(%rip),%xmm6        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,47,112,1,0                 // mulps         0x1702f(%rip),%xmm6        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,198,109,1,0                // movaps        0x16dc6(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15f5e <_sk_load_565_dst_sse41+0xad>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15f48 <_sk_load_565_dst_sse41+0x97>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           15ed3 <_sk_load_565_dst_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,56,51,228                    // pmovzxwd      %xmm4,%xmm4
  .byte  102,15,58,14,244,15                 // pblendw       $0xf,%xmm4,%xmm6
  .byte  233,117,255,255,255                 // jmpq          15ed3 <_sk_load_565_dst_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,103,255,255,255                 // jmpq          15ed3 <_sk_load_565_dst_sse41+0x22>

HIDDEN _sk_gather_565_sse41
.globl _sk_gather_565_sse41
FUNCTION(_sk_gather_565_sse41)
_sk_gather_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,4,88,0                // pinsrw        $0x0,(%r8,%r11,2),%xmm0
  .byte  102,67,15,196,4,80,1                // pinsrw        $0x1,(%r8,%r10,2),%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,193,2                 // pinsrw        $0x2,%r9d,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,192,3                    // pinsrw        $0x3,%eax,%xmm0
  .byte  102,15,56,51,208                    // pmovzxwd      %xmm0,%xmm2
  .byte  102,15,111,5,26,111,1,0             // movdqa        0x16f1a(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,28,111,1,0                  // mulps         0x16f1c(%rip),%xmm0        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,13,36,111,1,0            // movdqa        0x16f24(%rip),%xmm1        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,38,111,1,0                 // mulps         0x16f26(%rip),%xmm1        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,21,46,111,1,0            // pand          0x16f2e(%rip),%xmm2        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,52,111,1,0                 // mulps         0x16f34(%rip),%xmm2        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,203,108,1,0                // movaps        0x16ccb(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_sse41
.globl _sk_store_565_sse41
FUNCTION(_sk_store_565_sse41)
_sk_store_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,203,112,1,0              // movaps        0x170cb(%rip),%xmm8        # 2d100 <_sk_overlay_sse2_8bit+0x133c>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,11                // pslld         $0xb,%xmm9
  .byte  68,15,40,21,192,112,1,0             // movaps        0x170c0(%rip),%xmm10        # 2d110 <_sk_overlay_sse2_8bit+0x134c>
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,5                 // pslld         $0x5,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16087 <_sk_store_565_sse41+0x70>
  .byte  242,69,15,17,4,64                   // movsd         %xmm8,(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,51,192                 // pmovzxwd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,35                              // je            160bd <_sk_store_565_sse41+0xa6>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            160af <_sk_store_565_sse41+0x98>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           16083 <_sk_store_565_sse41+0x6c>
  .byte  102,69,15,58,21,68,64,4,4           // pextrw        $0x4,%xmm8,0x4(%r8,%rax,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,69,15,126,4,64                  // movd          %xmm8,(%r8,%rax,2)
  .byte  235,198                             // jmp           16083 <_sk_store_565_sse41+0x6c>
  .byte  102,69,15,58,21,4,64,0              // pextrw        $0x0,%xmm8,(%r8,%rax,2)
  .byte  235,188                             // jmp           16083 <_sk_store_565_sse41+0x6c>

HIDDEN _sk_load_4444_sse41
.globl _sk_load_4444_sse41
FUNCTION(_sk_load_4444_sse41)
_sk_load_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,95                              // jne           16141 <_sk_load_4444_sse41+0x7a>
  .byte  102,67,15,56,51,28,80               // pmovzxwd      (%r8,%r10,2),%xmm3
  .byte  102,15,111,5,47,112,1,0             // movdqa        0x1702f(%rip),%xmm0        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,49,112,1,0                  // mulps         0x17031(%rip),%xmm0        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,13,57,112,1,0            // movdqa        0x17039(%rip),%xmm1        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,59,112,1,0                 // mulps         0x1703b(%rip),%xmm1        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,21,67,112,1,0            // movdqa        0x17043(%rip),%xmm2        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,69,112,1,0                 // mulps         0x17045(%rip),%xmm2        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,29,77,112,1,0            // pand          0x1704d(%rip),%xmm3        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,83,112,1,0                 // mulps         0x17053(%rip),%xmm3        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            16183 <_sk_load_4444_sse41+0xbc>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1616d <_sk_load_4444_sse41+0xa6>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           160e9 <_sk_load_4444_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,102,255,255,255                 // jmpq          160e9 <_sk_load_4444_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  233,88,255,255,255                  // jmpq          160e9 <_sk_load_4444_sse41+0x22>

HIDDEN _sk_load_4444_dst_sse41
.globl _sk_load_4444_dst_sse41
FUNCTION(_sk_load_4444_dst_sse41)
_sk_load_4444_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,95                              // jne           1620b <_sk_load_4444_dst_sse41+0x7a>
  .byte  102,67,15,56,51,60,80               // pmovzxwd      (%r8,%r10,2),%xmm7
  .byte  102,15,111,37,101,111,1,0           // movdqa        0x16f65(%rip),%xmm4        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,103,111,1,0                // mulps         0x16f67(%rip),%xmm4        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,45,111,111,1,0           // movdqa        0x16f6f(%rip),%xmm5        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,113,111,1,0                // mulps         0x16f71(%rip),%xmm5        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,53,121,111,1,0           // movdqa        0x16f79(%rip),%xmm6        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,123,111,1,0                // mulps         0x16f7b(%rip),%xmm6        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,61,131,111,1,0           // pand          0x16f83(%rip),%xmm7        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,89,61,137,111,1,0                // mulps         0x16f89(%rip),%xmm7        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            1624d <_sk_load_4444_dst_sse41+0xbc>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            16237 <_sk_load_4444_dst_sse41+0xa6>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           161b3 <_sk_load_4444_dst_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,56,51,228                    // pmovzxwd      %xmm4,%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,102,255,255,255                 // jmpq          161b3 <_sk_load_4444_dst_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,88,255,255,255                  // jmpq          161b3 <_sk_load_4444_dst_sse41+0x22>

HIDDEN _sk_gather_4444_sse41
.globl _sk_gather_4444_sse41
FUNCTION(_sk_gather_4444_sse41)
_sk_gather_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,4,88,0                // pinsrw        $0x0,(%r8,%r11,2),%xmm0
  .byte  102,67,15,196,4,80,1                // pinsrw        $0x1,(%r8,%r10,2),%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,193,2                 // pinsrw        $0x2,%r9d,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,192,3                    // pinsrw        $0x3,%eax,%xmm0
  .byte  102,15,56,51,216                    // pmovzxwd      %xmm0,%xmm3
  .byte  102,15,111,5,91,110,1,0             // movdqa        0x16e5b(%rip),%xmm0        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,93,110,1,0                  // mulps         0x16e5d(%rip),%xmm0        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,13,101,110,1,0           // movdqa        0x16e65(%rip),%xmm1        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,103,110,1,0                // mulps         0x16e67(%rip),%xmm1        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,21,111,110,1,0           // movdqa        0x16e6f(%rip),%xmm2        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,113,110,1,0                // mulps         0x16e71(%rip),%xmm2        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,29,121,110,1,0           // pand          0x16e79(%rip),%xmm3        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,127,110,1,0                // mulps         0x16e7f(%rip),%xmm3        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_sse41
.globl _sk_store_4444_sse41
FUNCTION(_sk_store_4444_sse41)
_sk_store_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,109,110,1,0              // movaps        0x16e6d(%rip),%xmm8        # 2d1a0 <_sk_overlay_sse2_8bit+0x13dc>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,12                // pslld         $0xc,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,4                 // pslld         $0x4,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,193                    // orpd          %xmm9,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16399 <_sk_store_4444_sse41+0x84>
  .byte  242,69,15,17,4,64                   // movsd         %xmm8,(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,51,192                 // pmovzxwd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,35                              // je            163cf <_sk_store_4444_sse41+0xba>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            163c1 <_sk_store_4444_sse41+0xac>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           16395 <_sk_store_4444_sse41+0x80>
  .byte  102,69,15,58,21,68,64,4,4           // pextrw        $0x4,%xmm8,0x4(%r8,%rax,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,69,15,126,4,64                  // movd          %xmm8,(%r8,%rax,2)
  .byte  235,198                             // jmp           16395 <_sk_store_4444_sse41+0x80>
  .byte  102,69,15,58,21,4,64,0              // pextrw        $0x0,%xmm8,(%r8,%rax,2)
  .byte  235,188                             // jmp           16395 <_sk_store_4444_sse41+0x80>

HIDDEN _sk_load_8888_sse41
.globl _sk_load_8888_sse41
FUNCTION(_sk_load_8888_sse41)
_sk_load_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           1644e <_sk_load_8888_sse41+0x75>
  .byte  243,65,15,111,28,128                // movdqu        (%r8,%rax,4),%xmm3
  .byte  102,15,111,5,141,105,1,0            // movdqa        0x1698d(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,206,106,1,0              // movaps        0x16ace(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,56,0,13,125,105,1,0          // pshufb        0x1697d(%rip),%xmm1        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,56,0,21,121,105,1,0          // pshufb        0x16979(%rip),%xmm2        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16488 <_sk_load_8888_sse41+0xaf>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16477 <_sk_load_8888_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           163fb <_sk_load_8888_sse41+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  243,65,15,126,4,128                 // movq          (%r8,%rax,4),%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,115,255,255,255                 // jmpq          163fb <_sk_load_8888_sse41+0x22>
  .byte  102,65,15,110,28,128                // movd          (%r8,%rax,4),%xmm3
  .byte  233,104,255,255,255                 // jmpq          163fb <_sk_load_8888_sse41+0x22>

HIDDEN _sk_load_8888_dst_sse41
.globl _sk_load_8888_dst_sse41
FUNCTION(_sk_load_8888_dst_sse41)
_sk_load_8888_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           16508 <_sk_load_8888_dst_sse41+0x75>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  102,15,111,37,211,104,1,0           // movdqa        0x168d3(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  68,15,40,5,20,106,1,0               // movaps        0x16a14(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,56,0,45,195,104,1,0          // pshufb        0x168c3(%rip),%xmm5        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,191,104,1,0          // pshufb        0x168bf(%rip),%xmm6        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16542 <_sk_load_8888_dst_sse41+0xaf>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16531 <_sk_load_8888_dst_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           164b5 <_sk_load_8888_dst_sse41+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,115,255,255,255                 // jmpq          164b5 <_sk_load_8888_dst_sse41+0x22>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,104,255,255,255                 // jmpq          164b5 <_sk_load_8888_dst_sse41+0x22>

HIDDEN _sk_gather_8888_sse41
.globl _sk_gather_8888_sse41
FUNCTION(_sk_gather_8888_sse41)
_sk_gather_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,28,136                // movd          (%r8,%r9,4),%xmm3
  .byte  102,65,15,58,34,28,128,1            // pinsrd        $0x1,(%r8,%rax,4),%xmm3
  .byte  102,67,15,58,34,28,152,2            // pinsrd        $0x2,(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,28,144,3            // pinsrd        $0x3,(%r8,%r10,4),%xmm3
  .byte  102,15,111,5,227,103,1,0            // movdqa        0x167e3(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,36,105,1,0               // movaps        0x16924(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,56,0,13,211,103,1,0          // pshufb        0x167d3(%rip),%xmm1        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,56,0,21,207,103,1,0          // pshufb        0x167cf(%rip),%xmm2        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_sse41
.globl _sk_store_8888_sse41
FUNCTION(_sk_store_8888_sse41)
_sk_store_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,169,103,1,0              // movaps        0x167a9(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16677 <_sk_store_8888_sse41+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,29                              // je            166a1 <_sk_store_8888_sse41+0xa9>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            16699 <_sk_store_8888_sse41+0xa1>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           16673 <_sk_store_8888_sse41+0x7b>
  .byte  102,69,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm8,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,210                             // jmp           16673 <_sk_store_8888_sse41+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,202                             // jmp           16673 <_sk_store_8888_sse41+0x7b>

HIDDEN _sk_load_bgra_sse41
.globl _sk_load_bgra_sse41
FUNCTION(_sk_load_bgra_sse41)
_sk_load_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           1671e <_sk_load_bgra_sse41+0x75>
  .byte  243,65,15,111,28,128                // movdqu        (%r8,%rax,4),%xmm3
  .byte  102,15,111,5,189,102,1,0            // movdqa        0x166bd(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,208                           // cvtdq2ps      %xmm0,%xmm2
  .byte  68,15,40,5,254,103,1,0              // movaps        0x167fe(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,173,102,1,0           // pshufb        0x166ad(%rip),%xmm0        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,200                           // cvtdq2ps      %xmm0,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,169,102,1,0           // pshufb        0x166a9(%rip),%xmm0        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16758 <_sk_load_bgra_sse41+0xaf>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16747 <_sk_load_bgra_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           166cb <_sk_load_bgra_sse41+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  243,65,15,126,4,128                 // movq          (%r8,%rax,4),%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,115,255,255,255                 // jmpq          166cb <_sk_load_bgra_sse41+0x22>
  .byte  102,65,15,110,28,128                // movd          (%r8,%rax,4),%xmm3
  .byte  233,104,255,255,255                 // jmpq          166cb <_sk_load_bgra_sse41+0x22>

HIDDEN _sk_load_bgra_dst_sse41
.globl _sk_load_bgra_dst_sse41
FUNCTION(_sk_load_bgra_dst_sse41)
_sk_load_bgra_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           167d8 <_sk_load_bgra_dst_sse41+0x75>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  102,15,111,37,3,102,1,0             // movdqa        0x16603(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,244                           // cvtdq2ps      %xmm4,%xmm6
  .byte  68,15,40,5,68,103,1,0               // movaps        0x16744(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,56,0,37,243,101,1,0          // pshufb        0x165f3(%rip),%xmm4        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,236                           // cvtdq2ps      %xmm4,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,56,0,37,239,101,1,0          // pshufb        0x165ef(%rip),%xmm4        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16812 <_sk_load_bgra_dst_sse41+0xaf>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16801 <_sk_load_bgra_dst_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           16785 <_sk_load_bgra_dst_sse41+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,115,255,255,255                 // jmpq          16785 <_sk_load_bgra_dst_sse41+0x22>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,104,255,255,255                 // jmpq          16785 <_sk_load_bgra_dst_sse41+0x22>

HIDDEN _sk_gather_bgra_sse41
.globl _sk_gather_bgra_sse41
FUNCTION(_sk_gather_bgra_sse41)
_sk_gather_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,28,136                // movd          (%r8,%r9,4),%xmm3
  .byte  102,65,15,58,34,28,128,1            // pinsrd        $0x1,(%r8,%rax,4),%xmm3
  .byte  102,67,15,58,34,28,152,2            // pinsrd        $0x2,(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,28,144,3            // pinsrd        $0x3,(%r8,%r10,4),%xmm3
  .byte  102,15,111,5,19,101,1,0             // movdqa        0x16513(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,208                           // cvtdq2ps      %xmm0,%xmm2
  .byte  68,15,40,5,84,102,1,0               // movaps        0x16654(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,3,101,1,0             // pshufb        0x16503(%rip),%xmm0        # 2cda0 <_sk_overlay_sse2_8bit+0xfdc>
  .byte  15,91,200                           // cvtdq2ps      %xmm0,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,255,100,1,0           // pshufb        0x164ff(%rip),%xmm0        # 2cdb0 <_sk_overlay_sse2_8bit+0xfec>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_sse41
.globl _sk_store_bgra_sse41
FUNCTION(_sk_store_bgra_sse41)
_sk_store_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,217,100,1,0              // movaps        0x164d9(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16947 <_sk_store_bgra_sse41+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,29                              // je            16971 <_sk_store_bgra_sse41+0xa9>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            16969 <_sk_store_bgra_sse41+0xa1>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           16943 <_sk_store_bgra_sse41+0x7b>
  .byte  102,69,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm8,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,210                             // jmp           16943 <_sk_store_bgra_sse41+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,202                             // jmp           16943 <_sk_store_bgra_sse41+0x7b>

HIDDEN _sk_load_f16_sse41
.globl _sk_load_f16_sse41
FUNCTION(_sk_load_f16_sse41)
_sk_load_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,62,1,0,0                     // jne           16ad7 <_sk_load_f16_sse41+0x15e>
  .byte  102,65,15,16,4,192                  // movupd        (%r8,%rax,8),%xmm0
  .byte  243,65,15,111,76,192,16             // movdqu        0x10(%r8,%rax,8),%xmm1
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,216                    // punpcklwd     %xmm0,%xmm11
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,65,15,56,51,203                 // pmovzxwd      %xmm11,%xmm1
  .byte  102,68,15,111,5,222,103,1,0         // movdqa        0x167de(%rip),%xmm8        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,239,202                      // pxor          %xmm2,%xmm1
  .byte  102,15,111,29,217,103,1,0           // movdqa        0x167d9(%rip),%xmm3        # 2d1c0 <_sk_overlay_sse2_8bit+0x13fc>
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,56,63,195                    // pmaxud        %xmm3,%xmm0
  .byte  102,15,118,193                      // pcmpeqd       %xmm1,%xmm0
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,68,15,111,21,197,103,1,0        // movdqa        0x167c5(%rip),%xmm10        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,219,193                      // pand          %xmm1,%xmm0
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,68,15,239,218                   // pxor          %xmm2,%xmm11
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,111,203                   // movdqa        %xmm11,%xmm1
  .byte  102,15,56,63,203                    // pmaxud        %xmm3,%xmm1
  .byte  102,65,15,118,203                   // pcmpeqd       %xmm11,%xmm1
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,218                   // por           %xmm2,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,203                   // pand          %xmm11,%xmm1
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,15,56,63,211                    // pmaxud        %xmm3,%xmm2
  .byte  102,65,15,118,211                   // pcmpeqd       %xmm11,%xmm2
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,211                   // pand          %xmm11,%xmm2
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,217                 // pmaxud        %xmm9,%xmm3
  .byte  102,65,15,118,217                   // pcmpeqd       %xmm9,%xmm3
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,217                   // pand          %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,192                  // movsd         (%r8,%rax,8),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           16af0 <_sk_load_f16_sse41+0x177>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,182,254,255,255                 // jmpq          169a6 <_sk_load_f16_sse41+0x2d>
  .byte  102,65,15,22,68,192,8               // movhpd        0x8(%r8,%rax,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,161,254,255,255              // jb            169a6 <_sk_load_f16_sse41+0x2d>
  .byte  243,65,15,126,76,192,16             // movq          0x10(%r8,%rax,8),%xmm1
  .byte  233,149,254,255,255                 // jmpq          169a6 <_sk_load_f16_sse41+0x2d>

HIDDEN _sk_load_f16_dst_sse41
.globl _sk_load_f16_dst_sse41
FUNCTION(_sk_load_f16_dst_sse41)
_sk_load_f16_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,62,1,0,0                     // jne           16c6f <_sk_load_f16_dst_sse41+0x15e>
  .byte  102,65,15,16,36,192                 // movupd        (%r8,%rax,8),%xmm4
  .byte  243,65,15,111,108,192,16            // movdqu        0x10(%r8,%rax,8),%xmm5
  .byte  102,68,15,40,204                    // movapd        %xmm4,%xmm9
  .byte  102,68,15,97,205                    // punpcklwd     %xmm5,%xmm9
  .byte  102,15,105,229                      // punpckhwd     %xmm5,%xmm4
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,220                    // punpcklwd     %xmm4,%xmm11
  .byte  102,68,15,105,204                   // punpckhwd     %xmm4,%xmm9
  .byte  102,65,15,56,51,235                 // pmovzxwd      %xmm11,%xmm5
  .byte  102,68,15,111,5,70,102,1,0          // movdqa        0x16646(%rip),%xmm8        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,15,111,61,65,102,1,0            // movdqa        0x16641(%rip),%xmm7        # 2d1c0 <_sk_overlay_sse2_8bit+0x13fc>
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,56,63,231                    // pmaxud        %xmm7,%xmm4
  .byte  102,15,118,229                      // pcmpeqd       %xmm5,%xmm4
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  102,68,15,111,21,45,102,1,0         // movdqa        0x1662d(%rip),%xmm10        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,65,15,254,234                   // paddd         %xmm10,%xmm5
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,243                   // movdqa        %xmm11,%xmm6
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,15,56,63,239                    // pmaxud        %xmm7,%xmm5
  .byte  102,65,15,118,235                   // pcmpeqd       %xmm11,%xmm5
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,222                   // por           %xmm6,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,235                   // pand          %xmm11,%xmm5
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,243                   // movdqa        %xmm11,%xmm6
  .byte  102,15,56,63,247                    // pmaxud        %xmm7,%xmm6
  .byte  102,65,15,118,243                   // pcmpeqd       %xmm11,%xmm6
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,243                   // pand          %xmm11,%xmm6
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,249                 // pmaxud        %xmm9,%xmm7
  .byte  102,65,15,118,249                   // pcmpeqd       %xmm9,%xmm7
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,249                   // pand          %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,36,192                 // movsd         (%r8,%rax,8),%xmm4
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           16c88 <_sk_load_f16_dst_sse41+0x177>
  .byte  243,15,126,228                      // movq          %xmm4,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  233,182,254,255,255                 // jmpq          16b3e <_sk_load_f16_dst_sse41+0x2d>
  .byte  102,65,15,22,100,192,8              // movhpd        0x8(%r8,%rax,8),%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,161,254,255,255              // jb            16b3e <_sk_load_f16_dst_sse41+0x2d>
  .byte  243,65,15,126,108,192,16            // movq          0x10(%r8,%rax,8),%xmm5
  .byte  233,149,254,255,255                 // jmpq          16b3e <_sk_load_f16_dst_sse41+0x2d>

HIDDEN _sk_gather_f16_sse41
.globl _sk_gather_f16_sse41
FUNCTION(_sk_gather_f16_sse41)
_sk_gather_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,126,4,208                 // movq          (%r8,%r10,8),%xmm0
  .byte  243,67,15,126,12,216                // movq          (%r8,%r11,8),%xmm1
  .byte  102,15,108,200                      // punpcklqdq    %xmm0,%xmm1
  .byte  243,65,15,126,4,192                 // movq          (%r8,%rax,8),%xmm0
  .byte  243,67,15,126,20,200                // movq          (%r8,%r9,8),%xmm2
  .byte  102,15,108,208                      // punpcklqdq    %xmm0,%xmm2
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,209                      // punpckhwd     %xmm1,%xmm2
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,218                    // punpcklwd     %xmm2,%xmm11
  .byte  102,68,15,105,202                   // punpckhwd     %xmm2,%xmm9
  .byte  102,65,15,56,51,203                 // pmovzxwd      %xmm11,%xmm1
  .byte  102,68,15,111,5,129,100,1,0         // movdqa        0x16481(%rip),%xmm8        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,239,202                      // pxor          %xmm2,%xmm1
  .byte  102,15,111,29,124,100,1,0           // movdqa        0x1647c(%rip),%xmm3        # 2d1c0 <_sk_overlay_sse2_8bit+0x13fc>
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,56,63,195                    // pmaxud        %xmm3,%xmm0
  .byte  102,15,118,193                      // pcmpeqd       %xmm1,%xmm0
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,68,15,111,21,104,100,1,0        // movdqa        0x16468(%rip),%xmm10        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,219,193                      // pand          %xmm1,%xmm0
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,68,15,239,218                   // pxor          %xmm2,%xmm11
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,111,203                   // movdqa        %xmm11,%xmm1
  .byte  102,15,56,63,203                    // pmaxud        %xmm3,%xmm1
  .byte  102,65,15,118,203                   // pcmpeqd       %xmm11,%xmm1
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,218                   // por           %xmm2,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,203                   // pand          %xmm11,%xmm1
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,15,56,63,211                    // pmaxud        %xmm3,%xmm2
  .byte  102,65,15,118,211                   // pcmpeqd       %xmm11,%xmm2
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,211                   // pand          %xmm11,%xmm2
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,217                 // pmaxud        %xmm9,%xmm3
  .byte  102,65,15,118,217                   // pcmpeqd       %xmm9,%xmm3
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,217                   // pand          %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_sse41
.globl _sk_store_f16_sse41
FUNCTION(_sk_store_f16_sse41)
_sk_store_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  102,68,15,111,21,140,99,1,0         // movdqa        0x1638c(%rip),%xmm10        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,69,15,239,235                   // pxor          %xmm11,%xmm13
  .byte  102,68,15,111,13,127,99,1,0         // movdqa        0x1637f(%rip),%xmm9        # 2d1f0 <_sk_overlay_sse2_8bit+0x142c>
  .byte  102,65,15,114,211,16                // psrld         $0x10,%xmm11
  .byte  102,69,15,111,193                   // movdqa        %xmm9,%xmm8
  .byte  102,69,15,102,197                   // pcmpgtd       %xmm13,%xmm8
  .byte  102,65,15,114,213,13                // psrld         $0xd,%xmm13
  .byte  102,68,15,111,37,112,99,1,0         // movdqa        0x16370(%rip),%xmm12        # 2d200 <_sk_overlay_sse2_8bit+0x143c>
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,221                   // paddd         %xmm13,%xmm11
  .byte  102,69,15,223,195                   // pandn         %xmm11,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,239,243                   // pxor          %xmm11,%xmm14
  .byte  102,65,15,114,211,16                // psrld         $0x10,%xmm11
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,69,15,102,238                   // pcmpgtd       %xmm14,%xmm13
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,222                   // paddd         %xmm14,%xmm11
  .byte  102,69,15,223,235                   // pandn         %xmm11,%xmm13
  .byte  102,69,15,56,43,237                 // packusdw      %xmm13,%xmm13
  .byte  102,68,15,111,242                   // movdqa        %xmm2,%xmm14
  .byte  102,69,15,219,242                   // pand          %xmm10,%xmm14
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,69,15,239,254                   // pxor          %xmm14,%xmm15
  .byte  102,65,15,114,214,16                // psrld         $0x10,%xmm14
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,69,15,102,223                   // pcmpgtd       %xmm15,%xmm11
  .byte  102,65,15,114,215,13                // psrld         $0xd,%xmm15
  .byte  102,69,15,235,244                   // por           %xmm12,%xmm14
  .byte  102,69,15,254,247                   // paddd         %xmm15,%xmm14
  .byte  102,69,15,223,222                   // pandn         %xmm14,%xmm11
  .byte  102,69,15,56,43,219                 // packusdw      %xmm11,%xmm11
  .byte  102,68,15,219,211                   // pand          %xmm3,%xmm10
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,69,15,239,242                   // pxor          %xmm10,%xmm14
  .byte  102,65,15,114,210,16                // psrld         $0x10,%xmm10
  .byte  102,69,15,102,206                   // pcmpgtd       %xmm14,%xmm9
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,254,214                   // paddd         %xmm14,%xmm10
  .byte  102,69,15,223,202                   // pandn         %xmm10,%xmm9
  .byte  102,69,15,56,43,201                 // packusdw      %xmm9,%xmm9
  .byte  102,69,15,97,197                    // punpcklwd     %xmm13,%xmm8
  .byte  102,69,15,97,217                    // punpcklwd     %xmm9,%xmm11
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,69,15,98,203                    // punpckldq     %xmm11,%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           16f86 <_sk_store_f16_sse41+0x152>
  .byte  69,15,17,12,192                     // movups        %xmm9,(%r8,%rax,8)
  .byte  102,69,15,106,195                   // punpckhdq     %xmm11,%xmm8
  .byte  243,69,15,127,68,192,16             // movdqu        %xmm8,0x10(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,12,192                // movq          %xmm9,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            16f82 <_sk_store_f16_sse41+0x14e>
  .byte  102,69,15,23,76,192,8               // movhpd        %xmm9,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            16f82 <_sk_store_f16_sse41+0x14e>
  .byte  102,69,15,106,195                   // punpckhdq     %xmm11,%xmm8
  .byte  102,69,15,214,68,192,16             // movq          %xmm8,0x10(%r8,%rax,8)
  .byte  235,213                             // jmp           16f82 <_sk_store_f16_sse41+0x14e>

HIDDEN _sk_load_u16_be_sse41
.globl _sk_load_u16_be_sse41
FUNCTION(_sk_load_u16_be_sse41)
_sk_load_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,185,0,0,0                    // jne           1708d <_sk_load_u16_be_sse41+0xe0>
  .byte  102,65,15,16,4,64                   // movupd        (%r8,%rax,2),%xmm0
  .byte  243,65,15,111,76,64,16              // movdqu        0x10(%r8,%rax,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,80,95,1,0                // movaps        0x15f50(%rip),%xmm8        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,15,56,51,203                    // pmovzxwd      %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,235,209                   // por           %xmm9,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,217                   // por           %xmm9,%xmm3
  .byte  102,15,56,51,219                    // pmovzxwd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,64                   // movsd         (%r8,%rax,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           170a6 <_sk_load_u16_be_sse41+0xf9>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,59,255,255,255                  // jmpq          16fe1 <_sk_load_u16_be_sse41+0x34>
  .byte  102,65,15,22,68,64,8                // movhpd        0x8(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,38,255,255,255               // jb            16fe1 <_sk_load_u16_be_sse41+0x34>
  .byte  243,65,15,126,76,64,16              // movq          0x10(%r8,%rax,2),%xmm1
  .byte  233,26,255,255,255                  // jmpq          16fe1 <_sk_load_u16_be_sse41+0x34>

HIDDEN _sk_load_rgb_u16_be_sse41
.globl _sk_load_rgb_u16_be_sse41
FUNCTION(_sk_load_rgb_u16_be_sse41)
_sk_load_rgb_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,170,0,0,0                    // jne           1719c <_sk_load_rgb_u16_be_sse41+0xd5>
  .byte  243,65,15,111,20,64                 // movdqu        (%r8,%rax,2),%xmm2
  .byte  243,65,15,111,92,64,8               // movdqu        0x8(%r8,%rax,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,31,94,1,0                // movaps        0x15e1f(%rip),%xmm8        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,15,56,51,203                    // pmovzxwd      %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,211                      // por           %xmm3,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,70,91,1,0                  // movaps        0x15b46(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  102,65,15,110,20,64                 // movd          (%r8,%rax,2),%xmm2
  .byte  102,65,15,196,84,64,4,2             // pinsrw        $0x2,0x4(%r8,%rax,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           171c1 <_sk_load_rgb_u16_be_sse41+0xfa>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,85,255,255,255                  // jmpq          17116 <_sk_load_rgb_u16_be_sse41+0x4f>
  .byte  102,65,15,110,68,64,6               // movd          0x6(%r8,%rax,2),%xmm0
  .byte  102,65,15,196,68,64,10,2            // pinsrw        $0x2,0xa(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            171f2 <_sk_load_rgb_u16_be_sse41+0x12b>
  .byte  102,65,15,110,92,64,12              // movd          0xc(%r8,%rax,2),%xmm3
  .byte  102,65,15,196,92,64,16,2            // pinsrw        $0x2,0x10(%r8,%rax,2),%xmm3
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,36,255,255,255                  // jmpq          17116 <_sk_load_rgb_u16_be_sse41+0x4f>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,27,255,255,255                  // jmpq          17116 <_sk_load_rgb_u16_be_sse41+0x4f>

HIDDEN _sk_store_u16_be_sse41
.globl _sk_store_u16_be_sse41
FUNCTION(_sk_store_u16_be_sse41)
_sk_store_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,21,239,95,1,0              // movaps        0x15fef(%rip),%xmm10        # 2d210 <_sk_overlay_sse2_8bit+0x144c>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,217                    // cvtps2dq      %xmm9,%xmm11
  .byte  102,69,15,56,43,219                 // packusdw      %xmm11,%xmm11
  .byte  102,69,15,111,203                   // movdqa        %xmm11,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,69,15,235,217                   // por           %xmm9,%xmm11
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,69,15,56,43,201                 // packusdw      %xmm9,%xmm9
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,69,15,235,204                   // por           %xmm12,%xmm9
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,69,15,56,43,210                 // packusdw      %xmm10,%xmm10
  .byte  102,69,15,111,226                   // movdqa        %xmm10,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,97,195                    // punpcklwd     %xmm11,%xmm8
  .byte  102,69,15,97,202                    // punpcklwd     %xmm10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,69,15,98,209                    // punpckldq     %xmm9,%xmm10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           172ef <_sk_store_u16_be_sse41+0xf4>
  .byte  69,15,17,20,64                      // movups        %xmm10,(%r8,%rax,2)
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  243,69,15,127,68,64,16              // movdqu        %xmm8,0x10(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,20,64                 // movq          %xmm10,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            172eb <_sk_store_u16_be_sse41+0xf0>
  .byte  102,69,15,23,84,64,8                // movhpd        %xmm10,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            172eb <_sk_store_u16_be_sse41+0xf0>
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  102,69,15,214,68,64,16              // movq          %xmm8,0x10(%r8,%rax,2)
  .byte  235,213                             // jmp           172eb <_sk_store_u16_be_sse41+0xf0>

HIDDEN _sk_load_f32_sse41
.globl _sk_load_f32_sse41
FUNCTION(_sk_load_f32_sse41)
_sk_load_f32_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           17381 <_sk_load_f32_sse41+0x6b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  68,15,21,192                        // unpckhps      %xmm0,%xmm8
  .byte  65,15,21,217                        // unpckhps      %xmm9,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,202                           // movhlps       %xmm2,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  65,15,18,216                        // movhlps       %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           17393 <_sk_load_f32_sse41+0x7d>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  235,190                             // jmp           17351 <_sk_load_f32_sse41+0x3b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            173a7 <_sk_load_f32_sse41+0x91>
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  235,170                             // jmp           17351 <_sk_load_f32_sse41+0x3b>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,165                             // jmp           17351 <_sk_load_f32_sse41+0x3b>

HIDDEN _sk_load_f32_dst_sse41
.globl _sk_load_f32_dst_sse41
FUNCTION(_sk_load_f32_dst_sse41)
_sk_load_f32_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           17417 <_sk_load_f32_dst_sse41+0x6b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  65,15,20,233                        // unpcklps      %xmm9,%xmm5
  .byte  68,15,21,196                        // unpckhps      %xmm4,%xmm8
  .byte  65,15,21,249                        // unpckhps      %xmm9,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  15,18,238                           // movhlps       %xmm6,%xmm5
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  102,15,20,247                       // unpcklpd      %xmm7,%xmm6
  .byte  65,15,18,248                        // movhlps       %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           17429 <_sk_load_f32_dst_sse41+0x7d>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  235,190                             // jmp           173e7 <_sk_load_f32_dst_sse41+0x3b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1743d <_sk_load_f32_dst_sse41+0x91>
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  235,170                             // jmp           173e7 <_sk_load_f32_dst_sse41+0x3b>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,165                             // jmp           173e7 <_sk_load_f32_dst_sse41+0x3b>

HIDDEN _sk_store_f32_sse41
.globl _sk_store_f32_sse41
FUNCTION(_sk_store_f32_sse41)
_sk_store_f32_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,21,209                        // unpckhps      %xmm1,%xmm10
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  68,15,21,219                        // unpckhps      %xmm3,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  102,69,15,20,224                    // unpcklpd      %xmm8,%xmm12
  .byte  69,15,18,193                        // movhlps       %xmm9,%xmm8
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  102,69,15,20,203                    // unpcklpd      %xmm11,%xmm9
  .byte  102,69,15,17,36,128                 // movupd        %xmm12,(%r8,%rax,4)
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,29                              // jne           174bf <_sk_store_f32_sse41+0x7d>
  .byte  102,69,15,21,211                    // unpckhpd      %xmm11,%xmm10
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  102,69,15,17,84,128,48              // movupd        %xmm10,0x30(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,246                             // je            174bb <_sk_store_f32_sse41+0x79>
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,234                             // jb            174bb <_sk_store_f32_sse41+0x79>
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  235,225                             // jmp           174bb <_sk_store_f32_sse41+0x79>

HIDDEN _sk_clamp_x_sse41
.globl _sk_clamp_x_sse41
FUNCTION(_sk_clamp_x_sse41)
_sk_clamp_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_sse41
.globl _sk_clamp_y_sse41
FUNCTION(_sk_clamp_y_sse41)
_sk_clamp_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_sse41
.globl _sk_repeat_x_sse41
FUNCTION(_sk_repeat_x_sse41)
_sk_repeat_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,64,4                   // movss         0x4(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,69,15,58,8,192,1                // roundps       $0x1,%xmm8,%xmm8
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_sse41
.globl _sk_repeat_y_sse41
FUNCTION(_sk_repeat_y_sse41)
_sk_repeat_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,64,4                   // movss         0x4(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,69,15,58,8,192,1                // roundps       $0x1,%xmm8,%xmm8
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_sse41
.globl _sk_mirror_x_sse41
FUNCTION(_sk_mirror_x_sse41)
_sk_mirror_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  243,69,15,88,192                    // addss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,89,13,225,84,1,0          // mulss         0x154e1(%rip),%xmm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,194                   // paddd         %xmm10,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_sse41
.globl _sk_mirror_y_sse41
FUNCTION(_sk_mirror_y_sse41)
_sk_mirror_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  243,69,15,88,192                    // addss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,89,13,111,84,1,0          // mulss         0x1546f(%rip),%xmm9        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  68,15,84,201                        // andps         %xmm1,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_sse41
.globl _sk_clamp_x_1_sse41
FUNCTION(_sk_clamp_x_1_sse41)
_sk_clamp_x_1_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,50,86,1,0                // minps         0x15632(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_sse41
.globl _sk_repeat_x_1_sse41
FUNCTION(_sk_repeat_x_1_sse41)
_sk_repeat_x_1_sse41:
  .byte  102,68,15,58,8,192,1                // roundps       $0x1,%xmm0,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_sse41
.globl _sk_mirror_x_1_sse41
FUNCTION(_sk_mirror_x_1_sse41)
_sk_mirror_x_1_sse41:
  .byte  68,15,40,5,115,86,1,0               // movaps        0x15673(%rip),%xmm8        # 2cd40 <_sk_overlay_sse2_8bit+0xf7c>
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,13,247,85,1,0              // movaps        0x155f7(%rip),%xmm9        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,92,192                        // subps         %xmm0,%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_sse41
.globl _sk_luminance_to_alpha_sse41
FUNCTION(_sk_luminance_to_alpha_sse41)
_sk_luminance_to_alpha_sse41:
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,89,5,22,91,1,0                   // mulps         0x15b16(%rip),%xmm0        # 2d220 <_sk_overlay_sse2_8bit+0x145c>
  .byte  15,89,13,31,91,1,0                  // mulps         0x15b1f(%rip),%xmm1        # 2d230 <_sk_overlay_sse2_8bit+0x146c>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,29,37,91,1,0                  // mulps         0x15b25(%rip),%xmm3        # 2d240 <_sk_overlay_sse2_8bit+0x147c>
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_sse41
.globl _sk_matrix_translate_sse41
FUNCTION(_sk_matrix_translate_sse41)
_sk_matrix_translate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_sse41
.globl _sk_matrix_scale_translate_sse41
FUNCTION(_sk_matrix_scale_translate_sse41)
_sk_matrix_scale_translate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_sse41
.globl _sk_matrix_2x3_sse41
FUNCTION(_sk_matrix_2x3_sse41)
_sk_matrix_2x3_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,16                  // movss         0x10(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_sse41
.globl _sk_matrix_3x4_sse41
FUNCTION(_sk_matrix_3x4_sse41)
_sk_matrix_3x4_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,36                  // movss         0x24(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_sse41
.globl _sk_matrix_4x5_sse41
FUNCTION(_sk_matrix_4x5_sse41)
_sk_matrix_4x5_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,32                  // movss         0x20(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,48                  // movss         0x30(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,64                 // movss         0x40(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,20                  // movss         0x14(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,36                  // movss         0x24(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,52                  // movss         0x34(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,68                 // movss         0x44(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,56                 // movss         0x38(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,72                 // movss         0x48(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  243,68,15,16,88,12                  // movss         0xc(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,28                  // movss         0x1c(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,60                 // movss         0x3c(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  243,68,15,16,120,76                 // movss         0x4c(%rax),%xmm15
  .byte  69,15,198,255,0                     // shufps        $0x0,%xmm15,%xmm15
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,247                        // addps         %xmm15,%xmm14
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_sse41
.globl _sk_matrix_4x3_sse41
FUNCTION(_sk_matrix_4x3_sse41)
_sk_matrix_4x3_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,32                     // movss         0x20(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,36                     // movss         0x24(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,40                  // movss         0x28(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,28                  // movss         0x1c(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,44                  // movss         0x2c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_sse41
.globl _sk_matrix_perspective_sse41
FUNCTION(_sk_matrix_perspective_sse41)
_sk_matrix_perspective_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  243,68,15,16,80,24                  // movss         0x18(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,83,202                        // rcpps         %xmm10,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_sse41
.globl _sk_evenly_spaced_gradient_sse41
FUNCTION(_sk_evenly_spaced_gradient_sse41)
_sk_evenly_spaced_gradient_sse41:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            17bbb <_sk_evenly_spaced_gradient_sse41+0x18>
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  235,21                              // jmp           17bd0 <_sk_evenly_spaced_gradient_sse41+0x2d>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  243,15,88,201                       // addss         %xmm1,%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,158                  // movss         (%r14,%r11,4),%xmm8
  .byte  102,71,15,58,33,4,150,16            // insertps      $0x10,(%r14,%r10,4),%xmm8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,68,15,58,33,193,32              // insertps      $0x20,%xmm1,%xmm8
  .byte  243,67,15,16,12,134                 // movss         (%r14,%r8,4),%xmm1
  .byte  102,68,15,58,33,193,48              // insertps      $0x30,%xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,70,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm9
  .byte  102,70,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm9
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,201,32              // insertps      $0x20,%xmm1,%xmm9
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,201,48              // insertps      $0x30,%xmm1,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  102,66,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm1
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,70,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm10
  .byte  102,70,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm10
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm2
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  102,70,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm11
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,68,15,58,33,219,32              // insertps      $0x20,%xmm3,%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,68,15,58,33,219,48              // insertps      $0x30,%xmm3,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,66,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm3
  .byte  243,70,15,16,36,139                 // movss         (%rbx,%r9,4),%xmm12
  .byte  102,65,15,58,33,220,32              // insertps      $0x20,%xmm12,%xmm3
  .byte  243,70,15,16,36,131                 // movss         (%rbx,%r8,4),%xmm12
  .byte  102,65,15,58,33,220,48              // insertps      $0x30,%xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  102,70,15,58,33,36,144,16           // insertps      $0x10,(%rax,%r10,4),%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  102,69,15,58,33,229,32              // insertps      $0x20,%xmm13,%xmm12
  .byte  243,70,15,16,44,128                 // movss         (%rax,%r8,4),%xmm13
  .byte  102,69,15,58,33,229,48              // insertps      $0x30,%xmm13,%xmm12
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_sse41
.globl _sk_gauss_a_to_rgba_sse41
FUNCTION(_sk_gauss_a_to_rgba_sse41)
_sk_gauss_a_to_rgba_sse41:
  .byte  15,40,5,212,84,1,0                  // movaps        0x154d4(%rip),%xmm0        # 2d250 <_sk_overlay_sse2_8bit+0x148c>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,218,84,1,0                  // addps         0x154da(%rip),%xmm0        # 2d260 <_sk_overlay_sse2_8bit+0x149c>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,224,84,1,0                  // addps         0x154e0(%rip),%xmm0        # 2d270 <_sk_overlay_sse2_8bit+0x14ac>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,230,84,1,0                  // addps         0x154e6(%rip),%xmm0        # 2d280 <_sk_overlay_sse2_8bit+0x14bc>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,236,84,1,0                  // addps         0x154ec(%rip),%xmm0        # 2d290 <_sk_overlay_sse2_8bit+0x14cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_sse41
.globl _sk_gradient_sse41
FUNCTION(_sk_gradient_sse41)
_sk_gradient_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,51                              // jb            17df3 <_sk_gradient_sse41+0x42>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  73,255,200                          // dec           %r8
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,21,26,79,1,0                  // movaps        0x14f1a(%rip),%xmm2        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  243,65,15,16,25                     // movss         (%r9),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  73,255,200                          // dec           %r8
  .byte  117,227                             // jne           17dd6 <_sk_gradient_sse41+0x25>
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,70,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm8
  .byte  102,70,15,58,33,4,147,16            // insertps      $0x10,(%rbx,%r10,4),%xmm8
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,193,32              // insertps      $0x20,%xmm1,%xmm8
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,193,48              // insertps      $0x30,%xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,70,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm9
  .byte  102,70,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm9
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,201,32              // insertps      $0x20,%xmm1,%xmm9
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,201,48              // insertps      $0x30,%xmm1,%xmm9
  .byte  243,67,15,16,12,158                 // movss         (%r14,%r11,4),%xmm1
  .byte  102,67,15,58,33,12,150,16           // insertps      $0x10,(%r14,%r10,4),%xmm1
  .byte  243,67,15,16,20,142                 // movss         (%r14,%r9,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,134                 // movss         (%r14,%r8,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,70,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm10
  .byte  102,70,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm10
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm2
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  102,70,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm11
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,68,15,58,33,219,32              // insertps      $0x20,%xmm3,%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,68,15,58,33,219,48              // insertps      $0x30,%xmm3,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,66,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm3
  .byte  243,70,15,16,36,139                 // movss         (%rbx,%r9,4),%xmm12
  .byte  102,65,15,58,33,220,32              // insertps      $0x20,%xmm12,%xmm3
  .byte  243,70,15,16,36,131                 // movss         (%rbx,%r8,4),%xmm12
  .byte  102,65,15,58,33,220,48              // insertps      $0x30,%xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  102,70,15,58,33,36,144,16           // insertps      $0x10,(%rax,%r10,4),%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  102,69,15,58,33,229,32              // insertps      $0x20,%xmm13,%xmm12
  .byte  243,70,15,16,44,128                 // movss         (%rax,%r8,4),%xmm13
  .byte  102,69,15,58,33,229,48              // insertps      $0x30,%xmm13,%xmm12
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse41
.globl _sk_evenly_spaced_2_stop_gradient_sse41
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse41)
_sk_evenly_spaced_2_stop_gradient_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,72,28                  // movss         0x1c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_sse41
.globl _sk_xy_to_unit_angle_sse41
FUNCTION(_sk_xy_to_unit_angle_sse41)
_sk_xy_to_unit_angle_sse41:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  68,15,84,217                        // andps         %xmm1,%xmm11
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  69,15,93,227                        // minps         %xmm11,%xmm12
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,95,211                        // maxps         %xmm11,%xmm10
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,40,21,89,82,1,0               // movaps        0x15259(%rip),%xmm10        # 2d2a0 <_sk_overlay_sse2_8bit+0x14dc>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,93,82,1,0               // addps         0x1525d(%rip),%xmm10        # 2d2b0 <_sk_overlay_sse2_8bit+0x14ec>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,97,82,1,0               // addps         0x15261(%rip),%xmm10        # 2d2c0 <_sk_overlay_sse2_8bit+0x14fc>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,101,82,1,0              // addps         0x15265(%rip),%xmm10        # 2d2d0 <_sk_overlay_sse2_8bit+0x150c>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  68,15,40,29,100,82,1,0              // movaps        0x15264(%rip),%xmm11        # 2d2e0 <_sk_overlay_sse2_8bit+0x151c>
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  69,15,194,200,1                     // cmpltps       %xmm8,%xmm9
  .byte  68,15,40,29,61,76,1,0               // movaps        0x14c3d(%rip),%xmm11        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,194,192,1                     // cmpltps       %xmm8,%xmm0
  .byte  68,15,40,13,47,76,1,0               // movaps        0x14c2f(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  102,69,15,56,20,209                 // blendvps      %xmm0,%xmm9,%xmm10
  .byte  69,15,194,194,7                     // cmpordps      %xmm10,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_sse41
.globl _sk_xy_to_radius_sse41
FUNCTION(_sk_xy_to_radius_sse41)
_sk_xy_to_radius_sse41:
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  65,15,81,192                        // sqrtps        %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse41
.globl _sk_xy_to_2pt_conical_quadratic_max_sse41
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse41)
_sk_xy_to_2pt_conical_quadratic_max_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,216,81,1,0              // mulps         0x151d8(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,195,81,1,0              // mulps         0x151c3(%rip),%xmm10        # 2d300 <_sk_overlay_sse2_8bit+0x153c>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,123,80,1,0              // xorps         0x1507b(%rip),%xmm9        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  68,15,89,5,99,75,1,0                // mulps         0x14b63(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,95,193                        // maxps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse41
.globl _sk_xy_to_2pt_conical_quadratic_min_sse41
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse41)
_sk_xy_to_2pt_conical_quadratic_min_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,58,81,1,0               // mulps         0x1513a(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,37,81,1,0               // mulps         0x15125(%rip),%xmm10        # 2d300 <_sk_overlay_sse2_8bit+0x153c>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,221,79,1,0              // xorps         0x14fdd(%rip),%xmm9        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  68,15,89,5,197,74,1,0               // mulps         0x14ac5(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_sse41
.globl _sk_xy_to_2pt_conical_linear_sse41
FUNCTION(_sk_xy_to_2pt_conical_linear_sse41)
_sk_xy_to_2pt_conical_linear_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,200                    // mulss         %xmm8,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,173,80,1,0              // mulps         0x150ad(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  243,69,15,89,192                    // mulss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,87,5,121,79,1,0                  // xorps         0x14f79(%rip),%xmm0        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  65,15,94,193                        // divps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_sse41
.globl _sk_mask_2pt_conical_degenerates_sse41
FUNCTION(_sk_mask_2pt_conical_degenerates_sse41)
_sk_mask_2pt_conical_degenerates_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,194,208,7                     // cmpordps      %xmm8,%xmm10
  .byte  69,15,194,193,2                     // cmpleps       %xmm9,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  68,15,17,0                          // movups        %xmm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_sse41
.globl _sk_apply_vector_mask_sse41
FUNCTION(_sk_apply_vector_mask_sse41)
_sk_apply_vector_mask_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,0                          // movups        (%rax),%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  65,15,84,208                        // andps         %xmm8,%xmm2
  .byte  65,15,84,216                        // andps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_sse41
.globl _sk_save_xy_sse41
FUNCTION(_sk_save_xy_sse41)
_sk_save_xy_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,255,73,1,0               // movaps        0x149ff(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  102,69,15,58,8,209,1                // roundps       $0x1,%xmm9,%xmm10
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  102,69,15,58,8,208,1                // roundps       $0x1,%xmm8,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  15,17,72,32                         // movups        %xmm1,0x20(%rax)
  .byte  68,15,17,72,64                      // movups        %xmm9,0x40(%rax)
  .byte  68,15,17,64,96                      // movups        %xmm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_sse41
.globl _sk_accumulate_sse41
FUNCTION(_sk_accumulate_sse41)
_sk_accumulate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,128,128,0,0,0              // movups        0x80(%rax),%xmm8
  .byte  68,15,16,136,160,0,0,0              // movups        0xa0(%rax),%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  65,15,88,224                        // addps         %xmm8,%xmm4
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  65,15,88,232                        // addps         %xmm8,%xmm5
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_sse41
.globl _sk_bilinear_nx_sse41
FUNCTION(_sk_bilinear_nx_sse41)
_sk_bilinear_nx_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,177,79,1,0                  // addps         0x14fb1(%rip),%xmm0        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,121,73,1,0              // movaps        0x14979(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_sse41
.globl _sk_bilinear_px_sse41
FUNCTION(_sk_bilinear_px_sse41)
_sk_bilinear_px_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,72,73,1,0                   // addps         0x14948(%rip),%xmm0        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_sse41
.globl _sk_bilinear_ny_sse41
FUNCTION(_sk_bilinear_ny_sse41)
_sk_bilinear_ny_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,106,79,1,0                 // addps         0x14f6a(%rip),%xmm1        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,50,73,1,0               // movaps        0x14932(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_sse41
.globl _sk_bilinear_py_sse41
FUNCTION(_sk_bilinear_py_sse41)
_sk_bilinear_py_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,0,73,1,0                   // addps         0x14900(%rip),%xmm1        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_sse41
.globl _sk_bicubic_n3x_sse41
FUNCTION(_sk_bicubic_n3x_sse41)
_sk_bicubic_n3x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,51,79,1,0                   // addps         0x14f33(%rip),%xmm0        # 2d320 <_sk_overlay_sse2_8bit+0x155c>
  .byte  68,15,40,13,235,72,1,0              // movaps        0x148eb(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,39,79,1,0               // mulps         0x14f27(%rip),%xmm9        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,13,191,74,1,0              // addps         0x14abf(%rip),%xmm9        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_sse41
.globl _sk_bicubic_n1x_sse41
FUNCTION(_sk_bicubic_n1x_sse41)
_sk_bicubic_n1x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,222,78,1,0                  // addps         0x14ede(%rip),%xmm0        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,166,72,1,0              // movaps        0x148a6(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,250,78,1,0               // movaps        0x14efa(%rip),%xmm8        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,254,78,1,0               // addps         0x14efe(%rip),%xmm8        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,114,72,1,0               // addps         0x14872(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,246,78,1,0               // addps         0x14ef6(%rip),%xmm8        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_sse41
.globl _sk_bicubic_p1x_sse41
FUNCTION(_sk_bicubic_p1x_sse41)
_sk_bicubic_p1x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,80,72,1,0                // movaps        0x14850(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,72,64                      // movups        0x40(%rax),%xmm9
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,21,172,78,1,0              // movaps        0x14eac(%rip),%xmm10        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,176,78,1,0              // addps         0x14eb0(%rip),%xmm10        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,172,78,1,0              // addps         0x14eac(%rip),%xmm10        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,144,128,0,0,0              // movups        %xmm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_sse41
.globl _sk_bicubic_p3x_sse41
FUNCTION(_sk_bicubic_p3x_sse41)
_sk_bicubic_p3x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,127,78,1,0                  // addps         0x14e7f(%rip),%xmm0        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,79,78,1,0                // mulps         0x14e4f(%rip),%xmm8        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,5,231,73,1,0               // addps         0x149e7(%rip),%xmm8        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_sse41
.globl _sk_bicubic_n3y_sse41
FUNCTION(_sk_bicubic_n3y_sse41)
_sk_bicubic_n3y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,21,78,1,0                  // addps         0x14e15(%rip),%xmm1        # 2d320 <_sk_overlay_sse2_8bit+0x155c>
  .byte  68,15,40,13,205,71,1,0              // movaps        0x147cd(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,9,78,1,0                // mulps         0x14e09(%rip),%xmm9        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,13,161,73,1,0              // addps         0x149a1(%rip),%xmm9        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_sse41
.globl _sk_bicubic_n1y_sse41
FUNCTION(_sk_bicubic_n1y_sse41)
_sk_bicubic_n1y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,191,77,1,0                 // addps         0x14dbf(%rip),%xmm1        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,135,71,1,0              // movaps        0x14787(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,219,77,1,0               // movaps        0x14ddb(%rip),%xmm8        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,223,77,1,0               // addps         0x14ddf(%rip),%xmm8        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,83,71,1,0                // addps         0x14753(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,215,77,1,0               // addps         0x14dd7(%rip),%xmm8        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_sse41
.globl _sk_bicubic_p1y_sse41
FUNCTION(_sk_bicubic_p1y_sse41)
_sk_bicubic_p1y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,49,71,1,0                // movaps        0x14731(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,72,96                      // movups        0x60(%rax),%xmm9
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,21,140,77,1,0              // movaps        0x14d8c(%rip),%xmm10        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,144,77,1,0              // addps         0x14d90(%rip),%xmm10        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,140,77,1,0              // addps         0x14d8c(%rip),%xmm10        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,144,160,0,0,0              // movups        %xmm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_sse41
.globl _sk_bicubic_p3y_sse41
FUNCTION(_sk_bicubic_p3y_sse41)
_sk_bicubic_p3y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,94,77,1,0                  // addps         0x14d5e(%rip),%xmm1        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,46,77,1,0                // mulps         0x14d2e(%rip),%xmm8        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,5,198,72,1,0               // addps         0x148c6(%rip),%xmm8        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_sse41
.globl _sk_callback_sse41
FUNCTION(_sk_callback_sse41)
_sk_callback_sse41:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,125,144                       // movaps        %xmm7,-0x70(%rbp)
  .byte  15,41,117,160                       // movaps        %xmm6,-0x60(%rbp)
  .byte  15,41,109,176                       // movaps        %xmm5,-0x50(%rbp)
  .byte  15,41,101,192                       // movaps        %xmm4,-0x40(%rbp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,8                      // movupd        %xmm1,0x8(%rbx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,24                        // movups        %xmm5,0x18(%rbx)
  .byte  102,15,17,91,40                     // movupd        %xmm3,0x28(%rbx)
  .byte  15,17,83,56                         // movups        %xmm2,0x38(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,4,0,0,0                         // mov           $0x4,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  15,16,32                            // movups        (%rax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%rax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%rax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%rax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  15,40,101,192                       // movaps        -0x40(%rbp),%xmm4
  .byte  15,40,109,176                       // movaps        -0x50(%rbp),%xmm5
  .byte  15,40,117,160                       // movaps        -0x60(%rbp),%xmm6
  .byte  15,40,125,144                       // movaps        -0x70(%rbp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_sse41
.globl _sk_clut_3D_sse41
FUNCTION(_sk_clut_3D_sse41)
_sk_clut_3D_sse41:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,124,36,48                     // movaps        %xmm7,0x30(%rsp)
  .byte  15,41,116,36,32                     // movaps        %xmm6,0x20(%rsp)
  .byte  15,41,108,36,16                     // movaps        %xmm5,0x10(%rsp)
  .byte  15,41,36,36                         // movaps        %xmm4,(%rsp)
  .byte  15,41,92,36,240                     // movaps        %xmm3,-0x10(%rsp)
  .byte  72,137,76,36,152                    // mov           %rcx,-0x68(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  243,15,91,227                       // cvttps2dq     %xmm3,%xmm4
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,41,68,36,224                  // movaps        %xmm8,-0x20(%rsp)
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,234,0                    // pshufd        $0x0,%xmm2,%xmm5
  .byte  102,15,127,108,36,160               // movdqa        %xmm5,-0x60(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  243,68,15,91,235                    // cvttps2dq     %xmm3,%xmm13
  .byte  102,68,15,127,108,36,192            // movdqa        %xmm13,-0x40(%rsp)
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,128                    // movaps        %xmm7,-0x80(%rsp)
  .byte  102,68,15,56,64,237                 // pmulld        %xmm5,%xmm13
  .byte  102,65,15,111,205                   // movdqa        %xmm13,%xmm1
  .byte  102,15,254,204                      // paddd         %xmm4,%xmm1
  .byte  102,68,15,111,212                   // movdqa        %xmm4,%xmm10
  .byte  102,68,15,127,84,36,208             // movdqa        %xmm10,-0x30(%rsp)
  .byte  102,65,15,110,216                   // movd          %r8d,%xmm3
  .byte  102,15,56,64,218                    // pmulld        %xmm2,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  68,15,91,242                        // cvtdq2ps      %xmm2,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  243,65,15,91,198                    // cvttps2dq     %xmm14,%xmm0
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,56,64,227                 // pmulld        %xmm3,%xmm12
  .byte  102,65,15,111,212                   // movdqa        %xmm12,%xmm2
  .byte  102,15,254,209                      // paddd         %xmm1,%xmm2
  .byte  102,15,111,37,142,75,1,0            // movdqa        0x14b8e(%rip),%xmm4        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,68,15,111,61,235,68,1,0         // movdqa        0x144eb(%rip),%xmm15        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,254,231                   // paddd         %xmm15,%xmm4
  .byte  102,73,15,58,22,224,1               // pextrq        $0x1,%xmm4,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  243,66,15,16,36,144                 // movss         (%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm4
  .byte  243,66,15,16,44,152                 // movss         (%rax,%r11,4),%xmm5
  .byte  102,15,58,33,229,32                 // insertps      $0x20,%xmm5,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,229,48                 // insertps      $0x30,%xmm5,%xmm4
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,65,15,58,22,209,1               // pextrd        $0x1,%xmm2,%r9d
  .byte  102,65,15,58,22,210,2               // pextrd        $0x2,%xmm2,%r10d
  .byte  102,65,15,58,22,211,3               // pextrd        $0x3,%xmm2,%r11d
  .byte  102,68,15,111,13,156,68,1,0         // movdqa        0x1449c(%rip),%xmm9        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,209                   // paddd         %xmm9,%xmm2
  .byte  102,73,15,58,22,214,1               // pextrq        $0x1,%xmm2,%r14
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,52,184                 // movss         (%rax,%r15,4),%xmm6
  .byte  102,15,58,33,52,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm6
  .byte  243,66,15,16,20,160                 // movss         (%rax,%r12,4),%xmm2
  .byte  102,15,58,33,242,32                 // insertps      $0x20,%xmm2,%xmm6
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  15,40,45,177,74,1,0                 // movaps        0x14ab1(%rip),%xmm5        # 2d370 <_sk_overlay_sse2_8bit+0x15ac>
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  68,15,41,68,36,176                  // movaps        %xmm8,-0x50(%rsp)
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,88,238                        // addps         %xmm14,%xmm5
  .byte  243,68,15,91,197                    // cvttps2dq     %xmm5,%xmm8
  .byte  102,68,15,56,64,195                 // pmulld        %xmm3,%xmm8
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,15,56,64,207                    // pmulld        %xmm7,%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,73,15,58,22,222,1               // pextrq        $0x1,%xmm3,%r14
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,44,184                 // movss         (%rax,%r15,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,28,160                 // movss         (%rax,%r12,4),%xmm3
  .byte  102,15,58,33,235,32                 // insertps      $0x20,%xmm3,%xmm5
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,235,48                 // insertps      $0x30,%xmm3,%xmm5
  .byte  102,65,15,126,205                   // movd          %xmm1,%r13d
  .byte  102,65,15,58,22,206,1               // pextrd        $0x1,%xmm1,%r14d
  .byte  102,65,15,58,22,207,2               // pextrd        $0x2,%xmm1,%r15d
  .byte  102,65,15,58,22,204,3               // pextrd        $0x3,%xmm1,%r12d
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,217,32                 // insertps      $0x20,%xmm1,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,217,48                 // insertps      $0x30,%xmm1,%xmm3
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,66,15,58,33,4,136,16            // insertps      $0x10,(%rax,%r9,4),%xmm0
  .byte  102,66,15,58,33,4,144,32            // insertps      $0x20,(%rax,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,152,48            // insertps      $0x30,(%rax,%r11,4),%xmm0
  .byte  243,66,15,16,12,168                 // movss         (%rax,%r13,4),%xmm1
  .byte  102,66,15,58,33,12,176,16           // insertps      $0x10,(%rax,%r14,4),%xmm1
  .byte  102,66,15,58,33,12,184,32           // insertps      $0x20,(%rax,%r15,4),%xmm1
  .byte  102,66,15,58,33,12,160,48           // insertps      $0x30,(%rax,%r12,4),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  65,15,89,238                        // mulps         %xmm14,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,92,222                           // subps         %xmm6,%xmm3
  .byte  65,15,89,222                        // mulps         %xmm14,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  243,68,15,91,218                    // cvttps2dq     %xmm2,%xmm11
  .byte  102,68,15,56,64,92,36,160           // pmulld        -0x60(%rsp),%xmm11
  .byte  102,65,15,111,227                   // movdqa        %xmm11,%xmm4
  .byte  102,65,15,254,226                   // paddd         %xmm10,%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,15,56,64,199                    // pmulld        %xmm7,%xmm0
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,58,22,197,1                  // pextrd        $0x1,%xmm0,%ebp
  .byte  102,65,15,58,22,192,2               // pextrd        $0x2,%xmm0,%r8d
  .byte  102,15,58,22,195,3                  // pextrd        $0x3,%xmm0,%ebx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,52,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm6
  .byte  102,66,15,58,33,52,128,32           // insertps      $0x20,(%rax,%r8,4),%xmm6
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,254,215                   // paddd         %xmm15,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,15,58,33,215,32                 // insertps      $0x20,%xmm7,%xmm2
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,215,48                 // insertps      $0x30,%xmm7,%xmm2
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,15,58,33,199,32                 // insertps      $0x20,%xmm7,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,199,48                 // insertps      $0x30,%xmm7,%xmm0
  .byte  102,65,15,254,224                   // paddd         %xmm8,%xmm4
  .byte  102,65,15,56,64,226                 // pmulld        %xmm10,%xmm4
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,254,255                   // paddd         %xmm15,%xmm7
  .byte  102,72,15,58,22,249,1               // pextrq        $0x1,%xmm7,%rcx
  .byte  102,72,15,126,253                   // movq          %xmm7,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,68,15,16,20,152                 // movss         (%rax,%rbx,4),%xmm10
  .byte  102,68,15,58,33,20,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm10
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,68,15,58,33,215,32              // insertps      $0x20,%xmm7,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,68,15,58,33,215,48              // insertps      $0x30,%xmm7,%xmm10
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,65,15,58,22,227,1               // pextrd        $0x1,%xmm4,%r11d
  .byte  102,65,15,58,22,226,2               // pextrd        $0x2,%xmm4,%r10d
  .byte  102,65,15,58,22,224,3               // pextrd        $0x3,%xmm4,%r8d
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,12,168                 // movss         (%rax,%rbp,4),%xmm9
  .byte  102,68,15,58,33,12,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm9
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,68,15,58,33,204,32              // insertps      $0x20,%xmm4,%xmm9
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,204,48              // insertps      $0x30,%xmm4,%xmm9
  .byte  243,66,15,16,36,136                 // movss         (%rax,%r9,4),%xmm4
  .byte  102,66,15,58,33,36,152,16           // insertps      $0x10,(%rax,%r11,4),%xmm4
  .byte  102,66,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,128,48           // insertps      $0x30,(%rax,%r8,4),%xmm4
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  69,15,89,214                        // mulps         %xmm14,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  15,91,68,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm0
  .byte  15,40,84,36,128                     // movaps        -0x80(%rsp),%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,41,84,36,128                     // movaps        %xmm2,-0x80(%rsp)
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  68,15,92,213                        // subps         %xmm5,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  243,15,91,68,36,176                 // cvttps2dq     -0x50(%rsp),%xmm0
  .byte  102,68,15,254,232                   // paddd         %xmm0,%xmm13
  .byte  102,65,15,111,212                   // movdqa        %xmm12,%xmm2
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,111,45,100,71,1,0            // movdqa        0x14764(%rip),%xmm5        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,56,64,213                    // pmulld        %xmm5,%xmm2
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,254,207                   // paddd         %xmm15,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,28,128                 // movss         (%rax,%r8,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,65,15,58,22,209,1               // pextrd        $0x1,%xmm2,%r9d
  .byte  102,65,15,58,22,210,2               // pextrd        $0x2,%xmm2,%r10d
  .byte  102,65,15,58,22,211,3               // pextrd        $0x3,%xmm2,%r11d
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,20,168                    // movss         (%rax,%rbp,4),%xmm2
  .byte  102,15,58,33,20,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm2
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,111,240                   // movdqa        %xmm8,%xmm6
  .byte  102,68,15,254,238                   // paddd         %xmm6,%xmm13
  .byte  102,68,15,56,64,237                 // pmulld        %xmm5,%xmm13
  .byte  102,65,15,111,221                   // movdqa        %xmm13,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,72,15,58,22,217,1               // pextrq        $0x1,%xmm3,%rcx
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,4,168                  // movss         (%rax,%rbp,4),%xmm8
  .byte  102,68,15,58,33,4,152,16            // insertps      $0x10,(%rax,%rbx,4),%xmm8
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,68,15,58,33,195,32              // insertps      $0x20,%xmm3,%xmm8
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,68,15,58,33,195,48              // insertps      $0x30,%xmm3,%xmm8
  .byte  102,69,15,126,237                   // movd          %xmm13,%r13d
  .byte  102,69,15,58,22,239,1               // pextrd        $0x1,%xmm13,%r15d
  .byte  102,69,15,58,22,236,2               // pextrd        $0x2,%xmm13,%r12d
  .byte  102,69,15,58,22,238,3               // pextrd        $0x3,%xmm13,%r14d
  .byte  102,68,15,254,239                   // paddd         %xmm7,%xmm13
  .byte  102,76,15,58,22,235,1               // pextrq        $0x1,%xmm13,%rbx
  .byte  102,76,15,126,237                   // movq          %xmm13,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,44,136                 // movss         (%rax,%rcx,4),%xmm13
  .byte  102,68,15,58,33,44,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm13
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,68,15,58,33,235,32              // insertps      $0x20,%xmm3,%xmm13
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,68,15,58,33,235,48              // insertps      $0x30,%xmm3,%xmm13
  .byte  243,66,15,16,28,128                 // movss         (%rax,%r8,4),%xmm3
  .byte  102,66,15,58,33,28,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm3
  .byte  102,66,15,58,33,28,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm3
  .byte  102,66,15,58,33,28,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm3
  .byte  243,66,15,16,60,168                 // movss         (%rax,%r13,4),%xmm7
  .byte  102,66,15,58,33,60,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm7
  .byte  102,66,15,58,33,60,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm7
  .byte  102,66,15,58,33,60,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  65,15,89,254                        // mulps         %xmm14,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  102,68,15,254,216                   // paddd         %xmm0,%xmm11
  .byte  102,69,15,254,227                   // paddd         %xmm11,%xmm12
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,68,15,56,64,225                 // pmulld        %xmm1,%xmm12
  .byte  102,65,15,111,196                   // movdqa        %xmm12,%xmm0
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,15,58,33,216,32                 // insertps      $0x20,%xmm0,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,216,48                 // insertps      $0x30,%xmm0,%xmm3
  .byte  102,69,15,126,224                   // movd          %xmm12,%r8d
  .byte  102,69,15,58,22,225,1               // pextrd        $0x1,%xmm12,%r9d
  .byte  102,69,15,58,22,226,2               // pextrd        $0x2,%xmm12,%r10d
  .byte  102,69,15,58,22,227,3               // pextrd        $0x3,%xmm12,%r11d
  .byte  102,15,111,21,191,62,1,0            // movdqa        0x13ebf(%rip),%xmm2        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,68,15,254,226                   // paddd         %xmm2,%xmm12
  .byte  102,76,15,58,22,225,1               // pextrq        $0x1,%xmm12,%rcx
  .byte  102,76,15,126,227                   // movq          %xmm12,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  102,68,15,254,222                   // paddd         %xmm6,%xmm11
  .byte  102,68,15,56,64,217                 // pmulld        %xmm1,%xmm11
  .byte  102,69,15,254,251                   // paddd         %xmm11,%xmm15
  .byte  102,76,15,58,22,249,1               // pextrq        $0x1,%xmm15,%rcx
  .byte  102,76,15,126,251                   // movq          %xmm15,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,200,32                 // insertps      $0x20,%xmm0,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,200,48                 // insertps      $0x30,%xmm0,%xmm1
  .byte  102,69,15,126,221                   // movd          %xmm11,%r13d
  .byte  102,69,15,58,22,223,1               // pextrd        $0x1,%xmm11,%r15d
  .byte  102,69,15,58,22,220,2               // pextrd        $0x2,%xmm11,%r12d
  .byte  102,69,15,58,22,222,3               // pextrd        $0x3,%xmm11,%r14d
  .byte  102,68,15,254,218                   // paddd         %xmm2,%xmm11
  .byte  102,76,15,58,22,219,1               // pextrq        $0x1,%xmm11,%rbx
  .byte  102,76,15,126,221                   // movq          %xmm11,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,208,32                 // insertps      $0x20,%xmm0,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,208,48                 // insertps      $0x30,%xmm0,%xmm2
  .byte  243,66,15,16,52,128                 // movss         (%rax,%r8,4),%xmm6
  .byte  102,66,15,58,33,52,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm6
  .byte  102,66,15,58,33,52,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm6
  .byte  102,66,15,58,33,52,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm6
  .byte  243,66,15,16,4,168                  // movss         (%rax,%r13,4),%xmm0
  .byte  102,66,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm0
  .byte  102,66,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm0
  .byte  102,66,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,92,36,128                     // movaps        -0x80(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  15,91,92,36,208                     // cvtdq2ps      -0x30(%rsp),%xmm3
  .byte  15,40,108,36,224                    // movaps        -0x20(%rsp),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,92,209                        // subps         %xmm9,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,76,36,152                    // mov           -0x68(%rsp),%rcx
  .byte  15,40,92,36,240                     // movaps        -0x10(%rsp),%xmm3
  .byte  15,40,36,36                         // movaps        (%rsp),%xmm4
  .byte  15,40,108,36,16                     // movaps        0x10(%rsp),%xmm5
  .byte  15,40,116,36,32                     // movaps        0x20(%rsp),%xmm6
  .byte  15,40,124,36,48                     // movaps        0x30(%rsp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_sse41
.globl _sk_clut_4D_sse41
FUNCTION(_sk_clut_4D_sse41)
_sk_clut_4D_sse41:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,129,236,152,0,0,0                // sub           $0x98,%rsp
  .byte  15,41,188,36,128,0,0,0              // movaps        %xmm7,0x80(%rsp)
  .byte  15,41,116,36,112                    // movaps        %xmm6,0x70(%rsp)
  .byte  15,41,108,36,96                     // movaps        %xmm5,0x60(%rsp)
  .byte  15,41,100,36,80                     // movaps        %xmm4,0x50(%rsp)
  .byte  72,137,76,36,248                    // mov           %rcx,-0x8(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  243,15,91,236                       // cvttps2dq     %xmm4,%xmm5
  .byte  102,15,127,44,36                    // movdqa        %xmm5,(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,41,84,36,64                   // movaps        %xmm10,0x40(%rsp)
  .byte  102,65,15,110,224                   // movd          %r8d,%xmm4
  .byte  102,15,112,244,0                    // pshufd        $0x0,%xmm4,%xmm6
  .byte  102,15,127,116,36,32                // movdqa        %xmm6,0x20(%rsp)
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  243,68,15,91,227                    // cvttps2dq     %xmm3,%xmm12
  .byte  102,68,15,127,100,36,192            // movdqa        %xmm12,-0x40(%rsp)
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,224                    // movaps        %xmm7,-0x20(%rsp)
  .byte  102,68,15,56,64,230                 // pmulld        %xmm6,%xmm12
  .byte  102,65,15,111,220                   // movdqa        %xmm12,%xmm3
  .byte  102,15,254,221                      // paddd         %xmm5,%xmm3
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,15,112,234,0                    // pshufd        $0x0,%xmm2,%xmm5
  .byte  102,15,127,108,36,144               // movdqa        %xmm5,-0x70(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  68,15,91,244                        // cvtdq2ps      %xmm4,%xmm14
  .byte  68,15,89,241                        // mulps         %xmm1,%xmm14
  .byte  102,65,15,110,224                   // movd          %r8d,%xmm4
  .byte  102,15,56,64,226                    // pmulld        %xmm2,%xmm4
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  68,15,91,249                        // cvtdq2ps      %xmm1,%xmm15
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  243,65,15,91,198                    // cvttps2dq     %xmm14,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,56,64,197                    // pmulld        %xmm5,%xmm0
  .byte  102,15,127,68,36,208                // movdqa        %xmm0,-0x30(%rsp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  243,69,15,91,207                    // cvttps2dq     %xmm15,%xmm9
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,68,15,56,64,236                 // pmulld        %xmm4,%xmm13
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,68,15,127,108,36,176            // movdqa        %xmm13,-0x50(%rsp)
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,56,64,5,45,66,1,0            // pmulld        0x1422d(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,68,15,111,29,148,59,1,0         // movdqa        0x13b94(%rip),%xmm11        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,73,15,58,22,208,1               // pextrq        $0x1,%xmm2,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  243,66,15,16,20,144                 // movss         (%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  243,66,15,16,44,152                 // movss         (%rax,%r11,4),%xmm5
  .byte  102,15,58,33,213,32                 // insertps      $0x20,%xmm5,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,213,48                 // insertps      $0x30,%xmm5,%xmm2
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,68,15,111,5,69,59,1,0           // movdqa        0x13b45(%rip),%xmm8        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,192                   // paddd         %xmm8,%xmm0
  .byte  102,73,15,58,22,198,1               // pextrq        $0x1,%xmm0,%r14
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,44,184                 // movss         (%rax,%r15,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,160                  // movss         (%rax,%r12,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  15,40,53,90,65,1,0                  // movaps        0x1415a(%rip),%xmm6        # 2d370 <_sk_overlay_sse2_8bit+0x15ac>
  .byte  68,15,88,214                        // addps         %xmm6,%xmm10
  .byte  68,15,41,84,36,48                   // movaps        %xmm10,0x30(%rsp)
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,41,124,36,16                     // movaps        %xmm7,0x10(%rsp)
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  65,15,88,247                        // addps         %xmm15,%xmm6
  .byte  243,15,91,246                       // cvttps2dq     %xmm6,%xmm6
  .byte  102,15,56,64,244                    // pmulld        %xmm4,%xmm6
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,68,15,127,84,36,160             // movdqa        %xmm10,-0x60(%rsp)
  .byte  102,15,56,64,13,43,65,1,0           // pmulld        0x1412b(%rip),%xmm1        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,254,227                   // paddd         %xmm11,%xmm4
  .byte  102,73,15,58,22,230,1               // pextrq        $0x1,%xmm4,%r14
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,52,184                 // movss         (%rax,%r15,4),%xmm6
  .byte  102,15,58,33,52,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm6
  .byte  243,66,15,16,36,160                 // movss         (%rax,%r12,4),%xmm4
  .byte  102,15,58,33,244,32                 // insertps      $0x20,%xmm4,%xmm6
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,15,58,33,244,48                 // insertps      $0x30,%xmm4,%xmm6
  .byte  102,65,15,126,205                   // movd          %xmm1,%r13d
  .byte  102,65,15,58,22,206,1               // pextrd        $0x1,%xmm1,%r14d
  .byte  102,65,15,58,22,207,2               // pextrd        $0x2,%xmm1,%r15d
  .byte  102,65,15,58,22,204,3               // pextrd        $0x3,%xmm1,%r12d
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,36,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm4
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,225,32                 // insertps      $0x20,%xmm1,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,225,48                 // insertps      $0x30,%xmm1,%xmm4
  .byte  65,15,91,201                        // cvtdq2ps      %xmm9,%xmm1
  .byte  68,15,92,249                        // subps         %xmm1,%xmm15
  .byte  243,66,15,16,12,128                 // movss         (%rax,%r8,4),%xmm1
  .byte  102,66,15,58,33,12,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm1
  .byte  102,66,15,58,33,12,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm1
  .byte  102,66,15,58,33,12,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm1
  .byte  243,66,15,16,60,168                 // movss         (%rax,%r13,4),%xmm7
  .byte  102,66,15,58,33,60,176,16           // insertps      $0x10,(%rax,%r14,4),%xmm7
  .byte  102,66,15,58,33,60,184,32           // insertps      $0x20,(%rax,%r15,4),%xmm7
  .byte  102,66,15,58,33,60,160,48           // insertps      $0x30,(%rax,%r12,4),%xmm7
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,56,64,68,36,144              // pmulld        -0x70(%rsp),%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,111,5,253,63,1,0             // movdqa        0x13ffd(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,56,64,200                    // pmulld        %xmm0,%xmm1
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,68,15,111,5,86,57,1,0           // movdqa        0x13956(%rip),%xmm8        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,192                   // paddd         %xmm8,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,65,15,58,22,201,1               // pextrd        $0x1,%xmm1,%r9d
  .byte  102,65,15,58,22,202,2               // pextrd        $0x2,%xmm1,%r10d
  .byte  102,65,15,58,22,203,3               // pextrd        $0x3,%xmm1,%r11d
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,65,15,254,218                   // paddd         %xmm10,%xmm3
  .byte  102,65,15,56,64,217                 // pmulld        %xmm9,%xmm3
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,254,208                   // paddd         %xmm8,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,20,168                 // movss         (%rax,%rbp,4),%xmm10
  .byte  102,68,15,58,33,20,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm10
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  102,65,15,126,221                   // movd          %xmm3,%r13d
  .byte  102,65,15,58,22,223,1               // pextrd        $0x1,%xmm3,%r15d
  .byte  102,65,15,58,22,220,2               // pextrd        $0x2,%xmm3,%r12d
  .byte  102,65,15,58,22,222,3               // pextrd        $0x3,%xmm3,%r14d
  .byte  102,65,15,254,219                   // paddd         %xmm11,%xmm3
  .byte  102,72,15,58,22,219,1               // pextrq        $0x1,%xmm3,%rbx
  .byte  102,72,15,126,221                   // movq          %xmm3,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,12,136                 // movss         (%rax,%rcx,4),%xmm9
  .byte  102,68,15,58,33,12,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm9
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,202,32              // insertps      $0x20,%xmm2,%xmm9
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,68,15,58,33,202,48              // insertps      $0x30,%xmm2,%xmm9
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm2
  .byte  243,70,15,16,4,168                  // movss         (%rax,%r13,4),%xmm8
  .byte  102,70,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm8
  .byte  102,70,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm8
  .byte  102,70,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm8
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  15,91,68,36,128                     // cvtdq2ps      -0x80(%rsp),%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  68,15,41,116,36,128                 // movaps        %xmm14,-0x80(%rsp)
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  68,15,92,214                        // subps         %xmm6,%xmm10
  .byte  69,15,89,214                        // mulps         %xmm14,%xmm10
  .byte  68,15,88,214                        // addps         %xmm6,%xmm10
  .byte  68,15,92,204                        // subps         %xmm4,%xmm9
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  243,68,15,91,116,36,16              // cvttps2dq     0x10(%rsp),%xmm14
  .byte  102,68,15,56,64,116,36,32           // pmulld        0x20(%rsp),%xmm14
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,254,36,36                    // paddd         (%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,254,68,36,208                // paddd         -0x30(%rsp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,108,36,176            // movdqa        -0x50(%rsp),%xmm13
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,111,45,203,61,1,0            // movdqa        0x13dcb(%rip),%xmm5        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,56,64,205                    // pmulld        %xmm5,%xmm1
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,58,22,205,1                  // pextrd        $0x1,%xmm1,%ebp
  .byte  102,65,15,58,22,200,2               // pextrd        $0x2,%xmm1,%r8d
  .byte  102,15,58,22,203,3                  // pextrd        $0x3,%xmm1,%ebx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,52,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm6
  .byte  102,66,15,58,33,52,128,32           // insertps      $0x20,(%rax,%r8,4),%xmm6
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,29,244,54,1,0            // movdqa        0x136f4(%rip),%xmm3        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,60,152                    // movss         (%rax,%rbx,4),%xmm7
  .byte  102,15,58,33,60,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm7
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,250,32                 // insertps      $0x20,%xmm2,%xmm7
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,250,48                 // insertps      $0x30,%xmm2,%xmm7
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,68,15,111,92,36,160             // movdqa        -0x60(%rsp),%xmm11
  .byte  102,65,15,254,195                   // paddd         %xmm11,%xmm0
  .byte  102,15,56,64,197                    // pmulld        %xmm5,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,218,32                 // insertps      $0x20,%xmm2,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,218,48                 // insertps      $0x30,%xmm2,%xmm3
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,65,15,58,22,195,1               // pextrd        $0x1,%xmm0,%r11d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,192,3               // pextrd        $0x3,%xmm0,%r8d
  .byte  102,15,254,5,28,54,1,0              // paddd         0x1361c(%rip),%xmm0        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  243,66,15,16,20,136                 // movss         (%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,152,16           // insertps      $0x10,(%rax,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,128,48           // insertps      $0x30,(%rax,%r8,4),%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,223                        // mulps         %xmm15,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  65,15,89,239                        // mulps         %xmm15,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  102,15,254,100,36,144               // paddd         -0x70(%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,197                   // paddd         %xmm13,%xmm0
  .byte  102,68,15,111,45,252,59,1,0         // movdqa        0x13bfc(%rip),%xmm13        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,65,15,56,64,197                 // pmulld        %xmm13,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,53,90,53,1,0             // movdqa        0x1355a(%rip),%xmm6        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,52,128                 // movss         (%rax,%r8,4),%xmm6
  .byte  102,15,58,33,206,32                 // insertps      $0x20,%xmm6,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,206,48                 // insertps      $0x30,%xmm6,%xmm1
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,61,24,53,1,0             // movdqa        0x13518(%rip),%xmm7        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,254,199                      // paddd         %xmm7,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,4,168                     // movss         (%rax,%rbp,4),%xmm0
  .byte  102,15,58,33,4,152,16               // insertps      $0x10,(%rax,%rbx,4),%xmm0
  .byte  243,66,15,16,52,176                 // movss         (%rax,%r14,4),%xmm6
  .byte  102,15,58,33,198,32                 // insertps      $0x20,%xmm6,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,198,48                 // insertps      $0x30,%xmm6,%xmm0
  .byte  102,65,15,254,227                   // paddd         %xmm11,%xmm4
  .byte  102,65,15,56,64,229                 // pmulld        %xmm13,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,68,15,111,45,160,52,1,0         // movdqa        0x134a0(%rip),%xmm13        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,245                   // paddd         %xmm13,%xmm6
  .byte  102,72,15,58,22,241,1               // pextrq        $0x1,%xmm6,%rcx
  .byte  102,72,15,126,243                   // movq          %xmm6,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,28,168                 // movss         (%rax,%rbp,4),%xmm11
  .byte  102,68,15,58,33,28,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm11
  .byte  243,66,15,16,52,176                 // movss         (%rax,%r14,4),%xmm6
  .byte  102,68,15,58,33,222,32              // insertps      $0x20,%xmm6,%xmm11
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,68,15,58,33,222,48              // insertps      $0x30,%xmm6,%xmm11
  .byte  102,65,15,126,229                   // movd          %xmm4,%r13d
  .byte  102,65,15,58,22,231,1               // pextrd        $0x1,%xmm4,%r15d
  .byte  102,65,15,58,22,228,2               // pextrd        $0x2,%xmm4,%r12d
  .byte  102,65,15,58,22,230,3               // pextrd        $0x3,%xmm4,%r14d
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,72,15,58,22,227,1               // pextrq        $0x1,%xmm4,%rbx
  .byte  102,72,15,126,229                   // movq          %xmm4,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,60,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm7
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,252,32                 // insertps      $0x20,%xmm4,%xmm7
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,15,58,33,252,48                 // insertps      $0x30,%xmm4,%xmm7
  .byte  243,66,15,16,36,128                 // movss         (%rax,%r8,4),%xmm4
  .byte  102,66,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm4
  .byte  102,66,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm4
  .byte  243,66,15,16,52,168                 // movss         (%rax,%r13,4),%xmm6
  .byte  102,66,15,58,33,52,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm6
  .byte  102,66,15,58,33,52,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm6
  .byte  102,66,15,58,33,52,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm6
  .byte  15,92,244                           // subps         %xmm4,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  69,15,89,223                        // mulps         %xmm15,%xmm11
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,68,36,128                     // movaps        -0x80(%rsp),%xmm0
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,91,68,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm0
  .byte  15,40,76,36,224                     // movaps        -0x20(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,224                     // movaps        %xmm1,-0x20(%rsp)
  .byte  65,15,92,240                        // subps         %xmm8,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  65,15,92,249                        // subps         %xmm9,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  243,15,91,68,36,48                  // cvttps2dq     0x30(%rsp),%xmm0
  .byte  102,15,127,68,36,192                // movdqa        %xmm0,-0x40(%rsp)
  .byte  102,68,15,254,224                   // paddd         %xmm0,%xmm12
  .byte  102,15,111,84,36,208                // movdqa        -0x30(%rsp),%xmm2
  .byte  102,65,15,254,212                   // paddd         %xmm12,%xmm2
  .byte  102,68,15,111,76,36,176             // movdqa        -0x50(%rsp),%xmm9
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,15,111,29,172,57,1,0            // movdqa        0x139ac(%rip),%xmm3        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,56,64,195                    // pmulld        %xmm3,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,69,15,111,213                   // movdqa        %xmm13,%xmm10
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,15,58,33,36,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm4
  .byte  243,66,15,16,12,128                 // movss         (%rax,%r8,4),%xmm1
  .byte  102,15,58,33,225,32                 // insertps      $0x20,%xmm1,%xmm4
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,225,48                 // insertps      $0x30,%xmm1,%xmm4
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,45,203,50,1,0            // movdqa        0x132cb(%rip),%xmm5        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,4,168                     // movss         (%rax,%rbp,4),%xmm0
  .byte  102,15,58,33,4,152,16               // insertps      $0x10,(%rax,%rbx,4),%xmm0
  .byte  243,66,15,16,12,176                 // movss         (%rax,%r14,4),%xmm1
  .byte  102,15,58,33,193,32                 // insertps      $0x20,%xmm1,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,193,48                 // insertps      $0x30,%xmm1,%xmm0
  .byte  102,68,15,111,68,36,160             // movdqa        -0x60(%rsp),%xmm8
  .byte  102,65,15,254,208                   // paddd         %xmm8,%xmm2
  .byte  102,15,56,64,211                    // pmulld        %xmm3,%xmm2
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  102,65,15,126,213                   // movd          %xmm2,%r13d
  .byte  102,65,15,58,22,215,1               // pextrd        $0x1,%xmm2,%r15d
  .byte  102,65,15,58,22,212,2               // pextrd        $0x2,%xmm2,%r12d
  .byte  102,65,15,58,22,214,3               // pextrd        $0x3,%xmm2,%r14d
  .byte  102,15,254,213                      // paddd         %xmm5,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,66,15,58,33,44,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm5
  .byte  102,66,15,58,33,44,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm5
  .byte  102,66,15,58,33,44,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm5
  .byte  243,66,15,16,28,168                 // movss         (%rax,%r13,4),%xmm3
  .byte  102,66,15,58,33,28,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm3
  .byte  102,66,15,58,33,28,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm3
  .byte  102,66,15,58,33,28,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  65,15,89,223                        // mulps         %xmm15,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  102,68,15,254,100,36,144            // paddd         -0x70(%rsp),%xmm12
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,65,15,56,64,229                 // pmulld        %xmm13,%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,194                   // paddd         %xmm10,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,197,32                 // insertps      $0x20,%xmm5,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,44,136                    // movss         (%rax,%rcx,4),%xmm5
  .byte  102,15,58,33,197,48                 // insertps      $0x30,%xmm5,%xmm0
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,65,15,58,22,225,1               // pextrd        $0x1,%xmm4,%r9d
  .byte  102,65,15,58,22,226,2               // pextrd        $0x2,%xmm4,%r10d
  .byte  102,65,15,58,22,227,3               // pextrd        $0x3,%xmm4,%r11d
  .byte  102,68,15,111,13,255,48,1,0         // movdqa        0x130ff(%rip),%xmm9        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,15,58,33,236,32                 // insertps      $0x20,%xmm4,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,236,48                 // insertps      $0x30,%xmm4,%xmm5
  .byte  102,69,15,254,224                   // paddd         %xmm8,%xmm12
  .byte  102,69,15,56,64,229                 // pmulld        %xmm13,%xmm12
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,254,226                   // paddd         %xmm10,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,20,168                 // movss         (%rax,%rbp,4),%xmm10
  .byte  102,68,15,58,33,20,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm10
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,68,15,58,33,212,32              // insertps      $0x20,%xmm4,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,212,48              // insertps      $0x30,%xmm4,%xmm10
  .byte  102,69,15,126,229                   // movd          %xmm12,%r13d
  .byte  102,69,15,58,22,231,1               // pextrd        $0x1,%xmm12,%r15d
  .byte  102,69,15,58,22,228,2               // pextrd        $0x2,%xmm12,%r12d
  .byte  102,69,15,58,22,230,3               // pextrd        $0x3,%xmm12,%r14d
  .byte  102,69,15,254,225                   // paddd         %xmm9,%xmm12
  .byte  102,76,15,58,22,227,1               // pextrq        $0x1,%xmm12,%rbx
  .byte  102,76,15,126,229                   // movq          %xmm12,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,4,136                  // movss         (%rax,%rcx,4),%xmm8
  .byte  102,68,15,58,33,4,168,16            // insertps      $0x10,(%rax,%rbp,4),%xmm8
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,196,32              // insertps      $0x20,%xmm4,%xmm8
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,68,15,58,33,196,48              // insertps      $0x30,%xmm4,%xmm8
  .byte  243,70,15,16,36,128                 // movss         (%rax,%r8,4),%xmm12
  .byte  102,70,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm12
  .byte  102,70,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm12
  .byte  102,70,15,58,33,36,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm12
  .byte  243,66,15,16,36,168                 // movss         (%rax,%r13,4),%xmm4
  .byte  102,66,15,58,33,36,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm4
  .byte  102,66,15,58,33,36,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm4
  .byte  102,66,15,58,33,36,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm4
  .byte  65,15,92,228                        // subps         %xmm12,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,88,228                        // addps         %xmm12,%xmm4
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,68,36,128                     // movaps        -0x80(%rsp),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,227                           // addps         %xmm3,%xmm4
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  102,68,15,254,116,36,192            // paddd         -0x40(%rsp),%xmm14
  .byte  102,15,111,68,36,208                // movdqa        -0x30(%rsp),%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,76,36,176                // paddd         -0x50(%rsp),%xmm1
  .byte  102,65,15,56,64,205                 // pmulld        %xmm13,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,68,15,111,37,51,47,1,0          // movdqa        0x12f33(%rip),%xmm12        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,65,15,58,22,201,1               // pextrd        $0x1,%xmm1,%r9d
  .byte  102,65,15,58,22,202,2               // pextrd        $0x2,%xmm1,%r10d
  .byte  102,65,15,58,22,203,3               // pextrd        $0x3,%xmm1,%r11d
  .byte  102,15,111,29,240,46,1,0            // movdqa        0x12ef0(%rip),%xmm3        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,15,254,108,36,160               // paddd         -0x60(%rsp),%xmm5
  .byte  102,65,15,56,64,237                 // pmulld        %xmm13,%xmm5
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,65,15,254,212                   // paddd         %xmm12,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,12,168                 // movss         (%rax,%rbp,4),%xmm9
  .byte  102,68,15,58,33,12,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm9
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,68,15,58,33,202,32              // insertps      $0x20,%xmm2,%xmm9
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,202,48              // insertps      $0x30,%xmm2,%xmm9
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,65,15,126,213                   // movd          %xmm2,%r13d
  .byte  102,65,15,58,22,215,1               // pextrd        $0x1,%xmm2,%r15d
  .byte  102,65,15,58,22,212,2               // pextrd        $0x2,%xmm2,%r12d
  .byte  102,65,15,58,22,214,3               // pextrd        $0x3,%xmm2,%r14d
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,36,136                 // movss         (%rax,%rcx,4),%xmm12
  .byte  102,68,15,58,33,36,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm12
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,226,32              // insertps      $0x20,%xmm2,%xmm12
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,68,15,58,33,226,48              // insertps      $0x30,%xmm2,%xmm12
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm2
  .byte  243,70,15,16,44,168                 // movss         (%rax,%r13,4),%xmm13
  .byte  102,70,15,58,33,44,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm13
  .byte  102,70,15,58,33,44,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm13
  .byte  102,70,15,58,33,44,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm13
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,89,239                        // mulps         %xmm15,%xmm13
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  69,15,89,231                        // mulps         %xmm15,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  102,68,15,254,116,36,144            // paddd         -0x70(%rsp),%xmm14
  .byte  102,15,111,68,36,176                // movdqa        -0x50(%rsp),%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,56,64,5,236,51,1,0           // pmulld        0x133ec(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,5,80,45,1,0              // paddd         0x12d50(%rip),%xmm0        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,15,58,33,216,32                 // insertps      $0x20,%xmm0,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,216,48                 // insertps      $0x30,%xmm0,%xmm3
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  102,68,15,254,116,36,160            // paddd         -0x60(%rsp),%xmm14
  .byte  102,68,15,56,64,53,49,51,1,0        // pmulld        0x13331(%rip),%xmm14        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,111,5,153,44,1,0             // movdqa        0x12c99(%rip),%xmm0        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,200,32                 // insertps      $0x20,%xmm0,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,200,48                 // insertps      $0x30,%xmm0,%xmm1
  .byte  102,69,15,126,245                   // movd          %xmm14,%r13d
  .byte  102,69,15,58,22,247,1               // pextrd        $0x1,%xmm14,%r15d
  .byte  102,69,15,58,22,244,2               // pextrd        $0x2,%xmm14,%r12d
  .byte  102,69,15,58,22,246,3               // pextrd        $0x3,%xmm14,%r14d
  .byte  102,68,15,254,242                   // paddd         %xmm2,%xmm14
  .byte  102,76,15,58,22,243,1               // pextrq        $0x1,%xmm14,%rbx
  .byte  102,76,15,126,245                   // movq          %xmm14,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,208,32                 // insertps      $0x20,%xmm0,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,208,48                 // insertps      $0x30,%xmm0,%xmm2
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  102,70,15,58,33,52,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm14
  .byte  102,70,15,58,33,52,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm14
  .byte  102,70,15,58,33,52,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm14
  .byte  243,66,15,16,4,168                  // movss         (%rax,%r13,4),%xmm0
  .byte  102,66,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm0
  .byte  102,66,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm0
  .byte  102,66,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm0
  .byte  65,15,92,198                        // subps         %xmm14,%xmm0
  .byte  65,15,89,199                        // mulps         %xmm15,%xmm0
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  15,40,92,36,128                     // movaps        -0x80(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  15,91,28,36                         // cvtdq2ps      (%rsp),%xmm3
  .byte  15,40,100,36,64                     // movaps        0x40(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,23,43,1,0                  // movaps        0x12b17(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,139,76,36,248                    // mov           -0x8(%rsp),%rcx
  .byte  15,40,100,36,80                     // movaps        0x50(%rsp),%xmm4
  .byte  15,40,108,36,96                     // movaps        0x60(%rsp),%xmm5
  .byte  15,40,116,36,112                    // movaps        0x70(%rsp),%xmm6
  .byte  15,40,188,36,128,0,0,0              // movaps        0x80(%rsp),%xmm7
  .byte  72,129,196,152,0,0,0                // add           $0x98,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_sse2
.globl _sk_start_pipeline_sse2
FUNCTION(_sk_start_pipeline_sse2)
_sk_start_pipeline_sse2:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           1a27a <_sk_start_pipeline_sse2+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,4                         // lea           0x4(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            1a260 <_sk_start_pipeline_sse2+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,4                      // lea           0x4(%r12),%rdx
  .byte  73,131,196,8                        // add           $0x8,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           1a241 <_sk_start_pipeline_sse2+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            1a271 <_sk_start_pipeline_sse2+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           1a233 <_sk_start_pipeline_sse2+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse2
.globl _sk_just_return_sse2
FUNCTION(_sk_just_return_sse2)
_sk_just_return_sse2:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_sse2
.globl _sk_seed_shader_sse2
FUNCTION(_sk_seed_shader_sse2)
_sk_seed_shader_sse2:
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,88,5,35,42,1,0                   // addps         0x12a23(%rip),%xmm0        # 2ccc0 <_sk_overlay_sse2_8bit+0xefc>
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,13,32,42,1,0                  // addps         0x12a20(%rip),%xmm1        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,21,39,42,1,0                  // movaps        0x12a27(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_sse2
.globl _sk_dither_sse2
FUNCTION(_sk_dither_sse2)
_sk_dither_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,68,15,110,194                   // movd          %edx,%xmm8
  .byte  102,69,15,112,200,0                 // pshufd        $0x0,%xmm8,%xmm9
  .byte  102,68,15,254,13,192,41,1,0         // paddd         0x129c0(%rip),%xmm9        # 2cca0 <_sk_overlay_sse2_8bit+0xedc>
  .byte  102,68,15,110,193                   // movd          %ecx,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,68,15,111,21,247,41,1,0         // movdqa        0x129f7(%rip),%xmm10        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,65,15,114,243,5                 // pslld         $0x5,%xmm11
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,65,15,114,242,4                 // pslld         $0x4,%xmm10
  .byte  102,68,15,111,37,227,41,1,0         // movdqa        0x129e3(%rip),%xmm12        # 2cd00 <_sk_overlay_sse2_8bit+0xf3c>
  .byte  102,68,15,111,45,234,41,1,0         // movdqa        0x129ea(%rip),%xmm13        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,219,245                   // pand          %xmm13,%xmm14
  .byte  102,65,15,114,246,2                 // pslld         $0x2,%xmm14
  .byte  102,69,15,219,233                   // pand          %xmm9,%xmm13
  .byte  102,69,15,254,237                   // paddd         %xmm13,%xmm13
  .byte  102,69,15,219,196                   // pand          %xmm12,%xmm8
  .byte  102,65,15,114,208,1                 // psrld         $0x1,%xmm8
  .byte  102,69,15,219,204                   // pand          %xmm12,%xmm9
  .byte  102,65,15,114,209,2                 // psrld         $0x2,%xmm9
  .byte  102,69,15,235,234                   // por           %xmm10,%xmm13
  .byte  102,69,15,235,233                   // por           %xmm9,%xmm13
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,235,245                   // por           %xmm13,%xmm14
  .byte  102,69,15,235,240                   // por           %xmm8,%xmm14
  .byte  69,15,91,198                        // cvtdq2ps      %xmm14,%xmm8
  .byte  68,15,89,5,165,41,1,0               // mulps         0x129a5(%rip),%xmm8        # 2cd20 <_sk_overlay_sse2_8bit+0xf5c>
  .byte  68,15,88,5,173,41,1,0               // addps         0x129ad(%rip),%xmm8        # 2cd30 <_sk_overlay_sse2_8bit+0xf6c>
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  68,15,93,211                        // minps         %xmm3,%xmm10
  .byte  65,15,95,210                        // maxps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_sse2
.globl _sk_uniform_color_sse2
FUNCTION(_sk_uniform_color_sse2)
_sk_uniform_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse2
.globl _sk_black_color_sse2
FUNCTION(_sk_black_color_sse2)
_sk_black_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,227,40,1,0                 // movaps        0x128e3(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse2
.globl _sk_white_color_sse2
FUNCTION(_sk_white_color_sse2)
_sk_white_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,207,40,1,0                  // movaps        0x128cf(%rip),%xmm0        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_sse2
.globl _sk_load_rgba_sse2
FUNCTION(_sk_load_rgba_sse2)
_sk_load_rgba_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  15,16,72,16                         // movups        0x10(%rax),%xmm1
  .byte  15,16,80,32                         // movups        0x20(%rax),%xmm2
  .byte  15,16,88,48                         // movups        0x30(%rax),%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_sse2
.globl _sk_store_rgba_sse2
FUNCTION(_sk_store_rgba_sse2)
_sk_store_rgba_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  15,17,72,16                         // movups        %xmm1,0x10(%rax)
  .byte  15,17,80,32                         // movups        %xmm2,0x20(%rax)
  .byte  15,17,88,48                         // movups        %xmm3,0x30(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse2
.globl _sk_clear_sse2
FUNCTION(_sk_clear_sse2)
_sk_clear_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse2
.globl _sk_srcatop_sse2
FUNCTION(_sk_srcatop_sse2)
_sk_srcatop_sse2:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  68,15,40,5,127,40,1,0               // movaps        0x1287f(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse2
.globl _sk_dstatop_sse2
FUNCTION(_sk_dstatop_sse2)
_sk_dstatop_sse2:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,40,13,50,40,1,0               // movaps        0x12832(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse2
.globl _sk_srcin_sse2
FUNCTION(_sk_srcin_sse2)
_sk_srcin_sse2:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse2
.globl _sk_dstin_sse2
FUNCTION(_sk_dstin_sse2)
_sk_dstin_sse2:
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse2
.globl _sk_srcout_sse2
FUNCTION(_sk_srcout_sse2)
_sk_srcout_sse2:
  .byte  68,15,40,5,198,39,1,0               // movaps        0x127c6(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse2
.globl _sk_dstout_sse2
FUNCTION(_sk_dstout_sse2)
_sk_dstout_sse2:
  .byte  68,15,40,5,166,39,1,0               // movaps        0x127a6(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse2
.globl _sk_srcover_sse2
FUNCTION(_sk_srcover_sse2)
_sk_srcover_sse2:
  .byte  68,15,40,5,121,39,1,0               // movaps        0x12779(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse2
.globl _sk_dstover_sse2
FUNCTION(_sk_dstover_sse2)
_sk_dstover_sse2:
  .byte  68,15,40,5,61,39,1,0                // movaps        0x1273d(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse2
.globl _sk_modulate_sse2
FUNCTION(_sk_modulate_sse2)
_sk_modulate_sse2:
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse2
.globl _sk_multiply_sse2
FUNCTION(_sk_multiply_sse2)
_sk_multiply_sse2:
  .byte  68,15,40,5,1,39,1,0                 // movaps        0x12701(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,221                        // mulps         %xmm5,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse2
.globl _sk_plus__sse2
FUNCTION(_sk_plus__sse2)
_sk_plus__sse2:
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,40,5,130,38,1,0               // movaps        0x12682(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse2
.globl _sk_screen_sse2
FUNCTION(_sk_screen_sse2)
_sk_screen_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,88,206                        // addps         %xmm6,%xmm9
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,88,215                        // addps         %xmm7,%xmm10
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse2
.globl _sk_xor__sse2
FUNCTION(_sk_xor__sse2)
_sk_xor__sse2:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,40,29,14,38,1,0                  // movaps        0x1260e(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse2
.globl _sk_darken_sse2
FUNCTION(_sk_darken_sse2)
_sk_darken_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,95,209                        // maxps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,105,37,1,0                 // movaps        0x12569(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse2
.globl _sk_lighten_sse2
FUNCTION(_sk_lighten_sse2)
_sk_lighten_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,254,36,1,0                 // movaps        0x124fe(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse2
.globl _sk_difference_sse2
FUNCTION(_sk_difference_sse2)
_sk_difference_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,136,36,1,0                 // movaps        0x12488(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse2
.globl _sk_exclusion_sse2
FUNCTION(_sk_exclusion_sse2)
_sk_exclusion_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,56,36,1,0                  // movaps        0x12438(%rip),%xmm2        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_sse2
.globl _sk_colorburn_sse2
FUNCTION(_sk_colorburn_sse2)
_sk_colorburn_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,13,27,36,1,0               // movaps        0x1241b(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  69,15,83,224                        // rcpps         %xmm8,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,93,196                        // minps         %xmm12,%xmm0
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  69,15,194,195,0                     // cmpeqps       %xmm11,%xmm8
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,84,232                        // andps         %xmm8,%xmm13
  .byte  69,15,85,196                        // andnps        %xmm12,%xmm8
  .byte  68,15,40,228                        // movaps        %xmm4,%xmm12
  .byte  68,15,194,231,0                     // cmpeqps       %xmm7,%xmm12
  .byte  69,15,86,197                        // orps          %xmm13,%xmm8
  .byte  65,15,84,196                        // andps         %xmm12,%xmm0
  .byte  69,15,85,224                        // andnps        %xmm8,%xmm12
  .byte  65,15,86,196                        // orps          %xmm12,%xmm0
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,229                        // subps         %xmm5,%xmm12
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  68,15,83,233                        // rcpps         %xmm1,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  68,15,89,229                        // mulps         %xmm5,%xmm12
  .byte  65,15,194,203,0                     // cmpeqps       %xmm11,%xmm1
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,232                        // addps         %xmm8,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  68,15,84,225                        // andps         %xmm1,%xmm12
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  68,15,194,231,0                     // cmpeqps       %xmm7,%xmm12
  .byte  69,15,84,196                        // andps         %xmm12,%xmm8
  .byte  68,15,85,225                        // andnps        %xmm1,%xmm12
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,194,218,0                     // cmpeqps       %xmm2,%xmm11
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,83,210                           // rcpps         %xmm2,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,93,202                           // minps         %xmm2,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,84,203                        // andps         %xmm11,%xmm1
  .byte  68,15,85,218                        // andnps        %xmm2,%xmm11
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  68,15,86,217                        // orps          %xmm1,%xmm11
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,194,207,0                        // cmpeqps       %xmm7,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  65,15,85,203                        // andnps        %xmm11,%xmm1
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_sse2
.globl _sk_colordodge_sse2
FUNCTION(_sk_colordodge_sse2)
_sk_colordodge_sse2:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,40,21,195,34,1,0              // movaps        0x122c3(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,228                        // mulps         %xmm4,%xmm12
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,83,192                        // rcpps         %xmm8,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,93,232                        // minps         %xmm8,%xmm13
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,194,243,0                     // cmpeqps       %xmm3,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  69,15,84,206                        // andps         %xmm14,%xmm9
  .byte  69,15,85,245                        // andnps        %xmm13,%xmm14
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,86,241                        // orps          %xmm9,%xmm14
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  69,15,88,241                        // addps         %xmm9,%xmm14
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  69,15,194,200,0                     // cmpeqps       %xmm8,%xmm9
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  69,15,85,206                        // andnps        %xmm14,%xmm9
  .byte  65,15,86,193                        // orps          %xmm9,%xmm0
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,233                        // mulps         %xmm9,%xmm13
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  68,15,40,233                        // movaps        %xmm1,%xmm13
  .byte  68,15,194,235,0                     // cmpeqps       %xmm3,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  65,15,84,205                        // andps         %xmm13,%xmm1
  .byte  69,15,85,236                        // andnps        %xmm12,%xmm13
  .byte  68,15,86,233                        // orps          %xmm1,%xmm13
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  65,15,194,200,0                     // cmpeqps       %xmm8,%xmm1
  .byte  68,15,84,201                        // andps         %xmm1,%xmm9
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  68,15,83,233                        // rcpps         %xmm1,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,194,203,0                        // cmpeqps       %xmm3,%xmm1
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  68,15,194,198,0                     // cmpeqps       %xmm6,%xmm8
  .byte  69,15,84,216                        // andps         %xmm8,%xmm11
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,195                        // orps          %xmm11,%xmm8
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse2
.globl _sk_hardlight_sse2
FUNCTION(_sk_hardlight_sse2)
_sk_hardlight_sse2:
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  68,15,40,29,108,33,1,0              // movaps        0x1216c(%rip),%xmm11        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,92,192                        // subps         %xmm0,%xmm8
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,40,255                        // movaps        %xmm7,%xmm15
  .byte  68,15,92,253                        // subps         %xmm5,%xmm15
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  69,15,88,255                        // addps         %xmm15,%xmm15
  .byte  68,15,40,228                        // movaps        %xmm4,%xmm12
  .byte  69,15,92,231                        // subps         %xmm15,%xmm12
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  68,15,194,195,2                     // cmpleps       %xmm3,%xmm8
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  69,15,85,196                        // andnps        %xmm12,%xmm8
  .byte  68,15,86,192                        // orps          %xmm0,%xmm8
  .byte  69,15,40,251                        // movaps        %xmm11,%xmm15
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,254                        // mulps         %xmm6,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  68,15,92,238                        // subps         %xmm6,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  65,15,84,201                        // andps         %xmm9,%xmm1
  .byte  68,15,85,200                        // andnps        %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  69,15,88,207                        // addps         %xmm15,%xmm9
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,40,108,36,232                 // movaps        -0x18(%rsp),%xmm13
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  68,15,40,210                        // movaps        %xmm2,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  68,15,194,211,2                     // cmpleps       %xmm3,%xmm10
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,92,245                        // subps         %xmm13,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  65,15,92,230                        // subps         %xmm14,%xmm4
  .byte  65,15,84,210                        // andps         %xmm10,%xmm2
  .byte  68,15,85,212                        // andnps        %xmm4,%xmm10
  .byte  68,15,86,210                        // orps          %xmm2,%xmm10
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  65,15,40,245                        // movaps        %xmm13,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse2
.globl _sk_overlay_sse2
FUNCTION(_sk_overlay_sse2)
_sk_overlay_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,232                        // movaps        %xmm0,%xmm13
  .byte  68,15,40,13,42,32,1,0               // movaps        0x1202a(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,92,244                        // subps         %xmm4,%xmm14
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  68,15,84,233                        // andps         %xmm1,%xmm13
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  65,15,86,205                        // orps          %xmm13,%xmm1
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,224                        // subps         %xmm8,%xmm12
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,92,237                        // subps         %xmm5,%xmm13
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  68,15,194,247,2                     // cmpleps       %xmm7,%xmm14
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,84,198                        // andps         %xmm14,%xmm8
  .byte  69,15,85,244                        // andnps        %xmm12,%xmm14
  .byte  69,15,86,240                        // orps          %xmm8,%xmm14
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  69,15,88,194                        // addps         %xmm10,%xmm8
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,230                        // subps         %xmm6,%xmm12
  .byte  68,15,40,238                        // movaps        %xmm6,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,194,239,2                     // cmpleps       %xmm7,%xmm13
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,88,228                        // addps         %xmm12,%xmm12
  .byte  69,15,92,220                        // subps         %xmm12,%xmm11
  .byte  65,15,84,213                        // andps         %xmm13,%xmm2
  .byte  69,15,85,235                        // andnps        %xmm11,%xmm13
  .byte  68,15,86,234                        // orps          %xmm2,%xmm13
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_sse2
.globl _sk_softlight_sse2
FUNCTION(_sk_softlight_sse2)
_sk_softlight_sse2:
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  68,15,194,231,1                     // cmpltps       %xmm7,%xmm12
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  69,15,84,212                        // andps         %xmm12,%xmm10
  .byte  68,15,40,13,215,30,1,0              // movaps        0x11ed7(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  69,15,92,250                        // subps         %xmm10,%xmm15
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,40,234                        // movaps        %xmm10,%xmm13
  .byte  65,15,82,194                        // rsqrtps       %xmm10,%xmm0
  .byte  15,83,200                           // rcpps         %xmm0,%xmm1
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,40,53,1,31,1,0                // movaps        0x11f01(%rip),%xmm14        # 2cd40 <_sk_overlay_sse2_8bit+0xf7c>
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  68,15,40,21,1,31,1,0                // movaps        0x11f01(%rip),%xmm10        # 2cd50 <_sk_overlay_sse2_8bit+0xf8c>
  .byte  69,15,89,234                        // mulps         %xmm10,%xmm13
  .byte  69,15,88,235                        // addps         %xmm11,%xmm13
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,194,231,2                        // cmpleps       %xmm7,%xmm4
  .byte  68,15,84,236                        // andps         %xmm4,%xmm13
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  65,15,86,229                        // orps          %xmm13,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  68,15,89,249                        // mulps         %xmm1,%xmm15
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,92,239                        // subps         %xmm7,%xmm13
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,253                        // mulps         %xmm5,%xmm15
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  68,15,84,248                        // andps         %xmm0,%xmm15
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  65,15,86,199                        // orps          %xmm15,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  68,15,94,199                        // divps         %xmm7,%xmm8
  .byte  69,15,84,196                        // andps         %xmm12,%xmm8
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  69,15,92,248                        // subps         %xmm8,%xmm15
  .byte  65,15,82,224                        // rsqrtps       %xmm8,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  65,15,92,224                        // subps         %xmm8,%xmm4
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  68,15,84,193                        // andps         %xmm1,%xmm8
  .byte  15,85,204                           // andnps        %xmm4,%xmm1
  .byte  65,15,86,200                        // orps          %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  68,15,89,252                        // mulps         %xmm4,%xmm15
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  65,15,40,227                        // movaps        %xmm11,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,254                        // mulps         %xmm6,%xmm15
  .byte  68,15,194,195,2                     // cmpleps       %xmm3,%xmm8
  .byte  69,15,84,248                        // andps         %xmm8,%xmm15
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,199                        // orps          %xmm15,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  68,15,40,124,36,216                 // movaps        -0x28(%rsp),%xmm15
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  65,15,84,204                        // andps         %xmm12,%xmm1
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  68,15,88,241                        // addps         %xmm1,%xmm14
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  15,82,209                           // rsqrtps       %xmm1,%xmm2
  .byte  15,83,210                           // rcpps         %xmm2,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,40,84,36,232                     // movaps        -0x18(%rsp),%xmm2
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  65,15,86,202                        // orps          %xmm10,%xmm1
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  65,15,40,227                        // movaps        %xmm11,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  69,15,40,215                        // movaps        %xmm15,%xmm10
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,209                        // orps          %xmm9,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_sse2
.globl _sk_hue_sse2
FUNCTION(_sk_hue_sse2)
_sk_hue_sse2:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  68,15,40,5,148,28,1,0               // movaps        0x11c94(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  15,41,68,36,232                     // movaps        %xmm0,-0x18(%rsp)
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  68,15,41,100,36,216                 // movaps        %xmm12,-0x28(%rsp)
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  68,15,40,237                        // movaps        %xmm5,%xmm13
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,41,68,36,200                     // movaps        %xmm0,-0x38(%rsp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  68,15,95,239                        // maxps         %xmm7,%xmm13
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,95,253                        // maxps         %xmm13,%xmm15
  .byte  68,15,93,231                        // minps         %xmm7,%xmm12
  .byte  69,15,93,244                        // minps         %xmm12,%xmm14
  .byte  69,15,92,254                        // subps         %xmm14,%xmm15
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  68,15,93,226                        // minps         %xmm2,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,95,244                        // maxps         %xmm12,%xmm14
  .byte  69,15,92,245                        // subps         %xmm13,%xmm14
  .byte  69,15,92,205                        // subps         %xmm13,%xmm9
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  68,15,89,251                        // mulps         %xmm3,%xmm15
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,94,214                        // divps         %xmm14,%xmm10
  .byte  65,15,94,214                        // divps         %xmm14,%xmm2
  .byte  69,15,194,244,4                     // cmpneqps      %xmm12,%xmm14
  .byte  69,15,84,206                        // andps         %xmm14,%xmm9
  .byte  69,15,84,214                        // andps         %xmm14,%xmm10
  .byte  65,15,84,214                        // andps         %xmm14,%xmm2
  .byte  68,15,40,61,81,28,1,0               // movaps        0x11c51(%rip),%xmm15        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,40,5,86,28,1,0                   // movaps        0x11c56(%rip),%xmm0        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  68,15,40,53,88,28,1,0               // movaps        0x11c58(%rip),%xmm14        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,238                        // addps         %xmm6,%xmm13
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,92,236                        // subps         %xmm4,%xmm13
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  69,15,88,213                        // addps         %xmm13,%xmm10
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,93,213                        // minps         %xmm13,%xmm2
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  15,93,242                           // minps         %xmm2,%xmm6
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,95,213                        // maxps         %xmm13,%xmm2
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,194,214,2                        // cmpleps       %xmm6,%xmm2
  .byte  69,15,40,254                        // movaps        %xmm14,%xmm15
  .byte  68,15,92,254                        // subps         %xmm6,%xmm15
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  65,15,92,246                        // subps         %xmm14,%xmm6
  .byte  65,15,89,246                        // mulps         %xmm14,%xmm6
  .byte  65,15,94,247                        // divps         %xmm15,%xmm6
  .byte  65,15,88,246                        // addps         %xmm14,%xmm6
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,85,198                           // andnps        %xmm6,%xmm0
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,41,76,36,184                     // movaps        %xmm1,-0x48(%rsp)
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,196,1                        // cmpltps       %xmm4,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,201                        // andnps        %xmm9,%xmm1
  .byte  69,15,92,206                        // subps         %xmm14,%xmm9
  .byte  65,15,92,246                        // subps         %xmm14,%xmm6
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,92,230                        // subps         %xmm14,%xmm4
  .byte  68,15,94,204                        // divps         %xmm4,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,94,207                        // divps         %xmm15,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  68,15,84,210                        // andps         %xmm2,%xmm10
  .byte  68,15,86,211                        // orps          %xmm3,%xmm10
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,202                        // andnps        %xmm10,%xmm1
  .byte  69,15,92,214                        // subps         %xmm14,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  68,15,94,212                        // divps         %xmm4,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  65,15,40,205                        // movaps        %xmm13,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,94,207                        // divps         %xmm15,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  68,15,84,234                        // andps         %xmm2,%xmm13
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,213                        // orps          %xmm13,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  69,15,95,204                        // maxps         %xmm12,%xmm9
  .byte  69,15,95,212                        // maxps         %xmm12,%xmm10
  .byte  65,15,95,212                        // maxps         %xmm12,%xmm2
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,76,36,232                     // movaps        -0x18(%rsp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  15,40,76,36,216                     // movaps        -0x28(%rsp),%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,195                        // addps         %xmm11,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,124,36,184                    // movaps        -0x48(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_sse2
.globl _sk_saturation_sse2
FUNCTION(_sk_saturation_sse2)
_sk_saturation_sse2:
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  68,15,40,216                        // movaps        %xmm0,%xmm11
  .byte  68,15,40,215                        // movaps        %xmm7,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,116,36,184                    // movaps        %xmm6,-0x48(%rsp)
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,40,232                        // movaps        %xmm8,%xmm13
  .byte  68,15,41,108,36,168                 // movaps        %xmm13,-0x58(%rsp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,100,36,216                    // movaps        %xmm4,-0x28(%rsp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,95,203                           // maxps         %xmm3,%xmm1
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,93,218                           // minps         %xmm2,%xmm3
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  65,15,40,228                        // movaps        %xmm12,%xmm4
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,93,208                           // minps         %xmm0,%xmm2
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,93,194                        // minps         %xmm2,%xmm8
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,92,208                        // subps         %xmm8,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,94,211                        // divps         %xmm3,%xmm10
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,94,195                           // divps         %xmm3,%xmm0
  .byte  15,194,218,4                        // cmpneqps      %xmm2,%xmm3
  .byte  68,15,84,211                        // andps         %xmm3,%xmm10
  .byte  68,15,84,203                        // andps         %xmm3,%xmm9
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  68,15,40,5,170,25,1,0               // movaps        0x119aa(%rip),%xmm8        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,40,13,172,25,1,0                 // movaps        0x119ac(%rip),%xmm1        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  68,15,40,37,171,25,1,0              // movaps        0x119ab(%rip),%xmm12        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,40,217                        // movaps        %xmm9,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  68,15,89,239                        // mulps         %xmm7,%xmm13
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,88,213                        // addps         %xmm13,%xmm10
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,93,197                        // minps         %xmm13,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,95,197                        // maxps         %xmm13,%xmm0
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  68,15,95,240                        // maxps         %xmm0,%xmm14
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  65,15,40,244                        // movaps        %xmm12,%xmm6
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  68,15,84,210                        // andps         %xmm2,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  68,15,40,5,96,24,1,0                // movaps        0x11860(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,194,222,1                     // cmpltps       %xmm14,%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,85,194                        // andnps        %xmm10,%xmm0
  .byte  69,15,92,212                        // subps         %xmm12,%xmm10
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,92,244                        // subps         %xmm12,%xmm14
  .byte  69,15,94,214                        // divps         %xmm14,%xmm10
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  68,15,84,211                        // andps         %xmm3,%xmm10
  .byte  68,15,86,208                        // orps          %xmm0,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,40,250                        // movaps        %xmm2,%xmm15
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  69,15,86,207                        // orps          %xmm15,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,85,193                        // andnps        %xmm9,%xmm0
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  68,15,84,203                        // andps         %xmm3,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,84,234                        // andps         %xmm2,%xmm13
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  65,15,86,213                        // orps          %xmm13,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,85,194                           // andnps        %xmm2,%xmm0
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  65,15,94,214                        // divps         %xmm14,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,84,211                           // andps         %xmm3,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,92,36,184                     // movaps        -0x48(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  65,15,92,228                        // subps         %xmm12,%xmm4
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  68,15,88,216                        // addps         %xmm0,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,76,36,216                     // movaps        -0x28(%rsp),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,100,36,232                    // mulps         -0x18(%rsp),%xmm4
  .byte  15,40,68,36,168                     // movaps        -0x58(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  65,15,40,252                        // movaps        %xmm12,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_sse2
.globl _sk_color_sse2
FUNCTION(_sk_color_sse2)
_sk_color_sse2:
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,41,100,36,216                 // movaps        %xmm12,-0x28(%rsp)
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,41,92,36,232                  // movaps        %xmm11,-0x18(%rsp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  68,15,40,45,110,23,1,0              // movaps        0x1176e(%rip),%xmm13        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,40,53,110,23,1,0              // movaps        0x1176e(%rip),%xmm14        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,29,106,23,1,0              // movaps        0x1176a(%rip),%xmm11        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,89,197                        // mulps         %xmm13,%xmm0
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  68,15,40,5,166,22,1,0               // movaps        0x116a6(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,76,36,184                     // movaps        -0x48(%rsp),%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,93,196                        // minps         %xmm12,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,95,196                        // maxps         %xmm12,%xmm0
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  68,15,95,248                        // maxps         %xmm0,%xmm15
  .byte  69,15,89,233                        // mulps         %xmm9,%xmm13
  .byte  69,15,89,242                        // mulps         %xmm10,%xmm14
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  69,15,89,220                        // mulps         %xmm12,%xmm11
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,87,237                        // xorps         %xmm13,%xmm13
  .byte  68,15,194,233,2                     // cmpleps       %xmm1,%xmm13
  .byte  69,15,40,243                        // movaps        %xmm11,%xmm14
  .byte  68,15,92,241                        // subps         %xmm1,%xmm14
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  69,15,84,205                        // andps         %xmm13,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,41,84,36,200                     // movaps        %xmm2,-0x38(%rsp)
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,41,92,36,184                     // movaps        %xmm3,-0x48(%rsp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,201                        // andnps        %xmm9,%xmm1
  .byte  69,15,92,203                        // subps         %xmm11,%xmm9
  .byte  65,15,92,219                        // subps         %xmm11,%xmm3
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  69,15,92,251                        // subps         %xmm11,%xmm15
  .byte  69,15,94,207                        // divps         %xmm15,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,213                        // movaps        %xmm13,%xmm2
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  69,15,84,213                        // andps         %xmm13,%xmm10
  .byte  68,15,86,210                        // orps          %xmm2,%xmm10
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,202                        // andnps        %xmm10,%xmm1
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  69,15,94,215                        // divps         %xmm15,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,84,229                        // andps         %xmm13,%xmm12
  .byte  68,15,85,233                        // andnps        %xmm1,%xmm13
  .byte  69,15,86,236                        // orps          %xmm12,%xmm13
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,94,239                        // divps         %xmm15,%xmm13
  .byte  69,15,88,235                        // addps         %xmm11,%xmm13
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  68,15,86,233                        // orps          %xmm1,%xmm13
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  68,15,95,232                        // maxps         %xmm0,%xmm13
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,84,36,232                     // movaps        -0x18(%rsp),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  65,15,88,234                        // addps         %xmm10,%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,68,36,216                     // movaps        -0x28(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,184                     // movaps        -0x48(%rsp),%xmm3
  .byte  15,40,124,36,200                    // movaps        -0x38(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_sse2
.globl _sk_luminosity_sse2
FUNCTION(_sk_luminosity_sse2)
_sk_luminosity_sse2:
  .byte  68,15,40,215                        // movaps        %xmm7,%xmm10
  .byte  15,41,116,36,200                    // movaps        %xmm6,-0x38(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  15,41,100,36,216                    // movaps        %xmm4,-0x28(%rsp)
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  68,15,40,37,45,21,1,0               // movaps        0x1152d(%rip),%xmm12        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,45,45,21,1,0               // movaps        0x1152d(%rip),%xmm13        # 2cd70 <_sk_overlay_sse2_8bit+0xfac>
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,240                        // addps         %xmm8,%xmm14
  .byte  68,15,40,29,41,21,1,0               // movaps        0x11529(%rip),%xmm11        # 2cd80 <_sk_overlay_sse2_8bit+0xfbc>
  .byte  68,15,40,5,129,20,1,0               // movaps        0x11481(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,248                        // movaps        %xmm8,%xmm15
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,41,76,36,184                     // movaps        %xmm1,-0x48(%rsp)
  .byte  68,15,89,250                        // mulps         %xmm2,%xmm15
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  68,15,40,244                        // movaps        %xmm4,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,93,210                        // minps         %xmm2,%xmm10
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,93,226                        // minps         %xmm10,%xmm4
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,95,210                        // maxps         %xmm2,%xmm10
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,95,242                        // maxps         %xmm10,%xmm14
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,221                        // addps         %xmm13,%xmm11
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  68,15,194,228,2                     // cmpleps       %xmm4,%xmm12
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,92,227                        // subps         %xmm11,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  65,15,94,226                        // divps         %xmm10,%xmm4
  .byte  65,15,88,227                        // addps         %xmm11,%xmm4
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,85,236                        // andnps        %xmm4,%xmm13
  .byte  69,15,84,204                        // andps         %xmm12,%xmm9
  .byte  69,15,86,205                        // orps          %xmm13,%xmm9
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,68,36,168                     // movaps        %xmm0,-0x58(%rsp)
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  68,15,40,236                        // movaps        %xmm4,%xmm13
  .byte  65,15,194,230,1                     // cmpltps       %xmm14,%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,85,193                        // andnps        %xmm9,%xmm0
  .byte  69,15,92,203                        // subps         %xmm11,%xmm9
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,84,204                        // andps         %xmm4,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,94,194                        // divps         %xmm10,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  65,15,84,220                        // andps         %xmm12,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,85,195                           // andnps        %xmm3,%xmm0
  .byte  65,15,92,219                        // subps         %xmm11,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  65,15,94,222                        // divps         %xmm14,%xmm3
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,94,194                        // divps         %xmm10,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,84,212                        // andps         %xmm12,%xmm2
  .byte  68,15,85,224                        // andnps        %xmm0,%xmm12
  .byte  68,15,86,226                        // orps          %xmm2,%xmm12
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,85,196                        // andnps        %xmm12,%xmm0
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,94,230                        // divps         %xmm14,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  68,15,84,228                        // andps         %xmm4,%xmm12
  .byte  68,15,86,224                        // orps          %xmm0,%xmm12
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  68,15,95,224                        // maxps         %xmm0,%xmm12
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,100,36,216                    // movaps        -0x28(%rsp),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  68,15,40,84,36,232                  // movaps        -0x18(%rsp),%xmm10
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  15,40,76,36,184                     // movaps        -0x48(%rsp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  69,15,88,199                        // addps         %xmm15,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  65,15,40,234                        // movaps        %xmm10,%xmm5
  .byte  15,40,124,36,168                    // movaps        -0x58(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_sse2
.globl _sk_srcover_rgba_8888_sse2
FUNCTION(_sk_srcover_rgba_8888_sse2)
_sk_srcover_rgba_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,228,0,0,0                    // jne           1bb4a <_sk_srcover_rgba_8888_sse2+0x104>
  .byte  243,69,15,111,4,128                 // movdqu        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,53,25,19,1,0             // movdqa        0x11319(%rip),%xmm6        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,224                   // movdqa        %xmm8,%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  102,65,15,111,232                   // movdqa        %xmm8,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  102,65,15,111,248                   // movdqa        %xmm8,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  15,91,247                           // cvtdq2ps      %xmm7,%xmm6
  .byte  102,65,15,114,208,24                // psrld         $0x18,%xmm8
  .byte  65,15,91,248                        // cvtdq2ps      %xmm8,%xmm7
  .byte  68,15,40,5,41,18,1,0                // movaps        0x11229(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,40,37,253,18,1,0              // movaps        0x112fd(%rip),%xmm12        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  65,15,89,220                        // mulps         %xmm12,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,88,195                        // addps         %xmm3,%xmm8
  .byte  102,65,15,91,193                    // cvtps2dq      %xmm9,%xmm0
  .byte  102,65,15,91,202                    // cvtps2dq      %xmm10,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,65,15,91,211                    // cvtps2dq      %xmm11,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  117,84                              // jne           1bb84 <_sk_srcover_rgba_8888_sse2+0x13e>
  .byte  243,65,15,127,4,128                 // movdqu        %xmm0,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,90                              // je            1bbb1 <_sk_srcover_rgba_8888_sse2+0x16b>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1bb79 <_sk_srcover_rgba_8888_sse2+0x133>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,0,255,255,255                // jne           1ba6c <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  102,69,15,18,4,128                  // movlpd        (%r8,%rax,4),%xmm8
  .byte  233,232,254,255,255                 // jmpq          1ba6c <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,43                              // je            1bbbc <_sk_srcover_rgba_8888_sse2+0x176>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1bba9 <_sk_srcover_rgba_8888_sse2+0x163>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,153                             // jne           1bb36 <_sk_srcover_rgba_8888_sse2+0xf0>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,76,128,8              // movd          %xmm1,0x8(%r8,%rax,4)
  .byte  102,65,15,214,4,128                 // movq          %xmm0,(%r8,%rax,4)
  .byte  235,133                             // jmp           1bb36 <_sk_srcover_rgba_8888_sse2+0xf0>
  .byte  102,69,15,110,4,128                 // movd          (%r8,%rax,4),%xmm8
  .byte  233,176,254,255,255                 // jmpq          1ba6c <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  102,65,15,126,4,128                 // movd          %xmm0,(%r8,%rax,4)
  .byte  233,111,255,255,255                 // jmpq          1bb36 <_sk_srcover_rgba_8888_sse2+0xf0>

HIDDEN _sk_clamp_0_sse2
.globl _sk_clamp_0_sse2
FUNCTION(_sk_clamp_0_sse2)
_sk_clamp_0_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,95,200                        // maxps         %xmm8,%xmm1
  .byte  65,15,95,208                        // maxps         %xmm8,%xmm2
  .byte  65,15,95,216                        // maxps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_sse2
.globl _sk_clamp_1_sse2
FUNCTION(_sk_clamp_1_sse2)
_sk_clamp_1_sse2:
  .byte  68,15,40,5,249,16,1,0               // movaps        0x110f9(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_sse2
.globl _sk_clamp_a_sse2
FUNCTION(_sk_clamp_a_sse2)
_sk_clamp_a_sse2:
  .byte  15,93,29,222,16,1,0                 // minps         0x110de(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_sse2
.globl _sk_clamp_a_dst_sse2
FUNCTION(_sk_clamp_a_dst_sse2)
_sk_clamp_a_dst_sse2:
  .byte  15,93,61,202,16,1,0                 // minps         0x110ca(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,93,239                           // minps         %xmm7,%xmm5
  .byte  15,93,247                           // minps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse2
.globl _sk_set_rgb_sse2
FUNCTION(_sk_set_rgb_sse2)
_sk_set_rgb_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse2
.globl _sk_swap_rb_sse2
FUNCTION(_sk_swap_rb_sse2)
_sk_swap_rb_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse2
.globl _sk_invert_sse2
FUNCTION(_sk_invert_sse2)
_sk_invert_sse2:
  .byte  68,15,40,5,134,16,1,0               // movaps        0x11086(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_sse2
.globl _sk_move_src_dst_sse2
FUNCTION(_sk_move_src_dst_sse2)
_sk_move_src_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse2
.globl _sk_move_dst_src_sse2
FUNCTION(_sk_move_dst_src_sse2)
_sk_move_dst_src_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse2
.globl _sk_premul_sse2
FUNCTION(_sk_premul_sse2)
_sk_premul_sse2:
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_sse2
.globl _sk_premul_dst_sse2
FUNCTION(_sk_premul_dst_sse2)
_sk_premul_dst_sse2:
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_sse2
.globl _sk_unpremul_sse2
FUNCTION(_sk_unpremul_sse2)
_sk_unpremul_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,13,16,16,1,0               // movaps        0x11010(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  68,15,194,195,4                     // cmpneqps      %xmm3,%xmm8
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_sse2
.globl _sk_from_srgb_sse2
FUNCTION(_sk_from_srgb_sse2)
_sk_from_srgb_sse2:
  .byte  68,15,40,5,219,16,1,0               // movaps        0x110db(%rip),%xmm8        # 2cdd0 <_sk_overlay_sse2_8bit+0x100c>
  .byte  68,15,40,232                        // movaps        %xmm0,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,216                        // movaps        %xmm0,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,40,13,83,16,1,0               // movaps        0x11053(%rip),%xmm9        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,40,21,195,16,1,0              // movaps        0x110c3(%rip),%xmm10        # 2cde0 <_sk_overlay_sse2_8bit+0x101c>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,40,29,195,16,1,0              // movaps        0x110c3(%rip),%xmm11        # 2cdf0 <_sk_overlay_sse2_8bit+0x102c>
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  68,15,40,37,199,16,1,0              // movaps        0x110c7(%rip),%xmm12        # 2ce00 <_sk_overlay_sse2_8bit+0x103c>
  .byte  65,15,194,196,1                     // cmpltps       %xmm12,%xmm0
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  65,15,85,198                        // andnps        %xmm14,%xmm0
  .byte  65,15,86,197                        // orps          %xmm13,%xmm0
  .byte  68,15,40,233                        // movaps        %xmm1,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,246                        // mulps         %xmm14,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  65,15,194,204,1                     // cmpltps       %xmm12,%xmm1
  .byte  68,15,84,233                        // andps         %xmm1,%xmm13
  .byte  65,15,85,207                        // andnps        %xmm15,%xmm1
  .byte  65,15,86,205                        // orps          %xmm13,%xmm1
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  68,15,40,234                        // movaps        %xmm2,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  65,15,194,212,1                     // cmpltps       %xmm12,%xmm2
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,209                        // andnps        %xmm9,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_sse2
.globl _sk_from_srgb_dst_sse2
FUNCTION(_sk_from_srgb_dst_sse2)
_sk_from_srgb_dst_sse2:
  .byte  68,15,40,5,24,16,1,0                // movaps        0x11018(%rip),%xmm8        # 2cdd0 <_sk_overlay_sse2_8bit+0x100c>
  .byte  68,15,40,236                        // movaps        %xmm4,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,40,13,144,15,1,0              // movaps        0x10f90(%rip),%xmm9        # 2cd60 <_sk_overlay_sse2_8bit+0xf9c>
  .byte  68,15,40,244                        // movaps        %xmm4,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,40,21,0,16,1,0                // movaps        0x11000(%rip),%xmm10        # 2cde0 <_sk_overlay_sse2_8bit+0x101c>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,40,29,0,16,1,0                // movaps        0x11000(%rip),%xmm11        # 2cdf0 <_sk_overlay_sse2_8bit+0x102c>
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  68,15,40,37,4,16,1,0                // movaps        0x11004(%rip),%xmm12        # 2ce00 <_sk_overlay_sse2_8bit+0x103c>
  .byte  65,15,194,228,1                     // cmpltps       %xmm12,%xmm4
  .byte  68,15,84,236                        // andps         %xmm4,%xmm13
  .byte  65,15,85,230                        // andnps        %xmm14,%xmm4
  .byte  65,15,86,229                        // orps          %xmm13,%xmm4
  .byte  68,15,40,237                        // movaps        %xmm5,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  69,15,89,246                        // mulps         %xmm14,%xmm14
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  65,15,194,236,1                     // cmpltps       %xmm12,%xmm5
  .byte  68,15,84,237                        // andps         %xmm5,%xmm13
  .byte  65,15,85,239                        // andnps        %xmm15,%xmm5
  .byte  65,15,86,237                        // orps          %xmm13,%xmm5
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  68,15,40,238                        // movaps        %xmm6,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  65,15,194,244,1                     // cmpltps       %xmm12,%xmm6
  .byte  68,15,84,198                        // andps         %xmm6,%xmm8
  .byte  65,15,85,241                        // andnps        %xmm9,%xmm6
  .byte  65,15,86,240                        // orps          %xmm8,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_sse2
.globl _sk_to_srgb_sse2
FUNCTION(_sk_to_srgb_sse2)
_sk_to_srgb_sse2:
  .byte  68,15,82,232                        // rsqrtps       %xmm0,%xmm13
  .byte  68,15,40,5,145,15,1,0               // movaps        0x10f91(%rip),%xmm8        # 2ce10 <_sk_overlay_sse2_8bit+0x104c>
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  69,15,89,240                        // mulps         %xmm8,%xmm14
  .byte  68,15,40,13,145,15,1,0              // movaps        0x10f91(%rip),%xmm9        # 2ce20 <_sk_overlay_sse2_8bit+0x105c>
  .byte  69,15,40,253                        // movaps        %xmm13,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  68,15,40,21,145,15,1,0              // movaps        0x10f91(%rip),%xmm10        # 2ce30 <_sk_overlay_sse2_8bit+0x106c>
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  68,15,40,29,145,15,1,0              // movaps        0x10f91(%rip),%xmm11        # 2ce40 <_sk_overlay_sse2_8bit+0x107c>
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  68,15,40,37,149,15,1,0              // movaps        0x10f95(%rip),%xmm12        # 2ce50 <_sk_overlay_sse2_8bit+0x108c>
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,239                        // mulps         %xmm15,%xmm13
  .byte  68,15,40,61,145,15,1,0              // movaps        0x10f91(%rip),%xmm15        # 2ce60 <_sk_overlay_sse2_8bit+0x109c>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  68,15,84,240                        // andps         %xmm0,%xmm14
  .byte  65,15,85,197                        // andnps        %xmm13,%xmm0
  .byte  65,15,86,198                        // orps          %xmm14,%xmm0
  .byte  68,15,82,233                        // rsqrtps       %xmm1,%xmm13
  .byte  69,15,40,245                        // movaps        %xmm13,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,240                        // mulps         %xmm8,%xmm14
  .byte  65,15,194,207,1                     // cmpltps       %xmm15,%xmm1
  .byte  68,15,84,241                        // andps         %xmm1,%xmm14
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  65,15,86,206                        // orps          %xmm14,%xmm1
  .byte  68,15,82,234                        // rsqrtps       %xmm2,%xmm13
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,213                        // rcpps         %xmm13,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,210                        // andnps        %xmm10,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_sse2
.globl _sk_rgb_to_hsl_sse2
FUNCTION(_sk_rgb_to_hsl_sse2)
_sk_rgb_to_hsl_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,93,216                        // minps         %xmm0,%xmm11
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  68,15,40,45,84,13,1,0               // movaps        0x10d54(%rip),%xmm13        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  68,15,94,233                        // divps         %xmm1,%xmm13
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,194,192,0                     // cmpeqps       %xmm8,%xmm0
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,194,242,1                     // cmpltps       %xmm2,%xmm14
  .byte  68,15,84,53,186,14,1,0              // andps         0x10eba(%rip),%xmm14        # 2ce70 <_sk_overlay_sse2_8bit+0x10ac>
  .byte  69,15,88,244                        // addps         %xmm12,%xmm14
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,194,249,0                     // cmpeqps       %xmm9,%xmm15
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  68,15,40,37,173,14,1,0              // movaps        0x10ead(%rip),%xmm12        # 2ce80 <_sk_overlay_sse2_8bit+0x10bc>
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,5,169,14,1,0               // addps         0x10ea9(%rip),%xmm8        # 2ce90 <_sk_overlay_sse2_8bit+0x10cc>
  .byte  65,15,84,215                        // andps         %xmm15,%xmm2
  .byte  69,15,85,248                        // andnps        %xmm8,%xmm15
  .byte  68,15,86,250                        // orps          %xmm2,%xmm15
  .byte  68,15,84,240                        // andps         %xmm0,%xmm14
  .byte  65,15,85,199                        // andnps        %xmm15,%xmm0
  .byte  65,15,86,198                        // orps          %xmm14,%xmm0
  .byte  15,89,5,154,14,1,0                  // mulps         0x10e9a(%rip),%xmm0        # 2cea0 <_sk_overlay_sse2_8bit+0x10dc>
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  69,15,194,195,4                     // cmpneqps      %xmm11,%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  69,15,92,226                        // subps         %xmm10,%xmm12
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  68,15,40,13,173,12,1,0              // movaps        0x10cad(%rip),%xmm9        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,194,202,1                     // cmpltps       %xmm2,%xmm9
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,84,225                        // andps         %xmm9,%xmm12
  .byte  69,15,85,202                        // andnps        %xmm10,%xmm9
  .byte  69,15,86,204                        // orps          %xmm12,%xmm9
  .byte  65,15,94,201                        // divps         %xmm9,%xmm1
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_sse2
.globl _sk_hsl_to_rgb_sse2
FUNCTION(_sk_hsl_to_rgb_sse2)
_sk_hsl_to_rgb_sse2:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  68,15,40,13,92,12,1,0               // movaps        0x10c5c(%rip),%xmm9        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  69,15,194,211,2                     // cmpleps       %xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,217,0                        // cmpeqps       %xmm1,%xmm3
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,136                    // movaps        %xmm7,-0x78(%rsp)
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,84,194                        // andps         %xmm10,%xmm0
  .byte  68,15,85,209                        // andnps        %xmm1,%xmm10
  .byte  68,15,86,208                        // orps          %xmm0,%xmm10
  .byte  68,15,41,92,36,152                  // movaps        %xmm11,-0x68(%rsp)
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,88,219                        // addps         %xmm11,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  15,40,5,245,13,1,0                  // movaps        0x10df5(%rip),%xmm0        # 2ceb0 <_sk_overlay_sse2_8bit+0x10ec>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,194,217,1                        // cmpltps       %xmm1,%xmm3
  .byte  15,84,29,13,12,1,0                  // andps         0x10c0d(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  68,15,40,45,223,13,1,0              // movaps        0x10ddf(%rip),%xmm13        # 2cec0 <_sk_overlay_sse2_8bit+0x10fc>
  .byte  69,15,40,197                        // movaps        %xmm13,%xmm8
  .byte  68,15,194,192,2                     // cmpleps       %xmm0,%xmm8
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  65,15,40,217                        // movaps        %xmm9,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,40,21,159,13,1,0                 // movaps        0x10d9f(%rip),%xmm2        # 2cea0 <_sk_overlay_sse2_8bit+0x10dc>
  .byte  68,15,40,250                        // movaps        %xmm2,%xmm15
  .byte  68,15,194,248,2                     // cmpleps       %xmm0,%xmm15
  .byte  15,40,13,95,13,1,0                  // movaps        0x10d5f(%rip),%xmm1        # 2ce70 <_sk_overlay_sse2_8bit+0x10ac>
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,45,117,13,1,0                 // movaps        0x10d75(%rip),%xmm5        # 2ce90 <_sk_overlay_sse2_8bit+0x10cc>
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  65,15,88,227                        // addps         %xmm11,%xmm4
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,84,224                        // andps         %xmm8,%xmm12
  .byte  68,15,85,196                        // andnps        %xmm4,%xmm8
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,84,195                        // andps         %xmm3,%xmm8
  .byte  65,15,85,218                        // andnps        %xmm10,%xmm3
  .byte  65,15,86,216                        // orps          %xmm8,%xmm3
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,84,223                        // andps         %xmm15,%xmm3
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,86,251                        // orps          %xmm3,%xmm15
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,85,199                        // andnps        %xmm15,%xmm8
  .byte  243,15,91,198                       // cvttps2dq     %xmm6,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,29,106,11,1,0                 // andps         0x10b6a(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  69,15,40,253                        // movaps        %xmm13,%xmm15
  .byte  69,15,194,252,2                     // cmpleps       %xmm12,%xmm15
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,194,228,2                     // cmpleps       %xmm12,%xmm4
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  65,15,194,220,2                     // cmpleps       %xmm12,%xmm3
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  65,15,84,255                        // andps         %xmm15,%xmm7
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,86,255                        // orps          %xmm7,%xmm15
  .byte  68,15,84,252                        // andps         %xmm4,%xmm15
  .byte  65,15,85,226                        // andnps        %xmm10,%xmm4
  .byte  65,15,86,231                        // orps          %xmm15,%xmm4
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  65,15,85,220                        // andnps        %xmm12,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,40,124,36,136                    // movaps        -0x78(%rsp),%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,85,227                           // andnps        %xmm3,%xmm4
  .byte  15,88,53,226,12,1,0                 // addps         0x10ce2(%rip),%xmm6        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  243,15,91,198                       // cvttps2dq     %xmm6,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,29,221,10,1,0                 // andps         0x10add(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  65,15,89,238                        // mulps         %xmm14,%xmm5
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,88,235                        // addps         %xmm11,%xmm5
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  68,15,194,238,2                     // cmpleps       %xmm6,%xmm13
  .byte  69,15,84,221                        // andps         %xmm13,%xmm11
  .byte  68,15,85,237                        // andnps        %xmm5,%xmm13
  .byte  69,15,86,235                        // orps          %xmm11,%xmm13
  .byte  68,15,194,206,2                     // cmpleps       %xmm6,%xmm9
  .byte  69,15,84,233                        // andps         %xmm9,%xmm13
  .byte  69,15,85,202                        // andnps        %xmm10,%xmm9
  .byte  69,15,86,205                        // orps          %xmm13,%xmm9
  .byte  15,194,214,2                        // cmpleps       %xmm6,%xmm2
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,209                        // orps          %xmm9,%xmm2
  .byte  15,40,68,36,152                     // movaps        -0x68(%rsp),%xmm0
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  68,15,86,192                        // orps          %xmm0,%xmm8
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_sse2
.globl _sk_scale_1_float_sse2
FUNCTION(_sk_scale_1_float_sse2)
_sk_scale_1_float_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse2
.globl _sk_scale_u8_sse2
FUNCTION(_sk_scale_u8_sse2)
_sk_scale_u8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           1c304 <_sk_scale_u8_sse2+0x55>
  .byte  102,71,15,110,4,16                  // movd          (%r8,%r10,1),%xmm8
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,219,5,176,10,1,0          // pand          0x10ab0(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,244,11,1,0               // mulps         0x10bf4(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,61                              // je            1c34e <_sk_scale_u8_sse2+0x9f>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c333 <_sk_scale_u8_sse2+0x84>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,181                             // jne           1c2d7 <_sk_scale_u8_sse2+0x28>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,68,15,96,200                    // punpcklbw     %xmm0,%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  235,137                             // jmp           1c2d7 <_sk_scale_u8_sse2+0x28>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,122,255,255,255                 // jmpq          1c2d7 <_sk_scale_u8_sse2+0x28>

HIDDEN _sk_scale_565_sse2
.globl _sk_scale_565_sse2
FUNCTION(_sk_scale_565_sse2)
_sk_scale_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,173,0,0,0                    // jne           1c429 <_sk_scale_565_sse2+0xcc>
  .byte  243,71,15,126,20,80                 // movq          (%r8,%r10,2),%xmm10
  .byte  102,68,15,97,208                    // punpcklwd     %xmm0,%xmm10
  .byte  102,68,15,111,5,96,11,1,0           // movdqa        0x10b60(%rip),%xmm8        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,69,15,219,194                   // pand          %xmm10,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,95,11,1,0                // mulps         0x10b5f(%rip),%xmm8        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,68,15,111,13,102,11,1,0         // movdqa        0x10b66(%rip),%xmm9        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,69,15,219,202                   // pand          %xmm10,%xmm9
  .byte  69,15,91,201                        // cvtdq2ps      %xmm9,%xmm9
  .byte  68,15,89,13,101,11,1,0              // mulps         0x10b65(%rip),%xmm9        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,68,15,219,21,108,11,1,0         // pand          0x10b6c(%rip),%xmm10        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  68,15,89,21,112,11,1,0              // mulps         0x10b70(%rip),%xmm10        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,194,223,1                     // cmpltps       %xmm7,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,93,226                        // minps         %xmm10,%xmm12
  .byte  69,15,40,232                        // movaps        %xmm8,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,40,240                        // movaps        %xmm8,%xmm14
  .byte  69,15,95,244                        // maxps         %xmm12,%xmm14
  .byte  69,15,84,235                        // andps         %xmm11,%xmm13
  .byte  69,15,85,222                        // andnps        %xmm14,%xmm11
  .byte  69,15,86,221                        // orps          %xmm13,%xmm11
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1c471 <_sk_scale_565_sse2+0x114>
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,27                              // je            1c45c <_sk_scale_565_sse2+0xff>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,60,255,255,255               // jne           1c387 <_sk_scale_565_sse2+0x2a>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,208,69                // pshufd        $0x45,%xmm8,%xmm10
  .byte  102,71,15,110,4,80                  // movd          (%r8,%r10,2),%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  242,69,15,16,208                    // movsd         %xmm8,%xmm10
  .byte  233,22,255,255,255                  // jmpq          1c387 <_sk_scale_565_sse2+0x2a>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,208                   // movd          %eax,%xmm10
  .byte  233,7,255,255,255                   // jmpq          1c387 <_sk_scale_565_sse2+0x2a>

HIDDEN _sk_lerp_1_float_sse2
.globl _sk_lerp_1_float_sse2
FUNCTION(_sk_lerp_1_float_sse2)
_sk_lerp_1_float_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse2
.globl _sk_lerp_u8_sse2
FUNCTION(_sk_lerp_u8_sse2)
_sk_lerp_u8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,81                              // jne           1c521 <_sk_lerp_u8_sse2+0x69>
  .byte  102,71,15,110,4,16                  // movd          (%r8,%r10,1),%xmm8
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,219,5,167,8,1,0           // pand          0x108a7(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,235,9,1,0                // mulps         0x109eb(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,64                              // je            1c56e <_sk_lerp_u8_sse2+0xb6>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c550 <_sk_lerp_u8_sse2+0x98>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,161                             // jne           1c4e0 <_sk_lerp_u8_sse2+0x28>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,68,15,96,200                    // punpcklbw     %xmm0,%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  233,114,255,255,255                 // jmpq          1c4e0 <_sk_lerp_u8_sse2+0x28>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,99,255,255,255                  // jmpq          1c4e0 <_sk_lerp_u8_sse2+0x28>

HIDDEN _sk_lerp_565_sse2
.globl _sk_lerp_565_sse2
FUNCTION(_sk_lerp_565_sse2)
_sk_lerp_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,173,0,0,0                    // jne           1c649 <_sk_lerp_565_sse2+0xcc>
  .byte  243,71,15,126,4,80                  // movq          (%r8,%r10,2),%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,111,13,64,9,1,0           // movdqa        0x10940(%rip),%xmm9        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  69,15,91,201                        // cvtdq2ps      %xmm9,%xmm9
  .byte  68,15,89,13,63,9,1,0                // mulps         0x1093f(%rip),%xmm9        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,68,15,111,21,70,9,1,0           // movdqa        0x10946(%rip),%xmm10        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,69,15,219,208                   // pand          %xmm8,%xmm10
  .byte  69,15,91,218                        // cvtdq2ps      %xmm10,%xmm11
  .byte  68,15,89,29,69,9,1,0                // mulps         0x10945(%rip),%xmm11        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,68,15,219,5,76,9,1,0            // pand          0x1094c(%rip),%xmm8        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,80,9,1,0                 // mulps         0x10950(%rip),%xmm8        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,194,215,1                     // cmpltps       %xmm7,%xmm10
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,93,216                        // minps         %xmm8,%xmm11
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  69,15,93,203                        // minps         %xmm11,%xmm9
  .byte  69,15,95,224                        // maxps         %xmm8,%xmm12
  .byte  69,15,95,236                        // maxps         %xmm12,%xmm13
  .byte  69,15,84,202                        // andps         %xmm10,%xmm9
  .byte  69,15,85,213                        // andnps        %xmm13,%xmm10
  .byte  69,15,86,209                        // orps          %xmm9,%xmm10
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1c691 <_sk_lerp_565_sse2+0x114>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,27                              // je            1c67c <_sk_lerp_565_sse2+0xff>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,60,255,255,255               // jne           1c5a7 <_sk_lerp_565_sse2+0x2a>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  102,71,15,110,12,80                 // movd          (%r8,%r10,2),%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  233,22,255,255,255                  // jmpq          1c5a7 <_sk_lerp_565_sse2+0x2a>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,7,255,255,255                   // jmpq          1c5a7 <_sk_lerp_565_sse2+0x2a>

HIDDEN _sk_load_tables_sse2
.globl _sk_load_tables_sse2
FUNCTION(_sk_load_tables_sse2)
_sk_load_tables_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,32,1,0,0                     // jne           1c7ce <_sk_load_tables_sse2+0x12e>
  .byte  243,69,15,111,12,144                // movdqu        (%r8,%rdx,4),%xmm9
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,111,5,208,6,1,0           // movdqa        0x106d0(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,12,11                  // movss         (%rbx,%r9,1),%xmm1
  .byte  243,66,15,16,4,3                    // movss         (%rbx,%r8,1),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,65,15,219,200                   // pand          %xmm8,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,65,15,16,20,30                  // movss         (%r14,%rbx,1),%xmm2
  .byte  243,67,15,16,12,6                   // movss         (%r14,%r8,1),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  243,67,15,16,28,150                 // movss         (%r14,%r10,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,111,209                   // movdqa        %xmm9,%xmm2
  .byte  102,15,114,210,16                   // psrld         $0x10,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,69,15,16,4,0                    // movss         (%r8,%rax,1),%xmm8
  .byte  243,65,15,16,20,24                  // movss         (%r8,%rbx,1),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  15,89,29,25,7,1,0                   // mulps         0x10719(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            1c808 <_sk_load_tables_sse2+0x168>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c7fd <_sk_load_tables_sse2+0x15d>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,196,254,255,255              // jne           1c6b4 <_sk_load_tables_sse2+0x14>
  .byte  102,65,15,110,68,144,8              // movd          0x8(%r8,%rdx,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,144                 // movlpd        (%r8,%rdx,4),%xmm9
  .byte  233,172,254,255,255                 // jmpq          1c6b4 <_sk_load_tables_sse2+0x14>
  .byte  102,69,15,110,12,144                // movd          (%r8,%rdx,4),%xmm9
  .byte  233,161,254,255,255                 // jmpq          1c6b4 <_sk_load_tables_sse2+0x14>

HIDDEN _sk_load_tables_u16_be_sse2
.globl _sk_load_tables_u16_be_sse2
FUNCTION(_sk_load_tables_u16_be_sse2)
_sk_load_tables_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,97,1,0,0                     // jne           1c98a <_sk_load_tables_u16_be_sse2+0x177>
  .byte  102,67,15,16,4,72                   // movupd        (%r8,%r9,2),%xmm0
  .byte  102,67,15,16,76,72,16               // movupd        0x10(%r8,%r9,2),%xmm1
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,68,15,111,21,242,6,1,0          // movdqa        0x106f2(%rip),%xmm10        # 2cf50 <_sk_overlay_sse2_8bit+0x118c>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,65,15,97,192                    // punpcklwd     %xmm8,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  69,15,182,200                       // movzbl        %r8b,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,15,182,218                       // movzbl        %r10b,%r11d
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,28,19                  // movss         (%rbx,%r10,1),%xmm3
  .byte  243,66,15,16,4,131                  // movss         (%rbx,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,66,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm0
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,115,217,8                    // psrldq        $0x8,%xmm1
  .byte  102,65,15,219,202                   // pand          %xmm10,%xmm1
  .byte  102,65,15,97,200                    // punpcklwd     %xmm8,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  243,67,15,16,20,14                  // movss         (%r14,%r9,1),%xmm2
  .byte  243,65,15,16,12,158                 // movss         (%r14,%rbx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,69,15,97,208                    // punpcklwd     %xmm8,%xmm10
  .byte  102,65,15,112,210,78                // pshufd        $0x4e,%xmm10,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,76,15,126,208                   // movq          %xmm10,%rax
  .byte  68,15,182,208                       // movzbl        %al,%r10d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  243,69,15,16,20,1                   // movss         (%r9,%rax,1),%xmm10
  .byte  243,65,15,16,20,153                 // movss         (%r9,%rbx,4),%xmm2
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  243,67,15,16,20,145                 // movss         (%r9,%r10,4),%xmm2
  .byte  243,67,15,16,28,129                 // movss         (%r9,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,210                        // unpcklps      %xmm10,%xmm2
  .byte  102,65,15,112,217,78                // pshufd        $0x4e,%xmm9,%xmm3
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,217                   // por           %xmm9,%xmm3
  .byte  102,65,15,97,216                    // punpcklwd     %xmm8,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,237,5,1,0                  // mulps         0x105ed(%rip),%xmm3        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  242,67,15,16,4,72                   // movsd         (%r8,%r9,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1c9a7 <_sk_load_tables_u16_be_sse2+0x194>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,143,254,255,255                 // jmpq          1c836 <_sk_load_tables_u16_be_sse2+0x23>
  .byte  102,67,15,22,68,72,8                // movhpd        0x8(%r8,%r9,2),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,122,254,255,255              // jb            1c836 <_sk_load_tables_u16_be_sse2+0x23>
  .byte  242,67,15,16,76,72,16               // movsd         0x10(%r8,%r9,2),%xmm1
  .byte  233,110,254,255,255                 // jmpq          1c836 <_sk_load_tables_u16_be_sse2+0x23>

HIDDEN _sk_load_tables_rgb_u16_be_sse2
.globl _sk_load_tables_rgb_u16_be_sse2
FUNCTION(_sk_load_tables_rgb_u16_be_sse2)
_sk_load_tables_rgb_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,80,1,0,0                     // jne           1cb2a <_sk_load_tables_rgb_u16_be_sse2+0x162>
  .byte  243,71,15,111,28,72                 // movdqu        (%r8,%r9,2),%xmm11
  .byte  243,67,15,111,76,72,8               // movdqu        0x8(%r8,%r9,2),%xmm1
  .byte  102,15,115,217,4                    // psrldq        $0x4,%xmm1
  .byte  102,69,15,111,211                   // movdqa        %xmm11,%xmm10
  .byte  102,65,15,115,218,6                 // psrldq        $0x6,%xmm10
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,97,217                    // punpcklwd     %xmm1,%xmm11
  .byte  102,68,15,97,208                    // punpcklwd     %xmm0,%xmm10
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,65,15,97,194                    // punpcklwd     %xmm10,%xmm0
  .byte  102,68,15,111,5,48,5,1,0            // movdqa        0x10530(%rip),%xmm8        # 2cf50 <_sk_overlay_sse2_8bit+0x118c>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  69,15,182,200                       // movzbl        %r8b,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,15,182,218                       // movzbl        %r10b,%r11d
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,28,19                  // movss         (%rbx,%r10,1),%xmm3
  .byte  243,66,15,16,4,131                  // movss         (%rbx,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,66,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm0
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,65,15,219,200                   // pand          %xmm8,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  243,67,15,16,20,14                  // movss         (%r14,%r9,1),%xmm2
  .byte  243,65,15,16,12,158                 // movss         (%r14,%rbx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  102,69,15,105,218                   // punpckhwd     %xmm10,%xmm11
  .byte  102,69,15,219,216                   // pand          %xmm8,%xmm11
  .byte  102,69,15,97,217                    // punpcklwd     %xmm9,%xmm11
  .byte  102,65,15,112,211,78                // pshufd        $0x4e,%xmm11,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,76,15,126,216                   // movq          %xmm11,%rax
  .byte  68,15,182,208                       // movzbl        %al,%r10d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  243,69,15,16,4,1                    // movss         (%r9,%rax,1),%xmm8
  .byte  243,65,15,16,20,153                 // movss         (%r9,%rbx,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,145                 // movss         (%r9,%r10,4),%xmm2
  .byte  243,67,15,16,28,129                 // movss         (%r9,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,187,1,1,0                  // movaps        0x101bb(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,110,28,72                 // movd          (%r8,%r9,2),%xmm11
  .byte  102,71,15,196,92,72,4,2             // pinsrw        $0x2,0x4(%r8,%r9,2),%xmm11
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,14                              // jne           1cb50 <_sk_load_tables_rgb_u16_be_sse2+0x188>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  233,176,254,255,255                 // jmpq          1ca00 <_sk_load_tables_rgb_u16_be_sse2+0x38>
  .byte  102,71,15,110,84,72,6               // movd          0x6(%r8,%r9,2),%xmm10
  .byte  102,71,15,196,84,72,10,2            // pinsrw        $0x2,0xa(%r8,%r9,2),%xmm10
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            1cb81 <_sk_load_tables_rgb_u16_be_sse2+0x1b9>
  .byte  102,67,15,110,76,72,12              // movd          0xc(%r8,%r9,2),%xmm1
  .byte  102,67,15,196,76,72,16,2            // pinsrw        $0x2,0x10(%r8,%r9,2),%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,127,254,255,255                 // jmpq          1ca00 <_sk_load_tables_rgb_u16_be_sse2+0x38>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,118,254,255,255                 // jmpq          1ca00 <_sk_load_tables_rgb_u16_be_sse2+0x38>

HIDDEN _sk_byte_tables_sse2
.globl _sk_byte_tables_sse2
FUNCTION(_sk_byte_tables_sse2)
_sk_byte_tables_sse2:
  .byte  85                                  // push          %rbp
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,40,2,1,0                 // movaps        0x10228(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  70,15,182,28,27                     // movzbl        (%rbx,%r11,1),%r11d
  .byte  66,15,182,44,51                     // movzbl        (%rbx,%r14,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,221                            // or            %r11d,%ebp
  .byte  70,15,182,12,11                     // movzbl        (%rbx,%r9,1),%r9d
  .byte  66,15,182,28,19                     // movzbl        (%rbx,%r10,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  102,15,196,195,0                    // pinsrw        $0x0,%ebx,%xmm0
  .byte  102,15,196,197,1                    // pinsrw        $0x1,%ebp,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,21,210,2,1,0               // movaps        0x102d2(%rip),%xmm10        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  65,137,233                          // mov           %ebp,%r9d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,201,78                   // pshufd        $0x4e,%xmm1,%xmm1
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,211                            // or            %r10d,%ebx
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,44,40                     // movzbl        (%r8,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,205                            // or            %r9d,%ebp
  .byte  102,15,196,205,0                    // pinsrw        $0x0,%ebp,%xmm1
  .byte  102,15,196,203,1                    // pinsrw        $0x1,%ebx,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,202                        // mulps         %xmm10,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  65,137,234                          // mov           %ebp,%r10d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  71,15,182,20,17                     // movzbl        (%r9,%r10,1),%r10d
  .byte  65,15,182,44,41                     // movzbl        (%r9,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,213                            // or            %r10d,%ebp
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  65,15,182,28,25                     // movzbl        (%r9,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,195                            // or            %r8d,%ebx
  .byte  102,15,196,211,0                    // pinsrw        $0x0,%ebx,%xmm2
  .byte  102,15,196,213,1                    // pinsrw        $0x1,%ebp,%xmm2
  .byte  102,65,15,96,209                    // punpcklbw     %xmm9,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,72,15,126,221                   // movq          %xmm3,%rbp
  .byte  65,137,232                          // mov           %ebp,%r8d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,219,78                   // pshufd        $0x4e,%xmm3,%xmm3
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  70,15,182,12,8                      // movzbl        (%rax,%r9,1),%r9d
  .byte  15,182,28,24                        // movzbl        (%rax,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  70,15,182,4,0                       // movzbl        (%rax,%r8,1),%r8d
  .byte  15,182,4,40                         // movzbl        (%rax,%rbp,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,192                            // or            %r8d,%eax
  .byte  102,15,196,216,0                    // pinsrw        $0x0,%eax,%xmm3
  .byte  102,15,196,219,1                    // pinsrw        $0x1,%ebx,%xmm3
  .byte  102,65,15,96,217                    // punpcklbw     %xmm9,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_sse2
.globl _sk_byte_tables_rgb_sse2
FUNCTION(_sk_byte_tables_rgb_sse2)
_sk_byte_tables_rgb_sse2:
  .byte  85                                  // push          %rbp
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,69,15,110,192                   // movd          %r8d,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  70,15,182,28,27                     // movzbl        (%rbx,%r11,1),%r11d
  .byte  66,15,182,44,51                     // movzbl        (%rbx,%r14,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,221                            // or            %r11d,%ebp
  .byte  70,15,182,12,11                     // movzbl        (%rbx,%r9,1),%r9d
  .byte  66,15,182,28,19                     // movzbl        (%rbx,%r10,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  102,15,196,195,0                    // pinsrw        $0x0,%ebx,%xmm0
  .byte  102,15,196,197,1                    // pinsrw        $0x1,%ebp,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,21,14,1,1,0                // movaps        0x1010e(%rip),%xmm10        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  65,137,233                          // mov           %ebp,%r9d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,201,78                   // pshufd        $0x4e,%xmm1,%xmm1
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,211                            // or            %r10d,%ebx
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,44,40                     // movzbl        (%r8,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,205                            // or            %r9d,%ebp
  .byte  102,15,196,205,0                    // pinsrw        $0x0,%ebp,%xmm1
  .byte  102,15,196,203,1                    // pinsrw        $0x1,%ebx,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,202                        // mulps         %xmm10,%xmm1
  .byte  72,139,64,16                        // mov           0x10(%rax),%rax
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  65,137,232                          // mov           %ebp,%r8d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  70,15,182,12,8                      // movzbl        (%rax,%r9,1),%r9d
  .byte  15,182,28,24                        // movzbl        (%rax,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  70,15,182,4,0                       // movzbl        (%rax,%r8,1),%r8d
  .byte  15,182,4,40                         // movzbl        (%rax,%rbp,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,192                            // or            %r8d,%eax
  .byte  102,15,196,208,0                    // pinsrw        $0x0,%eax,%xmm2
  .byte  102,15,196,211,1                    // pinsrw        $0x1,%ebx,%xmm2
  .byte  102,65,15,96,209                    // punpcklbw     %xmm9,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_sse2
.globl _sk_table_r_sse2
FUNCTION(_sk_table_r_sse2)
_sk_table_r_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,192,78                // pshufd        $0x4e,%xmm8,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,4,128                  // movss         (%r8,%rax,4),%xmm0
  .byte  68,15,20,192                        // unpcklps      %xmm0,%xmm8
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,193                        // unpcklps      %xmm9,%xmm0
  .byte  65,15,20,192                        // unpcklps      %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_sse2
.globl _sk_table_g_sse2
FUNCTION(_sk_table_g_sse2)
_sk_table_g_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,12,128                 // movss         (%r8,%rax,4),%xmm1
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  243,67,15,16,12,152                 // movss         (%r8,%r11,4),%xmm1
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  65,15,20,200                        // unpcklps      %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_sse2
.globl _sk_table_b_sse2
FUNCTION(_sk_table_b_sse2)
_sk_table_b_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,208,78                // pshufd        $0x4e,%xmm8,%xmm2
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,20,128                 // movss         (%r8,%rax,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,209                        // unpcklps      %xmm9,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_sse2
.globl _sk_table_a_sse2
FUNCTION(_sk_table_a_sse2)
_sk_table_a_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,216,78                // pshufd        $0x4e,%xmm8,%xmm3
  .byte  102,72,15,126,216                   // movq          %xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,28,128                 // movss         (%r8,%rax,4),%xmm3
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  243,67,15,16,28,152                 // movss         (%r8,%r11,4),%xmm3
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,217                        // unpcklps      %xmm9,%xmm3
  .byte  65,15,20,216                        // unpcklps      %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_sse2
.globl _sk_parametric_r_sse2
FUNCTION(_sk_parametric_r_sse2)
_sk_parametric_r_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  65,15,194,193,2                     // cmpleps       %xmm9,%xmm0
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,236,254,0,0             // mulps         0xfeec(%rip),%xmm9        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,21,244,254,0,0             // andps         0xfef4(%rip),%xmm10        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,21,28,252,0,0              // orps          0xfc1c(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,13,244,254,0,0             // addps         0xfef4(%rip),%xmm9        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  68,15,40,37,252,254,0,0             // movaps        0xfefc(%rip),%xmm12        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,252,254,0,0             // addps         0xfefc(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  68,15,40,37,4,255,0,0               // movaps        0xff04(%rip),%xmm12        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,222,251,0,0             // movaps        0xfbde(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,210,254,0,0             // addps         0xfed2(%rip),%xmm9        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  68,15,40,37,218,254,0,0             // movaps        0xfeda(%rip),%xmm12        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,218,254,0,0             // movaps        0xfeda(%rip),%xmm12        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,222,254,0,0             // movaps        0xfede(%rip),%xmm13        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,222,254,0,0             // mulps         0xfede(%rip),%xmm13        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,192                        // andps         %xmm0,%xmm8
  .byte  65,15,85,196                        // andnps        %xmm12,%xmm0
  .byte  65,15,86,192                        // orps          %xmm8,%xmm0
  .byte  65,15,95,195                        // maxps         %xmm11,%xmm0
  .byte  65,15,93,194                        // minps         %xmm10,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_sse2
.globl _sk_parametric_g_sse2
FUNCTION(_sk_parametric_g_sse2)
_sk_parametric_g_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  65,15,194,201,2                     // cmpleps       %xmm9,%xmm1
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,174,253,0,0             // mulps         0xfdae(%rip),%xmm9        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,21,182,253,0,0             // andps         0xfdb6(%rip),%xmm10        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,21,222,250,0,0             // orps          0xfade(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,13,182,253,0,0             // addps         0xfdb6(%rip),%xmm9        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  68,15,40,37,190,253,0,0             // movaps        0xfdbe(%rip),%xmm12        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,190,253,0,0             // addps         0xfdbe(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  68,15,40,37,198,253,0,0             // movaps        0xfdc6(%rip),%xmm12        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,160,250,0,0             // movaps        0xfaa0(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,148,253,0,0             // addps         0xfd94(%rip),%xmm9        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  68,15,40,37,156,253,0,0             // movaps        0xfd9c(%rip),%xmm12        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,156,253,0,0             // movaps        0xfd9c(%rip),%xmm12        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,160,253,0,0             // movaps        0xfda0(%rip),%xmm13        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,160,253,0,0             // mulps         0xfda0(%rip),%xmm13        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,193                        // andps         %xmm1,%xmm8
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  65,15,86,200                        // orps          %xmm8,%xmm1
  .byte  65,15,95,203                        // maxps         %xmm11,%xmm1
  .byte  65,15,93,202                        // minps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_sse2
.globl _sk_parametric_b_sse2
FUNCTION(_sk_parametric_b_sse2)
_sk_parametric_b_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  65,15,194,209,2                     // cmpleps       %xmm9,%xmm2
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,112,252,0,0             // mulps         0xfc70(%rip),%xmm9        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,21,120,252,0,0             // andps         0xfc78(%rip),%xmm10        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,21,160,249,0,0             // orps          0xf9a0(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,13,120,252,0,0             // addps         0xfc78(%rip),%xmm9        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  68,15,40,37,128,252,0,0             // movaps        0xfc80(%rip),%xmm12        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,128,252,0,0             // addps         0xfc80(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  68,15,40,37,136,252,0,0             // movaps        0xfc88(%rip),%xmm12        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,98,249,0,0              // movaps        0xf962(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,86,252,0,0              // addps         0xfc56(%rip),%xmm9        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  68,15,40,37,94,252,0,0              // movaps        0xfc5e(%rip),%xmm12        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,94,252,0,0              // movaps        0xfc5e(%rip),%xmm12        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,98,252,0,0              // movaps        0xfc62(%rip),%xmm13        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,98,252,0,0              // mulps         0xfc62(%rip),%xmm13        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,212                        // andnps        %xmm12,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  65,15,95,211                        // maxps         %xmm11,%xmm2
  .byte  65,15,93,210                        // minps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_sse2
.globl _sk_parametric_a_sse2
FUNCTION(_sk_parametric_a_sse2)
_sk_parametric_a_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  65,15,194,217,2                     // cmpleps       %xmm9,%xmm3
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,50,251,0,0              // mulps         0xfb32(%rip),%xmm9        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  68,15,84,21,58,251,0,0              // andps         0xfb3a(%rip),%xmm10        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,86,21,98,248,0,0              // orps          0xf862(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,88,13,58,251,0,0              // addps         0xfb3a(%rip),%xmm9        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  68,15,40,37,66,251,0,0              // movaps        0xfb42(%rip),%xmm12        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,66,251,0,0              // addps         0xfb42(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  68,15,40,37,74,251,0,0              // movaps        0xfb4a(%rip),%xmm12        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,36,248,0,0              // movaps        0xf824(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,24,251,0,0              // addps         0xfb18(%rip),%xmm9        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  68,15,40,37,32,251,0,0              // movaps        0xfb20(%rip),%xmm12        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,32,251,0,0              // movaps        0xfb20(%rip),%xmm12        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,36,251,0,0              // movaps        0xfb24(%rip),%xmm13        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,36,251,0,0              // mulps         0xfb24(%rip),%xmm13        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,195                        // andps         %xmm3,%xmm8
  .byte  65,15,85,220                        // andnps        %xmm12,%xmm3
  .byte  65,15,86,216                        // orps          %xmm8,%xmm3
  .byte  65,15,95,219                        // maxps         %xmm11,%xmm3
  .byte  65,15,93,218                        // minps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_sse2
.globl _sk_gamma_sse2
FUNCTION(_sk_gamma_sse2)
_sk_gamma_sse2:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,5,47,250,0,0                  // mulps         0xfa2f(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  15,84,21,56,250,0,0                 // andps         0xfa38(%rip),%xmm2        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  68,15,40,53,96,247,0,0              // movaps        0xf760(%rip),%xmm14        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,86,214                        // orps          %xmm14,%xmm2
  .byte  68,15,40,37,52,250,0,0              // movaps        0xfa34(%rip),%xmm12        # 2cfb0 <_sk_overlay_sse2_8bit+0x11ec>
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,40,29,56,250,0,0              // movaps        0xfa38(%rip),%xmm11        # 2cfc0 <_sk_overlay_sse2_8bit+0x11fc>
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,40,21,54,250,0,0              // movaps        0xfa36(%rip),%xmm10        # 2cfd0 <_sk_overlay_sse2_8bit+0x120c>
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  68,15,40,45,58,250,0,0              // movaps        0xfa3a(%rip),%xmm13        # 2cfe0 <_sk_overlay_sse2_8bit+0x121c>
  .byte  65,15,40,229                        // movaps        %xmm13,%xmm4
  .byte  15,94,226                           // divps         %xmm2,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,208                       // cvttps2dq     %xmm0,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,226,1                        // cmpltps       %xmm2,%xmm4
  .byte  68,15,40,13,10,247,0,0              // movaps        0xf70a(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  65,15,84,225                        // andps         %xmm9,%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,53,6,250,0,0                  // movaps        0xfa06(%rip),%xmm6        # 2cff0 <_sk_overlay_sse2_8bit+0x122c>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,61,28,250,0,0                 // movaps        0xfa1c(%rip),%xmm7        # 2d010 <_sk_overlay_sse2_8bit+0x124c>
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,40,37,252,249,0,0                // movaps        0xf9fc(%rip),%xmm4        # 2d000 <_sk_overlay_sse2_8bit+0x123c>
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  68,15,40,61,14,250,0,0              // movaps        0xfa0e(%rip),%xmm15        # 2d020 <_sk_overlay_sse2_8bit+0x125c>
  .byte  65,15,40,215                        // movaps        %xmm15,%xmm2
  .byte  15,94,213                           // divps         %xmm5,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,5,106,249,0,0                 // mulps         0xf96a(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  15,84,13,115,249,0,0                // andps         0xf973(%rip),%xmm1        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  65,15,86,206                        // orps          %xmm14,%xmm1
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,235                        // mulps         %xmm11,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  15,94,233                           // divps         %xmm1,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,233,1                        // cmpltps       %xmm1,%xmm5
  .byte  65,15,84,233                        // andps         %xmm9,%xmm5
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,40,214                        // movaps        %xmm6,%xmm10
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,206                           // divps         %xmm6,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,5,249,248,0,0                 // mulps         0xf8f9(%rip),%xmm0        # 2cf90 <_sk_overlay_sse2_8bit+0x11cc>
  .byte  15,84,29,2,249,0,0                  // andps         0xf902(%rip),%xmm3        # 2cfa0 <_sk_overlay_sse2_8bit+0x11dc>
  .byte  15,86,29,43,246,0,0                 // orps          0xf62b(%rip),%xmm3        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,88,222                        // addps         %xmm14,%xmm3
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,216                       // cvttps2dq     %xmm0,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,235,1                        // cmpltps       %xmm3,%xmm5
  .byte  65,15,84,233                        // andps         %xmm9,%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,5,56,249,0,0                  // movaps        0xf938(%rip),%xmm0        # 2d030 <_sk_overlay_sse2_8bit+0x126c>
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  102,15,91,194                       // cvtps2dq      %xmm2,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,65,15,91,215                    // cvtps2dq      %xmm15,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_sse2
.globl _sk_lab_to_xyz_sse2
FUNCTION(_sk_lab_to_xyz_sse2)
_sk_lab_to_xyz_sse2:
  .byte  15,89,5,13,249,0,0                  // mulps         0xf90d(%rip),%xmm0        # 2d040 <_sk_overlay_sse2_8bit+0x127c>
  .byte  68,15,40,5,133,246,0,0              // movaps        0xf685(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  68,15,40,13,9,249,0,0               // movaps        0xf909(%rip),%xmm9        # 2d050 <_sk_overlay_sse2_8bit+0x128c>
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,88,5,6,249,0,0                   // addps         0xf906(%rip),%xmm0        # 2d060 <_sk_overlay_sse2_8bit+0x129c>
  .byte  15,89,5,15,249,0,0                  // mulps         0xf90f(%rip),%xmm0        # 2d070 <_sk_overlay_sse2_8bit+0x12ac>
  .byte  15,89,13,24,249,0,0                 // mulps         0xf918(%rip),%xmm1        # 2d080 <_sk_overlay_sse2_8bit+0x12bc>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,21,30,249,0,0                 // mulps         0xf91e(%rip),%xmm2        # 2d090 <_sk_overlay_sse2_8bit+0x12cc>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  15,40,21,19,249,0,0                 // movaps        0xf913(%rip),%xmm2        # 2d0a0 <_sk_overlay_sse2_8bit+0x12dc>
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,194,196,1                     // cmpltps       %xmm12,%xmm8
  .byte  68,15,40,21,18,249,0,0              // movaps        0xf912(%rip),%xmm10        # 2d0b0 <_sk_overlay_sse2_8bit+0x12ec>
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,40,29,22,249,0,0              // movaps        0xf916(%rip),%xmm11        # 2d0c0 <_sk_overlay_sse2_8bit+0x12fc>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,84,224                        // andps         %xmm8,%xmm12
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,194,204,1                     // cmpltps       %xmm12,%xmm1
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  68,15,84,225                        // andps         %xmm1,%xmm12
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  15,194,208,1                        // cmpltps       %xmm0,%xmm2
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  65,15,85,209                        // andnps        %xmm9,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  68,15,89,5,198,248,0,0              // mulps         0xf8c6(%rip),%xmm8        # 2d0d0 <_sk_overlay_sse2_8bit+0x130c>
  .byte  15,89,21,207,248,0,0                // mulps         0xf8cf(%rip),%xmm2        # 2d0e0 <_sk_overlay_sse2_8bit+0x131c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_sse2
.globl _sk_load_a8_sse2
FUNCTION(_sk_load_a8_sse2)
_sk_load_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,46                              // jne           1d85f <_sk_load_a8_sse2+0x46>
  .byte  102,67,15,110,4,16                  // movd          (%r8,%r10,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,5,73,245,0,0             // pand          0xf549(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,143,246,0,0                // mulps         0xf68f(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1d8a2 <_sk_load_a8_sse2+0x89>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1d88b <_sk_load_a8_sse2+0x72>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           1d83f <_sk_load_a8_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,157                             // jmp           1d83f <_sk_load_a8_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,146                             // jmp           1d83f <_sk_load_a8_sse2+0x26>

HIDDEN _sk_load_a8_dst_sse2
.globl _sk_load_a8_dst_sse2
FUNCTION(_sk_load_a8_dst_sse2)
_sk_load_a8_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,46                              // jne           1d8f3 <_sk_load_a8_dst_sse2+0x46>
  .byte  102,67,15,110,36,16                 // movd          (%r8,%r10,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,37,181,244,0,0           // pand          0xf4b5(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,89,61,251,245,0,0                // mulps         0xf5fb(%rip),%xmm7        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1d936 <_sk_load_a8_dst_sse2+0x89>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1d91f <_sk_load_a8_dst_sse2+0x72>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           1d8d3 <_sk_load_a8_dst_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,157                             // jmp           1d8d3 <_sk_load_a8_dst_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,146                             // jmp           1d8d3 <_sk_load_a8_dst_sse2+0x26>

HIDDEN _sk_gather_a8_sse2
.globl _sk_gather_a8_sse2
FUNCTION(_sk_gather_a8_sse2)
_sk_gather_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,28,24                     // movzbl        (%r8,%r11,1),%r11d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,193,226,8                        // shl           $0x8,%r10d
  .byte  69,9,218                            // or            %r11d,%r10d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  102,65,15,196,194,1                 // pinsrw        $0x1,%r10d,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,10,245,0,0                 // mulps         0xf50a(%rip),%xmm3        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_sse2
.globl _sk_store_a8_sse2
FUNCTION(_sk_store_a8_sse2)
_sk_store_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,192,243,0,0              // movaps        0xf3c0(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,13                              // jne           1da31 <_sk_store_a8_sse2+0x4c>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  67,137,4,16                         // mov           %eax,(%r8,%r10,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1da83 <_sk_store_a8_sse2+0x9e>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,22                              // je            1da64 <_sk_store_a8_sse2+0x7f>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,217                             // jne           1da2d <_sk_store_a8_sse2+0x48>
  .byte  102,68,15,127,68,36,232             // movdqa        %xmm8,-0x18(%rsp)
  .byte  138,68,36,240                       // mov           -0x10(%rsp),%al
  .byte  67,136,68,16,2                      // mov           %al,0x2(%r8,%r10,1)
  .byte  102,68,15,219,5,35,243,0,0          // pand          0xf323(%rip),%xmm8        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,16                     // mov           %ax,(%r8,%r10,1)
  .byte  235,170                             // jmp           1da2d <_sk_store_a8_sse2+0x48>
  .byte  102,68,15,127,68,36,216             // movdqa        %xmm8,-0x28(%rsp)
  .byte  138,68,36,216                       // mov           -0x28(%rsp),%al
  .byte  67,136,4,16                         // mov           %al,(%r8,%r10,1)
  .byte  235,153                             // jmp           1da2d <_sk_store_a8_sse2+0x48>

HIDDEN _sk_load_g8_sse2
.globl _sk_load_g8_sse2
FUNCTION(_sk_load_g8_sse2)
_sk_load_g8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,49                              // jne           1dadd <_sk_load_g8_sse2+0x49>
  .byte  102,67,15,110,4,16                  // movd          (%r8,%r10,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,5,206,242,0,0            // pand          0xf2ce(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,20,244,0,0                  // mulps         0xf414(%rip),%xmm0        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,11,242,0,0                 // movaps        0xf20b(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1db20 <_sk_load_g8_sse2+0x8c>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1db09 <_sk_load_g8_sse2+0x75>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           1daba <_sk_load_g8_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,154                             // jmp           1daba <_sk_load_g8_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,143                             // jmp           1daba <_sk_load_g8_sse2+0x26>

HIDDEN _sk_load_g8_dst_sse2
.globl _sk_load_g8_dst_sse2
FUNCTION(_sk_load_g8_dst_sse2)
_sk_load_g8_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,49                              // jne           1db74 <_sk_load_g8_dst_sse2+0x49>
  .byte  102,67,15,110,36,16                 // movd          (%r8,%r10,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,37,55,242,0,0            // pand          0xf237(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,125,243,0,0                // mulps         0xf37d(%rip),%xmm4        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,116,241,0,0                // movaps        0xf174(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1dbb7 <_sk_load_g8_dst_sse2+0x8c>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1dba0 <_sk_load_g8_dst_sse2+0x75>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           1db51 <_sk_load_g8_dst_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,154                             // jmp           1db51 <_sk_load_g8_dst_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,143                             // jmp           1db51 <_sk_load_g8_dst_sse2+0x26>

HIDDEN _sk_gather_g8_sse2
.globl _sk_gather_g8_sse2
FUNCTION(_sk_gather_g8_sse2)
_sk_gather_g8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,28,24                     // movzbl        (%r8,%r11,1),%r11d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,193,226,8                        // shl           $0x8,%r10d
  .byte  69,9,218                            // or            %r11d,%r10d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  102,65,15,196,194,1                 // pinsrw        $0x1,%r10d,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,137,242,0,0                 // mulps         0xf289(%rip),%xmm0        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,128,240,0,0                // movaps        0xf080(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_sse2
.globl _sk_load_565_sse2
FUNCTION(_sk_load_565_sse2)
_sk_load_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,83                              // jne           1dcd6 <_sk_load_565_sse2+0x6e>
  .byte  243,67,15,126,20,80                 // movq          (%r8,%r10,2),%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,5,91,242,0,0             // movdqa        0xf25b(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,93,242,0,0                  // mulps         0xf25d(%rip),%xmm0        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,13,101,242,0,0           // movdqa        0xf265(%rip),%xmm1        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,103,242,0,0                // mulps         0xf267(%rip),%xmm1        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,21,111,242,0,0           // pand          0xf26f(%rip),%xmm2        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,117,242,0,0                // mulps         0xf275(%rip),%xmm2        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,12,240,0,0                 // movaps        0xf00c(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1dd15 <_sk_load_565_sse2+0xad>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1dd02 <_sk_load_565_sse2+0x9a>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           1dc8d <_sk_load_565_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,208                       // movsd         %xmm0,%xmm2
  .byte  233,120,255,255,255                 // jmpq          1dc8d <_sk_load_565_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,106,255,255,255                 // jmpq          1dc8d <_sk_load_565_sse2+0x25>

HIDDEN _sk_load_565_dst_sse2
.globl _sk_load_565_dst_sse2
FUNCTION(_sk_load_565_dst_sse2)
_sk_load_565_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,83                              // jne           1dd91 <_sk_load_565_dst_sse2+0x6e>
  .byte  243,67,15,126,52,80                 // movq          (%r8,%r10,2),%xmm6
  .byte  102,15,97,240                       // punpcklwd     %xmm0,%xmm6
  .byte  102,15,111,37,160,241,0,0           // movdqa        0xf1a0(%rip),%xmm4        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,162,241,0,0                // mulps         0xf1a2(%rip),%xmm4        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,45,170,241,0,0           // movdqa        0xf1aa(%rip),%xmm5        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,172,241,0,0                // mulps         0xf1ac(%rip),%xmm5        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,53,180,241,0,0           // pand          0xf1b4(%rip),%xmm6        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,186,241,0,0                // mulps         0xf1ba(%rip),%xmm6        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,81,239,0,0                 // movaps        0xef51(%rip),%xmm7        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1ddd0 <_sk_load_565_dst_sse2+0xad>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1ddbd <_sk_load_565_dst_sse2+0x9a>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           1dd48 <_sk_load_565_dst_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,244                       // movsd         %xmm4,%xmm6
  .byte  233,120,255,255,255                 // jmpq          1dd48 <_sk_load_565_dst_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,106,255,255,255                 // jmpq          1dd48 <_sk_load_565_dst_sse2+0x25>

HIDDEN _sk_gather_565_sse2
.globl _sk_gather_565_sse2
FUNCTION(_sk_gather_565_sse2)
_sk_gather_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,20,88,0               // pinsrw        $0x0,(%r8,%r11,2),%xmm2
  .byte  102,67,15,196,20,80,1               // pinsrw        $0x1,(%r8,%r10,2),%xmm2
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,209,2                 // pinsrw        $0x2,%r9d,%xmm2
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,208,3                    // pinsrw        $0x3,%eax,%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,5,140,240,0,0            // movdqa        0xf08c(%rip),%xmm0        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,142,240,0,0                 // mulps         0xf08e(%rip),%xmm0        # 2cf00 <_sk_overlay_sse2_8bit+0x113c>
  .byte  102,15,111,13,150,240,0,0           // movdqa        0xf096(%rip),%xmm1        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,152,240,0,0                // mulps         0xf098(%rip),%xmm1        # 2cf20 <_sk_overlay_sse2_8bit+0x115c>
  .byte  102,15,219,21,160,240,0,0           // pand          0xf0a0(%rip),%xmm2        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,166,240,0,0                // mulps         0xf0a6(%rip),%xmm2        # 2cf40 <_sk_overlay_sse2_8bit+0x117c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,61,238,0,0                 // movaps        0xee3d(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_sse2
.globl _sk_store_565_sse2
FUNCTION(_sk_store_565_sse2)
_sk_store_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,61,242,0,0               // movaps        0xf23d(%rip),%xmm8        # 2d100 <_sk_overlay_sse2_8bit+0x133c>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,11                // pslld         $0xb,%xmm9
  .byte  68,15,40,21,50,242,0,0              // movaps        0xf232(%rip),%xmm10        # 2d110 <_sk_overlay_sse2_8bit+0x134c>
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,5                 // pslld         $0x5,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1df20 <_sk_store_565_sse2+0x7b>
  .byte  242,71,15,17,4,80                   // movsd         %xmm8,(%r8,%r10,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,38                              // je            1df58 <_sk_store_565_sse2+0xb3>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1df4a <_sk_store_565_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,222                             // jne           1df1c <_sk_store_565_sse2+0x77>
  .byte  102,65,15,197,192,4                 // pextrw        $0x4,%xmm8,%eax
  .byte  102,67,137,68,80,4                  // mov           %ax,0x4(%r8,%r10,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,71,15,126,4,80                  // movd          %xmm8,(%r8,%r10,2)
  .byte  235,196                             // jmp           1df1c <_sk_store_565_sse2+0x77>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,80                     // mov           %ax,(%r8,%r10,2)
  .byte  235,184                             // jmp           1df1c <_sk_store_565_sse2+0x77>

HIDDEN _sk_load_4444_sse2
.globl _sk_load_4444_sse2
FUNCTION(_sk_load_4444_sse2)
_sk_load_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1dfe1 <_sk_load_4444_sse2+0x7d>
  .byte  243,67,15,126,28,80                 // movq          (%r8,%r10,2),%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,5,143,241,0,0            // movdqa        0xf18f(%rip),%xmm0        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,145,241,0,0                 // mulps         0xf191(%rip),%xmm0        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,13,153,241,0,0           // movdqa        0xf199(%rip),%xmm1        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,155,241,0,0                // mulps         0xf19b(%rip),%xmm1        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,21,163,241,0,0           // movdqa        0xf1a3(%rip),%xmm2        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,165,241,0,0                // mulps         0xf1a5(%rip),%xmm2        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,29,173,241,0,0           // pand          0xf1ad(%rip),%xmm3        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,179,241,0,0                // mulps         0xf1b3(%rip),%xmm3        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1e020 <_sk_load_4444_sse2+0xbc>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1e00d <_sk_load_4444_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           1df89 <_sk_load_4444_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,216                       // movsd         %xmm0,%xmm3
  .byte  233,105,255,255,255                 // jmpq          1df89 <_sk_load_4444_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  233,91,255,255,255                  // jmpq          1df89 <_sk_load_4444_sse2+0x25>

HIDDEN _sk_load_4444_dst_sse2
.globl _sk_load_4444_dst_sse2
FUNCTION(_sk_load_4444_dst_sse2)
_sk_load_4444_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e0ab <_sk_load_4444_dst_sse2+0x7d>
  .byte  243,67,15,126,60,80                 // movq          (%r8,%r10,2),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,37,197,240,0,0           // movdqa        0xf0c5(%rip),%xmm4        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,199,240,0,0                // mulps         0xf0c7(%rip),%xmm4        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,45,207,240,0,0           // movdqa        0xf0cf(%rip),%xmm5        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,209,240,0,0                // mulps         0xf0d1(%rip),%xmm5        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,53,217,240,0,0           // movdqa        0xf0d9(%rip),%xmm6        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,219,240,0,0                // mulps         0xf0db(%rip),%xmm6        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,61,227,240,0,0           // pand          0xf0e3(%rip),%xmm7        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,89,61,233,240,0,0                // mulps         0xf0e9(%rip),%xmm7        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1e0ea <_sk_load_4444_dst_sse2+0xbc>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1e0d7 <_sk_load_4444_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           1e053 <_sk_load_4444_dst_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,252                       // movsd         %xmm4,%xmm7
  .byte  233,105,255,255,255                 // jmpq          1e053 <_sk_load_4444_dst_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,91,255,255,255                  // jmpq          1e053 <_sk_load_4444_dst_sse2+0x25>

HIDDEN _sk_gather_4444_sse2
.globl _sk_gather_4444_sse2
FUNCTION(_sk_gather_4444_sse2)
_sk_gather_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,28,88,0               // pinsrw        $0x0,(%r8,%r11,2),%xmm3
  .byte  102,67,15,196,28,80,1               // pinsrw        $0x1,(%r8,%r10,2),%xmm3
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,217,2                 // pinsrw        $0x2,%r9d,%xmm3
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,216,3                    // pinsrw        $0x3,%eax,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,5,162,239,0,0            // movdqa        0xefa2(%rip),%xmm0        # 2d120 <_sk_overlay_sse2_8bit+0x135c>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,164,239,0,0                 // mulps         0xefa4(%rip),%xmm0        # 2d130 <_sk_overlay_sse2_8bit+0x136c>
  .byte  102,15,111,13,172,239,0,0           // movdqa        0xefac(%rip),%xmm1        # 2d140 <_sk_overlay_sse2_8bit+0x137c>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,174,239,0,0                // mulps         0xefae(%rip),%xmm1        # 2d150 <_sk_overlay_sse2_8bit+0x138c>
  .byte  102,15,111,21,182,239,0,0           // movdqa        0xefb6(%rip),%xmm2        # 2d160 <_sk_overlay_sse2_8bit+0x139c>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,184,239,0,0                // mulps         0xefb8(%rip),%xmm2        # 2d170 <_sk_overlay_sse2_8bit+0x13ac>
  .byte  102,15,219,29,192,239,0,0           // pand          0xefc0(%rip),%xmm3        # 2d180 <_sk_overlay_sse2_8bit+0x13bc>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,198,239,0,0                // mulps         0xefc6(%rip),%xmm3        # 2d190 <_sk_overlay_sse2_8bit+0x13cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_sse2
.globl _sk_store_4444_sse2
FUNCTION(_sk_store_4444_sse2)
_sk_store_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,180,239,0,0              // movaps        0xefb4(%rip),%xmm8        # 2d1a0 <_sk_overlay_sse2_8bit+0x13dc>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,12                // pslld         $0xc,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,4                 // pslld         $0x4,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,193                    // orpd          %xmm9,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e25d <_sk_store_4444_sse2+0x8f>
  .byte  242,71,15,17,4,80                   // movsd         %xmm8,(%r8,%r10,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,38                              // je            1e295 <_sk_store_4444_sse2+0xc7>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1e287 <_sk_store_4444_sse2+0xb9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,222                             // jne           1e259 <_sk_store_4444_sse2+0x8b>
  .byte  102,65,15,197,192,4                 // pextrw        $0x4,%xmm8,%eax
  .byte  102,67,137,68,80,4                  // mov           %ax,0x4(%r8,%r10,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,71,15,126,4,80                  // movd          %xmm8,(%r8,%r10,2)
  .byte  235,196                             // jmp           1e259 <_sk_store_4444_sse2+0x8b>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,80                     // mov           %ax,(%r8,%r10,2)
  .byte  235,184                             // jmp           1e259 <_sk_store_4444_sse2+0x8b>

HIDDEN _sk_load_8888_sse2
.globl _sk_load_8888_sse2
FUNCTION(_sk_load_8888_sse2)
_sk_load_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e31f <_sk_load_8888_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,21,197,234,0,0           // movdqa        0xeac5(%rip),%xmm2        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,1,236,0,0                // movaps        0xec01(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  15,91,211                           // cvtdq2ps      %xmm3,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e355 <_sk_load_8888_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e34a <_sk_load_8888_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e2c3 <_sk_load_8888_sse2+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e2c3 <_sk_load_8888_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e2c3 <_sk_load_8888_sse2+0x22>

HIDDEN _sk_load_8888_dst_sse2
.globl _sk_load_8888_dst_sse2
FUNCTION(_sk_load_8888_dst_sse2)
_sk_load_8888_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e3de <_sk_load_8888_dst_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,53,6,234,0,0             // movdqa        0xea06(%rip),%xmm6        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,225                   // movdqa        %xmm9,%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  68,15,40,5,66,235,0,0               // movaps        0xeb42(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  15,91,247                           // cvtdq2ps      %xmm7,%xmm6
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,249                        // cvtdq2ps      %xmm9,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e414 <_sk_load_8888_dst_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e409 <_sk_load_8888_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e382 <_sk_load_8888_dst_sse2+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e382 <_sk_load_8888_dst_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e382 <_sk_load_8888_dst_sse2+0x22>

HIDDEN _sk_gather_8888_sse2
.globl _sk_gather_8888_sse2
FUNCTION(_sk_gather_8888_sse2)
_sk_gather_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,4,144                 // movd          (%r8,%r10,4),%xmm0
  .byte  102,65,15,110,12,128                // movd          (%r8,%rax,4),%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  102,67,15,110,12,136                // movd          (%r8,%r9,4),%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,68,15,98,200                    // punpckldq     %xmm0,%xmm9
  .byte  102,15,111,21,240,232,0,0           // movdqa        0xe8f0(%rip),%xmm2        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,44,234,0,0               // movaps        0xea2c(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  15,91,211                           // cvtdq2ps      %xmm3,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_sse2
.globl _sk_store_8888_sse2
FUNCTION(_sk_store_8888_sse2)
_sk_store_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,173,232,0,0              // movaps        0xe8ad(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e573 <_sk_store_8888_sse2+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,33                              // je            1e5a1 <_sk_store_8888_sse2+0xad>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e599 <_sk_store_8888_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           1e56f <_sk_store_8888_sse2+0x7b>
  .byte  102,69,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm9
  .byte  102,69,15,126,76,128,8              // movd          %xmm9,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,206                             // jmp           1e56f <_sk_store_8888_sse2+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,198                             // jmp           1e56f <_sk_store_8888_sse2+0x7b>

HIDDEN _sk_load_bgra_sse2
.globl _sk_load_bgra_sse2
FUNCTION(_sk_load_bgra_sse2)
_sk_load_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e627 <_sk_load_bgra_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,5,189,231,0,0            // movdqa        0xe7bd(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  68,15,40,5,249,232,0,0              // movaps        0xe8f9(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e65d <_sk_load_bgra_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e652 <_sk_load_bgra_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e5cb <_sk_load_bgra_sse2+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e5cb <_sk_load_bgra_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e5cb <_sk_load_bgra_sse2+0x22>

HIDDEN _sk_load_bgra_dst_sse2
.globl _sk_load_bgra_dst_sse2
FUNCTION(_sk_load_bgra_dst_sse2)
_sk_load_bgra_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e6e6 <_sk_load_bgra_dst_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,37,254,230,0,0           // movdqa        0xe6fe(%rip),%xmm4        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,245                           // cvtdq2ps      %xmm5,%xmm6
  .byte  68,15,40,5,58,232,0,0               // movaps        0xe83a(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,252                      // pand          %xmm4,%xmm7
  .byte  15,91,231                           // cvtdq2ps      %xmm7,%xmm4
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,249                        // cvtdq2ps      %xmm9,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e71c <_sk_load_bgra_dst_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e711 <_sk_load_bgra_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e68a <_sk_load_bgra_dst_sse2+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e68a <_sk_load_bgra_dst_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e68a <_sk_load_bgra_dst_sse2+0x22>

HIDDEN _sk_gather_bgra_sse2
.globl _sk_gather_bgra_sse2
FUNCTION(_sk_gather_bgra_sse2)
_sk_gather_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,4,144                 // movd          (%r8,%r10,4),%xmm0
  .byte  102,65,15,110,12,128                // movd          (%r8,%rax,4),%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  102,67,15,110,12,136                // movd          (%r8,%r9,4),%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,68,15,98,200                    // punpckldq     %xmm0,%xmm9
  .byte  102,15,111,5,232,229,0,0            // movdqa        0xe5e8(%rip),%xmm0        # 2cd90 <_sk_overlay_sse2_8bit+0xfcc>
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  68,15,40,5,36,231,0,0               // movaps        0xe724(%rip),%xmm8        # 2cee0 <_sk_overlay_sse2_8bit+0x111c>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_sse2
.globl _sk_store_bgra_sse2
FUNCTION(_sk_store_bgra_sse2)
_sk_store_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,165,229,0,0              // movaps        0xe5a5(%rip),%xmm8        # 2cdc0 <_sk_overlay_sse2_8bit+0xffc>
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e87b <_sk_store_bgra_sse2+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,33                              // je            1e8a9 <_sk_store_bgra_sse2+0xad>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e8a1 <_sk_store_bgra_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           1e877 <_sk_store_bgra_sse2+0x7b>
  .byte  102,69,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm9
  .byte  102,69,15,126,76,128,8              // movd          %xmm9,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,206                             // jmp           1e877 <_sk_store_bgra_sse2+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,198                             // jmp           1e877 <_sk_store_bgra_sse2+0x7b>

HIDDEN _sk_load_f16_sse2
.globl _sk_load_f16_sse2
FUNCTION(_sk_load_f16_sse2)
_sk_load_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,98,1,0,0                     // jne           1ea33 <_sk_load_f16_sse2+0x182>
  .byte  102,65,15,16,4,192                  // movupd        (%r8,%rax,8),%xmm0
  .byte  102,65,15,16,76,192,16              // movupd        0x10(%r8,%rax,8),%xmm1
  .byte  102,68,15,40,192                    // movapd        %xmm0,%xmm8
  .byte  102,68,15,97,193                    // punpcklwd     %xmm1,%xmm8
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,240                    // punpcklwd     %xmm0,%xmm14
  .byte  102,68,15,105,192                   // punpckhwd     %xmm0,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,97,202                    // punpcklwd     %xmm10,%xmm1
  .byte  102,68,15,111,13,157,232,0,0        // movdqa        0xe89d(%rip),%xmm9        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,193                   // pand          %xmm9,%xmm0
  .byte  102,15,239,200                      // pxor          %xmm0,%xmm1
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,232                   // por           %xmm0,%xmm13
  .byte  102,68,15,111,29,146,232,0,0        // movdqa        0xe892(%rip),%xmm11        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,148,232,0,0        // movdqa        0xe894(%rip),%xmm12        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  102,65,15,239,204                   // pxor          %xmm12,%xmm1
  .byte  102,15,111,29,55,234,0,0            // movdqa        0xea37(%rip),%xmm3        # 2d390 <_sk_overlay_sse2_8bit+0x15cc>
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,102,193                      // pcmpgtd       %xmm1,%xmm0
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,219,201                   // pand          %xmm9,%xmm1
  .byte  102,68,15,239,241                   // pxor          %xmm1,%xmm14
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,65,15,111,214                   // movdqa        %xmm14,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,209                      // por           %xmm1,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,102,206                   // pcmpgtd       %xmm14,%xmm1
  .byte  102,15,223,202                      // pandn         %xmm2,%xmm1
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,213                   // movdqa        %xmm13,%xmm2
  .byte  102,65,15,219,209                   // pand          %xmm9,%xmm2
  .byte  102,68,15,239,234                   // pxor          %xmm2,%xmm13
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,242                   // por           %xmm2,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,102,213                   // pcmpgtd       %xmm13,%xmm2
  .byte  102,65,15,223,214                   // pandn         %xmm14,%xmm2
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,216                   // pcmpgtd       %xmm8,%xmm3
  .byte  102,65,15,223,218                   // pandn         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,192                  // movsd         (%r8,%rax,8),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1ea50 <_sk_load_f16_sse2+0x19f>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,142,254,255,255                 // jmpq          1e8de <_sk_load_f16_sse2+0x2d>
  .byte  102,65,15,22,68,192,8               // movhpd        0x8(%r8,%rax,8),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,121,254,255,255              // jb            1e8de <_sk_load_f16_sse2+0x2d>
  .byte  242,65,15,16,76,192,16              // movsd         0x10(%r8,%rax,8),%xmm1
  .byte  233,109,254,255,255                 // jmpq          1e8de <_sk_load_f16_sse2+0x2d>

HIDDEN _sk_load_f16_dst_sse2
.globl _sk_load_f16_dst_sse2
FUNCTION(_sk_load_f16_dst_sse2)
_sk_load_f16_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,98,1,0,0                     // jne           1ebf3 <_sk_load_f16_dst_sse2+0x182>
  .byte  102,65,15,16,36,192                 // movupd        (%r8,%rax,8),%xmm4
  .byte  102,65,15,16,108,192,16             // movupd        0x10(%r8,%rax,8),%xmm5
  .byte  102,68,15,40,196                    // movapd        %xmm4,%xmm8
  .byte  102,68,15,97,197                    // punpcklwd     %xmm5,%xmm8
  .byte  102,15,105,229                      // punpckhwd     %xmm5,%xmm4
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,244                    // punpcklwd     %xmm4,%xmm14
  .byte  102,68,15,105,196                   // punpckhwd     %xmm4,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,238                   // movdqa        %xmm14,%xmm5
  .byte  102,65,15,97,234                    // punpcklwd     %xmm10,%xmm5
  .byte  102,68,15,111,13,221,230,0,0        // movdqa        0xe6dd(%rip),%xmm9        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,219,225                   // pand          %xmm9,%xmm4
  .byte  102,15,239,236                      // pxor          %xmm4,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,68,15,111,237                   // movdqa        %xmm5,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,236                   // por           %xmm4,%xmm13
  .byte  102,68,15,111,29,210,230,0,0        // movdqa        0xe6d2(%rip),%xmm11        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,212,230,0,0        // movdqa        0xe6d4(%rip),%xmm12        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  102,65,15,239,236                   // pxor          %xmm12,%xmm5
  .byte  102,15,111,61,119,232,0,0           // movdqa        0xe877(%rip),%xmm7        # 2d390 <_sk_overlay_sse2_8bit+0x15cc>
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,102,229                      // pcmpgtd       %xmm5,%xmm4
  .byte  102,65,15,223,229                   // pandn         %xmm13,%xmm4
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,238                   // movdqa        %xmm14,%xmm5
  .byte  102,65,15,219,233                   // pand          %xmm9,%xmm5
  .byte  102,68,15,239,245                   // pxor          %xmm5,%xmm14
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,65,15,111,246                   // movdqa        %xmm14,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  102,65,15,254,243                   // paddd         %xmm11,%xmm6
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,102,238                   // pcmpgtd       %xmm14,%xmm5
  .byte  102,15,223,238                      // pandn         %xmm6,%xmm5
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,245                   // movdqa        %xmm13,%xmm6
  .byte  102,65,15,219,241                   // pand          %xmm9,%xmm6
  .byte  102,68,15,239,238                   // pxor          %xmm6,%xmm13
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,246                   // por           %xmm6,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,65,15,102,245                   // pcmpgtd       %xmm13,%xmm6
  .byte  102,65,15,223,246                   // pandn         %xmm14,%xmm6
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,248                   // pcmpgtd       %xmm8,%xmm7
  .byte  102,65,15,223,250                   // pandn         %xmm10,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,36,192                 // movsd         (%r8,%rax,8),%xmm4
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1ec10 <_sk_load_f16_dst_sse2+0x19f>
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  233,142,254,255,255                 // jmpq          1ea9e <_sk_load_f16_dst_sse2+0x2d>
  .byte  102,65,15,22,100,192,8              // movhpd        0x8(%r8,%rax,8),%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,121,254,255,255              // jb            1ea9e <_sk_load_f16_dst_sse2+0x2d>
  .byte  242,65,15,16,108,192,16             // movsd         0x10(%r8,%rax,8),%xmm5
  .byte  233,109,254,255,255                 // jmpq          1ea9e <_sk_load_f16_dst_sse2+0x2d>

HIDDEN _sk_gather_f16_sse2
.globl _sk_gather_f16_sse2
FUNCTION(_sk_gather_f16_sse2)
_sk_gather_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,126,4,208                 // movq          (%r8,%r10,8),%xmm0
  .byte  243,67,15,126,12,216                // movq          (%r8,%r11,8),%xmm1
  .byte  102,15,108,200                      // punpcklqdq    %xmm0,%xmm1
  .byte  243,65,15,126,4,192                 // movq          (%r8,%rax,8),%xmm0
  .byte  243,67,15,126,20,200                // movq          (%r8,%r9,8),%xmm2
  .byte  102,15,108,208                      // punpcklqdq    %xmm0,%xmm2
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,97,194                    // punpcklwd     %xmm2,%xmm8
  .byte  102,15,105,202                      // punpckhwd     %xmm2,%xmm1
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,241                    // punpcklwd     %xmm1,%xmm14
  .byte  102,68,15,105,193                   // punpckhwd     %xmm1,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,97,202                    // punpcklwd     %xmm10,%xmm1
  .byte  102,68,15,111,13,215,228,0,0        // movdqa        0xe4d7(%rip),%xmm9        # 2d1b0 <_sk_overlay_sse2_8bit+0x13ec>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,193                   // pand          %xmm9,%xmm0
  .byte  102,15,239,200                      // pxor          %xmm0,%xmm1
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,232                   // por           %xmm0,%xmm13
  .byte  102,68,15,111,29,204,228,0,0        // movdqa        0xe4cc(%rip),%xmm11        # 2d1d0 <_sk_overlay_sse2_8bit+0x140c>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,206,228,0,0        // movdqa        0xe4ce(%rip),%xmm12        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  102,65,15,239,204                   // pxor          %xmm12,%xmm1
  .byte  102,15,111,29,113,230,0,0           // movdqa        0xe671(%rip),%xmm3        # 2d390 <_sk_overlay_sse2_8bit+0x15cc>
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,102,193                      // pcmpgtd       %xmm1,%xmm0
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,219,201                   // pand          %xmm9,%xmm1
  .byte  102,68,15,239,241                   // pxor          %xmm1,%xmm14
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,65,15,111,214                   // movdqa        %xmm14,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,209                      // por           %xmm1,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,102,206                   // pcmpgtd       %xmm14,%xmm1
  .byte  102,15,223,202                      // pandn         %xmm2,%xmm1
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,213                   // movdqa        %xmm13,%xmm2
  .byte  102,65,15,219,209                   // pand          %xmm9,%xmm2
  .byte  102,68,15,239,234                   // pxor          %xmm2,%xmm13
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,242                   // por           %xmm2,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,102,213                   // pcmpgtd       %xmm13,%xmm2
  .byte  102,65,15,223,214                   // pandn         %xmm14,%xmm2
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,216                   // pcmpgtd       %xmm8,%xmm3
  .byte  102,65,15,223,218                   // pandn         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_sse2
.globl _sk_store_f16_sse2
FUNCTION(_sk_store_f16_sse2)
_sk_store_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  102,68,15,111,21,199,227,0,0        // movdqa        0xe3c7(%rip),%xmm10        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,69,15,219,226                   // pand          %xmm10,%xmm12
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,68,15,111,13,186,227,0,0        // movdqa        0xe3ba(%rip),%xmm9        # 2d1f0 <_sk_overlay_sse2_8bit+0x142c>
  .byte  102,65,15,114,212,16                // psrld         $0x10,%xmm12
  .byte  102,69,15,111,193                   // movdqa        %xmm9,%xmm8
  .byte  102,69,15,102,197                   // pcmpgtd       %xmm13,%xmm8
  .byte  102,65,15,114,213,13                // psrld         $0xd,%xmm13
  .byte  102,68,15,111,29,171,227,0,0        // movdqa        0xe3ab(%rip),%xmm11        # 2d200 <_sk_overlay_sse2_8bit+0x143c>
  .byte  102,69,15,235,227                   // por           %xmm11,%xmm12
  .byte  102,69,15,254,229                   // paddd         %xmm13,%xmm12
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,114,228,16                // psrad         $0x10,%xmm12
  .byte  102,69,15,223,196                   // pandn         %xmm12,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,219,226                   // pand          %xmm10,%xmm12
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,65,15,114,212,16                // psrld         $0x10,%xmm12
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,69,15,102,238                   // pcmpgtd       %xmm14,%xmm13
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,227                   // por           %xmm11,%xmm12
  .byte  102,69,15,254,230                   // paddd         %xmm14,%xmm12
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,114,228,16                // psrad         $0x10,%xmm12
  .byte  102,69,15,223,236                   // pandn         %xmm12,%xmm13
  .byte  102,69,15,107,237                   // packssdw      %xmm13,%xmm13
  .byte  102,68,15,111,242                   // movdqa        %xmm2,%xmm14
  .byte  102,69,15,219,242                   // pand          %xmm10,%xmm14
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,69,15,239,254                   // pxor          %xmm14,%xmm15
  .byte  102,65,15,114,214,16                // psrld         $0x10,%xmm14
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,69,15,102,231                   // pcmpgtd       %xmm15,%xmm12
  .byte  102,65,15,114,215,13                // psrld         $0xd,%xmm15
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,254,247                   // paddd         %xmm15,%xmm14
  .byte  102,65,15,114,246,16                // pslld         $0x10,%xmm14
  .byte  102,65,15,114,230,16                // psrad         $0x10,%xmm14
  .byte  102,69,15,223,230                   // pandn         %xmm14,%xmm12
  .byte  102,69,15,107,228                   // packssdw      %xmm12,%xmm12
  .byte  102,68,15,219,211                   // pand          %xmm3,%xmm10
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,69,15,239,242                   // pxor          %xmm10,%xmm14
  .byte  102,65,15,114,210,16                // psrld         $0x10,%xmm10
  .byte  102,69,15,102,206                   // pcmpgtd       %xmm14,%xmm9
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,211                   // por           %xmm11,%xmm10
  .byte  102,69,15,254,214                   // paddd         %xmm14,%xmm10
  .byte  102,65,15,114,242,16                // pslld         $0x10,%xmm10
  .byte  102,65,15,114,226,16                // psrad         $0x10,%xmm10
  .byte  102,69,15,223,202                   // pandn         %xmm10,%xmm9
  .byte  102,69,15,107,201                   // packssdw      %xmm9,%xmm9
  .byte  102,69,15,97,197                    // punpcklwd     %xmm13,%xmm8
  .byte  102,69,15,97,225                    // punpcklwd     %xmm9,%xmm12
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,69,15,98,204                    // punpckldq     %xmm12,%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           1ef77 <_sk_store_f16_sse2+0x17e>
  .byte  69,15,17,12,192                     // movups        %xmm9,(%r8,%rax,8)
  .byte  102,69,15,106,196                   // punpckhdq     %xmm12,%xmm8
  .byte  243,69,15,127,68,192,16             // movdqu        %xmm8,0x10(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,12,192                // movq          %xmm9,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            1ef73 <_sk_store_f16_sse2+0x17a>
  .byte  102,69,15,23,76,192,8               // movhpd        %xmm9,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            1ef73 <_sk_store_f16_sse2+0x17a>
  .byte  102,69,15,106,196                   // punpckhdq     %xmm12,%xmm8
  .byte  102,69,15,214,68,192,16             // movq          %xmm8,0x10(%r8,%rax,8)
  .byte  235,213                             // jmp           1ef73 <_sk_store_f16_sse2+0x17a>

HIDDEN _sk_load_u16_be_sse2
.globl _sk_load_u16_be_sse2
FUNCTION(_sk_load_u16_be_sse2)
_sk_load_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,190,0,0,0                    // jne           1f083 <_sk_load_u16_be_sse2+0xe5>
  .byte  102,65,15,16,4,64                   // movupd        (%r8,%rax,2),%xmm0
  .byte  102,65,15,16,76,64,16               // movupd        0x10(%r8,%rax,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  68,15,40,5,90,223,0,0               // movaps        0xdf5a(%rip),%xmm8        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,203                           // cvtdq2ps      %xmm3,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  102,65,15,113,242,8                 // psllw         $0x8,%xmm10
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,235,210                   // por           %xmm10,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,65,15,113,242,8                 // psllw         $0x8,%xmm10
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,218                   // por           %xmm10,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,64                   // movsd         (%r8,%rax,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1f0a0 <_sk_load_u16_be_sse2+0x102>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,50,255,255,255                  // jmpq          1efd2 <_sk_load_u16_be_sse2+0x34>
  .byte  102,65,15,22,68,64,8                // movhpd        0x8(%r8,%rax,2),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,29,255,255,255               // jb            1efd2 <_sk_load_u16_be_sse2+0x34>
  .byte  242,65,15,16,76,64,16               // movsd         0x10(%r8,%rax,2),%xmm1
  .byte  233,17,255,255,255                  // jmpq          1efd2 <_sk_load_u16_be_sse2+0x34>

HIDDEN _sk_load_rgb_u16_be_sse2
.globl _sk_load_rgb_u16_be_sse2
FUNCTION(_sk_load_rgb_u16_be_sse2)
_sk_load_rgb_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,175,0,0,0                    // jne           1f19b <_sk_load_rgb_u16_be_sse2+0xda>
  .byte  243,65,15,111,20,64                 // movdqu        (%r8,%rax,2),%xmm2
  .byte  243,65,15,111,92,64,8               // movdqu        0x8(%r8,%rax,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,65,15,97,200                    // punpcklwd     %xmm8,%xmm1
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  68,15,40,13,32,222,0,0              // movaps        0xde20(%rip),%xmm9        # 2cf70 <_sk_overlay_sse2_8bit+0x11ac>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,65,15,97,216                    // punpcklwd     %xmm8,%xmm3
  .byte  15,91,203                           // cvtdq2ps      %xmm3,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,211                      // por           %xmm3,%xmm2
  .byte  102,65,15,97,208                    // punpcklwd     %xmm8,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,71,219,0,0                 // movaps        0xdb47(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  255,224                             // jmpq          *%rax
  .byte  102,65,15,110,20,64                 // movd          (%r8,%rax,2),%xmm2
  .byte  102,65,15,196,84,64,4,2             // pinsrw        $0x2,0x4(%r8,%rax,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           1f1c0 <_sk_load_rgb_u16_be_sse2+0xff>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,80,255,255,255                  // jmpq          1f110 <_sk_load_rgb_u16_be_sse2+0x4f>
  .byte  102,65,15,110,68,64,6               // movd          0x6(%r8,%rax,2),%xmm0
  .byte  102,65,15,196,68,64,10,2            // pinsrw        $0x2,0xa(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            1f1f1 <_sk_load_rgb_u16_be_sse2+0x130>
  .byte  102,65,15,110,92,64,12              // movd          0xc(%r8,%rax,2),%xmm3
  .byte  102,65,15,196,92,64,16,2            // pinsrw        $0x2,0x10(%r8,%rax,2),%xmm3
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,31,255,255,255                  // jmpq          1f110 <_sk_load_rgb_u16_be_sse2+0x4f>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,22,255,255,255                  // jmpq          1f110 <_sk_load_rgb_u16_be_sse2+0x4f>

HIDDEN _sk_store_u16_be_sse2
.globl _sk_store_u16_be_sse2
FUNCTION(_sk_store_u16_be_sse2)
_sk_store_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,21,240,223,0,0             // movaps        0xdff0(%rip),%xmm10        # 2d210 <_sk_overlay_sse2_8bit+0x144c>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,217                    // cvtps2dq      %xmm9,%xmm11
  .byte  102,65,15,114,243,16                // pslld         $0x10,%xmm11
  .byte  102,65,15,114,227,16                // psrad         $0x10,%xmm11
  .byte  102,69,15,107,219                   // packssdw      %xmm11,%xmm11
  .byte  102,69,15,111,203                   // movdqa        %xmm11,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,69,15,235,217                   // por           %xmm9,%xmm11
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,65,15,114,225,16                // psrad         $0x10,%xmm9
  .byte  102,69,15,107,201                   // packssdw      %xmm9,%xmm9
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,69,15,235,204                   // por           %xmm12,%xmm9
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,16                // pslld         $0x10,%xmm10
  .byte  102,65,15,114,226,16                // psrad         $0x10,%xmm10
  .byte  102,69,15,107,210                   // packssdw      %xmm10,%xmm10
  .byte  102,69,15,111,226                   // movdqa        %xmm10,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,97,195                    // punpcklwd     %xmm11,%xmm8
  .byte  102,69,15,97,202                    // punpcklwd     %xmm10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,69,15,98,209                    // punpckldq     %xmm9,%xmm10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           1f31a <_sk_store_u16_be_sse2+0x120>
  .byte  69,15,17,20,64                      // movups        %xmm10,(%r8,%rax,2)
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  243,69,15,127,68,64,16              // movdqu        %xmm8,0x10(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,20,64                 // movq          %xmm10,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            1f316 <_sk_store_u16_be_sse2+0x11c>
  .byte  102,69,15,23,84,64,8                // movhpd        %xmm10,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            1f316 <_sk_store_u16_be_sse2+0x11c>
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  102,69,15,214,68,64,16              // movq          %xmm8,0x10(%r8,%rax,2)
  .byte  235,213                             // jmp           1f316 <_sk_store_u16_be_sse2+0x11c>

HIDDEN _sk_load_f32_sse2
.globl _sk_load_f32_sse2
FUNCTION(_sk_load_f32_sse2)
_sk_load_f32_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           1f3ac <_sk_load_f32_sse2+0x6b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  68,15,21,192                        // unpckhps      %xmm0,%xmm8
  .byte  65,15,21,217                        // unpckhps      %xmm9,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,202                           // movhlps       %xmm2,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  65,15,18,216                        // movhlps       %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           1f3be <_sk_load_f32_sse2+0x7d>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  235,190                             // jmp           1f37c <_sk_load_f32_sse2+0x3b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1f3d2 <_sk_load_f32_sse2+0x91>
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  235,170                             // jmp           1f37c <_sk_load_f32_sse2+0x3b>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,165                             // jmp           1f37c <_sk_load_f32_sse2+0x3b>

HIDDEN _sk_load_f32_dst_sse2
.globl _sk_load_f32_dst_sse2
FUNCTION(_sk_load_f32_dst_sse2)
_sk_load_f32_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           1f442 <_sk_load_f32_dst_sse2+0x6b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  65,15,20,233                        // unpcklps      %xmm9,%xmm5
  .byte  68,15,21,196                        // unpckhps      %xmm4,%xmm8
  .byte  65,15,21,249                        // unpckhps      %xmm9,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  15,18,238                           // movhlps       %xmm6,%xmm5
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  102,15,20,247                       // unpcklpd      %xmm7,%xmm6
  .byte  65,15,18,248                        // movhlps       %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           1f454 <_sk_load_f32_dst_sse2+0x7d>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  235,190                             // jmp           1f412 <_sk_load_f32_dst_sse2+0x3b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1f468 <_sk_load_f32_dst_sse2+0x91>
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  235,170                             // jmp           1f412 <_sk_load_f32_dst_sse2+0x3b>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,165                             // jmp           1f412 <_sk_load_f32_dst_sse2+0x3b>

HIDDEN _sk_store_f32_sse2
.globl _sk_store_f32_sse2
FUNCTION(_sk_store_f32_sse2)
_sk_store_f32_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,21,209                        // unpckhps      %xmm1,%xmm10
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  68,15,21,219                        // unpckhps      %xmm3,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  102,69,15,20,224                    // unpcklpd      %xmm8,%xmm12
  .byte  69,15,18,193                        // movhlps       %xmm9,%xmm8
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  102,69,15,20,203                    // unpcklpd      %xmm11,%xmm9
  .byte  102,69,15,17,36,128                 // movupd        %xmm12,(%r8,%rax,4)
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,29                              // jne           1f4ea <_sk_store_f32_sse2+0x7d>
  .byte  102,69,15,21,211                    // unpckhpd      %xmm11,%xmm10
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  102,69,15,17,84,128,48              // movupd        %xmm10,0x30(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,246                             // je            1f4e6 <_sk_store_f32_sse2+0x79>
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,234                             // jb            1f4e6 <_sk_store_f32_sse2+0x79>
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  235,225                             // jmp           1f4e6 <_sk_store_f32_sse2+0x79>

HIDDEN _sk_clamp_x_sse2
.globl _sk_clamp_x_sse2
FUNCTION(_sk_clamp_x_sse2)
_sk_clamp_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_sse2
.globl _sk_clamp_y_sse2
FUNCTION(_sk_clamp_y_sse2)
_sk_clamp_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_sse2
.globl _sk_repeat_x_sse2
FUNCTION(_sk_repeat_x_sse2)
_sk_repeat_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  243,69,15,91,194                    // cvttps2dq     %xmm10,%xmm8
  .byte  69,15,91,216                        // cvtdq2ps      %xmm8,%xmm11
  .byte  69,15,194,211,1                     // cmpltps       %xmm11,%xmm10
  .byte  68,15,84,21,93,215,0,0              // andps         0xd75d(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_sse2
.globl _sk_repeat_y_sse2
FUNCTION(_sk_repeat_y_sse2)
_sk_repeat_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  243,69,15,91,194                    // cvttps2dq     %xmm10,%xmm8
  .byte  69,15,91,216                        // cvtdq2ps      %xmm8,%xmm11
  .byte  69,15,194,211,1                     // cmpltps       %xmm11,%xmm10
  .byte  68,15,84,21,3,215,0,0               // andps         0xd703(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_sse2
.globl _sk_mirror_x_sse2
FUNCTION(_sk_mirror_x_sse2)
_sk_mirror_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  243,69,15,88,210                    // addss         %xmm10,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,89,29,144,212,0,0         // mulss         0xd490(%rip),%xmm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  243,69,15,91,195                    // cvttps2dq     %xmm11,%xmm8
  .byte  69,15,91,224                        // cvtdq2ps      %xmm8,%xmm12
  .byte  69,15,194,220,1                     // cmpltps       %xmm12,%xmm11
  .byte  68,15,84,29,137,214,0,0             // andps         0xd689(%rip),%xmm11        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  69,15,95,194                        // maxps         %xmm10,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_sse2
.globl _sk_mirror_y_sse2
FUNCTION(_sk_mirror_y_sse2)
_sk_mirror_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  243,69,15,88,210                    // addss         %xmm10,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,89,29,11,212,0,0          // mulss         0xd40b(%rip),%xmm11        # 2cac8 <_sk_overlay_sse2_8bit+0xd04>
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  243,69,15,91,195                    // cvttps2dq     %xmm11,%xmm8
  .byte  69,15,91,224                        // cvtdq2ps      %xmm8,%xmm12
  .byte  69,15,194,220,1                     // cmpltps       %xmm12,%xmm11
  .byte  68,15,84,29,4,214,0,0               // andps         0xd604(%rip),%xmm11        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  69,15,95,194                        // maxps         %xmm10,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_sse2
.globl _sk_clamp_x_1_sse2
FUNCTION(_sk_clamp_x_1_sse2)
_sk_clamp_x_1_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,187,213,0,0              // minps         0xd5bb(%rip),%xmm8        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_sse2
.globl _sk_repeat_x_1_sse2
FUNCTION(_sk_repeat_x_1_sse2)
_sk_repeat_x_1_sse2:
  .byte  243,68,15,91,192                    // cvttps2dq     %xmm0,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,194,200,1                     // cmpltps       %xmm8,%xmm9
  .byte  68,15,84,13,153,213,0,0             // andps         0xd599(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_sse2
.globl _sk_mirror_x_1_sse2
FUNCTION(_sk_mirror_x_1_sse2)
_sk_mirror_x_1_sse2:
  .byte  68,15,40,5,229,213,0,0              // movaps        0xd5e5(%rip),%xmm8        # 2cd40 <_sk_overlay_sse2_8bit+0xf7c>
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,13,105,213,0,0             // movaps        0xd569(%rip),%xmm9        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,194,202,1                     // cmpltps       %xmm10,%xmm9
  .byte  68,15,84,13,95,213,0,0              // andps         0xd55f(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,209                        // subps         %xmm9,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,92,216                        // subps         %xmm0,%xmm11
  .byte  65,15,84,195                        // andps         %xmm11,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_sse2
.globl _sk_luminance_to_alpha_sse2
FUNCTION(_sk_luminance_to_alpha_sse2)
_sk_luminance_to_alpha_sse2:
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,89,5,117,218,0,0                 // mulps         0xda75(%rip),%xmm0        # 2d220 <_sk_overlay_sse2_8bit+0x145c>
  .byte  15,89,13,126,218,0,0                // mulps         0xda7e(%rip),%xmm1        # 2d230 <_sk_overlay_sse2_8bit+0x146c>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,29,132,218,0,0                // mulps         0xda84(%rip),%xmm3        # 2d240 <_sk_overlay_sse2_8bit+0x147c>
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_sse2
.globl _sk_matrix_translate_sse2
FUNCTION(_sk_matrix_translate_sse2)
_sk_matrix_translate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_sse2
.globl _sk_matrix_scale_translate_sse2
FUNCTION(_sk_matrix_scale_translate_sse2)
_sk_matrix_scale_translate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_sse2
.globl _sk_matrix_2x3_sse2
FUNCTION(_sk_matrix_2x3_sse2)
_sk_matrix_2x3_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,16                  // movss         0x10(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_sse2
.globl _sk_matrix_3x4_sse2
FUNCTION(_sk_matrix_3x4_sse2)
_sk_matrix_3x4_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,36                  // movss         0x24(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_sse2
.globl _sk_matrix_4x5_sse2
FUNCTION(_sk_matrix_4x5_sse2)
_sk_matrix_4x5_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,32                  // movss         0x20(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,48                  // movss         0x30(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,64                 // movss         0x40(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,20                  // movss         0x14(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,36                  // movss         0x24(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,52                  // movss         0x34(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,68                 // movss         0x44(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,56                 // movss         0x38(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,72                 // movss         0x48(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  243,68,15,16,88,12                  // movss         0xc(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,28                  // movss         0x1c(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,60                 // movss         0x3c(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  243,68,15,16,120,76                 // movss         0x4c(%rax),%xmm15
  .byte  69,15,198,255,0                     // shufps        $0x0,%xmm15,%xmm15
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,247                        // addps         %xmm15,%xmm14
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_sse2
.globl _sk_matrix_4x3_sse2
FUNCTION(_sk_matrix_4x3_sse2)
_sk_matrix_4x3_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,32                     // movss         0x20(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,36                     // movss         0x24(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,40                  // movss         0x28(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,28                  // movss         0x1c(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,44                  // movss         0x2c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_sse2
.globl _sk_matrix_perspective_sse2
FUNCTION(_sk_matrix_perspective_sse2)
_sk_matrix_perspective_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  243,68,15,16,80,24                  // movss         0x18(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,83,202                        // rcpps         %xmm10,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_sse2
.globl _sk_evenly_spaced_gradient_sse2
FUNCTION(_sk_evenly_spaced_gradient_sse2)
_sk_evenly_spaced_gradient_sse2:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            1fc5c <_sk_evenly_spaced_gradient_sse2+0x18>
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  235,21                              // jmp           1fc71 <_sk_evenly_spaced_gradient_sse2+0x2d>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  243,15,88,201                       // addss         %xmm1,%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,203                   // movq          %xmm1,%r11
  .byte  69,137,217                          // mov           %r11d,%r9d
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  243,67,15,16,12,158                 // movss         (%r14,%r11,4),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,71,15,16,4,142                  // movss         (%r14,%r9,4),%xmm8
  .byte  243,67,15,16,20,134                 // movss         (%r14,%r8,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm9
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,12,147                 // movss         (%rbx,%r10,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  243,70,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm10
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,211                        // unpcklps      %xmm3,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,211                        // unpcklps      %xmm11,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,70,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  69,15,20,220                        // unpcklps      %xmm12,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  243,70,15,16,44,131                 // movss         (%rbx,%r8,4),%xmm13
  .byte  65,15,20,221                        // unpcklps      %xmm13,%xmm3
  .byte  65,15,20,220                        // unpcklps      %xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  243,70,15,16,44,144                 // movss         (%rax,%r10,4),%xmm13
  .byte  69,15,20,229                        // unpcklps      %xmm13,%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  69,15,20,238                        // unpcklps      %xmm14,%xmm13
  .byte  69,15,20,236                        // unpcklps      %xmm12,%xmm13
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_sse2
.globl _sk_gauss_a_to_rgba_sse2
FUNCTION(_sk_gauss_a_to_rgba_sse2)
_sk_gauss_a_to_rgba_sse2:
  .byte  15,40,5,83,212,0,0                  // movaps        0xd453(%rip),%xmm0        # 2d250 <_sk_overlay_sse2_8bit+0x148c>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,89,212,0,0                  // addps         0xd459(%rip),%xmm0        # 2d260 <_sk_overlay_sse2_8bit+0x149c>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,95,212,0,0                  // addps         0xd45f(%rip),%xmm0        # 2d270 <_sk_overlay_sse2_8bit+0x14ac>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,101,212,0,0                 // addps         0xd465(%rip),%xmm0        # 2d280 <_sk_overlay_sse2_8bit+0x14bc>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,107,212,0,0                 // addps         0xd46b(%rip),%xmm0        # 2d290 <_sk_overlay_sse2_8bit+0x14cc>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_sse2
.globl _sk_gradient_sse2
FUNCTION(_sk_gradient_sse2)
_sk_gradient_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,51                              // jb            1fe74 <_sk_gradient_sse2+0x42>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  73,255,200                          // dec           %r8
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,21,153,206,0,0                // movaps        0xce99(%rip),%xmm2        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  243,65,15,16,25                     // movss         (%r9),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  73,255,200                          // dec           %r8
  .byte  117,227                             // jne           1fe57 <_sk_gradient_sse2+0x25>
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,203                   // movq          %xmm1,%r11
  .byte  69,137,217                          // mov           %r11d,%r9d
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,4,139                  // movss         (%rbx,%r9,4),%xmm8
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm9
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  243,67,15,16,20,158                 // movss         (%r14,%r11,4),%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  243,70,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm10
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,211                        // unpcklps      %xmm3,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,211                        // unpcklps      %xmm11,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,70,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  69,15,20,220                        // unpcklps      %xmm12,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  243,70,15,16,44,131                 // movss         (%rbx,%r8,4),%xmm13
  .byte  65,15,20,221                        // unpcklps      %xmm13,%xmm3
  .byte  65,15,20,220                        // unpcklps      %xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  243,70,15,16,44,144                 // movss         (%rax,%r10,4),%xmm13
  .byte  69,15,20,229                        // unpcklps      %xmm13,%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  69,15,20,238                        // unpcklps      %xmm14,%xmm13
  .byte  69,15,20,236                        // unpcklps      %xmm12,%xmm13
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse2
.globl _sk_evenly_spaced_2_stop_gradient_sse2
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse2)
_sk_evenly_spaced_2_stop_gradient_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,72,28                  // movss         0x1c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_sse2
.globl _sk_xy_to_unit_angle_sse2
FUNCTION(_sk_xy_to_unit_angle_sse2)
_sk_xy_to_unit_angle_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,84,200                        // andps         %xmm8,%xmm9
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  69,15,93,218                        // minps         %xmm10,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,94,220                        // divps         %xmm12,%xmm11
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,40,45,248,209,0,0             // movaps        0xd1f8(%rip),%xmm13        # 2d2a0 <_sk_overlay_sse2_8bit+0x14dc>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,252,209,0,0             // addps         0xd1fc(%rip),%xmm13        # 2d2b0 <_sk_overlay_sse2_8bit+0x14ec>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,0,210,0,0               // addps         0xd200(%rip),%xmm13        # 2d2c0 <_sk_overlay_sse2_8bit+0x14fc>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,4,210,0,0               // addps         0xd204(%rip),%xmm13        # 2d2d0 <_sk_overlay_sse2_8bit+0x150c>
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  69,15,194,202,1                     // cmpltps       %xmm10,%xmm9
  .byte  68,15,40,21,3,210,0,0               // movaps        0xd203(%rip),%xmm10        # 2d2e0 <_sk_overlay_sse2_8bit+0x151c>
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  69,15,85,205                        // andnps        %xmm13,%xmm9
  .byte  69,15,86,202                        // orps          %xmm10,%xmm9
  .byte  68,15,194,192,1                     // cmpltps       %xmm0,%xmm8
  .byte  68,15,40,21,214,203,0,0             // movaps        0xcbd6(%rip),%xmm10        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,92,209                        // subps         %xmm9,%xmm10
  .byte  69,15,84,208                        // andps         %xmm8,%xmm10
  .byte  69,15,85,193                        // andnps        %xmm9,%xmm8
  .byte  69,15,86,194                        // orps          %xmm10,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,194,200,1                     // cmpltps       %xmm0,%xmm9
  .byte  68,15,40,21,197,203,0,0             // movaps        0xcbc5(%rip),%xmm10        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,208                        // subps         %xmm8,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  69,15,85,200                        // andnps        %xmm8,%xmm9
  .byte  69,15,86,202                        // orps          %xmm10,%xmm9
  .byte  65,15,194,193,7                     // cmpordps      %xmm9,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_sse2
.globl _sk_xy_to_radius_sse2
FUNCTION(_sk_xy_to_radius_sse2)
_sk_xy_to_radius_sse2:
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  65,15,81,192                        // sqrtps        %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse2
.globl _sk_xy_to_2pt_conical_quadratic_max_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse2)
_sk_xy_to_2pt_conical_quadratic_max_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,108,209,0,0             // mulps         0xd16c(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,87,209,0,0              // mulps         0xd157(%rip),%xmm10        # 2d300 <_sk_overlay_sse2_8bit+0x153c>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,15,208,0,0              // xorps         0xd00f(%rip),%xmm9        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  68,15,89,5,247,202,0,0              // mulps         0xcaf7(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,95,193                        // maxps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse2
.globl _sk_xy_to_2pt_conical_quadratic_min_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse2)
_sk_xy_to_2pt_conical_quadratic_min_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,206,208,0,0             // mulps         0xd0ce(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,185,208,0,0             // mulps         0xd0b9(%rip),%xmm10        # 2d300 <_sk_overlay_sse2_8bit+0x153c>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,113,207,0,0             // xorps         0xcf71(%rip),%xmm9        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  68,15,89,5,89,202,0,0               // mulps         0xca59(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_sse2
.globl _sk_xy_to_2pt_conical_linear_sse2
FUNCTION(_sk_xy_to_2pt_conical_linear_sse2)
_sk_xy_to_2pt_conical_linear_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,200                    // mulss         %xmm8,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,65,208,0,0              // mulps         0xd041(%rip),%xmm9        # 2d2f0 <_sk_overlay_sse2_8bit+0x152c>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  243,69,15,89,192                    // mulss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,87,5,13,207,0,0                  // xorps         0xcf0d(%rip),%xmm0        # 2d1e0 <_sk_overlay_sse2_8bit+0x141c>
  .byte  65,15,94,193                        // divps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_sse2
.globl _sk_mask_2pt_conical_degenerates_sse2
FUNCTION(_sk_mask_2pt_conical_degenerates_sse2)
_sk_mask_2pt_conical_degenerates_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,194,208,7                     // cmpordps      %xmm8,%xmm10
  .byte  69,15,194,193,2                     // cmpleps       %xmm9,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  68,15,17,0                          // movups        %xmm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_sse2
.globl _sk_apply_vector_mask_sse2
FUNCTION(_sk_apply_vector_mask_sse2)
_sk_apply_vector_mask_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,0                          // movups        (%rax),%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  65,15,84,208                        // andps         %xmm8,%xmm2
  .byte  65,15,84,216                        // andps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_sse2
.globl _sk_save_xy_sse2
FUNCTION(_sk_save_xy_sse2)
_sk_save_xy_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,147,201,0,0              // movaps        0xc993(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  69,15,194,218,1                     // cmpltps       %xmm10,%xmm11
  .byte  68,15,40,37,126,201,0,0             // movaps        0xc97e(%rip),%xmm12        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,84,220                        // andps         %xmm12,%xmm11
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  243,69,15,91,208                    // cvttps2dq     %xmm8,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,194,218,1                     // cmpltps       %xmm10,%xmm11
  .byte  69,15,84,220                        // andps         %xmm12,%xmm11
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  15,17,72,32                         // movups        %xmm1,0x20(%rax)
  .byte  68,15,17,72,64                      // movups        %xmm9,0x40(%rax)
  .byte  68,15,17,64,96                      // movups        %xmm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_sse2
.globl _sk_accumulate_sse2
FUNCTION(_sk_accumulate_sse2)
_sk_accumulate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,128,128,0,0,0              // movups        0x80(%rax),%xmm8
  .byte  68,15,16,136,160,0,0,0              // movups        0xa0(%rax),%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  65,15,88,224                        // addps         %xmm8,%xmm4
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  65,15,88,232                        // addps         %xmm8,%xmm5
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_sse2
.globl _sk_bilinear_nx_sse2
FUNCTION(_sk_bilinear_nx_sse2)
_sk_bilinear_nx_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,23,207,0,0                  // addps         0xcf17(%rip),%xmm0        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,223,200,0,0             // movaps        0xc8df(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_sse2
.globl _sk_bilinear_px_sse2
FUNCTION(_sk_bilinear_px_sse2)
_sk_bilinear_px_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,174,200,0,0                 // addps         0xc8ae(%rip),%xmm0        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_sse2
.globl _sk_bilinear_ny_sse2
FUNCTION(_sk_bilinear_ny_sse2)
_sk_bilinear_ny_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,208,206,0,0                // addps         0xced0(%rip),%xmm1        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,152,200,0,0             // movaps        0xc898(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_sse2
.globl _sk_bilinear_py_sse2
FUNCTION(_sk_bilinear_py_sse2)
_sk_bilinear_py_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,102,200,0,0                // addps         0xc866(%rip),%xmm1        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_sse2
.globl _sk_bicubic_n3x_sse2
FUNCTION(_sk_bicubic_n3x_sse2)
_sk_bicubic_n3x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,153,206,0,0                 // addps         0xce99(%rip),%xmm0        # 2d320 <_sk_overlay_sse2_8bit+0x155c>
  .byte  68,15,40,13,81,200,0,0              // movaps        0xc851(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,141,206,0,0             // mulps         0xce8d(%rip),%xmm9        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,13,37,202,0,0              // addps         0xca25(%rip),%xmm9        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_sse2
.globl _sk_bicubic_n1x_sse2
FUNCTION(_sk_bicubic_n1x_sse2)
_sk_bicubic_n1x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,68,206,0,0                  // addps         0xce44(%rip),%xmm0        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,12,200,0,0              // movaps        0xc80c(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,96,206,0,0               // movaps        0xce60(%rip),%xmm8        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,100,206,0,0              // addps         0xce64(%rip),%xmm8        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,216,199,0,0              // addps         0xc7d8(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,92,206,0,0               // addps         0xce5c(%rip),%xmm8        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_sse2
.globl _sk_bicubic_p1x_sse2
FUNCTION(_sk_bicubic_p1x_sse2)
_sk_bicubic_p1x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,182,199,0,0              // movaps        0xc7b6(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,72,64                      // movups        0x40(%rax),%xmm9
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,21,18,206,0,0              // movaps        0xce12(%rip),%xmm10        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,22,206,0,0              // addps         0xce16(%rip),%xmm10        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,18,206,0,0              // addps         0xce12(%rip),%xmm10        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,144,128,0,0,0              // movups        %xmm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_sse2
.globl _sk_bicubic_p3x_sse2
FUNCTION(_sk_bicubic_p3x_sse2)
_sk_bicubic_p3x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,229,205,0,0                 // addps         0xcde5(%rip),%xmm0        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,181,205,0,0              // mulps         0xcdb5(%rip),%xmm8        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,5,77,201,0,0               // addps         0xc94d(%rip),%xmm8        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_sse2
.globl _sk_bicubic_n3y_sse2
FUNCTION(_sk_bicubic_n3y_sse2)
_sk_bicubic_n3y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,123,205,0,0                // addps         0xcd7b(%rip),%xmm1        # 2d320 <_sk_overlay_sse2_8bit+0x155c>
  .byte  68,15,40,13,51,199,0,0              // movaps        0xc733(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,111,205,0,0             // mulps         0xcd6f(%rip),%xmm9        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,13,7,201,0,0               // addps         0xc907(%rip),%xmm9        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_sse2
.globl _sk_bicubic_n1y_sse2
FUNCTION(_sk_bicubic_n1y_sse2)
_sk_bicubic_n1y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,37,205,0,0                 // addps         0xcd25(%rip),%xmm1        # 2d310 <_sk_overlay_sse2_8bit+0x154c>
  .byte  68,15,40,13,237,198,0,0             // movaps        0xc6ed(%rip),%xmm9        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,65,205,0,0               // movaps        0xcd41(%rip),%xmm8        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,69,205,0,0               // addps         0xcd45(%rip),%xmm8        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,185,198,0,0              // addps         0xc6b9(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,61,205,0,0               // addps         0xcd3d(%rip),%xmm8        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_sse2
.globl _sk_bicubic_p1y_sse2
FUNCTION(_sk_bicubic_p1y_sse2)
_sk_bicubic_p1y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,151,198,0,0              // movaps        0xc697(%rip),%xmm8        # 2ccd0 <_sk_overlay_sse2_8bit+0xf0c>
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,72,96                      // movups        0x60(%rax),%xmm9
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,21,242,204,0,0             // movaps        0xccf2(%rip),%xmm10        # 2d340 <_sk_overlay_sse2_8bit+0x157c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,246,204,0,0             // addps         0xccf6(%rip),%xmm10        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,242,204,0,0             // addps         0xccf2(%rip),%xmm10        # 2d360 <_sk_overlay_sse2_8bit+0x159c>
  .byte  68,15,17,144,160,0,0,0              // movups        %xmm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_sse2
.globl _sk_bicubic_p3y_sse2
FUNCTION(_sk_bicubic_p3y_sse2)
_sk_bicubic_p3y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,196,204,0,0                // addps         0xccc4(%rip),%xmm1        # 2d350 <_sk_overlay_sse2_8bit+0x158c>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,148,204,0,0              // mulps         0xcc94(%rip),%xmm8        # 2d330 <_sk_overlay_sse2_8bit+0x156c>
  .byte  68,15,88,5,44,200,0,0               // addps         0xc82c(%rip),%xmm8        # 2ced0 <_sk_overlay_sse2_8bit+0x110c>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_sse2
.globl _sk_callback_sse2
FUNCTION(_sk_callback_sse2)
_sk_callback_sse2:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,125,144                       // movaps        %xmm7,-0x70(%rbp)
  .byte  15,41,117,160                       // movaps        %xmm6,-0x60(%rbp)
  .byte  15,41,109,176                       // movaps        %xmm5,-0x50(%rbp)
  .byte  15,41,101,192                       // movaps        %xmm4,-0x40(%rbp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,8                      // movupd        %xmm1,0x8(%rbx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,24                        // movups        %xmm5,0x18(%rbx)
  .byte  102,15,17,91,40                     // movupd        %xmm3,0x28(%rbx)
  .byte  15,17,83,56                         // movups        %xmm2,0x38(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,4,0,0,0                         // mov           $0x4,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  15,16,32                            // movups        (%rax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%rax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%rax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%rax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  15,40,101,192                       // movaps        -0x40(%rbp),%xmm4
  .byte  15,40,109,176                       // movaps        -0x50(%rbp),%xmm5
  .byte  15,40,117,160                       // movaps        -0x60(%rbp),%xmm6
  .byte  15,40,125,144                       // movaps        -0x70(%rbp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_sse2
.globl _sk_clut_3D_sse2
FUNCTION(_sk_clut_3D_sse2)
_sk_clut_3D_sse2:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  15,41,124,36,32                     // movaps        %xmm7,0x20(%rsp)
  .byte  15,41,116,36,16                     // movaps        %xmm6,0x10(%rsp)
  .byte  15,41,44,36                         // movaps        %xmm5,(%rsp)
  .byte  15,41,100,36,240                    // movaps        %xmm4,-0x10(%rsp)
  .byte  15,41,92,36,224                     // movaps        %xmm3,-0x20(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,68,15,112,250,0                 // pshufd        $0x0,%xmm2,%xmm15
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  68,15,91,211                        // cvtdq2ps      %xmm3,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  243,65,15,91,226                    // cvttps2dq     %xmm10,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  68,15,41,84,36,144                  // movaps        %xmm10,-0x70(%rsp)
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,65,15,244,223                   // pmuludq       %xmm15,%xmm3
  .byte  102,68,15,112,203,232               // pshufd        $0xe8,%xmm3,%xmm9
  .byte  102,65,15,244,207                   // pmuludq       %xmm15,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,209,0                    // pshufd        $0x0,%xmm1,%xmm2
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  68,15,91,233                        // cvtdq2ps      %xmm1,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  243,69,15,91,229                    // cvttps2dq     %xmm13,%xmm12
  .byte  102,65,15,112,196,245               // pshufd        $0xf5,%xmm12,%xmm0
  .byte  102,65,15,111,204                   // movdqa        %xmm12,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,68,15,112,241,232               // pshufd        $0xe8,%xmm1,%xmm14
  .byte  102,68,15,112,194,245               // pshufd        $0xf5,%xmm2,%xmm8
  .byte  102,65,15,244,192                   // pmuludq       %xmm8,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,68,15,98,240                    // punpckldq     %xmm0,%xmm14
  .byte  243,15,91,197                       // cvttps2dq     %xmm5,%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,100,36,208                    // movaps        %xmm4,-0x30(%rsp)
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,45,211,202,0,0           // movdqa        0xcad3(%rip),%xmm5        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,205                      // pmuludq       %xmm5,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,65,15,126,202                   // movd          %xmm1,%r10d
  .byte  76,139,24                           // mov           (%rax),%r11
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,214,195,0,0           // paddd         0xc3d6(%rip),%xmm1        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  102,15,254,5,170,195,0,0            // paddd         0xc3aa(%rip),%xmm0        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,40,45,191,201,0,0                // movaps        0xc9bf(%rip),%xmm5        # 2d370 <_sk_overlay_sse2_8bit+0x15ac>
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,41,100,36,192                    // movaps        %xmm4,-0x40(%rsp)
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  65,15,88,237                        // addps         %xmm13,%xmm5
  .byte  243,15,91,237                       // cvttps2dq     %xmm5,%xmm5
  .byte  102,15,244,213                      // pmuludq       %xmm5,%xmm2
  .byte  102,15,112,237,245                  // pshufd        $0xf5,%xmm5,%xmm5
  .byte  102,65,15,244,232                   // pmuludq       %xmm8,%xmm5
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,112,213,232                  // pshufd        $0xe8,%xmm5,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,5,136,201,0,0            // movdqa        0xc988(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,112,220,232                  // pshufd        $0xe8,%xmm4,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,254,29,143,194,0,0           // paddd         0xc28f(%rip),%xmm3        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,235,78                   // pshufd        $0x4e,%xmm3,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,4,131                  // movss         (%r11,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  102,15,254,21,99,194,0,0            // paddd         0xc263(%rip),%xmm2        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  65,15,91,196                        // cvtdq2ps      %xmm12,%xmm0
  .byte  68,15,92,232                        // subps         %xmm0,%xmm13
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  65,15,89,229                        // mulps         %xmm13,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  243,65,15,91,194                    // cvttps2dq     %xmm10,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,244,199                   // pmuludq       %xmm15,%xmm0
  .byte  102,65,15,244,207                   // pmuludq       %xmm15,%xmm1
  .byte  102,68,15,112,224,232               // pshufd        $0xe8,%xmm0,%xmm12
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,68,15,98,224                    // punpckldq     %xmm0,%xmm12
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,15,254,116,36,176               // paddd         -0x50(%rsp),%xmm6
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,111,232                   // movdqa        %xmm8,%xmm5
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,205                      // pmuludq       %xmm5,%xmm1
  .byte  102,68,15,111,221                   // movdqa        %xmm5,%xmm11
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  68,15,20,199                        // unpcklps      %xmm7,%xmm8
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,21,43,193,0,0         // movdqa        0xc12b(%rip),%xmm10        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,112,249,78                   // pshufd        $0x4e,%xmm1,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,111,45,250,192,0,0           // movdqa        0xc0fa(%rip),%xmm5        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  102,15,254,116,36,160               // paddd         -0x60(%rsp),%xmm6
  .byte  102,15,112,238,245                  // pshufd        $0xf5,%xmm6,%xmm5
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,15,244,247                      // pmuludq       %xmm7,%xmm6
  .byte  102,15,112,246,232                  // pshufd        $0xe8,%xmm6,%xmm6
  .byte  102,15,244,239                      // pmuludq       %xmm7,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,112,238,229                  // pshufd        $0xe5,%xmm6,%xmm5
  .byte  102,65,15,126,233                   // movd          %xmm5,%r9d
  .byte  102,15,112,238,78                   // pshufd        $0x4e,%xmm6,%xmm5
  .byte  102,65,15,126,232                   // movd          %xmm5,%r8d
  .byte  102,15,112,238,231                  // pshufd        $0xe7,%xmm6,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,69,15,16,60,131                 // movss         (%r11,%rax,4),%xmm15
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,253                        // unpcklps      %xmm5,%xmm15
  .byte  68,15,20,255                        // unpcklps      %xmm7,%xmm15
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,254,234                   // paddd         %xmm10,%xmm5
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,147                 // movss         (%r11,%r10,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,223                        // unpcklps      %xmm7,%xmm11
  .byte  68,15,20,221                        // unpcklps      %xmm5,%xmm11
  .byte  102,15,111,45,241,191,0,0           // movdqa        0xbff1(%rip),%xmm5        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,254,245                      // paddd         %xmm5,%xmm6
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,112,238,78                   // pshufd        $0x4e,%xmm6,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,214                        // unpcklps      %xmm6,%xmm10
  .byte  68,15,20,213                        // unpcklps      %xmm5,%xmm10
  .byte  69,15,92,248                        // subps         %xmm8,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  69,15,88,248                        // addps         %xmm8,%xmm15
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  15,91,68,36,128                     // cvtdq2ps      -0x80(%rsp),%xmm0
  .byte  15,40,76,36,144                     // movaps        -0x70(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,144                     // movaps        %xmm1,-0x70(%rsp)
  .byte  68,15,92,252                        // subps         %xmm4,%xmm15
  .byte  68,15,89,249                        // mulps         %xmm1,%xmm15
  .byte  68,15,88,252                        // addps         %xmm4,%xmm15
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  243,15,91,68,36,192                 // cvttps2dq     -0x40(%rsp),%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,68,15,254,200                   // paddd         %xmm0,%xmm9
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,5,145,197,0,0            // movdqa        0xc591(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,203,78                   // pshufd        $0x4e,%xmm3,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,203,231                  // pshufd        $0xe7,%xmm3,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,5,153,190,0,0            // movdqa        0xbe99(%rip),%xmm0        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,111,124,36,160               // movdqa        -0x60(%rsp),%xmm7
  .byte  102,68,15,254,207                   // paddd         %xmm7,%xmm9
  .byte  102,65,15,112,233,245               // pshufd        $0xf5,%xmm9,%xmm5
  .byte  102,68,15,244,206                   // pmuludq       %xmm6,%xmm9
  .byte  102,65,15,112,217,232               // pshufd        $0xe8,%xmm9,%xmm3
  .byte  102,15,244,238                      // pmuludq       %xmm6,%xmm5
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,98,221                       // punpckldq     %xmm5,%xmm3
  .byte  102,15,112,235,229                  // pshufd        $0xe5,%xmm3,%xmm5
  .byte  102,65,15,126,233                   // movd          %xmm5,%r9d
  .byte  102,15,112,235,78                   // pshufd        $0x4e,%xmm3,%xmm5
  .byte  102,65,15,126,232                   // movd          %xmm5,%r8d
  .byte  102,15,112,235,231                  // pshufd        $0xe7,%xmm3,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,139                 // movss         (%r11,%r9,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  68,15,20,198                        // unpcklps      %xmm6,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,254,232                      // paddd         %xmm0,%xmm5
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,4,131                  // movss         (%r11,%r8,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,254,29,99,189,0,0            // paddd         0xbd63(%rip),%xmm3        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  65,15,89,245                        // mulps         %xmm13,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  65,15,89,237                        // mulps         %xmm13,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  102,68,15,254,100,36,128            // paddd         -0x80(%rsp),%xmm12
  .byte  102,69,15,254,244                   // paddd         %xmm12,%xmm14
  .byte  102,65,15,112,206,245               // pshufd        $0xf5,%xmm14,%xmm1
  .byte  102,65,15,111,209                   // movdqa        %xmm9,%xmm2
  .byte  102,68,15,244,242                   // pmuludq       %xmm2,%xmm14
  .byte  102,65,15,112,198,232               // pshufd        $0xe8,%xmm14,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,92,188,0,0            // paddd         0xbc5c(%rip),%xmm1        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,242                        // unpcklps      %xmm2,%xmm14
  .byte  68,15,20,241                        // unpcklps      %xmm1,%xmm14
  .byte  102,15,254,5,46,188,0,0             // paddd         0xbc2e(%rip),%xmm0        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  102,68,15,254,231                   // paddd         %xmm7,%xmm12
  .byte  102,65,15,112,196,245               // pshufd        $0xf5,%xmm12,%xmm0
  .byte  102,68,15,244,228                   // pmuludq       %xmm4,%xmm12
  .byte  102,15,244,196                      // pmuludq       %xmm4,%xmm0
  .byte  102,65,15,112,212,232               // pshufd        $0xe8,%xmm12,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,37,93,187,0,0            // movdqa        0xbb5d(%rip),%xmm4        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,204,78                   // pshufd        $0x4e,%xmm4,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,21,45,187,0,0            // paddd         0xbb2d(%rip),%xmm2        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,89,197                        // mulps         %xmm13,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,91,92,36,176                     // cvtdq2ps      -0x50(%rsp),%xmm3
  .byte  15,40,100,36,208                    // movaps        -0x30(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  65,15,92,199                        // subps         %xmm15,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,92,210                        // subps         %xmm10,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,40,100,36,240                    // movaps        -0x10(%rsp),%xmm4
  .byte  15,40,44,36                         // movaps        (%rsp),%xmm5
  .byte  15,40,116,36,16                     // movaps        0x10(%rsp),%xmm6
  .byte  15,40,124,36,32                     // movaps        0x20(%rsp),%xmm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_sse2
.globl _sk_clut_4D_sse2
FUNCTION(_sk_clut_4D_sse2)
_sk_clut_4D_sse2:
  .byte  72,129,236,184,0,0,0                // sub           $0xb8,%rsp
  .byte  15,41,188,36,160,0,0,0              // movaps        %xmm7,0xa0(%rsp)
  .byte  15,41,180,36,144,0,0,0              // movaps        %xmm6,0x90(%rsp)
  .byte  15,41,172,36,128,0,0,0              // movaps        %xmm5,0x80(%rsp)
  .byte  15,41,100,36,112                    // movaps        %xmm4,0x70(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  102,65,15,110,216                   // movd          %r8d,%xmm3
  .byte  102,15,112,251,0                    // pshufd        $0x0,%xmm3,%xmm7
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  102,15,127,116,36,224               // movdqa        %xmm6,-0x20(%rsp)
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  68,15,41,76,36,32                   // movaps        %xmm9,0x20(%rsp)
  .byte  102,15,112,214,245                  // pshufd        $0xf5,%xmm6,%xmm2
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,127,124,36,208               // movdqa        %xmm7,-0x30(%rsp)
  .byte  102,15,244,231                      // pmuludq       %xmm7,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,127,116,36,80                // movdqa        %xmm6,0x50(%rsp)
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,68,15,112,250,0                 // pshufd        $0x0,%xmm2,%xmm15
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,227                           // cvtdq2ps      %xmm3,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,91,220                       // cvttps2dq     %xmm4,%xmm3
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  68,15,41,92,36,144                  // movaps        %xmm11,-0x70(%rsp)
  .byte  102,15,127,92,36,192                // movdqa        %xmm3,-0x40(%rsp)
  .byte  102,15,112,203,245                  // pshufd        $0xf5,%xmm3,%xmm1
  .byte  102,65,15,244,223                   // pmuludq       %xmm15,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,112,231,245               // pshufd        $0xf5,%xmm15,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,127,92,36,16                 // movdqa        %xmm3,0x10(%rsp)
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  68,15,91,242                        // cvtdq2ps      %xmm2,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  102,15,112,193,0                    // pshufd        $0x0,%xmm1,%xmm0
  .byte  243,69,15,91,230                    // cvttps2dq     %xmm14,%xmm12
  .byte  102,65,15,111,204                   // movdqa        %xmm12,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,225,232                  // pshufd        $0xe8,%xmm1,%xmm4
  .byte  102,65,15,112,204,245               // pshufd        $0xf5,%xmm12,%xmm1
  .byte  102,68,15,112,232,245               // pshufd        $0xf5,%xmm0,%xmm13
  .byte  102,65,15,244,205                   // pmuludq       %xmm13,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,127,100,36,160               // movdqa        %xmm4,-0x60(%rsp)
  .byte  243,15,91,213                       // cvttps2dq     %xmm5,%xmm2
  .byte  102,15,127,84,36,48                 // movdqa        %xmm2,0x30(%rsp)
  .byte  68,15,40,197                        // movaps        %xmm5,%xmm8
  .byte  68,15,41,68,36,96                   // movaps        %xmm8,0x60(%rsp)
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,254,209                      // paddd         %xmm1,%xmm2
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,68,15,111,21,23,191,0,0         // movdqa        0xbf17(%rip),%xmm10        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,112,235,245                  // pshufd        $0xf5,%xmm3,%xmm5
  .byte  102,65,15,244,218                   // pmuludq       %xmm10,%xmm3
  .byte  102,15,112,227,232                  // pshufd        $0xe8,%xmm3,%xmm4
  .byte  102,65,15,244,234                   // pmuludq       %xmm10,%xmm5
  .byte  102,15,112,221,232                  // pshufd        $0xe8,%xmm5,%xmm3
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,112,220,229                  // pshufd        $0xe5,%xmm4,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,220,78                   // pshufd        $0x4e,%xmm4,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,220,231                  // pshufd        $0xe7,%xmm4,%xmm3
  .byte  102,65,15,126,218                   // movd          %xmm3,%r10d
  .byte  76,139,24                           // mov           (%rax),%r11
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,52,139                 // movss         (%r11,%r9,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,254,45,24,184,0,0            // paddd         0xb818(%rip),%xmm5        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,247                           // unpcklps      %xmm7,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,254,37,236,183,0,0           // paddd         0xb7ec(%rip),%xmm4        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,40,61,1,190,0,0                  // movaps        0xbe01(%rip),%xmm7        # 2d370 <_sk_overlay_sse2_8bit+0x15ac>
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  68,15,41,68,36,176                  // movaps        %xmm8,-0x50(%rsp)
  .byte  68,15,88,207                        // addps         %xmm7,%xmm9
  .byte  68,15,41,76,36,64                   // movaps        %xmm9,0x40(%rsp)
  .byte  69,15,40,195                        // movaps        %xmm11,%xmm8
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  65,15,88,254                        // addps         %xmm14,%xmm7
  .byte  243,15,91,255                       // cvttps2dq     %xmm7,%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,255,245                  // pshufd        $0xf5,%xmm7,%xmm7
  .byte  102,65,15,244,253                   // pmuludq       %xmm13,%xmm7
  .byte  102,68,15,112,216,232               // pshufd        $0xe8,%xmm0,%xmm11
  .byte  102,15,112,199,232                  // pshufd        $0xe8,%xmm7,%xmm0
  .byte  102,68,15,98,216                    // punpckldq     %xmm0,%xmm11
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,68,15,127,28,36                 // movdqa        %xmm11,(%rsp)
  .byte  102,15,112,250,245                  // pshufd        $0xf5,%xmm2,%xmm7
  .byte  102,65,15,244,210                   // pmuludq       %xmm10,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,65,15,244,250                   // pmuludq       %xmm10,%xmm7
  .byte  102,15,112,215,232                  // pshufd        $0xe8,%xmm7,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,44,131                 // movss         (%r11,%rax,4),%xmm13
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,234                        // unpcklps      %xmm2,%xmm13
  .byte  68,15,20,239                        // unpcklps      %xmm7,%xmm13
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,21,199,182,0,0           // paddd         0xb6c7(%rip),%xmm2        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,71,15,16,12,131                 // movss         (%r11,%r8,4),%xmm9
  .byte  65,15,20,209                        // unpcklps      %xmm9,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,254,5,154,182,0,0            // paddd         0xb69a(%rip),%xmm0        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,248,78                   // pshufd        $0x4e,%xmm0,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  65,15,91,228                        // cvtdq2ps      %xmm12,%xmm4
  .byte  68,15,92,244                        // subps         %xmm4,%xmm14
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  69,15,40,206                        // movaps        %xmm14,%xmm9
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,65,15,91,216                    // cvttps2dq     %xmm8,%xmm3
  .byte  102,68,15,244,251                   // pmuludq       %xmm3,%xmm15
  .byte  102,15,112,219,245                  // pshufd        $0xf5,%xmm3,%xmm3
  .byte  102,15,244,92,36,128                // pmuludq       -0x80(%rsp),%xmm3
  .byte  102,65,15,112,231,232               // pshufd        $0xe8,%xmm15,%xmm4
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  102,15,254,204                      // paddd         %xmm4,%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,254,92,36,160                // paddd         -0x60(%rsp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,68,15,111,53,84,188,0,0         // movdqa        0xbc54(%rip),%xmm14        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,244,230                   // pmuludq       %xmm14,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,36,131                 // movss         (%r11,%rax,4),%xmm12
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,228                        // unpcklps      %xmm4,%xmm12
  .byte  68,15,20,229                        // unpcklps      %xmm5,%xmm12
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,61,92,181,0,0            // movdqa        0xb55c(%rip),%xmm7        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,68,15,111,5,43,181,0,0          // movdqa        0xb52b(%rip),%xmm8        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,216                   // paddd         %xmm8,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,65,15,244,206                   // pmuludq       %xmm14,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  102,15,112,217,229                  // pshufd        $0xe5,%xmm1,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,217,231                  // pshufd        $0xe7,%xmm1,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,139                 // movss         (%r11,%r9,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,69,15,16,60,131                 // movss         (%r11,%rax,4),%xmm15
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  68,15,20,251                        // unpcklps      %xmm3,%xmm15
  .byte  68,15,20,252                        // unpcklps      %xmm4,%xmm15
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,247                        // unpcklps      %xmm7,%xmm14
  .byte  68,15,20,244                        // unpcklps      %xmm4,%xmm14
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,215                        // unpcklps      %xmm7,%xmm10
  .byte  68,15,20,209                        // unpcklps      %xmm1,%xmm10
  .byte  69,15,92,252                        // subps         %xmm12,%xmm15
  .byte  68,15,41,76,36,240                  // movaps        %xmm9,-0x10(%rsp)
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,252                        // addps         %xmm12,%xmm15
  .byte  68,15,92,246                        // subps         %xmm6,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,88,246                        // addps         %xmm6,%xmm14
  .byte  68,15,92,213                        // subps         %xmm5,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  15,91,76,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm1
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,41,92,36,144                     // movaps        %xmm3,-0x70(%rsp)
  .byte  69,15,92,253                        // subps         %xmm13,%xmm15
  .byte  68,15,89,251                        // mulps         %xmm3,%xmm15
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  68,15,92,242                        // subps         %xmm2,%xmm14
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  243,15,91,68,36,64                  // cvttps2dq     0x40(%rsp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,84,36,208                // movdqa        -0x30(%rsp),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,127,84,36,192                // movdqa        %xmm2,-0x40(%rsp)
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,68,15,254,92,36,48              // paddd         0x30(%rsp),%xmm11
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,254,68,36,16                 // paddd         0x10(%rsp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,108,36,160            // movdqa        -0x60(%rsp),%xmm13
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,29,146,185,0,0           // movdqa        0xb992(%rip),%xmm3        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,205                        // unpcklps      %xmm5,%xmm9
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,29,152,178,0,0           // movdqa        0xb298(%rip),%xmm3        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  102,69,15,111,224                   // movdqa        %xmm8,%xmm12
  .byte  102,65,15,254,204                   // paddd         %xmm12,%xmm1
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,111,36,36                    // movdqa        (%rsp),%xmm4
  .byte  102,15,254,196                      // paddd         %xmm4,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,199                        // unpcklps      %xmm7,%xmm8
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  15,40,68,36,240                     // movaps        -0x10(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  102,68,15,254,92,36,128             // paddd         -0x80(%rsp),%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,15,111,5,80,183,0,0             // movdqa        0xb750(%rip),%xmm0        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,250,232                  // pshufd        $0xe8,%xmm2,%xmm7
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,250                       // punpckldq     %xmm2,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,203                        // unpcklps      %xmm3,%xmm9
  .byte  102,15,111,215                      // movdqa        %xmm7,%xmm2
  .byte  102,15,111,5,90,176,0,0             // movdqa        0xb05a(%rip),%xmm0        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,68,15,111,45,41,176,0,0         // movdqa        0xb029(%rip),%xmm13        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,253                   // paddd         %xmm13,%xmm7
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,249                   // movq          %xmm7,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,68,15,254,220                   // paddd         %xmm4,%xmm11
  .byte  102,65,15,112,219,245               // pshufd        $0xf5,%xmm11,%xmm3
  .byte  102,15,111,37,61,182,0,0            // movdqa        0xb63d(%rip),%xmm4        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,68,15,244,220                   // pmuludq       %xmm4,%xmm11
  .byte  102,65,15,112,211,232               // pshufd        $0xe8,%xmm11,%xmm2
  .byte  102,15,244,220                      // pmuludq       %xmm4,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  65,15,20,219                        // unpcklps      %xmm11,%xmm3
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,220                        // unpcklps      %xmm4,%xmm11
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,44,131                 // movss         (%r11,%rax,4),%xmm13
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  68,15,20,235                        // unpcklps      %xmm3,%xmm13
  .byte  68,15,20,234                        // unpcklps      %xmm2,%xmm13
  .byte  69,15,92,217                        // subps         %xmm9,%xmm11
  .byte  69,15,89,220                        // mulps         %xmm12,%xmm11
  .byte  69,15,88,217                        // addps         %xmm9,%xmm11
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,92,239                        // subps         %xmm7,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,239                        // addps         %xmm7,%xmm13
  .byte  69,15,92,216                        // subps         %xmm8,%xmm11
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  69,15,88,216                        // addps         %xmm8,%xmm11
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  15,91,68,36,224                     // cvtdq2ps      -0x20(%rsp),%xmm0
  .byte  15,40,76,36,32                      // movaps        0x20(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,32                      // movaps        %xmm1,0x20(%rsp)
  .byte  69,15,92,223                        // subps         %xmm15,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,223                        // addps         %xmm15,%xmm11
  .byte  68,15,41,92,36,224                  // movaps        %xmm11,-0x20(%rsp)
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,41,84,36,208                     // movaps        %xmm2,-0x30(%rsp)
  .byte  69,15,92,234                        // subps         %xmm10,%xmm13
  .byte  68,15,89,233                        // mulps         %xmm1,%xmm13
  .byte  69,15,88,234                        // addps         %xmm10,%xmm13
  .byte  243,15,91,68,36,176                 // cvttps2dq     -0x50(%rsp),%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  102,15,111,76,36,80                 // movdqa        0x50(%rsp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,68,15,111,84,36,160             // movdqa        -0x60(%rsp),%xmm10
  .byte  102,65,15,111,202                   // movdqa        %xmm10,%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,29,124,180,0,0           // movdqa        0xb47c(%rip),%xmm3        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,111,61,131,173,0,0           // movdqa        0xad83(%rip),%xmm7        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  102,68,15,111,13,82,173,0,0         // movdqa        0xad52(%rip),%xmm9        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,68,15,111,60,36                 // movdqa        (%rsp),%xmm15
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,244,198                   // pmuludq       %xmm14,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,65,15,244,206                   // pmuludq       %xmm14,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,239                      // paddd         %xmm7,%xmm5
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  69,15,40,196                        // movaps        %xmm12,%xmm8
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  102,65,15,111,219                   // movdqa        %xmm11,%xmm3
  .byte  102,15,254,92,36,128                // paddd         -0x80(%rsp),%xmm3
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,65,15,254,210                   // paddd         %xmm10,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,65,15,244,214                   // pmuludq       %xmm14,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,69,15,111,230                   // movdqa        %xmm14,%xmm12
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,112,212,229                  // pshufd        $0xe5,%xmm4,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,212,78                   // pshufd        $0x4e,%xmm4,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,212,231                  // pshufd        $0xe7,%xmm4,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,246                        // unpcklps      %xmm6,%xmm14
  .byte  68,15,20,243                        // unpcklps      %xmm3,%xmm14
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,68,15,111,21,60,171,0,0         // movdqa        0xab3c(%rip),%xmm10        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,218                   // paddd         %xmm10,%xmm3
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,254,215                   // paddd         %xmm15,%xmm2
  .byte  102,15,112,250,245                  // pshufd        $0xf5,%xmm2,%xmm7
  .byte  102,65,15,244,212                   // pmuludq       %xmm12,%xmm2
  .byte  102,15,112,242,232                  // pshufd        $0xe8,%xmm2,%xmm6
  .byte  102,65,15,244,252                   // pmuludq       %xmm12,%xmm7
  .byte  102,15,112,255,232                  // pshufd        $0xe8,%xmm7,%xmm7
  .byte  102,15,98,247                       // punpckldq     %xmm7,%xmm6
  .byte  102,15,112,254,229                  // pshufd        $0xe5,%xmm6,%xmm7
  .byte  102,65,15,126,249                   // movd          %xmm7,%r9d
  .byte  102,15,112,254,78                   // pshufd        $0x4e,%xmm6,%xmm7
  .byte  102,65,15,126,248                   // movd          %xmm7,%r8d
  .byte  102,15,112,254,231                  // pshufd        $0xe7,%xmm6,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,69,15,16,36,131                 // movss         (%r11,%rax,4),%xmm12
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,231                        // unpcklps      %xmm7,%xmm12
  .byte  68,15,20,226                        // unpcklps      %xmm2,%xmm12
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,65,15,254,210                   // paddd         %xmm10,%xmm2
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,147                 // movss         (%r11,%r10,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,223                        // unpcklps      %xmm7,%xmm11
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  102,65,15,254,241                   // paddd         %xmm9,%xmm6
  .byte  102,15,112,214,78                   // pshufd        $0x4e,%xmm6,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,214                        // unpcklps      %xmm6,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  69,15,88,230                        // addps         %xmm14,%xmm12
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  68,15,88,212                        // addps         %xmm4,%xmm10
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  15,40,84,36,144                     // movaps        -0x70(%rsp),%xmm2
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  68,15,92,221                        // subps         %xmm5,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,88,221                        // addps         %xmm5,%xmm11
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  102,15,111,68,36,192                // movdqa        -0x40(%rsp),%xmm0
  .byte  102,15,254,68,36,176                // paddd         -0x50(%rsp),%xmm0
  .byte  102,15,111,76,36,16                 // movdqa        0x10(%rsp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,111,116,36,160               // movdqa        -0x60(%rsp),%xmm6
  .byte  102,15,254,198                      // paddd         %xmm6,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,29,175,175,0,0           // movdqa        0xafaf(%rip),%xmm3        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,195                      // pmuludq       %xmm3,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,68,15,111,5,181,168,0,0         // movdqa        0xa8b5(%rip),%xmm8        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  102,65,15,254,209                   // paddd         %xmm9,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,244,230                   // pmuludq       %xmm14,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,244                        // unpcklps      %xmm4,%xmm14
  .byte  68,15,20,245                        // unpcklps      %xmm5,%xmm14
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,254,224                   // paddd         %xmm8,%xmm4
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  68,15,20,196                        // unpcklps      %xmm4,%xmm8
  .byte  102,65,15,254,217                   // paddd         %xmm9,%xmm3
  .byte  102,69,15,111,249                   // movdqa        %xmm9,%xmm15
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  15,40,92,36,240                     // movaps        -0x10(%rsp),%xmm3
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  102,15,254,124,36,128               // paddd         -0x80(%rsp),%xmm7
  .byte  102,15,254,247                      // paddd         %xmm7,%xmm6
  .byte  102,15,112,206,245                  // pshufd        $0xf5,%xmm6,%xmm1
  .byte  102,15,111,21,111,173,0,0           // movdqa        0xad6f(%rip),%xmm2        # 2d380 <_sk_overlay_sse2_8bit+0x15bc>
  .byte  102,15,244,242                      // pmuludq       %xmm2,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,117,166,0,0           // paddd         0xa675(%rip),%xmm1        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  102,68,15,111,255                   // movdqa        %xmm7,%xmm15
  .byte  102,68,15,254,60,36                 // paddd         (%rsp),%xmm15
  .byte  102,65,15,112,199,245               // pshufd        $0xf5,%xmm15,%xmm0
  .byte  102,68,15,244,254                   // pmuludq       %xmm6,%xmm15
  .byte  102,15,244,198                      // pmuludq       %xmm6,%xmm0
  .byte  102,65,15,112,215,232               // pshufd        $0xe8,%xmm15,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,53,117,165,0,0           // movdqa        0xa575(%rip),%xmm6        # 2ccf0 <_sk_overlay_sse2_8bit+0xf2c>
  .byte  102,15,254,242                      // paddd         %xmm2,%xmm6
  .byte  102,15,112,206,78                   // pshufd        $0x4e,%xmm6,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,71,15,16,60,131                 // movss         (%r11,%r8,4),%xmm15
  .byte  65,15,20,207                        // unpcklps      %xmm15,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,21,68,165,0,0            // paddd         0xa544(%rip),%xmm2        # 2cd10 <_sk_overlay_sse2_8bit+0xf4c>
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  15,40,116,36,240                    // movaps        -0x10(%rsp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,92,198                        // subps         %xmm14,%xmm0
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  15,40,92,36,32                      // movaps        0x20(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,92,210                        // subps         %xmm10,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  15,91,92,36,48                      // cvtdq2ps      0x30(%rsp),%xmm3
  .byte  15,40,100,36,96                     // movaps        0x60(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,92,36,208                     // movaps        -0x30(%rsp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,39,164,0,0                 // movaps        0xa427(%rip),%xmm3        # 2cce0 <_sk_overlay_sse2_8bit+0xf1c>
  .byte  15,40,100,36,112                    // movaps        0x70(%rsp),%xmm4
  .byte  15,40,172,36,128,0,0,0              // movaps        0x80(%rsp),%xmm5
  .byte  15,40,180,36,144,0,0,0              // movaps        0x90(%rsp),%xmm6
  .byte  15,40,188,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm7
  .byte  72,129,196,184,0,0,0                // add           $0xb8,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_hsw_8bit
.globl _sk_start_pipeline_hsw_8bit
FUNCTION(_sk_start_pipeline_hsw_8bit)
_sk_start_pipeline_hsw_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           22962 <_sk_start_pipeline_hsw_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,16                        // lea           0x10(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            22948 <_sk_start_pipeline_hsw_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,16                     // lea           0x10(%r12),%rdx
  .byte  73,131,196,32                       // add           $0x20,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           22929 <_sk_start_pipeline_hsw_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            22959 <_sk_start_pipeline_hsw_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           2291b <_sk_start_pipeline_hsw_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_hsw_8bit
.globl _sk_just_return_hsw_8bit
FUNCTION(_sk_just_return_hsw_8bit)
_sk_just_return_hsw_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_hsw_8bit
.globl _sk_uniform_color_hsw_8bit
FUNCTION(_sk_uniform_color_hsw_8bit)
_sk_uniform_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,64,16                // vbroadcastss  0x10(%rax),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_hsw_8bit
.globl _sk_set_rgb_hsw_8bit
FUNCTION(_sk_set_rgb_hsw_8bit)
_sk_set_rgb_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,37,105,161,0,0           // vmovss        0xa169(%rip),%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  197,218,89,40                       // vmulss        (%rax),%xmm4,%xmm5
  .byte  196,97,250,44,197                   // vcvttss2si    %xmm5,%r8
  .byte  197,218,89,104,4                    // vmulss        0x4(%rax),%xmm4,%xmm5
  .byte  196,97,250,44,205                   // vcvttss2si    %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  197,218,89,96,8                     // vmulss        0x8(%rax),%xmm4,%xmm4
  .byte  196,225,250,44,196                  // vcvttss2si    %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,253,111,45,150,156,0,0          // vmovdqa       0x9c96(%rip),%ymm5        # 2c660 <_sk_overlay_sse2_8bit+0x89c>
  .byte  197,245,219,205                     // vpand         %ymm5,%ymm1,%ymm1
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,221,235,192                     // vpor          %ymm0,%ymm4,%ymm0
  .byte  197,221,235,201                     // vpor          %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_hsw_8bit
.globl _sk_premul_hsw_8bit
FUNCTION(_sk_premul_hsw_8bit)
_sk_premul_hsw_8bit:
  .byte  197,253,111,37,154,156,0,0          // vmovdqa       0x9c9a(%rip),%ymm4        # 2c680 <_sk_overlay_sse2_8bit+0x8bc>
  .byte  196,226,125,0,236                   // vpshufb       %ymm4,%ymm0,%ymm5
  .byte  196,226,117,0,228                   // vpshufb       %ymm4,%ymm1,%ymm4
  .byte  197,253,111,53,168,156,0,0          // vmovdqa       0x9ca8(%rip),%ymm6        # 2c6a0 <_sk_overlay_sse2_8bit+0x8dc>
  .byte  197,221,235,230                     // vpor          %ymm6,%ymm4,%ymm4
  .byte  197,213,235,238                     // vpor          %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_hsw_8bit
.globl _sk_swap_rb_hsw_8bit
FUNCTION(_sk_swap_rb_hsw_8bit)
_sk_swap_rb_hsw_8bit:
  .byte  197,253,111,37,32,156,0,0           // vmovdqa       0x9c20(%rip),%ymm4        # 2c6c0 <_sk_overlay_sse2_8bit+0x8fc>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_hsw_8bit
.globl _sk_invert_hsw_8bit
FUNCTION(_sk_invert_hsw_8bit)
_sk_invert_hsw_8bit:
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,253,239,196                     // vpxor         %ymm4,%ymm0,%ymm0
  .byte  197,245,239,204                     // vpxor         %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_hsw_8bit
.globl _sk_load_8888_hsw_8bit
FUNCTION(_sk_load_8888_hsw_8bit)
_sk_load_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22aeb <_sk_load_8888_hsw_8bit+0x2d>
  .byte  196,129,126,111,76,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  197,253,239,192                     // vpxor         %ymm0,%ymm0,%ymm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,228                             // ja            22ae7 <_sk_load_8888_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 22c24 <_sk_load_8888_hsw_8bit+0x166>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,152               // vmovd         (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           22ae7 <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm0
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,125,2,196,3                 // vpblendd      $0x3,%ymm4,%ymm0,%ymm0
  .byte  235,159                             // jmp           22ae7 <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,192,240                // vpblendd      $0xf0,%ymm0,%ymm4,%ymm0
  .byte  233,80,255,255,255                  // jmpq          22ae7 <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,40           // vmovd         0x28(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm1
  .byte  196,131,113,34,68,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm1,%xmm0
  .byte  196,227,117,2,200,15                // vpblendd      $0xf,%ymm0,%ymm1,%ymm1
  .byte  196,129,121,110,68,152,32           // vmovd         0x20(%r8,%r11,4),%xmm0
  .byte  196,227,117,2,200,1                 // vpblendd      $0x1,%ymm0,%ymm1,%ymm1
  .byte  233,20,255,255,255                  // jmpq          22ae1 <_sk_load_8888_hsw_8bit+0x23>
  .byte  196,129,121,110,68,152,56           // vmovd         0x38(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,201,240                // vpblendd      $0xf0,%ymm1,%ymm4,%ymm1
  .byte  233,196,254,255,255                 // jmpq          22ae7 <_sk_load_8888_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,254,255,255,151                 // mov           $0x97fffffe,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_hsw_8bit
.globl _sk_load_8888_dst_hsw_8bit
FUNCTION(_sk_load_8888_dst_hsw_8bit)
_sk_load_8888_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22c8d <_sk_load_8888_dst_hsw_8bit+0x2d>
  .byte  196,129,126,111,92,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,228                             // ja            22c89 <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,24,1,0,0                  // lea           0x118(%rip),%r10        # 22dc8 <_sk_load_8888_dst_hsw_8bit+0x168>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,20,152              // vmovd         (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           22c89 <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,8            // vmovd         0x8(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm2
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,109,2,212,3                 // vpblendd      $0x3,%ymm4,%ymm2,%ymm2
  .byte  235,159                             // jmp           22c89 <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,24           // vmovd         0x18(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,210,240                // vpblendd      $0xf0,%ymm2,%ymm4,%ymm2
  .byte  233,80,255,255,255                  // jmpq          22c89 <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,40           // vmovd         0x28(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm3
  .byte  196,131,97,34,84,152,36,1           // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm3,%xmm2
  .byte  196,227,101,2,218,15                // vpblendd      $0xf,%ymm2,%ymm3,%ymm3
  .byte  196,129,121,110,84,152,32           // vmovd         0x20(%r8,%r11,4),%xmm2
  .byte  196,227,101,2,218,1                 // vpblendd      $0x1,%ymm2,%ymm3,%ymm3
  .byte  233,20,255,255,255                  // jmpq          22c83 <_sk_load_8888_dst_hsw_8bit+0x23>
  .byte  196,129,121,110,84,152,56           // vmovd         0x38(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,219,240                // vpblendd      $0xf0,%ymm3,%ymm4,%ymm3
  .byte  233,196,254,255,255                 // jmpq          22c89 <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  241                                 // icebp
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  249                                 // stc
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,96,255                          // jmpq          *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,76,255,255                      // decl          -0x1(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  56,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,34                              // jmpq          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,254,255,255,149                 // mov           $0x95fffffe,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,135,255,255,255,113             // incl          0x71ffffff(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,167                 // mov           $0xa7ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_hsw_8bit
.globl _sk_store_8888_hsw_8bit
FUNCTION(_sk_store_8888_hsw_8bit)
_sk_store_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22e31 <_sk_store_8888_hsw_8bit+0x2d>
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  196,129,126,127,76,152,32           // vmovdqu       %ymm1,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,176,0,0,0                 // lea           0xb0(%rip),%r10        # 22efc <_sk_store_8888_hsw_8bit+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,4,152               // vmovd         %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,131,121,22,68,152,8,2           // vpextrd       $0x2,%xmm0,0x8(%r8,%r11,4)
  .byte  196,129,121,214,4,152               // vmovq         %xmm0,(%r8,%r11,4)
  .byte  235,192                             // jmp           22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,121,22,100,152,24,2         // vpextrd       $0x2,%xmm4,0x18(%r8,%r11,4)
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,121,22,100,152,20,1         // vpextrd       $0x1,%xmm4,0x14(%r8,%r11,4)
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,129,121,126,100,152,16          // vmovd         %xmm4,0x10(%r8,%r11,4)
  .byte  196,129,122,127,4,152               // vmovdqu       %xmm0,(%r8,%r11,4)
  .byte  235,143                             // jmp           22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,131,121,22,76,152,40,2          // vpextrd       $0x2,%xmm1,0x28(%r8,%r11,4)
  .byte  196,131,121,22,76,152,36,1          // vpextrd       $0x1,%xmm1,0x24(%r8,%r11,4)
  .byte  196,129,121,126,76,152,32           // vmovd         %xmm1,0x20(%r8,%r11,4)
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  233,109,255,255,255                 // jmpq          22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,131,121,22,100,152,56,2         // vpextrd       $0x2,%xmm4,0x38(%r8,%r11,4)
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,131,121,22,100,152,52,1         // vpextrd       $0x1,%xmm4,0x34(%r8,%r11,4)
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,129,121,126,100,152,48          // vmovd         %xmm4,0x30(%r8,%r11,4)
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  196,129,122,127,76,152,32           // vmovdqu       %xmm1,0x20(%r8,%r11,4)
  .byte  233,50,255,255,255                  // jmpq          22e2d <_sk_store_8888_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  89                                  // pop           %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,105,255                         // ljmp          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,97,255                          // jmpq          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,154,255,255,255,141             // lcall         *-0x72000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,255                             // jg            22f11 <_sk_store_8888_hsw_8bit+0x10d>
  .byte  255                                 // (bad)
  .byte  255,113,255                         // pushq         -0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,178                 // mov           $0xb2ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,162             // ljmp          *-0x5d000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  237                                 // in            (%dx),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_hsw_8bit
.globl _sk_load_bgra_hsw_8bit
FUNCTION(_sk_load_bgra_hsw_8bit)
_sk_load_bgra_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           22f77 <_sk_load_bgra_hsw_8bit+0x3f>
  .byte  196,129,126,111,76,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  197,253,111,37,119,151,0,0          // vmovdqa       0x9777(%rip),%ymm4        # 2c6e0 <_sk_overlay_sse2_8bit+0x91c>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  197,253,239,192                     // vpxor         %ymm0,%ymm0,%ymm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,210                             // ja            22f61 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 230b0 <_sk_load_bgra_hsw_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,152               // vmovd         (%r8,%r11,4),%xmm0
  .byte  235,182                             // jmp           22f61 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm0
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,125,2,196,3                 // vpblendd      $0x3,%ymm4,%ymm0,%ymm0
  .byte  235,141                             // jmp           22f61 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,192,240                // vpblendd      $0xf0,%ymm0,%ymm4,%ymm0
  .byte  233,62,255,255,255                  // jmpq          22f61 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,40           // vmovd         0x28(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm1
  .byte  196,131,113,34,68,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm1,%xmm0
  .byte  196,227,117,2,200,15                // vpblendd      $0xf,%ymm0,%ymm1,%ymm1
  .byte  196,129,121,110,68,152,32           // vmovd         0x20(%r8,%r11,4),%xmm0
  .byte  196,227,117,2,200,1                 // vpblendd      $0x1,%ymm0,%ymm1,%ymm1
  .byte  233,2,255,255,255                   // jmpq          22f5b <_sk_load_bgra_hsw_8bit+0x23>
  .byte  196,129,121,110,68,152,56           // vmovd         0x38(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,201,240                // vpblendd      $0xf0,%ymm1,%ymm4,%ymm1
  .byte  233,178,254,255,255                 // jmpq          22f61 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,171,254,255,255,151             // ljmp          *-0x68000002(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_hsw_8bit
.globl _sk_load_bgra_dst_hsw_8bit
FUNCTION(_sk_load_bgra_dst_hsw_8bit)
_sk_load_bgra_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           2312b <_sk_load_bgra_dst_hsw_8bit+0x3f>
  .byte  196,129,126,111,92,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  197,253,111,37,227,149,0,0          // vmovdqa       0x95e3(%rip),%ymm4        # 2c700 <_sk_overlay_sse2_8bit+0x93c>
  .byte  196,226,109,0,212                   // vpshufb       %ymm4,%ymm2,%ymm2
  .byte  196,226,101,0,220                   // vpshufb       %ymm4,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,210                             // ja            23115 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 23264 <_sk_load_bgra_dst_hsw_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,20,152              // vmovd         (%r8,%r11,4),%xmm2
  .byte  235,182                             // jmp           23115 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,8            // vmovd         0x8(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm2
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,109,2,212,3                 // vpblendd      $0x3,%ymm4,%ymm2,%ymm2
  .byte  235,141                             // jmp           23115 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,24           // vmovd         0x18(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,210,240                // vpblendd      $0xf0,%ymm2,%ymm4,%ymm2
  .byte  233,62,255,255,255                  // jmpq          23115 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,40           // vmovd         0x28(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm3
  .byte  196,131,97,34,84,152,36,1           // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm3,%xmm2
  .byte  196,227,101,2,218,15                // vpblendd      $0xf,%ymm2,%ymm3,%ymm3
  .byte  196,129,121,110,84,152,32           // vmovd         0x20(%r8,%r11,4),%xmm2
  .byte  196,227,101,2,218,1                 // vpblendd      $0x1,%ymm2,%ymm3,%ymm3
  .byte  233,2,255,255,255                   // jmpq          2310f <_sk_load_bgra_dst_hsw_8bit+0x23>
  .byte  196,129,121,110,84,152,56           // vmovd         0x38(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,219,240                // vpblendd      $0xf0,%ymm3,%ymm4,%ymm3
  .byte  233,178,254,255,255                 // jmpq          23115 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,171,254,255,255,151             // ljmp          *-0x68000002(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_hsw_8bit
.globl _sk_store_bgra_hsw_8bit
FUNCTION(_sk_store_bgra_hsw_8bit)
_sk_store_bgra_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  197,253,111,37,97,148,0,0           // vmovdqa       0x9461(%rip),%ymm4        # 2c720 <_sk_overlay_sse2_8bit+0x95c>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           232df <_sk_store_bgra_hsw_8bit+0x3f>
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,126,127,108,152,32          // vmovdqu       %ymm5,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,178,0,0,0                 // lea           0xb2(%rip),%r10        # 233ac <_sk_store_bgra_hsw_8bit+0x10c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,36,152              // vmovd         %xmm4,(%r8,%r11,4)
  .byte  235,208                             // jmp           232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,131,121,22,100,152,8,2          // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  196,129,121,214,36,152              // vmovq         %xmm4,(%r8,%r11,4)
  .byte  235,192                             // jmp           232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,24,2         // vpextrd       $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,20,1         // vpextrd       $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,129,121,126,108,152,16          // vmovd         %xmm5,0x10(%r8,%r11,4)
  .byte  196,129,122,127,36,152              // vmovdqu       %xmm4,(%r8,%r11,4)
  .byte  235,143                             // jmp           232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,131,121,22,108,152,40,2         // vpextrd       $0x2,%xmm5,0x28(%r8,%r11,4)
  .byte  196,131,121,22,108,152,36,1         // vpextrd       $0x1,%xmm5,0x24(%r8,%r11,4)
  .byte  196,129,121,126,108,152,32          // vmovd         %xmm5,0x20(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  233,109,255,255,255                 // jmpq          232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,56,2         // vpextrd       $0x2,%xmm6,0x38(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,52,1         // vpextrd       $0x1,%xmm6,0x34(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,129,121,126,116,152,48          // vmovd         %xmm6,0x30(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,122,127,108,152,32          // vmovdqu       %xmm5,0x20(%r8,%r11,4)
  .byte  233,50,255,255,255                  // jmpq          232db <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  87                                  // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,103,255                         // jmpq          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,95,255                          // lcall         *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,152,255,255,255,139             // lcall         *-0x74000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  125,255                             // jge           233c1 <_sk_store_bgra_hsw_8bit+0x121>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,183,255,255,255,176             // pushq         -0x4f000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,160             // ljmp          *-0x5f000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           233d9 <_sk_store_bgra_hsw_8bit+0x139>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_565_hsw_8bit
.globl _sk_store_565_hsw_8bit
FUNCTION(_sk_store_565_hsw_8bit)
_sk_store_565_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  197,253,111,37,58,147,0,0           // vmovdqa       0x933a(%rip),%ymm4        # 2c740 <_sk_overlay_sse2_8bit+0x97c>
  .byte  197,253,219,236                     // vpand         %ymm4,%ymm0,%ymm5
  .byte  197,245,219,228                     // vpand         %ymm4,%ymm1,%ymm4
  .byte  197,221,114,244,8                   // vpslld        $0x8,%ymm4,%ymm4
  .byte  197,213,114,245,8                   // vpslld        $0x8,%ymm5,%ymm5
  .byte  197,253,111,53,64,147,0,0           // vmovdqa       0x9340(%rip),%ymm6        # 2c760 <_sk_overlay_sse2_8bit+0x99c>
  .byte  197,253,219,254                     // vpand         %ymm6,%ymm0,%ymm7
  .byte  197,245,219,246                     // vpand         %ymm6,%ymm1,%ymm6
  .byte  197,205,114,214,5                   // vpsrld        $0x5,%ymm6,%ymm6
  .byte  197,197,114,215,5                   // vpsrld        $0x5,%ymm7,%ymm7
  .byte  197,125,111,5,70,147,0,0            // vmovdqa       0x9346(%rip),%ymm8        # 2c780 <_sk_overlay_sse2_8bit+0x9bc>
  .byte  196,65,117,219,200                  // vpand         %ymm8,%ymm1,%ymm9
  .byte  196,65,125,219,192                  // vpand         %ymm8,%ymm0,%ymm8
  .byte  196,193,61,114,208,19               // vpsrld        $0x13,%ymm8,%ymm8
  .byte  196,193,53,114,209,19               // vpsrld        $0x13,%ymm9,%ymm9
  .byte  197,213,235,239                     // vpor          %ymm7,%ymm5,%ymm5
  .byte  197,221,235,230                     // vpor          %ymm6,%ymm4,%ymm4
  .byte  196,193,93,235,225                  // vpor          %ymm9,%ymm4,%ymm4
  .byte  196,193,85,235,232                  // vpor          %ymm8,%ymm5,%ymm5
  .byte  197,253,111,53,54,147,0,0           // vmovdqa       0x9336(%rip),%ymm6        # 2c7a0 <_sk_overlay_sse2_8bit+0x9dc>
  .byte  196,226,85,0,238                    // vpshufb       %ymm6,%ymm5,%ymm5
  .byte  196,227,253,0,237,232               // vpermq        $0xe8,%ymm5,%ymm5
  .byte  196,226,93,0,230                    // vpshufb       %ymm6,%ymm4,%ymm4
  .byte  196,227,253,0,228,232               // vpermq        $0xe8,%ymm4,%ymm4
  .byte  196,227,85,56,228,1                 // vinserti128   $0x1,%xmm4,%ymm5,%ymm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           23495 <_sk_store_565_hsw_8bit+0xad>
  .byte  196,129,126,127,36,88               // vmovdqu       %ymm4,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            23491 <_sk_store_565_hsw_8bit+0xa9>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,176,0,0,0                 // lea           0xb0(%rip),%r10        # 23560 <_sk_store_565_hsw_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,131,121,21,36,88,0              // vpextrw       $0x0,%xmm4,(%r8,%r11,2)
  .byte  235,207                             // jmp           23491 <_sk_store_565_hsw_8bit+0xa9>
  .byte  196,131,121,21,100,88,4,2           // vpextrw       $0x2,%xmm4,0x4(%r8,%r11,2)
  .byte  196,129,121,126,36,88               // vmovd         %xmm4,(%r8,%r11,2)
  .byte  235,191                             // jmp           23491 <_sk_store_565_hsw_8bit+0xa9>
  .byte  196,131,121,21,100,88,12,6          // vpextrw       $0x6,%xmm4,0xc(%r8,%r11,2)
  .byte  196,131,121,21,100,88,10,5          // vpextrw       $0x5,%xmm4,0xa(%r8,%r11,2)
  .byte  196,131,121,21,100,88,8,4           // vpextrw       $0x4,%xmm4,0x8(%r8,%r11,2)
  .byte  196,129,121,214,36,88               // vmovq         %xmm4,(%r8,%r11,2)
  .byte  235,159                             // jmp           23491 <_sk_store_565_hsw_8bit+0xa9>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,20,2          // vpextrw       $0x2,%xmm5,0x14(%r8,%r11,2)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,18,1          // vpextrw       $0x1,%xmm5,0x12(%r8,%r11,2)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,16,0          // vpextrw       $0x0,%xmm5,0x10(%r8,%r11,2)
  .byte  235,55                              // jmp           23555 <_sk_store_565_hsw_8bit+0x16d>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,28,6          // vpextrw       $0x6,%xmm5,0x1c(%r8,%r11,2)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,26,5          // vpextrw       $0x5,%xmm5,0x1a(%r8,%r11,2)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,21,108,88,24,4          // vpextrw       $0x4,%xmm5,0x18(%r8,%r11,2)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,129,121,214,108,88,16           // vmovq         %xmm5,0x10(%r8,%r11,2)
  .byte  196,129,122,127,36,88               // vmovdqu       %xmm4,(%r8,%r11,2)
  .byte  233,49,255,255,255                  // jmpq          23491 <_sk_store_565_hsw_8bit+0xa9>
  .byte  89                                  // pop           %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,106,255                         // ljmp          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,138,255,255,255,130             // decl          -0x7d000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  122,255                             // jp            23575 <_sk_store_565_hsw_8bit+0x18d>
  .byte  255                                 // (bad)
  .byte  255,114,255                         // pushq         -0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,245                             // push          %rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,174,255,255,255,160             // ljmp          *-0x5f000001(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,146,255,255,255,232             // callq         *-0x17000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,204                             // dec           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190                                 // .byte         0xbe
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_hsw_8bit
.globl _sk_load_565_dst_hsw_8bit
FUNCTION(_sk_load_565_dst_hsw_8bit)
_sk_load_565_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,222,0,0,0                    // jne           23699 <_sk_load_565_dst_hsw_8bit+0xfd>
  .byte  196,129,126,111,20,88               // vmovdqu       (%r8,%r11,2),%ymm2
  .byte  196,227,125,57,211,1                // vextracti128  $0x1,%ymm2,%xmm3
  .byte  196,226,125,51,219                  // vpmovzxwd     %xmm3,%ymm3
  .byte  196,226,125,51,210                  // vpmovzxwd     %xmm2,%ymm2
  .byte  196,226,125,88,37,106,149,0,0       // vpbroadcastd  0x956a(%rip),%ymm4        # 2cb44 <_sk_overlay_sse2_8bit+0xd80>
  .byte  197,237,219,236                     // vpand         %ymm4,%ymm2,%ymm5
  .byte  197,229,219,228                     // vpand         %ymm4,%ymm3,%ymm4
  .byte  197,221,114,212,8                   // vpsrld        $0x8,%ymm4,%ymm4
  .byte  197,213,114,213,8                   // vpsrld        $0x8,%ymm5,%ymm5
  .byte  196,226,125,88,53,95,149,0,0        // vpbroadcastd  0x955f(%rip),%ymm6        # 2cb54 <_sk_overlay_sse2_8bit+0xd90>
  .byte  197,237,219,254                     // vpand         %ymm6,%ymm2,%ymm7
  .byte  197,229,219,246                     // vpand         %ymm6,%ymm3,%ymm6
  .byte  197,205,114,246,19                  // vpslld        $0x13,%ymm6,%ymm6
  .byte  197,197,114,247,19                  // vpslld        $0x13,%ymm7,%ymm7
  .byte  197,213,235,239                     // vpor          %ymm7,%ymm5,%ymm5
  .byte  197,221,235,230                     // vpor          %ymm6,%ymm4,%ymm4
  .byte  197,205,114,212,5                   // vpsrld        $0x5,%ymm4,%ymm6
  .byte  197,197,114,213,5                   // vpsrld        $0x5,%ymm5,%ymm7
  .byte  196,98,125,88,5,58,150,0,0          // vpbroadcastd  0x963a(%rip),%ymm8        # 2cc5c <_sk_overlay_sse2_8bit+0xe98>
  .byte  196,193,69,219,248                  // vpand         %ymm8,%ymm7,%ymm7
  .byte  196,193,77,219,240                  // vpand         %ymm8,%ymm6,%ymm6
  .byte  196,98,125,88,5,23,149,0,0          // vpbroadcastd  0x9517(%rip),%ymm8        # 2cb4c <_sk_overlay_sse2_8bit+0xd88>
  .byte  196,65,101,219,200                  // vpand         %ymm8,%ymm3,%ymm9
  .byte  196,65,109,219,192                  // vpand         %ymm8,%ymm2,%ymm8
  .byte  196,193,61,114,240,5                // vpslld        $0x5,%ymm8,%ymm8
  .byte  196,193,53,114,241,5                // vpslld        $0x5,%ymm9,%ymm9
  .byte  196,98,125,88,21,12,150,0,0         // vpbroadcastd  0x960c(%rip),%ymm10        # 2cc60 <_sk_overlay_sse2_8bit+0xe9c>
  .byte  196,193,101,219,218                 // vpand         %ymm10,%ymm3,%ymm3
  .byte  196,193,109,219,210                 // vpand         %ymm10,%ymm2,%ymm2
  .byte  197,237,114,210,1                   // vpsrld        $0x1,%ymm2,%ymm2
  .byte  197,229,114,211,1                   // vpsrld        $0x1,%ymm3,%ymm3
  .byte  196,193,101,235,217                 // vpor          %ymm9,%ymm3,%ymm3
  .byte  196,193,109,235,208                 // vpor          %ymm8,%ymm2,%ymm2
  .byte  196,98,125,88,5,233,149,0,0         // vpbroadcastd  0x95e9(%rip),%ymm8        # 2cc64 <_sk_overlay_sse2_8bit+0xea0>
  .byte  197,237,235,213                     // vpor          %ymm5,%ymm2,%ymm2
  .byte  197,229,235,220                     // vpor          %ymm4,%ymm3,%ymm3
  .byte  196,193,109,235,208                 // vpor          %ymm8,%ymm2,%ymm2
  .byte  197,197,235,210                     // vpor          %ymm2,%ymm7,%ymm2
  .byte  196,193,101,235,216                 // vpor          %ymm8,%ymm3,%ymm3
  .byte  197,205,235,219                     // vpor          %ymm3,%ymm6,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,16,255,255,255               // ja            235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,28,1,0,0                  // lea           0x11c(%rip),%r10        # 237d8 <_sk_load_565_dst_hsw_8bit+0x23c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,208                     // vmovd         %eax,%xmm2
  .byte  233,238,254,255,255                 // jmpq          235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,129,105,196,92,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,101,56,210,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,129,121,110,28,88               // vmovd         (%r8,%r11,2),%xmm3
  .byte  196,227,109,2,211,1                 // vpblendd      $0x1,%ymm3,%ymm2,%ymm2
  .byte  233,203,254,255,255                 // jmpq          235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,129,105,196,92,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,101,56,210,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,129,105,196,92,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,109,2,211,15                // vpblendd      $0xf,%ymm3,%ymm2,%ymm2
  .byte  196,129,105,196,92,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,109,2,211,15                // vpblendd      $0xf,%ymm3,%ymm2,%ymm2
  .byte  196,129,122,126,28,88               // vmovq         (%r8,%r11,2),%xmm3
  .byte  196,227,109,2,211,3                 // vpblendd      $0x3,%ymm3,%ymm2,%ymm2
  .byte  233,140,254,255,255                 // jmpq          235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,129,105,196,92,88,20,2          // vpinsrw       $0x2,0x14(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,227,125,57,211,1                // vextracti128  $0x1,%ymm2,%xmm3
  .byte  196,129,97,196,92,88,18,1           // vpinsrw       $0x1,0x12(%r8,%r11,2),%xmm3,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,227,125,57,211,1                // vextracti128  $0x1,%ymm2,%xmm3
  .byte  196,129,97,196,92,88,16,0           // vpinsrw       $0x0,0x10(%r8,%r11,2),%xmm3,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,129,122,111,28,88               // vmovdqu       (%r8,%r11,2),%xmm3
  .byte  196,227,101,2,210,240               // vpblendd      $0xf0,%ymm2,%ymm3,%ymm2
  .byte  233,65,254,255,255                  // jmpq          235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,129,105,196,92,88,28,6          // vpinsrw       $0x6,0x1c(%r8,%r11,2),%xmm2,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,227,125,57,211,1                // vextracti128  $0x1,%ymm2,%xmm3
  .byte  196,129,97,196,92,88,26,5           // vpinsrw       $0x5,0x1a(%r8,%r11,2),%xmm3,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,227,125,57,211,1                // vextracti128  $0x1,%ymm2,%xmm3
  .byte  196,129,97,196,92,88,24,4           // vpinsrw       $0x4,0x18(%r8,%r11,2),%xmm3,%xmm3
  .byte  196,227,109,56,211,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,129,122,126,92,88,16            // vmovq         0x10(%r8,%r11,2),%xmm3
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  196,227,93,56,219,1                 // vinserti128   $0x1,%xmm3,%ymm4,%ymm3
  .byte  196,227,101,2,210,192               // vpblendd      $0xc0,%ymm2,%ymm3,%ymm2
  .byte  233,233,253,255,255                 // jmpq          235c1 <_sk_load_565_dst_hsw_8bit+0x25>
  .byte  237                                 // in            (%dx),%eax
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,251              // decl          -0x4000001(%rip)        # fffffffffc0237e0 <_sk_overlay_sse2_8bit+0xfffffffffbff7a1c>
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,76,255,255                      // decl          -0x1(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  62,255                              // ds            (bad)
  .byte  255                                 // (bad)
  .byte  255,48                              // pushq         (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,151,255,255,255,131             // callq         *-0x7c000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,93,255                          // lcall         *-0x1(%rbp)
  .byte  255                                 // (bad)
  .byte  255,226                             // jmpq          *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  186,255,255,255,168                 // mov           $0xa8ffffff,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_hsw_8bit
.globl _sk_load_a8_hsw_8bit
FUNCTION(_sk_load_a8_hsw_8bit)
_sk_load_a8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           2384f <_sk_load_a8_hsw_8bit+0x3b>
  .byte  196,129,122,111,4,24                // vmovdqu       (%r8,%r11,1),%xmm0
  .byte  197,249,112,200,78                  // vpshufd       $0x4e,%xmm0,%xmm1
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,253,114,240,24                  // vpslld        $0x18,%ymm0,%ymm0
  .byte  197,245,114,241,24                  // vpslld        $0x18,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,207                             // ja            23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,194,0,0,0                 // lea           0xc2(%rip),%r10        # 23930 <_sk_load_a8_hsw_8bit+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,176                             // jmp           23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,227,121,14,193,1                // vpblendw      $0x1,%xmm1,%xmm0,%xmm0
  .byte  235,147                             // jmp           23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,102,255,255,255                 // jmpq          23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,57,255,255,255                  // jmpq          23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,131,113,34,76,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm1,%xmm1
  .byte  196,227,113,2,192,8                 // vpblendd      $0x8,%xmm0,%xmm1,%xmm0
  .byte  233,4,255,255,255                   // jmpq          23832 <_sk_load_a8_hsw_8bit+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  71,255                              // rex.RXB       (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,82,255                          // callq         *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,139,255,255,255,131             // decl          -0x7c000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           23945 <_sk_load_a8_hsw_8bit+0x131>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,176                 // mov           $0xb0ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,156             // ljmp          *-0x63000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_hsw_8bit
.globl _sk_load_a8_dst_hsw_8bit
FUNCTION(_sk_load_a8_dst_hsw_8bit)
_sk_load_a8_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           239a7 <_sk_load_a8_dst_hsw_8bit+0x3b>
  .byte  196,129,122,111,20,24               // vmovdqu       (%r8,%r11,1),%xmm2
  .byte  197,249,112,218,78                  // vpshufd       $0x4e,%xmm2,%xmm3
  .byte  196,226,125,49,219                  // vpmovzxbd     %xmm3,%ymm3
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,237,114,242,24                  // vpslld        $0x18,%ymm2,%ymm2
  .byte  197,229,114,243,24                  // vpslld        $0x18,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,207                             // ja            2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,194,0,0,0                 // lea           0xc2(%rip),%r10        # 23a88 <_sk_load_a8_dst_hsw_8bit+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,208                     // vmovd         %eax,%xmm2
  .byte  235,176                             // jmp           2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm2,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,216                     // vmovd         %eax,%xmm3
  .byte  196,227,105,14,211,1                // vpblendw      $0x1,%xmm3,%xmm2,%xmm2
  .byte  235,147                             // jmp           2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,121,110,28,24               // vmovd         (%r8,%r11,1),%xmm3
  .byte  196,227,105,2,211,1                 // vpblendd      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,102,255,255,255                 // jmpq          2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,227,97,2,210,12                 // vpblendd      $0xc,%xmm2,%xmm3,%xmm2
  .byte  233,57,255,255,255                  // jmpq          2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,131,97,34,92,24,8,2             // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm3,%xmm3
  .byte  196,227,97,2,210,8                  // vpblendd      $0x8,%xmm2,%xmm3,%xmm2
  .byte  233,4,255,255,255                   // jmpq          2398a <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  71,255                              // rex.RXB       (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,82,255                          // callq         *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,139,255,255,255,131             // decl          -0x7c000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           23a9d <_sk_load_a8_dst_hsw_8bit+0x131>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,176                 // mov           $0xb0ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,156             // ljmp          *-0x63000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_hsw_8bit
.globl _sk_store_a8_hsw_8bit
FUNCTION(_sk_store_a8_hsw_8bit)
_sk_store_a8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  197,253,111,37,225,140,0,0          // vmovdqa       0x8ce1(%rip),%ymm4        # 2c7c0 <_sk_overlay_sse2_8bit+0x9fc>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,227,253,0,237,232               // vpermq        $0xe8,%ymm5,%ymm5
  .byte  197,249,111,53,174,152,0,0          // vmovdqa       0x98ae(%rip),%xmm6        # 2d3a0 <_sk_overlay_sse2_8bit+0x15dc>
  .byte  196,226,81,0,238                    // vpshufb       %xmm6,%xmm5,%xmm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  196,227,253,0,228,232               // vpermq        $0xe8,%ymm4,%ymm4
  .byte  196,226,89,0,230                    // vpshufb       %xmm6,%xmm4,%xmm4
  .byte  197,217,108,229                     // vpunpcklqdq   %xmm5,%xmm4,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           23b1a <_sk_store_a8_hsw_8bit+0x56>
  .byte  196,129,122,127,36,24               // vmovdqu       %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            23b16 <_sk_store_a8_hsw_8bit+0x52>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,139,0,0,0                 // lea           0x8b(%rip),%r10        # 23bc0 <_sk_store_a8_hsw_8bit+0xfc>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,131,121,20,36,24,0              // vpextrb       $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,207                             // jmp           23b16 <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,2,2           // vpextrb       $0x2,%xmm4,0x2(%r8,%r11,1)
  .byte  196,131,121,21,36,24,0              // vpextrw       $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,190                             // jmp           23b16 <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,6,6           // vpextrb       $0x6,%xmm4,0x6(%r8,%r11,1)
  .byte  196,131,121,20,100,24,5,5           // vpextrb       $0x5,%xmm4,0x5(%r8,%r11,1)
  .byte  196,131,121,20,100,24,4,4           // vpextrb       $0x4,%xmm4,0x4(%r8,%r11,1)
  .byte  196,129,121,126,36,24               // vmovd         %xmm4,(%r8,%r11,1)
  .byte  235,158                             // jmp           23b16 <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,10,10         // vpextrb       $0xa,%xmm4,0xa(%r8,%r11,1)
  .byte  196,131,121,20,100,24,9,9           // vpextrb       $0x9,%xmm4,0x9(%r8,%r11,1)
  .byte  196,131,121,20,100,24,8,8           // vpextrb       $0x8,%xmm4,0x8(%r8,%r11,1)
  .byte  235,32                              // jmp           23bb2 <_sk_store_a8_hsw_8bit+0xee>
  .byte  196,131,121,20,100,24,14,14         // vpextrb       $0xe,%xmm4,0xe(%r8,%r11,1)
  .byte  196,131,121,20,100,24,13,13         // vpextrb       $0xd,%xmm4,0xd(%r8,%r11,1)
  .byte  196,131,121,20,100,24,12,12         // vpextrb       $0xc,%xmm4,0xc(%r8,%r11,1)
  .byte  196,131,121,22,100,24,8,2           // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,1)
  .byte  196,129,121,214,36,24               // vmovq         %xmm4,(%r8,%r11,1)
  .byte  233,89,255,255,255                  // jmpq          23b16 <_sk_store_a8_hsw_8bit+0x52>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  126,255                             // jle           23bc1 <_sk_store_a8_hsw_8bit+0xfd>
  .byte  255                                 // (bad)
  .byte  255,143,255,255,255,135             // decl          -0x78000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,176,255,255,255,168             // pushq         -0x57000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,152             // jmpq          *-0x67000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,200                             // dec           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,234                 // mov           $0xeaffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,226                             // jmpq          *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_hsw_8bit
.globl _sk_load_g8_hsw_8bit
FUNCTION(_sk_load_g8_hsw_8bit)
_sk_load_g8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           23c51 <_sk_load_g8_hsw_8bit+0x55>
  .byte  196,129,122,111,4,24                // vmovdqu       (%r8,%r11,1),%xmm0
  .byte  196,226,125,49,200                  // vpmovzxbd     %xmm0,%ymm1
  .byte  197,249,112,192,78                  // vpshufd       $0x4e,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  196,226,125,88,37,54,144,0,0        // vpbroadcastd  0x9036(%rip),%ymm4        # 2cc68 <_sk_overlay_sse2_8bit+0xea4>
  .byte  196,226,125,64,236                  // vpmulld       %ymm4,%ymm0,%ymm5
  .byte  196,226,117,64,196                  // vpmulld       %ymm4,%ymm1,%ymm0
  .byte  196,226,125,88,13,31,144,0,0        // vpbroadcastd  0x901f(%rip),%ymm1        # 2cc64 <_sk_overlay_sse2_8bit+0xea0>
  .byte  197,253,235,193                     // vpor          %ymm1,%ymm0,%ymm0
  .byte  197,213,235,201                     // vpor          %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,181                             // ja            23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,196,0,0,0                 // lea           0xc4(%rip),%r10        # 23d34 <_sk_load_g8_hsw_8bit+0x138>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,150                             // jmp           23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,227,121,14,193,1                // vpblendw      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,118,255,255,255                 // jmpq          23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,73,255,255,255                  // jmpq          23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,28,255,255,255                  // jmpq          23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,131,113,34,76,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm1,%xmm1
  .byte  196,227,113,2,192,8                 // vpblendd      $0x8,%xmm0,%xmm1,%xmm0
  .byte  233,231,254,255,255                 // jmpq          23c1a <_sk_load_g8_hsw_8bit+0x1e>
  .byte  144                                 // nop
  .byte  69,255                              // rex.RB        (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            23d49 <_sk_load_g8_hsw_8bit+0x14d>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_hsw_8bit
.globl _sk_load_g8_dst_hsw_8bit
FUNCTION(_sk_load_g8_dst_hsw_8bit)
_sk_load_g8_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           23dc5 <_sk_load_g8_dst_hsw_8bit+0x55>
  .byte  196,129,122,111,20,24               // vmovdqu       (%r8,%r11,1),%xmm2
  .byte  196,226,125,49,218                  // vpmovzxbd     %xmm2,%ymm3
  .byte  197,249,112,210,78                  // vpshufd       $0x4e,%xmm2,%xmm2
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  196,226,125,88,37,194,142,0,0       // vpbroadcastd  0x8ec2(%rip),%ymm4        # 2cc68 <_sk_overlay_sse2_8bit+0xea4>
  .byte  196,226,109,64,236                  // vpmulld       %ymm4,%ymm2,%ymm5
  .byte  196,226,101,64,212                  // vpmulld       %ymm4,%ymm3,%ymm2
  .byte  196,226,125,88,29,171,142,0,0       // vpbroadcastd  0x8eab(%rip),%ymm3        # 2cc64 <_sk_overlay_sse2_8bit+0xea0>
  .byte  197,237,235,211                     // vpor          %ymm3,%ymm2,%ymm2
  .byte  197,213,235,219                     // vpor          %ymm3,%ymm5,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,181                             // ja            23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,196,0,0,0                 // lea           0xc4(%rip),%r10        # 23ea8 <_sk_load_g8_dst_hsw_8bit+0x138>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,208                     // vmovd         %eax,%xmm2
  .byte  235,150                             // jmp           23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm2,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,216                     // vmovd         %eax,%xmm3
  .byte  196,227,105,14,211,1                // vpblendw      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,118,255,255,255                 // jmpq          23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,121,110,28,24               // vmovd         (%r8,%r11,1),%xmm3
  .byte  196,227,105,2,211,1                 // vpblendd      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,73,255,255,255                  // jmpq          23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,227,97,2,210,12                 // vpblendd      $0xc,%xmm2,%xmm3,%xmm2
  .byte  233,28,255,255,255                  // jmpq          23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,131,97,34,92,24,8,2             // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm3,%xmm3
  .byte  196,227,97,2,210,8                  // vpblendd      $0x8,%xmm2,%xmm3,%xmm2
  .byte  233,231,254,255,255                 // jmpq          23d8e <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  144                                 // nop
  .byte  69,255                              // rex.RB        (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            23ebd <_sk_load_g8_dst_hsw_8bit+0x14d>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_hsw_8bit
.globl _sk_srcover_rgba_8888_hsw_8bit
FUNCTION(_sk_srcover_rgba_8888_hsw_8bit)
_sk_srcover_rgba_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,222,0,0,0                    // jne           23fe2 <_sk_srcover_rgba_8888_hsw_8bit+0xfe>
  .byte  196,1,126,111,76,152,32             // vmovdqu       0x20(%r8,%r11,4),%ymm9
  .byte  196,1,126,111,28,152                // vmovdqu       (%r8,%r11,4),%ymm11
  .byte  197,253,111,53,199,136,0,0          // vmovdqa       0x88c7(%rip),%ymm6        # 2c7e0 <_sk_overlay_sse2_8bit+0xa1c>
  .byte  196,226,117,0,254                   // vpshufb       %ymm6,%ymm1,%ymm7
  .byte  196,226,125,0,246                   // vpshufb       %ymm6,%ymm0,%ymm6
  .byte  196,66,125,48,195                   // vpmovzxbw     %xmm11,%ymm8
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,209                   // vpmovzxbw     %xmm9,%ymm10
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,230                   // vpmovzxbw     %xmm6,%ymm12
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,239                   // vpmovzxbw     %xmm7,%ymm13
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,213,213,255                     // vpmullw       %ymm7,%ymm5,%ymm7
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,246                     // vpmullw       %ymm6,%ymm4,%ymm6
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,205,253,228                     // vpaddw        %ymm4,%ymm6,%ymm4
  .byte  196,193,21,253,242                  // vpaddw        %ymm10,%ymm13,%ymm6
  .byte  197,197,253,237                     // vpaddw        %ymm5,%ymm7,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,248,237                     // vpsubb        %ymm5,%ymm9,%ymm5
  .byte  197,165,248,228                     // vpsubb        %ymm4,%ymm11,%ymm4
  .byte  197,221,252,224                     // vpaddb        %ymm0,%ymm4,%ymm4
  .byte  197,213,252,233                     // vpaddb        %ymm1,%ymm5,%ymm5
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,78                              // jne           2401f <_sk_srcover_rgba_8888_hsw_8bit+0x13b>
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,126,127,108,152,32          // vmovdqu       %ymm5,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,65,37,239,219                   // vpxor         %ymm11,%ymm11,%ymm11
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,17,255,255,255               // ja            23f11 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,237,1,0,0                 // lea           0x1ed(%rip),%r10        # 241f8 <_sk_srcover_rgba_8888_hsw_8bit+0x314>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,110,28,152                // vmovd         (%r8,%r11,4),%xmm11
  .byte  233,242,254,255,255                 // jmpq          23f11 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,175                             // ja            23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,250,1,0,0                 // lea           0x1fa(%rip),%r9        # 24234 <_sk_srcover_rgba_8888_hsw_8bit+0x350>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,36,152              // vmovd         %xmm4,(%r8,%r11,4)
  .byte  235,147                             // jmp           23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,236                  // vpbroadcastq  %xmm4,%xmm5
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,99,53,2,221,4                   // vpblendd      $0x4,%ymm5,%ymm9,%ymm11
  .byte  196,130,121,53,52,152               // vpmovzxdq     (%r8,%r11,4),%xmm6
  .byte  197,249,112,246,232                 // vpshufd       $0xe8,%xmm6,%xmm6
  .byte  196,99,37,2,222,3                   // vpblendd      $0x3,%ymm6,%ymm11,%ymm11
  .byte  233,153,254,255,255                 // jmpq          23f11 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,236                  // vpbroadcastq  %xmm4,%ymm5
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,99,53,2,221,64                  // vpblendd      $0x40,%ymm5,%ymm9,%ymm11
  .byte  196,99,125,57,222,1                 // vextracti128  $0x1,%ymm11,%xmm6
  .byte  196,131,73,34,116,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm6,%xmm6
  .byte  196,99,37,56,222,1                  // vinserti128   $0x1,%xmm6,%ymm11,%ymm11
  .byte  196,99,125,57,222,1                 // vextracti128  $0x1,%ymm11,%xmm6
  .byte  196,131,73,34,116,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm6,%xmm6
  .byte  196,99,37,56,222,1                  // vinserti128   $0x1,%xmm6,%ymm11,%ymm11
  .byte  196,129,122,111,52,152              // vmovdqu       (%r8,%r11,4),%xmm6
  .byte  196,67,77,2,219,240                 // vpblendd      $0xf0,%ymm11,%ymm6,%ymm11
  .byte  233,73,254,255,255                  // jmpq          23f11 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,129,121,110,100,152,40          // vmovd         0x28(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,99,85,2,204,4                   // vpblendd      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,131,49,34,108,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm9,%xmm5
  .byte  196,99,53,2,205,15                  // vpblendd      $0xf,%ymm5,%ymm9,%ymm9
  .byte  196,129,121,110,108,152,32          // vmovd         0x20(%r8,%r11,4),%xmm5
  .byte  196,99,53,2,205,1                   // vpblendd      $0x1,%ymm5,%ymm9,%ymm9
  .byte  233,13,254,255,255                  // jmpq          23f0b <_sk_srcover_rgba_8888_hsw_8bit+0x27>
  .byte  196,129,121,110,100,152,56          // vmovd         0x38(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,99,85,2,204,64                  // vpblendd      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,131,81,34,108,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm5,%xmm5
  .byte  196,99,53,56,205,1                  // vinserti128   $0x1,%xmm5,%ymm9,%ymm9
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,131,81,34,108,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm5,%xmm5
  .byte  196,99,53,56,205,1                  // vinserti128   $0x1,%xmm5,%ymm9,%ymm9
  .byte  196,1,126,111,28,152                // vmovdqu       (%r8,%r11,4),%ymm11
  .byte  196,129,122,111,116,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm6
  .byte  196,67,77,2,201,240                 // vpblendd      $0xf0,%ymm9,%ymm6,%ymm9
  .byte  233,189,253,255,255                 // jmpq          23f11 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,131,121,22,100,152,8,2          // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  196,129,121,214,36,152              // vmovq         %xmm4,(%r8,%r11,4)
  .byte  233,119,254,255,255                 // jmpq          23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,24,2         // vpextrd       $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,20,1         // vpextrd       $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,129,121,126,108,152,16          // vmovd         %xmm5,0x10(%r8,%r11,4)
  .byte  196,129,122,127,36,152              // vmovdqu       %xmm4,(%r8,%r11,4)
  .byte  233,67,254,255,255                  // jmpq          23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,131,121,22,108,152,40,2         // vpextrd       $0x2,%xmm5,0x28(%r8,%r11,4)
  .byte  196,131,121,22,108,152,36,1         // vpextrd       $0x1,%xmm5,0x24(%r8,%r11,4)
  .byte  196,129,121,126,108,152,32          // vmovd         %xmm5,0x20(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  233,33,254,255,255                  // jmpq          23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,56,2         // vpextrd       $0x2,%xmm6,0x38(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,52,1         // vpextrd       $0x1,%xmm6,0x34(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,129,121,126,116,152,48          // vmovd         %xmm6,0x30(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,122,127,108,152,32          // vmovdqu       %xmm5,0x20(%r8,%r11,4)
  .byte  233,230,253,255,255                 // jmpq          23fde <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  28,254                              // sbb           $0xfe,%al
  .byte  255                                 // (bad)
  .byte  255,106,254                         // ljmp          *-0x2(%rdx)
  .byte  255                                 // (bad)
  .byte  255,83,254                          // callq         *-0x2(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,254,255,255,171                 // mov           $0xabfffffe,%edi
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,151,254,255,255,128             // callq         *-0x7f000002(%rdi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,19                              // callq         *(%rbx)
  .byte  253                                 // std
  .byte  255                                 // (bad)
  .byte  255,244                             // push          %rsp
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,68,255,255                      // incl          -0x1(%rdi,%rdi,8)
  .byte  255,48                              // pushq         (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,28,255                          // lcall         *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,15                              // decl          (%rdi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,40                              // ljmp          *(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,32                              // jmpq          *(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,79,255                          // decl          -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,65,255                          // incl          -0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,51                              // pushq         (%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  126,255                             // jle           24251 <_sk_srcover_rgba_8888_hsw_8bit+0x36d>
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,103,255                         // jmpq          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,165             // pushq         -0x5a000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,151,255,255,255,137             // callq         *-0x76000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_hsw_8bit
.globl _sk_scale_1_float_hsw_8bit
FUNCTION(_sk_scale_1_float_hsw_8bit)
_sk_scale_1_float_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,32                       // vmovss        (%rax),%xmm4
  .byte  197,218,89,37,122,136,0,0           // vmulss        0x887a(%rip),%xmm4,%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  197,250,44,196                      // vcvttss2si    %xmm4,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,120,228                 // vpbroadcastb  %xmm4,%ymm4
  .byte  196,226,125,48,232                  // vpmovzxbw     %xmm0,%ymm5
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,219,37,77,133,0,0           // vpand         0x854d(%rip),%ymm4,%ymm4        # 2c800 <_sk_overlay_sse2_8bit+0xa3c>
  .byte  197,221,213,249                     // vpmullw       %ymm1,%ymm4,%ymm7
  .byte  197,93,213,198                      // vpmullw       %ymm6,%ymm4,%ymm8
  .byte  197,93,213,200                      // vpmullw       %ymm0,%ymm4,%ymm9
  .byte  197,221,213,229                     // vpmullw       %ymm5,%ymm4,%ymm4
  .byte  197,221,253,229                     // vpaddw        %ymm5,%ymm4,%ymm4
  .byte  197,181,253,192                     // vpaddw        %ymm0,%ymm9,%ymm0
  .byte  197,189,253,238                     // vpaddw        %ymm6,%ymm8,%ymm5
  .byte  197,197,253,201                     // vpaddw        %ymm1,%ymm7,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_hsw_8bit
.globl _sk_scale_u8_hsw_8bit
FUNCTION(_sk_scale_u8_hsw_8bit)
_sk_scale_u8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,191,0,0,0                    // jne           243e6 <_sk_scale_u8_hsw_8bit+0xdb>
  .byte  196,129,122,111,36,24               // vmovdqu       (%r8,%r11,1),%xmm4
  .byte  196,226,125,49,236                  // vpmovzxbd     %xmm4,%ymm5
  .byte  197,249,112,228,78                  // vpshufd       $0x4e,%xmm4,%xmm4
  .byte  196,226,125,49,228                  // vpmovzxbd     %xmm4,%ymm4
  .byte  197,253,111,53,220,132,0,0          // vmovdqa       0x84dc(%rip),%ymm6        # 2c820 <_sk_overlay_sse2_8bit+0xa5c>
  .byte  196,226,93,0,230                    // vpshufb       %ymm6,%ymm4,%ymm4
  .byte  196,226,85,0,238                    // vpshufb       %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,47,255,255,255               // ja            2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,199,0,0,0                 // lea           0xc7(%rip),%r10        # 244d0 <_sk_scale_u8_hsw_8bit+0x1c5>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,13,255,255,255                  // jmpq          2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,227,89,14,229,1                 // vpblendw      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,237,254,255,255                 // jmpq          2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,192,254,255,255                 // jmpq          2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,147,254,255,255                 // jmpq          2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,131,81,34,108,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm5,%xmm5
  .byte  196,227,81,2,228,8                  // vpblendd      $0x8,%xmm4,%xmm5,%xmm4
  .byte  233,94,254,255,255                  // jmpq          2432d <_sk_scale_u8_hsw_8bit+0x22>
  .byte  144                                 // nop
  .byte  66,255                              // rex.X         (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            244e5 <_sk_scale_u8_hsw_8bit+0x1da>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_hsw_8bit
.globl _sk_lerp_1_float_hsw_8bit
FUNCTION(_sk_lerp_1_float_hsw_8bit)
_sk_lerp_1_float_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,32                       // vmovss        (%rax),%xmm4
  .byte  197,218,89,37,222,133,0,0           // vmulss        0x85de(%rip),%xmm4,%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  197,250,44,196                      // vcvttss2si    %xmm4,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,120,228                 // vpbroadcastb  %xmm4,%ymm4
  .byte  196,226,125,48,232                  // vpmovzxbw     %xmm0,%ymm5
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,219,61,241,130,0,0          // vpand         0x82f1(%rip),%ymm4,%ymm7        # 2c840 <_sk_overlay_sse2_8bit+0xa7c>
  .byte  197,69,213,193                      // vpmullw       %ymm1,%ymm7,%ymm8
  .byte  197,69,213,206                      // vpmullw       %ymm6,%ymm7,%ymm9
  .byte  197,69,213,208                      // vpmullw       %ymm0,%ymm7,%ymm10
  .byte  197,197,213,253                     // vpmullw       %ymm5,%ymm7,%ymm7
  .byte  197,197,253,237                     // vpaddw        %ymm5,%ymm7,%ymm5
  .byte  197,173,253,192                     // vpaddw        %ymm0,%ymm10,%ymm0
  .byte  197,181,253,246                     // vpaddw        %ymm6,%ymm9,%ymm6
  .byte  197,189,253,201                     // vpaddw        %ymm1,%ymm8,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,248,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm7
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,69,103,192                      // vpackuswb     %ymm0,%ymm7,%ymm8
  .byte  196,227,77,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm6,%ymm5
  .byte  196,227,77,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm6,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  197,221,239,229                     // vpxor         %ymm5,%ymm4,%ymm4
  .byte  196,226,125,48,234                  // vpmovzxbw     %xmm2,%ymm5
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,226,125,48,251                  // vpmovzxbw     %xmm3,%ymm7
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,93,213,208                      // vpmullw       %ymm0,%ymm4,%ymm10
  .byte  197,53,213,223                      // vpmullw       %ymm7,%ymm9,%ymm11
  .byte  197,221,213,230                     // vpmullw       %ymm6,%ymm4,%ymm4
  .byte  197,53,213,205                      // vpmullw       %ymm5,%ymm9,%ymm9
  .byte  197,181,253,237                     // vpaddw        %ymm5,%ymm9,%ymm5
  .byte  197,221,253,230                     // vpaddw        %ymm6,%ymm4,%ymm4
  .byte  197,165,253,247                     // vpaddw        %ymm7,%ymm11,%ymm6
  .byte  197,173,253,192                     // vpaddw        %ymm0,%ymm10,%ymm0
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm5,%ymm7
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  196,227,77,56,232,1                 // vinserti128   $0x1,%xmm0,%ymm6,%ymm5
  .byte  196,227,77,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm6,%ymm0
  .byte  197,213,103,232                     // vpackuswb     %ymm0,%ymm5,%ymm5
  .byte  196,193,93,252,192                  // vpaddb        %ymm8,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_hsw_8bit
.globl _sk_lerp_u8_hsw_8bit
FUNCTION(_sk_lerp_u8_hsw_8bit)
_sk_lerp_u8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,106,1,0,0                    // jne           247c2 <_sk_lerp_u8_hsw_8bit+0x186>
  .byte  196,129,122,111,36,24               // vmovdqu       (%r8,%r11,1),%xmm4
  .byte  196,226,125,49,236                  // vpmovzxbd     %xmm4,%ymm5
  .byte  197,249,112,228,78                  // vpshufd       $0x4e,%xmm4,%xmm4
  .byte  196,226,125,49,228                  // vpmovzxbd     %xmm4,%ymm4
  .byte  197,253,111,53,235,129,0,0          // vmovdqa       0x81eb(%rip),%ymm6        # 2c860 <_sk_overlay_sse2_8bit+0xa9c>
  .byte  196,98,93,0,206                     // vpshufb       %ymm6,%ymm4,%ymm9
  .byte  196,98,85,0,222                     // vpshufb       %ymm6,%ymm5,%ymm11
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,66,125,48,195                   // vpmovzxbw     %xmm11,%ymm8
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,209                   // vpmovzxbw     %xmm9,%ymm10
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,233                     // vpmullw       %ymm1,%ymm5,%ymm5
  .byte  197,45,213,215                      // vpmullw       %ymm7,%ymm10,%ymm10
  .byte  197,221,213,224                     // vpmullw       %ymm0,%ymm4,%ymm4
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,221,253,192                     // vpaddw        %ymm0,%ymm4,%ymm0
  .byte  197,173,253,231                     // vpaddw        %ymm7,%ymm10,%ymm4
  .byte  197,213,253,201                     // vpaddw        %ymm1,%ymm5,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,77,103,208                      // vpackuswb     %ymm0,%ymm6,%ymm10
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,181,239,236                     // vpxor         %ymm4,%ymm9,%ymm5
  .byte  197,165,239,228                     // vpxor         %ymm4,%ymm11,%ymm4
  .byte  196,226,125,48,242                  // vpmovzxbw     %xmm2,%ymm6
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  196,65,37,213,216                   // vpmullw       %ymm8,%ymm11,%ymm11
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  197,53,213,206                      // vpmullw       %ymm6,%ymm9,%ymm9
  .byte  197,181,253,246                     // vpaddw        %ymm6,%ymm9,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm5
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  196,227,77,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,227,77,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm6,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,232                     // vpackuswb     %ymm0,%ymm6,%ymm5
  .byte  196,193,93,252,194                  // vpaddb        %ymm10,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,132,254,255,255              // ja            2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,199,0,0,0                 // lea           0xc7(%rip),%r10        # 248ac <_sk_lerp_u8_hsw_8bit+0x270>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,98,254,255,255                  // jmpq          2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,227,89,14,229,1                 // vpblendw      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,66,254,255,255                  // jmpq          2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,21,254,255,255                  // jmpq          2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,232,253,255,255                 // jmpq          2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,131,81,34,108,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm5,%xmm5
  .byte  196,227,81,2,228,8                  // vpblendd      $0x8,%xmm4,%xmm5,%xmm4
  .byte  233,179,253,255,255                 // jmpq          2465e <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  144                                 // nop
  .byte  66,255                              // rex.X         (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            248c1 <_sk_lerp_u8_hsw_8bit+0x285>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_hsw_8bit
.globl _sk_move_src_dst_hsw_8bit
FUNCTION(_sk_move_src_dst_hsw_8bit)
_sk_move_src_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,217                      // vmovaps       %ymm1,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_hsw_8bit
.globl _sk_move_dst_src_hsw_8bit
FUNCTION(_sk_move_dst_src_hsw_8bit)
_sk_move_dst_src_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,252,40,203                      // vmovaps       %ymm3,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_hsw_8bit
.globl _sk_black_color_hsw_8bit
FUNCTION(_sk_black_color_hsw_8bit)
_sk_black_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,89,131,0,0         // vbroadcastss  0x8359(%rip),%ymm0        # 2cc64 <_sk_overlay_sse2_8bit+0xea0>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_hsw_8bit
.globl _sk_white_color_hsw_8bit
FUNCTION(_sk_white_color_hsw_8bit)
_sk_white_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,118,192                     // vpcmpeqd      %ymm0,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_hsw_8bit
.globl _sk_clear_hsw_8bit
FUNCTION(_sk_clear_hsw_8bit)
_sk_clear_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_hsw_8bit
.globl _sk_srcatop_hsw_8bit
FUNCTION(_sk_srcatop_hsw_8bit)
_sk_srcatop_hsw_8bit:
  .byte  197,125,111,5,79,127,0,0            // vmovdqa       0x7f4f(%rip),%ymm8        # 2c880 <_sk_overlay_sse2_8bit+0xabc>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,232                   // vpshufb       %ymm8,%ymm2,%ymm5
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,198,1                // vextracti128  $0x1,%ymm0,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,213,213,238                     // vpmullw       %ymm6,%ymm5,%ymm5
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,213,103,238                     // vpackuswb     %ymm6,%ymm5,%ymm5
  .byte  196,194,125,0,192                   // vpshufb       %ymm8,%ymm0,%ymm0
  .byte  196,194,117,0,200                   // vpshufb       %ymm8,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  197,245,239,206                     // vpxor         %ymm6,%ymm1,%ymm1
  .byte  197,253,239,198                     // vpxor         %ymm6,%ymm0,%ymm0
  .byte  196,226,125,48,242                  // vpmovzxbw     %xmm2,%ymm6
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,217                   // vpmovzxbw     %xmm1,%ymm11
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,213,201                     // vpmullw       %ymm1,%ymm4,%ymm1
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,197,213,192                     // vpmullw       %ymm0,%ymm7,%ymm0
  .byte  196,65,77,213,210                   // vpmullw       %ymm10,%ymm6,%ymm10
  .byte  197,173,253,246                     // vpaddw        %ymm6,%ymm10,%ymm6
  .byte  197,253,253,199                     // vpaddw        %ymm7,%ymm0,%ymm0
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  196,227,77,56,248,1                 // vinserti128   $0x1,%xmm0,%ymm6,%ymm7
  .byte  196,227,77,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm6,%ymm0
  .byte  197,197,103,192                     // vpackuswb     %ymm0,%ymm7,%ymm0
  .byte  196,227,93,56,241,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm6
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,205,103,201                     // vpackuswb     %ymm1,%ymm6,%ymm1
  .byte  196,193,125,252,193                 // vpaddb        %ymm9,%ymm0,%ymm0
  .byte  197,245,252,205                     // vpaddb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_hsw_8bit
.globl _sk_dstatop_hsw_8bit
FUNCTION(_sk_dstatop_hsw_8bit)
_sk_dstatop_hsw_8bit:
  .byte  197,125,111,5,10,126,0,0            // vmovdqa       0x7e0a(%rip),%ymm8        # 2c8a0 <_sk_overlay_sse2_8bit+0xadc>
  .byte  196,194,117,0,224                   // vpshufb       %ymm8,%ymm1,%ymm4
  .byte  196,194,125,0,232                   // vpshufb       %ymm8,%ymm0,%ymm5
  .byte  196,98,125,48,210                   // vpmovzxbw     %xmm2,%ymm10
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,203                   // vpmovzxbw     %xmm3,%ymm9
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,197,213,228                     // vpmullw       %ymm4,%ymm7,%ymm4
  .byte  196,65,53,213,228                   // vpmullw       %ymm12,%ymm9,%ymm12
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,219                   // vpmullw       %ymm11,%ymm10,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,181,103,228                     // vpackuswb     %ymm4,%ymm9,%ymm4
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,213,103,238                     // vpackuswb     %ymm6,%ymm5,%ymm5
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,194,101,0,248                   // vpshufb       %ymm8,%ymm3,%ymm7
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,193,69,239,248                  // vpxor         %ymm8,%ymm7,%ymm7
  .byte  196,193,77,239,240                  // vpxor         %ymm8,%ymm6,%ymm6
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,214                   // vpmovzxbw     %xmm6,%ymm10
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,223                   // vpmovzxbw     %xmm7,%ymm11
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,197,213,249                     // vpmullw       %ymm1,%ymm7,%ymm7
  .byte  196,65,37,213,217                   // vpmullw       %ymm9,%ymm11,%ymm11
  .byte  197,205,213,240                     // vpmullw       %ymm0,%ymm6,%ymm6
  .byte  196,65,45,213,208                   // vpmullw       %ymm8,%ymm10,%ymm10
  .byte  196,65,45,253,192                   // vpaddw        %ymm8,%ymm10,%ymm8
  .byte  197,205,253,192                     // vpaddw        %ymm0,%ymm6,%ymm0
  .byte  196,193,37,253,241                  // vpaddw        %ymm9,%ymm11,%ymm6
  .byte  197,197,253,201                     // vpaddw        %ymm1,%ymm7,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,192,1                  // vinserti128   $0x1,%xmm0,%ymm7,%ymm8
  .byte  196,227,69,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm7,%ymm0
  .byte  197,189,103,192                     // vpackuswb     %ymm0,%ymm8,%ymm0
  .byte  196,227,77,56,249,1                 // vinserti128   $0x1,%xmm1,%ymm6,%ymm7
  .byte  196,227,77,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm6,%ymm1
  .byte  197,197,103,201                     // vpackuswb     %ymm1,%ymm7,%ymm1
  .byte  197,253,252,196                     // vpaddb        %ymm4,%ymm0,%ymm0
  .byte  197,245,252,205                     // vpaddb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_hsw_8bit
.globl _sk_srcin_hsw_8bit
FUNCTION(_sk_srcin_hsw_8bit)
_sk_srcin_hsw_8bit:
  .byte  197,253,111,37,193,124,0,0          // vmovdqa       0x7cc1(%rip),%ymm4        # 2c8c0 <_sk_overlay_sse2_8bit+0xafc>
  .byte  196,226,101,0,236                   // vpshufb       %ymm4,%ymm3,%ymm5
  .byte  196,226,109,0,228                   // vpshufb       %ymm4,%ymm2,%ymm4
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,196                   // vpmovzxbw     %xmm4,%ymm8
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,205                   // vpmovzxbw     %xmm5,%ymm9
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,233                     // vpmullw       %ymm1,%ymm5,%ymm5
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,221,213,224                     // vpmullw       %ymm0,%ymm4,%ymm4
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,221,253,192                     // vpaddw        %ymm0,%ymm4,%ymm0
  .byte  197,181,253,231                     // vpaddw        %ymm7,%ymm9,%ymm4
  .byte  197,213,253,201                     // vpaddw        %ymm1,%ymm5,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_hsw_8bit
.globl _sk_dstin_hsw_8bit
FUNCTION(_sk_dstin_hsw_8bit)
_sk_dstin_hsw_8bit:
  .byte  197,253,111,37,55,124,0,0           // vmovdqa       0x7c37(%rip),%ymm4        # 2c8e0 <_sk_overlay_sse2_8bit+0xb1c>
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,125,48,226                  // vpmovzxbw     %xmm2,%ymm4
  .byte  196,227,125,57,213,1                // vextracti128  $0x1,%ymm2,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,243                  // vpmovzxbw     %xmm3,%ymm6
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  196,65,77,213,201                   // vpmullw       %ymm9,%ymm6,%ymm9
  .byte  197,213,213,192                     // vpmullw       %ymm0,%ymm5,%ymm0
  .byte  196,65,93,213,192                   // vpmullw       %ymm8,%ymm4,%ymm8
  .byte  197,189,253,228                     // vpaddw        %ymm4,%ymm8,%ymm4
  .byte  197,253,253,197                     // vpaddw        %ymm5,%ymm0,%ymm0
  .byte  197,181,253,238                     // vpaddw        %ymm6,%ymm9,%ymm5
  .byte  197,245,253,207                     // vpaddw        %ymm7,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_hsw_8bit
.globl _sk_srcout_hsw_8bit
FUNCTION(_sk_srcout_hsw_8bit)
_sk_srcout_hsw_8bit:
  .byte  197,253,111,37,171,123,0,0          // vmovdqa       0x7bab(%rip),%ymm4        # 2c900 <_sk_overlay_sse2_8bit+0xb3c>
  .byte  196,226,109,0,236                   // vpshufb       %ymm4,%ymm2,%ymm5
  .byte  196,226,101,0,228                   // vpshufb       %ymm4,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  197,221,239,230                     // vpxor         %ymm6,%ymm4,%ymm4
  .byte  197,213,239,238                     // vpxor         %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_hsw_8bit
.globl _sk_dstout_hsw_8bit
FUNCTION(_sk_dstout_hsw_8bit)
_sk_dstout_hsw_8bit:
  .byte  197,253,111,37,21,123,0,0           // vmovdqa       0x7b15(%rip),%ymm4        # 2c920 <_sk_overlay_sse2_8bit+0xb5c>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,245,239,204                     // vpxor         %ymm4,%ymm1,%ymm1
  .byte  197,253,239,196                     // vpxor         %ymm4,%ymm0,%ymm0
  .byte  196,226,125,48,226                  // vpmovzxbw     %xmm2,%ymm4
  .byte  196,227,125,57,213,1                // vextracti128  $0x1,%ymm2,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,243                  // vpmovzxbw     %xmm3,%ymm6
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  196,65,77,213,201                   // vpmullw       %ymm9,%ymm6,%ymm9
  .byte  197,213,213,192                     // vpmullw       %ymm0,%ymm5,%ymm0
  .byte  196,65,93,213,192                   // vpmullw       %ymm8,%ymm4,%ymm8
  .byte  197,189,253,228                     // vpaddw        %ymm4,%ymm8,%ymm4
  .byte  197,253,253,197                     // vpaddw        %ymm5,%ymm0,%ymm0
  .byte  197,181,253,238                     // vpaddw        %ymm6,%ymm9,%ymm5
  .byte  197,245,253,207                     // vpaddw        %ymm7,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_hsw_8bit
.globl _sk_srcover_hsw_8bit
FUNCTION(_sk_srcover_hsw_8bit)
_sk_srcover_hsw_8bit:
  .byte  197,253,111,37,125,122,0,0          // vmovdqa       0x7a7d(%rip),%ymm4        # 2c940 <_sk_overlay_sse2_8bit+0xb7c>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  196,98,125,48,202                   // vpmovzxbw     %xmm2,%ymm9
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,197,213,228                     // vpmullw       %ymm4,%ymm7,%ymm4
  .byte  196,65,53,213,210                   // vpmullw       %ymm10,%ymm9,%ymm10
  .byte  196,65,45,253,201                   // vpaddw        %ymm9,%ymm10,%ymm9
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,209,8                // vpsrlw        $0x8,%ymm9,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_hsw_8bit
.globl _sk_dstover_hsw_8bit
FUNCTION(_sk_dstover_hsw_8bit)
_sk_dstover_hsw_8bit:
  .byte  197,253,111,37,222,121,0,0          // vmovdqa       0x79de(%rip),%ymm4        # 2c960 <_sk_overlay_sse2_8bit+0xb9c>
  .byte  196,226,101,0,236                   // vpshufb       %ymm4,%ymm3,%ymm5
  .byte  196,226,109,0,228                   // vpshufb       %ymm4,%ymm2,%ymm4
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,199,1                // vextracti128  $0x1,%ymm0,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,193                   // vpmovzxbw     %xmm1,%ymm8
  .byte  196,227,125,57,206,1                // vextracti128  $0x1,%ymm1,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,238                     // vpmullw       %ymm6,%ymm5,%ymm5
  .byte  196,65,37,213,216                   // vpmullw       %ymm8,%ymm11,%ymm11
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,45,213,209                   // vpmullw       %ymm9,%ymm10,%ymm10
  .byte  196,65,45,253,201                   // vpaddw        %ymm9,%ymm10,%ymm9
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,209,8                // vpsrlw        $0x8,%ymm9,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_hsw_8bit
.globl _sk_modulate_hsw_8bit
FUNCTION(_sk_modulate_hsw_8bit)
_sk_modulate_hsw_8bit:
  .byte  196,226,125,48,224                  // vpmovzxbw     %xmm0,%ymm4
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,233                  // vpmovzxbw     %xmm1,%ymm5
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,202                   // vpmovzxbw     %xmm2,%ymm9
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,205,213,241                     // vpmullw       %ymm1,%ymm6,%ymm6
  .byte  197,61,213,197                      // vpmullw       %ymm5,%ymm8,%ymm8
  .byte  197,197,213,248                     // vpmullw       %ymm0,%ymm7,%ymm7
  .byte  197,53,213,204                      // vpmullw       %ymm4,%ymm9,%ymm9
  .byte  197,181,253,228                     // vpaddw        %ymm4,%ymm9,%ymm4
  .byte  197,197,253,192                     // vpaddw        %ymm0,%ymm7,%ymm0
  .byte  197,189,253,237                     // vpaddw        %ymm5,%ymm8,%ymm5
  .byte  197,205,253,201                     // vpaddw        %ymm1,%ymm6,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_hsw_8bit
.globl _sk_multiply_hsw_8bit
FUNCTION(_sk_multiply_hsw_8bit)
_sk_multiply_hsw_8bit:
  .byte  197,253,111,243                     // vmovdqa       %ymm3,%ymm6
  .byte  197,253,111,218                     // vmovdqa       %ymm2,%ymm3
  .byte  197,125,111,13,159,120,0,0          // vmovdqa       0x789f(%rip),%ymm9        # 2c980 <_sk_overlay_sse2_8bit+0xbbc>
  .byte  196,194,101,0,225                   // vpshufb       %ymm9,%ymm3,%ymm4
  .byte  196,194,77,0,233                    // vpshufb       %ymm9,%ymm6,%ymm5
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  196,65,85,239,194                   // vpxor         %ymm10,%ymm5,%ymm8
  .byte  196,65,93,239,218                   // vpxor         %ymm10,%ymm4,%ymm11
  .byte  196,98,125,48,232                   // vpmovzxbw     %xmm0,%ymm13
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,98,125,48,245                   // vpmovzxbw     %xmm5,%ymm14
  .byte  196,226,125,48,209                  // vpmovzxbw     %xmm1,%ymm2
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,66,125,48,227                   // vpmovzxbw     %xmm11,%ymm12
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,216                   // vpmovzxbw     %xmm8,%ymm11
  .byte  196,99,125,57,197,1                 // vextracti128  $0x1,%ymm8,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,239                     // vpmullw       %ymm7,%ymm5,%ymm5
  .byte  197,37,213,194                      // vpmullw       %ymm2,%ymm11,%ymm8
  .byte  196,193,93,213,230                  // vpmullw       %ymm14,%ymm4,%ymm4
  .byte  196,65,29,213,221                   // vpmullw       %ymm13,%ymm12,%ymm11
  .byte  196,65,37,253,221                   // vpaddw        %ymm13,%ymm11,%ymm11
  .byte  196,193,93,253,230                  // vpaddw        %ymm14,%ymm4,%ymm4
  .byte  197,61,253,194                      // vpaddw        %ymm2,%ymm8,%ymm8
  .byte  197,213,253,239                     // vpaddw        %ymm7,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,193,29,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm12
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,61,113,211,8                // vpsrlw        $0x8,%ymm11,%ymm8
  .byte  196,99,61,56,220,1                  // vinserti128   $0x1,%xmm4,%ymm8,%ymm11
  .byte  196,227,61,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm8,%ymm4
  .byte  197,37,103,196                      // vpackuswb     %ymm4,%ymm11,%ymm8
  .byte  196,227,29,56,229,1                 // vinserti128   $0x1,%xmm5,%ymm12,%ymm4
  .byte  196,227,29,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm12,%ymm5
  .byte  197,93,103,221                      // vpackuswb     %ymm5,%ymm4,%ymm11
  .byte  196,194,125,0,193                   // vpshufb       %ymm9,%ymm0,%ymm0
  .byte  196,194,117,0,201                   // vpshufb       %ymm9,%ymm1,%ymm1
  .byte  196,65,117,239,226                  // vpxor         %ymm10,%ymm1,%ymm12
  .byte  196,193,125,239,226                 // vpxor         %ymm10,%ymm0,%ymm4
  .byte  196,226,125,48,195                  // vpmovzxbw     %xmm3,%ymm0
  .byte  196,227,125,57,217,1                // vextracti128  $0x1,%ymm3,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,254,127,116,36,200              // vmovdqu       %ymm6,-0x38(%rsp)
  .byte  196,98,125,48,206                   // vpmovzxbw     %xmm6,%ymm9
  .byte  196,227,125,57,245,1                // vextracti128  $0x1,%ymm6,%xmm5
  .byte  196,98,125,48,213                   // vpmovzxbw     %xmm5,%ymm10
  .byte  196,226,125,48,236                  // vpmovzxbw     %xmm4,%ymm5
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,245,213,228                     // vpmullw       %ymm4,%ymm1,%ymm4
  .byte  197,253,213,237                     // vpmullw       %ymm5,%ymm0,%ymm5
  .byte  197,213,253,232                     // vpaddw        %ymm0,%ymm5,%ymm5
  .byte  197,221,253,225                     // vpaddw        %ymm1,%ymm4,%ymm4
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,99,85,56,252,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm15
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  196,194,125,48,236                  // vpmovzxbw     %xmm12,%ymm5
  .byte  196,99,125,57,230,1                 // vextracti128  $0x1,%ymm12,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,173,213,246                     // vpmullw       %ymm6,%ymm10,%ymm6
  .byte  197,181,213,237                     // vpmullw       %ymm5,%ymm9,%ymm5
  .byte  196,193,85,253,233                  // vpaddw        %ymm9,%ymm5,%ymm5
  .byte  196,193,77,253,242                  // vpaddw        %ymm10,%ymm6,%ymm6
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,133,103,228                     // vpackuswb     %ymm4,%ymm15,%ymm4
  .byte  196,99,85,56,230,1                  // vinserti128   $0x1,%xmm6,%ymm5,%ymm12
  .byte  196,227,85,70,238,49                // vperm2i128    $0x31,%ymm6,%ymm5,%ymm5
  .byte  197,157,103,237                     // vpackuswb     %ymm5,%ymm12,%ymm5
  .byte  196,193,85,252,235                  // vpaddb        %ymm11,%ymm5,%ymm5
  .byte  196,193,93,252,224                  // vpaddb        %ymm8,%ymm4,%ymm4
  .byte  196,193,125,213,197                 // vpmullw       %ymm13,%ymm0,%ymm0
  .byte  196,193,125,253,197                 // vpaddw        %ymm13,%ymm0,%ymm0
  .byte  196,193,117,213,206                 // vpmullw       %ymm14,%ymm1,%ymm1
  .byte  196,193,117,253,206                 // vpaddw        %ymm14,%ymm1,%ymm1
  .byte  197,181,213,242                     // vpmullw       %ymm2,%ymm9,%ymm6
  .byte  197,205,253,210                     // vpaddw        %ymm2,%ymm6,%ymm2
  .byte  197,173,213,247                     // vpmullw       %ymm7,%ymm10,%ymm6
  .byte  197,205,253,247                     // vpaddw        %ymm7,%ymm6,%ymm6
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  196,227,125,56,249,1                // vinserti128   $0x1,%xmm1,%ymm0,%ymm7
  .byte  196,227,125,70,193,49               // vperm2i128    $0x31,%ymm1,%ymm0,%ymm0
  .byte  197,245,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm1
  .byte  197,237,113,210,8                   // vpsrlw        $0x8,%ymm2,%ymm2
  .byte  197,197,103,192                     // vpackuswb     %ymm0,%ymm7,%ymm0
  .byte  196,227,109,56,241,1                // vinserti128   $0x1,%xmm1,%ymm2,%ymm6
  .byte  196,227,109,70,201,49               // vperm2i128    $0x31,%ymm1,%ymm2,%ymm1
  .byte  197,205,103,201                     // vpackuswb     %ymm1,%ymm6,%ymm1
  .byte  197,221,252,192                     // vpaddb        %ymm0,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,111,211                     // vmovdqa       %ymm3,%ymm2
  .byte  197,252,16,92,36,200                // vmovups       -0x38(%rsp),%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_hsw_8bit
.globl _sk_screen_hsw_8bit
FUNCTION(_sk_screen_hsw_8bit)
_sk_screen_hsw_8bit:
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,245,239,236                     // vpxor         %ymm4,%ymm1,%ymm5
  .byte  197,253,239,228                     // vpxor         %ymm4,%ymm0,%ymm4
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,226,125,48,253                  // vpmovzxbw     %xmm5,%ymm7
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  197,45,213,215                      // vpmullw       %ymm7,%ymm10,%ymm10
  .byte  197,37,213,220                      // vpmullw       %ymm4,%ymm11,%ymm11
  .byte  196,65,61,213,193                   // vpmullw       %ymm9,%ymm8,%ymm8
  .byte  196,65,61,253,193                   // vpaddw        %ymm9,%ymm8,%ymm8
  .byte  197,165,253,228                     // vpaddw        %ymm4,%ymm11,%ymm4
  .byte  197,173,253,255                     // vpaddw        %ymm7,%ymm10,%ymm7
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,221,252,192                     // vpaddb        %ymm0,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__hsw_8bit
.globl _sk_xor__hsw_8bit
FUNCTION(_sk_xor__hsw_8bit)
_sk_xor__hsw_8bit:
  .byte  197,125,111,13,45,118,0,0           // vmovdqa       0x762d(%rip),%ymm9        # 2c9a0 <_sk_overlay_sse2_8bit+0xbdc>
  .byte  196,194,109,0,225                   // vpshufb       %ymm9,%ymm2,%ymm4
  .byte  196,194,101,0,249                   // vpshufb       %ymm9,%ymm3,%ymm7
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  196,193,69,239,251                  // vpxor         %ymm11,%ymm7,%ymm7
  .byte  196,193,93,239,227                  // vpxor         %ymm11,%ymm4,%ymm4
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,209                   // vpmovzxbw     %xmm1,%ymm10
  .byte  196,227,125,57,206,1                // vextracti128  $0x1,%ymm1,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,239                   // vpmovzxbw     %xmm7,%ymm13
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,197,213,254                     // vpmullw       %ymm6,%ymm7,%ymm7
  .byte  196,65,21,213,234                   // vpmullw       %ymm10,%ymm13,%ymm13
  .byte  197,221,213,229                     // vpmullw       %ymm5,%ymm4,%ymm4
  .byte  196,65,29,213,224                   // vpmullw       %ymm8,%ymm12,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,221,253,229                     // vpaddw        %ymm5,%ymm4,%ymm4
  .byte  196,193,21,253,234                  // vpaddw        %ymm10,%ymm13,%ymm5
  .byte  197,197,253,246                     // vpaddw        %ymm6,%ymm7,%ymm6
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,61,103,212                      // vpackuswb     %ymm4,%ymm8,%ymm10
  .byte  196,227,85,56,254,1                 // vinserti128   $0x1,%xmm6,%ymm5,%ymm7
  .byte  196,227,85,70,238,49                // vperm2i128    $0x31,%ymm6,%ymm5,%ymm5
  .byte  197,197,103,253                     // vpackuswb     %ymm5,%ymm7,%ymm7
  .byte  196,194,125,0,193                   // vpshufb       %ymm9,%ymm0,%ymm0
  .byte  196,194,117,0,201                   // vpshufb       %ymm9,%ymm1,%ymm1
  .byte  196,193,117,239,203                 // vpxor         %ymm11,%ymm1,%ymm1
  .byte  196,193,125,239,195                 // vpxor         %ymm11,%ymm0,%ymm0
  .byte  196,226,125,48,234                  // vpmovzxbw     %xmm2,%ymm5
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,217                   // vpmovzxbw     %xmm1,%ymm11
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,213,201                     // vpmullw       %ymm1,%ymm4,%ymm1
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,205,213,192                     // vpmullw       %ymm0,%ymm6,%ymm0
  .byte  196,65,85,213,201                   // vpmullw       %ymm9,%ymm5,%ymm9
  .byte  197,181,253,237                     // vpaddw        %ymm5,%ymm9,%ymm5
  .byte  197,253,253,198                     // vpaddw        %ymm6,%ymm0,%ymm0
  .byte  196,193,37,253,240                  // vpaddw        %ymm8,%ymm11,%ymm6
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  196,193,125,252,194                 // vpaddb        %ymm10,%ymm0,%ymm0
  .byte  197,245,252,207                     // vpaddb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__hsw_8bit
.globl _sk_plus__hsw_8bit
FUNCTION(_sk_plus__hsw_8bit)
_sk_plus__hsw_8bit:
  .byte  197,253,220,194                     // vpaddusb      %ymm2,%ymm0,%ymm0
  .byte  197,245,220,203                     // vpaddusb      %ymm3,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_hsw_8bit
.globl _sk_darken_hsw_8bit
FUNCTION(_sk_darken_hsw_8bit)
_sk_darken_hsw_8bit:
  .byte  197,125,111,5,207,116,0,0           // vmovdqa       0x74cf(%rip),%ymm8        # 2c9c0 <_sk_overlay_sse2_8bit+0xbfc>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,222,244                     // vpmaxub       %ymm4,%ymm9,%ymm6
  .byte  197,165,222,253                     // vpmaxub       %ymm5,%ymm11,%ymm7
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,255                     // vpsubb        %ymm7,%ymm1,%ymm7
  .byte  197,253,248,246                     // vpsubb        %ymm6,%ymm0,%ymm6
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,88,37,12,118,0,0        // vpbroadcastd  0x760c(%rip),%ymm4        # 2cc6c <_sk_overlay_sse2_8bit+0xea8>
  .byte  196,227,125,76,198,64               // vpblendvb     %ymm4,%ymm6,%ymm0,%ymm0
  .byte  196,227,117,76,207,64               // vpblendvb     %ymm4,%ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_hsw_8bit
.globl _sk_lighten_hsw_8bit
FUNCTION(_sk_lighten_hsw_8bit)
_sk_lighten_hsw_8bit:
  .byte  197,125,111,5,104,115,0,0           // vmovdqa       0x7368(%rip),%ymm8        # 2c9e0 <_sk_overlay_sse2_8bit+0xc1c>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,218,244                     // vpminub       %ymm4,%ymm9,%ymm6
  .byte  197,165,218,253                     // vpminub       %ymm5,%ymm11,%ymm7
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,255                     // vpsubb        %ymm7,%ymm1,%ymm7
  .byte  197,253,248,246                     // vpsubb        %ymm6,%ymm0,%ymm6
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,88,37,133,116,0,0       // vpbroadcastd  0x7485(%rip),%ymm4        # 2cc6c <_sk_overlay_sse2_8bit+0xea8>
  .byte  196,227,125,76,198,64               // vpblendvb     %ymm4,%ymm6,%ymm0,%ymm0
  .byte  196,227,117,76,207,64               // vpblendvb     %ymm4,%ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_hsw_8bit
.globl _sk_exclusion_hsw_8bit
FUNCTION(_sk_exclusion_hsw_8bit)
_sk_exclusion_hsw_8bit:
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,98,125,48,220                   // vpmovzxbw     %xmm4,%ymm11
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  197,45,213,214                      // vpmullw       %ymm6,%ymm10,%ymm10
  .byte  197,37,213,221                      // vpmullw       %ymm5,%ymm11,%ymm11
  .byte  196,65,61,213,193                   // vpmullw       %ymm9,%ymm8,%ymm8
  .byte  196,65,61,253,193                   // vpaddw        %ymm9,%ymm8,%ymm8
  .byte  197,165,253,237                     // vpaddw        %ymm5,%ymm11,%ymm5
  .byte  197,173,253,246                     // vpaddw        %ymm6,%ymm10,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,197,1                  // vinserti128   $0x1,%xmm5,%ymm7,%ymm8
  .byte  196,227,69,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm7,%ymm5
  .byte  197,189,103,237                     // vpackuswb     %ymm5,%ymm8,%ymm5
  .byte  196,227,77,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,227,77,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm6,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  197,253,111,53,106,113,0,0          // vmovdqa       0x716a(%rip),%ymm6        # 2ca00 <_sk_overlay_sse2_8bit+0xc3c>
  .byte  197,221,219,254                     // vpand         %ymm6,%ymm4,%ymm7
  .byte  197,213,219,246                     // vpand         %ymm6,%ymm5,%ymm6
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,204                     // vpsubb        %ymm4,%ymm1,%ymm1
  .byte  197,253,248,197                     // vpsubb        %ymm5,%ymm0,%ymm0
  .byte  197,253,248,198                     // vpsubb        %ymm6,%ymm0,%ymm0
  .byte  197,245,248,207                     // vpsubb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_hsw_8bit
.globl _sk_difference_hsw_8bit
FUNCTION(_sk_difference_hsw_8bit)
_sk_difference_hsw_8bit:
  .byte  197,125,111,5,94,113,0,0            // vmovdqa       0x715e(%rip),%ymm8        # 2ca20 <_sk_overlay_sse2_8bit+0xc5c>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,218,228                     // vpminub       %ymm4,%ymm9,%ymm4
  .byte  197,165,218,237                     // vpminub       %ymm5,%ymm11,%ymm5
  .byte  197,253,111,53,40,112,0,0           // vmovdqa       0x7028(%rip),%ymm6        # 2ca40 <_sk_overlay_sse2_8bit+0xc7c>
  .byte  197,213,219,254                     // vpand         %ymm6,%ymm5,%ymm7
  .byte  197,221,219,246                     // vpand         %ymm6,%ymm4,%ymm6
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,253,248,198                     // vpsubb        %ymm6,%ymm0,%ymm0
  .byte  197,245,248,207                     // vpsubb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_hsw_8bit
.globl _sk_hardlight_hsw_8bit
FUNCTION(_sk_hardlight_hsw_8bit)
_sk_hardlight_hsw_8bit:
  .byte  72,129,236,152,1,0,0                // sub           $0x198,%rsp
  .byte  197,125,111,251                     // vmovdqa       %ymm3,%ymm15
  .byte  196,226,125,48,248                  // vpmovzxbw     %xmm0,%ymm7
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,226,125,48,244                  // vpmovzxbw     %xmm4,%ymm6
  .byte  196,226,125,48,217                  // vpmovzxbw     %xmm1,%ymm3
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,98,125,48,196                   // vpmovzxbw     %xmm4,%ymm8
  .byte  197,126,127,68,36,96                // vmovdqu       %ymm8,0x60(%rsp)
  .byte  197,253,111,45,235,111,0,0          // vmovdqa       0x6feb(%rip),%ymm5        # 2ca60 <_sk_overlay_sse2_8bit+0xc9c>
  .byte  196,226,125,0,229                   // vpshufb       %ymm5,%ymm0,%ymm4
  .byte  196,226,117,0,205                   // vpshufb       %ymm5,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,98,125,48,240                   // vpmovzxbw     %xmm0,%ymm14
  .byte  196,226,125,48,233                  // vpmovzxbw     %xmm1,%ymm5
  .byte  196,227,125,57,224,1                // vextracti128  $0x1,%ymm4,%xmm0
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  197,197,253,199                     // vpaddw        %ymm7,%ymm7,%ymm0
  .byte  197,205,253,206                     // vpaddw        %ymm6,%ymm6,%ymm1
  .byte  197,101,253,227                     // vpaddw        %ymm3,%ymm3,%ymm12
  .byte  196,65,61,253,216                   // vpaddw        %ymm8,%ymm8,%ymm11
  .byte  196,66,37,58,238                    // vpminuw       %ymm14,%ymm11,%ymm13
  .byte  196,193,37,117,229                  // vpcmpeqw      %ymm13,%ymm11,%ymm4
  .byte  197,254,127,164,36,32,1,0,0         // vmovdqu       %ymm4,0x120(%rsp)
  .byte  196,98,29,58,237                    // vpminuw       %ymm5,%ymm12,%ymm13
  .byte  196,193,29,117,229                  // vpcmpeqw      %ymm13,%ymm12,%ymm4
  .byte  197,254,127,164,36,0,1,0,0          // vmovdqu       %ymm4,0x100(%rsp)
  .byte  196,66,117,58,233                   // vpminuw       %ymm9,%ymm1,%ymm13
  .byte  196,193,117,117,205                 // vpcmpeqw      %ymm13,%ymm1,%ymm1
  .byte  197,254,127,140,36,192,0,0,0        // vmovdqu       %ymm1,0xc0(%rsp)
  .byte  196,194,125,58,202                  // vpminuw       %ymm10,%ymm0,%ymm1
  .byte  197,253,117,193                     // vpcmpeqw      %ymm1,%ymm0,%ymm0
  .byte  197,254,127,132,36,128,0,0,0        // vmovdqu       %ymm0,0x80(%rsp)
  .byte  197,253,111,226                     // vmovdqa       %ymm2,%ymm4
  .byte  197,125,111,37,89,111,0,0           // vmovdqa       0x6f59(%rip),%ymm12        # 2ca60 <_sk_overlay_sse2_8bit+0xc9c>
  .byte  196,66,93,0,196                     // vpshufb       %ymm12,%ymm4,%ymm8
  .byte  196,194,125,48,208                  // vpmovzxbw     %xmm8,%ymm2
  .byte  196,226,125,121,5,102,111,0,0       // vpbroadcastw  0x6f66(%rip),%ymm0        # 2ca80 <_sk_overlay_sse2_8bit+0xcbc>
  .byte  197,109,239,232                     // vpxor         %ymm0,%ymm2,%ymm13
  .byte  197,149,213,207                     // vpmullw       %ymm7,%ymm13,%ymm1
  .byte  197,254,127,140,36,224,0,0,0        // vmovdqu       %ymm1,0xe0(%rsp)
  .byte  196,226,125,48,204                  // vpmovzxbw     %xmm4,%ymm1
  .byte  197,254,127,164,36,96,1,0,0         // vmovdqu       %ymm4,0x160(%rsp)
  .byte  197,45,239,232                      // vpxor         %ymm0,%ymm10,%ymm13
  .byte  197,21,213,217                      // vpmullw       %ymm1,%ymm13,%ymm11
  .byte  197,126,127,156,36,160,0,0,0        // vmovdqu       %ymm11,0xa0(%rsp)
  .byte  197,117,213,223                     // vpmullw       %ymm7,%ymm1,%ymm11
  .byte  197,126,127,92,36,64                // vmovdqu       %ymm11,0x40(%rsp)
  .byte  197,237,249,201                     // vpsubw        %ymm1,%ymm2,%ymm1
  .byte  197,254,127,76,36,128               // vmovdqu       %ymm1,-0x80(%rsp)
  .byte  196,193,109,213,202                 // vpmullw       %ymm10,%ymm2,%ymm1
  .byte  197,254,127,76,36,224               // vmovdqu       %ymm1,-0x20(%rsp)
  .byte  197,45,249,223                      // vpsubw        %ymm7,%ymm10,%ymm11
  .byte  196,227,125,57,226,1                // vextracti128  $0x1,%ymm4,%xmm2
  .byte  196,226,125,48,210                  // vpmovzxbw     %xmm2,%ymm2
  .byte  196,99,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,117,239,208                     // vpxor         %ymm0,%ymm1,%ymm10
  .byte  197,173,213,230                     // vpmullw       %ymm6,%ymm10,%ymm4
  .byte  197,254,127,100,36,32               // vmovdqu       %ymm4,0x20(%rsp)
  .byte  197,53,239,208                      // vpxor         %ymm0,%ymm9,%ymm10
  .byte  197,173,213,226                     // vpmullw       %ymm2,%ymm10,%ymm4
  .byte  197,254,127,36,36                   // vmovdqu       %ymm4,(%rsp)
  .byte  197,109,213,238                     // vpmullw       %ymm6,%ymm2,%ymm13
  .byte  197,245,249,226                     // vpsubw        %ymm2,%ymm1,%ymm4
  .byte  196,65,117,213,193                  // vpmullw       %ymm9,%ymm1,%ymm8
  .byte  197,181,249,246                     // vpsubw        %ymm6,%ymm9,%ymm6
  .byte  197,125,127,255                     // vmovdqa       %ymm15,%ymm7
  .byte  197,254,127,188,36,64,1,0,0         // vmovdqu       %ymm7,0x140(%rsp)
  .byte  196,66,69,0,204                     // vpshufb       %ymm12,%ymm7,%ymm9
  .byte  196,194,125,48,209                  // vpmovzxbw     %xmm9,%ymm2
  .byte  197,109,239,248                     // vpxor         %ymm0,%ymm2,%ymm15
  .byte  197,125,111,227                     // vmovdqa       %ymm3,%ymm12
  .byte  196,193,5,213,204                   // vpmullw       %ymm12,%ymm15,%ymm1
  .byte  197,254,127,76,36,192               // vmovdqu       %ymm1,-0x40(%rsp)
  .byte  196,226,125,48,207                  // vpmovzxbw     %xmm7,%ymm1
  .byte  197,85,239,248                      // vpxor         %ymm0,%ymm5,%ymm15
  .byte  197,133,213,217                     // vpmullw       %ymm1,%ymm15,%ymm3
  .byte  197,254,127,92,36,160               // vmovdqu       %ymm3,-0x60(%rsp)
  .byte  196,65,117,213,212                  // vpmullw       %ymm12,%ymm1,%ymm10
  .byte  197,237,249,217                     // vpsubw        %ymm1,%ymm2,%ymm3
  .byte  197,237,213,213                     // vpmullw       %ymm5,%ymm2,%ymm2
  .byte  196,193,85,249,236                  // vpsubw        %ymm12,%ymm5,%ymm5
  .byte  196,195,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm15
  .byte  196,66,125,48,255                   // vpmovzxbw     %xmm15,%ymm15
  .byte  196,99,125,57,207,1                 // vextracti128  $0x1,%ymm9,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,69,239,200                      // vpxor         %ymm0,%ymm7,%ymm9
  .byte  197,254,111,76,36,96                // vmovdqu       0x60(%rsp),%ymm1
  .byte  197,53,213,225                      // vpmullw       %ymm1,%ymm9,%ymm12
  .byte  197,141,239,192                     // vpxor         %ymm0,%ymm14,%ymm0
  .byte  196,65,125,213,207                  // vpmullw       %ymm15,%ymm0,%ymm9
  .byte  197,133,213,193                     // vpmullw       %ymm1,%ymm15,%ymm0
  .byte  196,65,69,249,255                   // vpsubw        %ymm15,%ymm7,%ymm15
  .byte  196,193,69,213,254                  // vpmullw       %ymm14,%ymm7,%ymm7
  .byte  197,13,249,241                      // vpsubw        %ymm1,%ymm14,%ymm14
  .byte  196,65,5,213,246                    // vpmullw       %ymm14,%ymm15,%ymm14
  .byte  197,229,213,205                     // vpmullw       %ymm5,%ymm3,%ymm1
  .byte  197,221,213,230                     // vpmullw       %ymm6,%ymm4,%ymm4
  .byte  197,165,213,108,36,128              // vpmullw       -0x80(%rsp),%ymm11,%ymm5
  .byte  196,193,13,253,246                  // vpaddw        %ymm14,%ymm14,%ymm6
  .byte  197,197,249,246                     // vpsubw        %ymm6,%ymm7,%ymm6
  .byte  197,245,253,201                     // vpaddw        %ymm1,%ymm1,%ymm1
  .byte  197,237,249,201                     // vpsubw        %ymm1,%ymm2,%ymm1
  .byte  197,221,253,212                     // vpaddw        %ymm4,%ymm4,%ymm2
  .byte  197,189,249,210                     // vpsubw        %ymm2,%ymm8,%ymm2
  .byte  197,213,253,221                     // vpaddw        %ymm5,%ymm5,%ymm3
  .byte  197,254,111,100,36,224              // vmovdqu       -0x20(%rsp),%ymm4
  .byte  197,221,249,219                     // vpsubw        %ymm3,%ymm4,%ymm3
  .byte  197,254,111,100,36,64               // vmovdqu       0x40(%rsp),%ymm4
  .byte  197,221,253,228                     // vpaddw        %ymm4,%ymm4,%ymm4
  .byte  197,254,111,172,36,128,0,0,0        // vmovdqu       0x80(%rsp),%ymm5
  .byte  197,213,223,219                     // vpandn        %ymm3,%ymm5,%ymm3
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,219                     // vpor          %ymm3,%ymm4,%ymm3
  .byte  196,193,21,253,229                  // vpaddw        %ymm13,%ymm13,%ymm4
  .byte  197,254,111,172,36,192,0,0,0        // vmovdqu       0xc0(%rsp),%ymm5
  .byte  197,213,223,210                     // vpandn        %ymm2,%ymm5,%ymm2
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,210                     // vpor          %ymm2,%ymm4,%ymm2
  .byte  196,193,45,253,226                  // vpaddw        %ymm10,%ymm10,%ymm4
  .byte  197,254,111,172,36,0,1,0,0          // vmovdqu       0x100(%rsp),%ymm5
  .byte  197,213,223,201                     // vpandn        %ymm1,%ymm5,%ymm1
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,201                     // vpor          %ymm1,%ymm4,%ymm1
  .byte  197,253,253,192                     // vpaddw        %ymm0,%ymm0,%ymm0
  .byte  197,254,111,172,36,32,1,0,0         // vmovdqu       0x120(%rsp),%ymm5
  .byte  197,213,223,230                     // vpandn        %ymm6,%ymm5,%ymm4
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,253,235,196                     // vpor          %ymm4,%ymm0,%ymm0
  .byte  197,254,111,164,36,160,0,0,0        // vmovdqu       0xa0(%rsp),%ymm4
  .byte  197,221,253,164,36,224,0,0,0        // vpaddw        0xe0(%rsp),%ymm4,%ymm4
  .byte  197,254,111,44,36                   // vmovdqu       (%rsp),%ymm5
  .byte  197,213,253,108,36,32               // vpaddw        0x20(%rsp),%ymm5,%ymm5
  .byte  197,254,111,116,36,160              // vmovdqu       -0x60(%rsp),%ymm6
  .byte  197,205,253,116,36,192              // vpaddw        -0x40(%rsp),%ymm6,%ymm6
  .byte  196,193,53,253,252                  // vpaddw        %ymm12,%ymm9,%ymm7
  .byte  196,98,125,121,5,104,109,0,0        // vpbroadcastw  0x6d68(%rip),%ymm8        # 2ca82 <_sk_overlay_sse2_8bit+0xcbe>
  .byte  196,193,93,253,224                  // vpaddw        %ymm8,%ymm4,%ymm4
  .byte  197,229,253,220                     // vpaddw        %ymm4,%ymm3,%ymm3
  .byte  196,193,85,253,224                  // vpaddw        %ymm8,%ymm5,%ymm4
  .byte  197,237,253,212                     // vpaddw        %ymm4,%ymm2,%ymm2
  .byte  196,193,77,253,224                  // vpaddw        %ymm8,%ymm6,%ymm4
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  196,193,69,253,224                  // vpaddw        %ymm8,%ymm7,%ymm4
  .byte  197,253,253,196                     // vpaddw        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,121,37,61,109,0,0       // vpbroadcastw  0x6d3d(%rip),%ymm4        # 2ca84 <_sk_overlay_sse2_8bit+0xcc0>
  .byte  197,253,228,196                     // vpmulhuw      %ymm4,%ymm0,%ymm0
  .byte  197,245,228,204                     // vpmulhuw      %ymm4,%ymm1,%ymm1
  .byte  197,237,228,212                     // vpmulhuw      %ymm4,%ymm2,%ymm2
  .byte  197,237,113,210,7                   // vpsrlw        $0x7,%ymm2,%ymm2
  .byte  197,229,228,220                     // vpmulhuw      %ymm4,%ymm3,%ymm3
  .byte  197,229,113,211,7                   // vpsrlw        $0x7,%ymm3,%ymm3
  .byte  196,227,101,56,226,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm4
  .byte  196,227,101,70,210,49               // vperm2i128    $0x31,%ymm2,%ymm3,%ymm2
  .byte  197,229,113,208,7                   // vpsrlw        $0x7,%ymm0,%ymm3
  .byte  197,245,113,209,7                   // vpsrlw        $0x7,%ymm1,%ymm1
  .byte  197,221,103,194                     // vpackuswb     %ymm2,%ymm4,%ymm0
  .byte  196,227,117,56,211,1                // vinserti128   $0x1,%xmm3,%ymm1,%ymm2
  .byte  196,227,117,70,203,49               // vperm2i128    $0x31,%ymm3,%ymm1,%ymm1
  .byte  197,237,103,201                     // vpackuswb     %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,148,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm2
  .byte  197,252,16,156,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm3
  .byte  72,129,196,152,1,0,0                // add           $0x198,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_hsw_8bit
.globl _sk_overlay_hsw_8bit
FUNCTION(_sk_overlay_hsw_8bit)
_sk_overlay_hsw_8bit:
  .byte  72,129,236,152,1,0,0                // sub           $0x198,%rsp
  .byte  197,252,17,140,36,64,1,0,0          // vmovups       %ymm1,0x140(%rsp)
  .byte  197,253,111,45,224,108,0,0          // vmovdqa       0x6ce0(%rip),%ymm5        # 2caa0 <_sk_overlay_sse2_8bit+0xcdc>
  .byte  197,253,111,226                     // vmovdqa       %ymm2,%ymm4
  .byte  196,227,125,57,225,1                // vextracti128  $0x1,%ymm4,%xmm1
  .byte  196,98,125,48,193                   // vpmovzxbw     %xmm1,%ymm8
  .byte  197,254,127,156,36,96,1,0,0         // vmovdqu       %ymm3,0x160(%rsp)
  .byte  196,226,125,48,251                  // vpmovzxbw     %xmm3,%ymm7
  .byte  196,227,125,57,217,1                // vextracti128  $0x1,%ymm3,%xmm1
  .byte  196,98,125,48,241                   // vpmovzxbw     %xmm1,%ymm14
  .byte  196,226,93,0,205                    // vpshufb       %ymm5,%ymm4,%ymm1
  .byte  197,254,127,164,36,32,1,0,0         // vmovdqu       %ymm4,0x120(%rsp)
  .byte  196,226,101,0,221                   // vpshufb       %ymm5,%ymm3,%ymm3
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,203                   // vpmovzxbw     %xmm3,%ymm9
  .byte  196,227,125,57,203,1                // vextracti128  $0x1,%ymm1,%xmm3
  .byte  196,98,125,48,219                   // vpmovzxbw     %xmm3,%ymm11
  .byte  196,193,61,253,216                  // vpaddw        %ymm8,%ymm8,%ymm3
  .byte  197,69,253,231                      // vpaddw        %ymm7,%ymm7,%ymm12
  .byte  196,65,13,253,214                   // vpaddw        %ymm14,%ymm14,%ymm10
  .byte  196,98,45,58,238                    // vpminuw       %ymm6,%ymm10,%ymm13
  .byte  196,193,45,117,213                  // vpcmpeqw      %ymm13,%ymm10,%ymm2
  .byte  197,254,127,148,36,0,1,0,0          // vmovdqu       %ymm2,0x100(%rsp)
  .byte  196,66,29,58,233                    // vpminuw       %ymm9,%ymm12,%ymm13
  .byte  196,193,29,117,213                  // vpcmpeqw      %ymm13,%ymm12,%ymm2
  .byte  197,254,127,148,36,224,0,0,0        // vmovdqu       %ymm2,0xe0(%rsp)
  .byte  196,66,101,58,235                   // vpminuw       %ymm11,%ymm3,%ymm13
  .byte  196,193,101,117,213                 // vpcmpeqw      %ymm13,%ymm3,%ymm2
  .byte  197,254,127,148,36,160,0,0,0        // vmovdqu       %ymm2,0xa0(%rsp)
  .byte  196,226,125,48,212                  // vpmovzxbw     %xmm4,%ymm2
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,237,253,226                     // vpaddw        %ymm2,%ymm2,%ymm4
  .byte  196,226,93,58,217                   // vpminuw       %ymm1,%ymm4,%ymm3
  .byte  197,93,117,251                      // vpcmpeqw      %ymm3,%ymm4,%ymm15
  .byte  197,253,111,216                     // vmovdqa       %ymm0,%ymm3
  .byte  196,226,125,48,227                  // vpmovzxbw     %xmm3,%ymm4
  .byte  196,226,125,121,5,58,108,0,0        // vpbroadcastw  0x6c3a(%rip),%ymm0        # 2cac0 <_sk_overlay_sse2_8bit+0xcfc>
  .byte  197,117,239,232                     // vpxor         %ymm0,%ymm1,%ymm13
  .byte  197,21,213,212                      // vpmullw       %ymm4,%ymm13,%ymm10
  .byte  197,126,127,148,36,192,0,0,0        // vmovdqu       %ymm10,0xc0(%rsp)
  .byte  197,125,111,229                     // vmovdqa       %ymm5,%ymm12
  .byte  196,194,101,0,236                   // vpshufb       %ymm12,%ymm3,%ymm5
  .byte  197,125,111,211                     // vmovdqa       %ymm3,%ymm10
  .byte  196,226,125,48,221                  // vpmovzxbw     %xmm5,%ymm3
  .byte  197,101,239,232                     // vpxor         %ymm0,%ymm3,%ymm13
  .byte  197,21,213,234                      // vpmullw       %ymm2,%ymm13,%ymm13
  .byte  197,126,127,172,36,128,0,0,0        // vmovdqu       %ymm13,0x80(%rsp)
  .byte  197,109,213,236                     // vpmullw       %ymm4,%ymm2,%ymm13
  .byte  197,126,127,108,36,96               // vmovdqu       %ymm13,0x60(%rsp)
  .byte  197,245,249,210                     // vpsubw        %ymm2,%ymm1,%ymm2
  .byte  197,254,127,84,36,160               // vmovdqu       %ymm2,-0x60(%rsp)
  .byte  197,245,213,203                     // vpmullw       %ymm3,%ymm1,%ymm1
  .byte  197,254,127,12,36                   // vmovdqu       %ymm1,(%rsp)
  .byte  197,229,249,220                     // vpsubw        %ymm4,%ymm3,%ymm3
  .byte  196,99,125,57,212,1                 // vextracti128  $0x1,%ymm10,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,37,239,232                      // vpxor         %ymm0,%ymm11,%ymm13
  .byte  197,149,213,204                     // vpmullw       %ymm4,%ymm13,%ymm1
  .byte  197,254,127,76,36,64                // vmovdqu       %ymm1,0x40(%rsp)
  .byte  197,85,239,232                      // vpxor         %ymm0,%ymm5,%ymm13
  .byte  196,193,21,213,200                  // vpmullw       %ymm8,%ymm13,%ymm1
  .byte  197,254,127,76,36,32                // vmovdqu       %ymm1,0x20(%rsp)
  .byte  197,189,213,204                     // vpmullw       %ymm4,%ymm8,%ymm1
  .byte  197,254,127,76,36,128               // vmovdqu       %ymm1,-0x80(%rsp)
  .byte  196,65,37,249,192                   // vpsubw        %ymm8,%ymm11,%ymm8
  .byte  197,37,213,221                      // vpmullw       %ymm5,%ymm11,%ymm11
  .byte  197,213,249,228                     // vpsubw        %ymm4,%ymm5,%ymm4
  .byte  197,254,111,140,36,64,1,0,0         // vmovdqu       0x140(%rsp),%ymm1
  .byte  196,194,117,0,236                   // vpshufb       %ymm12,%ymm1,%ymm5
  .byte  196,226,125,48,209                  // vpmovzxbw     %xmm1,%ymm2
  .byte  197,125,111,225                     // vmovdqa       %ymm1,%ymm12
  .byte  197,53,239,232                      // vpxor         %ymm0,%ymm9,%ymm13
  .byte  197,149,213,202                     // vpmullw       %ymm2,%ymm13,%ymm1
  .byte  197,254,127,76,36,224               // vmovdqu       %ymm1,-0x20(%rsp)
  .byte  196,226,125,48,205                  // vpmovzxbw     %xmm5,%ymm1
  .byte  197,117,239,232                     // vpxor         %ymm0,%ymm1,%ymm13
  .byte  197,21,213,215                      // vpmullw       %ymm7,%ymm13,%ymm10
  .byte  197,126,127,84,36,192               // vmovdqu       %ymm10,-0x40(%rsp)
  .byte  197,69,213,210                      // vpmullw       %ymm2,%ymm7,%ymm10
  .byte  197,181,249,255                     // vpsubw        %ymm7,%ymm9,%ymm7
  .byte  197,53,213,201                      // vpmullw       %ymm1,%ymm9,%ymm9
  .byte  197,245,249,202                     // vpsubw        %ymm2,%ymm1,%ymm1
  .byte  196,99,125,57,226,1                 // vextracti128  $0x1,%ymm12,%xmm2
  .byte  196,226,125,48,210                  // vpmovzxbw     %xmm2,%ymm2
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,77,239,232                      // vpxor         %ymm0,%ymm6,%ymm13
  .byte  197,21,213,234                      // vpmullw       %ymm2,%ymm13,%ymm13
  .byte  197,213,239,192                     // vpxor         %ymm0,%ymm5,%ymm0
  .byte  196,65,125,213,230                  // vpmullw       %ymm14,%ymm0,%ymm12
  .byte  197,141,213,194                     // vpmullw       %ymm2,%ymm14,%ymm0
  .byte  196,65,77,249,246                   // vpsubw        %ymm14,%ymm6,%ymm14
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  197,213,249,210                     // vpsubw        %ymm2,%ymm5,%ymm2
  .byte  197,141,213,210                     // vpmullw       %ymm2,%ymm14,%ymm2
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  197,189,213,228                     // vpmullw       %ymm4,%ymm8,%ymm4
  .byte  197,229,213,92,36,160               // vpmullw       -0x60(%rsp),%ymm3,%ymm3
  .byte  197,237,253,210                     // vpaddw        %ymm2,%ymm2,%ymm2
  .byte  197,205,249,210                     // vpsubw        %ymm2,%ymm6,%ymm2
  .byte  197,245,253,201                     // vpaddw        %ymm1,%ymm1,%ymm1
  .byte  197,181,249,201                     // vpsubw        %ymm1,%ymm9,%ymm1
  .byte  197,221,253,228                     // vpaddw        %ymm4,%ymm4,%ymm4
  .byte  197,165,249,228                     // vpsubw        %ymm4,%ymm11,%ymm4
  .byte  197,229,253,219                     // vpaddw        %ymm3,%ymm3,%ymm3
  .byte  197,254,111,44,36                   // vmovdqu       (%rsp),%ymm5
  .byte  197,213,249,219                     // vpsubw        %ymm3,%ymm5,%ymm3
  .byte  197,254,111,108,36,96               // vmovdqu       0x60(%rsp),%ymm5
  .byte  197,213,253,237                     // vpaddw        %ymm5,%ymm5,%ymm5
  .byte  197,133,223,219                     // vpandn        %ymm3,%ymm15,%ymm3
  .byte  196,193,85,219,239                  // vpand         %ymm15,%ymm5,%ymm5
  .byte  197,213,235,219                     // vpor          %ymm3,%ymm5,%ymm3
  .byte  197,254,111,108,36,128              // vmovdqu       -0x80(%rsp),%ymm5
  .byte  197,213,253,237                     // vpaddw        %ymm5,%ymm5,%ymm5
  .byte  197,254,111,180,36,160,0,0,0        // vmovdqu       0xa0(%rsp),%ymm6
  .byte  197,205,223,228                     // vpandn        %ymm4,%ymm6,%ymm4
  .byte  197,213,219,238                     // vpand         %ymm6,%ymm5,%ymm5
  .byte  197,213,235,228                     // vpor          %ymm4,%ymm5,%ymm4
  .byte  196,193,45,253,234                  // vpaddw        %ymm10,%ymm10,%ymm5
  .byte  197,254,111,180,36,224,0,0,0        // vmovdqu       0xe0(%rsp),%ymm6
  .byte  197,205,223,201                     // vpandn        %ymm1,%ymm6,%ymm1
  .byte  197,213,219,238                     // vpand         %ymm6,%ymm5,%ymm5
  .byte  197,213,235,201                     // vpor          %ymm1,%ymm5,%ymm1
  .byte  197,253,253,192                     // vpaddw        %ymm0,%ymm0,%ymm0
  .byte  197,254,111,172,36,0,1,0,0          // vmovdqu       0x100(%rsp),%ymm5
  .byte  197,213,223,210                     // vpandn        %ymm2,%ymm5,%ymm2
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,253,235,194                     // vpor          %ymm2,%ymm0,%ymm0
  .byte  197,254,111,148,36,128,0,0,0        // vmovdqu       0x80(%rsp),%ymm2
  .byte  197,237,253,148,36,192,0,0,0        // vpaddw        0xc0(%rsp),%ymm2,%ymm2
  .byte  197,254,111,108,36,32               // vmovdqu       0x20(%rsp),%ymm5
  .byte  197,213,253,108,36,64               // vpaddw        0x40(%rsp),%ymm5,%ymm5
  .byte  197,254,111,116,36,192              // vmovdqu       -0x40(%rsp),%ymm6
  .byte  197,205,253,116,36,224              // vpaddw        -0x20(%rsp),%ymm6,%ymm6
  .byte  196,193,29,253,253                  // vpaddw        %ymm13,%ymm12,%ymm7
  .byte  196,98,125,121,5,69,106,0,0         // vpbroadcastw  0x6a45(%rip),%ymm8        # 2cac2 <_sk_overlay_sse2_8bit+0xcfe>
  .byte  196,193,109,253,208                 // vpaddw        %ymm8,%ymm2,%ymm2
  .byte  197,229,253,210                     // vpaddw        %ymm2,%ymm3,%ymm2
  .byte  196,193,85,253,216                  // vpaddw        %ymm8,%ymm5,%ymm3
  .byte  197,221,253,219                     // vpaddw        %ymm3,%ymm4,%ymm3
  .byte  196,193,77,253,224                  // vpaddw        %ymm8,%ymm6,%ymm4
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  196,193,69,253,224                  // vpaddw        %ymm8,%ymm7,%ymm4
  .byte  197,253,253,196                     // vpaddw        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,121,37,26,106,0,0       // vpbroadcastw  0x6a1a(%rip),%ymm4        # 2cac4 <_sk_overlay_sse2_8bit+0xd00>
  .byte  197,253,228,196                     // vpmulhuw      %ymm4,%ymm0,%ymm0
  .byte  197,245,228,204                     // vpmulhuw      %ymm4,%ymm1,%ymm1
  .byte  197,229,228,220                     // vpmulhuw      %ymm4,%ymm3,%ymm3
  .byte  197,229,113,211,7                   // vpsrlw        $0x7,%ymm3,%ymm3
  .byte  197,237,228,212                     // vpmulhuw      %ymm4,%ymm2,%ymm2
  .byte  197,237,113,210,7                   // vpsrlw        $0x7,%ymm2,%ymm2
  .byte  196,227,109,56,227,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm4
  .byte  196,227,109,70,211,49               // vperm2i128    $0x31,%ymm3,%ymm2,%ymm2
  .byte  197,229,113,208,7                   // vpsrlw        $0x7,%ymm0,%ymm3
  .byte  197,245,113,209,7                   // vpsrlw        $0x7,%ymm1,%ymm1
  .byte  197,221,103,194                     // vpackuswb     %ymm2,%ymm4,%ymm0
  .byte  196,227,117,56,211,1                // vinserti128   $0x1,%xmm3,%ymm1,%ymm2
  .byte  196,227,117,70,203,49               // vperm2i128    $0x31,%ymm3,%ymm1,%ymm1
  .byte  197,237,103,201                     // vpackuswb     %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,148,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm2
  .byte  197,252,16,156,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm3
  .byte  72,129,196,152,1,0,0                // add           $0x198,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_sse41_8bit
.globl _sk_start_pipeline_sse41_8bit
FUNCTION(_sk_start_pipeline_sse41_8bit)
_sk_start_pipeline_sse41_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           2618e <_sk_start_pipeline_sse41_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            26174 <_sk_start_pipeline_sse41_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           26155 <_sk_start_pipeline_sse41_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            26185 <_sk_start_pipeline_sse41_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           26147 <_sk_start_pipeline_sse41_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse41_8bit
.globl _sk_just_return_sse41_8bit
FUNCTION(_sk_just_return_sse41_8bit)
_sk_just_return_sse41_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_sse41_8bit
.globl _sk_uniform_color_sse41_8bit
FUNCTION(_sk_uniform_color_sse41_8bit)
_sk_uniform_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,110,64,16                    // movd          0x10(%rax),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse41_8bit
.globl _sk_set_rgb_sse41_8bit
FUNCTION(_sk_set_rgb_sse41_8bit)
_sk_set_rgb_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,37,60,105,0,0             // movss         0x693c(%rip),%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,16,40                        // movss         (%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,197                    // cvttss2si     %xmm5,%r8
  .byte  243,15,16,104,4                     // movss         0x4(%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,205                    // cvttss2si     %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  243,15,89,96,8                      // mulss         0x8(%rax),%xmm4
  .byte  243,72,15,44,196                    // cvttss2si     %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  102,15,111,45,177,113,0,0           // movdqa        0x71b1(%rip),%xmm5        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,219,205                      // pand          %xmm5,%xmm1
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse41_8bit
.globl _sk_premul_sse41_8bit
FUNCTION(_sk_premul_sse41_8bit)
_sk_premul_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,157,113,0,0            // movdqa        0x719d(%rip),%xmm0        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,111,5,115,113,0,0            // movdqa        0x7173(%rip),%xmm0        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,240                      // por           %xmm0,%xmm6
  .byte  102,15,235,248                      // por           %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse41_8bit
.globl _sk_swap_rb_sse41_8bit
FUNCTION(_sk_swap_rb_sse41_8bit)
_sk_swap_rb_sse41_8bit:
  .byte  102,15,111,37,16,113,0,0            // movdqa        0x7110(%rip),%xmm4        # 2d3d0 <_sk_overlay_sse2_8bit+0x160c>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse41_8bit
.globl _sk_invert_sse41_8bit
FUNCTION(_sk_invert_sse41_8bit)
_sk_invert_sse41_8bit:
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_sse41_8bit
.globl _sk_load_8888_sse41_8bit
FUNCTION(_sk_load_8888_sse41_8bit)
_sk_load_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           2630b <_sk_load_8888_sse41_8bit+0x2d>
  .byte  243,67,15,111,76,152,16             // movdqu        0x10(%r8,%r11,4),%xmm1
  .byte  243,67,15,111,4,152                 // movdqu        (%r8,%r11,4),%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            26307 <_sk_load_8888_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 2637c <_sk_load_8888_sse41_8bit+0x9e>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,4,152                 // movd          (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           26307 <_sk_load_8888_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,196,15                 // pblendw       $0xf,%xmm4,%xmm0
  .byte  235,174                             // jmp           26307 <_sk_load_8888_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  102,67,15,58,34,76,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm1
  .byte  102,67,15,58,34,76,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm1
  .byte  235,136                             // jmp           26301 <_sk_load_8888_sse41_8bit+0x23>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,133,255,255,255,242             // incl          -0xd000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde026394 <_sk_overlay_sse2_8bit+0xffffffffddffa5d0>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_sse41_8bit
.globl _sk_load_8888_dst_sse41_8bit
FUNCTION(_sk_load_8888_dst_sse41_8bit)
_sk_load_8888_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           263c5 <_sk_load_8888_dst_sse41_8bit+0x2d>
  .byte  243,67,15,111,92,152,16             // movdqu        0x10(%r8,%r11,4),%xmm3
  .byte  243,67,15,111,20,152                // movdqu        (%r8,%r11,4),%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            263c1 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 26434 <_sk_load_8888_dst_sse41_8bit+0x9c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,152                // movd          (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           263c1 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,212,15                 // pblendw       $0xf,%xmm4,%xmm2
  .byte  235,174                             // jmp           263c1 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  102,67,15,58,34,92,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,92,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm3
  .byte  235,136                             // jmp           263bb <_sk_load_8888_dst_sse41_8bit+0x23>
  .byte  144                                 // nop
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,135,255,255,255,244             // incl          -0xb000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           26449 <_sk_load_8888_dst_sse41_8bit+0xb1>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_sse41_8bit
.globl _sk_store_8888_sse41_8bit
FUNCTION(_sk_store_8888_sse41_8bit)
_sk_store_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           2647d <_sk_store_8888_sse41_8bit+0x2d>
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  243,67,15,127,76,152,16             // movdqu        %xmm1,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            26479 <_sk_store_8888_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,68,0,0,0                  // lea           0x44(%rip),%r10        # 264dc <_sk_store_8888_sse41_8bit+0x8c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,4,152                 // movd          %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           26479 <_sk_store_8888_sse41_8bit+0x29>
  .byte  102,67,15,58,22,68,152,8,2          // pextrd        $0x2,%xmm0,0x8(%r8,%r11,4)
  .byte  102,67,15,214,4,152                 // movq          %xmm0,(%r8,%r11,4)
  .byte  235,191                             // jmp           26479 <_sk_store_8888_sse41_8bit+0x29>
  .byte  102,67,15,58,22,76,152,24,2         // pextrd        $0x2,%xmm1,0x18(%r8,%r11,4)
  .byte  102,67,15,58,22,76,152,20,1         // pextrd        $0x1,%xmm1,0x14(%r8,%r11,4)
  .byte  102,67,15,126,76,152,16             // movd          %xmm1,0x10(%r8,%r11,4)
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  235,158                             // jmp           26479 <_sk_store_8888_sse41_8bit+0x29>
  .byte  144                                 // nop
  .byte  197,255,255                         // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,205                             // dec           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_sse41_8bit
.globl _sk_load_bgra_sse41_8bit
FUNCTION(_sk_load_bgra_sse41_8bit)
_sk_load_bgra_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           26537 <_sk_load_bgra_sse41_8bit+0x3f>
  .byte  243,67,15,111,76,152,16             // movdqu        0x10(%r8,%r11,4),%xmm1
  .byte  243,67,15,111,4,152                 // movdqu        (%r8,%r11,4),%xmm0
  .byte  102,15,111,37,167,110,0,0           // movdqa        0x6ea7(%rip),%xmm4        # 2d3d0 <_sk_overlay_sse2_8bit+0x160c>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,210                             // ja            26521 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 265a8 <_sk_load_bgra_sse41_8bit+0xb0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,4,152                 // movd          (%r8,%r11,4),%xmm0
  .byte  235,182                             // jmp           26521 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,196,15                 // pblendw       $0xf,%xmm4,%xmm0
  .byte  235,156                             // jmp           26521 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  102,67,15,58,34,76,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm1
  .byte  102,67,15,58,34,76,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm1
  .byte  233,115,255,255,255                 // jmpq          2651b <_sk_load_bgra_sse41_8bit+0x23>
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,115,255                         // pushq         -0x1(%rbx)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde0265c0 <_sk_overlay_sse2_8bit+0xffffffffddffa7fc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_sse41_8bit
.globl _sk_load_bgra_dst_sse41_8bit
FUNCTION(_sk_load_bgra_dst_sse41_8bit)
_sk_load_bgra_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           26603 <_sk_load_bgra_dst_sse41_8bit+0x3f>
  .byte  243,67,15,111,92,152,16             // movdqu        0x10(%r8,%r11,4),%xmm3
  .byte  243,67,15,111,20,152                // movdqu        (%r8,%r11,4),%xmm2
  .byte  102,15,111,37,219,109,0,0           // movdqa        0x6ddb(%rip),%xmm4        # 2d3d0 <_sk_overlay_sse2_8bit+0x160c>
  .byte  102,15,56,0,212                     // pshufb        %xmm4,%xmm2
  .byte  102,15,56,0,220                     // pshufb        %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,210                             // ja            265ed <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 26674 <_sk_load_bgra_dst_sse41_8bit+0xb0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,152                // movd          (%r8,%r11,4),%xmm2
  .byte  235,182                             // jmp           265ed <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,212,15                 // pblendw       $0xf,%xmm4,%xmm2
  .byte  235,156                             // jmp           265ed <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  102,67,15,58,34,92,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,92,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm3
  .byte  233,115,255,255,255                 // jmpq          265e7 <_sk_load_bgra_dst_sse41_8bit+0x23>
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,115,255                         // pushq         -0x1(%rbx)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde02668c <_sk_overlay_sse2_8bit+0xffffffffddffa8c8>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_sse41_8bit
.globl _sk_store_bgra_sse41_8bit
FUNCTION(_sk_store_bgra_sse41_8bit)
_sk_store_bgra_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,53,33,109,0,0            // movdqa        0x6d21(%rip),%xmm6        # 2d3d0 <_sk_overlay_sse2_8bit+0x160c>
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,56,0,238                     // pshufb        %xmm6,%xmm5
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,56,0,230                     // pshufb        %xmm6,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           266d7 <_sk_store_bgra_sse41_8bit+0x47>
  .byte  243,67,15,127,36,152                // movdqu        %xmm4,(%r8,%r11,4)
  .byte  243,67,15,127,108,152,16            // movdqu        %xmm5,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            266d3 <_sk_store_bgra_sse41_8bit+0x43>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,70,0,0,0                  // lea           0x46(%rip),%r10        # 26738 <_sk_store_bgra_sse41_8bit+0xa8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,36,152                // movd          %xmm4,(%r8,%r11,4)
  .byte  235,208                             // jmp           266d3 <_sk_store_bgra_sse41_8bit+0x43>
  .byte  102,67,15,58,22,100,152,8,2         // pextrd        $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,36,152                // movq          %xmm4,(%r8,%r11,4)
  .byte  235,191                             // jmp           266d3 <_sk_store_bgra_sse41_8bit+0x43>
  .byte  102,67,15,58,22,108,152,24,2        // pextrd        $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  102,67,15,58,22,108,152,20,1        // pextrd        $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  102,67,15,126,108,152,16            // movd          %xmm5,0x10(%r8,%r11,4)
  .byte  243,67,15,127,36,152                // movdqu        %xmm4,(%r8,%r11,4)
  .byte  235,158                             // jmp           266d3 <_sk_store_bgra_sse41_8bit+0x43>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  195                                 // retq
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,203                             // dec           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,245                             // push          %rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_565_sse41_8bit
.globl _sk_store_565_sse41_8bit
FUNCTION(_sk_store_565_sse41_8bit)
_sk_store_565_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,68,15,111,13,109,108,0,0        // movdqa        0x6c6d(%rip),%xmm9        # 2d3e0 <_sk_overlay_sse2_8bit+0x161c>
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,65,15,114,241,8                 // pslld         $0x8,%xmm9
  .byte  102,65,15,114,240,8                 // pslld         $0x8,%xmm8
  .byte  102,15,111,37,90,108,0,0            // movdqa        0x6c5a(%rip),%xmm4        # 2d3f0 <_sk_overlay_sse2_8bit+0x162c>
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,219,252                      // pand          %xmm4,%xmm7
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,114,215,5                    // psrld         $0x5,%xmm7
  .byte  102,15,111,53,76,108,0,0            // movdqa        0x6c4c(%rip),%xmm6        # 2d400 <_sk_overlay_sse2_8bit+0x163c>
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  102,15,219,241                      // pand          %xmm1,%xmm6
  .byte  102,15,114,214,19                   // psrld         $0x13,%xmm6
  .byte  102,15,114,213,19                   // psrld         $0x13,%xmm5
  .byte  102,65,15,235,248                   // por           %xmm8,%xmm7
  .byte  102,65,15,235,225                   // por           %xmm9,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  102,15,235,254                      // por           %xmm6,%xmm7
  .byte  102,15,111,45,44,108,0,0            // movdqa        0x6c2c(%rip),%xmm5        # 2d410 <_sk_overlay_sse2_8bit+0x164c>
  .byte  102,15,56,0,253                     // pshufb        %xmm5,%xmm7
  .byte  102,15,56,0,229                     // pshufb        %xmm5,%xmm4
  .byte  102,15,108,231                      // punpcklqdq    %xmm7,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           26801 <_sk_store_565_sse41_8bit+0xad>
  .byte  243,67,15,127,36,88                 // movdqu        %xmm4,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            267fd <_sk_store_565_sse41_8bit+0xa9>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,72,0,0,0                  // lea           0x48(%rip),%r10        # 26864 <_sk_store_565_sse41_8bit+0x110>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,58,21,36,88,0             // pextrw        $0x0,%xmm4,(%r8,%r11,2)
  .byte  235,206                             // jmp           267fd <_sk_store_565_sse41_8bit+0xa9>
  .byte  102,67,15,58,21,100,88,4,2          // pextrw        $0x2,%xmm4,0x4(%r8,%r11,2)
  .byte  102,67,15,126,36,88                 // movd          %xmm4,(%r8,%r11,2)
  .byte  235,189                             // jmp           267fd <_sk_store_565_sse41_8bit+0xa9>
  .byte  102,67,15,58,21,100,88,12,6         // pextrw        $0x6,%xmm4,0xc(%r8,%r11,2)
  .byte  102,67,15,58,21,100,88,10,5         // pextrw        $0x5,%xmm4,0xa(%r8,%r11,2)
  .byte  102,67,15,58,21,100,88,8,4          // pextrw        $0x4,%xmm4,0x8(%r8,%r11,2)
  .byte  102,67,15,214,36,88                 // movq          %xmm4,(%r8,%r11,2)
  .byte  235,154                             // jmp           267fd <_sk_store_565_sse41_8bit+0xa9>
  .byte  144                                 // nop
  .byte  193,255,255                         // sar           $0xff,%edi
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,203                             // dec           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_sse41_8bit
.globl _sk_load_565_dst_sse41_8bit
FUNCTION(_sk_load_565_dst_sse41_8bit)
_sk_load_565_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,216,0,0,0                    // jne           26977 <_sk_load_565_dst_sse41_8bit+0xf7>
  .byte  243,67,15,111,28,88                 // movdqu        (%r8,%r11,2),%xmm3
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,211                    // pmovzxwd      %xmm3,%xmm2
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,111,53,54,102,0,0            // movdqa        0x6636(%rip),%xmm6        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,219,243                      // pand          %xmm3,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,114,215,8                    // psrld         $0x8,%xmm7
  .byte  102,15,111,45,88,102,0,0            // movdqa        0x6658(%rip),%xmm5        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,15,219,235                      // pand          %xmm3,%xmm5
  .byte  102,15,114,245,19                   // pslld         $0x13,%xmm5
  .byte  102,15,114,244,19                   // pslld         $0x13,%xmm4
  .byte  102,15,235,231                      // por           %xmm7,%xmm4
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  102,15,111,53,18,102,0,0            // movdqa        0x6612(%rip),%xmm6        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,114,247,5                    // pslld         $0x5,%xmm7
  .byte  102,68,15,111,5,28,107,0,0          // movdqa        0x6b1c(%rip),%xmm8        # 2d430 <_sk_overlay_sse2_8bit+0x166c>
  .byte  102,65,15,219,216                   // pand          %xmm8,%xmm3
  .byte  102,15,114,211,1                    // psrld         $0x1,%xmm3
  .byte  102,15,235,223                      // por           %xmm7,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  102,15,114,213,5                    // psrld         $0x5,%xmm5
  .byte  102,15,219,242                      // pand          %xmm2,%xmm6
  .byte  102,15,114,246,5                    // pslld         $0x5,%xmm6
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,114,210,1                    // psrld         $0x1,%xmm2
  .byte  102,15,235,214                      // por           %xmm6,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,111,53,205,106,0,0           // movdqa        0x6acd(%rip),%xmm6        # 2d420 <_sk_overlay_sse2_8bit+0x165c>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  102,15,111,53,77,106,0,0            // movdqa        0x6a4d(%rip),%xmm6        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,214                      // por           %xmm6,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,222                      // por           %xmm6,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,22,255,255,255               // ja            268a5 <_sk_load_565_dst_sse41_8bit+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # 269fc <_sk_load_565_dst_sse41_8bit+0x17c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  233,244,254,255,255                 // jmpq          268a5 <_sk_load_565_dst_sse41_8bit+0x25>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,67,15,196,92,88,4,2             // pinsrw        $0x2,0x4(%r8,%r11,2),%xmm3
  .byte  102,67,15,110,20,88                 // movd          (%r8,%r11,2),%xmm2
  .byte  102,15,58,14,218,3                  // pblendw       $0x3,%xmm2,%xmm3
  .byte  233,215,254,255,255                 // jmpq          268a5 <_sk_load_565_dst_sse41_8bit+0x25>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,67,15,196,92,88,12,6            // pinsrw        $0x6,0xc(%r8,%r11,2),%xmm3
  .byte  102,67,15,196,92,88,10,5            // pinsrw        $0x5,0xa(%r8,%r11,2),%xmm3
  .byte  102,67,15,196,92,88,8,4             // pinsrw        $0x4,0x8(%r8,%r11,2),%xmm3
  .byte  243,67,15,126,20,88                 // movq          (%r8,%r11,2),%xmm2
  .byte  102,15,58,14,218,15                 // pblendw       $0xf,%xmm2,%xmm3
  .byte  233,170,254,255,255                 // jmpq          268a5 <_sk_load_565_dst_sse41_8bit+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_sse41_8bit
.globl _sk_load_a8_sse41_8bit
FUNCTION(_sk_load_a8_sse41_8bit)
_sk_load_a8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           26a5a <_sk_load_a8_sse41_8bit+0x42>
  .byte  102,67,15,56,48,12,24               // pmovzxbw      (%r8,%r11,1),%xmm1
  .byte  102,15,219,13,49,98,0,0             // pand          0x6231(%rip),%xmm1        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,114,241,24                   // pslld         $0x18,%xmm1
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,201                             // ja            26a37 <_sk_load_a8_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26af0 <_sk_load_a8_sse41_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  235,170                             // jmp           26a37 <_sk_load_a8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,2                    // pinsrw        $0x2,%eax,%xmm1
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,3                  // pblendw       $0x3,%xmm0,%xmm1
  .byte  235,133                             // jmp           26a37 <_sk_load_a8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,6                    // pinsrw        $0x6,%eax,%xmm1
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,200,5                    // pinsrw        $0x5,%eax,%xmm1
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,200,4                    // pinsrw        $0x4,%eax,%xmm1
  .byte  102,67,15,110,4,24                  // movd          (%r8,%r11,1),%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,15                 // pblendw       $0xf,%xmm0,%xmm1
  .byte  233,74,255,255,255                  // jmpq          26a37 <_sk_load_a8_sse41_8bit+0x1f>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_sse41_8bit
.globl _sk_load_a8_dst_sse41_8bit
FUNCTION(_sk_load_a8_dst_sse41_8bit)
_sk_load_a8_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           26b4e <_sk_load_a8_dst_sse41_8bit+0x42>
  .byte  102,67,15,56,48,28,24               // pmovzxbw      (%r8,%r11,1),%xmm3
  .byte  102,15,219,29,61,97,0,0             // pand          0x613d(%rip),%xmm3        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,211                    // pmovzxwd      %xmm3,%xmm2
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  102,15,114,242,24                   // pslld         $0x18,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,201                             // ja            26b2b <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26be4 <_sk_load_a8_dst_sse41_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  235,170                             // jmp           26b2b <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,2                    // pinsrw        $0x2,%eax,%xmm3
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,3                  // pblendw       $0x3,%xmm2,%xmm3
  .byte  235,133                             // jmp           26b2b <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,6                    // pinsrw        $0x6,%eax,%xmm3
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,216,5                    // pinsrw        $0x5,%eax,%xmm3
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,216,4                    // pinsrw        $0x4,%eax,%xmm3
  .byte  102,67,15,110,20,24                 // movd          (%r8,%r11,1),%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,15                 // pblendw       $0xf,%xmm2,%xmm3
  .byte  233,74,255,255,255                  // jmpq          26b2b <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_sse41_8bit
.globl _sk_store_a8_sse41_8bit
FUNCTION(_sk_store_a8_sse41_8bit)
_sk_store_a8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,45,37,104,0,0            // movdqa        0x6825(%rip),%xmm5        # 2d440 <_sk_overlay_sse2_8bit+0x167c>
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,56,0,245                     // pshufb        %xmm5,%xmm6
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,56,0,229                     // pshufb        %xmm5,%xmm4
  .byte  102,15,108,230                      // punpcklqdq    %xmm6,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,19                              // jne           26c49 <_sk_store_a8_sse41_8bit+0x49>
  .byte  102,15,56,0,37,97,103,0,0           // pshufb        0x6761(%rip),%xmm4        # 2d3a0 <_sk_overlay_sse2_8bit+0x15dc>
  .byte  102,67,15,214,36,24                 // movq          %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            26c45 <_sk_store_a8_sse41_8bit+0x45>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,92,0,0,0                  // lea           0x5c(%rip),%r10        # 26cc0 <_sk_store_a8_sse41_8bit+0xc0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,58,20,36,24,0             // pextrb        $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,206                             // jmp           26c45 <_sk_store_a8_sse41_8bit+0x45>
  .byte  102,67,15,58,20,100,24,2,4          // pextrb        $0x4,%xmm4,0x2(%r8,%r11,1)
  .byte  102,15,56,0,37,247,95,0,0           // pshufb        0x5ff7(%rip),%xmm4        # 2cc80 <_sk_overlay_sse2_8bit+0xebc>
  .byte  102,67,15,58,21,36,24,0             // pextrw        $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,178                             // jmp           26c45 <_sk_store_a8_sse41_8bit+0x45>
  .byte  102,67,15,58,20,100,24,6,12         // pextrb        $0xc,%xmm4,0x6(%r8,%r11,1)
  .byte  102,67,15,58,20,100,24,5,10         // pextrb        $0xa,%xmm4,0x5(%r8,%r11,1)
  .byte  102,67,15,58,20,100,24,4,8          // pextrb        $0x8,%xmm4,0x4(%r8,%r11,1)
  .byte  102,15,56,0,37,217,95,0,0           // pshufb        0x5fd9(%rip),%xmm4        # 2cc90 <_sk_overlay_sse2_8bit+0xecc>
  .byte  102,67,15,126,36,24                 // movd          %xmm4,(%r8,%r11,1)
  .byte  235,134                             // jmp           26c45 <_sk_store_a8_sse41_8bit+0x45>
  .byte  144                                 // nop
  .byte  173                                 // lods          %ds:(%rsi),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,183,255,255,255,238             // pushq         -0x11000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_sse41_8bit
.globl _sk_load_g8_sse41_8bit
FUNCTION(_sk_load_g8_sse41_8bit)
_sk_load_g8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           26d36 <_sk_load_g8_sse41_8bit+0x5a>
  .byte  102,67,15,56,48,12,24               // pmovzxbw      (%r8,%r11,1),%xmm1
  .byte  102,15,219,13,109,95,0,0            // pand          0x5f6d(%rip),%xmm1        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,111,37,56,103,0,0            // movdqa        0x6738(%rip),%xmm4        # 2d450 <_sk_overlay_sse2_8bit+0x168c>
  .byte  102,15,56,64,204                    // pmulld        %xmm4,%xmm1
  .byte  102,15,56,64,196                    // pmulld        %xmm4,%xmm0
  .byte  102,15,111,37,134,102,0,0           // movdqa        0x6686(%rip),%xmm4        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,177                             // ja            26cfb <_sk_load_g8_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26dcc <_sk_load_g8_sse41_8bit+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  235,146                             // jmp           26cfb <_sk_load_g8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,2                    // pinsrw        $0x2,%eax,%xmm1
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,3                  // pblendw       $0x3,%xmm0,%xmm1
  .byte  233,106,255,255,255                 // jmpq          26cfb <_sk_load_g8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,6                    // pinsrw        $0x6,%eax,%xmm1
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,200,5                    // pinsrw        $0x5,%eax,%xmm1
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,200,4                    // pinsrw        $0x4,%eax,%xmm1
  .byte  102,67,15,110,4,24                  // movd          (%r8,%r11,1),%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,15                 // pblendw       $0xf,%xmm0,%xmm1
  .byte  233,47,255,255,255                  // jmpq          26cfb <_sk_load_g8_sse41_8bit+0x1f>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_sse41_8bit
.globl _sk_load_g8_dst_sse41_8bit
FUNCTION(_sk_load_g8_dst_sse41_8bit)
_sk_load_g8_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           26e42 <_sk_load_g8_dst_sse41_8bit+0x5a>
  .byte  102,67,15,56,48,28,24               // pmovzxbw      (%r8,%r11,1),%xmm3
  .byte  102,15,219,29,97,94,0,0             // pand          0x5e61(%rip),%xmm3        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,211                    // pmovzxwd      %xmm3,%xmm2
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,111,37,44,102,0,0            // movdqa        0x662c(%rip),%xmm4        # 2d450 <_sk_overlay_sse2_8bit+0x168c>
  .byte  102,15,56,64,220                    // pmulld        %xmm4,%xmm3
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,15,111,37,122,101,0,0           // movdqa        0x657a(%rip),%xmm4        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,177                             // ja            26e07 <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26ed8 <_sk_load_g8_dst_sse41_8bit+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  235,146                             // jmp           26e07 <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,2                    // pinsrw        $0x2,%eax,%xmm3
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,3                  // pblendw       $0x3,%xmm2,%xmm3
  .byte  233,106,255,255,255                 // jmpq          26e07 <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,6                    // pinsrw        $0x6,%eax,%xmm3
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,216,5                    // pinsrw        $0x5,%eax,%xmm3
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,216,4                    // pinsrw        $0x4,%eax,%xmm3
  .byte  102,67,15,110,20,24                 // movd          (%r8,%r11,1),%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,15                 // pblendw       $0xf,%xmm2,%xmm3
  .byte  233,47,255,255,255                  // jmpq          26e07 <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_sse41_8bit
.globl _sk_srcover_rgba_8888_sse41_8bit
FUNCTION(_sk_srcover_rgba_8888_sse41_8bit)
_sk_srcover_rgba_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,206,0,0,0                    // jne           26fe2 <_sk_srcover_rgba_8888_sse41_8bit+0xee>
  .byte  243,71,15,111,68,152,16             // movdqu        0x10(%r8,%r11,4),%xmm8
  .byte  243,71,15,111,12,152                // movdqu        (%r8,%r11,4),%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,37,148,100,0,0           // movdqa        0x6494(%rip),%xmm4        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,56,0,244                     // pshufb        %xmm4,%xmm6
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,56,0,252                     // pshufb        %xmm4,%xmm7
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,69,15,111,224                   // movdqa        %xmm8,%xmm12
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,56,48,233                 // pmovzxbw      %xmm9,%xmm13
  .byte  102,69,15,56,48,240                 // pmovzxbw      %xmm8,%xmm14
  .byte  102,15,56,48,231                    // pmovzxbw      %xmm7,%xmm4
  .byte  102,15,56,48,238                    // pmovzxbw      %xmm6,%xmm5
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,65,15,213,244                   // pmullw        %xmm12,%xmm6
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,244                   // paddw         %xmm12,%xmm6
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  102,68,15,248,197                   // psubb         %xmm5,%xmm8
  .byte  102,68,15,248,204                   // psubb         %xmm4,%xmm9
  .byte  102,68,15,252,200                   // paddb         %xmm0,%xmm9
  .byte  102,68,15,252,193                   // paddb         %xmm1,%xmm8
  .byte  117,78                              // jne           2701f <_sk_srcover_rgba_8888_sse41_8bit+0x12b>
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  243,71,15,127,68,152,16             // movdqu        %xmm8,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,33,255,255,255               // ja            26f21 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,189,0,0,0                 // lea           0xbd(%rip),%r10        # 270c8 <_sk_srcover_rgba_8888_sse41_8bit+0x1d4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  233,2,255,255,255                   // jmpq          26f21 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,175                             // ja            26fde <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,170,0,0,0                 // lea           0xaa(%rip),%r9        # 270e4 <_sk_srcover_rgba_8888_sse41_8bit+0x1f0>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,126,12,152                // movd          %xmm9,(%r8,%r11,4)
  .byte  235,147                             // jmp           26fde <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,67,15,110,100,152,8             // movd          0x8(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,68,15,58,14,204,15              // pblendw       $0xf,%xmm4,%xmm9
  .byte  233,183,254,255,255                 // jmpq          26f21 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  102,67,15,110,100,152,24            // movd          0x18(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  102,71,15,58,34,68,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm8
  .byte  102,71,15,58,34,68,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm8
  .byte  233,141,254,255,255                 // jmpq          26f1b <_sk_srcover_rgba_8888_sse41_8bit+0x27>
  .byte  102,71,15,58,22,76,152,8,2          // pextrd        $0x2,%xmm9,0x8(%r8,%r11,4)
  .byte  102,71,15,214,12,152                // movq          %xmm9,(%r8,%r11,4)
  .byte  233,60,255,255,255                  // jmpq          26fde <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,71,15,58,22,68,152,24,2         // pextrd        $0x2,%xmm8,0x18(%r8,%r11,4)
  .byte  102,71,15,58,22,68,152,20,1         // pextrd        $0x1,%xmm8,0x14(%r8,%r11,4)
  .byte  102,71,15,126,68,152,16             // movd          %xmm8,0x10(%r8,%r11,4)
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  233,24,255,255,255                  // jmpq          26fde <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  76,255                              // rex.WR        (bad)
  .byte  255                                 // (bad)
  .byte  255,144,255,255,255,131             // callq         *-0x7c000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,83,254                          // callq         *-0x2(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,175                 // mov           $0xafffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,162,255,255,255,95              // jmpq          *0x5fffffff(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,170             // pushq         -0x55000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190                                 // .byte         0xbe
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_sse41_8bit
.globl _sk_scale_1_float_sse41_8bit
FUNCTION(_sk_scale_1_float_sse41_8bit)
_sk_scale_1_float_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,89,5,226,89,0,0              // mulss         0x59e2(%rip),%xmm0        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,44,192                       // cvttss2si     %xmm0,%eax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,68,15,56,48,197                 // pmovzxbw      %xmm5,%xmm8
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,68,15,56,48,204                 // pmovzxbw      %xmm4,%xmm9
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  102,15,56,0,53,34,99,0,0            // pshufb        0x6322(%rip),%xmm6        # 2d460 <_sk_overlay_sse2_8bit+0x169c>
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,213,245                      // pmullw        %xmm5,%xmm6
  .byte  102,15,253,245                      // paddw         %xmm5,%xmm6
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse41_8bit
.globl _sk_scale_u8_sse41_8bit
FUNCTION(_sk_scale_u8_sse41_8bit)
_sk_scale_u8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,160,0,0,0                    // jne           2724a <_sk_scale_u8_sse41_8bit+0xbc>
  .byte  102,67,15,56,48,52,24               // pmovzxbw      (%r8,%r11,1),%xmm6
  .byte  102,15,219,53,183,90,0,0            // pand          0x5ab7(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,56,0,61,165,98,0,0           // pshufb        0x62a5(%rip),%xmm7        # 2d470 <_sk_overlay_sse2_8bit+0x16ac>
  .byte  102,15,56,0,53,172,98,0,0           // pshufb        0x62ac(%rip),%xmm6        # 2d480 <_sk_overlay_sse2_8bit+0x16bc>
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,56,48,230                    // pmovzxbw      %xmm6,%xmm4
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,56,48,239                    // pmovzxbw      %xmm7,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,79,255,255,255               // ja            271b1 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 272e8 <_sk_scale_u8_sse41_8bit+0x15a>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,45,255,255,255                  // jmpq          271b1 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,196,240,2                    // pinsrw        $0x2,%eax,%xmm6
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,56,48,228                    // pmovzxbw      %xmm4,%xmm4
  .byte  102,15,58,14,244,3                  // pblendw       $0x3,%xmm4,%xmm6
  .byte  233,5,255,255,255                   // jmpq          271b1 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,196,240,6                    // pinsrw        $0x6,%eax,%xmm6
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,240,5                    // pinsrw        $0x5,%eax,%xmm6
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,240,4                    // pinsrw        $0x4,%eax,%xmm6
  .byte  102,67,15,110,36,24                 // movd          (%r8,%r11,1),%xmm4
  .byte  102,15,56,48,228                    // pmovzxbw      %xmm4,%xmm4
  .byte  102,15,58,14,244,15                 // pblendw       $0xf,%xmm4,%xmm6
  .byte  233,202,254,255,255                 // jmpq          271b1 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  144                                 // nop
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0272f8 <_sk_overlay_sse2_8bit+0xffffffffdeffb534>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_sse41_8bit
.globl _sk_lerp_1_float_sse41_8bit
FUNCTION(_sk_lerp_1_float_sse41_8bit)
_sk_lerp_1_float_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,32                        // movss         (%rax),%xmm4
  .byte  243,15,89,37,230,87,0,0             // mulss         0x57e6(%rip),%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,44,196                       // cvttss2si     %xmm4,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,252,0                    // pshuflw       $0x0,%xmm4,%xmm7
  .byte  102,68,15,112,199,80                // pshufd        $0x50,%xmm7,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,68,15,56,48,208                 // pmovzxbw      %xmm0,%xmm10
  .byte  102,65,15,104,193                   // punpckhbw     %xmm9,%xmm0
  .byte  102,68,15,56,48,217                 // pmovzxbw      %xmm1,%xmm11
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,56,0,61,67,97,0,0            // pshufb        0x6143(%rip),%xmm7        # 2d490 <_sk_overlay_sse2_8bit+0x16cc>
  .byte  102,68,15,111,231                   // movdqa        %xmm7,%xmm12
  .byte  102,69,15,213,227                   // pmullw        %xmm11,%xmm12
  .byte  102,68,15,111,239                   // movdqa        %xmm7,%xmm13
  .byte  102,69,15,213,234                   // pmullw        %xmm10,%xmm13
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,69,15,253,234                   // paddw         %xmm10,%xmm13
  .byte  102,69,15,253,227                   // paddw         %xmm11,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,68,15,103,239                   // packuswb      %xmm7,%xmm13
  .byte  102,68,15,103,230                   // packuswb      %xmm6,%xmm12
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,213,236                      // pmullw        %xmm4,%xmm5
  .byte  102,15,213,254                      // pmullw        %xmm6,%xmm7
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,254                      // paddw         %xmm6,%xmm7
  .byte  102,15,253,236                      // paddw         %xmm4,%xmm5
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  102,65,15,252,197                   // paddb         %xmm13,%xmm0
  .byte  102,65,15,252,204                   // paddb         %xmm12,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse41_8bit
.globl _sk_lerp_u8_sse41_8bit
FUNCTION(_sk_lerp_u8_sse41_8bit)
_sk_lerp_u8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,46,1,0,0                     // jne           27570 <_sk_lerp_u8_sse41_8bit+0x14a>
  .byte  102,67,15,56,48,60,24               // pmovzxbw      (%r8,%r11,1),%xmm7
  .byte  102,15,219,61,31,88,0,0             // pand          0x581f(%rip),%xmm7        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,13,96,0,0            // pshufb        0x600d(%rip),%xmm6        # 2d470 <_sk_overlay_sse2_8bit+0x16ac>
  .byte  102,15,56,0,61,20,96,0,0            // pshufb        0x6014(%rip),%xmm7        # 2d480 <_sk_overlay_sse2_8bit+0x16bc>
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,231                 // pmovzxbw      %xmm7,%xmm12
  .byte  102,68,15,56,48,222                 // pmovzxbw      %xmm6,%xmm11
  .byte  102,15,213,233                      // pmullw        %xmm1,%xmm5
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,69,15,213,218                   // pmullw        %xmm10,%xmm11
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,69,15,253,218                   // paddw         %xmm10,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,68,15,103,228                   // packuswb      %xmm4,%xmm12
  .byte  102,68,15,103,221                   // packuswb      %xmm5,%xmm11
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,65,15,252,196                   // paddb         %xmm12,%xmm0
  .byte  102,65,15,252,203                   // paddb         %xmm11,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,193,254,255,255              // ja            27449 <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,125,0,0,0                 // lea           0x7d(%rip),%r10        # 27610 <_sk_lerp_u8_sse41_8bit+0x1ea>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,159,254,255,255                 // jmpq          27449 <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,196,248,2                    // pinsrw        $0x2,%eax,%xmm7
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,48,237                    // pmovzxbw      %xmm5,%xmm5
  .byte  102,15,58,14,253,3                  // pblendw       $0x3,%xmm5,%xmm7
  .byte  233,119,254,255,255                 // jmpq          27449 <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,196,248,6                    // pinsrw        $0x6,%eax,%xmm7
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,248,5                    // pinsrw        $0x5,%eax,%xmm7
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,248,4                    // pinsrw        $0x4,%eax,%xmm7
  .byte  102,67,15,110,44,24                 // movd          (%r8,%r11,1),%xmm5
  .byte  102,15,56,48,237                    // pmovzxbw      %xmm5,%xmm5
  .byte  102,15,58,14,253,15                 // pblendw       $0xf,%xmm5,%xmm7
  .byte  233,60,254,255,255                  // jmpq          27449 <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  140,255                             // mov           %?,%edi
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_sse41_8bit
.globl _sk_move_src_dst_sse41_8bit
FUNCTION(_sk_move_src_dst_sse41_8bit)
_sk_move_src_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse41_8bit
.globl _sk_move_dst_src_sse41_8bit
FUNCTION(_sk_move_dst_src_sse41_8bit)
_sk_move_dst_src_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse41_8bit
.globl _sk_black_color_sse41_8bit
FUNCTION(_sk_black_color_sse41_8bit)
_sk_black_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,103,93,0,0                  // movaps        0x5d67(%rip),%xmm0        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse41_8bit
.globl _sk_white_color_sse41_8bit
FUNCTION(_sk_white_color_sse41_8bit)
_sk_white_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse41_8bit
.globl _sk_clear_sse41_8bit
FUNCTION(_sk_clear_sse41_8bit)
_sk_clear_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse41_8bit
.globl _sk_srcatop_sse41_8bit
FUNCTION(_sk_srcatop_sse41_8bit)
_sk_srcatop_sse41_8bit:
  .byte  102,68,15,111,21,83,93,0,0          // movdqa        0x5d53(%rip),%xmm10        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,195                 // pmovzxbw      %xmm3,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,56,0,234                  // pshufb        %xmm10,%xmm5
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,56,0,226                  // pshufb        %xmm10,%xmm4
  .byte  102,69,15,239,237                   // pxor          %xmm13,%xmm13
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,104,253                   // punpckhbw     %xmm13,%xmm7
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,104,245                   // punpckhbw     %xmm13,%xmm14
  .byte  102,15,56,48,244                    // pmovzxbw      %xmm4,%xmm6
  .byte  102,65,15,104,229                   // punpckhbw     %xmm13,%xmm4
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,15,253,231                      // paddw         %xmm7,%xmm4
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,237                   // punpckhbw     %xmm13,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,68,15,56,48,240                 // pmovzxbw      %xmm0,%xmm14
  .byte  102,65,15,213,246                   // pmullw        %xmm14,%xmm6
  .byte  102,65,15,253,246                   // paddw         %xmm14,%xmm6
  .byte  102,68,15,56,48,241                 // pmovzxbw      %xmm1,%xmm14
  .byte  102,65,15,213,254                   // pmullw        %xmm14,%xmm7
  .byte  102,65,15,253,254                   // paddw         %xmm14,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,65,15,56,0,194                  // pshufb        %xmm10,%xmm0
  .byte  102,65,15,56,0,202                  // pshufb        %xmm10,%xmm1
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,69,15,104,229                   // punpckhbw     %xmm13,%xmm12
  .byte  102,69,15,104,221                   // punpckhbw     %xmm13,%xmm11
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,197                   // punpckhbw     %xmm13,%xmm0
  .byte  102,65,15,104,205                   // punpckhbw     %xmm13,%xmm1
  .byte  102,65,15,213,203                   // pmullw        %xmm11,%xmm1
  .byte  102,65,15,213,196                   // pmullw        %xmm12,%xmm0
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,196                   // paddw         %xmm12,%xmm0
  .byte  102,65,15,253,203                   // paddw         %xmm11,%xmm1
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  102,15,252,230                      // paddb         %xmm6,%xmm4
  .byte  102,15,252,239                      // paddb         %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse41_8bit
.globl _sk_dstatop_sse41_8bit
FUNCTION(_sk_dstatop_sse41_8bit)
_sk_dstatop_sse41_8bit:
  .byte  102,68,15,111,29,24,92,0,0          // movdqa        0x5c18(%rip),%xmm11        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,69,15,56,0,235                  // pshufb        %xmm11,%xmm13
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,69,15,56,0,251                  // pshufb        %xmm11,%xmm15
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,226                 // pmovzxbw      %xmm2,%xmm12
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,243                 // pmovzxbw      %xmm3,%xmm14
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,69,15,56,48,215                 // pmovzxbw      %xmm15,%xmm10
  .byte  102,69,15,104,248                   // punpckhbw     %xmm8,%xmm15
  .byte  102,68,15,213,253                   // pmullw        %xmm5,%xmm15
  .byte  102,68,15,253,253                   // paddw         %xmm5,%xmm15
  .byte  102,69,15,56,48,205                 // pmovzxbw      %xmm13,%xmm9
  .byte  102,69,15,104,232                   // punpckhbw     %xmm8,%xmm13
  .byte  102,68,15,213,236                   // pmullw        %xmm4,%xmm13
  .byte  102,68,15,253,236                   // paddw         %xmm4,%xmm13
  .byte  102,69,15,213,206                   // pmullw        %xmm14,%xmm9
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,69,15,253,206                   // paddw         %xmm14,%xmm9
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,103,215                   // packuswb      %xmm15,%xmm10
  .byte  102,69,15,103,205                   // packuswb      %xmm13,%xmm9
  .byte  102,65,15,56,0,243                  // pshufb        %xmm11,%xmm6
  .byte  102,65,15,56,0,251                  // pshufb        %xmm11,%xmm7
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,239,244                      // pxor          %xmm4,%xmm6
  .byte  102,68,15,56,48,216                 // pmovzxbw      %xmm0,%xmm11
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,225                 // pmovzxbw      %xmm1,%xmm12
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,56,48,230                    // pmovzxbw      %xmm6,%xmm4
  .byte  102,15,56,48,239                    // pmovzxbw      %xmm7,%xmm5
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  102,65,15,252,226                   // paddb         %xmm10,%xmm4
  .byte  102,65,15,252,233                   // paddb         %xmm9,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse41_8bit
.globl _sk_srcin_sse41_8bit
FUNCTION(_sk_srcin_sse41_8bit)
_sk_srcin_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,207,90,0,0             // movdqa        0x5acf(%rip),%xmm0        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse41_8bit
.globl _sk_dstin_sse41_8bit
FUNCTION(_sk_dstin_sse41_8bit)
_sk_dstin_sse41_8bit:
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,62,90,0,0              // movdqa        0x5a3e(%rip),%xmm0        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,56,0,200                     // pshufb        %xmm0,%xmm1
  .byte  102,15,56,0,232                     // pshufb        %xmm0,%xmm5
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,56,48,197                    // pmovzxbw      %xmm5,%xmm0
  .byte  102,15,56,48,225                    // pmovzxbw      %xmm1,%xmm4
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,104,202                   // punpckhbw     %xmm10,%xmm1
  .byte  102,15,213,206                      // pmullw        %xmm6,%xmm1
  .byte  102,15,213,239                      // pmullw        %xmm7,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,239                      // paddw         %xmm7,%xmm5
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,225                      // packuswb      %xmm1,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse41_8bit
.globl _sk_srcout_sse41_8bit
FUNCTION(_sk_srcout_sse41_8bit)
_sk_srcout_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,165,89,0,0             // movdqa        0x59a5(%rip),%xmm0        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse41_8bit
.globl _sk_dstout_sse41_8bit
FUNCTION(_sk_dstout_sse41_8bit)
_sk_dstout_sse41_8bit:
  .byte  102,15,111,37,12,89,0,0             // movdqa        0x590c(%rip),%xmm4        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,194                   // punpckhbw     %xmm10,%xmm0
  .byte  102,65,15,104,202                   // punpckhbw     %xmm10,%xmm1
  .byte  102,15,213,206                      // pmullw        %xmm6,%xmm1
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse41_8bit
.globl _sk_srcover_sse41_8bit
FUNCTION(_sk_srcover_sse41_8bit)
_sk_srcover_sse41_8bit:
  .byte  102,15,111,53,107,88,0,0            // movdqa        0x586b(%rip),%xmm6        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,68,15,56,0,222                  // pshufb        %xmm6,%xmm11
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,56,0,238                     // pshufb        %xmm6,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,56,48,229                    // pmovzxbw      %xmm5,%xmm4
  .byte  102,65,15,56,48,243                 // pmovzxbw      %xmm11,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,68,15,213,223                   // pmullw        %xmm7,%xmm11
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,68,15,253,223                   // paddw         %xmm7,%xmm11
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  102,65,15,103,243                   // packuswb      %xmm11,%xmm6
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse41_8bit
.globl _sk_dstover_sse41_8bit
FUNCTION(_sk_dstover_sse41_8bit)
_sk_dstover_sse41_8bit:
  .byte  102,68,15,111,5,187,87,0,0          // movdqa        0x57bb(%rip),%xmm8        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,68,15,56,48,201                 // pmovzxbw      %xmm1,%xmm9
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,56,0,248                  // pshufb        %xmm8,%xmm7
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,56,48,216                 // pmovzxbw      %xmm0,%xmm11
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,15,56,48,231                    // pmovzxbw      %xmm7,%xmm4
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,213,250                   // pmullw        %xmm10,%xmm7
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,243                   // pmullw        %xmm11,%xmm6
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,65,15,253,250                   // paddw         %xmm10,%xmm7
  .byte  102,65,15,253,243                   // paddw         %xmm11,%xmm6
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse41_8bit
.globl _sk_modulate_sse41_8bit
FUNCTION(_sk_modulate_sse41_8bit)
_sk_modulate_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,197                 // pmovzxbw      %xmm5,%xmm8
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,68,15,56,48,204                 // pmovzxbw      %xmm4,%xmm9
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,56,48,194                    // pmovzxbw      %xmm2,%xmm0
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,56,48,203                    // pmovzxbw      %xmm3,%xmm1
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse41_8bit
.globl _sk_multiply_sse41_8bit
FUNCTION(_sk_multiply_sse41_8bit)
_sk_multiply_sse41_8bit:
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,53,121,86,0,0         // movdqa        0x5679(%rip),%xmm14        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,56,0,238                  // pshufb        %xmm14,%xmm5
  .byte  102,65,15,111,250                   // movdqa        %xmm10,%xmm7
  .byte  102,65,15,56,0,254                  // pshufb        %xmm14,%xmm7
  .byte  102,69,15,118,255                   // pcmpeqd       %xmm15,%xmm15
  .byte  102,65,15,239,255                   // pxor          %xmm15,%xmm7
  .byte  102,65,15,239,239                   // pxor          %xmm15,%xmm5
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,68,15,104,236                   // punpckhbw     %xmm4,%xmm13
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,104,228                   // punpckhbw     %xmm4,%xmm12
  .byte  102,68,15,56,48,217                 // pmovzxbw      %xmm1,%xmm11
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  102,65,15,213,237                   // pmullw        %xmm13,%xmm5
  .byte  102,65,15,213,243                   // pmullw        %xmm11,%xmm6
  .byte  102,65,15,253,237                   // paddw         %xmm13,%xmm5
  .byte  102,65,15,253,243                   // paddw         %xmm11,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,104,252                      // punpckhbw     %xmm4,%xmm7
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,65,15,111,234                   // movdqa        %xmm10,%xmm5
  .byte  102,65,15,56,0,206                  // pshufb        %xmm14,%xmm1
  .byte  102,65,15,56,0,214                  // pshufb        %xmm14,%xmm2
  .byte  102,65,15,239,215                   // pxor          %xmm15,%xmm2
  .byte  102,65,15,239,207                   // pxor          %xmm15,%xmm1
  .byte  102,68,15,104,196                   // punpckhbw     %xmm4,%xmm8
  .byte  102,68,15,104,212                   // punpckhbw     %xmm4,%xmm10
  .byte  102,15,56,48,249                    // pmovzxbw      %xmm1,%xmm7
  .byte  102,68,15,56,48,242                 // pmovzxbw      %xmm2,%xmm14
  .byte  102,15,104,204                      // punpckhbw     %xmm4,%xmm1
  .byte  102,15,104,212                      // punpckhbw     %xmm4,%xmm2
  .byte  102,68,15,111,251                   // movdqa        %xmm3,%xmm15
  .byte  102,65,15,56,48,231                 // pmovzxbw      %xmm15,%xmm4
  .byte  102,65,15,213,200                   // pmullw        %xmm8,%xmm1
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,65,15,253,200                   // paddw         %xmm8,%xmm1
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,249                      // packuswb      %xmm1,%xmm7
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,56,48,235                    // pmovzxbw      %xmm3,%xmm5
  .byte  102,65,15,213,210                   // pmullw        %xmm10,%xmm2
  .byte  102,68,15,213,245                   // pmullw        %xmm5,%xmm14
  .byte  102,65,15,253,210                   // paddw         %xmm10,%xmm2
  .byte  102,68,15,253,245                   // paddw         %xmm5,%xmm14
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,68,15,103,242                   // packuswb      %xmm2,%xmm14
  .byte  102,68,15,252,240                   // paddb         %xmm0,%xmm14
  .byte  102,15,252,254                      // paddb         %xmm6,%xmm7
  .byte  102,69,15,213,197                   // pmullw        %xmm13,%xmm8
  .byte  102,69,15,253,197                   // paddw         %xmm13,%xmm8
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,224                   // packuswb      %xmm8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,103,234                   // packuswb      %xmm10,%xmm5
  .byte  102,15,252,231                      // paddb         %xmm7,%xmm4
  .byte  102,65,15,252,238                   // paddb         %xmm14,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,215                   // movdqa        %xmm15,%xmm2
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse41_8bit
.globl _sk_screen_sse41_8bit
FUNCTION(_sk_screen_sse41_8bit)
_sk_screen_sse41_8bit:
  .byte  102,69,15,118,228                   // pcmpeqd       %xmm12,%xmm12
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,68,15,239,224                   // pxor          %xmm0,%xmm12
  .byte  102,69,15,56,48,204                 // pmovzxbw      %xmm12,%xmm9
  .byte  102,69,15,56,48,195                 // pmovzxbw      %xmm11,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,15,56,48,242                    // pmovzxbw      %xmm2,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,56,48,235                    // pmovzxbw      %xmm3,%xmm5
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,247                      // packuswb      %xmm7,%xmm6
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,205                      // paddb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse41_8bit
.globl _sk_xor__sse41_8bit
FUNCTION(_sk_xor__sse41_8bit)
_sk_xor__sse41_8bit:
  .byte  102,68,15,111,21,55,84,0,0          // movdqa        0x5437(%rip),%xmm10        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,234                  // pshufb        %xmm10,%xmm5
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,56,0,226                  // pshufb        %xmm10,%xmm4
  .byte  102,69,15,118,219                   // pcmpeqd       %xmm11,%xmm11
  .byte  102,65,15,239,227                   // pxor          %xmm11,%xmm4
  .byte  102,65,15,239,235                   // pxor          %xmm11,%xmm5
  .byte  102,69,15,239,246                   // pxor          %xmm14,%xmm14
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,104,254                   // punpckhbw     %xmm14,%xmm7
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,69,15,104,254                   // punpckhbw     %xmm14,%xmm15
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,65,15,104,238                   // punpckhbw     %xmm14,%xmm5
  .byte  102,15,213,239                      // pmullw        %xmm7,%xmm5
  .byte  102,15,253,239                      // paddw         %xmm7,%xmm5
  .byte  102,15,56,48,252                    // pmovzxbw      %xmm4,%xmm7
  .byte  102,65,15,104,230                   // punpckhbw     %xmm14,%xmm4
  .byte  102,65,15,213,231                   // pmullw        %xmm15,%xmm4
  .byte  102,65,15,253,231                   // paddw         %xmm15,%xmm4
  .byte  102,68,15,56,48,248                 // pmovzxbw      %xmm0,%xmm15
  .byte  102,65,15,213,247                   // pmullw        %xmm15,%xmm6
  .byte  102,65,15,253,247                   // paddw         %xmm15,%xmm6
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,65,15,56,0,194                  // pshufb        %xmm10,%xmm0
  .byte  102,65,15,56,0,202                  // pshufb        %xmm10,%xmm1
  .byte  102,65,15,239,203                   // pxor          %xmm11,%xmm1
  .byte  102,65,15,239,195                   // pxor          %xmm11,%xmm0
  .byte  102,69,15,104,230                   // punpckhbw     %xmm14,%xmm12
  .byte  102,69,15,104,238                   // punpckhbw     %xmm14,%xmm13
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,198                   // punpckhbw     %xmm14,%xmm0
  .byte  102,65,15,104,206                   // punpckhbw     %xmm14,%xmm1
  .byte  102,65,15,213,205                   // pmullw        %xmm13,%xmm1
  .byte  102,65,15,213,196                   // pmullw        %xmm12,%xmm0
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,253,196                   // paddw         %xmm12,%xmm0
  .byte  102,65,15,253,205                   // paddw         %xmm13,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  102,15,252,230                      // paddb         %xmm6,%xmm4
  .byte  102,15,252,239                      // paddb         %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse41_8bit
.globl _sk_plus__sse41_8bit
FUNCTION(_sk_plus__sse41_8bit)
_sk_plus__sse41_8bit:
  .byte  102,15,220,194                      // paddusb       %xmm2,%xmm0
  .byte  102,15,220,203                      // paddusb       %xmm3,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse41_8bit
.globl _sk_darken_sse41_8bit
FUNCTION(_sk_darken_sse41_8bit)
_sk_darken_sse41_8bit:
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,68,15,111,5,222,82,0,0          // movdqa        0x52de(%rip),%xmm8        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,56,0,240                  // pshufb        %xmm8,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,65,15,104,196                   // punpckhbw     %xmm12,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,56,48,198                    // pmovzxbw      %xmm6,%xmm0
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,68,15,252,242                   // paddb         %xmm2,%xmm14
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,65,15,253,199                   // paddw         %xmm15,%xmm0
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,69,15,56,0,248                  // pshufb        %xmm8,%xmm15
  .byte  102,65,15,56,0,224                  // pshufb        %xmm8,%xmm4
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,236                    // pmovzxbw      %xmm4,%xmm5
  .byte  102,65,15,56,48,247                 // pmovzxbw      %xmm15,%xmm6
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,104,252                   // punpckhbw     %xmm12,%xmm15
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,65,15,103,247                   // packuswb      %xmm15,%xmm6
  .byte  102,15,222,253                      // pmaxub        %xmm5,%xmm7
  .byte  102,15,222,198                      // pmaxub        %xmm6,%xmm0
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,248,192                   // psubb         %xmm0,%xmm8
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,248,231                      // psubb         %xmm7,%xmm4
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,68,15,248,245                   // psubb         %xmm5,%xmm14
  .byte  15,40,5,114,82,0,0                  // movaps        0x5272(%rip),%xmm0        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,68,15,56,16,244                 // pblendvb      %xmm0,%xmm4,%xmm14
  .byte  102,65,15,56,16,200                 // pblendvb      %xmm0,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse41_8bit
.globl _sk_lighten_sse41_8bit
FUNCTION(_sk_lighten_sse41_8bit)
_sk_lighten_sse41_8bit:
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,68,15,111,5,111,81,0,0          // movdqa        0x516f(%rip),%xmm8        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,56,0,240                  // pshufb        %xmm8,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,65,15,104,196                   // punpckhbw     %xmm12,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,56,48,198                    // pmovzxbw      %xmm6,%xmm0
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,68,15,252,242                   // paddb         %xmm2,%xmm14
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,65,15,253,199                   // paddw         %xmm15,%xmm0
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,69,15,56,0,248                  // pshufb        %xmm8,%xmm15
  .byte  102,65,15,56,0,224                  // pshufb        %xmm8,%xmm4
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,236                    // pmovzxbw      %xmm4,%xmm5
  .byte  102,65,15,56,48,247                 // pmovzxbw      %xmm15,%xmm6
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,104,252                   // punpckhbw     %xmm12,%xmm15
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,65,15,103,247                   // packuswb      %xmm15,%xmm6
  .byte  102,15,218,253                      // pminub        %xmm5,%xmm7
  .byte  102,15,218,198                      // pminub        %xmm6,%xmm0
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,248,192                   // psubb         %xmm0,%xmm8
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,248,231                      // psubb         %xmm7,%xmm4
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,68,15,248,245                   // psubb         %xmm5,%xmm14
  .byte  15,40,5,3,81,0,0                    // movaps        0x5103(%rip),%xmm0        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,68,15,56,16,244                 // pblendvb      %xmm0,%xmm4,%xmm14
  .byte  102,65,15,56,16,200                 // pblendvb      %xmm0,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse41_8bit
.globl _sk_exclusion_sse41_8bit
FUNCTION(_sk_exclusion_sse41_8bit)
_sk_exclusion_sse41_8bit:
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,15,56,48,250                    // pmovzxbw      %xmm2,%xmm7
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,15,56,48,227                    // pmovzxbw      %xmm3,%xmm4
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,213,244                   // pmullw        %xmm12,%xmm6
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,253,244                   // paddw         %xmm12,%xmm6
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,111,45,89,80,0,0             // movdqa        0x5059(%rip),%xmm5        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  102,15,248,199                      // psubb         %xmm7,%xmm0
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse41_8bit
.globl _sk_difference_sse41_8bit
FUNCTION(_sk_difference_sse41_8bit)
_sk_difference_sse41_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,15,111,13,80,79,0,0             // movdqa        0x4f50(%rip),%xmm1        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,56,0,225                     // pshufb        %xmm1,%xmm4
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,65,15,104,204                   // punpckhbw     %xmm12,%xmm1
  .byte  102,68,15,56,48,248                 // pmovzxbw      %xmm0,%xmm15
  .byte  102,68,15,56,48,244                 // pmovzxbw      %xmm4,%xmm14
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,253,229                      // paddw         %xmm5,%xmm4
  .byte  102,15,56,48,254                    // pmovzxbw      %xmm6,%xmm7
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,69,15,213,247                   // pmullw        %xmm15,%xmm14
  .byte  102,69,15,253,247                   // paddw         %xmm15,%xmm14
  .byte  102,65,15,56,48,200                 // pmovzxbw      %xmm8,%xmm1
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,68,15,252,195                   // paddb         %xmm3,%xmm8
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,68,15,103,244                   // packuswb      %xmm4,%xmm14
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,254                      // packuswb      %xmm6,%xmm7
  .byte  102,15,111,37,149,78,0,0            // movdqa        0x4e95(%rip),%xmm4        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  102,15,56,0,236                     // pshufb        %xmm4,%xmm5
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,229                    // pmovzxbw      %xmm5,%xmm4
  .byte  102,15,56,48,241                    // pmovzxbw      %xmm1,%xmm6
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,65,15,104,204                   // punpckhbw     %xmm12,%xmm1
  .byte  102,65,15,213,203                   // pmullw        %xmm11,%xmm1
  .byte  102,65,15,213,237                   // pmullw        %xmm13,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,253,237                   // paddw         %xmm13,%xmm5
  .byte  102,65,15,253,203                   // paddw         %xmm11,%xmm1
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  102,15,103,241                      // packuswb      %xmm1,%xmm6
  .byte  102,65,15,218,230                   // pminub        %xmm14,%xmm4
  .byte  102,15,218,247                      // pminub        %xmm7,%xmm6
  .byte  102,15,111,13,248,78,0,0            // movdqa        0x4ef8(%rip),%xmm1        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  102,15,219,241                      // pand          %xmm1,%xmm6
  .byte  102,15,219,204                      // pand          %xmm4,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,193                      // psubb         %xmm1,%xmm0
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse41_8bit
.globl _sk_hardlight_sse41_8bit
FUNCTION(_sk_hardlight_sse41_8bit)
_sk_hardlight_sse41_8bit:
  .byte  72,129,236,152,0,0,0                // sub           $0x98,%rsp
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,65,15,111,253                   // movdqa        %xmm13,%xmm7
  .byte  102,15,104,248                      // punpckhbw     %xmm0,%xmm7
  .byte  102,65,15,56,48,206                 // pmovzxbw      %xmm14,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,69,15,56,48,221                 // pmovzxbw      %xmm13,%xmm11
  .byte  102,68,15,127,92,36,48              // movdqa        %xmm11,0x30(%rsp)
  .byte  102,15,111,13,168,77,0,0            // movdqa        0x4da8(%rip),%xmm1        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,56,0,241                  // pshufb        %xmm1,%xmm14
  .byte  102,68,15,56,0,233                  // pshufb        %xmm1,%xmm13
  .byte  102,69,15,56,48,197                 // pmovzxbw      %xmm13,%xmm8
  .byte  102,68,15,104,232                   // punpckhbw     %xmm0,%xmm13
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,68,15,104,240                   // punpckhbw     %xmm0,%xmm14
  .byte  102,15,127,84,36,208                // movdqa        %xmm2,-0x30(%rsp)
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,68,15,127,84,36,224             // movdqa        %xmm10,-0x20(%rsp)
  .byte  102,65,15,111,210                   // movdqa        %xmm10,%xmm2
  .byte  102,68,15,104,208                   // punpckhbw     %xmm0,%xmm10
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,15,56,0,209                     // pshufb        %xmm1,%xmm2
  .byte  102,15,56,48,202                    // pmovzxbw      %xmm2,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,104,208                      // punpckhbw     %xmm0,%xmm2
  .byte  102,15,127,84,36,192                // movdqa        %xmm2,-0x40(%rsp)
  .byte  102,15,56,48,214                    // pmovzxbw      %xmm6,%xmm2
  .byte  102,15,127,84,36,176                // movdqa        %xmm2,-0x50(%rsp)
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,56,58,213                 // pminuw        %xmm13,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,84,36,112                // movdqa        %xmm2,0x70(%rsp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,56,58,214                 // pminuw        %xmm14,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,84,36,80                 // movdqa        %xmm2,0x50(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,111,216                   // movdqa        %xmm8,%xmm3
  .byte  102,15,127,92,36,240                // movdqa        %xmm3,-0x10(%rsp)
  .byte  102,15,56,58,211                    // pminuw        %xmm3,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,148,36,128,0,0,0         // movdqa        %xmm2,0x80(%rsp)
  .byte  102,15,111,68,36,128                // movdqa        -0x80(%rsp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,56,58,247                 // pminuw        %xmm15,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,64                // movdqa        %xmm6,0x40(%rsp)
  .byte  102,15,111,53,88,69,0,0             // movdqa        0x4558(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,127,68,36,96                 // movdqa        %xmm0,0x60(%rsp)
  .byte  102,69,15,111,222                   // movdqa        %xmm14,%xmm11
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,68,15,249,205                   // psubw         %xmm5,%xmm9
  .byte  102,68,15,127,12,36                 // movdqa        %xmm9,(%rsp)
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,68,15,213,204                   // pmullw        %xmm4,%xmm9
  .byte  102,65,15,213,198                   // pmullw        %xmm14,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,68,15,249,244                   // psubw         %xmm4,%xmm14
  .byte  102,15,111,108,36,176               // movdqa        -0x50(%rsp),%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,239,214                      // pxor          %xmm6,%xmm2
  .byte  102,15,111,100,36,192               // movdqa        -0x40(%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,65,15,111,199                   // movdqa        %xmm15,%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,68,15,239,198                   // pxor          %xmm6,%xmm8
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,239,254                      // pxor          %xmm6,%xmm7
  .byte  102,65,15,239,245                   // pxor          %xmm13,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,68,15,111,252                   // movdqa        %xmm4,%xmm15
  .byte  102,65,15,249,226                   // psubw         %xmm10,%xmm4
  .byte  102,15,127,100,36,192               // movdqa        %xmm4,-0x40(%rsp)
  .byte  102,65,15,111,226                   // movdqa        %xmm10,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,69,15,213,253                   // pmullw        %xmm13,%xmm15
  .byte  102,68,15,249,233                   // psubw         %xmm1,%xmm13
  .byte  102,15,111,92,36,128                // movdqa        -0x80(%rsp),%xmm3
  .byte  102,15,111,76,36,160                // movdqa        -0x60(%rsp),%xmm1
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,127,76,36,160                // movdqa        %xmm1,-0x60(%rsp)
  .byte  102,15,56,48,76,36,208              // pmovzxbw      -0x30(%rsp),%xmm1
  .byte  102,68,15,213,193                   // pmullw        %xmm1,%xmm8
  .byte  102,68,15,111,229                   // movdqa        %xmm5,%xmm12
  .byte  102,15,249,233                      // psubw         %xmm1,%xmm5
  .byte  102,15,127,108,36,176               // movdqa        %xmm5,-0x50(%rsp)
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,68,15,213,224                   // pmullw        %xmm0,%xmm12
  .byte  102,65,15,249,194                   // psubw         %xmm10,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,92,36,48                 // movdqa        0x30(%rsp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,127,84,36,128                // movdqa        %xmm2,-0x80(%rsp)
  .byte  102,15,56,48,84,36,224              // pmovzxbw      -0x20(%rsp),%xmm2
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,111,68,36,144                // movdqa        -0x70(%rsp),%xmm0
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,111,68,36,240                // movdqa        -0x10(%rsp),%xmm0
  .byte  102,68,15,213,208                   // pmullw        %xmm0,%xmm10
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,68,15,213,108,36,192            // pmullw        -0x40(%rsp),%xmm13
  .byte  102,68,15,213,52,36                 // pmullw        (%rsp),%xmm14
  .byte  102,15,213,68,36,144                // pmullw        -0x70(%rsp),%xmm0
  .byte  102,15,213,76,36,176                // pmullw        -0x50(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,208                   // psubw         %xmm0,%xmm10
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,68,15,249,225                   // psubw         %xmm1,%xmm12
  .byte  102,69,15,253,237                   // paddw         %xmm13,%xmm13
  .byte  102,69,15,249,253                   // psubw         %xmm13,%xmm15
  .byte  102,69,15,253,246                   // paddw         %xmm14,%xmm14
  .byte  102,15,111,76,36,16                 // movdqa        0x10(%rsp),%xmm1
  .byte  102,65,15,249,206                   // psubw         %xmm14,%xmm1
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,193                   // por           %xmm9,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,199                   // pandn         %xmm15,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,65,15,223,196                   // pandn         %xmm12,%xmm0
  .byte  102,15,235,197                      // por           %xmm5,%xmm0
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,15,219,208                      // pand          %xmm0,%xmm2
  .byte  102,65,15,223,194                   // pandn         %xmm10,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,68,15,253,92,36,96              // paddw         0x60(%rsp),%xmm11
  .byte  102,15,253,116,36,32                // paddw         0x20(%rsp),%xmm6
  .byte  102,68,15,253,68,36,160             // paddw         -0x60(%rsp),%xmm8
  .byte  102,15,253,124,36,128               // paddw         -0x80(%rsp),%xmm7
  .byte  102,15,111,5,104,75,0,0             // movdqa        0x4b68(%rip),%xmm0        # 2d4b0 <_sk_overlay_sse2_8bit+0x16ec>
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,68,15,253,219                   // paddw         %xmm3,%xmm11
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,68,15,253,196                   // paddw         %xmm4,%xmm8
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,253,250                      // paddw         %xmm2,%xmm7
  .byte  102,15,111,5,76,75,0,0              // movdqa        0x4b4c(%rip),%xmm0        # 2d4c0 <_sk_overlay_sse2_8bit+0x16fc>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,15,228,248                      // pmulhuw       %xmm0,%xmm7
  .byte  102,68,15,228,192                   // pmulhuw       %xmm0,%xmm8
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,208,7                 // psrlw         $0x7,%xmm8
  .byte  102,69,15,103,195                   // packuswb      %xmm11,%xmm8
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,215,7                    // psrlw         $0x7,%xmm7
  .byte  102,15,103,254                      // packuswb      %xmm6,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,84,36,208                     // movaps        -0x30(%rsp),%xmm2
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  72,129,196,152,0,0,0                // add           $0x98,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse41_8bit
.globl _sk_overlay_sse41_8bit
FUNCTION(_sk_overlay_sse41_8bit)
_sk_overlay_sse41_8bit:
  .byte  72,129,236,200,0,0,0                // sub           $0xc8,%rsp
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,65,15,111,231                   // movdqa        %xmm15,%xmm4
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,69,15,111,230                   // movdqa        %xmm14,%xmm12
  .byte  102,68,15,104,224                   // punpckhbw     %xmm0,%xmm12
  .byte  102,65,15,56,48,207                 // pmovzxbw      %xmm15,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,65,15,56,48,206                 // pmovzxbw      %xmm14,%xmm1
  .byte  102,15,127,140,36,144,0,0,0         // movdqa        %xmm1,0x90(%rsp)
  .byte  102,15,111,13,178,73,0,0            // movdqa        0x49b2(%rip),%xmm1        # 2d3c0 <_sk_overlay_sse2_8bit+0x15fc>
  .byte  102,68,15,56,0,249                  // pshufb        %xmm1,%xmm15
  .byte  102,68,15,56,0,241                  // pshufb        %xmm1,%xmm14
  .byte  102,65,15,56,48,238                 // pmovzxbw      %xmm14,%xmm5
  .byte  102,15,127,108,36,160               // movdqa        %xmm5,-0x60(%rsp)
  .byte  102,68,15,104,240                   // punpckhbw     %xmm0,%xmm14
  .byte  102,65,15,56,48,239                 // pmovzxbw      %xmm15,%xmm5
  .byte  102,15,127,172,36,128,0,0,0         // movdqa        %xmm5,0x80(%rsp)
  .byte  102,68,15,104,248                   // punpckhbw     %xmm0,%xmm15
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,68,15,127,156,36,160,0,0,0      // movdqa        %xmm11,0xa0(%rsp)
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,127,156,36,176,0,0,0         // movdqa        %xmm3,0xb0(%rsp)
  .byte  102,15,104,208                      // punpckhbw     %xmm0,%xmm2
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,15,56,0,249                     // pshufb        %xmm1,%xmm7
  .byte  102,15,56,48,207                    // pmovzxbw      %xmm7,%xmm1
  .byte  102,15,104,248                      // punpckhbw     %xmm0,%xmm7
  .byte  102,68,15,56,48,238                 // pmovzxbw      %xmm6,%xmm13
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,56,58,247                    // pminuw        %xmm7,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,80                // movdqa        %xmm6,0x50(%rsp)
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,56,58,241                 // pminuw        %xmm9,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,64                // movdqa        %xmm6,0x40(%rsp)
  .byte  102,15,56,48,195                    // pmovzxbw      %xmm3,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,56,58,217                    // pminuw        %xmm1,%xmm3
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,117,216                      // pcmpeqw       %xmm0,%xmm3
  .byte  102,15,127,92,36,96                 // movdqa        %xmm3,0x60(%rsp)
  .byte  102,65,15,56,48,195                 // pmovzxbw      %xmm11,%xmm0
  .byte  102,15,127,68,36,224                // movdqa        %xmm0,-0x20(%rsp)
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,65,15,56,58,221                 // pminuw        %xmm13,%xmm3
  .byte  102,15,117,216                      // pcmpeqw       %xmm0,%xmm3
  .byte  102,15,127,92,36,48                 // movdqa        %xmm3,0x30(%rsp)
  .byte  102,15,111,53,84,65,0,0             // movdqa        0x4154(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,127,68,36,112                // movdqa        %xmm0,0x70(%rsp)
  .byte  102,69,15,111,223                   // movdqa        %xmm15,%xmm11
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,68,15,249,205                   // psubw         %xmm5,%xmm9
  .byte  102,68,15,127,76,36,208             // movdqa        %xmm9,-0x30(%rsp)
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,68,15,213,204                   // pmullw        %xmm4,%xmm9
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,68,15,249,252                   // psubw         %xmm4,%xmm15
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,65,15,111,252                   // movdqa        %xmm12,%xmm7
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,68,15,239,198                   // pxor          %xmm6,%xmm8
  .byte  102,15,111,108,36,160               // movdqa        -0x60(%rsp),%xmm5
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,65,15,239,246                   // pxor          %xmm14,%xmm6
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,127,76,36,192                // movdqa        %xmm1,-0x40(%rsp)
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,69,15,213,230                   // pmullw        %xmm14,%xmm12
  .byte  102,68,15,249,247                   // psubw         %xmm7,%xmm14
  .byte  102,15,111,76,36,128                // movdqa        -0x80(%rsp),%xmm1
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,15,127,28,36                    // movdqa        %xmm3,(%rsp)
  .byte  102,15,111,84,36,224                // movdqa        -0x20(%rsp),%xmm2
  .byte  102,68,15,213,194                   // pmullw        %xmm2,%xmm8
  .byte  102,65,15,111,221                   // movdqa        %xmm13,%xmm3
  .byte  102,15,249,218                      // psubw         %xmm2,%xmm3
  .byte  102,15,127,92,36,176                // movdqa        %xmm3,-0x50(%rsp)
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,68,15,213,232                   // pmullw        %xmm0,%xmm13
  .byte  102,15,249,193                      // psubw         %xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,148,36,144,0,0,0         // movdqa        0x90(%rsp),%xmm2
  .byte  102,68,15,213,210                   // pmullw        %xmm2,%xmm10
  .byte  102,68,15,127,84,36,128             // movdqa        %xmm10,-0x80(%rsp)
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,111,124,36,144               // movdqa        -0x70(%rsp),%xmm7
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,15,249,248                      // psubw         %xmm0,%xmm7
  .byte  102,15,127,124,36,144               // movdqa        %xmm7,-0x70(%rsp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,111,68,36,160                // movdqa        -0x60(%rsp),%xmm0
  .byte  102,68,15,213,208                   // pmullw        %xmm0,%xmm10
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,68,15,213,116,36,192            // pmullw        -0x40(%rsp),%xmm14
  .byte  102,68,15,213,124,36,208            // pmullw        -0x30(%rsp),%xmm15
  .byte  102,15,213,68,36,144                // pmullw        -0x70(%rsp),%xmm0
  .byte  102,15,213,76,36,176                // pmullw        -0x50(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,208                   // psubw         %xmm0,%xmm10
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,68,15,249,233                   // psubw         %xmm1,%xmm13
  .byte  102,69,15,253,246                   // paddw         %xmm14,%xmm14
  .byte  102,69,15,249,230                   // psubw         %xmm14,%xmm12
  .byte  102,69,15,253,255                   // paddw         %xmm15,%xmm15
  .byte  102,15,111,76,36,240                // movdqa        -0x10(%rsp),%xmm1
  .byte  102,65,15,249,207                   // psubw         %xmm15,%xmm1
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,193                   // por           %xmm9,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,196                   // pandn         %xmm12,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,253,219                      // paddw         %xmm3,%xmm3
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,15,111,68,36,96                 // movdqa        0x60(%rsp),%xmm0
  .byte  102,15,219,248                      // pand          %xmm0,%xmm7
  .byte  102,65,15,223,194                   // pandn         %xmm10,%xmm0
  .byte  102,15,235,199                      // por           %xmm7,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,68,15,253,92,36,112             // paddw         0x70(%rsp),%xmm11
  .byte  102,15,253,116,36,32                // paddw         0x20(%rsp),%xmm6
  .byte  102,68,15,253,4,36                  // paddw         (%rsp),%xmm8
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,111,5,112,71,0,0             // movdqa        0x4770(%rip),%xmm0        # 2d4b0 <_sk_overlay_sse2_8bit+0x16ec>
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,68,15,253,195                   // paddw         %xmm3,%xmm8
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,111,5,84,71,0,0              // movdqa        0x4754(%rip),%xmm0        # 2d4c0 <_sk_overlay_sse2_8bit+0x16fc>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,192                   // pmulhuw       %xmm0,%xmm8
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,208,7                 // psrlw         $0x7,%xmm8
  .byte  102,69,15,103,195                   // packuswb      %xmm11,%xmm8
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm2
  .byte  15,40,156,36,176,0,0,0              // movaps        0xb0(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  72,129,196,200,0,0,0                // add           $0xc8,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop
  .byte  144                                 // nop
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_sse2_8bit
.globl _sk_start_pipeline_sse2_8bit
FUNCTION(_sk_start_pipeline_sse2_8bit)
_sk_start_pipeline_sse2_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           28e46 <_sk_start_pipeline_sse2_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            28e2c <_sk_start_pipeline_sse2_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           28e0d <_sk_start_pipeline_sse2_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            28e3d <_sk_start_pipeline_sse2_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           28dff <_sk_start_pipeline_sse2_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse2_8bit
.globl _sk_just_return_sse2_8bit
FUNCTION(_sk_just_return_sse2_8bit)
_sk_just_return_sse2_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_sse2_8bit
.globl _sk_uniform_color_sse2_8bit
FUNCTION(_sk_uniform_color_sse2_8bit)
_sk_uniform_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,110,64,16                    // movd          0x10(%rax),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse2_8bit
.globl _sk_set_rgb_sse2_8bit
FUNCTION(_sk_set_rgb_sse2_8bit)
_sk_set_rgb_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,37,132,60,0,0             // movss         0x3c84(%rip),%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,16,40                        // movss         (%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,197                    // cvttss2si     %xmm5,%r8
  .byte  243,15,16,104,4                     // movss         0x4(%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,205                    // cvttss2si     %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  243,15,89,96,8                      // mulss         0x8(%rax),%xmm4
  .byte  243,72,15,44,196                    // cvttss2si     %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  102,15,111,45,249,68,0,0            // movdqa        0x44f9(%rip),%xmm5        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,219,205                      // pand          %xmm5,%xmm1
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse2_8bit
.globl _sk_premul_sse2_8bit
FUNCTION(_sk_premul_sse2_8bit)
_sk_premul_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,65,15,112,192,231               // pshuflw       $0xe7,%xmm8,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,111,5,157,68,0,0             // movdqa        0x449d(%rip),%xmm0        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,248                      // por           %xmm0,%xmm7
  .byte  102,15,235,240                      // por           %xmm0,%xmm6
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,240                   // paddw         %xmm8,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse2_8bit
.globl _sk_swap_rb_sse2_8bit
FUNCTION(_sk_swap_rb_sse2_8bit)
_sk_swap_rb_sse2_8bit:
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse2_8bit
.globl _sk_invert_sse2_8bit
FUNCTION(_sk_invert_sse2_8bit)
_sk_invert_sse2_8bit:
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_sse2_8bit
.globl _sk_load_8888_sse2_8bit
FUNCTION(_sk_load_8888_sse2_8bit)
_sk_load_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,16                              // jne           2902e <_sk_load_8888_sse2_8bit+0x2c>
  .byte  67,15,16,76,152,16                  // movups        0x10(%r8,%r11,4),%xmm1
  .byte  102,67,15,16,4,152                  // movupd        (%r8,%r11,4),%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            2902a <_sk_load_8888_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 290a4 <_sk_load_8888_sse2_8bit+0xa2>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           2902a <_sk_load_8888_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,67,15,18,4,152                  // movlpd        (%r8,%r11,4),%xmm0
  .byte  235,180                             // jmp           2902a <_sk_load_8888_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,67,15,16,68,152,20              // movss         0x14(%r8,%r11,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,67,15,16,68,152,16              // movss         0x10(%r8,%r11,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  235,131                             // jmp           29024 <_sk_load_8888_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,128                 // mov           $0x80ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_sse2_8bit
.globl _sk_load_8888_dst_sse2_8bit
FUNCTION(_sk_load_8888_dst_sse2_8bit)
_sk_load_8888_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,16                              // jne           290ec <_sk_load_8888_dst_sse2_8bit+0x2c>
  .byte  67,15,16,92,152,16                  // movups        0x10(%r8,%r11,4),%xmm3
  .byte  102,67,15,16,20,152                 // movupd        (%r8,%r11,4),%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            290e8 <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,81,0,0,0                  // lea           0x51(%rip),%r10        # 29160 <_sk_load_8888_dst_sse2_8bit+0xa0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           290e8 <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,67,15,18,20,152                 // movlpd        (%r8,%r11,4),%xmm2
  .byte  235,180                             // jmp           290e8 <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,67,15,16,84,152,20              // movss         0x14(%r8,%r11,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,67,15,16,84,152,16              // movss         0x10(%r8,%r11,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  235,131                             // jmp           290e2 <_sk_load_8888_dst_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  184,255,255,255,204                 // mov           $0xccffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,130,255,255,255,242             // incl          -0xd000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_sse2_8bit
.globl _sk_store_8888_sse2_8bit
FUNCTION(_sk_store_8888_sse2_8bit)
_sk_store_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           291a9 <_sk_store_8888_sse2_8bit+0x2d>
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  243,67,15,127,76,152,16             // movdqu        %xmm1,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            291a5 <_sk_store_8888_sse2_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 29210 <_sk_store_8888_sse2_8bit+0x94>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,4,152                 // movd          %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           291a5 <_sk_store_8888_sse2_8bit+0x29>
  .byte  102,15,112,224,78                   // pshufd        $0x4e,%xmm0,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,4,152                 // movq          %xmm0,(%r8,%r11,4)
  .byte  235,188                             // jmp           291a5 <_sk_store_8888_sse2_8bit+0x29>
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,67,15,126,100,152,24            // movd          %xmm4,0x18(%r8,%r11,4)
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,67,15,126,100,152,20            // movd          %xmm4,0x14(%r8,%r11,4)
  .byte  102,67,15,126,76,152,16             // movd          %xmm1,0x10(%r8,%r11,4)
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  235,149                             // jmp           291a5 <_sk_store_8888_sse2_8bit+0x29>
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  248                                 // clc
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,241                             // push          %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  217,255                             // fcos
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_sse2_8bit
.globl _sk_load_bgra_sse2_8bit
FUNCTION(_sk_load_bgra_sse2_8bit)
_sk_load_bgra_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,92                              // jne           292a4 <_sk_load_bgra_sse2_8bit+0x78>
  .byte  67,15,16,76,152,16                  // movups        0x10(%r8,%r11,4),%xmm1
  .byte  102,67,15,16,4,152                  // movupd        (%r8,%r11,4),%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,232                       // movapd        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,152                             // ja            29254 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,89,0,0,0                  // lea           0x59(%rip),%r10        # 29320 <_sk_load_bgra_sse2_8bit+0xf4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  233,121,255,255,255                 // jmpq          29254 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,67,15,18,4,152                  // movlpd        (%r8,%r11,4),%xmm0
  .byte  233,98,255,255,255                  // jmpq          29254 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,67,15,16,68,152,20              // movss         0x14(%r8,%r11,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,67,15,16,68,152,16              // movss         0x10(%r8,%r11,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  233,46,255,255,255                  // jmpq          2924e <_sk_load_bgra_sse2_8bit+0x22>
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,46                  // mov           $0x2effffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_sse2_8bit
.globl _sk_load_bgra_dst_sse2_8bit
FUNCTION(_sk_load_bgra_dst_sse2_8bit)
_sk_load_bgra_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,92                              // jne           293b4 <_sk_load_bgra_dst_sse2_8bit+0x78>
  .byte  67,15,16,92,152,16                  // movups        0x10(%r8,%r11,4),%xmm3
  .byte  102,67,15,16,20,152                 // movupd        (%r8,%r11,4),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,234                       // movapd        %xmm2,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  242,15,112,210,198                  // pshuflw       $0xc6,%xmm2,%xmm2
  .byte  243,15,112,210,198                  // pshufhw       $0xc6,%xmm2,%xmm2
  .byte  102,15,103,213                      // packuswb      %xmm5,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  242,15,112,219,198                  // pshuflw       $0xc6,%xmm3,%xmm3
  .byte  243,15,112,219,198                  // pshufhw       $0xc6,%xmm3,%xmm3
  .byte  102,15,103,221                      // packuswb      %xmm5,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,152                             // ja            29364 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,89,0,0,0                  // lea           0x59(%rip),%r10        # 29430 <_sk_load_bgra_dst_sse2_8bit+0xf4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  233,121,255,255,255                 // jmpq          29364 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,67,15,18,20,152                 // movlpd        (%r8,%r11,4),%xmm2
  .byte  233,98,255,255,255                  // jmpq          29364 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,67,15,16,84,152,20              // movss         0x14(%r8,%r11,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,67,15,16,84,152,16              // movss         0x10(%r8,%r11,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  233,46,255,255,255                  // jmpq          2935e <_sk_load_bgra_dst_sse2_8bit+0x22>
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,46                  // mov           $0x2effffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_sse2_8bit
.globl _sk_store_bgra_sse2_8bit
FUNCTION(_sk_store_bgra_sse2_8bit)
_sk_store_bgra_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,104,229                      // punpckhbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,244,198                  // pshufhw       $0xc6,%xmm4,%xmm6
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,228,198                  // pshufhw       $0xc6,%xmm4,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,104,245                      // punpckhbw     %xmm5,%xmm6
  .byte  242,15,112,246,198                  // pshuflw       $0xc6,%xmm6,%xmm6
  .byte  243,15,112,246,198                  // pshufhw       $0xc6,%xmm6,%xmm6
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  242,15,112,239,198                  // pshuflw       $0xc6,%xmm7,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           294cd <_sk_store_bgra_sse2_8bit+0x81>
  .byte  243,67,15,127,44,152                // movdqu        %xmm5,(%r8,%r11,4)
  .byte  243,67,15,127,100,152,16            // movdqu        %xmm4,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            294c9 <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 29534 <_sk_store_bgra_sse2_8bit+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,44,152                // movd          %xmm5,(%r8,%r11,4)
  .byte  235,208                             // jmp           294c9 <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  102,15,112,229,78                   // pshufd        $0x4e,%xmm5,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,44,152                // movq          %xmm5,(%r8,%r11,4)
  .byte  235,188                             // jmp           294c9 <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,67,15,126,116,152,24            // movd          %xmm6,0x18(%r8,%r11,4)
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,67,15,126,116,152,20            // movd          %xmm6,0x14(%r8,%r11,4)
  .byte  102,67,15,126,100,152,16            // movd          %xmm4,0x10(%r8,%r11,4)
  .byte  243,67,15,127,44,152                // movdqu        %xmm5,(%r8,%r11,4)
  .byte  235,149                             // jmp           294c9 <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  248                                 // clc
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,241                             // push          %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  217,255                             // fcos
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_565_sse2_8bit
.globl _sk_store_565_sse2_8bit
FUNCTION(_sk_store_565_sse2_8bit)
_sk_store_565_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,68,15,111,13,113,62,0,0         // movdqa        0x3e71(%rip),%xmm9        # 2d3e0 <_sk_overlay_sse2_8bit+0x161c>
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,65,15,114,241,8                 // pslld         $0x8,%xmm9
  .byte  102,65,15,114,240,8                 // pslld         $0x8,%xmm8
  .byte  102,15,111,37,94,62,0,0             // movdqa        0x3e5e(%rip),%xmm4        # 2d3f0 <_sk_overlay_sse2_8bit+0x162c>
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,114,213,5                    // psrld         $0x5,%xmm5
  .byte  102,15,111,61,80,62,0,0             // movdqa        0x3e50(%rip),%xmm7        # 2d400 <_sk_overlay_sse2_8bit+0x163c>
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  102,15,219,249                      // pand          %xmm1,%xmm7
  .byte  102,15,114,215,19                   // psrld         $0x13,%xmm7
  .byte  102,15,114,214,19                   // psrld         $0x13,%xmm6
  .byte  102,65,15,235,232                   // por           %xmm8,%xmm5
  .byte  102,65,15,235,225                   // por           %xmm9,%xmm4
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,229                      // packssdw      %xmm5,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           295ff <_sk_store_565_sse2_8bit+0xaf>
  .byte  243,67,15,127,36,88                 // movdqu        %xmm4,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            295fb <_sk_store_565_sse2_8bit+0xab>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,82,0,0,0                  // lea           0x52(%rip),%r10        # 2966c <_sk_store_565_sse2_8bit+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,67,137,4,88                     // mov           %ax,(%r8,%r11,2)
  .byte  235,205                             // jmp           295fb <_sk_store_565_sse2_8bit+0xab>
  .byte  102,15,197,196,2                    // pextrw        $0x2,%xmm4,%eax
  .byte  102,67,137,68,88,4                  // mov           %ax,0x4(%r8,%r11,2)
  .byte  102,67,15,126,36,88                 // movd          %xmm4,(%r8,%r11,2)
  .byte  235,186                             // jmp           295fb <_sk_store_565_sse2_8bit+0xab>
  .byte  102,15,197,196,6                    // pextrw        $0x6,%xmm4,%eax
  .byte  102,67,137,68,88,12                 // mov           %ax,0xc(%r8,%r11,2)
  .byte  102,15,197,196,5                    // pextrw        $0x5,%xmm4,%eax
  .byte  102,67,137,68,88,10                 // mov           %ax,0xa(%r8,%r11,2)
  .byte  102,15,197,196,4                    // pextrw        $0x4,%xmm4,%eax
  .byte  102,67,137,68,88,8                  // mov           %ax,0x8(%r8,%r11,2)
  .byte  102,67,15,214,36,88                 // movq          %xmm4,(%r8,%r11,2)
  .byte  235,145                             // jmp           295fb <_sk_store_565_sse2_8bit+0xab>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  183,255                             // mov           $0xff,%bh
  .byte  255                                 // (bad)
  .byte  255,205                             // dec           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,246                             // push          %rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           2967d <_sk_store_565_sse2_8bit+0x12d>
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_sse2_8bit
.globl _sk_load_565_dst_sse2_8bit
FUNCTION(_sk_load_565_dst_sse2_8bit)
_sk_load_565_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,219,0,0,0                    // jne           29782 <_sk_load_565_dst_sse2_8bit+0xfa>
  .byte  243,67,15,111,20,88                 // movdqu        (%r8,%r11,2),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  102,15,111,53,43,56,0,0             // movdqa        0x382b(%rip),%xmm6        # 2cef0 <_sk_overlay_sse2_8bit+0x112c>
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,219,243                      // pand          %xmm3,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,114,215,8                    // psrld         $0x8,%xmm7
  .byte  102,15,111,45,77,56,0,0             // movdqa        0x384d(%rip),%xmm5        # 2cf30 <_sk_overlay_sse2_8bit+0x116c>
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,15,219,235                      // pand          %xmm3,%xmm5
  .byte  102,15,114,245,19                   // pslld         $0x13,%xmm5
  .byte  102,15,114,244,19                   // pslld         $0x13,%xmm4
  .byte  102,15,235,231                      // por           %xmm7,%xmm4
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  102,15,111,53,7,56,0,0              // movdqa        0x3807(%rip),%xmm6        # 2cf10 <_sk_overlay_sse2_8bit+0x114c>
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,114,247,5                    // pslld         $0x5,%xmm7
  .byte  102,68,15,111,5,17,61,0,0           // movdqa        0x3d11(%rip),%xmm8        # 2d430 <_sk_overlay_sse2_8bit+0x166c>
  .byte  102,65,15,219,216                   // pand          %xmm8,%xmm3
  .byte  102,15,114,211,1                    // psrld         $0x1,%xmm3
  .byte  102,15,235,223                      // por           %xmm7,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  102,15,114,213,5                    // psrld         $0x5,%xmm5
  .byte  102,15,219,242                      // pand          %xmm2,%xmm6
  .byte  102,15,114,246,5                    // pslld         $0x5,%xmm6
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,114,210,1                    // psrld         $0x1,%xmm2
  .byte  102,15,235,214                      // por           %xmm6,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,111,53,194,60,0,0            // movdqa        0x3cc2(%rip),%xmm6        # 2d420 <_sk_overlay_sse2_8bit+0x165c>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  102,15,111,53,66,60,0,0             // movdqa        0x3c42(%rip),%xmm6        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,214                      // por           %xmm6,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,222                      // por           %xmm6,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,19,255,255,255               // ja            296ad <_sk_load_565_dst_sse2_8bit+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,91,0,0,0                  // lea           0x5b(%rip),%r10        # 29800 <_sk_load_565_dst_sse2_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,241,254,255,255                 // jmpq          296ad <_sk_load_565_dst_sse2_8bit+0x25>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,67,15,196,84,88,4,2             // pinsrw        $0x2,0x4(%r8,%r11,2),%xmm2
  .byte  243,67,15,16,28,88                  // movss         (%r8,%r11,2),%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  233,214,254,255,255                 // jmpq          296ad <_sk_load_565_dst_sse2_8bit+0x25>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,67,15,196,84,88,12,6            // pinsrw        $0x6,0xc(%r8,%r11,2),%xmm2
  .byte  102,67,15,196,84,88,10,5            // pinsrw        $0x5,0xa(%r8,%r11,2),%xmm2
  .byte  102,67,15,196,84,88,8,4             // pinsrw        $0x4,0x8(%r8,%r11,2),%xmm2
  .byte  102,67,15,18,20,88                  // movlpd        (%r8,%r11,2),%xmm2
  .byte  233,175,254,255,255                 // jmpq          296ad <_sk_load_565_dst_sse2_8bit+0x25>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,200                             // dec           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  188,255,255,255,243                 // mov           $0xf3ffffff,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           29811 <_sk_load_565_dst_sse2_8bit+0x189>
  .byte  255                                 // (bad)
  .byte  255,227                             // jmpq          *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_sse2_8bit
.globl _sk_load_a8_sse2_8bit
FUNCTION(_sk_load_a8_sse2_8bit)
_sk_load_a8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,48                              // jne           29864 <_sk_load_a8_sse2_8bit+0x48>
  .byte  243,67,15,126,4,24                  // movq          (%r8,%r11,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,5,42,52,0,0              // pand          0x342a(%rip),%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,114,241,24                   // pslld         $0x18,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,198                             // ja            2983e <_sk_load_a8_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,113,0,0,0                 // lea           0x71(%rip),%r10        # 298f4 <_sk_load_a8_sse2_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,167                             // jmp           2983e <_sk_load_a8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,2                    // pinsrw        $0x2,%eax,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  235,133                             // jmp           2983e <_sk_load_a8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,6                    // pinsrw        $0x6,%eax,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,192,5                    // pinsrw        $0x5,%eax,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,192,4                    // pinsrw        $0x4,%eax,%xmm0
  .byte  102,67,15,110,12,24                 // movd          (%r8,%r11,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,77,255,255,255                  // jmpq          2983e <_sk_load_a8_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  152                                 // cwtl
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,163             // pushq         -0x5c000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_sse2_8bit
.globl _sk_load_a8_dst_sse2_8bit
FUNCTION(_sk_load_a8_dst_sse2_8bit)
_sk_load_a8_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,48                              // jne           29958 <_sk_load_a8_dst_sse2_8bit+0x48>
  .byte  243,67,15,126,20,24                 // movq          (%r8,%r11,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,21,54,51,0,0             // pand          0x3336(%rip),%xmm2        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  102,15,114,242,24                   // pslld         $0x18,%xmm2
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,198                             // ja            29932 <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,113,0,0,0                 // lea           0x71(%rip),%r10        # 299e8 <_sk_load_a8_dst_sse2_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  235,167                             // jmp           29932 <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,2                    // pinsrw        $0x2,%eax,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  235,133                             // jmp           29932 <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,6                    // pinsrw        $0x6,%eax,%xmm2
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,208,5                    // pinsrw        $0x5,%eax,%xmm2
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,208,4                    // pinsrw        $0x4,%eax,%xmm2
  .byte  102,67,15,110,28,24                 // movd          (%r8,%r11,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,77,255,255,255                  // jmpq          29932 <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  152                                 // cwtl
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,163             // pushq         -0x5c000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_sse2_8bit
.globl _sk_store_a8_sse2_8bit
FUNCTION(_sk_store_a8_sse2_8bit)
_sk_store_a8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,114,213,24                   // psrld         $0x18,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,229                      // packssdw      %xmm5,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,22                              // jne           29a5c <_sk_store_a8_sse2_8bit+0x58>
  .byte  102,15,219,37,34,50,0,0             // pand          0x3222(%rip),%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,67,15,214,36,24                 // movq          %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            29a58 <_sk_store_a8_sse2_8bit+0x54>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,133,0,0,0                 // lea           0x85(%rip),%r10        # 29afc <_sk_store_a8_sse2_8bit+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,15,127,100,36,232               // movdqa        %xmm4,-0x18(%rsp)
  .byte  138,68,36,232                       // mov           -0x18(%rsp),%al
  .byte  67,136,4,24                         // mov           %al,(%r8,%r11,1)
  .byte  235,200                             // jmp           29a58 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,15,127,100,36,216               // movdqa        %xmm4,-0x28(%rsp)
  .byte  138,68,36,220                       // mov           -0x24(%rsp),%al
  .byte  67,136,68,24,2                      // mov           %al,0x2(%r8,%r11,1)
  .byte  102,15,219,37,201,49,0,0            // pand          0x31c9(%rip),%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,67,137,4,24                     // mov           %ax,(%r8,%r11,1)
  .byte  235,162                             // jmp           29a58 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,15,127,100,36,200               // movdqa        %xmm4,-0x38(%rsp)
  .byte  138,68,36,212                       // mov           -0x2c(%rsp),%al
  .byte  67,136,68,24,6                      // mov           %al,0x6(%r8,%r11,1)
  .byte  102,15,127,100,36,184               // movdqa        %xmm4,-0x48(%rsp)
  .byte  138,68,36,194                       // mov           -0x3e(%rsp),%al
  .byte  67,136,68,24,5                      // mov           %al,0x5(%r8,%r11,1)
  .byte  102,15,127,100,36,168               // movdqa        %xmm4,-0x58(%rsp)
  .byte  138,68,36,176                       // mov           -0x50(%rsp),%al
  .byte  67,136,68,24,4                      // mov           %al,0x4(%r8,%r11,1)
  .byte  102,15,219,37,133,49,0,0            // pand          0x3185(%rip),%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,67,15,126,36,24                 // movd          %xmm4,(%r8,%r11,1)
  .byte  233,94,255,255,255                  // jmpq          29a58 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  132,255                             // test          %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,163,255,255,255,148             // jmpq          *-0x6b000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  186                                 // .byte         0xba
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_sse2_8bit
.globl _sk_load_g8_sse2_8bit
FUNCTION(_sk_load_g8_sse2_8bit)
_sk_load_g8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,116                             // jne           29ba4 <_sk_load_g8_sse2_8bit+0x8c>
  .byte  243,67,15,126,4,24                  // movq          (%r8,%r11,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,5,46,49,0,0              // pand          0x312e(%rip),%xmm0        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,97,225                       // punpcklwd     %xmm1,%xmm4
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,45,246,56,0,0            // movdqa        0x38f6(%rip),%xmm5        # 2d450 <_sk_overlay_sse2_8bit+0x168c>
  .byte  102,15,112,240,245                  // pshufd        $0xf5,%xmm0,%xmm6
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,200,232                  // pshufd        $0xe8,%xmm0,%xmm1
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,98,200                       // punpckldq     %xmm0,%xmm1
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,196,232                  // pshufd        $0xe8,%xmm4,%xmm0
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,196                       // punpckldq     %xmm4,%xmm0
  .byte  102,15,111,37,24,56,0,0             // movdqa        0x3818(%rip),%xmm4        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,130                             // ja            29b3a <_sk_load_g8_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 29c38 <_sk_load_g8_sse2_8bit+0x120>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  233,96,255,255,255                  // jmpq          29b3a <_sk_load_g8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,2                    // pinsrw        $0x2,%eax,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  233,59,255,255,255                  // jmpq          29b3a <_sk_load_g8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,6                    // pinsrw        $0x6,%eax,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,192,5                    // pinsrw        $0x5,%eax,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,192,4                    // pinsrw        $0x4,%eax,%xmm0
  .byte  102,67,15,110,12,24                 // movd          (%r8,%r11,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,3,255,255,255                   // jmpq          29b3a <_sk_load_g8_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_sse2_8bit
.globl _sk_load_g8_dst_sse2_8bit
FUNCTION(_sk_load_g8_dst_sse2_8bit)
_sk_load_g8_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,116                             // jne           29ce0 <_sk_load_g8_dst_sse2_8bit+0x8c>
  .byte  243,67,15,126,20,24                 // movq          (%r8,%r11,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,21,242,47,0,0            // pand          0x2ff2(%rip),%xmm2        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,97,227                       // punpcklwd     %xmm3,%xmm4
  .byte  102,15,105,211                      // punpckhwd     %xmm3,%xmm2
  .byte  102,15,111,45,186,55,0,0            // movdqa        0x37ba(%rip),%xmm5        # 2d450 <_sk_overlay_sse2_8bit+0x168c>
  .byte  102,15,112,242,245                  // pshufd        $0xf5,%xmm2,%xmm6
  .byte  102,15,244,213                      // pmuludq       %xmm5,%xmm2
  .byte  102,15,112,218,232                  // pshufd        $0xe8,%xmm2,%xmm3
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,214,232                  // pshufd        $0xe8,%xmm6,%xmm2
  .byte  102,15,98,218                       // punpckldq     %xmm2,%xmm3
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,212,232                  // pshufd        $0xe8,%xmm4,%xmm2
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,212                       // punpckldq     %xmm4,%xmm2
  .byte  102,15,111,37,220,54,0,0            // movdqa        0x36dc(%rip),%xmm4        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,130                             // ja            29c76 <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 29d74 <_sk_load_g8_dst_sse2_8bit+0x120>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,96,255,255,255                  // jmpq          29c76 <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,2                    // pinsrw        $0x2,%eax,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  233,59,255,255,255                  // jmpq          29c76 <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,6                    // pinsrw        $0x6,%eax,%xmm2
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,208,5                    // pinsrw        $0x5,%eax,%xmm2
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,208,4                    // pinsrw        $0x4,%eax,%xmm2
  .byte  102,67,15,110,28,24                 // movd          (%r8,%r11,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,3,255,255,255                   // jmpq          29c76 <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_sse2_8bit
.globl _sk_srcover_rgba_8888_sse2_8bit
FUNCTION(_sk_srcover_rgba_8888_sse2_8bit)
_sk_srcover_rgba_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,253,0,0,0                    // jne           29ead <_sk_srcover_rgba_8888_sse2_8bit+0x11d>
  .byte  71,15,16,68,152,16                  // movups        0x10(%r8,%r11,4),%xmm8
  .byte  102,71,15,16,12,152                 // movupd        (%r8,%r11,4),%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,236,95                   // pshufhw       $0x5f,%xmm4,%xmm5
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,40,217                    // movapd        %xmm9,%xmm11
  .byte  102,69,15,96,218                    // punpcklbw     %xmm10,%xmm11
  .byte  102,69,15,40,225                    // movapd        %xmm9,%xmm12
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,96,234                    // punpcklbw     %xmm10,%xmm13
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,104,242                   // punpckhbw     %xmm10,%xmm14
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,96,250                    // punpcklbw     %xmm10,%xmm7
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,213,245                   // pmullw        %xmm13,%xmm6
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,65,15,253,245                   // paddw         %xmm13,%xmm6
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  102,68,15,248,207                   // psubb         %xmm7,%xmm9
  .byte  102,68,15,252,200                   // paddb         %xmm0,%xmm9
  .byte  102,68,15,252,193                   // paddb         %xmm1,%xmm8
  .byte  117,78                              // jne           29eea <_sk_srcover_rgba_8888_sse2_8bit+0x15a>
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  243,71,15,127,68,152,16             // movdqu        %xmm8,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,241,254,255,255              // ja            29dbc <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,210,0,0,0                 // lea           0xd2(%rip),%r10        # 29fa8 <_sk_srcover_rgba_8888_sse2_8bit+0x218>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,71,15,16,12,152                 // movss         (%r8,%r11,4),%xmm9
  .byte  233,210,254,255,255                 // jmpq          29dbc <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,175                             // ja            29ea9 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,191,0,0,0                 // lea           0xbf(%rip),%r9        # 29fc4 <_sk_srcover_rgba_8888_sse2_8bit+0x234>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,126,12,152                // movd          %xmm9,(%r8,%r11,4)
  .byte  235,147                             // jmp           29ea9 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  102,67,15,110,100,152,8             // movd          0x8(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,71,15,18,12,152                 // movlpd        (%r8,%r11,4),%xmm9
  .byte  233,142,254,255,255                 // jmpq          29dbc <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  102,67,15,110,100,152,24            // movd          0x18(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  243,67,15,16,100,152,20             // movss         0x14(%r8,%r11,4),%xmm4
  .byte  65,15,198,224,0                     // shufps        $0x0,%xmm8,%xmm4
  .byte  65,15,198,224,226                   // shufps        $0xe2,%xmm8,%xmm4
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  243,67,15,16,100,152,16             // movss         0x10(%r8,%r11,4),%xmm4
  .byte  243,68,15,16,196                    // movss         %xmm4,%xmm8
  .byte  233,85,254,255,255                  // jmpq          29db6 <_sk_srcover_rgba_8888_sse2_8bit+0x26>
  .byte  102,65,15,112,225,78                // pshufd        $0x4e,%xmm9,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,71,15,214,12,152                // movq          %xmm9,(%r8,%r11,4)
  .byte  233,48,255,255,255                  // jmpq          29ea9 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  102,65,15,112,224,78                // pshufd        $0x4e,%xmm8,%xmm4
  .byte  102,67,15,126,100,152,24            // movd          %xmm4,0x18(%r8,%r11,4)
  .byte  102,65,15,112,224,229               // pshufd        $0xe5,%xmm8,%xmm4
  .byte  102,67,15,126,100,152,20            // movd          %xmm4,0x14(%r8,%r11,4)
  .byte  102,71,15,126,68,152,16             // movd          %xmm8,0x10(%r8,%r11,4)
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  233,4,255,255,255                   // jmpq          29ea9 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  55                                  // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           29fad <_sk_srcover_rgba_8888_sse2_8bit+0x21d>
  .byte  255                                 // (bad)
  .byte  255,110,255                         // ljmp          *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,147             // ljmp          *-0x6c000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,134,255,255,255,74              // incl          0x4affffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,157             // ljmp          *-0x62000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  181,255                             // mov           $0xff,%ch
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_sse2_8bit
.globl _sk_scale_1_float_sse2_8bit
FUNCTION(_sk_scale_1_float_sse2_8bit)
_sk_scale_1_float_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,89,5,0,43,0,0                // mulss         0x2b00(%rip),%xmm0        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,44,192                       // cvttss2si     %xmm0,%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  102,15,96,246                       // punpcklbw     %xmm6,%xmm6
  .byte  242,15,112,246,0                    // pshuflw       $0x0,%xmm6,%xmm6
  .byte  102,15,112,246,80                   // pshufd        $0x50,%xmm6,%xmm6
  .byte  102,15,219,53,63,44,0,0             // pand          0x2c3f(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,65,15,213,248                   // pmullw        %xmm8,%xmm7
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,198                      // paddw         %xmm6,%xmm0
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,65,15,253,248                   // paddw         %xmm8,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse2_8bit
.globl _sk_scale_u8_sse2_8bit
FUNCTION(_sk_scale_u8_sse2_8bit)
_sk_scale_u8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,239,0,0,0                    // jne           2a18c <_sk_scale_u8_sse2_8bit+0x10b>
  .byte  243,67,15,126,36,24                 // movq          (%r8,%r11,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,219,37,193,43,0,0            // pand          0x2bc1(%rip),%xmm4        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,65,15,105,232                   // punpckhwd     %xmm8,%xmm5
  .byte  102,65,15,97,224                    // punpcklwd     %xmm8,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  242,15,112,237,231                  // pshuflw       $0xe7,%xmm5,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,245,95                   // pshufhw       $0x5f,%xmm5,%xmm6
  .byte  242,15,112,228,231                  // pshuflw       $0xe7,%xmm4,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,3,255,255,255                // ja            2a0a7 <_sk_scale_u8_sse2_8bit+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 2a224 <_sk_scale_u8_sse2_8bit+0x1a3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  233,225,254,255,255                 // jmpq          2a0a7 <_sk_scale_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,224,2                    // pinsrw        $0x2,%eax,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  243,15,16,229                       // movss         %xmm5,%xmm4
  .byte  233,188,254,255,255                 // jmpq          2a0a7 <_sk_scale_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,224,6                    // pinsrw        $0x6,%eax,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,224,5                    // pinsrw        $0x5,%eax,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,224,4                    // pinsrw        $0x4,%eax,%xmm4
  .byte  102,67,15,110,44,24                 // movd          (%r8,%r11,1),%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,132,254,255,255                 // jmpq          2a0a7 <_sk_scale_u8_sse2_8bit+0x26>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_sse2_8bit
.globl _sk_lerp_1_float_sse2_8bit
FUNCTION(_sk_lerp_1_float_sse2_8bit)
_sk_lerp_1_float_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,32                        // movss         (%rax),%xmm4
  .byte  243,15,89,37,170,40,0,0             // mulss         0x28aa(%rip),%xmm4        # 2caf8 <_sk_overlay_sse2_8bit+0xd34>
  .byte  243,15,44,196                       // cvttss2si     %xmm4,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,0                    // pshuflw       $0x0,%xmm4,%xmm4
  .byte  102,68,15,112,196,80                // pshufd        $0x50,%xmm4,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,96,249                    // punpcklbw     %xmm9,%xmm7
  .byte  102,65,15,104,193                   // punpckhbw     %xmm9,%xmm0
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,217                    // punpcklbw     %xmm9,%xmm11
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,53,225,41,0,0            // movdqa        0x29e1(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,69,15,213,211                   // pmullw        %xmm11,%xmm10
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,213,247                      // pmullw        %xmm7,%xmm6
  .byte  102,15,253,247                      // paddw         %xmm7,%xmm6
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,69,15,253,211                   // paddw         %xmm11,%xmm10
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,68,15,103,212                   // packuswb      %xmm4,%xmm10
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,15,213,197                      // pmullw        %xmm5,%xmm0
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,204                      // packuswb      %xmm4,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,65,15,252,202                   // paddb         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse2_8bit
.globl _sk_lerp_u8_sse2_8bit
FUNCTION(_sk_lerp_u8_sse2_8bit)
_sk_lerp_u8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,141,1,0,0                    // jne           2a51f <_sk_lerp_u8_sse2_8bit+0x1a9>
  .byte  243,67,15,126,44,24                 // movq          (%r8,%r11,1),%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,219,45,204,40,0,0            // pand          0x28cc(%rip),%xmm5        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,105,224                   // punpckhwd     %xmm8,%xmm4
  .byte  102,65,15,97,232                    // punpcklwd     %xmm8,%xmm5
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  242,15,112,228,231                  // pshuflw       $0xe7,%xmm4,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  242,15,112,237,231                  // pshuflw       $0xe7,%xmm5,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,68,15,111,223                   // movdqa        %xmm7,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,111,230                   // movdqa        %xmm6,%xmm12
  .byte  102,69,15,96,224                    // punpcklbw     %xmm8,%xmm12
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,69,15,213,226                   // pmullw        %xmm10,%xmm12
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,69,15,253,226                   // paddw         %xmm10,%xmm12
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,68,15,103,221                   // packuswb      %xmm5,%xmm11
  .byte  102,68,15,103,228                   // packuswb      %xmm4,%xmm12
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,65,15,96,192                    // punpcklbw     %xmm8,%xmm0
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,96,200                    // punpcklbw     %xmm8,%xmm1
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,65,15,252,195                   // paddb         %xmm11,%xmm0
  .byte  102,65,15,252,204                   // paddb         %xmm12,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,101,254,255,255              // ja            2a39c <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,118,0,0,0                 // lea           0x76(%rip),%r10        # 2a5b8 <_sk_lerp_u8_sse2_8bit+0x242>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  233,67,254,255,255                  // jmpq          2a39c <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,232,2                    // pinsrw        $0x2,%eax,%xmm5
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  243,15,16,236                       // movss         %xmm4,%xmm5
  .byte  233,30,254,255,255                  // jmpq          2a39c <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,232,6                    // pinsrw        $0x6,%eax,%xmm5
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,232,5                    // pinsrw        $0x5,%eax,%xmm5
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,232,4                    // pinsrw        $0x4,%eax,%xmm5
  .byte  102,67,15,110,36,24                 // movd          (%r8,%r11,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  242,15,16,236                       // movsd         %xmm4,%xmm5
  .byte  233,230,253,255,255                 // jmpq          2a39c <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  147                                 // xchg          %eax,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,176,255,255,255,161             // pushq         -0x5e000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           2a5c5 <_sk_lerp_u8_sse2_8bit+0x24f>
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_sse2_8bit
.globl _sk_move_src_dst_sse2_8bit
FUNCTION(_sk_move_src_dst_sse2_8bit)
_sk_move_src_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse2_8bit
.globl _sk_move_dst_src_sse2_8bit
FUNCTION(_sk_move_dst_src_sse2_8bit)
_sk_move_dst_src_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse2_8bit
.globl _sk_black_color_sse2_8bit
FUNCTION(_sk_black_color_sse2_8bit)
_sk_black_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,191,45,0,0                  // movaps        0x2dbf(%rip),%xmm0        # 2d3b0 <_sk_overlay_sse2_8bit+0x15ec>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse2_8bit
.globl _sk_white_color_sse2_8bit
FUNCTION(_sk_white_color_sse2_8bit)
_sk_white_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse2_8bit
.globl _sk_clear_sse2_8bit
FUNCTION(_sk_clear_sse2_8bit)
_sk_clear_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse2_8bit
.globl _sk_srcatop_sse2_8bit
FUNCTION(_sk_srcatop_sse2_8bit)
_sk_srcatop_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,68,15,112,208,231               // pshuflw       $0xe7,%xmm0,%xmm10
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  242,68,15,112,225,231               // pshuflw       $0xe7,%xmm1,%xmm12
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,65,15,96,241                    // punpcklbw     %xmm9,%xmm6
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,68,15,213,223                   // pmullw        %xmm7,%xmm11
  .byte  102,15,213,233                      // pmullw        %xmm1,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,68,15,253,223                   // paddw         %xmm7,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,65,15,103,235                   // packuswb      %xmm11,%xmm5
  .byte  243,65,15,112,194,231               // pshufhw       $0xe7,%xmm10,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  243,65,15,112,196,231               // pshufhw       $0xe7,%xmm12,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,213,194                   // pmullw        %xmm10,%xmm0
  .byte  102,65,15,253,194                   // paddw         %xmm10,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,205                      // paddb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse2_8bit
.globl _sk_dstatop_sse2_8bit
FUNCTION(_sk_dstatop_sse2_8bit)
_sk_dstatop_sse2_8bit:
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  242,68,15,112,218,231               // pshuflw       $0xe7,%xmm2,%xmm11
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,213,207                   // pmullw        %xmm7,%xmm9
  .byte  102,68,15,253,207                   // paddw         %xmm7,%xmm9
  .byte  242,68,15,112,227,231               // pshuflw       $0xe7,%xmm3,%xmm12
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,68,15,111,212                   // movdqa        %xmm4,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,68,15,213,215                   // pmullw        %xmm7,%xmm10
  .byte  102,68,15,253,215                   // paddw         %xmm7,%xmm10
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,68,15,103,205                   // packuswb      %xmm5,%xmm9
  .byte  102,68,15,103,212                   // packuswb      %xmm4,%xmm10
  .byte  243,65,15,112,227,231               // pshufhw       $0xe7,%xmm11,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  243,65,15,112,228,231               // pshufhw       $0xe7,%xmm12,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,244                      // pxor          %xmm4,%xmm6
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,68,15,111,223                   // movdqa        %xmm7,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,230                   // movdqa        %xmm6,%xmm12
  .byte  102,69,15,96,224                    // punpcklbw     %xmm8,%xmm12
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,68,15,213,229                   // pmullw        %xmm5,%xmm12
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,68,15,213,220                   // pmullw        %xmm4,%xmm11
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  102,65,15,252,225                   // paddb         %xmm9,%xmm4
  .byte  102,65,15,252,234                   // paddb         %xmm10,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse2_8bit
.globl _sk_srcin_sse2_8bit
FUNCTION(_sk_srcin_sse2_8bit)
_sk_srcin_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,68,15,213,212                   // pmullw        %xmm4,%xmm10
  .byte  102,65,15,213,248                   // pmullw        %xmm8,%xmm7
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,65,15,253,248                   // paddw         %xmm8,%xmm7
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse2_8bit
.globl _sk_dstin_sse2_8bit
FUNCTION(_sk_dstin_sse2_8bit)
_sk_dstin_sse2_8bit:
  .byte  242,15,112,201,231                  // pshuflw       $0xe7,%xmm1,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,96,214                    // punpcklbw     %xmm6,%xmm10
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,204                      // packuswb      %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse2_8bit
.globl _sk_srcout_sse2_8bit
FUNCTION(_sk_srcout_sse2_8bit)
_sk_srcout_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,240                   // paddw         %xmm8,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse2_8bit
.globl _sk_dstout_sse2_8bit
FUNCTION(_sk_dstout_sse2_8bit)
_sk_dstout_sse2_8bit:
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,96,214                    // punpcklbw     %xmm6,%xmm10
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse2_8bit
.globl _sk_srcover_sse2_8bit
FUNCTION(_sk_srcover_sse2_8bit)
_sk_srcover_sse2_8bit:
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,212,95                // pshufhw       $0x5f,%xmm4,%xmm10
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,68,15,112,221,95                // pshufhw       $0x5f,%xmm5,%xmm11
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,65,15,111,250                   // movdqa        %xmm10,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,15,213,238                      // pmullw        %xmm6,%xmm5
  .byte  102,15,253,238                      // paddw         %xmm6,%xmm5
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,103,235                   // packuswb      %xmm11,%xmm5
  .byte  102,65,15,103,250                   // packuswb      %xmm10,%xmm7
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse2_8bit
.globl _sk_dstover_sse2_8bit
FUNCTION(_sk_dstover_sse2_8bit)
_sk_dstover_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse2_8bit
.globl _sk_modulate_sse2_8bit
FUNCTION(_sk_modulate_sse2_8bit)
_sk_modulate_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,69,15,104,202                   // punpckhbw     %xmm10,%xmm9
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,69,15,104,194                   // punpckhbw     %xmm10,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,96,226                    // punpcklbw     %xmm10,%xmm4
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse2_8bit
.globl _sk_multiply_sse2_8bit
FUNCTION(_sk_multiply_sse2_8bit)
_sk_multiply_sse2_8bit:
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  242,15,112,211,231                  // pshuflw       $0xe7,%xmm3,%xmm2
  .byte  243,15,112,210,231                  // pshufhw       $0xe7,%xmm2,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,250,95                   // pshufhw       $0x5f,%xmm2,%xmm7
  .byte  242,65,15,112,214,231               // pshuflw       $0xe7,%xmm14,%xmm2
  .byte  243,15,112,210,231                  // pshufhw       $0xe7,%xmm2,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,234,95                   // pshufhw       $0x5f,%xmm2,%xmm5
  .byte  102,69,15,118,192                   // pcmpeqd       %xmm8,%xmm8
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,69,15,239,237                   // pxor          %xmm13,%xmm13
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,15,112,208,231                  // pshuflw       $0xe7,%xmm0,%xmm2
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,96,221                    // punpcklbw     %xmm13,%xmm11
  .byte  102,69,15,104,205                   // punpckhbw     %xmm13,%xmm9
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  242,15,112,241,231                  // pshuflw       $0xe7,%xmm1,%xmm6
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,96,229                    // punpcklbw     %xmm13,%xmm12
  .byte  102,69,15,104,213                   // punpckhbw     %xmm13,%xmm10
  .byte  102,68,15,111,255                   // movdqa        %xmm7,%xmm15
  .byte  102,69,15,96,253                    // punpcklbw     %xmm13,%xmm15
  .byte  102,65,15,104,253                   // punpckhbw     %xmm13,%xmm7
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,96,229                    // punpcklbw     %xmm13,%xmm4
  .byte  102,65,15,104,237                   // punpckhbw     %xmm13,%xmm5
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,68,15,103,255                   // packuswb      %xmm7,%xmm15
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  243,15,112,194,231                  // pshufhw       $0xe7,%xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,192,95                   // pshufhw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,206,231                  // pshufhw       $0xe7,%xmm6,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,241,95                   // pshufhw       $0x5f,%xmm1,%xmm6
  .byte  102,65,15,239,240                   // pxor          %xmm8,%xmm6
  .byte  102,65,15,239,192                   // pxor          %xmm8,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,237                    // punpcklbw     %xmm13,%xmm5
  .byte  102,65,15,104,213                   // punpckhbw     %xmm13,%xmm2
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,15,127,76,36,232                // movdqa        %xmm1,-0x18(%rsp)
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,65,15,96,253                    // punpcklbw     %xmm13,%xmm7
  .byte  102,69,15,104,245                   // punpckhbw     %xmm13,%xmm14
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,69,15,96,197                    // punpcklbw     %xmm13,%xmm8
  .byte  102,65,15,104,197                   // punpckhbw     %xmm13,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,96,205                    // punpcklbw     %xmm13,%xmm1
  .byte  102,65,15,104,245                   // punpckhbw     %xmm13,%xmm6
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,68,15,213,197                   // pmullw        %xmm5,%xmm8
  .byte  102,68,15,253,197                   // paddw         %xmm5,%xmm8
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,68,15,103,192                   // packuswb      %xmm0,%xmm8
  .byte  102,65,15,213,246                   // pmullw        %xmm14,%xmm6
  .byte  102,15,213,207                      // pmullw        %xmm7,%xmm1
  .byte  102,15,253,207                      // paddw         %xmm7,%xmm1
  .byte  102,65,15,253,246                   // paddw         %xmm14,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,15,252,204                      // paddb         %xmm4,%xmm1
  .byte  102,69,15,252,199                   // paddb         %xmm15,%xmm8
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,213,209                   // pmullw        %xmm9,%xmm2
  .byte  102,65,15,253,209                   // paddw         %xmm9,%xmm2
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,69,15,213,242                   // pmullw        %xmm10,%xmm14
  .byte  102,69,15,253,242                   // paddw         %xmm10,%xmm14
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,234                      // packuswb      %xmm2,%xmm5
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,103,254                   // packuswb      %xmm14,%xmm7
  .byte  102,68,15,252,197                   // paddb         %xmm5,%xmm8
  .byte  102,15,252,207                      // paddb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  15,40,92,36,232                     // movaps        -0x18(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse2_8bit
.globl _sk_screen_sse2_8bit
FUNCTION(_sk_screen_sse2_8bit)
_sk_screen_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,68,15,239,215                   // pxor          %xmm7,%xmm10
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,65,15,111,202                   // movdqa        %xmm10,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,69,15,104,209                   // punpckhbw     %xmm9,%xmm10
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,69,15,96,217                    // punpcklbw     %xmm9,%xmm11
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,68,15,213,225                   // pmullw        %xmm1,%xmm12
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,15,253,231                      // paddw         %xmm7,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,15,252,197                      // paddb         %xmm5,%xmm0
  .byte  102,65,15,252,200                   // paddb         %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse2_8bit
.globl _sk_xor__sse2_8bit
FUNCTION(_sk_xor__sse2_8bit)
_sk_xor__sse2_8bit:
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  242,15,112,235,231                  // pshuflw       $0xe7,%xmm3,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,118,192                   // pcmpeqd       %xmm8,%xmm8
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,69,15,239,224                   // pxor          %xmm8,%xmm12
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,68,15,112,216,231               // pshuflw       $0xe7,%xmm0,%xmm11
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,69,15,104,202                   // punpckhbw     %xmm10,%xmm9
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  242,68,15,112,233,231               // pshuflw       $0xe7,%xmm1,%xmm13
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,65,15,96,250                    // punpcklbw     %xmm10,%xmm7
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,15,213,236                      // pmullw        %xmm4,%xmm5
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,253,236                      // paddw         %xmm4,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,65,15,103,244                   // packuswb      %xmm12,%xmm6
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  243,65,15,112,195,231               // pshufhw       $0xe7,%xmm11,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  243,65,15,112,197,231               // pshufhw       $0xe7,%xmm13,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,65,15,239,224                   // pxor          %xmm8,%xmm4
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,69,15,96,202                    // punpcklbw     %xmm10,%xmm9
  .byte  102,69,15,104,194                   // punpckhbw     %xmm10,%xmm8
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,226                    // punpcklbw     %xmm10,%xmm12
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,207                      // paddb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse2_8bit
.globl _sk_plus__sse2_8bit
FUNCTION(_sk_plus__sse2_8bit)
_sk_plus__sse2_8bit:
  .byte  102,15,220,194                      // paddusb       %xmm2,%xmm0
  .byte  102,15,220,203                      // paddusb       %xmm3,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse2_8bit
.globl _sk_darken_sse2_8bit
FUNCTION(_sk_darken_sse2_8bit)
_sk_darken_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,236                   // movdqa        %xmm4,%xmm13
  .byte  102,69,15,96,232                    // punpcklbw     %xmm8,%xmm13
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,235                   // pmullw        %xmm11,%xmm13
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,68,15,213,214                   // pmullw        %xmm6,%xmm10
  .byte  102,68,15,253,214                   // paddw         %xmm6,%xmm10
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,69,15,253,235                   // paddw         %xmm11,%xmm13
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,236                   // packuswb      %xmm4,%xmm13
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,69,15,213,222                   // pmullw        %xmm14,%xmm11
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,69,15,253,222                   // paddw         %xmm14,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,228                   // packuswb      %xmm12,%xmm4
  .byte  102,65,15,103,251                   // packuswb      %xmm11,%xmm7
  .byte  102,68,15,222,212                   // pmaxub        %xmm4,%xmm10
  .byte  102,68,15,222,239                   // pmaxub        %xmm7,%xmm13
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,65,15,248,245                   // psubb         %xmm13,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,248,234                   // psubb         %xmm10,%xmm5
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,111,37,175,31,0,0            // movdqa        0x1faf(%rip),%xmm4        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,223,248                      // pandn         %xmm0,%xmm7
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,223,225                      // pandn         %xmm1,%xmm4
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse2_8bit
.globl _sk_lighten_sse2_8bit
FUNCTION(_sk_lighten_sse2_8bit)
_sk_lighten_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,236                   // movdqa        %xmm4,%xmm13
  .byte  102,69,15,96,232                    // punpcklbw     %xmm8,%xmm13
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,235                   // pmullw        %xmm11,%xmm13
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,68,15,213,214                   // pmullw        %xmm6,%xmm10
  .byte  102,68,15,253,214                   // paddw         %xmm6,%xmm10
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,69,15,253,235                   // paddw         %xmm11,%xmm13
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,236                   // packuswb      %xmm4,%xmm13
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,69,15,213,222                   // pmullw        %xmm14,%xmm11
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,69,15,253,222                   // paddw         %xmm14,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,228                   // packuswb      %xmm12,%xmm4
  .byte  102,65,15,103,251                   // packuswb      %xmm11,%xmm7
  .byte  102,68,15,218,212                   // pminub        %xmm4,%xmm10
  .byte  102,68,15,218,239                   // pminub        %xmm7,%xmm13
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,65,15,248,245                   // psubb         %xmm13,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,248,234                   // psubb         %xmm10,%xmm5
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,111,37,195,29,0,0            // movdqa        0x1dc3(%rip),%xmm4        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,223,248                      // pandn         %xmm0,%xmm7
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,223,225                      // pandn         %xmm1,%xmm4
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse2_8bit
.globl _sk_exclusion_sse2_8bit
FUNCTION(_sk_exclusion_sse2_8bit)
_sk_exclusion_sse2_8bit:
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  102,15,111,37,246,28,0,0            // movdqa        0x1cf6(%rip),%xmm4        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,15,248,205                      // psubb         %xmm5,%xmm1
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,205                      // psubb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse2_8bit
.globl _sk_difference_sse2_8bit
FUNCTION(_sk_difference_sse2_8bit)
_sk_difference_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,68,15,111,201                   // movdqa        %xmm1,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,15,213,254                      // pmullw        %xmm6,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,68,15,253,213                   // paddw         %xmm5,%xmm10
  .byte  102,15,253,254                      // paddw         %xmm6,%xmm7
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,220                   // packuswb      %xmm4,%xmm11
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,236,95                // pshufhw       $0x5f,%xmm4,%xmm13
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,229                   // movdqa        %xmm13,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,232                   // punpckhbw     %xmm8,%xmm13
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,69,15,213,230                   // pmullw        %xmm14,%xmm12
  .byte  102,15,213,247                      // pmullw        %xmm7,%xmm6
  .byte  102,69,15,213,233                   // pmullw        %xmm9,%xmm13
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,253,229                      // paddw         %xmm5,%xmm4
  .byte  102,69,15,253,233                   // paddw         %xmm9,%xmm13
  .byte  102,15,253,247                      // paddw         %xmm7,%xmm6
  .byte  102,69,15,253,230                   // paddw         %xmm14,%xmm12
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,229                   // packuswb      %xmm13,%xmm4
  .byte  102,65,15,103,244                   // packuswb      %xmm12,%xmm6
  .byte  102,65,15,218,226                   // pminub        %xmm10,%xmm4
  .byte  102,65,15,218,243                   // pminub        %xmm11,%xmm6
  .byte  102,15,111,45,51,27,0,0             // movdqa        0x1b33(%rip),%xmm5        # 2d4a0 <_sk_overlay_sse2_8bit+0x16dc>
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse2_8bit
.globl _sk_hardlight_sse2_8bit
FUNCTION(_sk_hardlight_sse2_8bit)
_sk_hardlight_sse2_8bit:
  .byte  72,129,236,184,0,0,0                // sub           $0xb8,%rsp
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,96,245                    // punpcklbw     %xmm5,%xmm14
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,197                       // punpcklbw     %xmm5,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,65,15,112,192,231               // pshuflw       $0xe7,%xmm8,%xmm0
  .byte  102,68,15,104,197                   // punpckhbw     %xmm5,%xmm8
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,192                // movdqa        %xmm1,-0x40(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,68,15,112,224,95                // pshufhw       $0x5f,%xmm0,%xmm12
  .byte  102,65,15,111,252                   // movdqa        %xmm12,%xmm7
  .byte  102,15,104,253                      // punpckhbw     %xmm5,%xmm7
  .byte  102,15,127,124,36,48                // movdqa        %xmm7,0x30(%rsp)
  .byte  102,68,15,96,229                    // punpcklbw     %xmm5,%xmm12
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  102,68,15,127,188,36,160,0,0,0      // movdqa        %xmm15,0xa0(%rsp)
  .byte  102,65,15,111,207                   // movdqa        %xmm15,%xmm1
  .byte  242,65,15,112,199,231               // pshuflw       $0xe7,%xmm15,%xmm0
  .byte  102,68,15,96,253                    // punpcklbw     %xmm5,%xmm15
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,127,156,36,144,0,0,0         // movdqa        %xmm3,0x90(%rsp)
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,96,205                       // punpcklbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,15,104,213                      // punpckhbw     %xmm5,%xmm2
  .byte  102,15,127,148,36,128,0,0,0         // movdqa        %xmm2,0x80(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,68,15,112,232,95                // pshufhw       $0x5f,%xmm0,%xmm13
  .byte  102,65,15,111,205                   // movdqa        %xmm13,%xmm1
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,176                // movdqa        %xmm1,-0x50(%rsp)
  .byte  102,68,15,96,237                    // punpcklbw     %xmm5,%xmm13
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,96,245                       // punpcklbw     %xmm5,%xmm6
  .byte  102,69,15,111,214                   // movdqa        %xmm14,%xmm10
  .byte  102,69,15,253,210                   // paddw         %xmm10,%xmm10
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,84,36,192                // movdqa        -0x40(%rsp),%xmm2
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,217,215                      // psubusw       %xmm7,%xmm2
  .byte  102,15,117,213                      // pcmpeqw       %xmm5,%xmm2
  .byte  102,15,127,84,36,112                // movdqa        %xmm2,0x70(%rsp)
  .byte  102,69,15,217,204                   // psubusw       %xmm12,%xmm9
  .byte  102,68,15,117,205                   // pcmpeqw       %xmm5,%xmm9
  .byte  102,15,111,84,36,160                // movdqa        -0x60(%rsp),%xmm2
  .byte  102,15,217,194                      // psubusw       %xmm2,%xmm0
  .byte  102,15,117,197                      // pcmpeqw       %xmm5,%xmm0
  .byte  102,15,127,68,36,64                 // movdqa        %xmm0,0x40(%rsp)
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,69,15,217,211                   // psubusw       %xmm11,%xmm10
  .byte  102,68,15,117,213                   // pcmpeqw       %xmm5,%xmm10
  .byte  102,15,111,45,62,17,0,0             // movdqa        0x113e(%rip),%xmm5        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,198                   // pmullw        %xmm14,%xmm0
  .byte  102,15,127,68,36,96                 // movdqa        %xmm0,0x60(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,80                 // movdqa        %xmm0,0x50(%rsp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,249,247                   // psubw         %xmm15,%xmm6
  .byte  102,15,127,52,36                    // movdqa        %xmm6,(%rsp)
  .byte  102,65,15,111,255                   // movdqa        %xmm15,%xmm7
  .byte  102,65,15,213,254                   // pmullw        %xmm14,%xmm7
  .byte  102,65,15,213,195                   // pmullw        %xmm11,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,69,15,249,222                   // psubw         %xmm14,%xmm11
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,68,15,239,253                   // pxor          %xmm5,%xmm15
  .byte  102,15,111,116,36,144               // movdqa        -0x70(%rsp),%xmm6
  .byte  102,68,15,213,254                   // pmullw        %xmm6,%xmm15
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,249,206                      // psubw         %xmm6,%xmm1
  .byte  102,15,127,76,36,224                // movdqa        %xmm1,-0x20(%rsp)
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,65,15,249,208                   // psubw         %xmm8,%xmm2
  .byte  102,15,127,84,36,160                // movdqa        %xmm2,-0x60(%rsp)
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,239,205                      // pxor          %xmm5,%xmm1
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,69,15,111,196                   // movdqa        %xmm12,%xmm8
  .byte  102,68,15,239,197                   // pxor          %xmm5,%xmm8
  .byte  102,15,111,100,36,128               // movdqa        -0x80(%rsp),%xmm4
  .byte  102,68,15,213,196                   // pmullw        %xmm4,%xmm8
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,15,249,196                      // psubw         %xmm4,%xmm0
  .byte  102,15,127,68,36,208                // movdqa        %xmm0,-0x30(%rsp)
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,69,15,213,236                   // pmullw        %xmm12,%xmm13
  .byte  102,68,15,249,227                   // psubw         %xmm3,%xmm12
  .byte  102,15,111,76,36,176                // movdqa        -0x50(%rsp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,15,111,92,36,192                // movdqa        -0x40(%rsp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,111,148,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm2
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,127,76,36,176                // movdqa        %xmm1,-0x50(%rsp)
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,68,15,213,240                   // pmullw        %xmm0,%xmm14
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,15,213,68,36,176                // pmullw        -0x50(%rsp),%xmm0
  .byte  102,68,15,213,100,36,208            // pmullw        -0x30(%rsp),%xmm12
  .byte  102,15,111,76,36,160                // movdqa        -0x60(%rsp),%xmm1
  .byte  102,15,213,76,36,224                // pmullw        -0x20(%rsp),%xmm1
  .byte  102,68,15,213,28,36                 // pmullw        (%rsp),%xmm11
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,240                   // psubw         %xmm0,%xmm14
  .byte  102,69,15,253,228                   // paddw         %xmm12,%xmm12
  .byte  102,69,15,249,236                   // psubw         %xmm12,%xmm13
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,92,36,240                // movdqa        -0x10(%rsp),%xmm3
  .byte  102,15,249,217                      // psubw         %xmm1,%xmm3
  .byte  102,69,15,253,219                   // paddw         %xmm11,%xmm11
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,65,15,249,195                   // psubw         %xmm11,%xmm0
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,65,15,219,250                   // pand          %xmm10,%xmm7
  .byte  102,68,15,223,208                   // pandn         %xmm0,%xmm10
  .byte  102,68,15,235,215                   // por           %xmm7,%xmm10
  .byte  102,15,253,246                      // paddw         %xmm6,%xmm6
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,15,219,240                      // pand          %xmm0,%xmm6
  .byte  102,15,223,195                      // pandn         %xmm3,%xmm0
  .byte  102,15,235,198                      // por           %xmm6,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,65,15,219,225                   // pand          %xmm9,%xmm4
  .byte  102,69,15,223,205                   // pandn         %xmm13,%xmm9
  .byte  102,68,15,235,204                   // por           %xmm4,%xmm9
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,208                      // pand          %xmm0,%xmm2
  .byte  102,65,15,223,198                   // pandn         %xmm14,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,84,36,80                 // movdqa        0x50(%rsp),%xmm2
  .byte  102,15,253,84,36,96                 // paddw         0x60(%rsp),%xmm2
  .byte  102,68,15,253,124,36,32             // paddw         0x20(%rsp),%xmm15
  .byte  102,68,15,253,68,36,144             // paddw         -0x70(%rsp),%xmm8
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,111,5,114,23,0,0             // movdqa        0x1772(%rip),%xmm0        # 2d4b0 <_sk_overlay_sse2_8bit+0x16ec>
  .byte  102,15,253,208                      // paddw         %xmm0,%xmm2
  .byte  102,68,15,253,210                   // paddw         %xmm2,%xmm10
  .byte  102,68,15,253,248                   // paddw         %xmm0,%xmm15
  .byte  102,68,15,253,251                   // paddw         %xmm3,%xmm15
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,69,15,253,200                   // paddw         %xmm8,%xmm9
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,111,5,85,23,0,0              // movdqa        0x1755(%rip),%xmm0        # 2d4c0 <_sk_overlay_sse2_8bit+0x16fc>
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,200                   // pmulhuw       %xmm0,%xmm9
  .byte  102,68,15,228,248                   // pmulhuw       %xmm0,%xmm15
  .byte  102,68,15,228,208                   // pmulhuw       %xmm0,%xmm10
  .byte  102,65,15,113,215,7                 // psrlw         $0x7,%xmm15
  .byte  102,65,15,113,210,7                 // psrlw         $0x7,%xmm10
  .byte  102,69,15,103,215                   // packuswb      %xmm15,%xmm10
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,65,15,113,209,7                 // psrlw         $0x7,%xmm9
  .byte  102,68,15,103,205                   // packuswb      %xmm5,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm2
  .byte  15,40,156,36,144,0,0,0              // movaps        0x90(%rsp),%xmm3
  .byte  102,65,15,111,194                   // movdqa        %xmm10,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  72,129,196,184,0,0,0                // add           $0xb8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse2_8bit
.globl _sk_overlay_sse2_8bit
FUNCTION(_sk_overlay_sse2_8bit)
_sk_overlay_sse2_8bit:
  .byte  72,129,236,200,0,0,0                // sub           $0xc8,%rsp
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,68,15,96,252                    // punpcklbw     %xmm4,%xmm15
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,236                       // punpcklbw     %xmm4,%xmm5
  .byte  102,15,127,108,36,144               // movdqa        %xmm5,-0x70(%rsp)
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  243,15,112,197,231                  // pshufhw       $0xe7,%xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,104,204                      // punpckhbw     %xmm4,%xmm1
  .byte  102,15,127,140,36,144,0,0,0         // movdqa        %xmm1,0x90(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,132,36,128,0,0,0         // movdqa        %xmm0,0x80(%rsp)
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,127,76,36,96                 // movdqa        %xmm1,0x60(%rsp)
  .byte  102,68,15,111,221                   // movdqa        %xmm5,%xmm11
  .byte  102,68,15,104,220                   // punpckhbw     %xmm4,%xmm11
  .byte  102,15,96,236                       // punpcklbw     %xmm4,%xmm5
  .byte  102,68,15,111,213                   // movdqa        %xmm5,%xmm10
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,127,140,36,176,0,0,0         // movdqa        %xmm1,0xb0(%rsp)
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,68,15,104,196                   // punpckhbw     %xmm4,%xmm8
  .byte  102,15,127,156,36,160,0,0,0         // movdqa        %xmm3,0xa0(%rsp)
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,68,15,96,244                    // punpcklbw     %xmm4,%xmm14
  .byte  102,15,104,212                      // punpckhbw     %xmm4,%xmm2
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,127,116,36,16                // movdqa        %xmm6,0x10(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,216,95                   // pshufhw       $0x5f,%xmm0,%xmm3
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,4,36                     // movdqa        %xmm0,(%rsp)
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,68,15,104,204                   // punpckhbw     %xmm4,%xmm9
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,65,15,111,248                   // movdqa        %xmm8,%xmm7
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,69,15,111,238                   // movdqa        %xmm14,%xmm13
  .byte  102,69,15,253,237                   // paddw         %xmm13,%xmm13
  .byte  102,15,253,246                      // paddw         %xmm6,%xmm6
  .byte  102,15,217,240                      // psubusw       %xmm0,%xmm6
  .byte  102,15,117,244                      // pcmpeqw       %xmm4,%xmm6
  .byte  102,15,127,116,36,112               // movdqa        %xmm6,0x70(%rsp)
  .byte  102,68,15,217,235                   // psubusw       %xmm3,%xmm13
  .byte  102,68,15,117,236                   // pcmpeqw       %xmm4,%xmm13
  .byte  102,68,15,127,108,36,80             // movdqa        %xmm13,0x50(%rsp)
  .byte  102,65,15,217,249                   // psubusw       %xmm9,%xmm7
  .byte  102,15,117,252                      // pcmpeqw       %xmm4,%xmm7
  .byte  102,15,127,124,36,48                // movdqa        %xmm7,0x30(%rsp)
  .byte  102,15,217,234                      // psubusw       %xmm2,%xmm5
  .byte  102,15,117,236                      // pcmpeqw       %xmm4,%xmm5
  .byte  102,15,127,108,36,32                // movdqa        %xmm5,0x20(%rsp)
  .byte  102,15,111,53,14,13,0,0             // movdqa        0xd0e(%rip),%xmm6        # 2cc70 <_sk_overlay_sse2_8bit+0xeac>
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,64                 // movdqa        %xmm0,0x40(%rsp)
  .byte  102,65,15,111,194                   // movdqa        %xmm10,%xmm0
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,239,230                   // pxor          %xmm6,%xmm12
  .byte  102,68,15,213,225                   // pmullw        %xmm1,%xmm12
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,249,209                      // psubw         %xmm1,%xmm2
  .byte  102,15,127,84,36,208                // movdqa        %xmm2,-0x30(%rsp)
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,213,215                   // pmullw        %xmm15,%xmm10
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,127,100,36,224               // movdqa        %xmm4,-0x20(%rsp)
  .byte  102,65,15,249,199                   // psubw         %xmm15,%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,84,36,128                // movdqa        -0x80(%rsp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,69,15,213,216                   // pmullw        %xmm8,%xmm11
  .byte  102,69,15,111,249                   // movdqa        %xmm9,%xmm15
  .byte  102,69,15,249,200                   // psubw         %xmm8,%xmm9
  .byte  102,68,15,127,76,36,192             // movdqa        %xmm9,-0x40(%rsp)
  .byte  102,68,15,213,194                   // pmullw        %xmm2,%xmm8
  .byte  102,68,15,213,248                   // pmullw        %xmm0,%xmm15
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,84,36,144                // movdqa        -0x70(%rsp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,111,68,36,96                 // movdqa        0x60(%rsp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,65,15,249,222                   // psubw         %xmm14,%xmm3
  .byte  102,15,127,92,36,160                // movdqa        %xmm3,-0x60(%rsp)
  .byte  102,65,15,111,254                   // movdqa        %xmm14,%xmm7
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,68,15,213,232                   // pmullw        %xmm0,%xmm13
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,111,12,36                    // movdqa        (%rsp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,156,36,144,0,0,0         // movdqa        0x90(%rsp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,111,100,36,16                // movdqa        0x10(%rsp),%xmm4
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,15,249,204                      // psubw         %xmm4,%xmm1
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,68,15,213,240                   // pmullw        %xmm0,%xmm14
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,213,84,36,160                // pmullw        -0x60(%rsp),%xmm2
  .byte  102,68,15,213,76,36,192             // pmullw        -0x40(%rsp),%xmm9
  .byte  102,15,111,76,36,176                // movdqa        -0x50(%rsp),%xmm1
  .byte  102,15,213,76,36,208                // pmullw        -0x30(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,240                   // psubw         %xmm0,%xmm14
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,68,15,249,234                   // psubw         %xmm2,%xmm13
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,69,15,249,249                   // psubw         %xmm9,%xmm15
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,76,36,224                // movdqa        -0x20(%rsp),%xmm1
  .byte  102,15,249,200                      // psubw         %xmm0,%xmm1
  .byte  102,69,15,253,210                   // paddw         %xmm10,%xmm10
  .byte  102,15,111,68,36,32                 // movdqa        0x20(%rsp),%xmm0
  .byte  102,68,15,219,208                   // pand          %xmm0,%xmm10
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,194                   // por           %xmm10,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,69,15,253,192                   // paddw         %xmm8,%xmm8
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,68,15,219,192                   // pand          %xmm0,%xmm8
  .byte  102,65,15,223,199                   // pandn         %xmm15,%xmm0
  .byte  102,65,15,235,192                   // por           %xmm8,%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,15,219,248                      // pand          %xmm0,%xmm7
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,15,235,199                      // por           %xmm7,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,198                   // pandn         %xmm14,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,253,100,36,64             // paddw         0x40(%rsp),%xmm12
  .byte  102,68,15,253,92,36,240             // paddw         -0x10(%rsp),%xmm11
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,253,116,36,144               // paddw         -0x70(%rsp),%xmm6
  .byte  102,15,111,5,49,19,0,0              // movdqa        0x1331(%rip),%xmm0        # 2d4b0 <_sk_overlay_sse2_8bit+0x16ec>
  .byte  102,68,15,253,224                   // paddw         %xmm0,%xmm12
  .byte  102,68,15,253,227                   // paddw         %xmm3,%xmm12
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,69,15,253,216                   // paddw         %xmm8,%xmm11
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,5,21,19,0,0              // movdqa        0x1315(%rip),%xmm0        # 2d4c0 <_sk_overlay_sse2_8bit+0x16fc>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,68,15,228,224                   // pmulhuw       %xmm0,%xmm12
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,212,7                 // psrlw         $0x7,%xmm12
  .byte  102,69,15,103,227                   // packuswb      %xmm11,%xmm12
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,176,0,0,0              // movaps        0xb0(%rsp),%xmm2
  .byte  15,40,156,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm3
  .byte  102,65,15,111,196                   // movdqa        %xmm12,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  72,129,196,200,0,0,0                // add           $0xc8,%rsp
  .byte  255,224                             // jmpq          *%rax

BALIGN32
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,32                                // add           %ah,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  96                                  // (bad)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  144                                 // nop
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  176,64                              // mov           $0x40,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  208,64,0                            // rolb          0x0(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,0                                 // add           %eax,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  5,0,0,0,6                           // add           $0x6000000,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c268 <_sk_overlay_sse2_8bit+0xa0004a4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c270 <_sk_overlay_sse2_8bit+0x120004ac>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c278 <_sk_overlay_sse2_8bit+0x1a0004b4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c280 <_sk_overlay_sse2_8bit+0x30004bc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c2c8 <_sk_overlay_sse2_8bit+0xa000504>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c2d0 <_sk_overlay_sse2_8bit+0x1200050c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c2d8 <_sk_overlay_sse2_8bit+0x1a000514>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c2e0 <_sk_overlay_sse2_8bit+0x300051c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c328 <_sk_overlay_sse2_8bit+0xa000564>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c330 <_sk_overlay_sse2_8bit+0x1200056c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c338 <_sk_overlay_sse2_8bit+0x1a000574>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c340 <_sk_overlay_sse2_8bit+0x300057c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c388 <_sk_overlay_sse2_8bit+0xa0005c4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c390 <_sk_overlay_sse2_8bit+0x120005cc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c398 <_sk_overlay_sse2_8bit+0x1a0005d4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c3a0 <_sk_overlay_sse2_8bit+0x30005dc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c3e8 <_sk_overlay_sse2_8bit+0xa000624>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c3f0 <_sk_overlay_sse2_8bit+0x1200062c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c3f8 <_sk_overlay_sse2_8bit+0x1a000634>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c400 <_sk_overlay_sse2_8bit+0x300063c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c448 <_sk_overlay_sse2_8bit+0xa000684>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c450 <_sk_overlay_sse2_8bit+0x1200068c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c458 <_sk_overlay_sse2_8bit+0x1a000694>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c460 <_sk_overlay_sse2_8bit+0x300069c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c4a8 <_sk_overlay_sse2_8bit+0xa0006e4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c4b0 <_sk_overlay_sse2_8bit+0x120006ec>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c4b8 <_sk_overlay_sse2_8bit+0x1a0006f4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c4c0 <_sk_overlay_sse2_8bit+0x30006fc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c508 <_sk_overlay_sse2_8bit+0xa000744>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202c510 <_sk_overlay_sse2_8bit+0x1200074c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02c518 <_sk_overlay_sse2_8bit+0x1a000754>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302c520 <_sk_overlay_sse2_8bit+0x300075c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,32                                // add           %ah,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  96                                  // (bad)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  144                                 // nop
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  176,64                              // mov           $0x40,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  208,64,0                            // rolb          0x0(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  64,255,0                            // rex           incl (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,0,0                              // sldt          (%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  2,1                                 // add           (%rcx),%al
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,248,0                      // or            $0xf80f0c,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  252                                 // cld
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,4,5,8,9,12,13                     // add           %eax,0xd0c0908(,%rax,1)
  .byte  128,128,128,128,128,128,128         // addb          $0x80,-0x7f7f7f80(%rax)
  .byte  128,0,1                             // addb          $0x1,(%rax)
  .byte  4,5                                 // add           $0x5,%al
  .byte  8,9                                 // or            %cl,(%rcx)
  .byte  12,13                               // or            $0xd,%al
  .byte  128,128,128,128,128,128,128         // addb          $0x80,-0x7f7f7f80(%rax)
  .byte  128,3,255                           // addb          $0xff,(%rbx)
  .byte  7                                   // (bad)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,19                              // callq         *(%rbx)
  .byte  255,23                              // callq         *(%rdi)
  .byte  255,27                              // lcall         *(%rbx)
  .byte  255,31                              // lcall         *(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,3                               // incl          (%rbx)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,7                                 // add           (%rdi),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,4                               // add           %al,(%rsp,%rax,1)
  .byte  4,4                                 // add           $0x4,%al
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  12,12                               // or            $0xc,%al
  .byte  12,12                               // or            $0xc,%al
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  20,20                               // adc           $0x14,%al
  .byte  20,20                               // adc           $0x14,%al
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,4                                 // add           $0x4,%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  12,12                               // or            $0xc,%al
  .byte  12,12                               // or            $0xc,%al
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  20,20                               // adc           $0x14,%al
  .byte  20,20                               // adc           $0x14,%al
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,127,0                             // add           %bh,0x0(%rdi)
  .byte  129,128,0,0,0,0,0,0,0,0             // addl          $0x0,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,127,0                             // add           %bh,0x0(%rdi)
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80

BALIGN4
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,1                            // cmpb          $0x1,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  252                                 // cld
  .byte  190,0,0,128,191                     // mov           $0xbf800000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2cb2c <.literal4+0x64>
  .byte  154                                 // (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,61,10,23,63,174                  // ds            cmp $0xae3f170a,%eax
  .byte  71,225,61                           // rex.RXB       loope 2cb35 <.literal4+0x6d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2cb3f <.literal4+0x77>
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,92,143,50,63             // sbbl          $0x3f,0x328f5c3d(%rsi)
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,82,184,78,65                     // cmp           $0x414eb852,%eax
  .byte  186,159,98,60,57                    // mov           $0x393c629f,%edx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  32,187,109,165,144,63               // and           %bh,0x3f90a56d(%rbx)
  .byte  252                                 // cld
  .byte  191,16,62,168,177                   // mov           $0xb1a83e10,%edi
  .byte  152                                 // cwtl
  .byte  59,0                                // cmp           (%rax),%eax
  .byte  0,192                               // add           %al,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,128,64,171,170,42                 // add           %al,0x2aaaab40(%rax)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,129,128,128,59                  // mov           $0x3b808081,%esi
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  224,7                               // loopne        2cb55 <.literal4+0x8d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  31                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,8                                 // add           %cl,(%rax)
  .byte  33,4,61,128,0,128,55                // and           %eax,0x37800080(,%rdi,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,52,255                            // add           %dh,(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2cb68 <.literal4+0xa0>
  .byte  119,115                             // ja            2cbdd <.literal4+0x115>
  .byte  248                                 // clc
  .byte  194,117,191                         // retq          $0xbf75
  .byte  191,63,249,68,180                   // mov           $0xb444f93f,%edi
  .byte  62,163,233,220,63,81,140,242,66,141 // movabs        %eax,%ds:0x8d42f28c513fdce9
  .byte  188,190,63,248,245                  // mov           $0xf5f83fbe,%esp
  .byte  154                                 // (bad)
  .byte  64,254                              // rex           (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,200                               // add           %cl,%al
  .byte  66,0,0                              // rex.X         add %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%rcx)
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,10                               // cmp           (%rdx),%ecx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  163,59,194,24,17,60,203,61,13       // movabs        %eax,0xd3dcb3c1118c23b
  .byte  190,80,128,3,62                     // mov           $0x3e038050,%esi
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2cbf3 <.literal4+0x12b>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  124,66                              // jl            2cc02 <.literal4+0x13a>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,55,0,15                 // mov           %ecx,0xf003788(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,57,240,0                // mov           %ecx,0xf03988(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,59,15,0                 // mov           %ecx,0xf3b88(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,61,0,0                  // mov           %ecx,0x3d88(%rax)
  .byte  112,65                              // jo            2cc25 <.literal4+0x15d>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2cc2f <.literal4+0x167>
  .byte  208                                 // (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  152                                 // cwtl
  .byte  221,147,61,18,120,57                // fstl          0x3978123d(%rbx)
  .byte  64,45,16,17,192,32                  // rex           sub $0x20c01110,%eax
  .byte  148                                 // xchg          %eax,%esp
  .byte  90                                  // pop           %rdx
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,0,24                             // add           %bl,%ds:(%rax)
  .byte  161,57,111,43,231,187,159,215,202   // movabs        0xcad79fbbe72b6f39,%eax
  .byte  60,212                              // cmp           $0xd4,%al
  .byte  100,84                              // fs            push %rsp
  .byte  189,169,240,34,62                   // mov           $0x3e22f0a9,%ebp
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,191,0,0,192,191                   // add           %bh,-0x40400000(%rdi)
  .byte  114,28                              // jb            2cc4e <.literal4+0x186>
  .byte  199                                 // (bad)
  .byte  62,0,0                              // add           %al,%ds:(%rax)
  .byte  192,63,85                           // sarb          $0x55,(%rdi)
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,57,142,99,61                    // mov           $0x3d638e39,%edi
  .byte  114,249                             // jb            2cc3b <.literal4+0x173>
  .byte  127,63                              // jg            2cc83 <_sk_overlay_sse2_8bit+0xebf>
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,0,4                       // add           %al,0x4000000(%rax)
  .byte  0,128,0,0,0,56                      // add           %al,0x38000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,56,0                            // cmpb          $0x0,(%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,7                               // incl          (%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,1                               // incl          (%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,255                               // add           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)

BALIGN16
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,2                                 // add           %al,(%rdx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,2                                 // add           %al,(%rdx)
  .byte  4,6                                 // add           $0x6,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,0                                 // add           %eax,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  5,0,0,0,6                           // add           $0x6000000,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,32                                // add           %ah,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  96                                  // (bad)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,0                            // cmpb          $0x0,(%rdi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%rax)
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,1                            // cmpb          $0x1,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,191,0,0,128,191,0               // cmpb          $0x0,-0x40800000(%rdi)
  .byte  0,128,191,0,0,128                   // add           %al,-0x7fffff41(%rax)
  .byte  191,0,0,224,64                      // mov           $0x40e00000,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2cd98 <.literal16+0x128>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2cd9c <.literal16+0x12c>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2cda0 <.literal16+0x130>
  .byte  154                                 // (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,61,10,23,63,61                   // ds            cmp $0x3d3f170a,%eax
  .byte  10,23                               // or            (%rdi),%dl
  .byte  63                                  // (bad)
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%rdi),%dl
  .byte  63                                  // (bad)
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2cdc1 <.literal16+0x151>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2cdc5 <.literal16+0x155>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2cdc9 <.literal16+0x159>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2cdcd <.literal16+0x15d>
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02cda8 <_sk_overlay_sse2_8bit+0xa000fe4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,2                // decl          0x2ffffff(%rip)        # 302cdb0 <_sk_overlay_sse2_8bit+0x3000fec>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,127,67                            // add           %bh,0x43(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2ce0b <.literal16+0x19b>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2ce0f <.literal16+0x19f>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2ce13 <.literal16+0x1a3>
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%rsi)
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%rsi)
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  82                                  // push          %rdx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // rex.WRX
  .byte  65,82                               // push          %r10
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // rex.WRX
  .byte  65,57,215                           // cmp           %edx,%r15d
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%rbx)
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%rbx)
  .byte  186,159,98,60,186                   // mov           $0xba3c629f,%edx
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,186                              // cmp           $0xba,%al
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,186                              // cmp           $0xba,%al
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,109                              // cmp           $0x6d,%al
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%rsi)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%rsi)
  .byte  168,177                             // test          $0xb1,%al
  .byte  152                                 // cwtl
  .byte  59,168,177,152,59,168               // cmp           -0x57c4674f(%rax),%ebp
  .byte  177,152                             // mov           $0x98,%cl
  .byte  59,168,177,152,59,0                 // cmp           0x3b98b1(%rax),%ebp
  .byte  0,192                               // add           %al,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,171,170                      // addb          $0xaa,-0x55(%rax)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%rax)
  .byte  128,59,129                          // cmpb          $0x81,(%rbx)
  .byte  128,128,59,0,248,0,0                // addb          $0x0,0xf8003b(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  224,7                               // loopne        2cf19 <.literal16+0x2a9>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2cf1d <.literal16+0x2ad>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2cf21 <.literal16+0x2b1>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2cf25 <.literal16+0x2b5>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  31                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,8                                 // add           %cl,(%rax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%rdi,1)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,255                               // or            %bh,%bh
  .byte  10,255                              // or            %bh,%bh
  .byte  12,255                              // or            $0xff,%al
  .byte  14                                  // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,128,55,128                  // add           %al,-0x7fc88000(%rax)
  .byte  0,128,55,128,0,128                  // add           %al,-0x7fff7fc9(%rax)
  .byte  55                                  // (bad)
  .byte  128,0,128                           // addb          $0x80,(%rax)
  .byte  55                                  // (bad)
  .byte  8,128,10,128,12,128                 // or            %al,-0x7ff37ff6(%rax)
  .byte  14                                  // (bad)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,52,0                              // add           %dh,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2cfa4 <.literal16+0x334>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2cfa8 <.literal16+0x338>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2cfac <.literal16+0x33c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2cfb0 <.literal16+0x340>
  .byte  119,115                             // ja            2d025 <.literal16+0x3b5>
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // retq          $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // (bad)
  .byte  117,191                             // jne           2cf89 <.literal16+0x319>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // (bad)
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  163,233,220,63,163,233,220,63,163   // movabs        %eax,0xa33fdce9a33fdce9
  .byte  233,220,63,163,233                  // jmpq          ffffffffe9a60fca <_sk_overlay_sse2_8bit+0xffffffffe9a35206>
  .byte  220,63                              // fdivrl        (%rdi)
  .byte  81                                  // push          %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,141,188,190,63,141,188,190       // lea           -0x414372c1(%rsi,%r15,4),%edi
  .byte  63                                  // (bad)
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%rsi,%rdi,4),%edi
  .byte  63                                  // (bad)
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,254                              // rex           (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  75,0,0                              // rex.WXB       add %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  75,0,0                              // rex.WXB       add %al,(%r8)
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%rcx)
  .byte  13,60,203,61,13                     // or            $0xd3dcb3c,%eax
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,60,203,61                     // cmp           $0x3dcb3c0d,%eax
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,111,18                           // cmp           0x12(%rdi),%ebp
  .byte  3,59                                // add           (%rbx),%edi
  .byte  111                                 // outsl         %ds:(%rsi),(%dx)
  .byte  18,3                                // adc           (%rbx),%al
  .byte  59,111,18                           // cmp           0x12(%rdi),%ebp
  .byte  3,59                                // add           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  163,59,10,215,163,59,10,215,163     // movabs        %eax,0xa3d70a3ba3d70a3b
  .byte  59,10                               // cmp           (%rdx),%ecx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  163,59,194,24,17,60,194,24,17       // movabs        %eax,0x1118c23c1118c23b
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%rcx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%rcx)
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,190,203,61                    // cmp           $0x3dcbbe0d,%eax
  .byte  13,190,203,61,13                    // or            $0xd3dcbbe,%eax
  .byte  190,203,61,13,190                   // mov           $0xbe0d3dcb,%esi
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2d113 <.literal16+0x4a3>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2d117 <.literal16+0x4a7>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2d11b <.literal16+0x4ab>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2d11f <.literal16+0x4af>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  124,66                              // jl            2d156 <.literal16+0x4e6>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2d15a <.literal16+0x4ea>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2d15e <.literal16+0x4ee>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2d162 <.literal16+0x4f2>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%rax)
  .byte  136,55                              // mov           %dh,(%rdi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%rax)
  .byte  136,55                              // mov           %dh,(%rdi)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%rax)
  .byte  136,57                              // mov           %bh,(%rcx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%rax)
  .byte  136,57                              // mov           %bh,(%rcx)
  .byte  240,0,0                             // lock          add %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%rcx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%rax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%rcx),%ecx
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%rcx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%rax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2d1e5 <.literal16+0x575>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2d1e9 <.literal16+0x579>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2d1ed <.literal16+0x57d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2d1f1 <.literal16+0x581>
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,128,56                    // add           %al,0x38800000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,56,0                            // cmpb          $0x0,(%rax)
  .byte  0,128,56,0,0,128                    // add           %al,-0x7fffffc8(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  127,71                              // jg            2d25b <.literal16+0x5eb>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2d25f <.literal16+0x5ef>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2d263 <.literal16+0x5f3>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2d267 <.literal16+0x5f7>
  .byte  208                                 // (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  152                                 // cwtl
  .byte  221,147,61,152,221,147              // fstl          -0x6c2267c3(%rbx)
  .byte  61,152,221,147,61                   // cmp           $0x3d93dd98,%eax
  .byte  152                                 // cwtl
  .byte  221,147,61,45,16,17                 // fstl          0x11102d3d(%rbx)
  .byte  192,45,16,17,192,45,16              // shrb          $0x10,0x2dc01110(%rip)        # 2dc2e36a <_sk_overlay_sse2_8bit+0x2dc025a6>
  .byte  17,192                              // adc           %eax,%eax
  .byte  45,16,17,192,18                     // sub           $0x12c01110,%eax
  .byte  120,57                              // js            2d29c <.literal16+0x62c>
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,32,148,90,62,32,148,90           // and           %dl,0x5a94203e(%rdx,%rbx,2)
  .byte  62,32,148,90,62,32,148,90           // and           %dl,%ds:0x5a94203e(%rdx,%rbx,2)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,0,24                             // add           %bl,%ds:(%rax)
  .byte  161,57,0,24,161,57,0,24,161         // movabs        0xa1180039a1180039,%eax
  .byte  57,0                                // cmp           %eax,(%rax)
  .byte  24,161,57,111,43,231                // sbb           %ah,-0x18d490c7(%rcx)
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  111                                 // outsl         %ds:(%rsi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  159                                 // lahf
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,212                          // lret          $0xd43c
  .byte  100,84                              // fs            push %rsp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  212                                 // (bad)
  .byte  100,84                              // fs            push %rsp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%rsi),%bh
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%rsi),%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,128,62,0,0,128                    // add           %al,-0x7fffffc2(%rax)
  .byte  62,0,0                              // add           %al,%ds:(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,128,192,0,0,128                   // add           %al,-0x7fffff40(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  191,0,0,0,191                       // mov           $0xbf000000,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,191,0,0,192,191,0               // sarb          $0x0,-0x40400000(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  191,0,0,192,191                     // mov           $0xbfc00000,%edi
  .byte  114,28                              // jb            2d34e <.literal16+0x6de>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2d352 <.literal16+0x6e2>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2d356 <.literal16+0x6e6>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2d35a <.literal16+0x6ea>
  .byte  199                                 // (bad)
  .byte  62,85                               // ds            push %rbp
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %rbp
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // (bad)
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%rsi)
  .byte  99,61,57,142,99,61                  // movslq        0x3d638e39(%rip),%edi        # 3d6661a5 <_sk_overlay_sse2_8bit+0x3d63a3e1>
  .byte  57,142,99,61,114,249                // cmp           %ecx,-0x68dc29d(%rsi)
  .byte  127,63                              // jg            2d3b3 <.literal16+0x743>
  .byte  114,249                             // jb            2d36f <.literal16+0x6ff>
  .byte  127,63                              // jg            2d3b7 <.literal16+0x747>
  .byte  114,249                             // jb            2d373 <.literal16+0x703>
  .byte  127,63                              // jg            2d3bb <.literal16+0x74b>
  .byte  114,249                             // jb            2d377 <.literal16+0x707>
  .byte  127,63                              // jg            2d3bf <.literal16+0x74f>
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  128,0,4                             // addb          $0x4,(%rax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  128,0,2                             // addb          $0x2,(%rax)
  .byte  4,6                                 // add           $0x6,%al
  .byte  8,10                                // or            %cl,(%rdx)
  .byte  12,14                               // or            $0xe,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,2,1                              // lar           (%rcx),%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,248,0                      // or            $0xf80f0c,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  252                                 // cld
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,4,5,8,9,12,13                     // add           %eax,0xd0c0908(,%rax,1)
  .byte  8,9                                 // or            %cl,(%rcx)
  .byte  12,13                               // or            $0xd,%al
  .byte  12,13                               // or            $0xd,%al
  .byte  14                                  // (bad)
  .byte  15,7                                // sysret
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  255,7                               // incl          (%rdi)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,1                               // incl          (%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,8                               // decl          (%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,10                                // or            %cl,(%rdx)
  .byte  10,10                               // or            (%rdx),%cl
  .byte  10,12,12                            // or            (%rsp,%rcx,1),%cl
  .byte  12,12                               // or            $0xc,%al
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,2                                 // add           (%rdx),%al
  .byte  2,2                                 // add           (%rdx),%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  0,128,2,128,4,128                   // add           %al,-0x7ffb7ffe(%rax)
  .byte  6                                   // (bad)
  .byte  128,4,128,5                         // addb          $0x5,(%rax,%rax,4)
  .byte  128,6,128                           // addb          $0x80,(%rsi)
  .byte  7                                   // (bad)
  .byte  128,255,255                         // cmp           $0xff,%bh
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  127,0                               // jg            2d4b2 <.literal16+0x842>
  .byte  127,0                               // jg            2d4b4 <.literal16+0x844>
  .byte  127,0                               // jg            2d4b6 <.literal16+0x846>
  .byte  127,0                               // jg            2d4b8 <.literal16+0x848>
  .byte  127,0                               // jg            2d4ba <.literal16+0x84a>
  .byte  127,0                               // jg            2d4bc <.literal16+0x84c>
  .byte  127,0                               // jg            2d4be <.literal16+0x84e>
  .byte  127,0                               // jg            2d4c0 <.literal16+0x850>
  .byte  129,128,129,128,129,128,129,128,129,128// addl          $0x80818081,-0x7f7e7f7f(%rax)
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
#elif defined(__i386__)
BALIGN32

HIDDEN _sk_start_pipeline_sse2
.globl _sk_start_pipeline_sse2
FUNCTION(_sk_start_pipeline_sse2)
_sk_start_pipeline_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  59,69,20                            // cmp           0x14(%ebp),%eax
  .byte  115,112                             // jae           81 <_sk_start_pipeline_sse2+0x81>
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,117,24                          // mov           0x18(%ebp),%esi
  .byte  139,62                              // mov           (%esi),%edi
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  141,73,4                            // lea           0x4(%ecx),%ecx
  .byte  137,77,240                          // mov           %ecx,-0x10(%ebp)
  .byte  57,85,240                           // cmp           %edx,-0x10(%ebp)
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  137,77,152                          // mov           %ecx,-0x68(%ebp)
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  137,69,156                          // mov           %eax,-0x64(%ebp)
  .byte  199,69,160,0,0,0,0                  // movl          $0x0,-0x60(%ebp)
  .byte  137,200                             // mov           %ecx,%eax
  .byte  141,93,152                          // lea           -0x68(%ebp),%ebx
  .byte  119,29                              // ja            5f <_sk_start_pipeline_sse2+0x5f>
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  86                                  // push          %esi
  .byte  83                                  // push          %ebx
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,77,152                          // mov           -0x68(%ebp),%ecx
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  137,69,152                          // mov           %eax,-0x68(%ebp)
  .byte  131,193,8                           // add           $0x8,%ecx
  .byte  57,209                              // cmp           %edx,%ecx
  .byte  118,227                             // jbe           42 <_sk_start_pipeline_sse2+0x42>
  .byte  137,209                             // mov           %edx,%ecx
  .byte  41,193                              // sub           %eax,%ecx
  .byte  116,19                              // je            78 <_sk_start_pipeline_sse2+0x78>
  .byte  137,77,160                          // mov           %ecx,-0x60(%ebp)
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  86                                  // push          %esi
  .byte  141,69,152                          // lea           -0x68(%ebp),%eax
  .byte  80                                  // push          %eax
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,69,236                          // mov           -0x14(%ebp),%eax
  .byte  64                                  // inc           %eax
  .byte  59,69,20                            // cmp           0x14(%ebp),%eax
  .byte  117,164                             // jne           25 <_sk_start_pipeline_sse2+0x25>
  .byte  131,196,92                          // add           $0x5c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_just_return_sse2
.globl _sk_just_return_sse2
FUNCTION(_sk_just_return_sse2)
_sk_just_return_sse2:
  .byte  195                                 // ret

HIDDEN _sk_seed_shader_sse2
.globl _sk_seed_shader_sse2
FUNCTION(_sk_seed_shader_sse2)
_sk_seed_shader_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          94 <_sk_seed_shader_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  102,15,110,2                        // movd          (%edx),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,88,128,140,207,0,0               // addps         0xcf8c(%eax),%xmm0
  .byte  102,15,110,74,4                     // movd          0x4(%edx),%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,136,156,207,0,0               // addps         0xcf9c(%eax),%xmm1
  .byte  141,113,4                           // lea           0x4(%ecx),%esi
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,41,82,64                         // movaps        %xmm2,0x40(%edx)
  .byte  15,41,82,48                         // movaps        %xmm2,0x30(%edx)
  .byte  15,41,82,32                         // movaps        %xmm2,0x20(%edx)
  .byte  15,41,82,16                         // movaps        %xmm2,0x10(%edx)
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,144,172,207,0,0               // movaps        0xcfac(%eax),%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  86                                  // push          %esi
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dither_sse2
.globl _sk_dither_sse2
FUNCTION(_sk_dither_sse2)
_sk_dither_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  131,236,36                          // sub           $0x24,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          109 <_sk_dither_sse2+0x1a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  102,15,110,32                       // movd          (%eax),%xmm4
  .byte  102,15,112,236,0                    // pshufd        $0x0,%xmm4,%xmm5
  .byte  102,15,254,169,71,207,0,0           // paddd         0xcf47(%ecx),%xmm5
  .byte  102,15,110,96,4                     // movd          0x4(%eax),%xmm4
  .byte  102,15,112,252,0                    // pshufd        $0x0,%xmm4,%xmm7
  .byte  102,15,239,253                      // pxor          %xmm5,%xmm7
  .byte  102,15,111,177,87,207,0,0           // movdqa        0xcf57(%ecx),%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,219,206                      // pand          %xmm6,%xmm1
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  102,15,111,129,119,207,0,0          // movdqa        0xcf77(%ecx),%xmm0
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,219,185,103,207,0,0          // pand          0xcf67(%ecx),%xmm7
  .byte  102,15,219,169,103,207,0,0          // pand          0xcf67(%ecx),%xmm5
  .byte  102,15,114,246,4                    // pslld         $0x4,%xmm6
  .byte  102,15,254,192                      // paddd         %xmm0,%xmm0
  .byte  102,15,235,198                      // por           %xmm6,%xmm0
  .byte  102,15,114,213,2                    // psrld         $0x2,%xmm5
  .byte  102,15,235,197                      // por           %xmm5,%xmm0
  .byte  102,15,114,241,5                    // pslld         $0x5,%xmm1
  .byte  102,15,114,244,2                    // pslld         $0x2,%xmm4
  .byte  102,15,235,225                      // por           %xmm1,%xmm4
  .byte  102,15,235,224                      // por           %xmm0,%xmm4
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  102,15,114,215,1                    // psrld         $0x1,%xmm7
  .byte  102,15,235,231                      // por           %xmm7,%xmm4
  .byte  15,91,196                           // cvtdq2ps      %xmm4,%xmm0
  .byte  15,89,129,135,207,0,0               // mulps         0xcf87(%ecx),%xmm0
  .byte  15,88,129,151,207,0,0               // addps         0xcf97(%ecx),%xmm0
  .byte  243,15,16,14                        // movss         (%esi),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,93,208                           // minps         %xmm0,%xmm2
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  15,95,234                           // maxps         %xmm2,%xmm5
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,227                           // maxps         %xmm3,%xmm4
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,52                          // add           $0x34,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_uniform_color_sse2
.globl _sk_uniform_color_sse2
FUNCTION(_sk_uniform_color_sse2)
_sk_uniform_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_black_color_sse2
.globl _sk_black_color_sse2
FUNCTION(_sk_black_color_sse2)
_sk_black_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          245 <_sk_black_color_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,152,251,205,0,0               // movaps        0xcdfb(%eax),%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_white_color_sse2
.globl _sk_white_color_sse2
FUNCTION(_sk_white_color_sse2)
_sk_white_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          275 <_sk_white_color_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,128,203,205,0,0               // movaps        0xcdcb(%eax),%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_rgba_sse2
.globl _sk_load_rgba_sse2
FUNCTION(_sk_load_rgba_sse2)
_sk_load_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,16,1                             // movups        (%ecx),%xmm0
  .byte  15,16,73,16                         // movups        0x10(%ecx),%xmm1
  .byte  15,16,81,32                         // movups        0x20(%ecx),%xmm2
  .byte  15,16,89,48                         // movups        0x30(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_rgba_sse2
.globl _sk_store_rgba_sse2
FUNCTION(_sk_store_rgba_sse2)
_sk_store_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  15,17,2                             // movups        %xmm0,(%edx)
  .byte  15,17,74,16                         // movups        %xmm1,0x10(%edx)
  .byte  15,17,82,32                         // movups        %xmm2,0x20(%edx)
  .byte  15,17,90,48                         // movups        %xmm3,0x30(%edx)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clear_sse2
.globl _sk_clear_sse2
FUNCTION(_sk_clear_sse2)
_sk_clear_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcatop_sse2
.globl _sk_srcatop_sse2
FUNCTION(_sk_srcatop_sse2)
_sk_srcatop_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          324 <_sk_srcatop_sse2+0xb>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,170,28,205,0,0                // movaps        0xcd1c(%edx),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstatop_sse2
.globl _sk_dstatop_sse2
FUNCTION(_sk_dstatop_sse2)
_sk_dstatop_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          383 <_sk_dstatop_sse2+0xb>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,162,189,204,0,0               // movaps        0xccbd(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcin_sse2
.globl _sk_srcin_sse2
FUNCTION(_sk_srcin_sse2)
_sk_srcin_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstin_sse2
.globl _sk_dstin_sse2
FUNCTION(_sk_dstin_sse2)
_sk_dstin_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,40,73,32                         // movaps        0x20(%ecx),%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,81,48                         // movaps        0x30(%ecx),%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,89,89,64                         // mulps         0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcout_sse2
.globl _sk_srcout_sse2
FUNCTION(_sk_srcout_sse2)
_sk_srcout_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          444 <_sk_srcout_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,252,203,0,0               // movaps        0xcbfc(%eax),%xmm4
  .byte  15,92,98,64                         // subps         0x40(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstout_sse2
.globl _sk_dstout_sse2
FUNCTION(_sk_dstout_sse2)
_sk_dstout_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          47c <_sk_dstout_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,196,203,0,0               // movaps        0xcbc4(%eax),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,66,16                         // movaps        0x10(%edx),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,74,32                         // movaps        0x20(%edx),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,82,48                         // movaps        0x30(%edx),%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,98,64                         // mulps         0x40(%edx),%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcover_sse2
.globl _sk_srcover_sse2
FUNCTION(_sk_srcover_sse2)
_sk_srcover_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          4c3 <_sk_srcover_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,125,203,0,0               // movaps        0xcb7d(%eax),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,106,16                        // movaps        0x10(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,40,106,32                        // movaps        0x20(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,106,48                        // movaps        0x30(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,89,98,64                         // mulps         0x40(%edx),%xmm4
  .byte  15,88,220                           // addps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstover_sse2
.globl _sk_dstover_sse2
FUNCTION(_sk_dstover_sse2)
_sk_dstover_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          513 <_sk_dstover_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,106,64                        // movaps        0x40(%edx),%xmm5
  .byte  15,40,160,45,203,0,0                // movaps        0xcb2d(%eax),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,66,16                         // addps         0x10(%edx),%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,74,32                         // addps         0x20(%edx),%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,82,48                         // addps         0x30(%edx),%xmm2
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_modulate_sse2
.globl _sk_modulate_sse2
FUNCTION(_sk_modulate_sse2)
_sk_modulate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,89,65,16                         // mulps         0x10(%ecx),%xmm0
  .byte  15,89,73,32                         // mulps         0x20(%ecx),%xmm1
  .byte  15,89,81,48                         // mulps         0x30(%ecx),%xmm2
  .byte  15,89,89,64                         // mulps         0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_multiply_sse2
.globl _sk_multiply_sse2
FUNCTION(_sk_multiply_sse2)
_sk_multiply_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  232,0,0,0,0                         // call          592 <_sk_multiply_sse2+0x12>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,129,174,202,0,0               // movaps        0xcaae(%ecx),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,40,80,16                         // movaps        0x10(%eax),%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,96,32                         // movaps        0x20(%eax),%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,250                           // addps         %xmm2,%xmm7
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,96,48                         // movaps        0x30(%eax),%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_plus__sse2
.globl _sk_plus__sse2
FUNCTION(_sk_plus__sse2)
_sk_plus__sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          638 <_sk_plus__sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,88,66,16                         // addps         0x10(%edx),%xmm0
  .byte  15,40,160,8,202,0,0                 // movaps        0xca08(%eax),%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  15,88,74,32                         // addps         0x20(%edx),%xmm1
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,88,82,48                         // addps         0x30(%edx),%xmm2
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,88,90,64                         // addps         0x40(%edx),%xmm3
  .byte  15,93,220                           // minps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_screen_sse2
.globl _sk_screen_sse2
FUNCTION(_sk_screen_sse2)
_sk_screen_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,92,238                           // subps         %xmm6,%xmm5
  .byte  15,40,65,48                         // movaps        0x30(%ecx),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,40,65,64                         // movaps        0x40(%ecx),%xmm0
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xor__sse2
.globl _sk_xor__sse2
FUNCTION(_sk_xor__sse2)
_sk_xor__sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  232,0,0,0,0                         // call          6e6 <_sk_xor__sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,154,90,201,0,0                // movaps        0xc95a(%edx),%xmm3
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,40,121,16                        // movaps        0x10(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,40,121,48                        // movaps        0x30(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_darken_sse2
.globl _sk_darken_sse2
FUNCTION(_sk_darken_sse2)
_sk_darken_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          74e <_sk_darken_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,95,229                           // maxps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,95,207                           // maxps         %xmm7,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,138,242,200,0,0               // movaps        0xc8f2(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lighten_sse2
.globl _sk_lighten_sse2
FUNCTION(_sk_lighten_sse2)
_sk_lighten_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          7ce <_sk_lighten_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,93,207                           // minps         %xmm7,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,93,209                           // minps         %xmm1,%xmm2
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,138,114,200,0,0               // movaps        0xc872(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_difference_sse2
.globl _sk_difference_sse2
FUNCTION(_sk_difference_sse2)
_sk_difference_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          851 <_sk_difference_sse2+0x11>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,93,214                           // minps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,146,239,199,0,0               // movaps        0xc7ef(%edx),%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_exclusion_sse2
.globl _sk_exclusion_sse2
FUNCTION(_sk_exclusion_sse2)
_sk_exclusion_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          8d7 <_sk_exclusion_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,138,105,199,0,0               // movaps        0xc769(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,73,64                         // mulps         0x40(%ecx),%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_colorburn_sse2
.globl _sk_colorburn_sse2
FUNCTION(_sk_colorburn_sse2)
_sk_colorburn_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          956 <_sk_colorburn_sse2+0x19>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,83,244                           // rcpps         %xmm4,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,93,198                           // minps         %xmm6,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,40,177,234,198,0,0               // movaps        0xc6ea(%ecx),%xmm6
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,40,117,232                       // movaps        -0x18(%ebp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,231,0                        // cmpeqps       %xmm7,%xmm4
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,194,193,0                        // cmpeqps       %xmm1,%xmm0
  .byte  15,84,216                           // andps         %xmm0,%xmm3
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,40,96,32                         // movaps        0x20(%eax),%xmm4
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,109,216                       // movaps        -0x28(%ebp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,83,218                           // rcpps         %xmm2,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,40,117,200                       // movaps        -0x38(%ebp),%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,40,69,184                        // movaps        -0x48(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,194,215,0                        // cmpeqps       %xmm7,%xmm2
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  15,85,211                           // andnps        %xmm3,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,194,233,0                        // cmpeqps       %xmm1,%xmm5
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,234                           // andnps        %xmm2,%xmm5
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,40,117,200                       // movaps        -0x38(%ebp),%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,41,117,200                       // movaps        %xmm6,-0x38(%ebp)
  .byte  15,194,248,0                        // cmpeqps       %xmm0,%xmm7
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,69,216                        // mulps         -0x28(%ebp),%xmm0
  .byte  15,83,219                           // rcpps         %xmm3,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,93,227                           // minps         %xmm3,%xmm4
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,69,184                        // movaps        -0x48(%ebp),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,194,209,0                        // cmpeqps       %xmm1,%xmm2
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,200                        // addps         -0x38(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,84,247                           // andps         %xmm7,%xmm6
  .byte  15,85,249                           // andnps        %xmm1,%xmm7
  .byte  15,86,254                           // orps          %xmm6,%xmm7
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,86,211                           // orps          %xmm3,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,88,93,184                        // addps         -0x48(%ebp),%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_colordodge_sse2
.globl _sk_colordodge_sse2
FUNCTION(_sk_colordodge_sse2)
_sk_colordodge_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          adf <_sk_colordodge_sse2+0x16>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,145,97,197,0,0                // movaps        0xc561(%ecx),%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,83,219                           // rcpps         %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,40,104,64                        // movaps        0x40(%eax),%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,230,0                        // cmpeqps       %xmm6,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,40,125,216                       // movaps        -0x28(%ebp),%xmm7
  .byte  15,194,248,0                        // cmpeqps       %xmm0,%xmm7
  .byte  15,84,223                           // andps         %xmm7,%xmm3
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,41,125,216                       // movaps        %xmm7,-0x28(%ebp)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,198,0                        // cmpeqps       %xmm6,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,194,217,0                        // cmpeqps       %xmm1,%xmm3
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,194,200,0                        // cmpeqps       %xmm0,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,194,198,0                        // cmpeqps       %xmm6,%xmm0
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,196                           // orps          %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,215                           // orps          %xmm7,%xmm2
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hardlight_sse2
.globl _sk_hardlight_sse2
FUNCTION(_sk_hardlight_sse2)
_sk_hardlight_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          c40 <_sk_hardlight_sse2+0x16>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,40,145,0,196,0,0                 // movaps        0xc400(%ecx),%xmm2
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,88,16                         // movaps        0x10(%eax),%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,41,125,184                       // movaps        %xmm7,-0x48(%ebp)
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,194,230,2                        // cmpleps       %xmm6,%xmm4
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,85,231                           // andnps        %xmm7,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,88,32                         // movaps        0x20(%eax),%xmm3
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,85,184                        // movaps        -0x48(%ebp),%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,206,2                        // cmpleps       %xmm6,%xmm1
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,217                           // andps         %xmm1,%xmm3
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,86,203                           // orps          %xmm3,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,194,238,2                        // cmpleps       %xmm6,%xmm5
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,84,213                           // andps         %xmm5,%xmm2
  .byte  15,85,239                           // andnps        %xmm7,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,88,109,232                       // addps         -0x18(%ebp),%xmm5
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_overlay_sse2
.globl _sk_overlay_sse2
FUNCTION(_sk_overlay_sse2)
_sk_overlay_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,104                         // sub           $0x68,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  15,41,77,168                        // movaps        %xmm1,-0x58(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  232,0,0,0,0                         // call          d8b <_sk_overlay_sse2+0x1a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,40,161,181,194,0,0               // movaps        0xc2b5(%ecx),%xmm4
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,64,16                         // movaps        0x10(%eax),%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,109,184                       // movaps        %xmm5,-0x48(%ebp)
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,202,2                        // cmpleps       %xmm2,%xmm1
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,88,32                         // movaps        0x20(%eax),%xmm3
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,194,239,2                        // cmpleps       %xmm7,%xmm5
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,221                           // andps         %xmm5,%xmm3
  .byte  15,85,233                           // andnps        %xmm1,%xmm5
  .byte  15,86,235                           // orps          %xmm3,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,72,48                         // movaps        0x30(%eax),%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,194,247,2                        // cmpleps       %xmm7,%xmm6
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,88,227                           // addps         %xmm3,%xmm4
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,84,206                           // andps         %xmm6,%xmm1
  .byte  15,85,247                           // andnps        %xmm7,%xmm6
  .byte  15,86,241                           // orps          %xmm1,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,120                         // add           $0x78,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_softlight_sse2
.globl _sk_softlight_sse2
FUNCTION(_sk_softlight_sse2)
_sk_softlight_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,149,88,255,255,255            // movaps        %xmm2,-0xa8(%ebp)
  .byte  15,41,77,136                        // movaps        %xmm1,-0x78(%ebp)
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,88,64                         // movaps        0x40(%eax),%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,94,211                           // divps         %xmm3,%xmm2
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  232,0,0,0,0                         // call          f1b <_sk_softlight_sse2+0x52>
  .byte  89                                  // pop           %ecx
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,137,149,193,0,0               // movaps        0xc195(%ecx),%xmm1
  .byte  15,41,141,104,255,255,255           // movaps        %xmm1,-0x98(%ebp)
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,185,37,193,0,0                // movaps        0xc125(%ecx),%xmm7
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,82,242                           // rsqrtps       %xmm2,%xmm6
  .byte  15,83,206                           // rcpps         %xmm6,%xmm1
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,161,165,193,0,0               // movaps        0xc1a5(%ecx),%xmm4
  .byte  15,41,101,152                       // movaps        %xmm4,-0x68(%ebp)
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,194,198,2                        // cmpleps       %xmm6,%xmm0
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,41,141,120,255,255,255           // movaps        %xmm1,-0x88(%ebp)
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,215                           // orps          %xmm7,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,149,72,255,255,255            // movaps        %xmm2,-0xb8(%ebp)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,94,101,184                       // divps         -0x48(%ebp),%xmm4
  .byte  15,84,101,200                       // andps         -0x38(%ebp),%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,89,219                           // mulps         %xmm3,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,141,104,255,255,255           // addps         -0x98(%ebp),%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,82,220                           // rsqrtps       %xmm4,%xmm3
  .byte  15,83,235                           // rcpps         %xmm3,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,89,101,152                       // mulps         -0x68(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,93,136                        // movaps        -0x78(%ebp),%xmm3
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,69,184,2                     // cmpleps       -0x48(%ebp),%xmm0
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,196                           // orps          %xmm4,%xmm0
  .byte  15,40,101,184                       // movaps        -0x48(%ebp),%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,77,136                        // movaps        -0x78(%ebp),%xmm1
  .byte  15,89,141,120,255,255,255           // mulps         -0x88(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,194,221,2                        // cmpleps       %xmm5,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,84,251                           // andps         %xmm3,%xmm7
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,86,223                           // orps          %xmm7,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,94,252                           // divps         %xmm4,%xmm7
  .byte  15,84,125,200                       // andps         -0x38(%ebp),%xmm7
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,173,104,255,255,255           // movaps        -0x98(%ebp),%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,82,207                           // rsqrtps       %xmm7,%xmm1
  .byte  15,83,201                           // rcpps         %xmm1,%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,41,77,200                        // movaps        %xmm1,-0x38(%ebp)
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,173,88,255,255,255            // movaps        -0xa8(%ebp),%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,69,200                        // andnps        -0x38(%ebp),%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,89,141,120,255,255,255           // mulps         -0x88(%ebp),%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,194,234,2                        // cmpleps       %xmm2,%xmm5
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,84,213                           // andps         %xmm5,%xmm2
  .byte  15,85,232                           // andnps        %xmm0,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,133,72,255,255,255            // movaps        -0xb8(%ebp),%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hue_sse2
.globl _sk_hue_sse2
FUNCTION(_sk_hue_sse2)
_sk_hue_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,40,88,48                         // movaps        0x30(%eax),%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,95,211                           // maxps         %xmm3,%xmm2
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,168                       // movaps        %xmm4,-0x58(%ebp)
  .byte  232,0,0,0,0                         // call          11dc <_sk_hue_sse2+0x4f>
  .byte  89                                  // pop           %ecx
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,40,169,100,190,0,0               // movaps        0xbe64(%ecx),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,41,181,104,255,255,255           // movaps        %xmm6,-0x98(%ebp)
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,41,173,88,255,255,255            // movaps        %xmm5,-0xa8(%ebp)
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,93,249                           // minps         %xmm1,%xmm7
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,173,120,255,255,255           // movaps        %xmm5,-0x88(%ebp)
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,153,244,190,0,0               // movaps        0xbef4(%ecx),%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,117,152                       // movaps        -0x68(%ebp),%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,153,4,191,0,0                 // movaps        0xbf04(%ecx),%xmm3
  .byte  15,40,109,136                       // movaps        -0x78(%ebp),%xmm5
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,40,137,100,190,0,0               // movaps        0xbe64(%ecx),%xmm1
  .byte  15,92,77,184                        // subps         -0x48(%ebp),%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,152                       // movaps        %xmm6,-0x68(%ebp)
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,168                       // movaps        %xmm6,-0x58(%ebp)
  .byte  15,40,169,20,191,0,0                // movaps        0xbf14(%ecx),%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  15,40,181,120,255,255,255           // movaps        -0x88(%ebp),%xmm6
  .byte  15,94,244                           // divps         %xmm4,%xmm6
  .byte  15,94,196                           // divps         %xmm4,%xmm0
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,231,4                        // cmpneqps      %xmm7,%xmm4
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,244                           // andps         %xmm4,%xmm6
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,89,77,184                        // mulps         -0x48(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,93,193                           // minps         %xmm1,%xmm0
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,93,216                        // addps         -0x28(%ebp),%xmm3
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,194,215,1                        // cmpltps       %xmm7,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,101,200                       // orps          -0x38(%ebp),%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,94,93,232                        // divps         -0x18(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,85,227                           // andnps        %xmm3,%xmm4
  .byte  15,84,240                           // andps         %xmm0,%xmm6
  .byte  15,86,244                           // orps          %xmm4,%xmm6
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,94,93,232                        // divps         -0x18(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,195                           // andnps        %xmm3,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,88,93,152                        // addps         -0x68(%ebp),%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,141,104,255,255,255           // movaps        -0x98(%ebp),%xmm1
  .byte  15,88,77,136                        // addps         -0x78(%ebp),%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,88,149,88,255,255,255            // addps         -0xa8(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_saturation_sse2
.globl _sk_saturation_sse2
FUNCTION(_sk_saturation_sse2)
_sk_saturation_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,216,0,0,0                   // sub           $0xd8,%esp
  .byte  15,41,149,40,255,255,255            // movaps        %xmm2,-0xd8(%ebp)
  .byte  15,41,141,56,255,255,255            // movaps        %xmm1,-0xc8(%ebp)
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,112,16                        // movaps        0x10(%eax),%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,95,236                           // maxps         %xmm4,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,93,226                           // minps         %xmm2,%xmm4
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,120,48                        // movaps        0x30(%eax),%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,93,207                           // minps         %xmm7,%xmm1
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,93,209                           // minps         %xmm1,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,95,207                           // maxps         %xmm7,%xmm1
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,40,64,64                         // movaps        0x40(%eax),%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,41,77,168                        // movaps        %xmm1,-0x58(%ebp)
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  232,0,0,0,0                         // call          1530 <_sk_saturation_sse2+0xb0>
  .byte  89                                  // pop           %ecx
  .byte  15,40,153,160,187,0,0               // movaps        0xbba0(%ecx),%xmm3
  .byte  15,41,157,88,255,255,255            // movaps        %xmm3,-0xa8(%ebp)
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,40,153,176,187,0,0               // movaps        0xbbb0(%ecx),%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,129,16,187,0,0                // movaps        0xbb10(%ecx),%xmm0
  .byte  15,41,133,104,255,255,255           // movaps        %xmm0,-0x98(%ebp)
  .byte  15,92,69,216                        // subps         -0x28(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,77,184                        // movaps        %xmm1,-0x48(%ebp)
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,136                       // movaps        %xmm6,-0x78(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,141,120,255,255,255           // movaps        %xmm1,-0x88(%ebp)
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,129,192,187,0,0               // movaps        0xbbc0(%ecx),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,94,236                           // divps         %xmm4,%xmm5
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  15,94,252                           // divps         %xmm4,%xmm7
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,227,4                        // cmpneqps      %xmm3,%xmm4
  .byte  15,84,236                           // andps         %xmm4,%xmm5
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,231                           // andps         %xmm7,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,165,88,255,255,255            // movaps        -0xa8(%ebp),%xmm4
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,125,232                       // mulps         -0x18(%ebp),%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,77,216                        // mulps         -0x28(%ebp),%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,93,217                           // minps         %xmm1,%xmm3
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,93,251                           // minps         %xmm3,%xmm7
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,95,217                           // maxps         %xmm1,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,95,243                           // maxps         %xmm3,%xmm6
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,88,220                           // addps         %xmm4,%xmm3
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,223,2                        // cmpleps       %xmm7,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,94,250                           // divps         %xmm2,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,84,235                           // andps         %xmm3,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,40,125,152                       // movaps        -0x68(%ebp),%xmm7
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,194,214,1                        // cmpltps       %xmm6,%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,94,238                           // divps         %xmm6,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,234                           // andps         %xmm2,%xmm5
  .byte  15,86,236                           // orps          %xmm4,%xmm5
  .byte  15,41,109,168                       // movaps        %xmm5,-0x58(%ebp)
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,94,101,232                       // divps         -0x18(%ebp),%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,86,229                           // orps          %xmm5,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,94,230                           // divps         %xmm6,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,229                           // orps          %xmm5,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,94,101,232                       // divps         -0x18(%ebp),%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,84,203                           // andps         %xmm3,%xmm1
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,203                           // andnps        %xmm3,%xmm1
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,94,222                           // divps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,95,232                           // maxps         %xmm0,%xmm5
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,40,165,104,255,255,255           // movaps        -0x98(%ebp),%xmm4
  .byte  15,92,101,152                       // subps         -0x68(%ebp),%xmm4
  .byte  15,40,133,72,255,255,255            // movaps        -0xb8(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,69,184                        // addps         -0x48(%ebp),%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,40,141,56,255,255,255            // movaps        -0xc8(%ebp),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,136                        // addps         -0x78(%ebp),%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,89,165,40,255,255,255            // mulps         -0xd8(%ebp),%xmm4
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,232,0,0,0                   // add           $0xe8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_color_sse2
.globl _sk_color_sse2
FUNCTION(_sk_color_sse2)
_sk_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,200,0,0,0                   // sub           $0xc8,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,41,173,120,255,255,255           // movaps        %xmm5,-0x88(%ebp)
  .byte  232,0,0,0,0                         // call          178b <_sk_color_sse2+0x2a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,16                         // movaps        0x10(%eax),%xmm2
  .byte  15,40,72,32                         // movaps        0x20(%eax),%xmm1
  .byte  15,40,177,69,185,0,0                // movaps        0xb945(%ecx),%xmm6
  .byte  15,41,117,216                       // movaps        %xmm6,-0x28(%ebp)
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,153,85,185,0,0                // movaps        0xb955(%ecx),%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,40,129,181,184,0,0               // movaps        0xb8b5(%ecx),%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  15,92,69,200                        // subps         -0x38(%ebp),%xmm0
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,41,149,56,255,255,255            // movaps        %xmm2,-0xc8(%ebp)
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,141,88,255,255,255            // movaps        %xmm1,-0xa8(%ebp)
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,40,137,101,185,0,0               // movaps        0xb965(%ecx),%xmm1
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,40,88,64                         // movaps        0x40(%eax),%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,109,216                       // mulps         -0x28(%ebp),%xmm5
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,125,184                       // mulps         -0x48(%ebp),%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,41,109,168                       // movaps        %xmm5,-0x58(%ebp)
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,41,109,200                       // movaps        %xmm5,-0x38(%ebp)
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,109,152                       // mulps         -0x68(%ebp),%xmm5
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,93,218                           // minps         %xmm2,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,93,227                           // minps         %xmm3,%xmm4
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,95,235                           // maxps         %xmm3,%xmm5
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,252,2                        // cmpleps       %xmm4,%xmm7
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,84,199                           // andps         %xmm7,%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,194,229,1                        // cmpltps       %xmm5,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,94,197                           // divps         %xmm5,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,86,69,232                        // orps          -0x18(%ebp),%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,94,93,184                        // divps         -0x48(%ebp),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,40,109,232                       // movaps        -0x18(%ebp),%xmm5
  .byte  15,85,235                           // andnps        %xmm3,%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,84,247                           // andps         %xmm7,%xmm6
  .byte  15,86,117,232                       // orps          -0x18(%ebp),%xmm6
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,85,222                           // andnps        %xmm6,%xmm3
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,89,117,216                       // mulps         -0x28(%ebp),%xmm6
  .byte  15,40,109,136                       // movaps        -0x78(%ebp),%xmm5
  .byte  15,94,245                           // divps         %xmm5,%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,84,244                           // andps         %xmm4,%xmm6
  .byte  15,86,243                           // orps          %xmm3,%xmm6
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,94,93,184                        // divps         -0x48(%ebp),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,84,215                           // andps         %xmm7,%xmm2
  .byte  15,85,251                           // andnps        %xmm3,%xmm7
  .byte  15,86,250                           // orps          %xmm2,%xmm7
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,125,216                       // mulps         -0x28(%ebp),%xmm7
  .byte  15,94,253                           // divps         %xmm5,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,84,252                           // andps         %xmm4,%xmm7
  .byte  15,86,250                           // orps          %xmm2,%xmm7
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,95,241                           // maxps         %xmm1,%xmm6
  .byte  15,95,249                           // maxps         %xmm1,%xmm7
  .byte  15,40,141,120,255,255,255           // movaps        -0x88(%ebp),%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,141,56,255,255,255            // addps         -0xc8(%ebp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,141,104,255,255,255           // movaps        -0x98(%ebp),%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,88,141,88,255,255,255            // addps         -0xa8(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,85,152                        // movaps        -0x68(%ebp),%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,149,72,255,255,255            // addps         -0xb8(%ebp),%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,216,0,0,0                   // add           $0xd8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_luminosity_sse2
.globl _sk_luminosity_sse2
FUNCTION(_sk_luminosity_sse2)
_sk_luminosity_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  232,0,0,0,0                         // call          19ee <_sk_luminosity_sse2+0x11>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,161,226,182,0,0               // movaps        0xb6e2(%ecx),%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,40,161,242,182,0,0               // movaps        0xb6f2(%ecx),%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,40,161,82,182,0,0                // movaps        0xb652(%ecx),%xmm4
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,41,141,88,255,255,255            // movaps        %xmm1,-0xa8(%ebp)
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,41,189,104,255,255,255           // movaps        %xmm7,-0x98(%ebp)
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,137,2,183,0,0                 // movaps        0xb702(%ecx),%xmm1
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,40,112,32                        // movaps        0x20(%eax),%xmm6
  .byte  15,41,117,152                       // movaps        %xmm6,-0x68(%ebp)
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,125,216                       // mulps         -0x28(%ebp),%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,40,69,136                        // movaps        -0x78(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,125,216                       // movaps        -0x28(%ebp),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,41,125,216                       // movaps        %xmm7,-0x28(%ebp)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,86,239                           // orps          %xmm7,%xmm5
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,194,223,1                        // cmpltps       %xmm7,%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,41,101,184                       // movaps        %xmm4,-0x48(%ebp)
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,94,239                           // divps         %xmm7,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,84,235                           // andps         %xmm3,%xmm5
  .byte  15,86,109,184                       // orps          -0x48(%ebp),%xmm5
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,101,216                       // divps         -0x28(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,84,240                           // andps         %xmm0,%xmm6
  .byte  15,86,247                           // orps          %xmm7,%xmm6
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,85,230                           // andnps        %xmm6,%xmm4
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,94,117,200                       // divps         -0x38(%ebp),%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,84,243                           // andps         %xmm3,%xmm6
  .byte  15,86,244                           // orps          %xmm4,%xmm6
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,101,216                       // divps         -0x28(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,94,69,200                        // divps         -0x38(%ebp),%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,233                           // maxps         %xmm1,%xmm5
  .byte  15,95,241                           // maxps         %xmm1,%xmm6
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,88,93,136                        // addps         -0x78(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,88,77,152                        // addps         -0x68(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,88,149,104,255,255,255           // addps         -0x98(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcover_rgba_8888_sse2
.globl _sk_srcover_rgba_8888_sse2
FUNCTION(_sk_srcover_rgba_8888_sse2)
_sk_srcover_rgba_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  232,0,0,0,0                         // call          1c59 <_sk_srcover_rgba_8888_sse2+0x17>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,133,224,0,0,0                    // jne           1d5b <_sk_srcover_rgba_8888_sse2+0x119>
  .byte  243,15,111,20,178                   // movdqu        (%edx,%esi,4),%xmm2
  .byte  102,15,111,167,167,180,0,0          // movdqa        0xb4a7(%edi),%xmm4
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,252                      // pand          %xmm4,%xmm7
  .byte  15,91,229                           // cvtdq2ps      %xmm5,%xmm4
  .byte  15,41,97,16                         // movaps        %xmm4,0x10(%ecx)
  .byte  15,40,175,231,179,0,0               // movaps        0xb3e7(%edi),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,143,183,180,0,0               // movaps        0xb4b7(%edi),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,41,121,48                        // movaps        %xmm7,0x30(%ecx)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  102,15,114,210,24                   // psrld         $0x18,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,41,65,64                         // movaps        %xmm0,0x40(%ecx)
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,91,206                       // cvtps2dq      %xmm6,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,91,215                       // cvtps2dq      %xmm7,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,91,197                       // cvtps2dq      %xmm5,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,95                              // jne           1d96 <_sk_srcover_rgba_8888_sse2+0x154>
  .byte  243,15,127,4,178                    // movdqu        %xmm0,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,216                             // mov           %ebx,%eax
  .byte  136,69,243                          // mov           %al,-0xd(%ebp)
  .byte  128,101,243,3                       // andb          $0x3,-0xd(%ebp)
  .byte  128,125,243,1                       // cmpb          $0x1,-0xd(%ebp)
  .byte  116,80                              // je            1dba <_sk_srcover_rgba_8888_sse2+0x178>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  128,125,243,2                       // cmpb          $0x2,-0xd(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  116,21                              // je            1d8c <_sk_srcover_rgba_8888_sse2+0x14a>
  .byte  128,125,243,3                       // cmpb          $0x3,-0xd(%ebp)
  .byte  15,133,255,254,255,255              // jne           1c80 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  102,15,110,84,178,8                 // movd          0x8(%edx,%esi,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,15,18,20,178                    // movlpd        (%edx,%esi,4),%xmm2
  .byte  233,234,254,255,255                 // jmp           1c80 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,41                              // je            1dc7 <_sk_srcover_rgba_8888_sse2+0x185>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            1db3 <_sk_srcover_rgba_8888_sse2+0x171>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,148                             // jne           1d3c <_sk_srcover_rgba_8888_sse2+0xfa>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,76,178,8                 // movd          %xmm1,0x8(%edx,%esi,4)
  .byte  102,15,214,4,178                    // movq          %xmm0,(%edx,%esi,4)
  .byte  235,130                             // jmp           1d3c <_sk_srcover_rgba_8888_sse2+0xfa>
  .byte  102,15,110,20,178                   // movd          (%edx,%esi,4),%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  233,185,254,255,255                 // jmp           1c80 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  102,15,126,4,178                    // movd          %xmm0,(%edx,%esi,4)
  .byte  233,107,255,255,255                 // jmp           1d3c <_sk_srcover_rgba_8888_sse2+0xfa>

HIDDEN _sk_clamp_0_sse2
.globl _sk_clamp_0_sse2
FUNCTION(_sk_clamp_0_sse2)
_sk_clamp_0_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,196                           // maxps         %xmm4,%xmm0
  .byte  15,95,204                           // maxps         %xmm4,%xmm1
  .byte  15,95,212                           // maxps         %xmm4,%xmm2
  .byte  15,95,220                           // maxps         %xmm4,%xmm3
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_1_sse2
.globl _sk_clamp_1_sse2
FUNCTION(_sk_clamp_1_sse2)
_sk_clamp_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e05 <_sk_clamp_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,160,59,178,0,0                // movaps        0xb23b(%eax),%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,93,220                           // minps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_a_sse2
.globl _sk_clamp_a_sse2
FUNCTION(_sk_clamp_a_sse2)
_sk_clamp_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e38 <_sk_clamp_a_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,93,152,8,178,0,0                 // minps         0xb208(%eax),%xmm3
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_a_dst_sse2
.globl _sk_clamp_a_dst_sse2
FUNCTION(_sk_clamp_a_dst_sse2)
_sk_clamp_a_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e68 <_sk_clamp_a_dst_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,98,64                         // movaps        0x40(%edx),%xmm4
  .byte  15,93,160,216,177,0,0               // minps         0xb1d8(%eax),%xmm4
  .byte  15,41,98,64                         // movaps        %xmm4,0x40(%edx)
  .byte  15,40,106,16                        // movaps        0x10(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,16                        // movaps        %xmm5,0x10(%edx)
  .byte  15,40,106,32                        // movaps        0x20(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,32                        // movaps        %xmm5,0x20(%edx)
  .byte  15,40,106,48                        // movaps        0x30(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,48                        // movaps        %xmm5,0x30(%edx)
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_set_rgb_sse2
.globl _sk_set_rgb_sse2
FUNCTION(_sk_set_rgb_sse2)
_sk_set_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_swap_rb_sse2
.globl _sk_swap_rb_sse2
FUNCTION(_sk_swap_rb_sse2)
_sk_swap_rb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_invert_sse2
.globl _sk_invert_sse2
FUNCTION(_sk_invert_sse2)
_sk_invert_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1f13 <_sk_invert_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,160,45,177,0,0                // movaps        0xb12d(%eax),%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_move_src_dst_sse2
.globl _sk_move_src_dst_sse2
FUNCTION(_sk_move_src_dst_sse2)
_sk_move_src_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,41,65,16                         // movaps        %xmm0,0x10(%ecx)
  .byte  15,41,73,32                         // movaps        %xmm1,0x20(%ecx)
  .byte  15,41,81,48                         // movaps        %xmm2,0x30(%ecx)
  .byte  15,41,89,64                         // movaps        %xmm3,0x40(%ecx)
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_move_dst_src_sse2
.globl _sk_move_dst_src_sse2
FUNCTION(_sk_move_dst_src_sse2)
_sk_move_dst_src_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,40,73,32                         // movaps        0x20(%ecx),%xmm1
  .byte  15,40,81,48                         // movaps        0x30(%ecx),%xmm2
  .byte  15,40,89,64                         // movaps        0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_premul_sse2
.globl _sk_premul_sse2
FUNCTION(_sk_premul_sse2)
_sk_premul_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_premul_dst_sse2
.globl _sk_premul_dst_sse2
FUNCTION(_sk_premul_dst_sse2)
_sk_premul_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  15,40,105,32                        // movaps        0x20(%ecx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  15,89,97,48                         // mulps         0x30(%ecx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_unpremul_sse2
.globl _sk_unpremul_sse2
FUNCTION(_sk_unpremul_sse2)
_sk_unpremul_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          2011 <_sk_unpremul_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,40,168,47,176,0,0                // movaps        0xb02f(%eax),%xmm5
  .byte  15,94,235                           // divps         %xmm3,%xmm5
  .byte  15,194,227,4                        // cmpneqps      %xmm3,%xmm4
  .byte  15,84,229                           // andps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_from_srgb_sse2
.globl _sk_from_srgb_sse2
FUNCTION(_sk_from_srgb_sse2)
_sk_from_srgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          205b <_sk_from_srgb_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,40,160,117,176,0,0               // movaps        0xb075(%eax),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,176,213,176,0,0               // movaps        0xb0d5(%eax),%xmm6
  .byte  15,41,117,216                       // movaps        %xmm6,-0x28(%ebp)
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,176,197,176,0,0               // movaps        0xb0c5(%eax),%xmm6
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,184,229,176,0,0               // movaps        0xb0e5(%eax),%xmm7
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,184,245,176,0,0               // movaps        0xb0f5(%eax),%xmm7
  .byte  15,194,215,1                        // cmpltps       %xmm7,%xmm2
  .byte  15,84,202                           // andps         %xmm2,%xmm1
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,194,223,1                        // cmpltps       %xmm7,%xmm3
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,101,216                       // addps         -0x28(%ebp),%xmm4
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,232                       // addps         -0x18(%ebp),%xmm4
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,194,239,1                        // cmpltps       %xmm7,%xmm5
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_from_srgb_dst_sse2
.globl _sk_from_srgb_dst_sse2
FUNCTION(_sk_from_srgb_dst_sse2)
_sk_from_srgb_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,72                          // sub           $0x48,%esp
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          2136 <_sk_from_srgb_dst_sse2+0x1b>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,40,161,154,175,0,0               // movaps        0xaf9a(%ecx),%xmm4
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,177,250,175,0,0               // movaps        0xaffa(%ecx),%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,169,234,175,0,0               // movaps        0xafea(%ecx),%xmm5
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,40,185,10,176,0,0                // movaps        0xb00a(%ecx),%xmm7
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,153,26,176,0,0                // movaps        0xb01a(%ecx),%xmm3
  .byte  15,194,203,1                        // cmpltps       %xmm3,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  15,41,72,16                         // movaps        %xmm1,0x10(%eax)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,194                           // andnps        %xmm2,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,41,64,32                         // movaps        %xmm0,0x20(%eax)
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,41,64,48                         // movaps        %xmm0,0x30(%eax)
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,88                          // add           $0x58,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_to_srgb_sse2
.globl _sk_to_srgb_sse2
FUNCTION(_sk_to_srgb_sse2)
_sk_to_srgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,72                          // sub           $0x48,%esp
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          2221 <_sk_to_srgb_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,82,218                           // rsqrtps       %xmm2,%xmm3
  .byte  15,40,160,79,175,0,0                // movaps        0xaf4f(%eax),%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,128,95,175,0,0                // movaps        0xaf5f(%eax),%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,40,128,111,175,0,0               // movaps        0xaf6f(%eax),%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,128,127,175,0,0               // movaps        0xaf7f(%eax),%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,83,195                           // rcpps         %xmm3,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,168,63,175,0,0                // movaps        0xaf3f(%eax),%xmm5
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,152,143,175,0,0               // movaps        0xaf8f(%eax),%xmm3
  .byte  15,194,211,1                        // cmpltps       %xmm3,%xmm2
  .byte  15,84,202                           // andps         %xmm2,%xmm1
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  15,82,198                           // rsqrtps       %xmm6,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,200                        // addps         -0x38(%ebp),%xmm1
  .byte  15,88,69,216                        // addps         -0x28(%ebp),%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,194,243,1                        // cmpltps       %xmm3,%xmm6
  .byte  15,84,206                           // andps         %xmm6,%xmm1
  .byte  15,85,240                           // andnps        %xmm0,%xmm6
  .byte  15,86,241                           // orps          %xmm1,%xmm6
  .byte  15,82,199                           // rsqrtps       %xmm7,%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,232                       // addps         -0x18(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,88,69,216                        // addps         -0x28(%ebp),%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,194,251,1                        // cmpltps       %xmm3,%xmm7
  .byte  15,84,239                           // andps         %xmm7,%xmm5
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,253                           // orps          %xmm5,%xmm7
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,88                          // add           $0x58,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_rgb_to_hsl_sse2
.globl _sk_rgb_to_hsl_sse2
FUNCTION(_sk_rgb_to_hsl_sse2)
_sk_rgb_to_hsl_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          2318 <_sk_rgb_to_hsl_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,40,136,40,173,0,0                // movaps        0xad28(%eax),%xmm1
  .byte  15,94,200                           // divps         %xmm0,%xmm1
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,194,234,1                        // cmpltps       %xmm2,%xmm5
  .byte  15,84,168,168,174,0,0               // andps         0xaea8(%eax),%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,196,0                        // cmpeqps       %xmm4,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,194,247,0                        // cmpeqps       %xmm7,%xmm6
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,40,136,184,174,0,0               // movaps        0xaeb8(%eax),%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,160,200,174,0,0               // addps         0xaec8(%eax),%xmm4
  .byte  15,84,214                           // andps         %xmm6,%xmm2
  .byte  15,85,244                           // andnps        %xmm4,%xmm6
  .byte  15,86,242                           // orps          %xmm2,%xmm6
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,198                           // andnps        %xmm6,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,194,226,4                        // cmpneqps      %xmm2,%xmm4
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,168,24,173,0,0                // movaps        0xad18(%eax),%xmm5
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,194,234,1                        // cmpltps       %xmm2,%xmm5
  .byte  15,84,205                           // andps         %xmm5,%xmm1
  .byte  15,85,235                           // andnps        %xmm3,%xmm5
  .byte  15,86,233                           // orps          %xmm1,%xmm5
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,94,205                           // divps         %xmm5,%xmm1
  .byte  15,89,128,216,174,0,0               // mulps         0xaed8(%eax),%xmm0
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hsl_to_rgb_sse2
.globl _sk_hsl_to_rgb_sse2
FUNCTION(_sk_hsl_to_rgb_sse2)
_sk_hsl_to_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,200,0,0,0                   // sub           $0xc8,%esp
  .byte  15,41,157,56,255,255,255            // movaps        %xmm3,-0xc8(%ebp)
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          2413 <_sk_hsl_to_rgb_sse2+0x19>
  .byte  88                                  // pop           %eax
  .byte  15,40,160,29,172,0,0                // movaps        0xac1d(%eax),%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,194,218,2                        // cmpleps       %xmm2,%xmm3
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,194,233,0                        // cmpeqps       %xmm1,%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,84,243                           // andps         %xmm3,%xmm6
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  15,86,222                           // orps          %xmm6,%xmm3
  .byte  15,40,168,237,173,0,0               // movaps        0xaded(%eax),%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  243,15,91,205                       // cvttps2dq     %xmm5,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,193,1                        // cmpltps       %xmm1,%xmm0
  .byte  15,40,176,45,172,0,0                // movaps        0xac2d(%eax),%xmm6
  .byte  15,41,117,136                       // movaps        %xmm6,-0x78(%ebp)
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,41,149,72,255,255,255            // movaps        %xmm2,-0xb8(%ebp)
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,40,184,253,173,0,0               // movaps        0xadfd(%eax),%xmm7
  .byte  15,41,189,88,255,255,255            // movaps        %xmm7,-0xa8(%ebp)
  .byte  15,194,253,2                        // cmpleps       %xmm5,%xmm7
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  15,40,160,221,173,0,0               // movaps        0xaddd(%eax),%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,194,229,2                        // cmpleps       %xmm5,%xmm4
  .byte  15,40,176,173,173,0,0               // movaps        0xadad(%eax),%xmm6
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,40,128,205,173,0,0               // movaps        0xadcd(%eax),%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,84,223                           // andps         %xmm7,%xmm3
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,84,249                           // andps         %xmm1,%xmm7
  .byte  15,85,77,216                        // andnps        -0x28(%ebp),%xmm1
  .byte  15,86,207                           // orps          %xmm7,%xmm1
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,86,225                           // orps          %xmm1,%xmm4
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  243,15,91,195                       // cvttps2dq     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,84,136,45,172,0,0                // andps         0xac2d(%eax),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,40,128,253,173,0,0               // movaps        0xadfd(%eax),%xmm0
  .byte  15,194,193,2                        // cmpleps       %xmm1,%xmm0
  .byte  15,40,152,29,172,0,0                // movaps        0xac1d(%eax),%xmm3
  .byte  15,194,217,2                        // cmpleps       %xmm1,%xmm3
  .byte  15,40,160,221,173,0,0               // movaps        0xaddd(%eax),%xmm4
  .byte  15,194,225,2                        // cmpleps       %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,168,205,173,0,0               // movaps        0xadcd(%eax),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,84,248                           // andps         %xmm0,%xmm7
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,199                           // orps          %xmm7,%xmm0
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,93,216                        // andnps        -0x28(%ebp),%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,88,152,13,174,0,0                // addps         0xae0d(%eax),%xmm3
  .byte  243,15,91,195                       // cvttps2dq     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,84,77,136                        // andps         -0x78(%ebp),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,194,203,2                        // cmpleps       %xmm3,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  15,85,204                           // andnps        %xmm4,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  15,40,133,104,255,255,255           // movaps        -0x98(%ebp),%xmm0
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,69,216                        // andnps        -0x28(%ebp),%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,141,120,255,255,255           // movaps        -0x88(%ebp),%xmm1
  .byte  15,194,203,2                        // cmpleps       %xmm3,%xmm1
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,206                           // andnps        %xmm6,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,84,217                           // andps         %xmm1,%xmm3
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,40,157,56,255,255,255            // movaps        -0xc8(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,216,0,0,0                   // add           $0xd8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_scale_1_float_sse2
.globl _sk_scale_1_float_sse2
FUNCTION(_sk_scale_1_float_sse2)
_sk_scale_1_float_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_scale_u8_sse2
.globl _sk_scale_u8_sse2
FUNCTION(_sk_scale_u8_sse2)
_sk_scale_u8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          268d <_sk_scale_u8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,65                              // jne           26e9 <_sk_scale_u8_sse2+0x6a>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,115,170,0,0          // pand          0xaa73(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,163,171,0,0               // mulps         0xaba3(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            2723 <_sk_scale_u8_sse2+0xa4>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            270d <_sk_scale_u8_sse2+0x8e>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,182                             // jne           26b5 <_sk_scale_u8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,146                             // jmp           26b5 <_sk_scale_u8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,136                             // jmp           26b5 <_sk_scale_u8_sse2+0x36>

HIDDEN _sk_scale_565_sse2
.globl _sk_scale_565_sse2
FUNCTION(_sk_scale_565_sse2)
_sk_scale_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          2747 <_sk_scale_565_sse2+0x1a>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,157,0,0,0                    // jne           2805 <_sk_scale_565_sse2+0xd8>
  .byte  243,15,126,52,126                   // movq          (%esi,%edi,2),%xmm6
  .byte  102,15,97,240                       // punpcklwd     %xmm0,%xmm6
  .byte  102,15,111,162,249,170,0,0          // movdqa        0xaaf9(%edx),%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,212                           // cvtdq2ps      %xmm4,%xmm2
  .byte  15,89,146,9,171,0,0                 // mulps         0xab09(%edx),%xmm2
  .byte  102,15,111,170,25,171,0,0           // movdqa        0xab19(%edx),%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,41,171,0,0                // mulps         0xab29(%edx),%xmm5
  .byte  102,15,219,178,57,171,0,0           // pand          0xab39(%edx),%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,178,73,171,0,0                // mulps         0xab49(%edx),%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,93,254                           // minps         %xmm6,%xmm7
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,254                           // maxps         %xmm6,%xmm7
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,95,199                           // maxps         %xmm7,%xmm0
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,194,121,64,1                     // cmpltps       0x40(%ecx),%xmm7
  .byte  15,84,231                           // andps         %xmm7,%xmm4
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,252                           // orps          %xmm4,%xmm7
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,89,109,216                       // mulps         -0x28(%ebp),%xmm5
  .byte  15,89,117,200                       // mulps         -0x38(%ebp),%xmm6
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            283f <_sk_scale_565_sse2+0x112>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            282d <_sk_scale_565_sse2+0x100>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,82,255,255,255               // jne           2771 <_sk_scale_565_sse2+0x44>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,15,110,36,126                   // movd          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,244                       // movsd         %xmm4,%xmm6
  .byte  233,50,255,255,255                  // jmp           2771 <_sk_scale_565_sse2+0x44>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,246                      // movd          %esi,%xmm6
  .byte  233,37,255,255,255                  // jmp           2771 <_sk_scale_565_sse2+0x44>

HIDDEN _sk_lerp_1_float_sse2
.globl _sk_lerp_1_float_sse2
FUNCTION(_sk_lerp_1_float_sse2)
_sk_lerp_1_float_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,34                        // movss         (%edx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,40,112,32                        // movaps        0x20(%eax),%xmm6
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,104,48                        // movaps        0x30(%eax),%xmm5
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,104,64                        // movaps        0x40(%eax),%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lerp_u8_sse2
.globl _sk_lerp_u8_sse2
FUNCTION(_sk_lerp_u8_sse2)
_sk_lerp_u8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          28b4 <_sk_lerp_u8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           2935 <_sk_lerp_u8_sse2+0x8f>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,76,168,0,0           // pand          0xa84c(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,124,169,0,0               // mulps         0xa97c(%edx),%xmm4
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,105,48                        // movaps        0x30(%ecx),%xmm5
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,53                              // je            2972 <_sk_lerp_u8_sse2+0xcc>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            2959 <_sk_lerp_u8_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,145                             // jne           28dc <_sk_lerp_u8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,106,255,255,255                 // jmp           28dc <_sk_lerp_u8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,93,255,255,255                  // jmp           28dc <_sk_lerp_u8_sse2+0x36>

HIDDEN _sk_lerp_565_sse2
.globl _sk_lerp_565_sse2
FUNCTION(_sk_lerp_565_sse2)
_sk_lerp_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,108                         // sub           $0x6c,%esp
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,85,136                        // movaps        %xmm2,-0x78(%ebp)
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          299e <_sk_lerp_565_sse2+0x1f>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,211,0,0,0                    // jne           2a92 <_sk_lerp_565_sse2+0x113>
  .byte  243,15,126,44,126                   // movq          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,162,162,168,0,0          // movdqa        0xa8a2(%edx),%xmm4
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  15,91,204                           // cvtdq2ps      %xmm4,%xmm1
  .byte  15,89,138,178,168,0,0               // mulps         0xa8b2(%edx),%xmm1
  .byte  102,15,111,178,194,168,0,0          // movdqa        0xa8c2(%edx),%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,178,210,168,0,0               // mulps         0xa8d2(%edx),%xmm6
  .byte  102,15,219,170,226,168,0,0          // pand          0xa8e2(%edx),%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,146,242,168,0,0               // mulps         0xa8f2(%edx),%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,40,65,32                         // movaps        0x20(%ecx),%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,93,243                           // minps         %xmm3,%xmm6
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,40,109,184                       // movaps        -0x48(%ebp),%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,95,251                           // maxps         %xmm3,%xmm7
  .byte  15,95,215                           // maxps         %xmm7,%xmm2
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,84,207                           // andps         %xmm7,%xmm1
  .byte  15,85,250                           // andnps        %xmm2,%xmm7
  .byte  15,86,249                           // orps          %xmm1,%xmm7
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,88,101,216                       // addps         -0x28(%ebp),%xmm4
  .byte  15,40,65,48                         // movaps        0x30(%ecx),%xmm0
  .byte  15,40,85,136                        // movaps        -0x78(%ebp),%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,85,200                        // mulps         -0x38(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,92,222                           // subps         %xmm6,%xmm3
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,124                         // add           $0x7c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            2acc <_sk_lerp_565_sse2+0x14d>
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            2aba <_sk_lerp_565_sse2+0x13b>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,28,255,255,255               // jne           29c8 <_sk_lerp_565_sse2+0x49>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,236,69                   // pshufd        $0x45,%xmm4,%xmm5
  .byte  102,15,110,36,126                   // movd          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,236                       // movsd         %xmm4,%xmm5
  .byte  233,252,254,255,255                 // jmp           29c8 <_sk_lerp_565_sse2+0x49>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  233,239,254,255,255                 // jmp           29c8 <_sk_lerp_565_sse2+0x49>

HIDDEN _sk_load_tables_sse2
.globl _sk_load_tables_sse2
FUNCTION(_sk_load_tables_sse2)
_sk_load_tables_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          2ae7 <_sk_load_tables_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  133,192                             // test          %eax,%eax
  .byte  139,54                              // mov           (%esi),%esi
  .byte  139,30                              // mov           (%esi),%ebx
  .byte  15,133,19,1,0,0                     // jne           2c12 <_sk_load_tables_sse2+0x139>
  .byte  243,15,111,28,187                   // movdqu        (%ebx,%edi,4),%xmm3
  .byte  102,15,111,146,25,166,0,0           // movdqa        0xa619(%edx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,224,231                  // pshufd        $0xe7,%xmm0,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  139,126,4                           // mov           0x4(%esi),%edi
  .byte  243,15,16,36,135                    // movss         (%edi,%eax,4),%xmm4
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,44,135                    // movss         (%edi,%eax,4),%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  243,15,16,4,135                     // movss         (%edi,%eax,4),%xmm0
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,12,135                    // movss         (%edi,%eax,4),%xmm1
  .byte  139,70,8                            // mov           0x8(%esi),%eax
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  243,15,16,52,184                    // movss         (%eax,%edi,4),%xmm6
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,184                    // movss         (%eax,%edi,4),%xmm4
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,249,78                   // pshufd        $0x4e,%xmm1,%xmm7
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  139,70,12                           // mov           0xc(%esi),%eax
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  102,15,112,213,229                  // pshufd        $0xe5,%xmm5,%xmm2
  .byte  102,15,112,245,231                  // pshufd        $0xe7,%xmm5,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  243,15,16,60,176                    // movss         (%eax,%esi,4),%xmm7
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,237,78                   // pshufd        $0x4e,%xmm5,%xmm5
  .byte  243,15,16,20,176                    // movss         (%eax,%esi,4),%xmm2
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  243,15,16,44,176                    // movss         (%eax,%esi,4),%xmm5
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,73,167,0,0                // mulps         0xa749(%edx),%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,194                             // mov           %eax,%edx
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  36,3                                // and           $0x3,%al
  .byte  60,1                                // cmp           $0x1,%al
  .byte  116,37                              // je            2c3d <_sk_load_tables_sse2+0x164>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  60,2                                // cmp           $0x2,%al
  .byte  116,19                              // je            2c33 <_sk_load_tables_sse2+0x15a>
  .byte  60,3                                // cmp           $0x3,%al
  .byte  15,133,220,254,255,255              // jne           2b04 <_sk_load_tables_sse2+0x2b>
  .byte  102,15,110,68,187,8                 // movd          0x8(%ebx,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,187                    // movlpd        (%ebx,%edi,4),%xmm3
  .byte  233,199,254,255,255                 // jmp           2b04 <_sk_load_tables_sse2+0x2b>
  .byte  102,15,110,28,187                   // movd          (%ebx,%edi,4),%xmm3
  .byte  233,189,254,255,255                 // jmp           2b04 <_sk_load_tables_sse2+0x2b>

HIDDEN _sk_load_tables_u16_be_sse2
.globl _sk_load_tables_u16_be_sse2
FUNCTION(_sk_load_tables_u16_be_sse2)
_sk_load_tables_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  232,0,0,0,0                         // call          2c55 <_sk_load_tables_u16_be_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,24                              // mov           (%eax),%ebx
  .byte  139,64,8                            // mov           0x8(%eax),%eax
  .byte  193,227,2                           // shl           $0x2,%ebx
  .byte  133,192                             // test          %eax,%eax
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,15                              // mov           (%edi),%ecx
  .byte  190,255,0,255,0                     // mov           $0xff00ff,%esi
  .byte  15,133,166,1,0,0                    // jne           2e1b <_sk_load_tables_u16_be_sse2+0x1d4>
  .byte  102,15,16,4,89                      // movupd        (%ecx,%ebx,2),%xmm0
  .byte  243,15,111,76,89,16                 // movdqu        0x10(%ecx,%ebx,2),%xmm1
  .byte  102,15,40,216                       // movapd        %xmm0,%xmm3
  .byte  102,15,97,217                       // punpcklwd     %xmm1,%xmm3
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,105,216                      // punpckhwd     %xmm0,%xmm3
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,202,78                   // pshufd        $0x4e,%xmm2,%xmm1
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,216                          // mov           %ecx,-0x28(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,220                          // mov           %eax,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,112,240,231                  // pshufd        $0xe7,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  139,79,4                            // mov           0x4(%edi),%ecx
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,248,78                   // pshufd        $0x4e,%xmm0,%xmm7
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  139,79,8                            // mov           0x8(%edi),%ecx
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,228                          // mov           %eax,-0x1c(%ebp)
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,224                          // mov           %eax,-0x20(%ebp)
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,97,236                       // punpcklwd     %xmm4,%xmm5
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,36,153                    // movss         (%ecx,%ebx,4),%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,52,153                    // movss         (%ecx,%ebx,4),%xmm6
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,12,153                    // movss         (%ecx,%ebx,4),%xmm1
  .byte  102,15,112,237,78                   // pshufd        $0x4e,%xmm5,%xmm5
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,44,153                    // movss         (%ecx,%ebx,4),%xmm5
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  139,127,12                          // mov           0xc(%edi),%edi
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,232                          // mov           %ecx,-0x18(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,135                    // movss         (%edi,%eax,4),%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,36,135                    // movss         (%edi,%eax,4),%xmm4
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  243,15,16,20,135                    // movss         (%edi,%eax,4),%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,52,135                    // movss         (%edi,%eax,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,112,219,78                   // pshufd        $0x4e,%xmm3,%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,113,244,8                    // psllw         $0x8,%xmm4
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  102,15,126,93,208                   // movd          %xmm3,-0x30(%ebp)
  .byte  102,15,112,219,229                  // pshufd        $0xe5,%xmm3,%xmm3
  .byte  102,15,126,93,212                   // movd          %xmm3,-0x2c(%ebp)
  .byte  243,15,126,93,208                   // movq          -0x30(%ebp),%xmm3
  .byte  102,15,97,223                       // punpcklwd     %xmm7,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,75,166,0,0                // mulps         0xa64b(%edx),%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,193                             // mov           %eax,%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,89                      // movsd         (%ecx,%ebx,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,248,1                           // cmp           $0x1,%eax
  .byte  15,132,83,254,255,255               // je            2c80 <_sk_load_tables_u16_be_sse2+0x39>
  .byte  102,15,22,68,89,8                   // movhpd        0x8(%ecx,%ebx,2),%xmm0
  .byte  131,248,3                           // cmp           $0x3,%eax
  .byte  15,130,68,254,255,255               // jb            2c80 <_sk_load_tables_u16_be_sse2+0x39>
  .byte  243,15,126,76,89,16                 // movq          0x10(%ecx,%ebx,2),%xmm1
  .byte  233,57,254,255,255                  // jmp           2c80 <_sk_load_tables_u16_be_sse2+0x39>

HIDDEN _sk_load_tables_rgb_u16_be_sse2
.globl _sk_load_tables_rgb_u16_be_sse2
FUNCTION(_sk_load_tables_rgb_u16_be_sse2)
_sk_load_tables_rgb_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,28                          // sub           $0x1c,%esp
  .byte  232,0,0,0,0                         // call          2e55 <_sk_load_tables_rgb_u16_be_sse2+0xe>
  .byte  88                                  // pop           %eax
  .byte  137,69,240                          // mov           %eax,-0x10(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  139,74,8                            // mov           0x8(%edx),%ecx
  .byte  107,26,3                            // imul          $0x3,(%edx),%ebx
  .byte  133,201                             // test          %ecx,%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,7                               // mov           (%edi),%eax
  .byte  190,255,0,255,0                     // mov           $0xff00ff,%esi
  .byte  15,133,141,1,0,0                    // jne           3003 <_sk_load_tables_rgb_u16_be_sse2+0x1bc>
  .byte  243,15,111,12,88                    // movdqu        (%eax,%ebx,2),%xmm1
  .byte  243,15,111,92,88,8                  // movdqu        0x8(%eax,%ebx,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,115,218,6                    // psrldq        $0x6,%xmm2
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,15,105,200                      // punpckhwd     %xmm0,%xmm1
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,216                          // mov           %ecx,-0x28(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,220                          // mov           %eax,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  139,79,4                            // mov           0x4(%edi),%ecx
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  139,79,8                            // mov           0x8(%edi),%ecx
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,224                          // mov           %eax,-0x20(%ebp)
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  33,243                              // and           %esi,%ebx
  .byte  137,93,228                          // mov           %ebx,-0x1c(%ebp)
  .byte  243,15,126,101,224                  // movq          -0x20(%ebp),%xmm4
  .byte  102,15,97,231                       // punpcklwd     %xmm7,%xmm4
  .byte  102,15,112,252,231                  // pshufd        $0xe7,%xmm4,%xmm7
  .byte  102,15,126,251                      // movd          %xmm7,%ebx
  .byte  243,15,16,60,153                    // movss         (%ecx,%ebx,4),%xmm7
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  102,15,112,228,78                   // pshufd        $0x4e,%xmm4,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  139,79,12                           // mov           0xc(%edi),%ecx
  .byte  33,243                              // and           %esi,%ebx
  .byte  137,93,232                          // mov           %ebx,-0x18(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  102,15,97,213                       // punpcklwd     %xmm5,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,112,242,231                  // pshufd        $0xe7,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,193                             // mov           %eax,%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,85,240                          // mov           -0x10(%ebp),%edx
  .byte  15,40,162,235,161,0,0               // movaps        0xa1eb(%edx),%xmm4
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,44                          // add           $0x2c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,110,12,88                    // movd          (%eax,%ebx,2),%xmm1
  .byte  102,15,196,76,88,4,2                // pinsrw        $0x2,0x4(%eax,%ebx,2),%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  131,249,1                           // cmp           $0x1,%ecx
  .byte  117,13                              // jne           3025 <_sk_load_tables_rgb_u16_be_sse2+0x1de>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,115,254,255,255                 // jmp           2e98 <_sk_load_tables_rgb_u16_be_sse2+0x51>
  .byte  102,15,110,68,88,6                  // movd          0x6(%eax,%ebx,2),%xmm0
  .byte  102,15,196,68,88,10,2               // pinsrw        $0x2,0xa(%eax,%ebx,2),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  131,249,3                           // cmp           $0x3,%ecx
  .byte  114,18                              // jb            304d <_sk_load_tables_rgb_u16_be_sse2+0x206>
  .byte  102,15,110,92,88,12                 // movd          0xc(%eax,%ebx,2),%xmm3
  .byte  102,15,196,92,88,16,2               // pinsrw        $0x2,0x10(%eax,%ebx,2),%xmm3
  .byte  233,75,254,255,255                  // jmp           2e98 <_sk_load_tables_rgb_u16_be_sse2+0x51>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,66,254,255,255                  // jmp           2e98 <_sk_load_tables_rgb_u16_be_sse2+0x51>

HIDDEN _sk_byte_tables_sse2
.globl _sk_byte_tables_sse2
FUNCTION(_sk_byte_tables_sse2)
_sk_byte_tables_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          3064 <_sk_byte_tables_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,40,162,172,160,0,0               // movaps        0xa0ac(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  15,182,28,31                        // movzbl        (%edi,%ebx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  9,243                               // or            %esi,%ebx
  .byte  102,15,112,232,229                  // pshufd        $0xe5,%xmm0,%xmm5
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  15,182,4,7                          // movzbl        (%edi,%eax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,240                               // or            %esi,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  102,15,196,195,1                    // pinsrw        $0x1,%ebx,%xmm0
  .byte  15,40,170,204,161,0,0               // movaps        0xa1cc(%edx),%xmm5
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,201,229                  // pshufd        $0xe5,%xmm1,%xmm1
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  15,182,4,56                         // movzbl        (%eax,%edi,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,208                               // or            %edx,%eax
  .byte  102,15,196,200,0                    // pinsrw        $0x0,%eax,%xmm1
  .byte  102,15,196,206,1                    // pinsrw        $0x1,%esi,%xmm1
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,242,231                  // pshufd        $0xe7,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  15,182,4,56                         // movzbl        (%eax,%edi,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,208                               // or            %edx,%eax
  .byte  102,15,196,208,0                    // pinsrw        $0x0,%eax,%xmm2
  .byte  102,15,196,214,1                    // pinsrw        $0x1,%esi,%xmm2
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  15,182,12,8                         // movzbl        (%eax,%ecx,1),%ecx
  .byte  15,182,4,16                         // movzbl        (%eax,%edx,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,200                               // or            %ecx,%eax
  .byte  102,15,196,216,0                    // pinsrw        $0x0,%eax,%xmm3
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,97,204                       // punpcklwd     %xmm4,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  102,15,196,222,1                    // pinsrw        $0x1,%esi,%xmm3
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,15,97,220                       // punpcklwd     %xmm4,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_byte_tables_rgb_sse2
.globl _sk_byte_tables_rgb_sse2
FUNCTION(_sk_byte_tables_rgb_sse2)
_sk_byte_tables_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,81,12                           // mov           0xc(%ecx),%edx
  .byte  74                                  // dec           %edx
  .byte  102,15,110,226                      // movd          %edx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,15,126,234                      // movd          %xmm5,%edx
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,192,229                  // pshufd        $0xe5,%xmm0,%xmm0
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  15,182,60,31                        // movzbl        (%edi,%ebx,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,215                               // or            %edx,%edi
  .byte  232,0,0,0,0                         // call          3264 <_sk_byte_tables_rgb_sse2+0x65>
  .byte  90                                  // pop           %edx
  .byte  102,15,196,199,0                    // pinsrw        $0x0,%edi,%xmm0
  .byte  139,121,4                           // mov           0x4(%ecx),%edi
  .byte  102,15,196,198,1                    // pinsrw        $0x1,%esi,%xmm0
  .byte  15,40,170,204,159,0,0               // movaps        0x9fcc(%edx),%xmm5
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,201,229                  // pshufd        $0xe5,%xmm1,%xmm1
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  15,182,60,31                        // movzbl        (%edi,%ebx,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,215                               // or            %edx,%edi
  .byte  102,15,196,207,0                    // pinsrw        $0x0,%edi,%xmm1
  .byte  102,15,196,206,1                    // pinsrw        $0x1,%esi,%xmm1
  .byte  139,73,8                            // mov           0x8(%ecx),%ecx
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  15,182,52,49                        // movzbl        (%ecx,%esi,1),%esi
  .byte  15,182,60,57                        // movzbl        (%ecx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  15,182,20,17                        // movzbl        (%ecx,%edx,1),%edx
  .byte  15,182,12,49                        // movzbl        (%ecx,%esi,1),%ecx
  .byte  193,225,8                           // shl           $0x8,%ecx
  .byte  9,209                               // or            %edx,%ecx
  .byte  102,15,196,209,0                    // pinsrw        $0x0,%ecx,%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,97,204                       // punpcklwd     %xmm4,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,196,215,1                    // pinsrw        $0x1,%edi,%xmm2
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_r_sse2
.globl _sk_table_r_sse2
FUNCTION(_sk_table_r_sse2)
_sk_table_r_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,112,224,229                  // pshufd        $0xe5,%xmm0,%xmm4
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  243,15,16,4,138                     // movss         (%edx,%ecx,4),%xmm0
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_g_sse2
.globl _sk_table_g_sse2
FUNCTION(_sk_table_g_sse2)
_sk_table_g_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  102,15,91,204                       // cvtps2dq      %xmm4,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,112,233,231                  // pshufd        $0xe7,%xmm1,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  243,15,16,12,138                    // movss         (%edx,%ecx,4),%xmm1
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_b_sse2
.globl _sk_table_b_sse2
FUNCTION(_sk_table_b_sse2)
_sk_table_b_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  102,15,91,212                       // cvtps2dq      %xmm4,%xmm2
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  243,15,16,20,138                    // movss         (%edx,%ecx,4),%xmm2
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_a_sse2
.globl _sk_table_a_sse2
FUNCTION(_sk_table_a_sse2)
_sk_table_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,220                       // cvtps2dq      %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,112,235,231                  // pshufd        $0xe7,%xmm3,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  243,15,16,28,138                    // movss         (%edx,%ecx,4),%xmm3
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_r_sse2
.globl _sk_parametric_r_sse2
FUNCTION(_sk_parametric_r_sse2)
_sk_parametric_r_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          3533 <_sk_parametric_r_sse2+0x18>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,125,157,0,0               // mulps         0x9d7d(%edx),%xmm5
  .byte  15,84,178,141,157,0,0               // andps         0x9d8d(%edx),%xmm6
  .byte  15,86,178,253,154,0,0               // orps          0x9afd(%edx),%xmm6
  .byte  15,88,170,157,157,0,0               // addps         0x9d9d(%edx),%xmm5
  .byte  15,40,186,173,157,0,0               // movaps        0x9dad(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,189,157,0,0               // addps         0x9dbd(%edx),%xmm6
  .byte  15,40,186,205,157,0,0               // movaps        0x9dcd(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,13,155,0,0                // movaps        0x9b0d(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,221,157,0,0               // addps         0x9ddd(%edx),%xmm5
  .byte  15,40,186,237,157,0,0               // movaps        0x9ded(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,253,157,0,0               // movaps        0x9dfd(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,13,158,0,0                // movaps        0x9e0d(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,29,158,0,0                // mulps         0x9e1d(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,225                           // andps         %xmm1,%xmm4
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,204                           // orps          %xmm4,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_g_sse2
.globl _sk_parametric_g_sse2
FUNCTION(_sk_parametric_g_sse2)
_sk_parametric_g_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          366a <_sk_parametric_g_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,70,156,0,0                // mulps         0x9c46(%edx),%xmm5
  .byte  15,84,178,86,156,0,0                // andps         0x9c56(%edx),%xmm6
  .byte  15,86,178,198,153,0,0               // orps          0x99c6(%edx),%xmm6
  .byte  15,88,170,102,156,0,0               // addps         0x9c66(%edx),%xmm5
  .byte  15,40,186,118,156,0,0               // movaps        0x9c76(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,134,156,0,0               // addps         0x9c86(%edx),%xmm6
  .byte  15,40,186,150,156,0,0               // movaps        0x9c96(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,214,153,0,0               // movaps        0x99d6(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,166,156,0,0               // addps         0x9ca6(%edx),%xmm5
  .byte  15,40,186,182,156,0,0               // movaps        0x9cb6(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,198,156,0,0               // movaps        0x9cc6(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,214,156,0,0               // movaps        0x9cd6(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,230,156,0,0               // mulps         0x9ce6(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,225                           // andps         %xmm1,%xmm4
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,204                           // orps          %xmm4,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_b_sse2
.globl _sk_parametric_b_sse2
FUNCTION(_sk_parametric_b_sse2)
_sk_parametric_b_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          379e <_sk_parametric_b_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,194,213,2                        // cmpleps       %xmm5,%xmm2
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,18,155,0,0                // mulps         0x9b12(%edx),%xmm5
  .byte  15,84,178,34,155,0,0                // andps         0x9b22(%edx),%xmm6
  .byte  15,86,178,146,152,0,0               // orps          0x9892(%edx),%xmm6
  .byte  15,88,170,50,155,0,0                // addps         0x9b32(%edx),%xmm5
  .byte  15,40,186,66,155,0,0                // movaps        0x9b42(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,82,155,0,0                // addps         0x9b52(%edx),%xmm6
  .byte  15,40,186,98,155,0,0                // movaps        0x9b62(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,162,152,0,0               // movaps        0x98a2(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,114,155,0,0               // addps         0x9b72(%edx),%xmm5
  .byte  15,40,186,130,155,0,0               // movaps        0x9b82(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,146,155,0,0               // movaps        0x9b92(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,162,155,0,0               // movaps        0x9ba2(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,178,155,0,0               // mulps         0x9bb2(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,85,213                           // andnps        %xmm5,%xmm2
  .byte  15,86,212                           // orps          %xmm4,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,93,214                           // minps         %xmm6,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_a_sse2
.globl _sk_parametric_a_sse2
FUNCTION(_sk_parametric_a_sse2)
_sk_parametric_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          38d2 <_sk_parametric_a_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,194,221,2                        // cmpleps       %xmm5,%xmm3
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,222,153,0,0               // mulps         0x99de(%edx),%xmm5
  .byte  15,84,178,238,153,0,0               // andps         0x99ee(%edx),%xmm6
  .byte  15,86,178,94,151,0,0                // orps          0x975e(%edx),%xmm6
  .byte  15,88,170,254,153,0,0               // addps         0x99fe(%edx),%xmm5
  .byte  15,40,186,14,154,0,0                // movaps        0x9a0e(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,30,154,0,0                // addps         0x9a1e(%edx),%xmm6
  .byte  15,40,186,46,154,0,0                // movaps        0x9a2e(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,110,151,0,0               // movaps        0x976e(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,62,154,0,0                // addps         0x9a3e(%edx),%xmm5
  .byte  15,40,186,78,154,0,0                // movaps        0x9a4e(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,94,154,0,0                // movaps        0x9a5e(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,110,154,0,0               // movaps        0x9a6e(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,126,154,0,0               // mulps         0x9a7e(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,85,221                           // andnps        %xmm5,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,93,222                           // minps         %xmm6,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gamma_sse2
.globl _sk_gamma_sse2
FUNCTION(_sk_gamma_sse2)
_sk_gamma_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,40                          // sub           $0x28,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  232,0,0,0,0                         // call          3a03 <_sk_gamma_sse2+0x12>
  .byte  88                                  // pop           %eax
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,128,173,152,0,0               // mulps         0x98ad(%eax),%xmm0
  .byte  15,84,152,189,152,0,0               // andps         0x98bd(%eax),%xmm3
  .byte  15,86,152,45,150,0,0                // orps          0x962d(%eax),%xmm3
  .byte  15,88,128,205,152,0,0               // addps         0x98cd(%eax),%xmm0
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,160,221,152,0,0               // mulps         0x98dd(%eax),%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,88,152,237,152,0,0               // addps         0x98ed(%eax),%xmm3
  .byte  15,40,160,253,152,0,0               // movaps        0x98fd(%eax),%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,58                        // movss         (%edx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  243,15,91,216                       // cvttps2dq     %xmm0,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,227,1                        // cmpltps       %xmm3,%xmm4
  .byte  15,84,160,61,150,0,0                // andps         0x963d(%eax),%xmm4
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,88,128,13,153,0,0                // addps         0x990d(%eax),%xmm0
  .byte  15,40,176,45,153,0,0                // movaps        0x992d(%eax),%xmm6
  .byte  15,92,244                           // subps         %xmm4,%xmm6
  .byte  15,40,168,29,153,0,0                // movaps        0x991d(%eax),%xmm5
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,152,61,153,0,0                // movaps        0x993d(%eax),%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,94,230                           // divps         %xmm6,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,128,173,152,0,0               // mulps         0x98ad(%eax),%xmm0
  .byte  15,84,136,189,152,0,0               // andps         0x98bd(%eax),%xmm1
  .byte  15,86,136,45,150,0,0                // orps          0x962d(%eax),%xmm1
  .byte  15,88,128,205,152,0,0               // addps         0x98cd(%eax),%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,176,221,152,0,0               // mulps         0x98dd(%eax),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,136,237,152,0,0               // addps         0x98ed(%eax),%xmm1
  .byte  15,40,176,253,152,0,0               // movaps        0x98fd(%eax),%xmm6
  .byte  15,94,241                           // divps         %xmm1,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,241,1                        // cmpltps       %xmm1,%xmm6
  .byte  15,84,176,61,150,0,0                // andps         0x963d(%eax),%xmm6
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,88,128,13,153,0,0                // addps         0x990d(%eax),%xmm0
  .byte  15,40,184,45,153,0,0                // movaps        0x992d(%eax),%xmm7
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,128,173,152,0,0               // mulps         0x98ad(%eax),%xmm0
  .byte  15,84,144,189,152,0,0               // andps         0x98bd(%eax),%xmm2
  .byte  15,86,144,45,150,0,0                // orps          0x962d(%eax),%xmm2
  .byte  15,88,128,205,152,0,0               // addps         0x98cd(%eax),%xmm0
  .byte  15,40,176,221,152,0,0               // movaps        0x98dd(%eax),%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,144,237,152,0,0               // addps         0x98ed(%eax),%xmm2
  .byte  15,40,176,253,152,0,0               // movaps        0x98fd(%eax),%xmm6
  .byte  15,94,242                           // divps         %xmm2,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  243,15,91,208                       // cvttps2dq     %xmm0,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,242,1                        // cmpltps       %xmm2,%xmm6
  .byte  15,84,176,61,150,0,0                // andps         0x963d(%eax),%xmm6
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,88,128,13,153,0,0                // addps         0x990d(%eax),%xmm0
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,144,45,153,0,0                // movaps        0x992d(%eax),%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,94,218                           // divps         %xmm2,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,40,128,77,153,0,0                // movaps        0x994d(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,91,211                       // cvtps2dq      %xmm3,%xmm2
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,56                          // add           $0x38,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lab_to_xyz_sse2
.globl _sk_lab_to_xyz_sse2
FUNCTION(_sk_lab_to_xyz_sse2)
_sk_lab_to_xyz_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          3beb <_sk_lab_to_xyz_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  15,89,144,117,151,0,0               // mulps         0x9775(%eax),%xmm2
  .byte  15,40,160,37,149,0,0                // movaps        0x9525(%eax),%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,168,133,151,0,0               // movaps        0x9785(%eax),%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,88,144,149,151,0,0               // addps         0x9795(%eax),%xmm2
  .byte  15,89,144,165,151,0,0               // mulps         0x97a5(%eax),%xmm2
  .byte  15,89,136,181,151,0,0               // mulps         0x97b5(%eax),%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,89,152,197,151,0,0               // mulps         0x97c5(%eax),%xmm3
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,152,213,151,0,0               // movaps        0x97d5(%eax),%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,194,224,1                        // cmpltps       %xmm0,%xmm4
  .byte  15,40,176,229,151,0,0               // movaps        0x97e5(%eax),%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,184,245,151,0,0               // movaps        0x97f5(%eax),%xmm7
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,221                           // andnps        %xmm5,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,89,160,5,152,0,0                 // mulps         0x9805(%eax),%xmm4
  .byte  15,89,152,21,152,0,0                // mulps         0x9815(%eax),%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_a8_sse2
.globl _sk_load_a8_sse2
FUNCTION(_sk_load_a8_sse2)
_sk_load_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          3cdb <_sk_load_a8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,60                              // jne           3d32 <_sk_load_a8_sse2+0x65>
  .byte  102,15,110,4,62                     // movd          (%esi,%edi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,130,37,148,0,0           // pand          0x9425(%edx),%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,154,85,149,0,0                // mulps         0x9555(%edx),%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            3d6c <_sk_load_a8_sse2+0x9f>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            3d56 <_sk_load_a8_sse2+0x89>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,187                             // jne           3d03 <_sk_load_a8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,151                             // jmp           3d03 <_sk_load_a8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  235,141                             // jmp           3d03 <_sk_load_a8_sse2+0x36>

HIDDEN _sk_load_a8_dst_sse2
.globl _sk_load_a8_dst_sse2
FUNCTION(_sk_load_a8_dst_sse2)
_sk_load_a8_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,121,4                        // imul          0x4(%ecx),%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,127,97,48                    // movdqa        %xmm4,0x30(%ecx)
  .byte  102,15,127,97,32                    // movdqa        %xmm4,0x20(%ecx)
  .byte  102,15,127,97,16                    // movdqa        %xmm4,0x10(%ecx)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  232,0,0,0,0                         // call          3daf <_sk_load_a8_dst_sse2+0x39>
  .byte  90                                  // pop           %edx
  .byte  117,54                              // jne           3de8 <_sk_load_a8_dst_sse2+0x72>
  .byte  102,15,110,36,55                    // movd          (%edi,%esi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,81,147,0,0           // pand          0x9351(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,129,148,0,0               // mulps         0x9481(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            3e1e <_sk_load_a8_dst_sse2+0xa8>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            3e08 <_sk_load_a8_dst_sse2+0x92>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,197                             // jne           3dbf <_sk_load_a8_dst_sse2+0x49>
  .byte  15,182,92,55,2                      // movzbl        0x2(%edi,%esi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,55                        // movzwl        (%edi,%esi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,161                             // jmp           3dbf <_sk_load_a8_dst_sse2+0x49>
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,151                             // jmp           3dbf <_sk_load_a8_dst_sse2+0x49>

HIDDEN _sk_gather_a8_sse2
.globl _sk_gather_a8_sse2
FUNCTION(_sk_gather_a8_sse2)
_sk_gather_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  15,182,52,50                        // movzbl        (%edx,%esi,1),%esi
  .byte  15,182,60,58                        // movzbl        (%edx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  15,182,12,10                        // movzbl        (%edx,%ecx,1),%ecx
  .byte  15,182,20,50                        // movzbl        (%edx,%esi,1),%edx
  .byte  193,226,8                           // shl           $0x8,%edx
  .byte  9,202                               // or            %ecx,%edx
  .byte  102,15,196,194,0                    // pinsrw        $0x0,%edx,%xmm0
  .byte  102,15,196,199,1                    // pinsrw        $0x1,%edi,%xmm0
  .byte  232,0,0,0,0                         // call          3ead <_sk_gather_a8_sse2+0x85>
  .byte  89                                  // pop           %ecx
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,153,131,147,0,0               // mulps         0x9383(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_a8_sse2
.globl _sk_store_a8_sse2
FUNCTION(_sk_store_a8_sse2)
_sk_store_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  232,0,0,0,0                         // call          3ef1 <_sk_store_a8_sse2+0xe>
  .byte  94                                  // pop           %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,87,4                            // mov           0x4(%edi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  3,23                                // add           (%edi),%edx
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,166,31,146,0,0                // movaps        0x921f(%esi),%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,26                              // jne           3f46 <_sk_store_a8_sse2+0x63>
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  137,52,58                           // mov           %esi,(%edx,%edi,1)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,57                              // je            3f8f <_sk_store_a8_sse2+0xac>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,17                              // je            3f6c <_sk_store_a8_sse2+0x89>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,211                             // jne           3f33 <_sk_store_a8_sse2+0x50>
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  138,93,208                          // mov           -0x30(%ebp),%bl
  .byte  136,92,58,2                         // mov           %bl,0x2(%edx,%edi,1)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  102,15,219,166,31,149,0,0           // pand          0x951f(%esi),%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,137,52,58                       // mov           %si,(%edx,%edi,1)
  .byte  235,164                             // jmp           3f33 <_sk_store_a8_sse2+0x50>
  .byte  102,15,127,101,216                  // movdqa        %xmm4,-0x28(%ebp)
  .byte  138,93,216                          // mov           -0x28(%ebp),%bl
  .byte  136,28,58                           // mov           %bl,(%edx,%edi,1)
  .byte  235,151                             // jmp           3f33 <_sk_store_a8_sse2+0x50>

HIDDEN _sk_load_g8_sse2
.globl _sk_load_g8_sse2
FUNCTION(_sk_load_g8_sse2)
_sk_load_g8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          3faa <_sk_load_g8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,63                              // jne           4004 <_sk_load_g8_sse2+0x68>
  .byte  102,15,110,4,62                     // movd          (%esi,%edi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,130,86,145,0,0           // pand          0x9156(%edx),%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,134,146,0,0               // mulps         0x9286(%edx),%xmm0
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,150,144,0,0               // movaps        0x9096(%edx),%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            403e <_sk_load_g8_sse2+0xa2>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            4028 <_sk_load_g8_sse2+0x8c>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,184                             // jne           3fd2 <_sk_load_g8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,148                             // jmp           3fd2 <_sk_load_g8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  235,138                             // jmp           3fd2 <_sk_load_g8_sse2+0x36>

HIDDEN _sk_load_g8_dst_sse2
.globl _sk_load_g8_dst_sse2
FUNCTION(_sk_load_g8_dst_sse2)
_sk_load_g8_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4056 <_sk_load_g8_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,73                              // jne           40ba <_sk_load_g8_dst_sse2+0x72>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,170,144,0,0          // pand          0x90aa(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,218,145,0,0               // mulps         0x91da(%edx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  15,41,97,32                         // movaps        %xmm4,0x20(%ecx)
  .byte  15,41,97,16                         // movaps        %xmm4,0x10(%ecx)
  .byte  15,40,162,234,143,0,0               // movaps        0x8fea(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            40f4 <_sk_load_g8_dst_sse2+0xac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            40de <_sk_load_g8_dst_sse2+0x96>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,174                             // jne           407e <_sk_load_g8_dst_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,138                             // jmp           407e <_sk_load_g8_dst_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,128                             // jmp           407e <_sk_load_g8_dst_sse2+0x36>

HIDDEN _sk_gather_g8_sse2
.globl _sk_gather_g8_sse2
FUNCTION(_sk_gather_g8_sse2)
_sk_gather_g8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  15,182,52,50                        // movzbl        (%edx,%esi,1),%esi
  .byte  15,182,60,58                        // movzbl        (%edx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  15,182,12,10                        // movzbl        (%edx,%ecx,1),%ecx
  .byte  15,182,20,50                        // movzbl        (%edx,%esi,1),%edx
  .byte  193,226,8                           // shl           $0x8,%edx
  .byte  9,202                               // or            %ecx,%edx
  .byte  102,15,196,194,0                    // pinsrw        $0x0,%edx,%xmm0
  .byte  232,0,0,0,0                         // call          417e <_sk_gather_g8_sse2+0x80>
  .byte  89                                  // pop           %ecx
  .byte  102,15,196,199,1                    // pinsrw        $0x1,%edi,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,129,178,144,0,0               // mulps         0x90b2(%ecx),%xmm0
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,153,194,142,0,0               // movaps        0x8ec2(%ecx),%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_565_sse2
.globl _sk_load_565_sse2
FUNCTION(_sk_load_565_sse2)
_sk_load_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          41c9 <_sk_load_565_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,97                              // jne           4247 <_sk_load_565_sse2+0x8c>
  .byte  243,15,126,20,126                   // movq          (%esi,%edi,2),%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,130,119,144,0,0          // movdqa        0x9077(%edx),%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,135,144,0,0               // mulps         0x9087(%edx),%xmm0
  .byte  102,15,111,138,151,144,0,0          // movdqa        0x9097(%edx),%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,167,144,0,0               // mulps         0x90a7(%edx),%xmm1
  .byte  102,15,219,146,183,144,0,0          // pand          0x90b7(%edx),%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,199,144,0,0               // mulps         0x90c7(%edx),%xmm2
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,119,142,0,0               // movaps        0x8e77(%edx),%xmm3
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            427d <_sk_load_565_sse2+0xc2>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            426b <_sk_load_565_sse2+0xb0>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,146                             // jne           41ef <_sk_load_565_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,15,110,4,126                    // movd          (%esi,%edi,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,208                       // movsd         %xmm0,%xmm2
  .byte  233,114,255,255,255                 // jmp           41ef <_sk_load_565_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,214                      // movd          %esi,%xmm2
  .byte  233,101,255,255,255                 // jmp           41ef <_sk_load_565_sse2+0x34>

HIDDEN _sk_load_565_dst_sse2
.globl _sk_load_565_dst_sse2
FUNCTION(_sk_load_565_dst_sse2)
_sk_load_565_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4298 <_sk_load_565_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,113                             // jne           4326 <_sk_load_565_dst_sse2+0x9c>
  .byte  243,15,126,36,126                   // movq          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,111,170,168,143,0,0          // movdqa        0x8fa8(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,184,143,0,0               // mulps         0x8fb8(%edx),%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,111,170,200,143,0,0          // movdqa        0x8fc8(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,216,143,0,0               // mulps         0x8fd8(%edx),%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,219,162,232,143,0,0          // pand          0x8fe8(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,248,143,0,0               // mulps         0x8ff8(%edx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  15,40,162,168,141,0,0               // movaps        0x8da8(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            435c <_sk_load_565_dst_sse2+0xd2>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            434a <_sk_load_565_dst_sse2+0xc0>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,130                             // jne           42be <_sk_load_565_dst_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,110,44,126                   // movd          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,98,255,255,255                  // jmp           42be <_sk_load_565_dst_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,85,255,255,255                  // jmp           42be <_sk_load_565_dst_sse2+0x34>

HIDDEN _sk_gather_565_sse2
.globl _sk_gather_565_sse2
FUNCTION(_sk_gather_565_sse2)
_sk_gather_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,196,20,74,0                  // pinsrw        $0x0,(%edx,%ecx,2),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,196,20,74,1                  // pinsrw        $0x1,(%edx,%ecx,2),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,209,2                    // pinsrw        $0x2,%ecx,%xmm2
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  232,0,0,0,0                         // call          43e4 <_sk_gather_565_sse2+0x7b>
  .byte  90                                  // pop           %edx
  .byte  102,15,196,209,3                    // pinsrw        $0x3,%ecx,%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,130,92,142,0,0           // movdqa        0x8e5c(%edx),%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,108,142,0,0               // mulps         0x8e6c(%edx),%xmm0
  .byte  102,15,111,138,124,142,0,0          // movdqa        0x8e7c(%edx),%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,140,142,0,0               // mulps         0x8e8c(%edx),%xmm1
  .byte  102,15,219,146,156,142,0,0          // pand          0x8e9c(%edx),%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,172,142,0,0               // mulps         0x8eac(%edx),%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,92,140,0,0                // movaps        0x8c5c(%edx),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_565_sse2
.globl _sk_store_565_sse2
FUNCTION(_sk_store_565_sse2)
_sk_store_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4457 <_sk_store_565_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  1,210                               // add           %edx,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,201,143,0,0               // movaps        0x8fc9(%edi),%xmm4
  .byte  15,40,175,217,143,0,0               // movaps        0x8fd9(%edi),%xmm5
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,11                   // pslld         $0xb,%xmm6
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,5                    // pslld         $0x5,%xmm5
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,86,229                       // orpd          %xmm5,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,126,101,232                  // movd          %xmm4,-0x18(%ebp)
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,109,236                  // movd          %xmm5,-0x14(%ebp)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,34                              // jne           44eb <_sk_store_565_sse2+0xa2>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  137,60,114                          // mov           %edi,(%edx,%esi,2)
  .byte  137,92,114,4                        // mov           %ebx,0x4(%edx,%esi,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  243,15,126,101,232                  // movq          -0x18(%ebp),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,37                              // je            4521 <_sk_store_565_sse2+0xd8>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,15                              // je            4510 <_sk_store_565_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,210                             // jne           44d8 <_sk_store_565_sse2+0x8f>
  .byte  102,15,197,252,4                    // pextrw        $0x4,%xmm4,%edi
  .byte  102,137,124,114,4                   // mov           %di,0x4(%edx,%esi,2)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  242,15,112,228,232                  // pshuflw       $0xe8,%xmm4,%xmm4
  .byte  102,15,126,36,114                   // movd          %xmm4,(%edx,%esi,2)
  .byte  235,183                             // jmp           44d8 <_sk_store_565_sse2+0x8f>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,137,60,114                      // mov           %di,(%edx,%esi,2)
  .byte  235,173                             // jmp           44d8 <_sk_store_565_sse2+0x8f>

HIDDEN _sk_load_4444_sse2
.globl _sk_load_4444_sse2
FUNCTION(_sk_load_4444_sse2)
_sk_load_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4539 <_sk_load_4444_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,112                             // jne           45c6 <_sk_load_4444_sse2+0x9b>
  .byte  243,15,126,28,126                   // movq          (%esi,%edi,2),%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,130,7,143,0,0            // movdqa        0x8f07(%edx),%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,23,143,0,0                // mulps         0x8f17(%edx),%xmm0
  .byte  102,15,111,138,39,143,0,0           // movdqa        0x8f27(%edx),%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,55,143,0,0                // mulps         0x8f37(%edx),%xmm1
  .byte  102,15,111,146,71,143,0,0           // movdqa        0x8f47(%edx),%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,87,143,0,0                // mulps         0x8f57(%edx),%xmm2
  .byte  102,15,219,154,103,143,0,0          // pand          0x8f67(%edx),%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,119,143,0,0               // mulps         0x8f77(%edx),%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            45fc <_sk_load_4444_sse2+0xd1>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            45ea <_sk_load_4444_sse2+0xbf>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,131                             // jne           455f <_sk_load_4444_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,110,4,126                    // movd          (%esi,%edi,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,216                       // movsd         %xmm0,%xmm3
  .byte  233,99,255,255,255                  // jmp           455f <_sk_load_4444_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,222                      // movd          %esi,%xmm3
  .byte  233,86,255,255,255                  // jmp           455f <_sk_load_4444_sse2+0x34>

HIDDEN _sk_load_4444_dst_sse2
.globl _sk_load_4444_dst_sse2
FUNCTION(_sk_load_4444_dst_sse2)
_sk_load_4444_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4617 <_sk_load_4444_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,128,0,0,0                    // jne           46b8 <_sk_load_4444_dst_sse2+0xaf>
  .byte  243,15,126,36,126                   // movq          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,111,170,41,142,0,0           // movdqa        0x8e29(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,57,142,0,0                // mulps         0x8e39(%edx),%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,111,170,73,142,0,0           // movdqa        0x8e49(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,89,142,0,0                // mulps         0x8e59(%edx),%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,111,170,105,142,0,0          // movdqa        0x8e69(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,121,142,0,0               // mulps         0x8e79(%edx),%xmm5
  .byte  15,41,105,48                        // movaps        %xmm5,0x30(%ecx)
  .byte  102,15,219,162,137,142,0,0          // pand          0x8e89(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,153,142,0,0               // mulps         0x8e99(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            46f2 <_sk_load_4444_dst_sse2+0xe9>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            46e0 <_sk_load_4444_dst_sse2+0xd7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,111,255,255,255              // jne           4641 <_sk_load_4444_dst_sse2+0x38>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,110,44,126                   // movd          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,79,255,255,255                  // jmp           4641 <_sk_load_4444_dst_sse2+0x38>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,66,255,255,255                  // jmp           4641 <_sk_load_4444_dst_sse2+0x38>

HIDDEN _sk_gather_4444_sse2
.globl _sk_gather_4444_sse2
FUNCTION(_sk_gather_4444_sse2)
_sk_gather_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,196,28,74,0                  // pinsrw        $0x0,(%edx,%ecx,2),%xmm3
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,196,28,74,1                  // pinsrw        $0x1,(%edx,%ecx,2),%xmm3
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,217,2                    // pinsrw        $0x2,%ecx,%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,217,3                    // pinsrw        $0x3,%ecx,%xmm3
  .byte  232,0,0,0,0                         // call          477f <_sk_gather_4444_sse2+0x80>
  .byte  89                                  // pop           %ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,129,193,140,0,0          // movdqa        0x8cc1(%ecx),%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,129,209,140,0,0               // mulps         0x8cd1(%ecx),%xmm0
  .byte  102,15,111,137,225,140,0,0          // movdqa        0x8ce1(%ecx),%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,137,241,140,0,0               // mulps         0x8cf1(%ecx),%xmm1
  .byte  102,15,111,145,1,141,0,0            // movdqa        0x8d01(%ecx),%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,145,17,141,0,0                // mulps         0x8d11(%ecx),%xmm2
  .byte  102,15,219,153,33,141,0,0           // pand          0x8d21(%ecx),%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,153,49,141,0,0                // mulps         0x8d31(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_4444_sse2
.globl _sk_store_4444_sse2
FUNCTION(_sk_store_4444_sse2)
_sk_store_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          47fc <_sk_store_4444_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  1,210                               // add           %edx,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,196,140,0,0               // movaps        0x8cc4(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,12                   // pslld         $0xc,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,4                    // pslld         $0x4,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,86,229                       // orpd          %xmm5,%xmm4
  .byte  102,15,86,230                       // orpd          %xmm6,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,126,101,232                  // movd          %xmm4,-0x18(%ebp)
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,109,236                  // movd          %xmm5,-0x14(%ebp)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,34                              // jne           489f <_sk_store_4444_sse2+0xb1>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  137,60,114                          // mov           %edi,(%edx,%esi,2)
  .byte  137,92,114,4                        // mov           %ebx,0x4(%edx,%esi,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  243,15,126,101,232                  // movq          -0x18(%ebp),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,37                              // je            48d5 <_sk_store_4444_sse2+0xe7>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,15                              // je            48c4 <_sk_store_4444_sse2+0xd6>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,210                             // jne           488c <_sk_store_4444_sse2+0x9e>
  .byte  102,15,197,252,4                    // pextrw        $0x4,%xmm4,%edi
  .byte  102,137,124,114,4                   // mov           %di,0x4(%edx,%esi,2)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  242,15,112,228,232                  // pshuflw       $0xe8,%xmm4,%xmm4
  .byte  102,15,126,36,114                   // movd          %xmm4,(%edx,%esi,2)
  .byte  235,183                             // jmp           488c <_sk_store_4444_sse2+0x9e>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,137,60,114                      // mov           %di,(%edx,%esi,2)
  .byte  235,173                             // jmp           488c <_sk_store_4444_sse2+0x9e>

HIDDEN _sk_load_8888_sse2
.globl _sk_load_8888_sse2
FUNCTION(_sk_load_8888_sse2)
_sk_load_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          48ed <_sk_load_8888_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           4971 <_sk_load_8888_sse2+0x92>
  .byte  243,15,111,28,190                   // movdqu        (%esi,%edi,4),%xmm3
  .byte  102,15,111,146,19,136,0,0           // movdqa        0x8813(%edx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,162,67,137,0,0                // movaps        0x8943(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,35                              // je            499c <_sk_load_8888_sse2+0xbd>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4992 <_sk_load_8888_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,137                             // jne           4910 <_sk_load_8888_sse2+0x31>
  .byte  102,15,110,68,190,8                 // movd          0x8(%esi,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,190                    // movlpd        (%esi,%edi,4),%xmm3
  .byte  233,116,255,255,255                 // jmp           4910 <_sk_load_8888_sse2+0x31>
  .byte  102,15,110,28,190                   // movd          (%esi,%edi,4),%xmm3
  .byte  233,106,255,255,255                 // jmp           4910 <_sk_load_8888_sse2+0x31>

HIDDEN _sk_load_8888_dst_sse2
.globl _sk_load_8888_dst_sse2
FUNCTION(_sk_load_8888_dst_sse2)
_sk_load_8888_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          49b4 <_sk_load_8888_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,118                             // jne           4a48 <_sk_load_8888_dst_sse2+0xa2>
  .byte  243,15,111,36,190                   // movdqu        (%esi,%edi,4),%xmm4
  .byte  102,15,111,170,76,135,0,0           // movdqa        0x874c(%edx),%xmm5
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,186,124,136,0,0               // movaps        0x887c(%edx),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,16                        // movaps        %xmm6,0x10(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,41,105,48                        // movaps        %xmm5,0x30(%ecx)
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,39                              // je            4a77 <_sk_load_8888_dst_sse2+0xd1>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,20                              // je            4a6d <_sk_load_8888_dst_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,117,255,255,255              // jne           49d7 <_sk_load_8888_dst_sse2+0x31>
  .byte  102,15,110,100,190,8                // movd          0x8(%esi,%edi,4),%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,18,36,190                    // movlpd        (%esi,%edi,4),%xmm4
  .byte  233,96,255,255,255                  // jmp           49d7 <_sk_load_8888_dst_sse2+0x31>
  .byte  102,15,110,36,190                   // movd          (%esi,%edi,4),%xmm4
  .byte  233,86,255,255,255                  // jmp           49d7 <_sk_load_8888_dst_sse2+0x31>

HIDDEN _sk_gather_8888_sse2
.globl _sk_gather_8888_sse2
FUNCTION(_sk_gather_8888_sse2)
_sk_gather_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,110,20,138                   // movd          (%edx,%ecx,4),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,110,12,138                   // movd          (%edx,%ecx,4),%xmm1
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,110,28,138                   // movd          (%edx,%ecx,4),%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,110,4,138                    // movd          (%edx,%ecx,4),%xmm0
  .byte  232,0,0,0,0                         // call          4af7 <_sk_gather_8888_sse2+0x76>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,111,145,9,134,0,0            // movdqa        0x8609(%ecx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,161,57,135,0,0                // movaps        0x8739(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_8888_sse2
.globl _sk_store_8888_sse2
FUNCTION(_sk_store_8888_sse2)
_sk_store_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4b72 <_sk_store_8888_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,158,133,0,0               // movaps        0x859e(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,24                              // jne           4bef <_sk_store_8888_sse2+0x8b>
  .byte  243,15,127,36,178                   // movdqu        %xmm4,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,28                              // je            4c13 <_sk_store_8888_sse2+0xaf>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4c0c <_sk_store_8888_sse2+0xa8>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,219                             // jne           4bdc <_sk_store_8888_sse2+0x78>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,108,178,8                // movd          %xmm5,0x8(%edx,%esi,4)
  .byte  102,15,214,36,178                   // movq          %xmm4,(%edx,%esi,4)
  .byte  235,201                             // jmp           4bdc <_sk_store_8888_sse2+0x78>
  .byte  102,15,126,36,178                   // movd          %xmm4,(%edx,%esi,4)
  .byte  235,194                             // jmp           4bdc <_sk_store_8888_sse2+0x78>

HIDDEN _sk_load_bgra_sse2
.globl _sk_load_bgra_sse2
FUNCTION(_sk_load_bgra_sse2)
_sk_load_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4c28 <_sk_load_bgra_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           4cac <_sk_load_bgra_sse2+0x92>
  .byte  243,15,111,28,190                   // movdqu        (%esi,%edi,4),%xmm3
  .byte  102,15,111,130,216,132,0,0          // movdqa        0x84d8(%edx),%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  15,40,162,8,134,0,0                 // movaps        0x8608(%edx),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  15,91,197                           // cvtdq2ps      %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,35                              // je            4cd7 <_sk_load_bgra_sse2+0xbd>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4ccd <_sk_load_bgra_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,137                             // jne           4c4b <_sk_load_bgra_sse2+0x31>
  .byte  102,15,110,68,190,8                 // movd          0x8(%esi,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,190                    // movlpd        (%esi,%edi,4),%xmm3
  .byte  233,116,255,255,255                 // jmp           4c4b <_sk_load_bgra_sse2+0x31>
  .byte  102,15,110,28,190                   // movd          (%esi,%edi,4),%xmm3
  .byte  233,106,255,255,255                 // jmp           4c4b <_sk_load_bgra_sse2+0x31>

HIDDEN _sk_load_bgra_dst_sse2
.globl _sk_load_bgra_dst_sse2
FUNCTION(_sk_load_bgra_dst_sse2)
_sk_load_bgra_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4cef <_sk_load_bgra_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,118                             // jne           4d83 <_sk_load_bgra_dst_sse2+0xa2>
  .byte  243,15,111,36,190                   // movdqu        (%esi,%edi,4),%xmm4
  .byte  102,15,111,170,17,132,0,0           // movdqa        0x8411(%edx),%xmm5
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,186,65,133,0,0                // movaps        0x8541(%edx),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,48                        // movaps        %xmm6,0x30(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,39                              // je            4db2 <_sk_load_bgra_dst_sse2+0xd1>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,20                              // je            4da8 <_sk_load_bgra_dst_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,117,255,255,255              // jne           4d12 <_sk_load_bgra_dst_sse2+0x31>
  .byte  102,15,110,100,190,8                // movd          0x8(%esi,%edi,4),%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,18,36,190                    // movlpd        (%esi,%edi,4),%xmm4
  .byte  233,96,255,255,255                  // jmp           4d12 <_sk_load_bgra_dst_sse2+0x31>
  .byte  102,15,110,36,190                   // movd          (%esi,%edi,4),%xmm4
  .byte  233,86,255,255,255                  // jmp           4d12 <_sk_load_bgra_dst_sse2+0x31>

HIDDEN _sk_gather_bgra_sse2
.globl _sk_gather_bgra_sse2
FUNCTION(_sk_gather_bgra_sse2)
_sk_gather_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,110,20,138                   // movd          (%edx,%ecx,4),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,110,12,138                   // movd          (%edx,%ecx,4),%xmm1
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,110,28,138                   // movd          (%edx,%ecx,4),%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,110,4,138                    // movd          (%edx,%ecx,4),%xmm0
  .byte  232,0,0,0,0                         // call          4e32 <_sk_gather_bgra_sse2+0x76>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,111,129,206,130,0,0          // movdqa        0x82ce(%ecx),%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  15,40,161,254,131,0,0               // movaps        0x83fe(%ecx),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  15,91,197                           // cvtdq2ps      %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_bgra_sse2
.globl _sk_store_bgra_sse2
FUNCTION(_sk_store_bgra_sse2)
_sk_store_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4ead <_sk_store_bgra_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,99,130,0,0                // movaps        0x8263(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,24                              // jne           4f2a <_sk_store_bgra_sse2+0x8b>
  .byte  243,15,127,36,178                   // movdqu        %xmm4,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,28                              // je            4f4e <_sk_store_bgra_sse2+0xaf>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4f47 <_sk_store_bgra_sse2+0xa8>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,219                             // jne           4f17 <_sk_store_bgra_sse2+0x78>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,108,178,8                // movd          %xmm5,0x8(%edx,%esi,4)
  .byte  102,15,214,36,178                   // movq          %xmm4,(%edx,%esi,4)
  .byte  235,201                             // jmp           4f17 <_sk_store_bgra_sse2+0x78>
  .byte  102,15,126,36,178                   // movd          %xmm4,(%edx,%esi,4)
  .byte  235,194                             // jmp           4f17 <_sk_store_bgra_sse2+0x78>

HIDDEN _sk_load_f16_sse2
.globl _sk_load_f16_sse2
FUNCTION(_sk_load_f16_sse2)
_sk_load_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  232,0,0,0,0                         // call          4f63 <_sk_load_f16_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,160,1,0,0                    // jne           5125 <_sk_load_f16_sse2+0x1d0>
  .byte  102,15,16,4,254                     // movupd        (%esi,%edi,8),%xmm0
  .byte  243,15,111,76,254,16                // movdqu        0x10(%esi,%edi,8),%xmm1
  .byte  102,15,40,216                       // movapd        %xmm0,%xmm3
  .byte  102,15,97,217                       // punpcklwd     %xmm1,%xmm3
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,105,216                      // punpckhwd     %xmm0,%xmm3
  .byte  102,15,126,85,208                   // movd          %xmm2,-0x30(%ebp)
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,69,212                   // movd          %xmm0,-0x2c(%ebp)
  .byte  243,15,126,77,208                   // movq          -0x30(%ebp),%xmm1
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,69,216                   // movd          %xmm0,-0x28(%ebp)
  .byte  243,15,126,125,216                  // movq          -0x28(%ebp),%xmm7
  .byte  102,15,126,93,224                   // movd          %xmm3,-0x20(%ebp)
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,69,228                   // movd          %xmm0,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,69,236                   // movd          %xmm0,-0x14(%ebp)
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,69,232                   // movd          %xmm0,-0x18(%ebp)
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,111,154,109,133,0,0          // movdqa        0x856d(%edx),%xmm3
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,127,125,152                  // movdqa        %xmm7,-0x68(%ebp)
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,219,251                      // pand          %xmm3,%xmm7
  .byte  102,15,239,239                      // pxor          %xmm7,%xmm5
  .byte  102,15,127,109,168                  // movdqa        %xmm5,-0x58(%ebp)
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  243,15,126,125,232                  // movq          -0x18(%ebp),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,219,223                      // pand          %xmm7,%xmm3
  .byte  102,15,239,251                      // pxor          %xmm3,%xmm7
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,154,125,133,0,0          // movdqa        0x857d(%edx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,254,243                      // paddd         %xmm3,%xmm6
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,154,141,133,0,0          // movdqa        0x858d(%edx),%xmm3
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,239,203                      // pxor          %xmm3,%xmm1
  .byte  102,15,111,154,157,133,0,0          // movdqa        0x859d(%edx),%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,223,226                      // pandn         %xmm2,%xmm4
  .byte  102,15,111,85,152                   // movdqa        -0x68(%ebp),%xmm2
  .byte  102,15,239,85,184                   // pxor          -0x48(%ebp),%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,102,202                      // pcmpgtd       %xmm2,%xmm1
  .byte  102,15,223,206                      // pandn         %xmm6,%xmm1
  .byte  102,15,111,117,168                  // movdqa        -0x58(%ebp),%xmm6
  .byte  102,15,239,117,184                  // pxor          -0x48(%ebp),%xmm6
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,102,214                      // pcmpgtd       %xmm6,%xmm2
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,239,125,184                  // pxor          -0x48(%ebp),%xmm7
  .byte  102,15,102,223                      // pcmpgtd       %xmm7,%xmm3
  .byte  102,15,223,216                      // pandn         %xmm0,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,108                         // add           $0x6c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,254                     // movsd         (%esi,%edi,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,89,254,255,255               // je            4f90 <_sk_load_f16_sse2+0x3b>
  .byte  102,15,22,68,254,8                  // movhpd        0x8(%esi,%edi,8),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,74,254,255,255               // jb            4f90 <_sk_load_f16_sse2+0x3b>
  .byte  243,15,126,76,254,16                // movq          0x10(%esi,%edi,8),%xmm1
  .byte  233,63,254,255,255                  // jmp           4f90 <_sk_load_f16_sse2+0x3b>

HIDDEN _sk_load_f16_dst_sse2
.globl _sk_load_f16_dst_sse2
FUNCTION(_sk_load_f16_dst_sse2)
_sk_load_f16_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,140,0,0,0                   // sub           $0x8c,%esp
  .byte  15,41,157,104,255,255,255           // movaps        %xmm3,-0x98(%ebp)
  .byte  15,41,149,120,255,255,255           // movaps        %xmm2,-0x88(%ebp)
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  232,0,0,0,0                         // call          5179 <_sk_load_f16_dst_sse2+0x28>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,206,1,0,0                    // jne           5369 <_sk_load_f16_dst_sse2+0x218>
  .byte  102,15,16,4,254                     // movupd        (%esi,%edi,8),%xmm0
  .byte  243,15,111,76,254,16                // movdqu        0x10(%esi,%edi,8),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,126,93,208                   // movd          %xmm3,-0x30(%ebp)
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,69,212                   // movd          %xmm0,-0x2c(%ebp)
  .byte  243,15,126,101,208                  // movq          -0x30(%ebp),%xmm4
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,69,216                   // movd          %xmm0,-0x28(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,126,85,224                   // movd          %xmm2,-0x20(%ebp)
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,93,228                   // movd          %xmm3,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,93,236                   // movd          %xmm3,-0x14(%ebp)
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,97,225                       // punpcklwd     %xmm1,%xmm4
  .byte  102,15,111,154,87,131,0,0           // movdqa        0x8357(%edx),%xmm3
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,15,111,146,119,131,0,0          // movdqa        0x8377(%edx),%xmm2
  .byte  102,15,127,85,168                   // movdqa        %xmm2,-0x58(%ebp)
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,111,178,135,131,0,0          // movdqa        0x8387(%edx),%xmm6
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,102,252                      // pcmpgtd       %xmm4,%xmm7
  .byte  102,15,111,146,103,131,0,0          // movdqa        0x8367(%edx),%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,223,249                      // pandn         %xmm1,%xmm7
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,127,121,16                   // movdqa        %xmm7,0x10(%ecx)
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  102,15,239,193                      // pxor          %xmm1,%xmm0
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,114,247,13                   // pslld         $0xd,%xmm7
  .byte  102,15,235,249                      // por           %xmm1,%xmm7
  .byte  102,15,111,101,168                  // movdqa        -0x58(%ebp),%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,102,200                      // pcmpgtd       %xmm0,%xmm1
  .byte  102,15,254,125,184                  // paddd         -0x48(%ebp),%xmm7
  .byte  102,15,223,207                      // pandn         %xmm7,%xmm1
  .byte  102,15,127,73,32                    // movdqa        %xmm1,0x20(%ecx)
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,97,239                       // punpcklwd     %xmm7,%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,239,236                      // pxor          %xmm4,%xmm5
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,102,197                      // pcmpgtd       %xmm5,%xmm0
  .byte  102,15,111,109,184                  // movdqa        -0x48(%ebp),%xmm5
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,15,127,65,48                    // movdqa        %xmm0,0x30(%ecx)
  .byte  102,15,97,215                       // punpcklwd     %xmm7,%xmm2
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  102,15,239,211                      // pxor          %xmm3,%xmm2
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,15,239,212                      // pxor          %xmm4,%xmm2
  .byte  102,15,102,242                      // pcmpgtd       %xmm2,%xmm6
  .byte  102,15,223,240                      // pandn         %xmm0,%xmm6
  .byte  102,15,127,113,64                   // movdqa        %xmm6,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,40,77,136                        // movaps        -0x78(%ebp),%xmm1
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,40,157,104,255,255,255           // movaps        -0x98(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  129,196,156,0,0,0                   // add           $0x9c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,254                     // movsd         (%esi,%edi,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,43,254,255,255               // je            51a6 <_sk_load_f16_dst_sse2+0x55>
  .byte  102,15,22,68,254,8                  // movhpd        0x8(%esi,%edi,8),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,28,254,255,255               // jb            51a6 <_sk_load_f16_dst_sse2+0x55>
  .byte  243,15,126,76,254,16                // movq          0x10(%esi,%edi,8),%xmm1
  .byte  233,17,254,255,255                  // jmp           51a6 <_sk_load_f16_dst_sse2+0x55>

HIDDEN _sk_gather_f16_sse2
.globl _sk_gather_f16_sse2
FUNCTION(_sk_gather_f16_sse2)
_sk_gather_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,10                              // mov           (%edx),%ecx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,82,4                     // movd          0x4(%edx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,110,84,209,4                 // movd          0x4(%ecx,%edx,8),%xmm2
  .byte  102,15,110,28,209                   // movd          (%ecx,%edx,8),%xmm3
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,110,76,209,4                 // movd          0x4(%ecx,%edx,8),%xmm1
  .byte  102,15,110,36,209                   // movd          (%ecx,%edx,8),%xmm4
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,192,229                  // pshufd        $0xe5,%xmm0,%xmm0
  .byte  102,15,110,108,209,4                // movd          0x4(%ecx,%edx,8),%xmm5
  .byte  102,15,110,52,209                   // movd          (%ecx,%edx,8),%xmm6
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,110,68,209,4                 // movd          0x4(%ecx,%edx,8),%xmm0
  .byte  102,15,110,60,209                   // movd          (%ecx,%edx,8),%xmm7
  .byte  232,0,0,0,0                         // call          5423 <_sk_gather_f16_sse2+0x8e>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,98,232                       // punpckldq     %xmm0,%xmm5
  .byte  102,15,98,247                       // punpckldq     %xmm7,%xmm6
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  102,15,105,244                      // punpckhwd     %xmm4,%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,97,214                       // punpcklwd     %xmm6,%xmm2
  .byte  102,15,105,198                      // punpckhwd     %xmm6,%xmm0
  .byte  102,15,126,85,224                   // movd          %xmm2,-0x20(%ebp)
  .byte  102,15,112,202,229                  // pshufd        $0xe5,%xmm2,%xmm1
  .byte  102,15,126,77,228                   // movd          %xmm1,-0x1c(%ebp)
  .byte  243,15,126,77,224                   // movq          -0x20(%ebp),%xmm1
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,93,236                   // movd          %xmm3,-0x14(%ebp)
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  243,15,126,125,232                  // movq          -0x18(%ebp),%xmm7
  .byte  102,15,126,69,240                   // movd          %xmm0,-0x10(%ebp)
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,126,93,244                   // movd          %xmm3,-0xc(%ebp)
  .byte  243,15,126,109,240                  // movq          -0x10(%ebp),%xmm5
  .byte  102,15,112,216,231                  // pshufd        $0xe7,%xmm0,%xmm3
  .byte  102,15,126,93,252                   // movd          %xmm3,-0x4(%ebp)
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,126,69,248                   // movd          %xmm0,-0x8(%ebp)
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,111,153,173,128,0,0          // movdqa        0x80ad(%ecx),%xmm3
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,127,125,168                  // movdqa        %xmm7,-0x58(%ebp)
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,219,251                      // pand          %xmm3,%xmm7
  .byte  102,15,239,239                      // pxor          %xmm7,%xmm5
  .byte  102,15,127,109,184                  // movdqa        %xmm5,-0x48(%ebp)
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  243,15,126,125,248                  // movq          -0x8(%ebp),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,219,223                      // pand          %xmm7,%xmm3
  .byte  102,15,239,251                      // pxor          %xmm3,%xmm7
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,153,189,128,0,0          // movdqa        0x80bd(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,254,243                      // paddd         %xmm3,%xmm6
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,153,205,128,0,0          // movdqa        0x80cd(%ecx),%xmm3
  .byte  102,15,127,93,200                   // movdqa        %xmm3,-0x38(%ebp)
  .byte  102,15,239,203                      // pxor          %xmm3,%xmm1
  .byte  102,15,111,153,221,128,0,0          // movdqa        0x80dd(%ecx),%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,223,226                      // pandn         %xmm2,%xmm4
  .byte  102,15,111,85,168                   // movdqa        -0x58(%ebp),%xmm2
  .byte  102,15,239,85,200                   // pxor          -0x38(%ebp),%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,102,202                      // pcmpgtd       %xmm2,%xmm1
  .byte  102,15,223,206                      // pandn         %xmm6,%xmm1
  .byte  102,15,111,117,184                  // movdqa        -0x48(%ebp),%xmm6
  .byte  102,15,239,117,200                  // pxor          -0x38(%ebp),%xmm6
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,102,214                      // pcmpgtd       %xmm6,%xmm2
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,239,125,200                  // pxor          -0x38(%ebp),%xmm7
  .byte  102,15,102,223                      // pcmpgtd       %xmm7,%xmm3
  .byte  102,15,223,216                      // pandn         %xmm0,%xmm3
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_f16_sse2
.globl _sk_store_f16_sse2
FUNCTION(_sk_store_f16_sse2)
_sk_store_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,80                          // sub           $0x50,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          55e6 <_sk_store_f16_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  102,15,111,176,10,127,0,0           // movdqa        0x7f0a(%eax),%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,219,214                      // pand          %xmm6,%xmm2
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,234                      // pxor          %xmm2,%xmm5
  .byte  102,15,111,160,42,127,0,0           // movdqa        0x7f2a(%eax),%xmm4
  .byte  102,15,114,210,16                   // psrld         $0x10,%xmm2
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,102,197                      // pcmpgtd       %xmm5,%xmm0
  .byte  102,15,114,213,13                   // psrld         $0xd,%xmm5
  .byte  102,15,111,184,58,127,0,0           // movdqa        0x7f3a(%eax),%xmm7
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,15,127,125,232                  // movdqa        %xmm7,-0x18(%ebp)
  .byte  102,15,254,213                      // paddd         %xmm5,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,114,226,16                   // psrad         $0x10,%xmm2
  .byte  102,15,223,194                      // pandn         %xmm2,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,239,205                      // pxor          %xmm5,%xmm1
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,102,209                      // pcmpgtd       %xmm1,%xmm2
  .byte  102,15,114,209,13                   // psrld         $0xd,%xmm1
  .byte  102,15,254,239                      // paddd         %xmm7,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,206                      // pand          %xmm6,%xmm1
  .byte  102,15,127,93,168                   // movdqa        %xmm3,-0x58(%ebp)
  .byte  102,15,239,217                      // pxor          %xmm1,%xmm3
  .byte  102,15,114,209,16                   // psrld         $0x10,%xmm1
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,102,235                      // pcmpgtd       %xmm3,%xmm5
  .byte  102,15,114,211,13                   // psrld         $0xd,%xmm3
  .byte  102,15,254,77,232                   // paddd         -0x18(%ebp),%xmm1
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,15,111,93,216                   // movdqa        -0x28(%ebp),%xmm3
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,15,114,225,16                   // psrad         $0x10,%xmm1
  .byte  102,15,223,233                      // pandn         %xmm1,%xmm5
  .byte  102,15,219,243                      // pand          %xmm3,%xmm6
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,254,117,232                  // paddd         -0x18(%ebp),%xmm6
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,114,209,13                   // psrld         $0xd,%xmm1
  .byte  102,15,254,241                      // paddd         %xmm1,%xmm6
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,15,114,230,16                   // psrad         $0x10,%xmm6
  .byte  102,15,223,230                      // pandn         %xmm6,%xmm4
  .byte  102,15,107,201                      // packssdw      %xmm1,%xmm1
  .byte  102,15,107,210                      // packssdw      %xmm2,%xmm2
  .byte  102,15,97,202                       // punpcklwd     %xmm2,%xmm1
  .byte  102,15,107,237                      // packssdw      %xmm5,%xmm5
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,97,236                       // punpcklwd     %xmm4,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,53                              // jne           5758 <_sk_store_f16_sse2+0x187>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,98,197                       // punpckldq     %xmm5,%xmm0
  .byte  243,15,127,4,214                    // movdqu        %xmm0,(%esi,%edx,8)
  .byte  102,15,106,205                      // punpckhdq     %xmm5,%xmm1
  .byte  243,15,127,76,214,16                // movdqu        %xmm1,0x10(%esi,%edx,8)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,96                          // add           $0x60,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,98,213                       // punpckldq     %xmm5,%xmm2
  .byte  102,15,214,20,214                   // movq          %xmm2,(%esi,%edx,8)
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,208                             // je            573a <_sk_store_f16_sse2+0x169>
  .byte  102,15,23,84,214,8                  // movhpd        %xmm2,0x8(%esi,%edx,8)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,197                             // jb            573a <_sk_store_f16_sse2+0x169>
  .byte  102,15,106,205                      // punpckhdq     %xmm5,%xmm1
  .byte  102,15,214,76,214,16                // movq          %xmm1,0x10(%esi,%edx,8)
  .byte  235,185                             // jmp           573a <_sk_store_f16_sse2+0x169>

HIDDEN _sk_load_u16_be_sse2
.globl _sk_load_u16_be_sse2
FUNCTION(_sk_load_u16_be_sse2)
_sk_load_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,121,4                        // imul          0x4(%ecx),%edi
  .byte  1,255                               // add           %edi,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  133,219                             // test          %ebx,%ebx
  .byte  232,0,0,0,0                         // call          57ac <_sk_load_u16_be_sse2+0x2b>
  .byte  90                                  // pop           %edx
  .byte  15,133,11,1,0,0                     // jne           58be <_sk_load_u16_be_sse2+0x13d>
  .byte  102,15,16,4,119                     // movupd        (%edi,%esi,2),%xmm0
  .byte  243,15,111,76,119,16                // movdqu        0x10(%edi,%esi,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,126,77,216                   // movd          %xmm1,-0x28(%ebp)
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,97,195                       // punpcklwd     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,162,244,122,0,0               // movaps        0x7af4(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,235,233                      // por           %xmm1,%xmm5
  .byte  102,15,126,109,208                  // movd          %xmm5,-0x30(%ebp)
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,77,212                   // movd          %xmm1,-0x2c(%ebp)
  .byte  243,15,126,77,208                   // movq          -0x30(%ebp),%xmm1
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,213                      // por           %xmm5,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  102,15,126,85,236                   // movd          %xmm2,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  102,15,126,117,224                  // movd          %xmm6,-0x20(%ebp)
  .byte  102,15,112,238,229                  // pshufd        $0xe5,%xmm6,%xmm5
  .byte  102,15,126,109,228                  // movd          %xmm5,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,97,235                       // punpcklwd     %xmm3,%xmm5
  .byte  15,91,221                           // cvtdq2ps      %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,119                     // movsd         (%edi,%esi,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,238,254,255,255              // je            57be <_sk_load_u16_be_sse2+0x3d>
  .byte  102,15,22,68,119,8                  // movhpd        0x8(%edi,%esi,2),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,223,254,255,255              // jb            57be <_sk_load_u16_be_sse2+0x3d>
  .byte  243,15,126,76,119,16                // movq          0x10(%edi,%esi,2),%xmm1
  .byte  233,212,254,255,255                 // jmp           57be <_sk_load_u16_be_sse2+0x3d>

HIDDEN _sk_load_rgb_u16_be_sse2
.globl _sk_load_rgb_u16_be_sse2
FUNCTION(_sk_load_rgb_u16_be_sse2)
_sk_load_rgb_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,28                          // sub           $0x1c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,114,4                           // mov           0x4(%edx),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,50                                // add           (%edx),%esi
  .byte  107,25,3                            // imul          $0x3,(%ecx),%ebx
  .byte  133,255                             // test          %edi,%edi
  .byte  232,0,0,0,0                         // call          5913 <_sk_load_rgb_u16_be_sse2+0x29>
  .byte  90                                  // pop           %edx
  .byte  15,133,240,0,0,0                    // jne           5a0a <_sk_load_rgb_u16_be_sse2+0x120>
  .byte  243,15,111,20,94                    // movdqu        (%esi,%ebx,2),%xmm2
  .byte  243,15,111,92,94,8                  // movdqu        0x8(%esi,%ebx,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,126,77,224                   // movd          %xmm1,-0x20(%ebp)
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,69,228                   // movd          %xmm0,-0x1c(%ebp)
  .byte  243,15,126,69,224                   // movq          -0x20(%ebp),%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,97,195                       // punpcklwd     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,170,141,121,0,0               // movaps        0x798d(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,235,225                      // por           %xmm1,%xmm4
  .byte  102,15,126,101,216                  // movd          %xmm4,-0x28(%ebp)
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,77,220                   // movd          %xmm1,-0x24(%ebp)
  .byte  243,15,126,77,216                   // movq          -0x28(%ebp),%xmm1
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,113,244,8                    // psllw         $0x8,%xmm4
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  102,15,126,85,236                   // movd          %xmm2,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,45,119,0,0                // movaps        0x772d(%edx),%xmm3
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,44                          // add           $0x2c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,110,20,94                    // movd          (%esi,%ebx,2),%xmm2
  .byte  102,15,196,84,94,4,2                // pinsrw        $0x2,0x4(%esi,%ebx,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,13                              // jne           5a2c <_sk_load_rgb_u16_be_sse2+0x142>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,16,255,255,255                  // jmp           593c <_sk_load_rgb_u16_be_sse2+0x52>
  .byte  102,15,110,68,94,6                  // movd          0x6(%esi,%ebx,2),%xmm0
  .byte  102,15,196,68,94,10,2               // pinsrw        $0x2,0xa(%esi,%ebx,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,18                              // jb            5a54 <_sk_load_rgb_u16_be_sse2+0x16a>
  .byte  102,15,110,92,94,12                 // movd          0xc(%esi,%ebx,2),%xmm3
  .byte  102,15,196,92,94,16,2               // pinsrw        $0x2,0x10(%esi,%ebx,2),%xmm3
  .byte  233,232,254,255,255                 // jmp           593c <_sk_load_rgb_u16_be_sse2+0x52>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,223,254,255,255                 // jmp           593c <_sk_load_rgb_u16_be_sse2+0x52>

HIDDEN _sk_store_u16_be_sse2
.globl _sk_store_u16_be_sse2
FUNCTION(_sk_store_u16_be_sse2)
_sk_store_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,16                          // sub           $0x10,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          5a6e <_sk_store_u16_be_sse2+0x11>
  .byte  88                                  // pop           %eax
  .byte  15,40,176,194,122,0,0               // movaps        0x7ac2(%eax),%xmm6
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  102,15,91,253                       // cvtps2dq      %xmm5,%xmm7
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,231,16                   // psrad         $0x10,%xmm7
  .byte  102,15,107,255                      // packssdw      %xmm7,%xmm7
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,235,253                      // por           %xmm5,%xmm7
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,107,237                      // packssdw      %xmm5,%xmm5
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,235,235                      // por           %xmm3,%xmm5
  .byte  15,89,117,232                       // mulps         -0x18(%ebp),%xmm6
  .byte  102,15,91,222                       // cvtps2dq      %xmm6,%xmm3
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,114,227,16                   // psrad         $0x10,%xmm3
  .byte  102,15,107,219                      // packssdw      %xmm3,%xmm3
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,113,246,8                    // psllw         $0x8,%xmm6
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,222                      // por           %xmm6,%xmm3
  .byte  102,15,97,231                       // punpcklwd     %xmm7,%xmm4
  .byte  102,15,97,235                       // punpcklwd     %xmm3,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  133,255                             // test          %edi,%edi
  .byte  117,45                              // jne           5b70 <_sk_store_u16_be_sse2+0x113>
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,98,221                       // punpckldq     %xmm5,%xmm3
  .byte  243,15,127,28,86                    // movdqu        %xmm3,(%esi,%edx,2)
  .byte  102,15,106,229                      // punpckhdq     %xmm5,%xmm4
  .byte  243,15,127,100,86,16                // movdqu        %xmm4,0x10(%esi,%edx,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,32                          // add           $0x20,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,214,52,86                    // movq          %xmm6,(%esi,%edx,2)
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,216                             // je            5b5a <_sk_store_u16_be_sse2+0xfd>
  .byte  102,15,23,116,86,8                  // movhpd        %xmm6,0x8(%esi,%edx,2)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,205                             // jb            5b5a <_sk_store_u16_be_sse2+0xfd>
  .byte  102,15,106,229                      // punpckhdq     %xmm5,%xmm4
  .byte  102,15,214,100,86,16                // movq          %xmm4,0x10(%esi,%edx,2)
  .byte  235,193                             // jmp           5b5a <_sk_store_u16_be_sse2+0xfd>

HIDDEN _sk_load_f32_sse2
.globl _sk_load_f32_sse2
FUNCTION(_sk_load_f32_sse2)
_sk_load_f32_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,189,0,0,0,0                  // lea           0x0(,%edi,4),%esi
  .byte  193,231,4                           // shl           $0x4,%edi
  .byte  15,16,36,23                         // movups        (%edi,%edx,1),%xmm4
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,71                              // jne           5c10 <_sk_load_f32_sse2+0x77>
  .byte  15,16,84,178,16                     // movups        0x10(%edx,%esi,4),%xmm2
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  15,16,68,178,48                     // movups        0x30(%edx,%esi,4),%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,21,226                           // unpckhps      %xmm2,%xmm4
  .byte  15,21,216                           // unpckhps      %xmm0,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,8                               // jne           5c20 <_sk_load_f32_sse2+0x87>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  235,184                             // jmp           5bd8 <_sk_load_f32_sse2+0x3f>
  .byte  15,16,84,178,16                     // movups        0x10(%edx,%esi,4),%xmm2
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,7                               // jb            5c31 <_sk_load_f32_sse2+0x98>
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  235,167                             // jmp           5bd8 <_sk_load_f32_sse2+0x3f>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,162                             // jmp           5bd8 <_sk_load_f32_sse2+0x3f>

HIDDEN _sk_load_f32_dst_sse2
.globl _sk_load_f32_dst_sse2
FUNCTION(_sk_load_f32_dst_sse2)
_sk_load_f32_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,32                          // sub           $0x20,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,189,0,0,0,0                  // lea           0x0(,%edi,4),%esi
  .byte  193,231,4                           // shl           $0x4,%edi
  .byte  15,16,52,23                         // movups        (%edi,%edx,1),%xmm6
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,97                              // jne           5cd2 <_sk_load_f32_dst_sse2+0x9c>
  .byte  15,16,124,178,16                    // movups        0x10(%edx,%esi,4),%xmm7
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  15,16,84,178,48                     // movups        0x30(%edx,%esi,4),%xmm2
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,21,247                           // unpckhps      %xmm7,%xmm6
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,213                       // unpcklpd      %xmm5,%xmm2
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,227                       // unpcklpd      %xmm3,%xmm4
  .byte  15,18,222                           // movhlps       %xmm6,%xmm3
  .byte  102,15,41,81,16                     // movapd        %xmm2,0x10(%ecx)
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,41,97,48                     // movapd        %xmm4,0x30(%ecx)
  .byte  15,41,89,64                         // movaps        %xmm3,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,48                          // add           $0x30,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,8                               // jne           5ce2 <_sk_load_f32_dst_sse2+0xac>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,158                             // jmp           5c80 <_sk_load_f32_dst_sse2+0x4a>
  .byte  15,16,124,178,16                    // movups        0x10(%edx,%esi,4),%xmm7
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,7                               // jb            5cf3 <_sk_load_f32_dst_sse2+0xbd>
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  235,141                             // jmp           5c80 <_sk_load_f32_dst_sse2+0x4a>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,136                             // jmp           5c80 <_sk_load_f32_dst_sse2+0x4a>

HIDDEN _sk_store_f32_sse2
.globl _sk_store_f32_sse2
FUNCTION(_sk_store_f32_sse2)
_sk_store_f32_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,25                              // mov           (%ecx),%ebx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,157,0,0,0,0                  // lea           0x0(,%ebx,4),%esi
  .byte  193,227,4                           // shl           $0x4,%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  102,15,20,244                       // unpcklpd      %xmm4,%xmm6
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  102,15,17,52,19                     // movupd        %xmm6,(%ebx,%edx,1)
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,21,241                           // unpckhps      %xmm1,%xmm6
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,21,251                           // unpckhps      %xmm3,%xmm7
  .byte  15,18,229                           // movhlps       %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  102,15,20,239                       // unpcklpd      %xmm7,%xmm5
  .byte  133,255                             // test          %edi,%edi
  .byte  117,40                              // jne           5d7e <_sk_store_f32_sse2+0x86>
  .byte  102,15,21,247                       // unpckhpd      %xmm7,%xmm6
  .byte  15,17,100,178,16                    // movups        %xmm4,0x10(%edx,%esi,4)
  .byte  102,15,17,108,178,32                // movupd        %xmm5,0x20(%edx,%esi,4)
  .byte  102,15,17,116,178,48                // movupd        %xmm6,0x30(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,232                             // je            5d6b <_sk_store_f32_sse2+0x73>
  .byte  15,17,100,178,16                    // movups        %xmm4,0x10(%edx,%esi,4)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,222                             // jb            5d6b <_sk_store_f32_sse2+0x73>
  .byte  102,15,17,108,178,32                // movupd        %xmm5,0x20(%edx,%esi,4)
  .byte  235,214                             // jmp           5d6b <_sk_store_f32_sse2+0x73>

HIDDEN _sk_clamp_x_sse2
.globl _sk_clamp_x_sse2
FUNCTION(_sk_clamp_x_sse2)
_sk_clamp_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,232                      // paddd         %xmm0,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_y_sse2
.globl _sk_clamp_y_sse2
FUNCTION(_sk_clamp_y_sse2)
_sk_clamp_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  243,15,16,9                         // movss         (%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_x_sse2
.globl _sk_repeat_x_sse2
FUNCTION(_sk_repeat_x_sse2)
_sk_repeat_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5e12 <_sk_repeat_x_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  243,15,91,230                       // cvttps2dq     %xmm6,%xmm4
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,46,114,0,0                // andps         0x722e(%ecx),%xmm6
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_y_sse2
.globl _sk_repeat_y_sse2
FUNCTION(_sk_repeat_y_sse2)
_sk_repeat_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5e78 <_sk_repeat_y_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,91,230                       // cvttps2dq     %xmm6,%xmm4
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,200,113,0,0               // andps         0x71c8(%ecx),%xmm6
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  15,93,225                           // minps         %xmm1,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_x_sse2
.globl _sk_mirror_x_sse2
FUNCTION(_sk_mirror_x_sse2)
_sk_mirror_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5ede <_sk_mirror_x_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,15,89,177,178,120,0,0           // mulss         0x78b2(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  243,15,91,254                       // cvttps2dq     %xmm6,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,98,113,0,0                // andps         0x7162(%ecx),%xmm6
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  243,15,88,237                       // addss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,197                           // maxps         %xmm5,%xmm0
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,236                      // paddd         %xmm4,%xmm5
  .byte  15,93,197                           // minps         %xmm5,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_y_sse2
.globl _sk_mirror_y_sse2
FUNCTION(_sk_mirror_y_sse2)
_sk_mirror_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5f63 <_sk_mirror_y_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  243,15,89,177,45,120,0,0            // mulss         0x782d(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,91,254                       // cvttps2dq     %xmm6,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,221,112,0,0               // andps         0x70dd(%ecx),%xmm6
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  243,15,88,237                       // addss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,233                           // andps         %xmm1,%xmm5
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,205                           // maxps         %xmm5,%xmm1
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,236                      // paddd         %xmm4,%xmm5
  .byte  15,93,205                           // minps         %xmm5,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_x_1_sse2
.globl _sk_clamp_x_1_sse2
FUNCTION(_sk_clamp_x_1_sse2)
_sk_clamp_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5fe8 <_sk_clamp_x_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  15,93,160,88,112,0,0                // minps         0x7058(%eax),%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_x_1_sse2
.globl _sk_repeat_x_1_sse2
FUNCTION(_sk_repeat_x_1_sse2)
_sk_repeat_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6018 <_sk_repeat_x_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  243,15,91,224                       // cvttps2dq     %xmm0,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,236,1                        // cmpltps       %xmm4,%xmm5
  .byte  15,84,168,40,112,0,0                // andps         0x7028(%eax),%xmm5
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_x_1_sse2
.globl _sk_mirror_x_1_sse2
FUNCTION(_sk_mirror_x_1_sse2)
_sk_mirror_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6053 <_sk_mirror_x_1_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,40,161,93,112,0,0                // movaps        0x705d(%ecx),%xmm4
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,169,221,111,0,0               // movaps        0x6fdd(%ecx),%xmm5
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,194,238,1                        // cmpltps       %xmm6,%xmm5
  .byte  15,84,169,237,111,0,0               // andps         0x6fed(%ecx),%xmm5
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,84,199                           // andps         %xmm7,%xmm0
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_luminance_to_alpha_sse2
.globl _sk_luminance_to_alpha_sse2
FUNCTION(_sk_luminance_to_alpha_sse2)
_sk_luminance_to_alpha_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          60b1 <_sk_luminance_to_alpha_sse2+0xe>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,89,128,143,116,0,0               // mulps         0x748f(%eax),%xmm0
  .byte  15,89,136,159,116,0,0               // mulps         0x749f(%eax),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,152,175,116,0,0               // mulps         0x74af(%eax),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_translate_sse2
.globl _sk_matrix_translate_sse2
FUNCTION(_sk_matrix_translate_sse2)
_sk_matrix_translate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_scale_translate_sse2
.globl _sk_matrix_scale_translate_sse2
FUNCTION(_sk_matrix_scale_translate_sse2)
_sk_matrix_scale_translate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,97,8                      // movss         0x8(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  243,15,16,41                        // movss         (%ecx),%xmm5
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_2x3_sse2
.globl _sk_matrix_2x3_sse2
FUNCTION(_sk_matrix_2x3_sse2)
_sk_matrix_2x3_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,113,8                     // movss         0x8(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,16                    // movss         0x10(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,113,12                    // movss         0xc(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,20                    // movss         0x14(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_3x4_sse2
.globl _sk_matrix_3x4_sse2
FUNCTION(_sk_matrix_3x4_sse2)
_sk_matrix_3x4_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,36                    // movss         0x24(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,12                    // movss         0xc(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,16,105,28                    // movss         0x1c(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,40                    // movss         0x28(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,32                    // movss         0x20(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  243,15,16,81,44                     // movss         0x2c(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  243,15,16,121,20                    // movss         0x14(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_4x5_sse2
.globl _sk_matrix_4x5_sse2
FUNCTION(_sk_matrix_4x5_sse2)
_sk_matrix_4x5_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,77,252                          // mov           %ecx,-0x4(%ebp)
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  243,15,16,113,48                    // movss         0x30(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,64                    // movss         0x40(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,32                    // movss         0x20(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,113,52                    // movss         0x34(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,68                    // movss         0x44(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,36                    // movss         0x24(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,20                    // movss         0x14(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  243,15,16,113,56                    // movss         0x38(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,72                    // movss         0x48(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,40                    // movss         0x28(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,24                    // movss         0x18(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,8                     // movss         0x8(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,60                    // movss         0x3c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  243,15,16,89,76                     // movss         0x4c(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,88,243                           // addps         %xmm3,%xmm6
  .byte  243,15,16,89,44                     // movss         0x2c(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  243,15,16,81,28                     // movss         0x1c(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_4x3_sse2
.globl _sk_matrix_4x3_sse2
FUNCTION(_sk_matrix_4x3_sse2)
_sk_matrix_4x3_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,81,16                     // movss         0x10(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,32                     // movss         0x20(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,20                     // movss         0x14(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,36                     // movss         0x24(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,24                     // movss         0x18(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,113,40                    // movss         0x28(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,113,28                    // movss         0x1c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,44                    // movss         0x2c(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_perspective_sse2
.globl _sk_matrix_perspective_sse2
FUNCTION(_sk_matrix_perspective_sse2)
_sk_matrix_perspective_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,8                     // movss         0x8(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  243,15,16,105,12                    // movss         0xc(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,28                    // movss         0x1c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,16,73,32                     // movss         0x20(%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  243,15,16,73,24                     // movss         0x18(%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,83,201                           // rcpps         %xmm1,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_evenly_spaced_gradient_sse2
.globl _sk_evenly_spaced_gradient_sse2
FUNCTION(_sk_evenly_spaced_gradient_sse2)
_sk_evenly_spaced_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          654e <_sk_evenly_spaced_gradient_sse2+0x12>
  .byte  90                                  // pop           %edx
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  137,69,240                          // mov           %eax,-0x10(%ebp)
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  78                                  // dec           %esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  102,15,111,146,34,112,0,0           // movdqa        0x7022(%edx),%xmm2
  .byte  102,15,219,209                      // pand          %xmm1,%xmm2
  .byte  102,15,235,146,2,110,0,0            // por           0x6e02(%edx),%xmm2
  .byte  102,15,114,209,16                   // psrld         $0x10,%xmm1
  .byte  102,15,235,138,50,112,0,0           // por           0x7032(%edx),%xmm1
  .byte  15,88,138,66,112,0,0                // addps         0x7042(%edx),%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,112,217,231                  // pshufd        $0xe7,%xmm1,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,52,144                    // movss         (%eax,%edx,4),%xmm6
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,36,176                    // movss         (%eax,%esi,4),%xmm4
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,12,152                    // movss         (%eax,%ebx,4),%xmm1
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  139,65,20                           // mov           0x14(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,52,144                    // movss         (%eax,%edx,4),%xmm6
  .byte  243,15,16,12,176                    // movss         (%eax,%esi,4),%xmm1
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  139,65,24                           // mov           0x18(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,176                    // movss         (%eax,%esi,4),%xmm2
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  139,65,28                           // mov           0x1c(%ecx),%eax
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  243,15,16,60,176                    // movss         (%eax,%esi,4),%xmm7
  .byte  243,15,16,44,152                    // movss         (%eax,%ebx,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  139,65,16                           // mov           0x10(%ecx),%eax
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,4,152                     // movss         (%eax,%ebx,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  139,65,32                           // mov           0x20(%ecx),%eax
  .byte  243,15,16,4,184                     // movss         (%eax,%edi,4),%xmm0
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,52,152                    // movss         (%eax,%ebx,4),%xmm6
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,40,109,184                       // movaps        -0x48(%ebp),%xmm5
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gauss_a_to_rgba_sse2
.globl _sk_gauss_a_to_rgba_sse2
FUNCTION(_sk_gauss_a_to_rgba_sse2)
_sk_gauss_a_to_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6704 <_sk_gauss_a_to_rgba_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,128,156,110,0,0               // movaps        0x6e9c(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,172,110,0,0               // addps         0x6eac(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,188,110,0,0               // addps         0x6ebc(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,204,110,0,0               // addps         0x6ecc(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,220,110,0,0               // addps         0x6edc(%eax),%xmm0
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gradient_sse2
.globl _sk_gradient_sse2
FUNCTION(_sk_gradient_sse2)
_sk_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  232,0,0,0,0                         // call          675f <_sk_gradient_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  137,85,240                          // mov           %edx,-0x10(%ebp)
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,250,2                           // cmp           $0x2,%edx
  .byte  114,43                              // jb            67a1 <_sk_gradient_sse2+0x50>
  .byte  139,113,36                          // mov           0x24(%ecx),%esi
  .byte  74                                  // dec           %edx
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,151,1,105,0,0                 // movaps        0x6901(%edi),%xmm2
  .byte  243,15,16,30                        // movss         (%esi),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  74                                  // dec           %edx
  .byte  117,231                             // jne           6788 <_sk_gradient_sse2+0x37>
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,36,144                    // movss         (%eax,%edx,4),%xmm4
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,152                    // movss         (%eax,%ebx,4),%xmm2
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  139,65,20                           // mov           0x14(%ecx),%eax
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,41,101,184                       // movaps        %xmm4,-0x48(%ebp)
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,12,144                    // movss         (%eax,%edx,4),%xmm1
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,41,109,200                       // movaps        %xmm5,-0x38(%ebp)
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  139,65,24                           // mov           0x18(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,36,144                    // movss         (%eax,%edx,4),%xmm4
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,144                    // movss         (%eax,%edx,4),%xmm2
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  139,65,28                           // mov           0x1c(%ecx),%eax
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  243,15,16,60,144                    // movss         (%eax,%edx,4),%xmm7
  .byte  243,15,16,44,152                    // movss         (%eax,%ebx,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  139,65,16                           // mov           0x10(%ecx),%eax
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,44,176                    // movss         (%eax,%esi,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,52,152                    // movss         (%eax,%ebx,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  139,65,32                           // mov           0x20(%ecx),%eax
  .byte  243,15,16,44,184                    // movss         (%eax,%edi,4),%xmm5
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  243,15,16,36,152                    // movss         (%eax,%ebx,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,40,101,184                       // movaps        -0x48(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  139,69,240                          // mov           -0x10(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse2
.globl _sk_evenly_spaced_2_stop_gradient_sse2
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse2)
_sk_evenly_spaced_2_stop_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,81,16                     // movss         0x10(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,20                     // movss         0x14(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,24                     // movss         0x18(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,105,28                    // movss         0x1c(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_unit_angle_sse2
.globl _sk_xy_to_unit_angle_sse2
FUNCTION(_sk_xy_to_unit_angle_sse2)
_sk_xy_to_unit_angle_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          699b <_sk_xy_to_unit_angle_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,233                           // andps         %xmm1,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,93,244                           // minps         %xmm4,%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,252                           // maxps         %xmm4,%xmm7
  .byte  15,94,247                           // divps         %xmm7,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,255                           // mulps         %xmm7,%xmm7
  .byte  15,40,128,85,108,0,0                // movaps        0x6c55(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,101,108,0,0               // addps         0x6c65(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,117,108,0,0               // addps         0x6c75(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,133,108,0,0               // addps         0x6c85(%eax),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,194,236,1                        // cmpltps       %xmm4,%xmm5
  .byte  15,40,176,149,108,0,0               // movaps        0x6c95(%eax),%xmm6
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,232                           // andnps        %xmm0,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  15,194,204,1                        // cmpltps       %xmm4,%xmm1
  .byte  15,40,128,149,102,0,0               // movaps        0x6695(%eax),%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,196,1                        // cmpltps       %xmm4,%xmm0
  .byte  15,40,168,165,102,0,0               // movaps        0x66a5(%eax),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,194,224,7                        // cmpordps      %xmm0,%xmm4
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_radius_sse2
.globl _sk_xy_to_radius_sse2
FUNCTION(_sk_xy_to_radius_sse2)
_sk_xy_to_radius_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,81,196                           // sqrtps        %xmm4,%xmm0
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse2
.globl _sk_xy_to_2pt_conical_quadratic_max_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse2)
_sk_xy_to_2pt_conical_quadratic_max_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,40                    // movss         0x28(%ecx),%xmm5
  .byte  243,15,16,97,44                     // movss         0x2c(%ecx),%xmm4
  .byte  243,15,89,229                       // mulss         %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  232,0,0,0,0                         // call          6ab8 <_sk_xy_to_2pt_conical_quadratic_max_sse2+0x31>
  .byte  90                                  // pop           %edx
  .byte  243,15,89,237                       // mulss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  243,15,16,65,32                     // movss         0x20(%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,89,162,136,107,0,0               // mulps         0x6b88(%edx),%xmm4
  .byte  15,89,130,152,107,0,0               // mulps         0x6b98(%edx),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,81,237                           // sqrtps        %xmm5,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,162,56,106,0,0                // xorps         0x6a38(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  243,15,16,105,36                    // movss         0x24(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,170,120,101,0,0               // mulps         0x6578(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,95,196                           // maxps         %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse2
.globl _sk_xy_to_2pt_conical_quadratic_min_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse2)
_sk_xy_to_2pt_conical_quadratic_min_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,40                    // movss         0x28(%ecx),%xmm5
  .byte  243,15,16,97,44                     // movss         0x2c(%ecx),%xmm4
  .byte  243,15,89,229                       // mulss         %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  232,0,0,0,0                         // call          6b56 <_sk_xy_to_2pt_conical_quadratic_min_sse2+0x31>
  .byte  90                                  // pop           %edx
  .byte  243,15,89,237                       // mulss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  243,15,16,65,32                     // movss         0x20(%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,89,162,234,106,0,0               // mulps         0x6aea(%edx),%xmm4
  .byte  15,89,130,250,106,0,0               // mulps         0x6afa(%edx),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,81,237                           // sqrtps        %xmm5,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,162,154,105,0,0               // xorps         0x699a(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  243,15,16,105,36                    // movss         0x24(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,170,218,100,0,0               // mulps         0x64da(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_linear_sse2
.globl _sk_xy_to_2pt_conical_linear_sse2
FUNCTION(_sk_xy_to_2pt_conical_linear_sse2)
_sk_xy_to_2pt_conical_linear_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6bce <_sk_xy_to_2pt_conical_linear_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,98,40                     // movss         0x28(%edx),%xmm4
  .byte  243,15,16,106,44                    // movss         0x2c(%edx),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,89,169,114,106,0,0               // mulps         0x6a72(%ecx),%xmm5
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,89,228                       // mulss         %xmm4,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,129,34,105,0,0                // xorps         0x6922(%ecx),%xmm0
  .byte  15,94,197                           // divps         %xmm5,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mask_2pt_conical_degenerates_sse2
.globl _sk_mask_2pt_conical_degenerates_sse2
FUNCTION(_sk_mask_2pt_conical_degenerates_sse2)
_sk_mask_2pt_conical_degenerates_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,98,40                     // movss         0x28(%edx),%xmm4
  .byte  243,15,16,106,44                    // movss         0x2c(%edx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,244,7                        // cmpordps      %xmm4,%xmm6
  .byte  15,194,229,2                        // cmpleps       %xmm5,%xmm4
  .byte  15,84,230                           // andps         %xmm6,%xmm4
  .byte  15,17,34                            // movups        %xmm4,(%edx)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_apply_vector_mask_sse2
.globl _sk_apply_vector_mask_sse2
FUNCTION(_sk_apply_vector_mask_sse2)
_sk_apply_vector_mask_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,16,33                            // movups        (%ecx),%xmm4
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_save_xy_sse2
.globl _sk_save_xy_sse2
FUNCTION(_sk_save_xy_sse2)
_sk_save_xy_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          6cab <_sk_save_xy_sse2+0x12>
  .byte  88                                  // pop           %eax
  .byte  15,40,160,133,99,0,0                // movaps        0x6385(%eax),%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,40,144,149,99,0,0                // movaps        0x6395(%eax),%xmm2
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,238                           // subps         %xmm6,%xmm5
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,17,1                             // movups        %xmm0,(%ecx)
  .byte  15,17,73,32                         // movups        %xmm1,0x20(%ecx)
  .byte  15,17,105,64                        // movups        %xmm5,0x40(%ecx)
  .byte  15,17,97,96                         // movups        %xmm4,0x60(%ecx)
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_accumulate_sse2
.globl _sk_accumulate_sse2
FUNCTION(_sk_accumulate_sse2)
_sk_accumulate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  15,16,162,128,0,0,0                 // movups        0x80(%edx),%xmm4
  .byte  15,16,170,160,0,0,0                 // movups        0xa0(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,96,16                         // addps         0x10(%eax),%xmm4
  .byte  15,41,96,16                         // movaps        %xmm4,0x10(%eax)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,96,32                         // addps         0x20(%eax),%xmm4
  .byte  15,41,96,32                         // movaps        %xmm4,0x20(%eax)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,96,48                         // addps         0x30(%eax),%xmm4
  .byte  15,41,96,48                         // movaps        %xmm4,0x30(%eax)
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,104,64                        // addps         0x40(%eax),%xmm5
  .byte  15,41,104,64                        // movaps        %xmm5,0x40(%eax)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_nx_sse2
.globl _sk_bilinear_nx_sse2
FUNCTION(_sk_bilinear_nx_sse2)
_sk_bilinear_nx_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6d8d <_sk_bilinear_nx_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,211,104,0,0               // addps         0x68d3(%eax),%xmm0
  .byte  15,40,168,179,98,0,0                // movaps        0x62b3(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,17,174,128,0,0,0                 // movups        %xmm5,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_px_sse2
.globl _sk_bilinear_px_sse2
FUNCTION(_sk_bilinear_px_sse2)
_sk_bilinear_px_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6dd0 <_sk_bilinear_px_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,96,98,0,0                 // addps         0x6260(%eax),%xmm0
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_ny_sse2
.globl _sk_bilinear_ny_sse2
FUNCTION(_sk_bilinear_ny_sse2)
_sk_bilinear_ny_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e09 <_sk_bilinear_ny_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,87,104,0,0                // addps         0x6857(%eax),%xmm1
  .byte  15,40,168,55,98,0,0                 // movaps        0x6237(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,17,174,160,0,0,0                 // movups        %xmm5,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_py_sse2
.globl _sk_bilinear_py_sse2
FUNCTION(_sk_bilinear_py_sse2)
_sk_bilinear_py_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e4d <_sk_bilinear_py_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,227,97,0,0                // addps         0x61e3(%eax),%xmm1
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n3x_sse2
.globl _sk_bicubic_n3x_sse2
FUNCTION(_sk_bicubic_n3x_sse2)
_sk_bicubic_n3x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e87 <_sk_bicubic_n3x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,233,103,0,0               // addps         0x67e9(%eax),%xmm0
  .byte  15,40,168,185,97,0,0                // movaps        0x61b9(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,89,168,249,103,0,0               // mulps         0x67f9(%eax),%xmm5
  .byte  15,88,168,153,99,0,0                // addps         0x6399(%eax),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,17,174,128,0,0,0                 // movups        %xmm5,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n1x_sse2
.globl _sk_bicubic_n1x_sse2
FUNCTION(_sk_bicubic_n1x_sse2)
_sk_bicubic_n1x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6ee1 <_sk_bicubic_n1x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,127,103,0,0               // addps         0x677f(%eax),%xmm0
  .byte  15,40,168,95,97,0,0                 // movaps        0x615f(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,160,175,103,0,0               // movaps        0x67af(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,191,103,0,0               // addps         0x67bf(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,79,97,0,0                 // addps         0x614f(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,207,103,0,0               // addps         0x67cf(%eax),%xmm4
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p1x_sse2
.globl _sk_bicubic_p1x_sse2
FUNCTION(_sk_bicubic_p1x_sse2)
_sk_bicubic_p1x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6f49 <_sk_bicubic_p1x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,40,160,231,96,0,0                // movaps        0x60e7(%eax),%xmm4
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,110,64                        // movups        0x40(%esi),%xmm5
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,176,71,103,0,0                // movaps        0x6747(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,87,103,0,0                // addps         0x6757(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,103,103,0,0               // addps         0x6767(%eax),%xmm6
  .byte  15,17,182,128,0,0,0                 // movups        %xmm6,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p3x_sse2
.globl _sk_bicubic_p3x_sse2
FUNCTION(_sk_bicubic_p3x_sse2)
_sk_bicubic_p3x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6fa6 <_sk_bicubic_p3x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,250,102,0,0               // addps         0x66fa(%eax),%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,89,160,218,102,0,0               // mulps         0x66da(%eax),%xmm4
  .byte  15,88,160,122,98,0,0                // addps         0x627a(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n3y_sse2
.globl _sk_bicubic_n3y_sse2
FUNCTION(_sk_bicubic_n3y_sse2)
_sk_bicubic_n3y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6ff6 <_sk_bicubic_n3y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,122,102,0,0               // addps         0x667a(%eax),%xmm1
  .byte  15,40,168,74,96,0,0                 // movaps        0x604a(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,89,168,138,102,0,0               // mulps         0x668a(%eax),%xmm5
  .byte  15,88,168,42,98,0,0                 // addps         0x622a(%eax),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,17,174,160,0,0,0                 // movups        %xmm5,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n1y_sse2
.globl _sk_bicubic_n1y_sse2
FUNCTION(_sk_bicubic_n1y_sse2)
_sk_bicubic_n1y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          7051 <_sk_bicubic_n1y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,15,102,0,0                // addps         0x660f(%eax),%xmm1
  .byte  15,40,168,239,95,0,0                // movaps        0x5fef(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,160,63,102,0,0                // movaps        0x663f(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,79,102,0,0                // addps         0x664f(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,223,95,0,0                // addps         0x5fdf(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,95,102,0,0                // addps         0x665f(%eax),%xmm4
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p1y_sse2
.globl _sk_bicubic_p1y_sse2
FUNCTION(_sk_bicubic_p1y_sse2)
_sk_bicubic_p1y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          70ba <_sk_bicubic_p1y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,40,160,118,95,0,0                // movaps        0x5f76(%eax),%xmm4
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,110,96                        // movups        0x60(%esi),%xmm5
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,176,214,101,0,0               // movaps        0x65d6(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,230,101,0,0               // addps         0x65e6(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,246,101,0,0               // addps         0x65f6(%eax),%xmm6
  .byte  15,17,182,160,0,0,0                 // movups        %xmm6,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p3y_sse2
.globl _sk_bicubic_p3y_sse2
FUNCTION(_sk_bicubic_p3y_sse2)
_sk_bicubic_p3y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          7118 <_sk_bicubic_p3y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,136,101,0,0               // addps         0x6588(%eax),%xmm1
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,89,160,104,101,0,0               // mulps         0x6568(%eax),%xmm4
  .byte  15,88,160,8,97,0,0                  // addps         0x6108(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_callback_sse2
.globl _sk_callback_sse2
FUNCTION(_sk_callback_sse2)
_sk_callback_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  139,125,8                           // mov           0x8(%ebp),%edi
  .byte  139,71,8                            // mov           0x8(%edi),%eax
  .byte  139,30                              // mov           (%esi),%ebx
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,4                      // movupd        %xmm1,0x4(%ebx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,20                        // movups        %xmm5,0x14(%ebx)
  .byte  102,15,17,91,36                     // movupd        %xmm3,0x24(%ebx)
  .byte  15,17,83,52                         // movups        %xmm2,0x34(%ebx)
  .byte  133,192                             // test          %eax,%eax
  .byte  185,4,0,0,0                         // mov           $0x4,%ecx
  .byte  15,69,200                           // cmovne        %eax,%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  83                                  // push          %ebx
  .byte  255,19                              // call          *(%ebx)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,131,132,0,0,0                   // mov           0x84(%ebx),%eax
  .byte  15,16,32                            // movups        (%eax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%eax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%eax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%eax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  141,70,8                            // lea           0x8(%esi),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  87                                  // push          %edi
  .byte  255,86,4                            // call          *0x4(%esi)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clut_3D_sse2
.globl _sk_clut_3D_sse2
FUNCTION(_sk_clut_3D_sse2)
_sk_clut_3D_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,44,1,0,0                    // sub           $0x12c,%esp
  .byte  15,41,157,200,254,255,255           // movaps        %xmm3,-0x138(%ebp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,141,4,255,255,255               // mov           %ecx,-0xfc(%ebp)
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,81,12                           // mov           0xc(%ecx),%edx
  .byte  141,114,255                         // lea           -0x1(%edx),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,240,0                    // pshufd        $0x0,%xmm0,%xmm6
  .byte  102,15,127,117,136                  // movdqa        %xmm6,-0x78(%ebp)
  .byte  139,81,8                            // mov           0x8(%ecx),%edx
  .byte  141,114,255                         // lea           -0x1(%edx),%esi
  .byte  102,15,110,214                      // movd          %esi,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,41,149,56,255,255,255            // movaps        %xmm2,-0xc8(%ebp)
  .byte  243,15,91,234                       // cvttps2dq     %xmm2,%xmm5
  .byte  102,15,127,173,8,255,255,255        // movdqa        %xmm5,-0xf8(%ebp)
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,205,245                  // pshufd        $0xf5,%xmm5,%xmm1
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,209                       // punpckldq     %xmm1,%xmm2
  .byte  102,15,127,149,24,255,255,255       // movdqa        %xmm2,-0xe8(%ebp)
  .byte  102,15,110,202                      // movd          %edx,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  139,81,4                            // mov           0x4(%ecx),%edx
  .byte  74                                  // dec           %edx
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  102,15,112,217,0                    // pshufd        $0x0,%xmm1,%xmm3
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,233,232                  // pshufd        $0xe8,%xmm1,%xmm5
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,112,195,245                  // pshufd        $0xf5,%xmm3,%xmm0
  .byte  102,15,127,133,120,255,255,255      // movdqa        %xmm0,-0x88(%ebp)
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,233                       // punpckldq     %xmm1,%xmm5
  .byte  102,15,127,173,104,255,255,255      // movdqa        %xmm5,-0x98(%ebp)
  .byte  232,0,0,0,0                         // call          730c <_sk_clut_3D_sse2+0xff>
  .byte  90                                  // pop           %edx
  .byte  243,15,91,196                       // cvttps2dq     %xmm4,%xmm0
  .byte  102,15,127,133,232,254,255,255      // movdqa        %xmm0,-0x118(%ebp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,181,216,254,255,255           // movaps        %xmm6,-0x128(%ebp)
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,111,130,196,99,0,0           // movdqa        0x63c4(%edx),%xmm0
  .byte  102,15,127,133,88,255,255,255       // movdqa        %xmm0,-0xa8(%ebp)
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,204                       // punpckldq     %xmm4,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,225,231                  // pshufd        $0xe7,%xmm1,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  243,15,16,36,153                    // movss         (%ecx,%ebx,4),%xmm4
  .byte  243,15,16,60,177                    // movss         (%ecx,%esi,4),%xmm7
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  102,15,111,130,84,93,0,0            // movdqa        0x5d54(%edx),%xmm0
  .byte  102,15,127,133,72,255,255,255       // movdqa        %xmm0,-0xb8(%ebp)
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,254,224                      // paddd         %xmm0,%xmm4
  .byte  102,15,112,252,229                  // pshufd        $0xe5,%xmm4,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,112,252,78                   // pshufd        $0x4e,%xmm4,%xmm7
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  243,15,16,60,153                    // movss         (%ecx,%ebx,4),%xmm7
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  102,15,111,130,116,93,0,0           // movdqa        0x5d74(%edx),%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,193,78                   // pshufd        $0x4e,%xmm1,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,193,231                  // pshufd        $0xe7,%xmm1,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,153                     // movss         (%ecx,%ebx,4),%xmm0
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,44,185                    // movss         (%ecx,%edi,4),%xmm5
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,40,130,180,99,0,0                // movaps        0x63b4(%edx),%xmm0
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,141,56,255,255,255            // movaps        -0xc8(%ebp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  15,88,69,200                        // addps         -0x38(%ebp),%xmm0
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,192,245                  // pshufd        $0xf5,%xmm0,%xmm0
  .byte  102,15,244,133,120,255,255,255      // pmuludq       -0x88(%ebp),%xmm0
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,127,157,120,255,255,255      // movdqa        %xmm3,-0x88(%ebp)
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,15,111,141,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm1
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,20,145                    // movss         (%ecx,%edx,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,149,72,255,255,255       // paddd         -0xb8(%ebp),%xmm2
  .byte  102,15,112,242,229                  // pshufd        $0xe5,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,69,216                   // paddd         -0x28(%ebp),%xmm0
  .byte  102,15,112,224,229                  // pshufd        $0xe5,%xmm0,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,224,78                   // pshufd        $0x4e,%xmm0,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,52,145                    // movss         (%ecx,%edx,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  15,91,101,152                       // cvtdq2ps      -0x68(%ebp),%xmm4
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,101,168                       // movaps        -0x58(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  243,15,91,141,40,255,255,255        // cvttps2dq     -0xd8(%ebp),%xmm1
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,111,69,136                   // movdqa        -0x78(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,112,204,232                  // pshufd        $0xe8,%xmm4,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,127,69,136                   // movdqa        %xmm0,-0x78(%ebp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,254,189,232,254,255,255      // paddd         -0x118(%ebp),%xmm7
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,254,141,104,255,255,255      // paddd         -0x98(%ebp),%xmm1
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,111,133,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,233,232                  // pshufd        $0xe8,%xmm1,%xmm5
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,204,232                  // pshufd        $0xe8,%xmm4,%xmm1
  .byte  102,15,98,233                       // punpckldq     %xmm1,%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,52,145                    // movss         (%ecx,%edx,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,111,149,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm2
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,15,254,109,216                  // paddd         -0x28(%ebp),%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,44,177                    // movss         (%ecx,%esi,4),%xmm5
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,189,120,255,255,255      // paddd         -0x88(%ebp),%xmm7
  .byte  102,15,112,207,245                  // pshufd        $0xf5,%xmm7,%xmm1
  .byte  102,15,244,248                      // pmuludq       %xmm0,%xmm7
  .byte  102,15,112,255,232                  // pshufd        $0xe8,%xmm7,%xmm7
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,249                       // punpckldq     %xmm1,%xmm7
  .byte  102,15,112,207,229                  // pshufd        $0xe5,%xmm7,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,207,78                   // pshufd        $0x4e,%xmm7,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,207,231                  // pshufd        $0xe7,%xmm7,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,125,216                  // paddd         -0x28(%ebp),%xmm7
  .byte  102,15,112,207,229                  // pshufd        $0xe5,%xmm7,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,207,78                   // pshufd        $0x4e,%xmm7,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,112,207,231                  // pshufd        $0xe7,%xmm7,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,60,177                    // movss         (%ecx,%esi,4),%xmm7
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,40,181,40,255,255,255            // movaps        -0xd8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,91,141,8,255,255,255             // cvtdq2ps      -0xf8(%ebp),%xmm1
  .byte  15,40,165,56,255,255,255            // movaps        -0xc8(%ebp),%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,165,56,255,255,255            // movaps        %xmm4,-0xc8(%ebp)
  .byte  15,40,77,152                        // movaps        -0x68(%ebp),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,41,189,8,255,255,255             // movaps        %xmm7,-0xf8(%ebp)
  .byte  243,15,91,77,184                    // cvttps2dq     -0x48(%ebp),%xmm1
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,111,133,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,111,141,104,255,255,255      // movdqa        -0x98(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,133,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,203,78                   // pshufd        $0x4e,%xmm3,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,203,231                  // pshufd        $0xe7,%xmm3,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,133,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm0
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,44,145                    // movss         (%ecx,%edx,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,254,93,216                   // paddd         -0x28(%ebp),%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,185                    // movss         (%ecx,%edi,4),%xmm3
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  243,15,16,44,177                    // movss         (%ecx,%esi,4),%xmm5
  .byte  243,15,16,28,145                    // movss         (%ecx,%edx,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  102,15,254,157,120,255,255,255      // paddd         -0x88(%ebp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,141,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm1
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,225                      // pmuludq       %xmm1,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,254,224                      // paddd         %xmm0,%xmm4
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  243,15,16,52,177                    // movss         (%ecx,%esi,4),%xmm6
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  102,15,254,93,216                   // paddd         -0x28(%ebp),%xmm3
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,141,24,255,255,255            // movaps        %xmm1,-0xe8(%ebp)
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  102,15,111,77,136                   // movdqa        -0x78(%ebp),%xmm1
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  102,15,111,133,104,255,255,255      // movdqa        -0x98(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,189,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,157,104,255,255,255           // movaps        %xmm3,-0x98(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,173,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm5
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  102,15,254,69,216                   // paddd         -0x28(%ebp),%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,77,136                   // movdqa        -0x78(%ebp),%xmm1
  .byte  102,15,254,141,120,255,255,255      // paddd         -0x88(%ebp),%xmm1
  .byte  102,15,112,193,245                  // pshufd        $0xf5,%xmm1,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  243,15,16,60,145                    // movss         (%ecx,%edx,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,254,234                      // paddd         %xmm2,%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,44,145                    // movss         (%ecx,%edx,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,85,216                   // paddd         -0x28(%ebp),%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,234                      // movd          %xmm5,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,60,145                    // movss         (%ecx,%edx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,40,189,104,255,255,255           // movaps        -0x98(%ebp),%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,40,173,24,255,255,255            // movaps        -0xe8(%ebp),%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,157,56,255,255,255            // movaps        -0xc8(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,91,157,232,254,255,255           // cvtdq2ps      -0x118(%ebp),%xmm3
  .byte  15,40,165,216,254,255,255           // movaps        -0x128(%ebp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,157,8,255,255,255             // movaps        -0xf8(%ebp),%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,157,200,254,255,255           // movaps        -0x138(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  129,196,60,1,0,0                    // add           $0x13c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clut_4D_sse2
.globl _sk_clut_4D_sse2
FUNCTION(_sk_clut_4D_sse2)
_sk_clut_4D_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,124,1,0,0                   // sub           $0x17c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,141,212,254,255,255             // mov           %ecx,-0x12c(%ebp)
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,74,16                           // mov           0x10(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,112,251,0                    // pshufd        $0x0,%xmm3,%xmm7
  .byte  102,15,127,189,248,254,255,255      // movdqa        %xmm7,-0x108(%ebp)
  .byte  139,74,12                           // mov           0xc(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,41,165,232,254,255,255           // movaps        %xmm4,-0x118(%ebp)
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  102,15,127,181,216,254,255,255      // movdqa        %xmm6,-0x128(%ebp)
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,15,112,214,245                  // pshufd        $0xf5,%xmm6,%xmm2
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,127,181,56,255,255,255       // movdqa        %xmm6,-0xc8(%ebp)
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  139,74,8                            // mov           0x8(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,222                      // movd          %esi,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,41,157,40,255,255,255            // movaps        %xmm3,-0xd8(%ebp)
  .byte  102,15,112,250,0                    // pshufd        $0x0,%xmm2,%xmm7
  .byte  102,15,127,189,104,255,255,255      // movdqa        %xmm7,-0x98(%ebp)
  .byte  243,15,91,227                       // cvttps2dq     %xmm3,%xmm4
  .byte  102,15,127,165,8,255,255,255        // movdqa        %xmm4,-0xf8(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,112,231,245                  // pshufd        $0xf5,%xmm7,%xmm4
  .byte  102,15,127,165,88,255,255,255       // movdqa        %xmm4,-0xa8(%ebp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,127,157,72,255,255,255       // movdqa        %xmm3,-0xb8(%ebp)
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  139,74,4                            // mov           0x4(%edx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  102,15,112,193,0                    // pshufd        $0x0,%xmm1,%xmm0
  .byte  243,15,91,226                       // cvttps2dq     %xmm2,%xmm4
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,112,224,245                  // pshufd        $0xf5,%xmm0,%xmm4
  .byte  102,15,127,101,184                  // movdqa        %xmm4,-0x48(%ebp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,209                       // punpckldq     %xmm1,%xmm2
  .byte  102,15,127,85,168                   // movdqa        %xmm2,-0x58(%ebp)
  .byte  232,0,0,0,0                         // call          7e82 <_sk_clut_4D_sse2+0x179>
  .byte  89                                  // pop           %ecx
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,165,120,254,255,255           // movaps        %xmm4,-0x188(%ebp)
  .byte  243,15,91,204                       // cvttps2dq     %xmm4,%xmm1
  .byte  102,15,127,141,184,254,255,255      // movdqa        %xmm1,-0x148(%ebp)
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,127,173,24,255,255,255       // movdqa        %xmm5,-0xe8(%ebp)
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,254,245                      // paddd         %xmm5,%xmm6
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,111,153,78,88,0,0            // movdqa        0x584e(%ecx),%xmm3
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  139,18                              // mov           (%edx),%edx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  102,15,111,153,222,81,0,0           // movdqa        0x51de(%ecx),%xmm3
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,41,149,136,254,255,255           // movaps        %xmm2,-0x178(%ebp)
  .byte  102,15,254,137,254,81,0,0           // paddd         0x51fe(%ecx),%xmm1
  .byte  102,15,112,233,229                  // pshufd        $0xe5,%xmm1,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,41,141,152,254,255,255           // movaps        %xmm1,-0x168(%ebp)
  .byte  15,40,185,62,88,0,0                 // movaps        0x583e(%ecx),%xmm7
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,40,141,232,254,255,255           // movaps        -0x118(%ebp),%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,77,136                        // movaps        %xmm1,-0x78(%ebp)
  .byte  15,40,141,40,255,255,255            // movaps        -0xd8(%ebp),%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,141,168,254,255,255           // movaps        %xmm1,-0x158(%ebp)
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,88,252                           // addps         %xmm4,%xmm7
  .byte  243,15,91,255                       // cvttps2dq     %xmm7,%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,255,245                  // pshufd        $0xf5,%xmm7,%xmm7
  .byte  102,15,244,125,184                  // pmuludq       -0x48(%ebp),%xmm7
  .byte  102,15,112,200,232                  // pshufd        $0xe8,%xmm0,%xmm1
  .byte  102,15,112,199,232                  // pshufd        $0xe8,%xmm7,%xmm0
  .byte  102,15,98,200                       // punpckldq     %xmm0,%xmm1
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,254,241                      // paddd         %xmm1,%xmm6
  .byte  102,15,112,254,245                  // pshufd        $0xf5,%xmm6,%xmm7
  .byte  102,15,111,137,78,88,0,0            // movdqa        0x584e(%ecx),%xmm1
  .byte  102,15,244,241                      // pmuludq       %xmm1,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,244,249                      // pmuludq       %xmm1,%xmm7
  .byte  102,15,112,247,232                  // pshufd        $0xe8,%xmm7,%xmm6
  .byte  102,15,98,198                       // punpckldq     %xmm6,%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,112,240,231                  // pshufd        $0xe7,%xmm0,%xmm6
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,112,253,229                  // pshufd        $0xe5,%xmm5,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  102,15,112,237,231                  // pshufd        $0xe7,%xmm5,%xmm5
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,44,154                    // movss         (%edx,%ebx,4),%xmm5
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,177,254,81,0,0           // movdqa        0x51fe(%ecx),%xmm6
  .byte  102,15,254,198                      // paddd         %xmm6,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  15,91,77,200                        // cvtdq2ps      -0x38(%ebp),%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,152                       // movaps        %xmm4,-0x68(%ebp)
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,141,136,254,255,255           // movaps        -0x178(%ebp),%xmm1
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,40,141,152,254,255,255           // movaps        -0x168(%ebp),%xmm1
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  243,15,91,141,168,254,255,255       // cvttps2dq     -0x158(%ebp),%xmm1
  .byte  102,15,111,133,104,255,255,255      // movdqa        -0x98(%ebp),%xmm0
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,201,245                  // pshufd        $0xf5,%xmm1,%xmm1
  .byte  102,15,244,141,88,255,255,255       // pmuludq       -0xa8(%ebp),%xmm1
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,127,133,88,255,255,255       // movdqa        %xmm0,-0xa8(%ebp)
  .byte  102,15,111,149,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm2
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,254,77,168                   // paddd         -0x58(%ebp),%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,129,78,88,0,0            // movdqa        0x584e(%ecx),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,133,104,255,255,255           // movaps        %xmm0,-0x98(%ebp)
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,129,222,81,0,0           // movdqa        0x51de(%ecx),%xmm0
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,133,24,255,255,255            // movaps        %xmm0,-0xe8(%ebp)
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,254,69,184                   // paddd         -0x48(%ebp),%xmm0
  .byte  102,15,112,216,245                  // pshufd        $0xf5,%xmm0,%xmm3
  .byte  102,15,111,137,78,88,0,0            // movdqa        0x584e(%ecx),%xmm1
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,254,196                      // paddd         %xmm4,%xmm0
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,111,153,254,81,0,0           // movdqa        0x51fe(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,173,104,255,255,255           // movaps        -0x98(%ebp),%xmm5
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,141,24,255,255,255            // movaps        -0xe8(%ebp),%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,91,133,8,255,255,255             // cvtdq2ps      -0xf8(%ebp),%xmm0
  .byte  15,40,141,40,255,255,255            // movaps        -0xd8(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,41,173,8,255,255,255             // movaps        %xmm5,-0xf8(%ebp)
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  243,15,91,69,136                    // cvttps2dq     -0x78(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,149,248,254,255,255      // movdqa        -0x108(%ebp),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,127,149,248,254,255,255      // movdqa        %xmm2,-0x108(%ebp)
  .byte  102,15,254,149,184,254,255,255      // paddd         -0x148(%ebp),%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,254,173,72,255,255,255       // paddd         -0xb8(%ebp),%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,145,78,88,0,0            // movdqa        0x584e(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,41,85,136                        // movaps        %xmm2,-0x78(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,145,222,81,0,0           // movdqa        0x51de(%ecx),%xmm2
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,254,109,184                  // paddd         -0x48(%ebp),%xmm5
  .byte  102,15,112,245,245                  // pshufd        $0xf5,%xmm5,%xmm6
  .byte  102,15,111,129,78,88,0,0            // movdqa        0x584e(%ecx),%xmm0
  .byte  102,15,244,232                      // pmuludq       %xmm0,%xmm5
  .byte  102,15,112,253,232                  // pshufd        $0xe8,%xmm5,%xmm7
  .byte  102,15,244,240                      // pmuludq       %xmm0,%xmm6
  .byte  102,15,112,238,232                  // pshufd        $0xe8,%xmm6,%xmm5
  .byte  102,15,98,253                       // punpckldq     %xmm5,%xmm7
  .byte  102,15,112,239,229                  // pshufd        $0xe5,%xmm7,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,239,78                   // pshufd        $0x4e,%xmm7,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,239,231                  // pshufd        $0xe7,%xmm7,%xmm5
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  102,15,111,223                      // movdqa        %xmm7,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,15,112,243,229                  // pshufd        $0xe5,%xmm3,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,111,153,254,81,0,0           // movdqa        0x51fe(%ecx),%xmm3
  .byte  102,15,254,251                      // paddd         %xmm3,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,40,117,136                       // movaps        -0x78(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,85,152                        // movaps        -0x68(%ebp),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,254,141,88,255,255,255       // paddd         -0xa8(%ebp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,177,78,88,0,0            // movdqa        0x584e(%ecx),%xmm6
  .byte  102,15,244,198                      // pmuludq       %xmm6,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,52,178                    // movss         (%edx,%esi,4),%xmm6
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,254,137,222,81,0,0           // paddd         0x51de(%ecx),%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,41,141,24,255,255,255            // movaps        %xmm1,-0xe8(%ebp)
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,254,85,184                   // paddd         -0x48(%ebp),%xmm2
  .byte  102,15,112,194,245                  // pshufd        $0xf5,%xmm2,%xmm0
  .byte  102,15,111,137,78,88,0,0            // movdqa        0x584e(%ecx),%xmm1
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,224                       // punpckldq     %xmm0,%xmm4
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,196,78                   // pshufd        $0x4e,%xmm4,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,196,231                  // pshufd        $0xe7,%xmm4,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,254,129,222,81,0,0           // paddd         0x51de(%ecx),%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,161,254,81,0,0           // paddd         0x51fe(%ecx),%xmm4
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,196,78                   // pshufd        $0x4e,%xmm4,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,196,231                  // pshufd        $0xe7,%xmm4,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,165,24,255,255,255            // movaps        -0xe8(%ebp),%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,243                           // addps         %xmm3,%xmm6
  .byte  15,40,93,136                        // movaps        -0x78(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,133,40,255,255,255            // movaps        -0xd8(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,91,133,216,254,255,255           // cvtdq2ps      -0x128(%ebp),%xmm0
  .byte  15,40,141,232,254,255,255           // movaps        -0x118(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,141,232,254,255,255           // movaps        %xmm1,-0x118(%ebp)
  .byte  15,40,133,8,255,255,255             // movaps        -0xf8(%ebp),%xmm0
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,41,157,8,255,255,255             // movaps        %xmm3,-0xf8(%ebp)
  .byte  15,40,133,104,255,255,255           // movaps        -0x98(%ebp),%xmm0
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,41,149,104,255,255,255           // movaps        %xmm2,-0x98(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,41,181,216,254,255,255           // movaps        %xmm6,-0x128(%ebp)
  .byte  243,15,91,141,120,255,255,255       // cvttps2dq     -0x88(%ebp),%xmm1
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,111,141,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,224,245                  // pshufd        $0xf5,%xmm0,%xmm4
  .byte  102,15,111,145,78,88,0,0            // movdqa        0x584e(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,216,232                  // pshufd        $0xe8,%xmm0,%xmm3
  .byte  102,15,244,226                      // pmuludq       %xmm2,%xmm4
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,112,196,232                  // pshufd        $0xe8,%xmm4,%xmm0
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,41,133,120,255,255,255           // movaps        %xmm0,-0x88(%ebp)
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,145,222,81,0,0           // movdqa        0x51de(%ecx),%xmm2
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  243,15,16,36,154                    // movss         (%edx,%ebx,4),%xmm4
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,153,254,81,0,0           // paddd         0x51fe(%ecx),%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,225,232                  // pshufd        $0xe8,%xmm1,%xmm4
  .byte  102,15,244,223                      // pmuludq       %xmm7,%xmm3
  .byte  102,15,112,203,232                  // pshufd        $0xe8,%xmm3,%xmm1
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,204,78                   // pshufd        $0x4e,%xmm4,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,204,231                  // pshufd        $0xe7,%xmm4,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,15,112,251,229                  // pshufd        $0xe5,%xmm3,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  102,15,112,251,78                   // pshufd        $0x4e,%xmm3,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  102,15,254,161,254,81,0,0           // paddd         0x51fe(%ecx),%xmm4
  .byte  102,15,112,212,229                  // pshufd        $0xe5,%xmm4,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,212,78                   // pshufd        $0x4e,%xmm4,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,212,231                  // pshufd        $0xe7,%xmm4,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,40,77,152                        // movaps        -0x68(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,41,133,120,255,255,255           // movaps        %xmm0,-0x88(%ebp)
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,133,88,255,255,255       // paddd         -0xa8(%ebp),%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,208,245                  // pshufd        $0xf5,%xmm0,%xmm2
  .byte  102,15,111,137,78,88,0,0            // movdqa        0x584e(%ecx),%xmm1
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,240,232                  // pshufd        $0xe8,%xmm0,%xmm6
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,98,240                       // punpckldq     %xmm0,%xmm6
  .byte  102,15,112,198,229                  // pshufd        $0xe5,%xmm6,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,198,78                   // pshufd        $0x4e,%xmm6,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,198,231                  // pshufd        $0xe7,%xmm6,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,111,153,222,81,0,0           // movdqa        0x51de(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  102,15,254,177,254,81,0,0           // paddd         0x51fe(%ecx),%xmm6
  .byte  102,15,112,214,229                  // pshufd        $0xe5,%xmm6,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,214,78                   // pshufd        $0x4e,%xmm6,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  102,15,112,214,231                  // pshufd        $0xe7,%xmm6,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  15,20,247                           // unpcklps      %xmm7,%xmm6
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,69,184                   // paddd         -0x48(%ebp),%xmm0
  .byte  102,15,112,208,245                  // pshufd        $0xf5,%xmm0,%xmm2
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,248,232                  // pshufd        $0xe8,%xmm0,%xmm7
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,250                       // punpckldq     %xmm2,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,254,185,254,81,0,0           // paddd         0x51fe(%ecx),%xmm7
  .byte  102,15,112,199,229                  // pshufd        $0xe5,%xmm7,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,199,78                   // pshufd        $0x4e,%xmm7,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,112,199,231                  // pshufd        $0xe7,%xmm7,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,133,40,255,255,255            // movaps        -0xd8(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,41,141,56,255,255,255            // movaps        %xmm1,-0xc8(%ebp)
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,157,120,255,255,255           // movaps        %xmm3,-0x88(%ebp)
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,252                           // addps         %xmm4,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  102,15,111,133,248,254,255,255      // movdqa        -0x108(%ebp),%xmm0
  .byte  102,15,254,69,136                   // paddd         -0x78(%ebp),%xmm0
  .byte  102,15,127,133,248,254,255,255      // movdqa        %xmm0,-0x108(%ebp)
  .byte  102,15,111,141,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,153,78,88,0,0            // movdqa        0x584e(%ecx),%xmm3
  .byte  102,15,244,195                      // pmuludq       %xmm3,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,111,177,222,81,0,0           // movdqa        0x51de(%ecx),%xmm6
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,112,217,229                  // pshufd        $0xe5,%xmm1,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  102,15,111,185,254,81,0,0           // movdqa        0x51fe(%ecx),%xmm7
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,254,93,184                   // paddd         -0x48(%ebp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,129,78,88,0,0            // movdqa        0x584e(%ecx),%xmm0
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,254,230                      // paddd         %xmm6,%xmm4
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  243,15,16,36,154                    // movss         (%edx,%ebx,4),%xmm4
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,40,181,72,255,255,255            // movaps        -0xb8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  102,15,111,141,248,254,255,255      // movdqa        -0x108(%ebp),%xmm1
  .byte  102,15,254,141,88,255,255,255       // paddd         -0xa8(%ebp),%xmm1
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,145,78,88,0,0            // movdqa        0x584e(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,137,222,81,0,0           // paddd         0x51de(%ecx),%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,157,88,255,255,255            // movaps        %xmm3,-0xa8(%ebp)
  .byte  102,15,254,129,254,81,0,0           // paddd         0x51fe(%ecx),%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,112,193,245                  // pshufd        $0xf5,%xmm1,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,177,222,81,0,0           // movdqa        0x51de(%ecx),%xmm6
  .byte  102,15,254,242                      // paddd         %xmm2,%xmm6
  .byte  102,15,112,206,229                  // pshufd        $0xe5,%xmm6,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,206,78                   // pshufd        $0x4e,%xmm6,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  102,15,112,206,231                  // pshufd        $0xe7,%xmm6,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,52,178                    // movss         (%edx,%esi,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,145,254,81,0,0           // paddd         0x51fe(%ecx),%xmm2
  .byte  102,15,112,242,229                  // pshufd        $0xe5,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,117,152                       // movaps        -0x68(%ebp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,189,88,255,255,255            // movaps        -0xa8(%ebp),%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,40,181,72,255,255,255            // movaps        -0xb8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,157,40,255,255,255            // movaps        -0xd8(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,40,165,56,255,255,255            // movaps        -0xc8(%ebp),%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,157,232,254,255,255           // movaps        -0x118(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,165,120,255,255,255           // movaps        -0x88(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,91,157,184,254,255,255           // cvtdq2ps      -0x148(%ebp),%xmm3
  .byte  15,40,165,120,254,255,255           // movaps        -0x188(%ebp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,157,8,255,255,255             // movaps        -0xf8(%ebp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,157,104,255,255,255           // movaps        -0x98(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,157,216,254,255,255           // movaps        -0x128(%ebp),%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  141,86,8                            // lea           0x8(%esi),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,153,190,81,0,0                // movaps        0x51be(%ecx),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,86,4                            // call          *0x4(%esi)
  .byte  129,196,140,1,0,0                   // add           $0x18c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_sse2_8bit
.globl _sk_start_pipeline_sse2_8bit
FUNCTION(_sk_start_pipeline_sse2_8bit)
_sk_start_pipeline_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,93,12                           // mov           0xc(%ebp),%ebx
  .byte  59,93,20                            // cmp           0x14(%ebp),%ebx
  .byte  115,92                              // jae           9351 <_sk_start_pipeline_sse2_8bit+0x6d>
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,117,24                          // mov           0x18(%ebp),%esi
  .byte  139,62                              // mov           (%esi),%edi
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  141,64,8                            // lea           0x8(%eax),%eax
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  137,93,240                          // mov           %ebx,-0x10(%ebp)
  .byte  57,85,236                           // cmp           %edx,-0x14(%ebp)
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  137,243                             // mov           %esi,%ebx
  .byte  119,30                              // ja            9334 <_sk_start_pipeline_sse2_8bit+0x50>
  .byte  139,117,8                           // mov           0x8(%ebp),%esi
  .byte  255,117,240                         // pushl         -0x10(%ebp)
  .byte  86                                  // push          %esi
  .byte  83                                  // push          %ebx
  .byte  106,0                               // push          $0x0
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  141,70,8                            // lea           0x8(%esi),%eax
  .byte  131,198,16                          // add           $0x10,%esi
  .byte  57,214                              // cmp           %edx,%esi
  .byte  137,198                             // mov           %eax,%esi
  .byte  118,229                             // jbe           9319 <_sk_start_pipeline_sse2_8bit+0x35>
  .byte  137,209                             // mov           %edx,%ecx
  .byte  41,193                              // sub           %eax,%ecx
  .byte  137,222                             // mov           %ebx,%esi
  .byte  139,93,240                          // mov           -0x10(%ebp),%ebx
  .byte  116,12                              // je            934b <_sk_start_pipeline_sse2_8bit+0x67>
  .byte  83                                  // push          %ebx
  .byte  80                                  // push          %eax
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  67                                  // inc           %ebx
  .byte  59,93,20                            // cmp           0x14(%ebp),%ebx
  .byte  117,184                             // jne           9309 <_sk_start_pipeline_sse2_8bit+0x25>
  .byte  131,196,12                          // add           $0xc,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_just_return_sse2_8bit
.globl _sk_just_return_sse2_8bit
FUNCTION(_sk_just_return_sse2_8bit)
_sk_just_return_sse2_8bit:
  .byte  195                                 // ret

HIDDEN _sk_uniform_color_sse2_8bit
.globl _sk_uniform_color_sse2_8bit
FUNCTION(_sk_uniform_color_sse2_8bit)
_sk_uniform_color_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  102,15,110,65,16                    // movd          0x10(%ecx),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_set_rgb_sse2_8bit
.globl _sk_set_rgb_sse2_8bit
FUNCTION(_sk_set_rgb_sse2_8bit)
_sk_set_rgb_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9396 <_sk_set_rgb_sse2_8bit+0xe>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,161,254,67,0,0            // movss         0x43fe(%ecx),%xmm4
  .byte  243,15,16,50                        // movss         (%edx),%xmm6
  .byte  243,15,89,244                       // mulss         %xmm4,%xmm6
  .byte  243,15,44,246                       // cvttss2si     %xmm6,%esi
  .byte  243,15,16,169,2,68,0,0              // movss         0x4402(%ecx),%xmm5
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  243,15,92,253                       // subss         %xmm5,%xmm7
  .byte  243,15,44,255                       // cvttss2si     %xmm7,%edi
  .byte  129,247,0,0,0,128                   // xor           $0x80000000,%edi
  .byte  15,46,245                           // ucomiss       %xmm5,%xmm6
  .byte  15,66,254                           // cmovb         %esi,%edi
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  243,15,89,244                       // mulss         %xmm4,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  243,15,92,253                       // subss         %xmm5,%xmm7
  .byte  243,15,44,247                       // cvttss2si     %xmm7,%esi
  .byte  129,246,0,0,0,128                   // xor           $0x80000000,%esi
  .byte  15,46,245                           // ucomiss       %xmm5,%xmm6
  .byte  243,15,44,222                       // cvttss2si     %xmm6,%ebx
  .byte  15,66,243                           // cmovb         %ebx,%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,254                               // or            %edi,%esi
  .byte  243,15,89,98,8                      // mulss         0x8(%edx),%xmm4
  .byte  243,15,44,212                       // cvttss2si     %xmm4,%edx
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  243,15,92,245                       // subss         %xmm5,%xmm6
  .byte  243,15,44,254                       // cvttss2si     %xmm6,%edi
  .byte  129,247,0,0,0,128                   // xor           $0x80000000,%edi
  .byte  15,46,229                           // ucomiss       %xmm5,%xmm4
  .byte  15,66,250                           // cmovb         %edx,%edi
  .byte  193,231,16                          // shl           $0x10,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,110,231                      // movd          %edi,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  102,15,111,169,74,67,0,0            // movdqa        0x434a(%ecx),%xmm5
  .byte  102,15,219,205                      // pand          %xmm5,%xmm1
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_premul_sse2_8bit
.globl _sk_premul_sse2_8bit
FUNCTION(_sk_premul_sse2_8bit)
_sk_premul_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  232,0,0,0,0                         // call          946e <_sk_premul_sse2_8bit+0x18>
  .byte  88                                  // pop           %eax
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  102,15,111,160,114,66,0,0           // movdqa        0x4272(%eax),%xmm4
  .byte  102,15,235,252                      // por           %xmm4,%xmm7
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,96,226                       // punpcklbw     %xmm2,%xmm4
  .byte  102,15,104,218                      // punpckhbw     %xmm2,%xmm3
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,234                       // punpcklbw     %xmm2,%xmm5
  .byte  102,15,104,202                      // punpckhbw     %xmm2,%xmm1
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,96,194                       // punpcklbw     %xmm2,%xmm0
  .byte  102,15,104,242                      // punpckhbw     %xmm2,%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,202                       // punpcklbw     %xmm2,%xmm1
  .byte  102,15,104,250                      // punpckhbw     %xmm2,%xmm7
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,213,243                      // pmullw        %xmm3,%xmm6
  .byte  102,15,253,243                      // paddw         %xmm3,%xmm6
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_swap_rb_sse2_8bit
.globl _sk_swap_rb_sse2_8bit
FUNCTION(_sk_swap_rb_sse2_8bit)
_sk_swap_rb_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_invert_sse2_8bit
.globl _sk_invert_sse2_8bit
FUNCTION(_sk_invert_sse2_8bit)
_sk_invert_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_8888_sse2_8bit
.globl _sk_load_8888_sse2_8bit
FUNCTION(_sk_load_8888_sse2_8bit)
_sk_load_8888_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          95fa <_sk_load_8888_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,125,20                       // imul          0x14(%ebp),%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,30                              // jne           9634 <_sk_load_8888_sse2_8bit+0x48>
  .byte  15,16,76,183,16                     // movups        0x10(%edi,%esi,4),%xmm1
  .byte  102,15,16,4,183                     // movupd        (%edi,%esi,4),%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,216                             // ja            9620 <_sk_load_8888_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  3,156,139,158,0,0,0                 // add           0x9e(%ebx,%ecx,4),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  243,15,16,4,183                     // movss         (%edi,%esi,4),%xmm0
  .byte  235,197                             // jmp           9620 <_sk_load_8888_sse2_8bit+0x34>
  .byte  102,15,110,68,183,8                 // movd          0x8(%edi,%esi,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,15,18,4,183                     // movlpd        (%edi,%esi,4),%xmm0
  .byte  235,179                             // jmp           9620 <_sk_load_8888_sse2_8bit+0x34>
  .byte  102,15,110,68,183,24                // movd          0x18(%edi,%esi,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,15,16,68,183,20                 // movss         0x14(%edi,%esi,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,15,16,68,183,16                 // movss         0x10(%edi,%esi,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  235,134                             // jmp           961b <_sk_load_8888_sse2_8bit+0x2f>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  90                                  // pop           %edx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,108,0,0                           // add           %ch,0x0(%eax,%eax,1)
  .byte  0,97,0                              // add           %ah,0x0(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,0                                // and           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  143,0                               // popl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  126,0                               // jle           96ae <_sk_load_8888_sse2_8bit+0xc2>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  115,0                               // jae           96b2 <_sk_load_8888_sse2_8bit+0xc6>
  .byte  0,0                                 // add           %al,(%eax)

HIDDEN _sk_load_8888_dst_sse2_8bit
.globl _sk_load_8888_dst_sse2_8bit
FUNCTION(_sk_load_8888_dst_sse2_8bit)
_sk_load_8888_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          96c2 <_sk_load_8888_dst_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,125,20                       // imul          0x14(%ebp),%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,30                              // jne           96fc <_sk_load_8888_dst_sse2_8bit+0x48>
  .byte  15,16,92,183,16                     // movups        0x10(%edi,%esi,4),%xmm3
  .byte  102,15,16,20,183                    // movupd        (%edi,%esi,4),%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,216                             // ja            96e8 <_sk_load_8888_dst_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  3,156,139,158,0,0,0                 // add           0x9e(%ebx,%ecx,4),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  243,15,16,20,183                    // movss         (%edi,%esi,4),%xmm2
  .byte  235,197                             // jmp           96e8 <_sk_load_8888_dst_sse2_8bit+0x34>
  .byte  102,15,110,84,183,8                 // movd          0x8(%edi,%esi,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,15,18,20,183                    // movlpd        (%edi,%esi,4),%xmm2
  .byte  235,179                             // jmp           96e8 <_sk_load_8888_dst_sse2_8bit+0x34>
  .byte  102,15,110,84,183,24                // movd          0x18(%edi,%esi,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,15,16,84,183,20                 // movss         0x14(%edi,%esi,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,15,16,84,183,16                 // movss         0x10(%edi,%esi,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  235,134                             // jmp           96e3 <_sk_load_8888_dst_sse2_8bit+0x2f>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  90                                  // pop           %edx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,108,0,0                           // add           %ch,0x0(%eax,%eax,1)
  .byte  0,97,0                              // add           %ah,0x0(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,0                                // and           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  143,0                               // popl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  126,0                               // jle           9776 <_sk_load_8888_dst_sse2_8bit+0xc2>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  115,0                               // jae           977a <_sk_load_8888_dst_sse2_8bit+0xc6>
  .byte  0,0                                 // add           %al,(%eax)

HIDDEN _sk_store_8888_sse2_8bit
.globl _sk_store_8888_sse2_8bit
FUNCTION(_sk_store_8888_sse2_8bit)
_sk_store_8888_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          978a <_sk_store_8888_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,125,20                       // imul          0x14(%ebp),%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,31                              // jne           97c5 <_sk_store_8888_sse2_8bit+0x49>
  .byte  243,15,127,4,183                    // movdqu        %xmm0,(%edi,%esi,4)
  .byte  243,15,127,76,183,16                // movdqu        %xmm1,0x10(%edi,%esi,4)
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,224                             // ja            97b1 <_sk_store_8888_sse2_8bit+0x35>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  3,156,139,146,0,0,0                 // add           0x92(%ebx,%ecx,4),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  102,15,126,4,183                    // movd          %xmm0,(%edi,%esi,4)
  .byte  235,205                             // jmp           97b1 <_sk_store_8888_sse2_8bit+0x35>
  .byte  102,15,112,224,78                   // pshufd        $0x4e,%xmm0,%xmm4
  .byte  102,15,126,100,183,8                // movd          %xmm4,0x8(%edi,%esi,4)
  .byte  102,15,214,4,183                    // movq          %xmm0,(%edi,%esi,4)
  .byte  235,187                             // jmp           97b1 <_sk_store_8888_sse2_8bit+0x35>
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,15,126,100,183,24               // movd          %xmm4,0x18(%edi,%esi,4)
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,126,100,183,20               // movd          %xmm4,0x14(%edi,%esi,4)
  .byte  102,15,126,76,183,16                // movd          %xmm1,0x10(%edi,%esi,4)
  .byte  243,15,127,4,183                    // movdqu        %xmm0,(%edi,%esi,4)
  .byte  235,152                             // jmp           97b1 <_sk_store_8888_sse2_8bit+0x35>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  83                                  // push          %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,101,0                             // add           %ah,0x0(%ebp)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  90                                  // pop           %edx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,136,0,0,0,130                     // add           %cl,-0x7e000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,119,0                             // add           %dh,0x0(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  108                                 // insb          (%dx),%es:(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_bgra_sse2_8bit
.globl _sk_load_bgra_sse2_8bit
FUNCTION(_sk_load_bgra_sse2_8bit)
_sk_load_bgra_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9846 <_sk_load_bgra_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,125,20                       // imul          0x14(%ebp),%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,106                             // jne           98cc <_sk_load_bgra_sse2_8bit+0x94>
  .byte  15,16,76,183,16                     // movups        0x10(%edi,%esi,4),%xmm1
  .byte  102,15,16,4,183                     // movupd        (%edi,%esi,4),%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,232                       // movapd        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,140                             // ja            986c <_sk_load_bgra_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  3,156,139,242,0,0,0                 // add           0xf2(%ebx,%ecx,4),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  243,15,16,4,183                     // movss         (%edi,%esi,4),%xmm0
  .byte  233,118,255,255,255                 // jmp           986c <_sk_load_bgra_sse2_8bit+0x34>
  .byte  102,15,110,68,183,8                 // movd          0x8(%edi,%esi,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,15,18,4,183                     // movlpd        (%edi,%esi,4),%xmm0
  .byte  233,97,255,255,255                  // jmp           986c <_sk_load_bgra_sse2_8bit+0x34>
  .byte  102,15,110,68,183,24                // movd          0x18(%edi,%esi,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,15,16,68,183,20                 // movss         0x14(%edi,%esi,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,15,16,68,183,16                 // movss         0x10(%edi,%esi,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  233,49,255,255,255                  // jmp           9867 <_sk_load_bgra_sse2_8bit+0x2f>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%edi),%ds:(%esi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,187,0,0,0,176                     // add           %bh,-0x50000000(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,33                                // add           %ah,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,225                               // add           %ah,%cl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,208                               // add           %dl,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,197                               // add           %al,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_bgra_dst_sse2_8bit
.globl _sk_load_bgra_dst_sse2_8bit
FUNCTION(_sk_load_bgra_dst_sse2_8bit)
_sk_load_bgra_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9962 <_sk_load_bgra_dst_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,125,20                       // imul          0x14(%ebp),%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,106                             // jne           99e8 <_sk_load_bgra_dst_sse2_8bit+0x94>
  .byte  15,16,92,183,16                     // movups        0x10(%edi,%esi,4),%xmm3
  .byte  102,15,16,20,183                    // movupd        (%edi,%esi,4),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,234                       // movapd        %xmm2,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  242,15,112,210,198                  // pshuflw       $0xc6,%xmm2,%xmm2
  .byte  243,15,112,210,198                  // pshufhw       $0xc6,%xmm2,%xmm2
  .byte  102,15,103,213                      // packuswb      %xmm5,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  242,15,112,219,198                  // pshuflw       $0xc6,%xmm3,%xmm3
  .byte  243,15,112,219,198                  // pshufhw       $0xc6,%xmm3,%xmm3
  .byte  102,15,103,221                      // packuswb      %xmm5,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,140                             // ja            9988 <_sk_load_bgra_dst_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  3,156,139,242,0,0,0                 // add           0xf2(%ebx,%ecx,4),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  243,15,16,20,183                    // movss         (%edi,%esi,4),%xmm2
  .byte  233,118,255,255,255                 // jmp           9988 <_sk_load_bgra_dst_sse2_8bit+0x34>
  .byte  102,15,110,84,183,8                 // movd          0x8(%edi,%esi,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,15,18,20,183                    // movlpd        (%edi,%esi,4),%xmm2
  .byte  233,97,255,255,255                  // jmp           9988 <_sk_load_bgra_dst_sse2_8bit+0x34>
  .byte  102,15,110,84,183,24                // movd          0x18(%edi,%esi,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,15,16,84,183,20                 // movss         0x14(%edi,%esi,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,15,16,84,183,16                 // movss         0x10(%edi,%esi,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  233,49,255,255,255                  // jmp           9983 <_sk_load_bgra_dst_sse2_8bit+0x2f>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%edi),%ds:(%esi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,187,0,0,0,176                     // add           %bh,-0x50000000(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,33                                // add           %ah,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,225                               // add           %ah,%cl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,208                               // add           %dl,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,197                               // add           %al,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_store_bgra_sse2_8bit
.globl _sk_store_bgra_sse2_8bit
FUNCTION(_sk_store_bgra_sse2_8bit)
_sk_store_bgra_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9a7e <_sk_store_bgra_sse2_8bit+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,114,4                           // mov           0x4(%edx),%esi
  .byte  15,175,241                          // imul          %ecx,%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,50                                // add           (%edx),%esi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,104,229                      // punpckhbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,244,198                  // pshufhw       $0xc6,%xmm4,%xmm6
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,228,198                  // pshufhw       $0xc6,%xmm4,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,104,245                      // punpckhbw     %xmm5,%xmm6
  .byte  242,15,112,246,198                  // pshuflw       $0xc6,%xmm6,%xmm6
  .byte  243,15,112,246,198                  // pshufhw       $0xc6,%xmm6,%xmm6
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  242,15,112,239,198                  // pshuflw       $0xc6,%xmm7,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  133,210                             // test          %edx,%edx
  .byte  139,93,16                           // mov           0x10(%ebp),%ebx
  .byte  117,29                              // jne           9b0d <_sk_store_bgra_sse2_8bit+0x9d>
  .byte  243,15,127,44,158                   // movdqu        %xmm5,(%esi,%ebx,4)
  .byte  243,15,127,100,158,16               // movdqu        %xmm4,0x10(%esi,%ebx,4)
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  81                                  // push          %ecx
  .byte  83                                  // push          %ebx
  .byte  86                                  // push          %esi
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,125,236                         // mov           %edi,-0x14(%ebp)
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  136,85,243                          // mov           %dl,-0xd(%ebp)
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  128,101,243,7                       // andb          $0x7,-0xd(%ebp)
  .byte  254,77,243                          // decb          -0xd(%ebp)
  .byte  128,125,243,6                       // cmpb          $0x6,-0xd(%ebp)
  .byte  119,213                             // ja            9afb <_sk_store_bgra_sse2_8bit+0x8b>
  .byte  15,182,125,243                      // movzbl        -0xd(%ebp),%edi
  .byte  139,77,236                          // mov           -0x14(%ebp),%ecx
  .byte  3,140,185,254,0,0,0                 // add           0xfe(%ecx,%edi,4),%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  102,15,126,44,158                   // movd          %xmm5,(%esi,%ebx,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  235,187                             // jmp           9afb <_sk_store_bgra_sse2_8bit+0x8b>
  .byte  102,15,112,229,78                   // pshufd        $0x4e,%xmm5,%xmm4
  .byte  102,15,126,100,158,8                // movd          %xmm4,0x8(%esi,%ebx,4)
  .byte  102,15,214,44,158                   // movq          %xmm5,(%esi,%ebx,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  235,166                             // jmp           9afb <_sk_store_bgra_sse2_8bit+0x8b>
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,15,126,116,158,24               // movd          %xmm6,0x18(%esi,%ebx,4)
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,15,126,116,158,20               // movd          %xmm6,0x14(%esi,%ebx,4)
  .byte  102,15,126,100,158,16               // movd          %xmm4,0x10(%esi,%ebx,4)
  .byte  243,15,127,44,158                   // movdqu        %xmm5,(%esi,%ebx,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  235,128                             // jmp           9afb <_sk_store_bgra_sse2_8bit+0x8b>
  .byte  144                                 // nop
  .byte  184,0,0,0,205                       // mov           $0xcd000000,%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,194                               // add           %al,%dl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,243                               // add           %dh,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,237                               // add           %ch,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,226                               // add           %ah,%dl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,215                               // add           %dl,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_store_565_sse2_8bit
.globl _sk_store_565_sse2_8bit
FUNCTION(_sk_store_565_sse2_8bit)
_sk_store_565_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9ba6 <_sk_store_565_sse2_8bit+0xe>
  .byte  88                                  // pop           %eax
  .byte  102,15,111,176,74,59,0,0            // movdqa        0x3b4a(%eax),%xmm6
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,219,240                      // pand          %xmm0,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,114,247,8                    // pslld         $0x8,%xmm7
  .byte  102,15,111,160,90,59,0,0            // movdqa        0x3b5a(%eax),%xmm4
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,114,213,5                    // psrld         $0x5,%xmm5
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,111,184,106,59,0,0           // movdqa        0x3b6a(%eax),%xmm7
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  102,15,114,214,19                   // psrld         $0x13,%xmm6
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  102,15,219,249                      // pand          %xmm1,%xmm7
  .byte  102,15,114,215,19                   // psrld         $0x13,%xmm7
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,229                      // packssdw      %xmm5,%xmm4
  .byte  139,85,20                           // mov           0x14(%ebp),%edx
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,126,4                           // mov           0x4(%esi),%edi
  .byte  15,175,250                          // imul          %edx,%edi
  .byte  1,255                               // add           %edi,%edi
  .byte  3,62                                // add           (%esi),%edi
  .byte  139,93,8                            // mov           0x8(%ebp),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,23                              // jne           9c5c <_sk_store_565_sse2_8bit+0xc4>
  .byte  243,15,127,36,119                   // movdqu        %xmm4,(%edi,%esi,2)
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  82                                  // push          %edx
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  83                                  // push          %ebx
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  139,93,8                            // mov           0x8(%ebp),%ebx
  .byte  136,93,243                          // mov           %bl,-0xd(%ebp)
  .byte  139,93,8                            // mov           0x8(%ebp),%ebx
  .byte  128,101,243,7                       // andb          $0x7,-0xd(%ebp)
  .byte  254,77,243                          // decb          -0xd(%ebp)
  .byte  128,125,243,6                       // cmpb          $0x6,-0xd(%ebp)
  .byte  119,216                             // ja            9c4a <_sk_store_565_sse2_8bit+0xb2>
  .byte  15,182,85,243                       // movzbl        -0xd(%ebp),%edx
  .byte  3,132,144,34,1,0,0                  // add           0x122(%eax,%edx,4),%eax
  .byte  255,224                             // jmp           *%eax
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,137,4,119                       // mov           %ax,(%edi,%esi,2)
  .byte  139,85,20                           // mov           0x14(%ebp),%edx
  .byte  235,190                             // jmp           9c4a <_sk_store_565_sse2_8bit+0xb2>
  .byte  102,15,197,196,2                    // pextrw        $0x2,%xmm4,%eax
  .byte  102,137,68,119,4                    // mov           %ax,0x4(%edi,%esi,2)
  .byte  102,15,126,36,119                   // movd          %xmm4,(%edi,%esi,2)
  .byte  139,85,20                           // mov           0x14(%ebp),%edx
  .byte  235,170                             // jmp           9c4a <_sk_store_565_sse2_8bit+0xb2>
  .byte  102,15,197,196,6                    // pextrw        $0x6,%xmm4,%eax
  .byte  102,137,68,119,12                   // mov           %ax,0xc(%edi,%esi,2)
  .byte  102,15,197,196,5                    // pextrw        $0x5,%xmm4,%eax
  .byte  102,137,68,119,10                   // mov           %ax,0xa(%edi,%esi,2)
  .byte  102,15,197,196,4                    // pextrw        $0x4,%xmm4,%eax
  .byte  102,137,68,119,8                    // mov           %ax,0x8(%edi,%esi,2)
  .byte  102,15,214,36,119                   // movq          %xmm4,(%edi,%esi,2)
  .byte  139,85,20                           // mov           0x14(%ebp),%edx
  .byte  235,130                             // jmp           9c4a <_sk_store_565_sse2_8bit+0xb2>
  .byte  217,0                               // flds          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  240,0,0                             // lock          add %al,(%eax)
  .byte  0,230                               // add           %ah,%dh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,24                                // add           %bl,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,14                                // add           %cl,(%esi)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,4,1                               // add           %al,(%ecx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  250                                 // cli
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_565_dst_sse2_8bit
.globl _sk_load_565_dst_sse2_8bit
FUNCTION(_sk_load_565_dst_sse2_8bit)
_sk_load_565_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,28                          // sub           $0x1c,%esp
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  232,0,0,0,0                         // call          9cf6 <_sk_load_565_dst_sse2_8bit+0x12>
  .byte  94                                  // pop           %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  1,219                               // add           %ebx,%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,125,16                          // mov           0x10(%ebp),%edi
  .byte  15,133,235,0,0,0                    // jne           9e00 <_sk_load_565_dst_sse2_8bit+0x11c>
  .byte  243,15,111,20,123                   // movdqu        (%ebx,%edi,2),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  102,15,111,182,74,53,0,0            // movdqa        0x354a(%esi),%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,219,243                      // pand          %xmm3,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,114,215,8                    // psrld         $0x8,%xmm7
  .byte  102,15,111,174,138,53,0,0           // movdqa        0x358a(%esi),%xmm5
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,15,219,235                      // pand          %xmm3,%xmm5
  .byte  102,15,114,245,19                   // pslld         $0x13,%xmm5
  .byte  102,15,114,244,19                   // pslld         $0x13,%xmm4
  .byte  102,15,235,231                      // por           %xmm7,%xmm4
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  102,15,111,182,106,53,0,0           // movdqa        0x356a(%esi),%xmm6
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  102,15,219,242                      // pand          %xmm2,%xmm6
  .byte  102,15,111,142,58,58,0,0            // movdqa        0x3a3a(%esi),%xmm1
  .byte  102,15,219,217                      // pand          %xmm1,%xmm3
  .byte  102,15,219,209                      // pand          %xmm1,%xmm2
  .byte  102,15,114,247,5                    // pslld         $0x5,%xmm7
  .byte  102,15,114,211,1                    // psrld         $0x1,%xmm3
  .byte  102,15,235,223                      // por           %xmm7,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  102,15,114,213,5                    // psrld         $0x5,%xmm5
  .byte  102,15,114,246,5                    // pslld         $0x5,%xmm6
  .byte  102,15,114,210,1                    // psrld         $0x1,%xmm2
  .byte  102,15,235,214                      // por           %xmm6,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,114,212,5                    // psrld         $0x5,%xmm4
  .byte  102,15,111,142,42,58,0,0            // movdqa        0x3a2a(%esi),%xmm1
  .byte  102,15,219,225                      // pand          %xmm1,%xmm4
  .byte  102,15,219,233                      // pand          %xmm1,%xmm5
  .byte  102,15,111,142,234,57,0,0           // movdqa        0x39ea(%esi),%xmm1
  .byte  102,15,235,209                      // por           %xmm1,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,15,235,221                      // por           %xmm5,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  87                                  // push          %edi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,44                          // add           $0x2c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  15,135,6,255,255,255                // ja            9d1a <_sk_load_565_dst_sse2_8bit+0x36>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,142,118,1,0,0               // mov           0x176(%esi,%ecx,4),%ecx
  .byte  1,241                               // add           %esi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,183,12,123                       // movzwl        (%ebx,%edi,2),%ecx
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  233,235,254,255,255                 // jmp           9d1a <_sk_load_565_dst_sse2_8bit+0x36>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,84,123,4,2               // pinsrw        $0x2,0x4(%ebx,%edi,2),%xmm2
  .byte  243,15,16,28,123                    // movss         (%ebx,%edi,2),%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  233,210,254,255,255                 // jmp           9d1a <_sk_load_565_dst_sse2_8bit+0x36>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,84,123,12,6              // pinsrw        $0x6,0xc(%ebx,%edi,2),%xmm2
  .byte  102,15,196,84,123,10,5              // pinsrw        $0x5,0xa(%ebx,%edi,2),%xmm2
  .byte  102,15,196,84,123,8,4               // pinsrw        $0x4,0x8(%ebx,%edi,2),%xmm2
  .byte  102,15,18,20,123                    // movlpd        (%ebx,%edi,2),%xmm2
  .byte  233,175,254,255,255                 // jmp           9d1a <_sk_load_565_dst_sse2_8bit+0x36>
  .byte  144                                 // nop
  .byte  44,1                                // sub           $0x1,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  68                                  // inc           %esp
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,57                                // add           %bh,(%ecx)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,107,1                             // add           %ch,0x1(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  100,1,0                             // add           %eax,%fs:(%eax)
  .byte  0,93,1                              // add           %bl,0x1(%ebp)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  82                                  // push          %edx
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_a8_sse2_8bit
.globl _sk_load_a8_sse2_8bit
FUNCTION(_sk_load_a8_sse2_8bit)
_sk_load_a8_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9e96 <_sk_load_a8_sse2_8bit+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,63                              // jne           9eee <_sk_load_a8_sse2_8bit+0x66>
  .byte  243,15,126,4,51                     // movq          (%ebx,%esi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,135,170,56,0,0           // pand          0x38aa(%edi),%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,114,241,24                   // pslld         $0x18,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,186                             // ja            9eb8 <_sk_load_a8_sse2_8bit+0x30>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,214,0,0,0               // mov           0xd6(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,193                      // movd          %ecx,%xmm0
  .byte  235,162                             // jmp           9eb8 <_sk_load_a8_sse2_8bit+0x30>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,193,2                    // pinsrw        $0x2,%ecx,%xmm0
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  235,130                             // jmp           9eb8 <_sk_load_a8_sse2_8bit+0x30>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,193,6                    // pinsrw        $0x6,%ecx,%xmm0
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,193,5                    // pinsrw        $0x5,%ecx,%xmm0
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,193,4                    // pinsrw        $0x4,%ecx,%xmm0
  .byte  102,15,110,12,51                    // movd          (%ebx,%esi,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,78,255,255,255                  // jmp           9eb8 <_sk_load_a8_sse2_8bit+0x30>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  118,0                               // jbe           9f6e <_sk_load_a8_sse2_8bit+0xe6>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  142,0                               // mov           (%eax),%es
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  0,194                               // add           %al,%dl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,184,0,0,0,174                     // add           %bh,-0x52000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0
  .byte  160                                 // .byte         0xa0
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_a8_dst_sse2_8bit
.globl _sk_load_a8_dst_sse2_8bit
FUNCTION(_sk_load_a8_dst_sse2_8bit)
_sk_load_a8_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          9f96 <_sk_load_a8_dst_sse2_8bit+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  117,63                              // jne           9fee <_sk_load_a8_dst_sse2_8bit+0x66>
  .byte  243,15,126,20,51                    // movq          (%ebx,%esi,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,151,170,55,0,0           // pand          0x37aa(%edi),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  102,15,114,242,24                   // pslld         $0x18,%xmm2
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,186                             // ja            9fb8 <_sk_load_a8_dst_sse2_8bit+0x30>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,214,0,0,0               // mov           0xd6(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  235,162                             // jmp           9fb8 <_sk_load_a8_dst_sse2_8bit+0x30>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,209,2                    // pinsrw        $0x2,%ecx,%xmm2
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  235,130                             // jmp           9fb8 <_sk_load_a8_dst_sse2_8bit+0x30>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,209,6                    // pinsrw        $0x6,%ecx,%xmm2
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,209,5                    // pinsrw        $0x5,%ecx,%xmm2
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,209,4                    // pinsrw        $0x4,%ecx,%xmm2
  .byte  102,15,110,28,51                    // movd          (%ebx,%esi,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,78,255,255,255                  // jmp           9fb8 <_sk_load_a8_dst_sse2_8bit+0x30>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  118,0                               // jbe           a06e <_sk_load_a8_dst_sse2_8bit+0xe6>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  142,0                               // mov           (%eax),%es
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  0,194                               // add           %al,%dl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,184,0,0,0,174                     // add           %bh,-0x52000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0
  .byte  160                                 // .byte         0xa0
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_store_a8_sse2_8bit
.globl _sk_store_a8_sse2_8bit
FUNCTION(_sk_store_a8_sse2_8bit)
_sk_store_a8_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  232,0,0,0,0                         // call          a096 <_sk_store_a8_sse2_8bit+0xe>
  .byte  91                                  // pop           %ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,114,4                           // mov           0x4(%edx),%esi
  .byte  15,175,117,20                       // imul          0x14(%ebp),%esi
  .byte  3,50                                // add           (%edx),%esi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,114,213,24                   // psrld         $0x18,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,229                      // packssdw      %xmm5,%xmm4
  .byte  133,210                             // test          %edx,%edx
  .byte  139,125,16                          // mov           0x10(%ebp),%edi
  .byte  117,37                              // jne           a0fe <_sk_store_a8_sse2_8bit+0x76>
  .byte  102,15,219,163,170,54,0,0           // pand          0x36aa(%ebx),%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,214,36,62                    // movq          %xmm4,(%esi,%edi,1)
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  87                                  // push          %edi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,108                         // add           $0x6c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  119,224                             // ja            a0ea <_sk_store_a8_sse2_8bit+0x62>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,139,238,0,0,0               // mov           0xee(%ebx,%ecx,4),%ecx
  .byte  1,217                               // add           %ebx,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  102,15,127,101,152                  // movdqa        %xmm4,-0x68(%ebp)
  .byte  138,77,152                          // mov           -0x68(%ebp),%cl
  .byte  136,12,62                           // mov           %cl,(%esi,%edi,1)
  .byte  235,197                             // jmp           a0ea <_sk_store_a8_sse2_8bit+0x62>
  .byte  102,15,127,101,168                  // movdqa        %xmm4,-0x58(%ebp)
  .byte  138,77,172                          // mov           -0x54(%ebp),%cl
  .byte  136,76,62,2                         // mov           %cl,0x2(%esi,%edi,1)
  .byte  102,15,219,163,170,54,0,0           // pand          0x36aa(%ebx),%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  102,137,12,62                       // mov           %cx,(%esi,%edi,1)
  .byte  235,163                             // jmp           a0ea <_sk_store_a8_sse2_8bit+0x62>
  .byte  102,15,127,101,184                  // movdqa        %xmm4,-0x48(%ebp)
  .byte  138,77,196                          // mov           -0x3c(%ebp),%cl
  .byte  136,76,62,6                         // mov           %cl,0x6(%esi,%edi,1)
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  138,77,210                          // mov           -0x2e(%ebp),%cl
  .byte  136,76,62,5                         // mov           %cl,0x5(%esi,%edi,1)
  .byte  102,15,127,101,216                  // movdqa        %xmm4,-0x28(%ebp)
  .byte  138,77,224                          // mov           -0x20(%ebp),%cl
  .byte  136,76,62,4                         // mov           %cl,0x4(%esi,%edi,1)
  .byte  102,15,219,163,170,54,0,0           // pand          0x36aa(%ebx),%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,36,62                    // movd          %xmm4,(%esi,%edi,1)
  .byte  233,105,255,255,255                 // jmp           a0ea <_sk_store_a8_sse2_8bit+0x62>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  130,0,0                             // addb          $0x0,(%eax)
  .byte  0,155,0,0,0,143                     // add           %bl,-0x71000000(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,213                               // add           %dl,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,201                               // add           %cl,%cl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,189,0,0,0,177                     // add           %bh,-0x4f000000(%ebp)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_g8_sse2_8bit
.globl _sk_load_g8_sse2_8bit
FUNCTION(_sk_load_g8_sse2_8bit)
_sk_load_g8_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          a1ae <_sk_load_g8_sse2_8bit+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  15,133,131,0,0,0                    // jne           a24e <_sk_load_g8_sse2_8bit+0xae>
  .byte  243,15,126,4,51                     // movq          (%ebx,%esi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,135,146,53,0,0           // pand          0x3592(%edi),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,97,225                       // punpcklwd     %xmm1,%xmm4
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,175,162,53,0,0           // movdqa        0x35a2(%edi),%xmm5
  .byte  102,15,112,240,245                  // pshufd        $0xf5,%xmm0,%xmm6
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,200,232                  // pshufd        $0xe8,%xmm0,%xmm1
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,98,200                       // punpckldq     %xmm0,%xmm1
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,196,232                  // pshufd        $0xe8,%xmm4,%xmm0
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,196                       // punpckldq     %xmm4,%xmm0
  .byte  102,15,111,167,50,53,0,0            // movdqa        0x3532(%edi),%xmm4
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  15,135,114,255,255,255              // ja            a1d4 <_sk_load_g8_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,38,1,0,0                // mov           0x126(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,193                      // movd          %ecx,%xmm0
  .byte  233,87,255,255,255                  // jmp           a1d4 <_sk_load_g8_sse2_8bit+0x34>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,193,2                    // pinsrw        $0x2,%ecx,%xmm0
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  233,52,255,255,255                  // jmp           a1d4 <_sk_load_g8_sse2_8bit+0x34>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,193,6                    // pinsrw        $0x6,%ecx,%xmm0
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,193,5                    // pinsrw        $0x5,%ecx,%xmm0
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,193,4                    // pinsrw        $0x4,%ecx,%xmm0
  .byte  102,15,110,12,51                    // movd          (%ebx,%esi,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,0,255,255,255                   // jmp           a1d4 <_sk_load_g8_sse2_8bit+0x34>
  .byte  194,0,0                             // ret           $0x0
  .byte  0,221                               // add           %bl,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,207                               // add           %cl,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,20,1                              // add           %dl,(%ecx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  10,1                                // or            (%ecx),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  242,0,0                             // repnz         add %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_load_g8_dst_sse2_8bit
.globl _sk_load_g8_dst_sse2_8bit
FUNCTION(_sk_load_g8_dst_sse2_8bit)
_sk_load_g8_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          a2fe <_sk_load_g8_dst_sse2_8bit+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  15,133,131,0,0,0                    // jne           a39e <_sk_load_g8_dst_sse2_8bit+0xae>
  .byte  243,15,126,20,51                    // movq          (%ebx,%esi,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,151,66,52,0,0            // pand          0x3442(%edi),%xmm2
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,97,227                       // punpcklwd     %xmm3,%xmm4
  .byte  102,15,105,211                      // punpckhwd     %xmm3,%xmm2
  .byte  102,15,111,175,82,52,0,0            // movdqa        0x3452(%edi),%xmm5
  .byte  102,15,112,242,245                  // pshufd        $0xf5,%xmm2,%xmm6
  .byte  102,15,244,213                      // pmuludq       %xmm5,%xmm2
  .byte  102,15,112,218,232                  // pshufd        $0xe8,%xmm2,%xmm3
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,214,232                  // pshufd        $0xe8,%xmm6,%xmm2
  .byte  102,15,98,218                       // punpckldq     %xmm2,%xmm3
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,212,232                  // pshufd        $0xe8,%xmm4,%xmm2
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,212                       // punpckldq     %xmm4,%xmm2
  .byte  102,15,111,167,226,51,0,0           // movdqa        0x33e2(%edi),%xmm4
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  15,135,114,255,255,255              // ja            a324 <_sk_load_g8_dst_sse2_8bit+0x34>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,38,1,0,0                // mov           0x126(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  233,87,255,255,255                  // jmp           a324 <_sk_load_g8_dst_sse2_8bit+0x34>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,209,2                    // pinsrw        $0x2,%ecx,%xmm2
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  233,52,255,255,255                  // jmp           a324 <_sk_load_g8_dst_sse2_8bit+0x34>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,209,6                    // pinsrw        $0x6,%ecx,%xmm2
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,209,5                    // pinsrw        $0x5,%ecx,%xmm2
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,209,4                    // pinsrw        $0x4,%ecx,%xmm2
  .byte  102,15,110,28,51                    // movd          (%ebx,%esi,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,0,255,255,255                   // jmp           a324 <_sk_load_g8_dst_sse2_8bit+0x34>
  .byte  194,0,0                             // ret           $0x0
  .byte  0,221                               // add           %bl,%ch
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,207                               // add           %cl,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,20,1                              // add           %dl,(%ecx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  10,1                                // or            (%ecx),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  242,0,0                             // repnz         add %al,(%eax)
  .byte  0                                   // .byte         0x0

HIDDEN _sk_srcover_rgba_8888_sse2_8bit
.globl _sk_srcover_rgba_8888_sse2_8bit
FUNCTION(_sk_srcover_rgba_8888_sse2_8bit)
_sk_srcover_rgba_8888_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,124                         // sub           $0x7c,%esp
  .byte  15,41,157,120,255,255,255           // movaps        %xmm3,-0x88(%ebp)
  .byte  102,15,127,85,136                   // movdqa        %xmm2,-0x78(%ebp)
  .byte  232,0,0,0,0                         // call          a45a <_sk_srcover_rgba_8888_sse2_8bit+0x1a>
  .byte  91                                  // pop           %ebx
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,249                          // imul          %ecx,%edi
  .byte  193,231,2                           // shl           $0x2,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  15,133,51,1,0,0                     // jne           a5af <_sk_srcover_rgba_8888_sse2_8bit+0x16f>
  .byte  15,16,116,183,16                    // movups        0x10(%edi,%esi,4),%xmm6
  .byte  102,15,16,20,183                    // movupd        (%edi,%esi,4),%xmm2
  .byte  102,15,41,85,200                    // movapd        %xmm2,-0x38(%ebp)
  .byte  15,41,117,216                       // movaps        %xmm6,-0x28(%ebp)
  .byte  242,15,112,217,231                  // pshuflw       $0xe7,%xmm1,%xmm3
  .byte  243,15,112,219,231                  // pshufhw       $0xe7,%xmm3,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,96,219                       // punpcklbw     %xmm3,%xmm3
  .byte  242,15,112,219,95                   // pshuflw       $0x5f,%xmm3,%xmm3
  .byte  243,15,112,219,95                   // pshufhw       $0x5f,%xmm3,%xmm3
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  242,15,112,101,184,231              // pshuflw       $0xe7,-0x48(%ebp),%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,15,87,210                       // xorpd         %xmm2,%xmm2
  .byte  102,15,111,109,200                  // movdqa        -0x38(%ebp),%xmm5
  .byte  102,15,96,234                       // punpcklbw     %xmm2,%xmm5
  .byte  102,15,127,77,152                   // movdqa        %xmm1,-0x68(%ebp)
  .byte  102,15,111,77,200                   // movdqa        -0x38(%ebp),%xmm1
  .byte  102,15,104,202                      // punpckhbw     %xmm2,%xmm1
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  102,15,96,194                       // punpcklbw     %xmm2,%xmm0
  .byte  102,15,104,242                      // punpckhbw     %xmm2,%xmm6
  .byte  102,15,127,117,168                  // movdqa        %xmm6,-0x58(%ebp)
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,96,250                       // punpcklbw     %xmm2,%xmm7
  .byte  102,15,104,226                      // punpckhbw     %xmm2,%xmm4
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,96,242                       // punpcklbw     %xmm2,%xmm6
  .byte  102,15,104,218                      // punpckhbw     %xmm2,%xmm3
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,111,109,200                  // movdqa        -0x38(%ebp),%xmm5
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,111,77,152                   // movdqa        -0x68(%ebp),%xmm1
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,213,216                      // pmullw        %xmm0,%xmm3
  .byte  102,15,253,216                      // paddw         %xmm0,%xmm3
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,111,69,184                   // movdqa        -0x48(%ebp),%xmm0
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,243                      // packuswb      %xmm3,%xmm6
  .byte  102,15,111,85,216                   // movdqa        -0x28(%ebp),%xmm2
  .byte  102,15,248,214                      // psubb         %xmm6,%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,93,216                   // movdqa        -0x28(%ebp),%xmm3
  .byte  102,15,248,239                      // psubb         %xmm7,%xmm5
  .byte  133,210                             // test          %edx,%edx
  .byte  102,15,252,232                      // paddb         %xmm0,%xmm5
  .byte  102,15,252,217                      // paddb         %xmm1,%xmm3
  .byte  117,98                              // jne           a5e6 <_sk_srcover_rgba_8888_sse2_8bit+0x1a6>
  .byte  243,15,127,44,183                   // movdqu        %xmm5,(%edi,%esi,4)
  .byte  243,15,127,92,183,16                // movdqu        %xmm3,0x10(%edi,%esi,4)
  .byte  141,120,8                           // lea           0x8(%eax),%edi
  .byte  15,40,85,136                        // movaps        -0x78(%ebp),%xmm2
  .byte  15,40,157,120,255,255,255           // movaps        -0x88(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  86                                  // push          %esi
  .byte  87                                  // push          %edi
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  129,196,140,0,0,0                   // add           $0x8c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,93,216                          // mov           %ebx,-0x28(%ebp)
  .byte  137,211                             // mov           %edx,%ebx
  .byte  136,93,200                          // mov           %bl,-0x38(%ebp)
  .byte  128,101,200,7                       // andb          $0x7,-0x38(%ebp)
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  254,77,200                          // decb          -0x38(%ebp)
  .byte  128,125,200,6                       // cmpb          $0x6,-0x38(%ebp)
  .byte  119,66                              // ja            a60e <_sk_srcover_rgba_8888_sse2_8bit+0x1ce>
  .byte  15,182,93,200                       // movzbl        -0x38(%ebp),%ebx
  .byte  139,69,216                          // mov           -0x28(%ebp),%eax
  .byte  139,156,152,70,2,0,0                // mov           0x246(%eax,%ebx,4),%ebx
  .byte  3,93,216                            // add           -0x28(%ebp),%ebx
  .byte  255,227                             // jmp           *%ebx
  .byte  243,15,16,20,183                    // movss         (%edi,%esi,4),%xmm2
  .byte  235,109                             // jmp           a653 <_sk_srcover_rgba_8888_sse2_8bit+0x213>
  .byte  137,93,216                          // mov           %ebx,-0x28(%ebp)
  .byte  137,211                             // mov           %edx,%ebx
  .byte  128,227,7                           // and           $0x7,%bl
  .byte  254,203                             // dec           %bl
  .byte  128,251,6                           // cmp           $0x6,%bl
  .byte  119,154                             // ja            a58f <_sk_srcover_rgba_8888_sse2_8bit+0x14f>
  .byte  15,182,219                          // movzbl        %bl,%ebx
  .byte  139,77,216                          // mov           -0x28(%ebp),%ecx
  .byte  3,140,153,98,2,0,0                  // add           0x262(%ecx,%ebx,4),%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  102,15,126,44,183                   // movd          %xmm5,(%edi,%esi,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  235,129                             // jmp           a58f <_sk_srcover_rgba_8888_sse2_8bit+0x14f>
  .byte  139,93,216                          // mov           -0x28(%ebp),%ebx
  .byte  233,112,254,255,255                 // jmp           a486 <_sk_srcover_rgba_8888_sse2_8bit+0x46>
  .byte  102,15,110,92,183,8                 // movd          0x8(%edi,%esi,4),%xmm3
  .byte  102,15,112,211,69                   // pshufd        $0x45,%xmm3,%xmm2
  .byte  102,15,18,20,183                    // movlpd        (%edi,%esi,4),%xmm2
  .byte  235,43                              // jmp           a653 <_sk_srcover_rgba_8888_sse2_8bit+0x213>
  .byte  102,15,110,84,183,24                // movd          0x18(%edi,%esi,4),%xmm2
  .byte  102,15,112,242,69                   // pshufd        $0x45,%xmm2,%xmm6
  .byte  243,15,16,92,183,20                 // movss         0x14(%edi,%esi,4),%xmm3
  .byte  15,198,222,0                        // shufps        $0x0,%xmm6,%xmm3
  .byte  15,198,222,226                      // shufps        $0xe2,%xmm6,%xmm3
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  243,15,16,92,183,16                 // movss         0x10(%edi,%esi,4),%xmm3
  .byte  243,15,16,243                       // movss         %xmm3,%xmm6
  .byte  102,15,16,20,183                    // movupd        (%edi,%esi,4),%xmm2
  .byte  139,93,216                          // mov           -0x28(%ebp),%ebx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  233,40,254,255,255                  // jmp           a486 <_sk_srcover_rgba_8888_sse2_8bit+0x46>
  .byte  102,15,112,213,78                   // pshufd        $0x4e,%xmm5,%xmm2
  .byte  102,15,126,84,183,8                 // movd          %xmm2,0x8(%edi,%esi,4)
  .byte  102,15,214,44,183                   // movq          %xmm5,(%edi,%esi,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  233,25,255,255,255                  // jmp           a58f <_sk_srcover_rgba_8888_sse2_8bit+0x14f>
  .byte  102,15,112,211,78                   // pshufd        $0x4e,%xmm3,%xmm2
  .byte  102,15,126,84,183,24                // movd          %xmm2,0x18(%edi,%esi,4)
  .byte  102,15,112,211,229                  // pshufd        $0xe5,%xmm3,%xmm2
  .byte  102,15,126,84,183,20                // movd          %xmm2,0x14(%edi,%esi,4)
  .byte  102,15,126,92,183,16                // movd          %xmm3,0x10(%edi,%esi,4)
  .byte  243,15,127,44,183                   // movdqu        %xmm5,(%edi,%esi,4)
  .byte  139,77,20                           // mov           0x14(%ebp),%ecx
  .byte  233,240,254,255,255                 // jmp           a58f <_sk_srcover_rgba_8888_sse2_8bit+0x14f>
  .byte  144                                 // nop
  .byte  133,1                               // test          %eax,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  199,1,0,0,188,1                     // movl          $0x1bc0000,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  244                                 // hlt
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,234                               // add           %ch,%dl
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,217                               // add           %bl,%cl
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,206                               // add           %cl,%dh
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,170,1,0,0,15                      // add           %ch,0xf000001(%edx)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,4,2                               // add           %al,(%edx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  56,2                                // cmp           %al,(%edx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  50,2                                // xor           (%edx),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  39                                  // daa
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,28,2                              // add           %bl,(%edx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)

HIDDEN _sk_scale_1_float_sse2_8bit
.globl _sk_scale_1_float_sse2_8bit
FUNCTION(_sk_scale_1_float_sse2_8bit)
_sk_scale_1_float_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,40                          // sub           $0x28,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  232,0,0,0,0                         // call          a6f3 <_sk_scale_1_float_sse2_8bit+0x1b>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,2                         // movss         (%edx),%xmm0
  .byte  243,15,89,129,161,48,0,0            // mulss         0x30a1(%ecx),%xmm0
  .byte  243,15,44,208                       // cvttss2si     %xmm0,%edx
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,96,214                       // punpcklbw     %xmm6,%xmm2
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,110,242                      // movd          %edx,%xmm6
  .byte  102,15,96,246                       // punpcklbw     %xmm6,%xmm6
  .byte  242,15,112,246,0                    // pshuflw       $0x0,%xmm6,%xmm6
  .byte  102,15,112,246,80                   // pshufd        $0x50,%xmm6,%xmm6
  .byte  102,15,219,177,77,48,0,0            // pand          0x304d(%ecx),%xmm6
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,15,253,214                      // paddw         %xmm6,%xmm2
  .byte  102,15,213,197                      // pmullw        %xmm5,%xmm0
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,15,253,203                      // paddw         %xmm3,%xmm1
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,103,208                      // packuswb      %xmm0,%xmm2
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,56                          // add           $0x38,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_scale_u8_sse2_8bit
.globl _sk_scale_u8_sse2_8bit
FUNCTION(_sk_scale_u8_sse2_8bit)
_sk_scale_u8_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  232,0,0,0,0                         // call          a7bb <_sk_scale_u8_sse2_8bit+0x17>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  15,133,11,1,0,0                     // jne           a8e3 <_sk_scale_u8_sse2_8bit+0x13f>
  .byte  243,15,126,36,51                    // movq          (%ebx,%esi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,219,167,133,47,0,0           // pand          0x2f85(%edi),%xmm4
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,105,234                      // punpckhwd     %xmm2,%xmm5
  .byte  102,15,97,226                       // punpcklwd     %xmm2,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  242,15,112,237,231                  // pshuflw       $0xe7,%xmm5,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,245,95                   // pshufhw       $0x5f,%xmm5,%xmm6
  .byte  242,15,112,228,231                  // pshuflw       $0xe7,%xmm4,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,96,221                       // punpcklbw     %xmm5,%xmm3
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,96,213                       // punpcklbw     %xmm5,%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  102,15,104,253                      // punpckhbw     %xmm5,%xmm7
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,96,234                       // punpcklbw     %xmm2,%xmm5
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,104,242                      // punpckhbw     %xmm2,%xmm6
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,15,253,227                      // paddw         %xmm3,%xmm4
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  15,135,234,254,255,255              // ja            a7e1 <_sk_scale_u8_sse2_8bit+0x3d>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,177,1,0,0               // mov           0x1b1(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  233,207,254,255,255                 // jmp           a7e1 <_sk_scale_u8_sse2_8bit+0x3d>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,225,2                    // pinsrw        $0x2,%ecx,%xmm4
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,227                       // movss         %xmm3,%xmm4
  .byte  233,172,254,255,255                 // jmp           a7e1 <_sk_scale_u8_sse2_8bit+0x3d>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,225,6                    // pinsrw        $0x6,%ecx,%xmm4
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,225,5                    // pinsrw        $0x5,%ecx,%xmm4
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,225,4                    // pinsrw        $0x4,%ecx,%xmm4
  .byte  102,15,110,28,51                    // movd          (%ebx,%esi,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,227                       // movsd         %xmm3,%xmm4
  .byte  233,120,254,255,255                 // jmp           a7e1 <_sk_scale_u8_sse2_8bit+0x3d>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  74                                  // dec           %edx
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,101,1                             // add           %ah,0x1(%ebp)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  87                                  // push          %edi
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,156,1,0,0,146,1                   // add           %bl,0x1920000(%ecx,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  136,1                               // mov           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  122,1                               // jp            a987 <_sk_scale_u8_sse2_8bit+0x1e3>
  .byte  0,0                                 // add           %al,(%eax)

HIDDEN _sk_lerp_1_float_sse2_8bit
.globl _sk_lerp_1_float_sse2_8bit
FUNCTION(_sk_lerp_1_float_sse2_8bit)
_sk_lerp_1_float_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,72                          // sub           $0x48,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          a9a3 <_sk_lerp_1_float_sse2_8bit+0x1b>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,34                        // movss         (%edx),%xmm4
  .byte  243,15,89,161,241,45,0,0            // mulss         0x2df1(%ecx),%xmm4
  .byte  243,15,44,212                       // cvttss2si     %xmm4,%edx
  .byte  102,15,110,226                      // movd          %edx,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,0                    // pshuflw       $0x0,%xmm4,%xmm4
  .byte  102,15,112,212,80                   // pshufd        $0x50,%xmm4,%xmm2
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,96,197                       // punpcklbw     %xmm5,%xmm0
  .byte  102,15,111,153,157,45,0,0           // movdqa        0x2d9d(%ecx),%xmm3
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,213,216                      // pmullw        %xmm0,%xmm3
  .byte  102,15,253,216                      // paddw         %xmm0,%xmm3
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,96,197                       // punpcklbw     %xmm5,%xmm0
  .byte  102,15,213,208                      // pmullw        %xmm0,%xmm2
  .byte  102,15,253,208                      // paddw         %xmm0,%xmm2
  .byte  102,15,104,245                      // punpckhbw     %xmm5,%xmm6
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,103,223                      // packuswb      %xmm7,%xmm3
  .byte  102,15,103,212                      // packuswb      %xmm4,%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,15,239,77,200                   // pxor          -0x38(%ebp),%xmm1
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,96,214                       // punpcklbw     %xmm6,%xmm2
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,111,125,216                  // movdqa        -0x28(%ebp),%xmm7
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,96,238                       // punpcklbw     %xmm6,%xmm5
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,104,254                      // punpckhbw     %xmm6,%xmm7
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,206                      // punpckhbw     %xmm6,%xmm1
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,213,245                      // pmullw        %xmm5,%xmm6
  .byte  102,15,253,245                      // paddw         %xmm5,%xmm6
  .byte  102,15,213,215                      // pmullw        %xmm7,%xmm2
  .byte  102,15,253,215                      // paddw         %xmm7,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,193                      // packuswb      %xmm1,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,242                      // packuswb      %xmm2,%xmm6
  .byte  102,15,252,195                      // paddb         %xmm3,%xmm0
  .byte  102,15,252,117,184                  // paddb         -0x48(%ebp),%xmm6
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,88                          // add           $0x58,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lerp_u8_sse2_8bit
.globl _sk_lerp_u8_sse2_8bit
FUNCTION(_sk_lerp_u8_sse2_8bit)
_sk_lerp_u8_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  232,0,0,0,0                         // call          ab09 <_sk_lerp_u8_sse2_8bit+0x17>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,90,4                            // mov           0x4(%edx),%ebx
  .byte  15,175,93,20                        // imul          0x14(%ebp),%ebx
  .byte  3,26                                // add           (%edx),%ebx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  133,210                             // test          %edx,%edx
  .byte  139,117,16                          // mov           0x10(%ebp),%esi
  .byte  15,133,181,1,0,0                    // jne           acdb <_sk_lerp_u8_sse2_8bit+0x1e9>
  .byte  243,15,126,44,51                    // movq          (%ebx,%esi,1),%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,219,175,55,44,0,0            // pand          0x2c37(%edi),%xmm5
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,105,218                      // punpckhwd     %xmm2,%xmm3
  .byte  102,15,97,234                       // punpcklwd     %xmm2,%xmm5
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  242,15,112,219,231                  // pshuflw       $0xe7,%xmm3,%xmm3
  .byte  243,15,112,219,231                  // pshufhw       $0xe7,%xmm3,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,96,219                       // punpcklbw     %xmm3,%xmm3
  .byte  242,15,112,219,95                   // pshuflw       $0x5f,%xmm3,%xmm3
  .byte  243,15,112,219,95                   // pshufhw       $0x5f,%xmm3,%xmm3
  .byte  242,15,112,229,231                  // pshuflw       $0xe7,%xmm5,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,96,213                       // punpcklbw     %xmm5,%xmm2
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,213,226                      // pmullw        %xmm2,%xmm4
  .byte  102,15,253,226                      // paddw         %xmm2,%xmm4
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,104,194                      // punpckhbw     %xmm2,%xmm0
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,253,193                      // paddw         %xmm1,%xmm0
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,216                      // pxor          %xmm0,%xmm3
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,96,234                       // punpcklbw     %xmm2,%xmm5
  .byte  102,15,104,194                      // punpckhbw     %xmm2,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,96,202                       // punpcklbw     %xmm2,%xmm1
  .byte  102,15,127,77,168                   // movdqa        %xmm1,-0x58(%ebp)
  .byte  102,15,104,194                      // punpckhbw     %xmm2,%xmm0
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,96,194                       // punpcklbw     %xmm2,%xmm0
  .byte  102,15,104,242                      // punpckhbw     %xmm2,%xmm6
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,96,202                       // punpcklbw     %xmm2,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,104,218                      // punpckhbw     %xmm2,%xmm3
  .byte  102,15,213,197                      // pmullw        %xmm5,%xmm0
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,15,111,85,152                   // movdqa        -0x68(%ebp),%xmm2
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,15,253,242                      // paddw         %xmm2,%xmm6
  .byte  102,15,111,85,168                   // movdqa        -0x58(%ebp),%xmm2
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,253,202                      // paddw         %xmm2,%xmm1
  .byte  102,15,111,85,184                   // movdqa        -0x48(%ebp),%xmm2
  .byte  102,15,213,218                      // pmullw        %xmm2,%xmm3
  .byte  102,15,253,218                      // paddw         %xmm2,%xmm3
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,203                      // packuswb      %xmm3,%xmm1
  .byte  102,15,252,199                      // paddb         %xmm7,%xmm0
  .byte  102,15,252,204                      // paddb         %xmm4,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  82                                  // push          %edx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,108                         // add           $0x6c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,209                             // mov           %edx,%ecx
  .byte  128,225,7                           // and           $0x7,%cl
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  254,201                             // dec           %cl
  .byte  128,249,6                           // cmp           $0x6,%cl
  .byte  15,135,64,254,255,255               // ja            ab2f <_sk_lerp_u8_sse2_8bit+0x3d>
  .byte  15,182,201                          // movzbl        %cl,%ecx
  .byte  139,140,143,91,2,0,0                // mov           0x25b(%edi,%ecx,4),%ecx
  .byte  1,249                               // add           %edi,%ecx
  .byte  255,225                             // jmp           *%ecx
  .byte  15,182,12,51                        // movzbl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,233                      // movd          %ecx,%xmm5
  .byte  233,37,254,255,255                  // jmp           ab2f <_sk_lerp_u8_sse2_8bit+0x3d>
  .byte  15,182,76,51,2                      // movzbl        0x2(%ebx,%esi,1),%ecx
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,233,2                    // pinsrw        $0x2,%ecx,%xmm5
  .byte  15,183,12,51                        // movzwl        (%ebx,%esi,1),%ecx
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,235                       // movss         %xmm3,%xmm5
  .byte  233,2,254,255,255                   // jmp           ab2f <_sk_lerp_u8_sse2_8bit+0x3d>
  .byte  15,182,76,51,6                      // movzbl        0x6(%ebx,%esi,1),%ecx
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,233,6                    // pinsrw        $0x6,%ecx,%xmm5
  .byte  15,182,76,51,5                      // movzbl        0x5(%ebx,%esi,1),%ecx
  .byte  102,15,196,233,5                    // pinsrw        $0x5,%ecx,%xmm5
  .byte  15,182,76,51,4                      // movzbl        0x4(%ebx,%esi,1),%ecx
  .byte  102,15,196,233,4                    // pinsrw        $0x4,%ecx,%xmm5
  .byte  102,15,110,28,51                    // movd          (%ebx,%esi,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,235                       // movsd         %xmm3,%xmm5
  .byte  233,206,253,255,255                 // jmp           ab2f <_sk_lerp_u8_sse2_8bit+0x3d>
  .byte  15,31,0                             // nopl          (%eax)
  .byte  244                                 // hlt
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,70,2                              // add           %al,0x2(%esi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  60,2                                // cmp           $0x2,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  50,2                                // xor           (%edx),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  36,2                                // and           $0x2,%al
  .byte  0,0                                 // add           %al,(%eax)

HIDDEN _sk_move_src_dst_sse2_8bit
.globl _sk_move_src_dst_sse2_8bit
FUNCTION(_sk_move_src_dst_sse2_8bit)
_sk_move_src_dst_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_move_dst_src_sse2_8bit
.globl _sk_move_dst_src_sse2_8bit
FUNCTION(_sk_move_dst_src_sse2_8bit)
_sk_move_dst_src_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_black_color_sse2_8bit
.globl _sk_black_color_sse2_8bit
FUNCTION(_sk_black_color_sse2_8bit)
_sk_black_color_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          add1 <_sk_black_color_sse2_8bit+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  15,40,128,15,41,0,0                 // movaps        0x290f(%eax),%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_white_color_sse2_8bit
.globl _sk_white_color_sse2_8bit
FUNCTION(_sk_white_color_sse2_8bit)
_sk_white_color_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clear_sse2_8bit
.globl _sk_clear_sse2_8bit
FUNCTION(_sk_clear_sse2_8bit)
_sk_clear_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcatop_sse2_8bit
.globl _sk_srcatop_sse2_8bit
FUNCTION(_sk_srcatop_sse2_8bit)
_sk_srcatop_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,127,125,232                  // movdqa        %xmm7,-0x18(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,208,231                  // pshufhw       $0xe7,%xmm0,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,210,95                   // pshufhw       $0x5f,%xmm2,%xmm2
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,96,243                       // punpcklbw     %xmm3,%xmm6
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,96,195                       // punpcklbw     %xmm3,%xmm0
  .byte  102,15,213,198                      // pmullw        %xmm6,%xmm0
  .byte  102,15,253,198                      // paddw         %xmm6,%xmm0
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,104,243                      // punpckhbw     %xmm3,%xmm6
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,213,214                      // pmullw        %xmm6,%xmm2
  .byte  102,15,253,214                      // paddw         %xmm6,%xmm2
  .byte  242,15,112,247,231                  // pshuflw       $0xe7,%xmm7,%xmm6
  .byte  243,15,112,246,231                  // pshufhw       $0xe7,%xmm6,%xmm6
  .byte  102,15,112,246,232                  // pshufd        $0xe8,%xmm6,%xmm6
  .byte  102,15,96,246                       // punpcklbw     %xmm6,%xmm6
  .byte  242,15,112,246,95                   // pshuflw       $0x5f,%xmm6,%xmm6
  .byte  243,15,112,254,95                   // pshufhw       $0x5f,%xmm6,%xmm7
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,96,243                       // punpcklbw     %xmm3,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,104,251                      // punpckhbw     %xmm3,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,194                      // packuswb      %xmm2,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  242,15,112,196,231                  // pshuflw       $0xe7,%xmm4,%xmm0
  .byte  242,15,112,205,231                  // pshuflw       $0xe7,%xmm5,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,247                      // packuswb      %xmm7,%xmm6
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  243,15,112,193,231                  // pshufhw       $0xe7,%xmm1,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,208                      // pxor          %xmm0,%xmm2
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,111,101,216                  // movdqa        -0x28(%ebp),%xmm4
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,217                       // punpcklbw     %xmm1,%xmm3
  .byte  102,15,127,93,200                   // movdqa        %xmm3,-0x38(%ebp)
  .byte  102,15,104,225                      // punpckhbw     %xmm1,%xmm4
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,96,233                       // punpcklbw     %xmm1,%xmm5
  .byte  102,15,104,193                      // punpckhbw     %xmm1,%xmm0
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,104,249                      // punpckhbw     %xmm1,%xmm7
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,111,93,200                   // movdqa        -0x38(%ebp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,253,195                      // paddw         %xmm3,%xmm0
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,253,205                      // paddw         %xmm5,%xmm1
  .byte  102,15,111,93,184                   // movdqa        -0x48(%ebp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,253,211                      // paddw         %xmm3,%xmm2
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,202                      // packuswb      %xmm2,%xmm1
  .byte  102,15,252,69,168                   // paddb         -0x58(%ebp),%xmm0
  .byte  102,15,252,206                      // paddb         %xmm6,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstatop_sse2_8bit
.globl _sk_dstatop_sse2_8bit
FUNCTION(_sk_dstatop_sse2_8bit)
_sk_dstatop_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  242,15,112,208,231                  // pshuflw       $0xe7,%xmm0,%xmm2
  .byte  243,15,112,194,231                  // pshufhw       $0xe7,%xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,192,95                   // pshufhw       $0x5f,%xmm0,%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,96,226                       // punpcklbw     %xmm2,%xmm4
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,96,250                       // punpcklbw     %xmm2,%xmm7
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,127,109,168                  // movdqa        %xmm5,-0x58(%ebp)
  .byte  102,15,104,226                      // punpckhbw     %xmm2,%xmm4
  .byte  102,15,104,194                      // punpckhbw     %xmm2,%xmm0
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,204,231                  // pshufhw       $0xe7,%xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,96,226                       // punpcklbw     %xmm2,%xmm4
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,96,242                       // punpcklbw     %xmm2,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,104,226                      // punpckhbw     %xmm2,%xmm4
  .byte  102,15,104,202                      // punpckhbw     %xmm2,%xmm1
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,248                      // packuswb      %xmm0,%xmm7
  .byte  102,15,127,125,200                  // movdqa        %xmm7,-0x38(%ebp)
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,241                      // packuswb      %xmm1,%xmm6
  .byte  242,15,112,197,231                  // pshuflw       $0xe7,%xmm5,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,192,95                   // pshufhw       $0x5f,%xmm0,%xmm0
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,111,85,216                   // movdqa        -0x28(%ebp),%xmm2
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,227                       // punpcklbw     %xmm3,%xmm4
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,85,232                   // movdqa        -0x18(%ebp),%xmm2
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,96,235                       // punpcklbw     %xmm3,%xmm5
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,127,85,232                   // movdqa        %xmm2,-0x18(%ebp)
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,96,223                       // punpcklbw     %xmm7,%xmm3
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,213,212                      // pmullw        %xmm4,%xmm2
  .byte  102,15,253,226                      // paddw         %xmm2,%xmm4
  .byte  102,15,111,85,216                   // movdqa        -0x28(%ebp),%xmm2
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,253,202                      // paddw         %xmm2,%xmm1
  .byte  102,15,213,221                      // pmullw        %xmm5,%xmm3
  .byte  102,15,253,235                      // paddw         %xmm3,%xmm5
  .byte  102,15,111,85,232                   // movdqa        -0x18(%ebp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,225                      // packuswb      %xmm1,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,232                      // packuswb      %xmm0,%xmm5
  .byte  102,15,252,101,200                  // paddb         -0x38(%ebp),%xmm4
  .byte  102,15,252,238                      // paddb         %xmm6,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcin_sse2_8bit
.globl _sk_srcin_sse2_8bit
FUNCTION(_sk_srcin_sse2_8bit)
_sk_srcin_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  102,15,127,93,200                   // movdqa        %xmm3,-0x38(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,195                       // punpcklbw     %xmm3,%xmm0
  .byte  102,15,104,227                      // punpckhbw     %xmm3,%xmm4
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,235                       // punpcklbw     %xmm3,%xmm5
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,104,251                      // punpckhbw     %xmm3,%xmm7
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,104,243                      // punpckhbw     %xmm3,%xmm6
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,253,193                      // paddw         %xmm1,%xmm0
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,213,213                      // pmullw        %xmm5,%xmm2
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,111,77,232                   // movdqa        -0x18(%ebp),%xmm1
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstin_sse2_8bit
.globl _sk_dstin_sse2_8bit
FUNCTION(_sk_dstin_sse2_8bit)
_sk_dstin_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  242,15,112,201,231                  // pshuflw       $0xe7,%xmm1,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,15,104,214                      // punpckhbw     %xmm6,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,96,222                       // punpcklbw     %xmm6,%xmm3
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,232                   // movdqa        %xmm0,-0x18(%ebp)
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,253,203                      // paddw         %xmm3,%xmm1
  .byte  102,15,111,85,232                   // movdqa        -0x18(%ebp),%xmm2
  .byte  102,15,213,226                      // pmullw        %xmm2,%xmm4
  .byte  102,15,253,226                      // paddw         %xmm2,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,204                      // packuswb      %xmm4,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcout_sse2_8bit
.globl _sk_srcout_sse2_8bit
FUNCTION(_sk_srcout_sse2_8bit)
_sk_srcout_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,127,109,216                  // movdqa        %xmm5,-0x28(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  242,15,112,229,231                  // pshuflw       $0xe7,%xmm5,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,239,244                      // pxor          %xmm4,%xmm6
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,96,226                       // punpcklbw     %xmm2,%xmm4
  .byte  102,15,104,218                      // punpckhbw     %xmm2,%xmm3
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,234                       // punpcklbw     %xmm2,%xmm5
  .byte  102,15,104,202                      // punpckhbw     %xmm2,%xmm1
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,96,194                       // punpcklbw     %xmm2,%xmm0
  .byte  102,15,104,242                      // punpckhbw     %xmm2,%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,202                       // punpcklbw     %xmm2,%xmm1
  .byte  102,15,104,250                      // punpckhbw     %xmm2,%xmm7
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,213,243                      // pmullw        %xmm3,%xmm6
  .byte  102,15,253,243                      // paddw         %xmm3,%xmm6
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstout_sse2_8bit
.globl _sk_dstout_sse2_8bit
FUNCTION(_sk_dstout_sse2_8bit)
_sk_dstout_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,15,104,214                      // punpckhbw     %xmm6,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,96,222                       // punpcklbw     %xmm6,%xmm3
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,232                   // movdqa        %xmm0,-0x18(%ebp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,213,226                      // pmullw        %xmm2,%xmm4
  .byte  102,15,253,226                      // paddw         %xmm2,%xmm4
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,253,203                      // paddw         %xmm3,%xmm1
  .byte  102,15,111,85,232                   // movdqa        -0x18(%ebp),%xmm2
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcover_sse2_8bit
.globl _sk_srcover_sse2_8bit
FUNCTION(_sk_srcover_sse2_8bit)
_sk_srcover_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,127,117,216                  // movdqa        %xmm6,-0x28(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,127,77,168                   // movdqa        %xmm1,-0x58(%ebp)
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,104,200                      // punpckhbw     %xmm0,%xmm1
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,15,127,117,232                  // movdqa        %xmm6,-0x18(%ebp)
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,15,96,240                       // punpcklbw     %xmm0,%xmm6
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,96,248                       // punpcklbw     %xmm0,%xmm7
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,213,243                      // pmullw        %xmm3,%xmm6
  .byte  102,15,253,243                      // paddw         %xmm3,%xmm6
  .byte  102,15,213,233                      // pmullw        %xmm1,%xmm5
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,253,250                      // paddw         %xmm2,%xmm7
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,111,69,184                   // movdqa        -0x48(%ebp),%xmm0
  .byte  102,15,111,85,200                   // movdqa        -0x38(%ebp),%xmm2
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,111,93,216                   // movdqa        -0x28(%ebp),%xmm3
  .byte  102,15,111,77,168                   // movdqa        -0x58(%ebp),%xmm1
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstover_sse2_8bit
.globl _sk_dstover_sse2_8bit
FUNCTION(_sk_dstover_sse2_8bit)
_sk_dstover_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,127,93,168                   // movdqa        %xmm3,-0x58(%ebp)
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,127,117,216                  // movdqa        %xmm6,-0x28(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,104,208                      // punpckhbw     %xmm0,%xmm2
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,15,127,117,232                  // movdqa        %xmm6,-0x18(%ebp)
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,15,96,240                       // punpcklbw     %xmm0,%xmm6
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,96,248                       // punpcklbw     %xmm0,%xmm7
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,213,251                      // pmullw        %xmm3,%xmm7
  .byte  102,15,253,251                      // paddw         %xmm3,%xmm7
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,111,85,184                   // movdqa        -0x48(%ebp),%xmm2
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,111,93,168                   // movdqa        -0x58(%ebp),%xmm3
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_modulate_sse2_8bit
.globl _sk_modulate_sse2_8bit
FUNCTION(_sk_modulate_sse2_8bit)
_sk_modulate_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  102,15,96,221                       // punpcklbw     %xmm5,%xmm3
  .byte  102,15,104,245                      // punpckhbw     %xmm5,%xmm6
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,205                       // punpcklbw     %xmm5,%xmm1
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  102,15,104,213                      // punpckhbw     %xmm5,%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,127,109,232                  // movdqa        %xmm5,-0x18(%ebp)
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,213,251                      // pmullw        %xmm3,%xmm7
  .byte  102,15,253,223                      // paddw         %xmm7,%xmm3
  .byte  102,15,213,214                      // pmullw        %xmm6,%xmm2
  .byte  102,15,253,214                      // paddw         %xmm6,%xmm2
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,111,101,216                  // movdqa        -0x28(%ebp),%xmm4
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,103,218                      // packuswb      %xmm2,%xmm3
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,200                      // packuswb      %xmm0,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_multiply_sse2_8bit
.globl _sk_multiply_sse2_8bit
FUNCTION(_sk_multiply_sse2_8bit)
_sk_multiply_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,152,0,0,0                   // sub           $0x98,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,15,118,210                      // pcmpeqd       %xmm2,%xmm2
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,96,233                       // punpcklbw     %xmm1,%xmm5
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,104,233                      // punpckhbw     %xmm1,%xmm5
  .byte  102,15,127,173,104,255,255,255      // movdqa        %xmm5,-0x98(%ebp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,104,225                      // punpckhbw     %xmm1,%xmm4
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,127,189,120,255,255,255      // movdqa        %xmm7,-0x88(%ebp)
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,253,229                      // paddw         %xmm5,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,111,125,216                  // movdqa        -0x28(%ebp),%xmm7
  .byte  242,15,112,231,231                  // pshuflw       $0xe7,%xmm7,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,209                       // punpcklbw     %xmm1,%xmm2
  .byte  102,15,127,85,152                   // movdqa        %xmm2,-0x68(%ebp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,104,193                      // punpckhbw     %xmm1,%xmm0
  .byte  102,15,127,69,136                   // movdqa        %xmm0,-0x78(%ebp)
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,96,233                       // punpcklbw     %xmm1,%xmm5
  .byte  102,15,104,225                      // punpckhbw     %xmm1,%xmm4
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  242,15,112,206,231                  // pshuflw       $0xe7,%xmm6,%xmm1
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,192,95                   // pshufhw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,118,210                      // pcmpeqd       %xmm2,%xmm2
  .byte  102,15,239,202                      // pxor          %xmm2,%xmm1
  .byte  102,15,239,194                      // pxor          %xmm2,%xmm0
  .byte  102,15,111,93,200                   // movdqa        -0x38(%ebp),%xmm3
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,96,242                       // punpcklbw     %xmm2,%xmm6
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,127,85,232                   // movdqa        %xmm2,-0x18(%ebp)
  .byte  102,15,111,215                      // movdqa        %xmm7,%xmm2
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,96,227                       // punpcklbw     %xmm3,%xmm4
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,96,218                       // punpcklbw     %xmm2,%xmm3
  .byte  102,15,104,194                      // punpckhbw     %xmm2,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,96,215                       // punpcklbw     %xmm7,%xmm2
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,213,69,232                   // pmullw        -0x18(%ebp),%xmm0
  .byte  102,15,213,222                      // pmullw        %xmm6,%xmm3
  .byte  102,15,253,222                      // paddw         %xmm6,%xmm3
  .byte  102,15,253,69,232                   // paddw         -0x18(%ebp),%xmm0
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,103,216                      // packuswb      %xmm0,%xmm3
  .byte  102,15,111,69,184                   // movdqa        -0x48(%ebp),%xmm0
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,213,212                      // pmullw        %xmm4,%xmm2
  .byte  102,15,253,212                      // paddw         %xmm4,%xmm2
  .byte  102,15,253,200                      // paddw         %xmm0,%xmm1
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,103,209                      // packuswb      %xmm1,%xmm2
  .byte  102,15,252,213                      // paddb         %xmm5,%xmm2
  .byte  102,15,252,93,168                   // paddb         -0x58(%ebp),%xmm3
  .byte  102,15,111,133,120,255,255,255      // movdqa        -0x88(%ebp),%xmm0
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,111,133,104,255,255,255      // movdqa        -0x98(%ebp),%xmm0
  .byte  102,15,111,77,232                   // movdqa        -0x18(%ebp),%xmm1
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,253,200                      // paddw         %xmm0,%xmm1
  .byte  102,15,111,69,152                   // movdqa        -0x68(%ebp),%xmm0
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,111,69,136                   // movdqa        -0x78(%ebp),%xmm0
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,241                      // packuswb      %xmm1,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,252,222                      // paddb         %xmm6,%xmm3
  .byte  102,15,252,212                      // paddb         %xmm4,%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,168,0,0,0                   // add           $0xa8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_screen_sse2_8bit
.globl _sk_screen_sse2_8bit
FUNCTION(_sk_screen_sse2_8bit)
_sk_screen_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,127,77,168                   // movdqa        %xmm1,-0x58(%ebp)
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,15,239,207                      // pxor          %xmm7,%xmm1
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,96,235                       // punpcklbw     %xmm3,%xmm5
  .byte  102,15,104,251                      // punpckhbw     %xmm3,%xmm7
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,227                       // punpcklbw     %xmm3,%xmm4
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,127,77,216                   // movdqa        %xmm1,-0x28(%ebp)
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,104,216                      // punpckhbw     %xmm0,%xmm3
  .byte  102,15,127,117,232                  // movdqa        %xmm6,-0x18(%ebp)
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,213,213                      // pmullw        %xmm5,%xmm2
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,213,223                      // pmullw        %xmm7,%xmm3
  .byte  102,15,253,223                      // paddw         %xmm7,%xmm3
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,253,193                      // paddw         %xmm1,%xmm0
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,235                      // packuswb      %xmm3,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,111,69,184                   // movdqa        -0x48(%ebp),%xmm0
  .byte  102,15,252,197                      // paddb         %xmm5,%xmm0
  .byte  102,15,252,101,168                  // paddb         -0x58(%ebp),%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xor__sse2_8bit
.globl _sk_xor__sse2_8bit
FUNCTION(_sk_xor__sse2_8bit)
_sk_xor__sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,127,117,232                  // movdqa        %xmm6,-0x18(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,208,231                  // pshufhw       $0xe7,%xmm0,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,226,95                   // pshufhw       $0x5f,%xmm2,%xmm4
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,15,239,225                      // pxor          %xmm1,%xmm4
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,195                       // punpcklbw     %xmm3,%xmm0
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,104,227                      // punpckhbw     %xmm3,%xmm4
  .byte  102,15,213,226                      // pmullw        %xmm2,%xmm4
  .byte  102,15,253,226                      // paddw         %xmm2,%xmm4
  .byte  242,15,112,214,231                  // pshuflw       $0xe7,%xmm6,%xmm2
  .byte  243,15,112,210,231                  // pshufhw       $0xe7,%xmm2,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,210,95                   // pshufhw       $0x5f,%xmm2,%xmm2
  .byte  102,15,239,209                      // pxor          %xmm1,%xmm2
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,96,243                       // punpcklbw     %xmm3,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,213,209                      // pmullw        %xmm1,%xmm2
  .byte  102,15,253,209                      // paddw         %xmm1,%xmm2
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,242                      // packuswb      %xmm2,%xmm6
  .byte  242,15,112,197,231                  // pshuflw       $0xe7,%xmm5,%xmm0
  .byte  242,15,112,207,231                  // pshuflw       $0xe7,%xmm7,%xmm1
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  243,15,112,193,231                  // pshufhw       $0xe7,%xmm1,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,208                      // pxor          %xmm0,%xmm2
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,249                       // punpcklbw     %xmm1,%xmm7
  .byte  102,15,104,193                      // punpckhbw     %xmm1,%xmm0
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,96,233                       // punpcklbw     %xmm1,%xmm5
  .byte  102,15,104,193                      // punpckhbw     %xmm1,%xmm0
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,104,225                      // punpckhbw     %xmm1,%xmm4
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,111,93,200                   // movdqa        -0x38(%ebp),%xmm3
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,15,253,227                      // paddw         %xmm3,%xmm4
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,253,205                      // paddw         %xmm5,%xmm1
  .byte  102,15,111,93,184                   // movdqa        -0x48(%ebp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,253,211                      // paddw         %xmm3,%xmm2
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,202                      // packuswb      %xmm2,%xmm1
  .byte  102,15,252,69,168                   // paddb         -0x58(%ebp),%xmm0
  .byte  102,15,252,206                      // paddb         %xmm6,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_plus__sse2_8bit
.globl _sk_plus__sse2_8bit
FUNCTION(_sk_plus__sse2_8bit)
_sk_plus__sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  102,15,220,194                      // paddusb       %xmm2,%xmm0
  .byte  102,15,220,203                      // paddusb       %xmm3,%xmm1
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_darken_sse2_8bit
.globl _sk_darken_sse2_8bit
FUNCTION(_sk_darken_sse2_8bit)
_sk_darken_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,120                         // sub           $0x78,%esp
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,127,109,232                  // movdqa        %xmm5,-0x18(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  242,15,112,202,231                  // pshuflw       $0xe7,%xmm2,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,96,243                       // punpcklbw     %xmm3,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,127,125,136                  // movdqa        %xmm7,-0x78(%ebp)
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,104,227                      // punpckhbw     %xmm3,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  242,15,112,205,231                  // pshuflw       $0xe7,%xmm5,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,235                       // punpcklbw     %xmm3,%xmm5
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,253,202                      // paddw         %xmm2,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  242,15,112,199,231                  // pshuflw       $0xe7,%xmm7,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,251                       // punpcklbw     %xmm3,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,127,125,168                  // movdqa        %xmm7,-0x58(%ebp)
  .byte  102,15,104,195                      // punpckhbw     %xmm3,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,199                       // punpcklbw     %xmm7,%xmm0
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,251                       // punpcklbw     %xmm3,%xmm7
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,111,93,184                   // movdqa        -0x48(%ebp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,253,195                      // paddw         %xmm3,%xmm0
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,111,93,168                   // movdqa        -0x58(%ebp),%xmm3
  .byte  102,15,213,251                      // pmullw        %xmm3,%xmm7
  .byte  102,15,253,251                      // paddw         %xmm3,%xmm7
  .byte  102,15,111,93,152                   // movdqa        -0x68(%ebp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,253,211                      // paddw         %xmm3,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,193                      // packuswb      %xmm1,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,250                      // packuswb      %xmm2,%xmm7
  .byte  102,15,222,239                      // pmaxub        %xmm7,%xmm5
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,252,77,232                   // paddb         -0x18(%ebp),%xmm1
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,248,229                      // psubb         %xmm5,%xmm4
  .byte  102,15,222,240                      // pmaxub        %xmm0,%xmm6
  .byte  102,15,111,93,136                   // movdqa        -0x78(%ebp),%xmm3
  .byte  102,15,111,85,200                   // movdqa        -0x38(%ebp),%xmm2
  .byte  102,15,252,218                      // paddb         %xmm2,%xmm3
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,248,238                      // psubb         %xmm6,%xmm5
  .byte  232,0,0,0,0                         // call          bff4 <_sk_darken_sse2_8bit+0x1f7>
  .byte  88                                  // pop           %eax
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,248,216                      // psubb         %xmm0,%xmm3
  .byte  102,15,111,128,108,23,0,0           // movdqa        0x176c(%eax),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,223,203                      // pandn         %xmm3,%xmm1
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,15,235,233                      // por           %xmm1,%xmm5
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,223,198                      // pandn         %xmm6,%xmm0
  .byte  102,15,235,224                      // por           %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,136,0,0,0                   // add           $0x88,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lighten_sse2_8bit
.globl _sk_lighten_sse2_8bit
FUNCTION(_sk_lighten_sse2_8bit)
_sk_lighten_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,120                         // sub           $0x78,%esp
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,127,109,232                  // movdqa        %xmm5,-0x18(%ebp)
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  242,15,112,202,231                  // pshuflw       $0xe7,%xmm2,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,96,203                       // punpcklbw     %xmm3,%xmm1
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,96,243                       // punpcklbw     %xmm3,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,127,125,136                  // movdqa        %xmm7,-0x78(%ebp)
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,104,227                      // punpckhbw     %xmm3,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  242,15,112,205,231                  // pshuflw       $0xe7,%xmm5,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,96,211                       // punpcklbw     %xmm3,%xmm2
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,235                       // punpcklbw     %xmm3,%xmm5
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,104,203                      // punpckhbw     %xmm3,%xmm1
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,253,202                      // paddw         %xmm2,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  242,15,112,199,231                  // pshuflw       $0xe7,%xmm7,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,251                       // punpcklbw     %xmm3,%xmm7
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,127,125,168                  // movdqa        %xmm7,-0x58(%ebp)
  .byte  102,15,104,195                      // punpckhbw     %xmm3,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,199                       // punpcklbw     %xmm7,%xmm0
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,251                       // punpcklbw     %xmm3,%xmm7
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,111,93,184                   // movdqa        -0x48(%ebp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,253,195                      // paddw         %xmm3,%xmm0
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,111,93,168                   // movdqa        -0x58(%ebp),%xmm3
  .byte  102,15,213,251                      // pmullw        %xmm3,%xmm7
  .byte  102,15,253,251                      // paddw         %xmm3,%xmm7
  .byte  102,15,111,93,152                   // movdqa        -0x68(%ebp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,253,211                      // paddw         %xmm3,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,193                      // packuswb      %xmm1,%xmm0
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,250                      // packuswb      %xmm2,%xmm7
  .byte  102,15,218,239                      // pminub        %xmm7,%xmm5
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,252,77,232                   // paddb         -0x18(%ebp),%xmm1
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,248,229                      // psubb         %xmm5,%xmm4
  .byte  102,15,218,240                      // pminub        %xmm0,%xmm6
  .byte  102,15,111,93,136                   // movdqa        -0x78(%ebp),%xmm3
  .byte  102,15,111,85,200                   // movdqa        -0x38(%ebp),%xmm2
  .byte  102,15,252,218                      // paddb         %xmm2,%xmm3
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,248,238                      // psubb         %xmm6,%xmm5
  .byte  232,0,0,0,0                         // call          c242 <_sk_lighten_sse2_8bit+0x1f7>
  .byte  88                                  // pop           %eax
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,248,216                      // psubb         %xmm0,%xmm3
  .byte  102,15,111,128,30,21,0,0            // movdqa        0x151e(%eax),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,223,203                      // pandn         %xmm3,%xmm1
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,15,235,233                      // por           %xmm1,%xmm5
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,223,198                      // pandn         %xmm6,%xmm0
  .byte  102,15,235,224                      // por           %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,136,0,0,0                   // add           $0x88,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_exclusion_sse2_8bit
.globl _sk_exclusion_sse2_8bit
FUNCTION(_sk_exclusion_sse2_8bit)
_sk_exclusion_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,127,69,232                   // movdqa        %xmm0,-0x18(%ebp)
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,127,77,168                   // movdqa        %xmm1,-0x58(%ebp)
  .byte  102,15,96,230                       // punpcklbw     %xmm6,%xmm4
  .byte  102,15,104,206                      // punpckhbw     %xmm6,%xmm1
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,96,238                       // punpcklbw     %xmm6,%xmm5
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,111,117,232                  // movdqa        -0x18(%ebp),%xmm6
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,15,111,117,200                  // movdqa        -0x38(%ebp),%xmm6
  .byte  102,15,213,206                      // pmullw        %xmm6,%xmm1
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,15,111,117,216                  // movdqa        -0x28(%ebp),%xmm6
  .byte  102,15,213,238                      // pmullw        %xmm6,%xmm5
  .byte  102,15,253,238                      // paddw         %xmm6,%xmm5
  .byte  102,15,111,117,184                  // movdqa        -0x48(%ebp),%xmm6
  .byte  102,15,213,198                      // pmullw        %xmm6,%xmm0
  .byte  102,15,253,198                      // paddw         %xmm6,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,225                      // packuswb      %xmm1,%xmm4
  .byte  232,0,0,0,0                         // call          c34b <_sk_exclusion_sse2_8bit+0xb2>
  .byte  88                                  // pop           %eax
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,232                      // packuswb      %xmm0,%xmm5
  .byte  102,15,111,128,21,20,0,0            // movdqa        0x1415(%eax),%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,252,254                      // paddb         %xmm6,%xmm7
  .byte  102,15,248,253                      // psubb         %xmm5,%xmm7
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,15,219,196                      // pand          %xmm4,%xmm0
  .byte  102,15,111,85,168                   // movdqa        -0x58(%ebp),%xmm2
  .byte  102,15,252,218                      // paddb         %xmm2,%xmm3
  .byte  102,15,248,220                      // psubb         %xmm4,%xmm3
  .byte  102,15,248,216                      // psubb         %xmm0,%xmm3
  .byte  102,15,248,253                      // psubb         %xmm5,%xmm7
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_difference_sse2_8bit
.globl _sk_difference_sse2_8bit
FUNCTION(_sk_difference_sse2_8bit)
_sk_difference_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,120                         // sub           $0x78,%esp
  .byte  102,15,127,93,232                   // movdqa        %xmm3,-0x18(%ebp)
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  242,15,112,202,231                  // pshuflw       $0xe7,%xmm2,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,96,205                       // punpcklbw     %xmm5,%xmm1
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,104,229                      // punpckhbw     %xmm5,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  242,15,112,203,231                  // pshuflw       $0xe7,%xmm3,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,96,213                       // punpcklbw     %xmm5,%xmm2
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,96,245                       // punpcklbw     %xmm5,%xmm6
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,15,253,242                      // paddw         %xmm2,%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,127,69,136                   // movdqa        %xmm0,-0x78(%ebp)
  .byte  102,15,104,213                      // punpckhbw     %xmm5,%xmm2
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,253,202                      // paddw         %xmm2,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,127,125,152                  // movdqa        %xmm7,-0x68(%ebp)
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,241                      // packuswb      %xmm1,%xmm6
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  242,15,112,69,200,231               // pshuflw       $0xe7,-0x38(%ebp),%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  102,15,111,101,216                  // movdqa        -0x28(%ebp),%xmm4
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,96,223                       // punpcklbw     %xmm7,%xmm3
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,104,231                      // punpckhbw     %xmm7,%xmm4
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,96,239                       // punpcklbw     %xmm7,%xmm5
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,96,248                       // punpcklbw     %xmm0,%xmm7
  .byte  102,15,104,200                      // punpckhbw     %xmm0,%xmm1
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,96,195                       // punpcklbw     %xmm3,%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,104,211                      // punpckhbw     %xmm3,%xmm2
  .byte  102,15,111,93,184                   // movdqa        -0x48(%ebp),%xmm3
  .byte  102,15,213,251                      // pmullw        %xmm3,%xmm7
  .byte  102,15,253,251                      // paddw         %xmm3,%xmm7
  .byte  102,15,213,204                      // pmullw        %xmm4,%xmm1
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,15,213,197                      // pmullw        %xmm5,%xmm0
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,15,111,93,168                   // movdqa        -0x58(%ebp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,253,211                      // paddw         %xmm3,%xmm2
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,249                      // packuswb      %xmm1,%xmm7
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,194                      // packuswb      %xmm2,%xmm0
  .byte  102,15,218,125,152                  // pminub        -0x68(%ebp),%xmm7
  .byte  232,0,0,0,0                         // call          c566 <_sk_difference_sse2_8bit+0x1b8>
  .byte  88                                  // pop           %eax
  .byte  102,15,218,198                      // pminub        %xmm6,%xmm0
  .byte  102,15,111,136,250,17,0,0           // movdqa        0x11fa(%eax),%xmm1
  .byte  102,15,111,101,136                  // movdqa        -0x78(%ebp),%xmm4
  .byte  102,15,111,93,232                   // movdqa        -0x18(%ebp),%xmm3
  .byte  102,15,252,227                      // paddb         %xmm3,%xmm4
  .byte  102,15,248,224                      // psubb         %xmm0,%xmm4
  .byte  102,15,219,193                      // pand          %xmm1,%xmm0
  .byte  102,15,219,207                      // pand          %xmm7,%xmm1
  .byte  102,15,111,109,200                  // movdqa        -0x38(%ebp),%xmm5
  .byte  102,15,111,85,216                   // movdqa        -0x28(%ebp),%xmm2
  .byte  102,15,252,234                      // paddb         %xmm2,%xmm5
  .byte  102,15,248,239                      // psubb         %xmm7,%xmm5
  .byte  102,15,248,233                      // psubb         %xmm1,%xmm5
  .byte  102,15,248,224                      // psubb         %xmm0,%xmm4
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,136,0,0,0                   // add           $0x88,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hardlight_sse2_8bit
.globl _sk_hardlight_sse2_8bit
FUNCTION(_sk_hardlight_sse2_8bit)
_sk_hardlight_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,168,1,0,0                   // sub           $0x1a8,%esp
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,96,231                       // punpcklbw     %xmm7,%xmm4
  .byte  102,15,127,101,232                  // movdqa        %xmm4,-0x18(%ebp)
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,231                       // punpcklbw     %xmm7,%xmm4
  .byte  102,15,127,101,136                  // movdqa        %xmm4,-0x78(%ebp)
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,236,95                   // pshufhw       $0x5f,%xmm4,%xmm5
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,127,141,40,255,255,255       // movdqa        %xmm1,-0xd8(%ebp)
  .byte  243,15,112,204,231                  // pshufhw       $0xe7,%xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,193,95                   // pshufhw       $0x5f,%xmm1,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,104,247                      // punpckhbw     %xmm7,%xmm6
  .byte  102,15,127,181,200,254,255,255      // movdqa        %xmm6,-0x138(%ebp)
  .byte  102,15,96,199                       // punpcklbw     %xmm7,%xmm0
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,96,239                       // punpcklbw     %xmm7,%xmm5
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,96,199                       // punpcklbw     %xmm7,%xmm0
  .byte  102,15,127,133,120,255,255,255      // movdqa        %xmm0,-0x88(%ebp)
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,127,149,88,254,255,255       // movdqa        %xmm2,-0x1a8(%ebp)
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,127,141,104,255,255,255      // movdqa        %xmm1,-0x98(%ebp)
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,96,207                       // punpcklbw     %xmm7,%xmm1
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,127,157,104,254,255,255      // movdqa        %xmm3,-0x198(%ebp)
  .byte  102,15,104,207                      // punpckhbw     %xmm7,%xmm1
  .byte  102,15,127,141,120,254,255,255      // movdqa        %xmm1,-0x188(%ebp)
  .byte  242,15,112,202,231                  // pshuflw       $0xe7,%xmm2,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,209,95                   // pshufhw       $0x5f,%xmm1,%xmm2
  .byte  242,15,112,203,231                  // pshuflw       $0xe7,%xmm3,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,201,95                   // pshufhw       $0x5f,%xmm1,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,96,207                       // punpcklbw     %xmm7,%xmm1
  .byte  102,15,127,141,8,255,255,255        // movdqa        %xmm1,-0xf8(%ebp)
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,104,199                      // punpckhbw     %xmm7,%xmm0
  .byte  102,15,127,133,24,255,255,255       // movdqa        %xmm0,-0xe8(%ebp)
  .byte  102,15,96,215                       // punpcklbw     %xmm7,%xmm2
  .byte  102,15,127,149,88,255,255,255       // movdqa        %xmm2,-0xa8(%ebp)
  .byte  102,15,111,101,232                  // movdqa        -0x18(%ebp),%xmm4
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,93,136                   // movdqa        -0x78(%ebp),%xmm3
  .byte  102,15,253,219                      // paddw         %xmm3,%xmm3
  .byte  102,15,111,149,40,255,255,255       // movdqa        -0xd8(%ebp),%xmm2
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,217,214                      // psubusw       %xmm6,%xmm2
  .byte  102,15,117,215                      // pcmpeqw       %xmm7,%xmm2
  .byte  102,15,127,149,136,254,255,255      // movdqa        %xmm2,-0x178(%ebp)
  .byte  102,15,217,93,200                   // psubusw       -0x38(%ebp),%xmm3
  .byte  102,15,117,223                      // pcmpeqw       %xmm7,%xmm3
  .byte  102,15,127,157,152,254,255,255      // movdqa        %xmm3,-0x168(%ebp)
  .byte  102,15,111,85,152                   // movdqa        -0x68(%ebp),%xmm2
  .byte  102,15,217,202                      // psubusw       %xmm2,%xmm1
  .byte  102,15,117,207                      // pcmpeqw       %xmm7,%xmm1
  .byte  102,15,127,141,56,255,255,255       // movdqa        %xmm1,-0xc8(%ebp)
  .byte  102,15,217,229                      // psubusw       %xmm5,%xmm4
  .byte  102,15,117,231                      // pcmpeqw       %xmm7,%xmm4
  .byte  102,15,127,165,72,255,255,255       // movdqa        %xmm4,-0xb8(%ebp)
  .byte  232,0,0,0,0                         // call          c797 <_sk_hardlight_sse2_8bit+0x1ce>
  .byte  88                                  // pop           %eax
  .byte  102,15,111,176,169,15,0,0           // movdqa        0xfa9(%eax),%xmm6
  .byte  102,15,111,157,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm3
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,127,141,168,254,255,255      // movdqa        %xmm1,-0x158(%ebp)
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,15,111,173,120,255,255,255      // movdqa        -0x88(%ebp),%xmm5
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,127,141,184,254,255,255      // movdqa        %xmm1,-0x148(%ebp)
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,249,203                      // psubw         %xmm3,%xmm1
  .byte  102,15,127,141,88,255,255,255       // movdqa        %xmm1,-0xa8(%ebp)
  .byte  102,15,213,216                      // pmullw        %xmm0,%xmm3
  .byte  102,15,127,157,232,254,255,255      // movdqa        %xmm3,-0x118(%ebp)
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,127,189,216,254,255,255      // movdqa        %xmm7,-0x128(%ebp)
  .byte  102,15,249,224                      // psubw         %xmm0,%xmm4
  .byte  102,15,127,165,248,254,255,255      // movdqa        %xmm4,-0x108(%ebp)
  .byte  102,15,111,141,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,239,222                      // pxor          %xmm6,%xmm3
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,213,216                      // pmullw        %xmm0,%xmm3
  .byte  102,15,127,157,120,255,255,255      // movdqa        %xmm3,-0x88(%ebp)
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,239,254                      // pxor          %xmm6,%xmm7
  .byte  102,15,111,165,104,255,255,255      // movdqa        -0x98(%ebp),%xmm4
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,249,204                      // psubw         %xmm4,%xmm1
  .byte  102,15,127,141,24,255,255,255       // movdqa        %xmm1,-0xe8(%ebp)
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,213,218                      // pmullw        %xmm2,%xmm3
  .byte  102,15,127,93,232                   // movdqa        %xmm3,-0x18(%ebp)
  .byte  102,15,249,208                      // psubw         %xmm0,%xmm2
  .byte  102,15,127,85,152                   // movdqa        %xmm2,-0x68(%ebp)
  .byte  102,15,111,141,8,255,255,255        // movdqa        -0xf8(%ebp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,93,136                   // movdqa        -0x78(%ebp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,127,133,104,255,255,255      // movdqa        %xmm0,-0x98(%ebp)
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,239,214                      // pxor          %xmm6,%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,85,184                   // movdqa        -0x48(%ebp),%xmm2
  .byte  102,15,111,109,216                  // movdqa        -0x28(%ebp),%xmm5
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,15,127,109,216                  // movdqa        %xmm5,-0x28(%ebp)
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,127,141,8,255,255,255        // movdqa        %xmm1,-0xf8(%ebp)
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,127,109,184                  // movdqa        %xmm5,-0x48(%ebp)
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,77,168                   // movdqa        -0x58(%ebp),%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,239,222                      // pxor          %xmm6,%xmm3
  .byte  102,15,213,157,40,255,255,255       // pmullw        -0xd8(%ebp),%xmm3
  .byte  102,15,127,93,136                   // movdqa        %xmm3,-0x78(%ebp)
  .byte  102,15,111,133,200,254,255,255      // movdqa        -0x138(%ebp),%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,111,157,120,254,255,255      // movdqa        -0x188(%ebp),%xmm3
  .byte  102,15,213,243                      // pmullw        %xmm3,%xmm6
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,249,203                      // psubw         %xmm3,%xmm1
  .byte  102,15,127,77,168                   // movdqa        %xmm1,-0x58(%ebp)
  .byte  102,15,111,141,40,255,255,255       // movdqa        -0xd8(%ebp),%xmm1
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,249,193                      // psubw         %xmm1,%xmm0
  .byte  102,15,213,69,168                   // pmullw        -0x58(%ebp),%xmm0
  .byte  102,15,111,77,200                   // movdqa        -0x38(%ebp),%xmm1
  .byte  102,15,213,141,8,255,255,255        // pmullw        -0xf8(%ebp),%xmm1
  .byte  102,15,127,77,200                   // movdqa        %xmm1,-0x38(%ebp)
  .byte  102,15,111,77,152                   // movdqa        -0x68(%ebp),%xmm1
  .byte  102,15,213,141,24,255,255,255       // pmullw        -0xe8(%ebp),%xmm1
  .byte  102,15,127,77,152                   // movdqa        %xmm1,-0x68(%ebp)
  .byte  102,15,111,141,248,254,255,255      // movdqa        -0x108(%ebp),%xmm1
  .byte  102,15,213,141,88,255,255,255       // pmullw        -0xa8(%ebp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,249,232                      // psubw         %xmm0,%xmm5
  .byte  102,15,127,109,168                  // movdqa        %xmm5,-0x58(%ebp)
  .byte  102,15,111,69,200                   // movdqa        -0x38(%ebp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,109,184                  // movdqa        -0x48(%ebp),%xmm5
  .byte  102,15,249,232                      // psubw         %xmm0,%xmm5
  .byte  102,15,127,109,184                  // movdqa        %xmm5,-0x48(%ebp)
  .byte  102,15,111,69,152                   // movdqa        -0x68(%ebp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,109,232                  // movdqa        -0x18(%ebp),%xmm5
  .byte  102,15,249,232                      // psubw         %xmm0,%xmm5
  .byte  102,15,127,109,232                  // movdqa        %xmm5,-0x18(%ebp)
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,141,216,254,255,255      // movdqa        -0x128(%ebp),%xmm1
  .byte  102,15,249,200                      // psubw         %xmm0,%xmm1
  .byte  102,15,111,173,232,254,255,255      // movdqa        -0x118(%ebp),%xmm5
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,15,111,133,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm0
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,15,235,197                      // por           %xmm5,%xmm0
  .byte  102,15,127,133,72,255,255,255       // movdqa        %xmm0,-0xb8(%ebp)
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,223,69,232                   // pandn         -0x18(%ebp),%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,141,152,254,255,255      // movdqa        -0x168(%ebp),%xmm1
  .byte  102,15,219,209                      // pand          %xmm1,%xmm2
  .byte  102,15,223,77,184                   // pandn         -0x48(%ebp),%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,15,253,219                      // paddw         %xmm3,%xmm3
  .byte  102,15,111,173,136,254,255,255      // movdqa        -0x178(%ebp),%xmm5
  .byte  102,15,219,221                      // pand          %xmm5,%xmm3
  .byte  102,15,223,109,168                  // pandn         -0x58(%ebp),%xmm5
  .byte  102,15,235,235                      // por           %xmm3,%xmm5
  .byte  102,15,111,165,184,254,255,255      // movdqa        -0x148(%ebp),%xmm4
  .byte  102,15,253,165,168,254,255,255      // paddw         -0x158(%ebp),%xmm4
  .byte  102,15,253,189,120,255,255,255      // paddw         -0x88(%ebp),%xmm7
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,253,133,104,255,255,255      // paddw         -0x98(%ebp),%xmm0
  .byte  102,15,253,117,136                  // paddw         -0x78(%ebp),%xmm6
  .byte  102,15,111,152,217,15,0,0           // movdqa        0xfd9(%eax),%xmm3
  .byte  102,15,253,227                      // paddw         %xmm3,%xmm4
  .byte  102,15,111,149,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm2
  .byte  102,15,253,212                      // paddw         %xmm4,%xmm2
  .byte  102,15,253,251                      // paddw         %xmm3,%xmm7
  .byte  102,15,253,189,56,255,255,255       // paddw         -0xc8(%ebp),%xmm7
  .byte  102,15,253,195                      // paddw         %xmm3,%xmm0
  .byte  102,15,253,200                      // paddw         %xmm0,%xmm1
  .byte  102,15,253,243                      // paddw         %xmm3,%xmm6
  .byte  102,15,253,245                      // paddw         %xmm5,%xmm6
  .byte  102,15,111,152,233,15,0,0           // movdqa        0xfe9(%eax),%xmm3
  .byte  102,15,228,243                      // pmulhuw       %xmm3,%xmm6
  .byte  102,15,228,203                      // pmulhuw       %xmm3,%xmm1
  .byte  102,15,228,251                      // pmulhuw       %xmm3,%xmm7
  .byte  102,15,228,211                      // pmulhuw       %xmm3,%xmm2
  .byte  102,15,113,215,7                    // psrlw         $0x7,%xmm7
  .byte  102,15,113,210,7                    // psrlw         $0x7,%xmm2
  .byte  102,15,103,215                      // packuswb      %xmm7,%xmm2
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,209,7                    // psrlw         $0x7,%xmm1
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  15,40,149,88,254,255,255            // movaps        -0x1a8(%ebp),%xmm2
  .byte  15,40,157,104,254,255,255           // movaps        -0x198(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,184,1,0,0                   // add           $0x1b8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_overlay_sse2_8bit
.globl _sk_overlay_sse2_8bit
FUNCTION(_sk_overlay_sse2_8bit)
_sk_overlay_sse2_8bit:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,1,0,0                   // sub           $0x1b8,%esp
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,96,230                       // punpcklbw     %xmm6,%xmm4
  .byte  102,15,127,165,120,255,255,255      // movdqa        %xmm4,-0x88(%ebp)
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,230                       // punpcklbw     %xmm6,%xmm4
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,133,104,255,255,255      // movdqa        %xmm0,-0x98(%ebp)
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,236,95                   // pshufhw       $0x5f,%xmm4,%xmm5
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  102,15,104,206                      // punpckhbw     %xmm6,%xmm1
  .byte  102,15,127,141,104,254,255,255      // movdqa        %xmm1,-0x198(%ebp)
  .byte  243,15,112,204,231                  // pshufhw       $0xe7,%xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,193,95                   // pshufhw       $0x5f,%xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,104,206                      // punpckhbw     %xmm6,%xmm1
  .byte  102,15,127,141,120,254,255,255      // movdqa        %xmm1,-0x188(%ebp)
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  102,15,96,238                       // punpcklbw     %xmm6,%xmm5
  .byte  102,15,127,173,40,255,255,255       // movdqa        %xmm5,-0xd8(%ebp)
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,127,149,72,254,255,255       // movdqa        %xmm2,-0x1b8(%ebp)
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,127,69,232                   // movdqa        %xmm0,-0x18(%ebp)
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,127,157,88,254,255,255       // movdqa        %xmm3,-0x1a8(%ebp)
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,127,133,24,255,255,255       // movdqa        %xmm0,-0xe8(%ebp)
  .byte  242,15,112,202,231                  // pshuflw       $0xe7,%xmm2,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  242,15,112,203,231                  // pshuflw       $0xe7,%xmm3,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,193,95                   // pshufhw       $0x5f,%xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,104,206                      // punpckhbw     %xmm6,%xmm1
  .byte  102,15,127,77,152                   // movdqa        %xmm1,-0x68(%ebp)
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,127,69,136                   // movdqa        %xmm0,-0x78(%ebp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,104,198                      // punpckhbw     %xmm6,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,127,157,88,255,255,255       // movdqa        %xmm3,-0xa8(%ebp)
  .byte  102,15,96,230                       // punpcklbw     %xmm6,%xmm4
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,69,232                   // movdqa        -0x18(%ebp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,149,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm2
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,217,85,152                   // psubusw       -0x68(%ebp),%xmm2
  .byte  102,15,117,214                      // pcmpeqw       %xmm6,%xmm2
  .byte  102,15,127,149,136,254,255,255      // movdqa        %xmm2,-0x178(%ebp)
  .byte  102,15,217,69,136                   // psubusw       -0x78(%ebp),%xmm0
  .byte  102,15,117,198                      // pcmpeqw       %xmm6,%xmm0
  .byte  102,15,127,133,152,254,255,255      // movdqa        %xmm0,-0x168(%ebp)
  .byte  102,15,217,203                      // psubusw       %xmm3,%xmm1
  .byte  102,15,117,206                      // pcmpeqw       %xmm6,%xmm1
  .byte  102,15,127,141,56,255,255,255       // movdqa        %xmm1,-0xc8(%ebp)
  .byte  102,15,217,236                      // psubusw       %xmm4,%xmm5
  .byte  102,15,117,238                      // pcmpeqw       %xmm6,%xmm5
  .byte  102,15,127,173,72,255,255,255       // movdqa        %xmm5,-0xb8(%ebp)
  .byte  232,0,0,0,0                         // call          ccbd <_sk_overlay_sse2_8bit+0x1c5>
  .byte  88                                  // pop           %eax
  .byte  102,15,111,152,131,10,0,0           // movdqa        0xa83(%eax),%xmm3
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,239,195                      // pxor          %xmm3,%xmm0
  .byte  102,15,111,181,120,255,255,255      // movdqa        -0x88(%ebp),%xmm6
  .byte  102,15,213,198                      // pmullw        %xmm6,%xmm0
  .byte  102,15,127,133,168,254,255,255      // movdqa        %xmm0,-0x158(%ebp)
  .byte  102,15,111,133,40,255,255,255       // movdqa        -0xd8(%ebp),%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,239,211                      // pxor          %xmm3,%xmm2
  .byte  102,15,213,215                      // pmullw        %xmm7,%xmm2
  .byte  102,15,127,149,184,254,255,255      // movdqa        %xmm2,-0x148(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,249,231                      // psubw         %xmm7,%xmm4
  .byte  102,15,127,165,8,255,255,255        // movdqa        %xmm4,-0xf8(%ebp)
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,127,189,232,254,255,255      // movdqa        %xmm7,-0x118(%ebp)
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,127,141,200,254,255,255      // movdqa        %xmm1,-0x138(%ebp)
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,127,133,40,255,255,255       // movdqa        %xmm0,-0xd8(%ebp)
  .byte  102,15,111,133,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,239,203                      // pxor          %xmm3,%xmm1
  .byte  102,15,111,173,104,255,255,255      // movdqa        -0x98(%ebp),%xmm5
  .byte  102,15,213,205                      // pmullw        %xmm5,%xmm1
  .byte  102,15,127,141,120,255,255,255      // movdqa        %xmm1,-0x88(%ebp)
  .byte  102,15,111,85,184                   // movdqa        -0x48(%ebp),%xmm2
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,239,251                      // pxor          %xmm3,%xmm7
  .byte  102,15,111,101,216                  // movdqa        -0x28(%ebp),%xmm4
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,249,196                      // psubw         %xmm4,%xmm0
  .byte  102,15,127,133,88,255,255,255       // movdqa        %xmm0,-0xa8(%ebp)
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,127,165,248,254,255,255      // movdqa        %xmm4,-0x108(%ebp)
  .byte  102,15,213,202                      // pmullw        %xmm2,%xmm1
  .byte  102,15,127,77,216                   // movdqa        %xmm1,-0x28(%ebp)
  .byte  102,15,249,213                      // psubw         %xmm5,%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,111,117,136                  // movdqa        -0x78(%ebp),%xmm6
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,239,195                      // pxor          %xmm3,%xmm0
  .byte  102,15,111,85,200                   // movdqa        -0x38(%ebp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,133,104,255,255,255      // movdqa        %xmm0,-0x98(%ebp)
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,235                      // pxor          %xmm3,%xmm5
  .byte  102,15,111,101,232                  // movdqa        -0x18(%ebp),%xmm4
  .byte  102,15,213,236                      // pmullw        %xmm4,%xmm5
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,249,244                      // psubw         %xmm4,%xmm6
  .byte  102,15,127,117,136                  // movdqa        %xmm6,-0x78(%ebp)
  .byte  102,15,213,226                      // pmullw        %xmm2,%xmm4
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,127,69,168                   // movdqa        %xmm0,-0x58(%ebp)
  .byte  102,15,111,77,152                   // movdqa        -0x68(%ebp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,195                      // pxor          %xmm3,%xmm0
  .byte  102,15,111,149,104,254,255,255      // movdqa        -0x198(%ebp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,133,216,254,255,255      // movdqa        %xmm0,-0x128(%ebp)
  .byte  102,15,111,133,120,254,255,255      // movdqa        -0x188(%ebp),%xmm0
  .byte  102,15,239,216                      // pxor          %xmm0,%xmm3
  .byte  102,15,111,181,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm6
  .byte  102,15,213,222                      // pmullw        %xmm6,%xmm3
  .byte  102,15,127,77,200                   // movdqa        %xmm1,-0x38(%ebp)
  .byte  102,15,249,206                      // psubw         %xmm6,%xmm1
  .byte  102,15,127,77,152                   // movdqa        %xmm1,-0x68(%ebp)
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,15,111,77,200                   // movdqa        -0x38(%ebp),%xmm1
  .byte  102,15,213,200                      // pmullw        %xmm0,%xmm1
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,213,69,152                   // pmullw        -0x68(%ebp),%xmm0
  .byte  102,15,111,85,168                   // movdqa        -0x58(%ebp),%xmm2
  .byte  102,15,213,85,136                   // pmullw        -0x78(%ebp),%xmm2
  .byte  102,15,127,85,168                   // movdqa        %xmm2,-0x58(%ebp)
  .byte  102,15,111,85,184                   // movdqa        -0x48(%ebp),%xmm2
  .byte  102,15,213,149,88,255,255,255       // pmullw        -0xa8(%ebp),%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,111,149,40,255,255,255       // movdqa        -0xd8(%ebp),%xmm2
  .byte  102,15,213,149,8,255,255,255        // pmullw        -0xf8(%ebp),%xmm2
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,249,200                      // psubw         %xmm0,%xmm1
  .byte  102,15,127,77,200                   // movdqa        %xmm1,-0x38(%ebp)
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,77,232                   // movdqa        -0x18(%ebp),%xmm1
  .byte  102,15,249,200                      // psubw         %xmm0,%xmm1
  .byte  102,15,127,77,232                   // movdqa        %xmm1,-0x18(%ebp)
  .byte  102,15,111,77,184                   // movdqa        -0x48(%ebp),%xmm1
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,69,216                   // movdqa        -0x28(%ebp),%xmm0
  .byte  102,15,249,193                      // psubw         %xmm1,%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,141,200,254,255,255      // movdqa        -0x138(%ebp),%xmm1
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,111,149,232,254,255,255      // movdqa        -0x118(%ebp),%xmm2
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,133,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm0
  .byte  102,15,219,208                      // pand          %xmm0,%xmm2
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,127,133,72,255,255,255       // movdqa        %xmm0,-0xb8(%ebp)
  .byte  102,15,111,141,248,254,255,255      // movdqa        -0x108(%ebp),%xmm1
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  102,15,223,69,216                   // pandn         -0x28(%ebp),%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,133,152,254,255,255      // movdqa        -0x168(%ebp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,223,69,232                   // pandn         -0x18(%ebp),%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,253,246                      // paddw         %xmm6,%xmm6
  .byte  102,15,111,133,136,254,255,255      // movdqa        -0x178(%ebp),%xmm0
  .byte  102,15,219,240                      // pand          %xmm0,%xmm6
  .byte  102,15,223,69,200                   // pandn         -0x38(%ebp),%xmm0
  .byte  102,15,235,198                      // por           %xmm6,%xmm0
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,111,133,184,254,255,255      // movdqa        -0x148(%ebp),%xmm0
  .byte  102,15,253,133,168,254,255,255      // paddw         -0x158(%ebp),%xmm0
  .byte  102,15,253,189,120,255,255,255      // paddw         -0x88(%ebp),%xmm7
  .byte  102,15,253,173,104,255,255,255      // paddw         -0x98(%ebp),%xmm5
  .byte  102,15,253,157,216,254,255,255      // paddw         -0x128(%ebp),%xmm3
  .byte  102,15,111,144,179,10,0,0           // movdqa        0xab3(%eax),%xmm2
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,253,133,72,255,255,255       // paddw         -0xb8(%ebp),%xmm0
  .byte  102,15,253,250                      // paddw         %xmm2,%xmm7
  .byte  102,15,253,189,56,255,255,255       // paddw         -0xc8(%ebp),%xmm7
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,253,218                      // paddw         %xmm2,%xmm3
  .byte  102,15,253,220                      // paddw         %xmm4,%xmm3
  .byte  102,15,111,144,195,10,0,0           // movdqa        0xac3(%eax),%xmm2
  .byte  102,15,228,218                      // pmulhuw       %xmm2,%xmm3
  .byte  102,15,228,234                      // pmulhuw       %xmm2,%xmm5
  .byte  102,15,228,250                      // pmulhuw       %xmm2,%xmm7
  .byte  102,15,228,194                      // pmulhuw       %xmm2,%xmm0
  .byte  102,15,113,215,7                    // psrlw         $0x7,%xmm7
  .byte  102,15,113,208,7                    // psrlw         $0x7,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,113,211,7                    // psrlw         $0x7,%xmm3
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,15,103,235                      // packuswb      %xmm3,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  15,40,149,72,254,255,255            // movaps        -0x1b8(%ebp),%xmm2
  .byte  15,40,157,88,254,255,255            // movaps        -0x1a8(%ebp),%xmm3
  .byte  255,117,20                          // pushl         0x14(%ebp)
  .byte  255,117,16                          // pushl         0x10(%ebp)
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,200,1,0,0                   // add           $0x1c8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

BALIGN16
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,32                                // add           %ah,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  96                                  // pusha
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,2                                 // add           %al,(%edx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,3                                 // add           %al,(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,191,0,0,128,191,0               // cmpb          $0x0,-0x40800000(%edi)
  .byte  0,128,191,0,0,128                   // add           %al,-0x7fffff41(%eax)
  .byte  191,0,0,224,64                      // mov           $0x40e00000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        d108 <.literal16+0xe8>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        d10c <.literal16+0xec>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        d110 <.literal16+0xf0>
  .byte  154,153,153,62,154,153,153          // lcall         $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,61,10,23,63,61                   // ds            cmp $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         d131 <.literal16+0x111>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         d135 <.literal16+0x115>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         d139 <.literal16+0x119>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         d13d <.literal16+0x11d>
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            d157 <.literal16+0x137>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            d15b <.literal16+0x13b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            d15f <.literal16+0x13f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            d163 <.literal16+0x143>
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%esi)
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%esi)
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  82                                  // push          %edx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // dec           %esi
  .byte  65                                  // inc           %ecx
  .byte  82                                  // push          %edx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // dec           %esi
  .byte  65                                  // inc           %ecx
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%ebx)
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%ebx)
  .byte  186,159,98,60,186                   // mov           $0xba3c629f,%edx
  .byte  159                                 // lahf
  .byte  98,60,186                           // bound         %edi,(%edx,%edi,4)
  .byte  159                                 // lahf
  .byte  98,60,186                           // bound         %edi,(%edx,%edi,4)
  .byte  159                                 // lahf
  .byte  98,60,109,165,144,63,109            // bound         %edi,0x6d3f90a5(,%ebp,2)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  109                                 // insl          (%dx),%es:(%edi)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  109                                 // insl          (%dx),%es:(%edi)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%esi)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%esi)
  .byte  168,177                             // test          $0xb1,%al
  .byte  152                                 // cwtl
  .byte  59,168,177,152,59,168               // cmp           -0x57c4674f(%eax),%ebp
  .byte  177,152                             // mov           $0x98,%cl
  .byte  59,168,177,152,59,0                 // cmp           0x3b98b1(%eax),%ebp
  .byte  0,192                               // add           %al,%al
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  0,64,0                              // add           %al,0x0(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,64,0                              // add           %al,0x0(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,171,170                      // addb          $0xaa,-0x55(%eax)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,248,0,0                // addb          $0x0,0xf8003b(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        d269 <.literal16+0x249>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        d26d <.literal16+0x24d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        d271 <.literal16+0x251>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        d275 <.literal16+0x255>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,52,0                              // add           %dh,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            d2c4 <.literal16+0x2a4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            d2c8 <.literal16+0x2a8>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            d2cc <.literal16+0x2ac>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            d2d0 <.literal16+0x2b0>
  .byte  119,115                             // ja            d345 <.literal16+0x325>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           d2a9 <.literal16+0x289>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a412e6 <_sk_overlay_sse2_8bit+0xe9a347ee>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,81                   // mov           %eax,0x513fdce9
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%ecx)
  .byte  13,60,203,61,13                     // or            $0xd3dcb3c,%eax
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,60,203,61                     // cmp           $0x3dcb3c0d,%eax
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,111,18                           // cmp           0x12(%edi),%ebp
  .byte  3,59                                // add           (%ebx),%edi
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  18,3                                // adc           (%ebx),%al
  .byte  59,111,18                           // cmp           0x12(%edi),%ebp
  .byte  3,59                                // add           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  163,59,10,215,163                   // mov           %eax,0xa3d70a3b
  .byte  59,10                               // cmp           (%edx),%ecx
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  163,59,10,215,163                   // mov           %eax,0xa3d70a3b
  .byte  59,194                              // cmp           %edx,%eax
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,190,203,61                    // cmp           $0x3dcbbe0d,%eax
  .byte  13,190,203,61,13                    // or            $0xd3dcbbe,%eax
  .byte  190,203,61,13,190                   // mov           $0xbe0d3dcb,%esi
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           d433 <.literal16+0x413>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           d437 <.literal16+0x417>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           d43b <.literal16+0x41b>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           d43f <.literal16+0x41f>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            d476 <.literal16+0x456>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            d47a <.literal16+0x45a>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            d47e <.literal16+0x45e>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            d482 <.literal16+0x462>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  240,0,0                             // lock          add %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%ecx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%eax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%ecx),%ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%ecx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%eax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            d505 <.literal16+0x4e5>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            d509 <.literal16+0x4e9>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            d50d <.literal16+0x4ed>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            d511 <.literal16+0x4f1>
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,4                             // addb          $0x4,(%eax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  128,56,0                            // cmpb          $0x0,(%eax)
  .byte  0,128,56,0,0,128                    // add           %al,-0x7fffffc8(%eax)
  .byte  56,0                                // cmp           %al,(%eax)
  .byte  0,128,56,0,64,254                   // add           %al,-0x1bfffc8(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  255                                 // (bad)
  .byte  127,71                              // jg            d57b <.literal16+0x55b>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            d57f <.literal16+0x55f>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            d583 <.literal16+0x563>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            d587 <.literal16+0x567>
  .byte  208                                 // (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  152                                 // cwtl
  .byte  221,147,61,152,221,147              // fstl          -0x6c2267c3(%ebx)
  .byte  61,152,221,147,61                   // cmp           $0x3d93dd98,%eax
  .byte  152                                 // cwtl
  .byte  221,147,61,255,255,0                // fstl          0xffff3d(%ebx)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  83                                  // push          %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,83,0                              // add           %dl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  83                                  // push          %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,83,128                            // add           %dl,-0x80(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  211,128,0,0,211,128                 // roll          %cl,-0x7f2d0000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  211,128,0,0,211,45                  // roll          %cl,0x2dd30000(%eax)
  .byte  16,17                               // adc           %dl,(%ecx)
  .byte  192,45,16,17,192,45,16              // shrb          $0x10,0x2dc01110
  .byte  17,192                              // adc           %eax,%eax
  .byte  45,16,17,192,18                     // sub           $0x12c01110,%eax
  .byte  120,57                              // js            d5ec <.literal16+0x5cc>
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  32,148,90,62,32,148,90              // and           %dl,0x5a94203e(%edx,%ebx,2)
  .byte  62,32,148,90,62,32,148,90           // and           %dl,%ds:0x5a94203e(%edx,%ebx,2)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,0,24                             // add           %bl,%ds:(%eax)
  .byte  161,57,0,24,161                     // mov           0xa1180039,%eax
  .byte  57,0                                // cmp           %eax,(%eax)
  .byte  24,161,57,0,24,161                  // sbb           %ah,-0x5ee7ffc7(%ecx)
  .byte  57,111,43                           // cmp           %ebp,0x2b(%edi)
  .byte  231,187                             // out           %eax,$0xbb
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,159,215,202,60                  // mov           $0x3ccad79f,%ebx
  .byte  159                                 // lahf
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,212                          // lret          $0xd43c
  .byte  100,84                              // fs            push %esp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  212,100                             // aam           $0x64
  .byte  84                                  // push          %esp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%esi),%bh
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%esi),%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,62,0                            // cmpb          $0x0,(%esi)
  .byte  0,128,62,0,0,128                    // add           %al,-0x7fffffc2(%eax)
  .byte  62,0,0                              // add           %al,%ds:(%eax)
  .byte  128,62,0                            // cmpb          $0x0,(%esi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,0,0                             // rolb          $0x0,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,128,192,0,0,128                   // add           %al,-0x7fffff40(%eax)
  .byte  192,0,0                             // rolb          $0x0,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  191,0,0,0,191                       // mov           $0xbf000000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,191,0,0,192,191,0               // sarb          $0x0,-0x40400000(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  191,0,0,192,191                     // mov           $0xbfc00000,%edi
  .byte  114,28                              // jb            d69e <.literal16+0x67e>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         d6a2 <.literal16+0x682>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         d6a6 <.literal16+0x686>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         d6aa <.literal16+0x68a>
  .byte  199                                 // (bad)
  .byte  62,85                               // ds            push %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%esi)
  .byte  99,61,57,142,99,61                  // arpl          %di,0x3d638e39
  .byte  57,142,99,61,114,249                // cmp           %ecx,-0x68dc29d(%esi)
  .byte  127,63                              // jg            d703 <.literal16+0x6e3>
  .byte  114,249                             // jb            d6bf <.literal16+0x69f>
  .byte  127,63                              // jg            d707 <.literal16+0x6e7>
  .byte  114,249                             // jb            d6c3 <.literal16+0x6a3>
  .byte  127,63                              // jg            d70b <.literal16+0x6eb>
  .byte  114,249                             // jb            d6c7 <.literal16+0x6a7>
  .byte  127,63                              // jg            d70f <.literal16+0x6ef>
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  252                                 // cld
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,252                               // add           %bh,%ah
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,7                                 // add           %al,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  12,0                                // or            $0x0,%al
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  1,1                                 // add           %eax,(%ecx)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  1,1                                 // add           %eax,(%ecx)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  1,1                                 // add           %eax,(%ecx)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  1,1                                 // add           %eax,(%ecx)
  .byte  0,255                               // add           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  127,0                               // jg            d772 <.literal16+0x752>
  .byte  127,0                               // jg            d774 <.literal16+0x754>
  .byte  127,0                               // jg            d776 <.literal16+0x756>
  .byte  127,0                               // jg            d778 <.literal16+0x758>
  .byte  127,0                               // jg            d77a <.literal16+0x75a>
  .byte  127,0                               // jg            d77c <.literal16+0x75c>
  .byte  127,0                               // jg            d77e <.literal16+0x75e>
  .byte  127,0                               // jg            d780 <.literal16+0x760>
  .byte  129,128,129,128,129,128,129,128,129,128// addl          $0x80818081,-0x7f7e7f7f(%eax)
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80

BALIGN4
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            d7db <_sk_overlay_sse2_8bit+0xce3>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0                                   // .byte         0x0
  .byte  79                                  // dec           %edi
#endif
